#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 2188
#define SYMBOL_COUNT 217
#define ALIAS_COUNT 0
#define TOKEN_COUNT 100
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 18
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_import = 2,
  anon_sym_DOT = 3,
  anon_sym_from = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_as = 9,
  anon_sym_STAR = 10,
  anon_sym_print = 11,
  anon_sym_GT_GT = 12,
  anon_sym_assert = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  anon_sym_pass = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_global = 36,
  anon_sym_nonlocal = 37,
  anon_sym_exec = 38,
  anon_sym_class = 39,
  anon_sym_AT = 40,
  anon_sym_not = 41,
  anon_sym_and = 42,
  anon_sym_or = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_SLASH = 46,
  anon_sym_PERCENT = 47,
  anon_sym_SLASH_SLASH = 48,
  anon_sym_STAR_STAR = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_yield = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  aux_sym_format_specifier_token1 = 84,
  sym_type_conversion = 85,
  sym_integer = 86,
  sym_float = 87,
  sym_true = 88,
  sym_false = 89,
  sym_none = 90,
  anon_sym_await = 91,
  sym_comment = 92,
  sym__semicolon = 93,
  sym__newline = 94,
  sym__indent = 95,
  sym__dedent = 96,
  sym__string_start = 97,
  sym__string_content = 98,
  sym__string_end = 99,
  sym_module = 100,
  sym__statement = 101,
  sym__simple_statements = 102,
  sym_import_statement = 103,
  sym_import_prefix = 104,
  sym_relative_import = 105,
  sym_future_import_statement = 106,
  sym_import_from_statement = 107,
  sym__import_list = 108,
  sym_aliased_import = 109,
  sym_wildcard_import = 110,
  sym_print_statement = 111,
  sym_chevron = 112,
  sym_assert_statement = 113,
  sym_expression_statement = 114,
  sym_named_expression = 115,
  sym_return_statement = 116,
  sym_delete_statement = 117,
  sym_raise_statement = 118,
  sym_pass_statement = 119,
  sym_break_statement = 120,
  sym_continue_statement = 121,
  sym_if_statement = 122,
  sym_elif_clause = 123,
  sym_else_clause = 124,
  sym_for_statement = 125,
  sym_while_statement = 126,
  sym_try_statement = 127,
  sym_except_clause = 128,
  sym_finally_clause = 129,
  sym_with_statement = 130,
  sym_with_item = 131,
  sym_function_definition = 132,
  sym_parameters = 133,
  sym_lambda_parameters = 134,
  sym__parameters = 135,
  sym_default_parameter = 136,
  sym_typed_default_parameter = 137,
  sym_list_splat = 138,
  sym_dictionary_splat = 139,
  sym_global_statement = 140,
  sym_nonlocal_statement = 141,
  sym_exec_statement = 142,
  sym_class_definition = 143,
  sym_argument_list = 144,
  sym_decorated_definition = 145,
  sym_decorator = 146,
  sym_block = 147,
  sym_variables = 148,
  sym_expression_list = 149,
  sym_dotted_name = 150,
  sym__expression_within_for_in_clause = 151,
  sym__expression = 152,
  sym__primary_expression = 153,
  sym_not_operator = 154,
  sym_boolean_operator = 155,
  sym_binary_operator = 156,
  sym_unary_operator = 157,
  sym_comparison_operator = 158,
  sym_lambda = 159,
  sym_lambda_within_for_in_clause = 160,
  sym_assignment = 161,
  sym_augmented_assignment = 162,
  sym__right_hand_side = 163,
  sym_yield = 164,
  sym_attribute = 165,
  sym_subscript = 166,
  sym_slice = 167,
  sym_call = 168,
  sym_typed_parameter = 169,
  sym_type = 170,
  sym_keyword_argument = 171,
  sym_list = 172,
  sym__comprehension_body = 173,
  sym_list_comprehension = 174,
  sym_dictionary = 175,
  sym_dictionary_comprehension = 176,
  sym_pair = 177,
  sym_set = 178,
  sym_set_comprehension = 179,
  sym_parenthesized_expression = 180,
  sym_tuple = 181,
  sym_generator_expression = 182,
  sym_for_in_clause = 183,
  sym_if_clause = 184,
  sym_conditional_expression = 185,
  sym_concatenated_string = 186,
  sym_string = 187,
  sym_interpolation = 188,
  sym_format_specifier = 189,
  sym_format_expression = 190,
  sym_await = 191,
  aux_sym_module_repeat1 = 192,
  aux_sym__simple_statements_repeat1 = 193,
  aux_sym_import_prefix_repeat1 = 194,
  aux_sym__import_list_repeat1 = 195,
  aux_sym_print_statement_repeat1 = 196,
  aux_sym_assert_statement_repeat1 = 197,
  aux_sym_if_statement_repeat1 = 198,
  aux_sym_try_statement_repeat1 = 199,
  aux_sym_with_statement_repeat1 = 200,
  aux_sym__parameters_repeat1 = 201,
  aux_sym_global_statement_repeat1 = 202,
  aux_sym_argument_list_repeat1 = 203,
  aux_sym_decorated_definition_repeat1 = 204,
  aux_sym_variables_repeat1 = 205,
  aux_sym_dotted_name_repeat1 = 206,
  aux_sym_comparison_operator_repeat1 = 207,
  aux_sym_subscript_repeat1 = 208,
  aux_sym_list_repeat1 = 209,
  aux_sym__comprehension_body_repeat1 = 210,
  aux_sym_dictionary_repeat1 = 211,
  aux_sym_tuple_repeat1 = 212,
  aux_sym_for_in_clause_repeat1 = 213,
  aux_sym_concatenated_string_repeat1 = 214,
  aux_sym_string_repeat1 = 215,
  aux_sym_format_specifier_repeat1 = 216,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_body] = "_comprehension_body",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_body_repeat1] = "_comprehension_body_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_body] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_condition = 6,
  field_consequence = 7,
  field_function = 8,
  field_left = 9,
  field_module_name = 10,
  field_name = 11,
  field_operator = 12,
  field_parameters = 13,
  field_return_type = 14,
  field_right = 15,
  field_statement = 16,
  field_superclasses = 17,
  field_type = 18,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_statement] = "statement",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 9, .length = 2},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [17] = {.index = 22, .length = 3},
  [18] = {.index = 25, .length = 3},
  [19] = {.index = 28, .length = 3},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 1},
  [22] = {.index = 33, .length = 1},
  [23] = {.index = 34, .length = 3},
  [25] = {.index = 37, .length = 2},
  [26] = {.index = 39, .length = 2},
  [27] = {.index = 41, .length = 1},
  [28] = {.index = 42, .length = 2},
  [29] = {.index = 44, .length = 2},
  [30] = {.index = 46, .length = 3},
  [31] = {.index = 49, .length = 2},
  [32] = {.index = 51, .length = 2},
  [33] = {.index = 53, .length = 1},
  [34] = {.index = 54, .length = 3},
  [35] = {.index = 57, .length = 4},
  [36] = {.index = 61, .length = 3},
  [37] = {.index = 64, .length = 4},
  [38] = {.index = 68, .length = 4},
  [39] = {.index = 72, .length = 1},
  [40] = {.index = 73, .length = 3},
  [41] = {.index = 76, .length = 4},
  [42] = {.index = 80, .length = 4},
  [43] = {.index = 84, .length = 2},
  [44] = {.index = 86, .length = 3},
  [45] = {.index = 89, .length = 1},
  [46] = {.index = 90, .length = 4},
  [47] = {.index = 94, .length = 4},
  [48] = {.index = 98, .length = 2},
  [49] = {.index = 100, .length = 4},
  [50] = {.index = 104, .length = 4},
  [51] = {.index = 108, .length = 2},
  [52] = {.index = 110, .length = 5},
  [53] = {.index = 115, .length = 4},
  [54] = {.index = 119, .length = 4},
  [55] = {.index = 123, .length = 1},
  [56] = {.index = 124, .length = 4},
  [57] = {.index = 128, .length = 4},
  [58] = {.index = 132, .length = 4},
  [59] = {.index = 136, .length = 5},
  [60] = {.index = 141, .length = 5},
  [61] = {.index = 146, .length = 4},
  [62] = {.index = 150, .length = 5},
  [63] = {.index = 155, .length = 4},
  [64] = {.index = 159, .length = 5},
  [65] = {.index = 164, .length = 5},
  [66] = {.index = 169, .length = 5},
  [67] = {.index = 174, .length = 5},
  [68] = {.index = 179, .length = 5},
  [69] = {.index = 184, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_statement, 0},
  [1] =
    {field_statement, 0, .inherited = true},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_argument, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_name, 1, .inherited = true},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_statement, 0, .inherited = true},
    {field_statement, 1, .inherited = true},
  [11] =
    {field_body, 2},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [17] =
    {field_statement, 1},
  [18] =
    {field_left, 0},
    {field_type, 2},
  [20] =
    {field_left, 0},
    {field_right, 2},
  [22] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [25] =
    {field_left, 0},
    {field_left, 2},
    {field_operator, 1},
  [28] =
    {field_body, 3},
    {field_name, 1},
    {field_statement, 3, .inherited = true},
  [31] =
    {field_name, 3, .inherited = true},
  [32] =
    {field_module_name, 1},
  [33] =
    {field_statement, 3, .inherited = true},
  [34] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [37] =
    {field_body, 3},
    {field_parameters, 1},
  [39] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [41] =
    {field_name, 1},
  [42] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [44] =
    {field_alias, 2},
    {field_name, 0},
  [46] =
    {field_body, 3},
    {field_condition, 1},
    {field_statement, 3, .inherited = true},
  [49] =
    {field_body, 2},
    {field_statement, 2, .inherited = true},
  [51] =
    {field_statement, 0},
    {field_statement, 1, .inherited = true},
  [53] =
    {field_statement, 4, .inherited = true},
  [54] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [57] =
    {field_body, 4},
    {field_name, 1},
    {field_statement, 4, .inherited = true},
    {field_superclasses, 2},
  [61] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [64] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [68] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [72] =
    {field_alternative, 0},
  [73] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [76] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
    {field_statement, 3, .inherited = true},
  [80] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_statement, 4, .inherited = true},
  [84] =
    {field_body, 2},
    {field_body, 3},
  [86] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [89] =
    {field_statement, 5, .inherited = true},
  [90] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_statement, 5, .inherited = true},
  [94] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [98] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [100] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [104] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [108] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [110] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [115] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [119] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [123] =
    {field_statement, 2, .inherited = true},
  [124] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
    {field_statement, 5, .inherited = true},
  [128] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
    {field_statement, 6, .inherited = true},
  [132] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [136] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [141] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
    {field_statement, 6, .inherited = true},
  [146] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [150] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
    {field_statement, 5, .inherited = true},
  [155] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [159] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
    {field_statement, 6, .inherited = true},
  [164] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_statement, 7, .inherited = true},
  [169] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [174] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [179] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [184] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[70][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = sym_identifier,
  },
  [19] = {
    [3] = sym_block,
  },
  [22] = {
    [3] = sym_block,
  },
  [23] = {
    [3] = sym_block,
  },
  [24] = {
    [1] = sym_identifier,
  },
  [30] = {
    [3] = sym_block,
  },
  [31] = {
    [2] = sym_block,
  },
  [33] = {
    [4] = sym_block,
  },
  [35] = {
    [4] = sym_block,
  },
  [37] = {
    [3] = sym_block,
  },
  [38] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [4] = sym_block,
  },
  [45] = {
    [5] = sym_block,
  },
  [46] = {
    [5] = sym_block,
  },
  [52] = {
    [3] = sym_block,
  },
  [55] = {
    [2] = sym_block,
  },
  [56] = {
    [5] = sym_block,
  },
  [57] = {
    [6] = sym_block,
  },
  [60] = {
    [6] = sym_block,
  },
  [62] = {
    [5] = sym_block,
  },
  [64] = {
    [6] = sym_block,
  },
  [65] = {
    [7] = sym_block,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(8);
      if (lookahead == '+')
        ADVANCE(9);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(11);
      if (lookahead == '.')
        ADVANCE(12);
      if (lookahead == '/')
        ADVANCE(13);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(17);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(19);
      if (lookahead == '@')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(22);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '|')
        ADVANCE(26);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      if (lookahead == '=')
        ADVANCE(31);
      if (('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(32);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(3);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(33);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=')
        ADVANCE(34);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(35);
      if (lookahead == '=')
        ADVANCE(36);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(37);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(38);
      if (lookahead == '>')
        ADVANCE(39);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(42);
      if (lookahead == '=')
        ADVANCE(43);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == 'B' ||
          lookahead == 'b')
        ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o')
        ADVANCE(46);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(47);
      if (lookahead == '_')
        ADVANCE(48);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=')
        ADVANCE(51);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(52);
      if (lookahead == '=')
        ADVANCE(53);
      if (lookahead == '>')
        ADVANCE(54);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(55);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(56);
      if (lookahead == '>')
        ADVANCE(57);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=')
        ADVANCE(58);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 22:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        SKIP(0);
      if (lookahead == '\r')
        SKIP(59);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(60);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == '_')
        ADVANCE(48);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=')
        ADVANCE(62);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 40:
      if (lookahead == '.')
        ADVANCE(63);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(65);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=')
        ADVANCE(67);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(68);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 45:
      if (lookahead == '_')
        ADVANCE(70);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(71);
      END_STATE();
    case 46:
      if (lookahead == '_')
        ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == '_')
        ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(75);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.')
        ADVANCE(44);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      END_STATE();
    case 49:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(78);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(79);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 59:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        SKIP(0);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(65);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 65:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 68:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(84);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(85);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(70);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(71);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(50);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(73);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(72);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(73);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(75);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_')
        ADVANCE(74);
      if (lookahead == 'L' ||
          lookahead == 'l')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(75);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(86);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(87);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(88);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(85);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 85:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(90);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(77);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(81);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(83);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_')
        ADVANCE(91);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l')
        ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(90);
      END_STATE();
    case 92:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(94);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(97);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(99);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(100);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(102);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(92);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 93:
      if (lookahead == '=')
        ADVANCE(31);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 97:
      if (lookahead == '.')
        ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(41);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=')
        ADVANCE(53);
      if (lookahead == '>')
        ADVANCE(54);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(56);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 102:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        SKIP(92);
      if (lookahead == '\r')
        SKIP(103);
      END_STATE();
    case 103:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        SKIP(92);
      END_STATE();
    case 104:
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '\\')
        ADVANCE(105);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(104);
      END_STATE();
    case 105:
      if (lookahead == '\n')
        ADVANCE(106);
      if (lookahead == '\r')
        ADVANCE(107);
      if (lookahead == 'U')
        ADVANCE(108);
      if (lookahead == 'o')
        ADVANCE(109);
      if (lookahead == 'u')
        ADVANCE(110);
      if (lookahead == 'x')
        ADVANCE(111);
      if (lookahead != 0)
        ADVANCE(112);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\')
        ADVANCE(105);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n')
        ADVANCE(106);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(113);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(114);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(115);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(116);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(117);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(118);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(111);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(112);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(119);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(112);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(110);
      END_STATE();
    case 120:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(8);
      if (lookahead == '+')
        ADVANCE(9);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(13);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(17);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(19);
      if (lookahead == '@')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(123);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '|')
        ADVANCE(26);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(38);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 123:
      if (lookahead == '\n')
        SKIP(120);
      if (lookahead == '\r')
        SKIP(124);
      END_STATE();
    case 124:
      if (lookahead == '\n')
        SKIP(120);
      END_STATE();
    case 125:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(94);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(97);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(99);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(126);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(125);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 126:
      if (lookahead == '\n')
        SKIP(125);
      if (lookahead == '\r')
        SKIP(127);
      END_STATE();
    case 127:
      if (lookahead == '\n')
        SKIP(125);
      END_STATE();
    case 128:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(8);
      if (lookahead == '+')
        ADVANCE(9);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(12);
      if (lookahead == '/')
        ADVANCE(13);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(17);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(19);
      if (lookahead == '@')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(129);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '|')
        ADVANCE(26);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(128);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 129:
      if (lookahead == '\n')
        SKIP(128);
      if (lookahead == '\r')
        SKIP(130);
      END_STATE();
    case 130:
      if (lookahead == '\n')
        SKIP(128);
      END_STATE();
    case 131:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(8);
      if (lookahead == '+')
        ADVANCE(9);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(13);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(17);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(19);
      if (lookahead == '@')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(132);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '|')
        ADVANCE(26);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(131);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 132:
      if (lookahead == '\n')
        SKIP(131);
      if (lookahead == '\r')
        SKIP(133);
      END_STATE();
    case 133:
      if (lookahead == '\n')
        SKIP(131);
      END_STATE();
    case 134:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(94);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(97);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(99);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(136);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(134);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 135:
      if (lookahead == '=')
        ADVANCE(55);
      END_STATE();
    case 136:
      if (lookahead == '\n')
        SKIP(134);
      if (lookahead == '\r')
        SKIP(137);
      END_STATE();
    case 137:
      if (lookahead == '\n')
        SKIP(134);
      END_STATE();
    case 138:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(94);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(97);
      if (lookahead == '0')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(99);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(139);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '~')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(138);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 139:
      if (lookahead == '\n')
        SKIP(138);
      if (lookahead == '\r')
        SKIP(140);
      END_STATE();
    case 140:
      if (lookahead == '\n')
        SKIP(138);
      END_STATE();
    case 141:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(148);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(141);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*')
        ADVANCE(151);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/')
        ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(153);
      if (lookahead == '=')
        ADVANCE(53);
      if (lookahead == '>')
        ADVANCE(54);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(56);
      if (lookahead == '>')
        ADVANCE(154);
      END_STATE();
    case 148:
      if (lookahead == '\n')
        SKIP(141);
      if (lookahead == '\r')
        SKIP(155);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 155:
      if (lookahead == '\n')
        SKIP(141);
      END_STATE();
    case 156:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == ';')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(157);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(156);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 157:
      if (lookahead == '\n')
        SKIP(156);
      if (lookahead == '\r')
        SKIP(158);
      END_STATE();
    case 158:
      if (lookahead == '\n')
        SKIP(156);
      END_STATE();
    case 159:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(160);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(159);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 160:
      if (lookahead == '\n')
        SKIP(159);
      if (lookahead == '\r')
        SKIP(161);
      END_STATE();
    case 161:
      if (lookahead == '\n')
        SKIP(159);
      END_STATE();
    case 162:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(163);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(162);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 163:
      if (lookahead == '\n')
        SKIP(162);
      if (lookahead == '\r')
        SKIP(164);
      END_STATE();
    case 164:
      if (lookahead == '\n')
        SKIP(162);
      END_STATE();
    case 165:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(18);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(166);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(165);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 166:
      if (lookahead == '\n')
        SKIP(165);
      if (lookahead == '\r')
        SKIP(167);
      END_STATE();
    case 167:
      if (lookahead == '\n')
        SKIP(165);
      END_STATE();
    case 168:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(169);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(168);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 169:
      if (lookahead == '\n')
        SKIP(168);
      if (lookahead == '\r')
        SKIP(170);
      END_STATE();
    case 170:
      if (lookahead == '\n')
        SKIP(168);
      END_STATE();
    case 171:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(172);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(171);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 172:
      if (lookahead == '\n')
        SKIP(171);
      if (lookahead == '\r')
        SKIP(173);
      END_STATE();
    case 173:
      if (lookahead == '\n')
        SKIP(171);
      END_STATE();
    case 174:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(175);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(174);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 175:
      if (lookahead == '\n')
        SKIP(174);
      if (lookahead == '\r')
        SKIP(176);
      END_STATE();
    case 176:
      if (lookahead == '\n')
        SKIP(174);
      END_STATE();
    case 177:
      if (lookahead == '!')
        ADVANCE(93);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(178);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 178:
      if (lookahead == '\n')
        SKIP(177);
      if (lookahead == '\r')
        SKIP(179);
      END_STATE();
    case 179:
      if (lookahead == '\n')
        SKIP(177);
      END_STATE();
    case 180:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(181);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(180);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 181:
      if (lookahead == '\n')
        SKIP(180);
      if (lookahead == '\r')
        SKIP(182);
      END_STATE();
    case 182:
      if (lookahead == '\n')
        SKIP(180);
      END_STATE();
    case 183:
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(142);
      if (lookahead == '&')
        ADVANCE(143);
      if (lookahead == '(')
        ADVANCE(6);
      if (lookahead == '*')
        ADVANCE(144);
      if (lookahead == '+')
        ADVANCE(95);
      if (lookahead == '-')
        ADVANCE(96);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(145);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '<')
        ADVANCE(146);
      if (lookahead == '=')
        ADVANCE(135);
      if (lookahead == '>')
        ADVANCE(147);
      if (lookahead == '@')
        ADVANCE(101);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        SKIP(184);
      if (lookahead == '^')
        ADVANCE(149);
      if (lookahead == '|')
        ADVANCE(150);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(183);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 184:
      if (lookahead == '\n')
        SKIP(183);
      if (lookahead == '\r')
        SKIP(185);
      END_STATE();
    case 185:
      if (lookahead == '\n')
        SKIP(183);
      END_STATE();
    case 186:
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == '-')
        ADVANCE(187);
      if (lookahead == ':')
        ADVANCE(98);
      if (lookahead == '\\')
        SKIP(188);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(186);
      END_STATE();
    case 187:
      if (lookahead == '>')
        ADVANCE(39);
      END_STATE();
    case 188:
      if (lookahead == '\n')
        SKIP(186);
      if (lookahead == '\r')
        SKIP(189);
      END_STATE();
    case 189:
      if (lookahead == '\n')
        SKIP(186);
      END_STATE();
    case 190:
      if (lookahead == '\n')
        SKIP(190);
      if (lookahead == '#')
        ADVANCE(191);
      if (lookahead == '\\')
        ADVANCE(192);
      if (lookahead == '{')
        ADVANCE(25);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(193);
      if (lookahead != 0)
        ADVANCE(194);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}')
        ADVANCE(3);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r')
        ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(194);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#')
        ADVANCE(191);
      if (lookahead == '\\')
        ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}')
        ADVANCE(194);
      END_STATE();
    case 196:
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '\\')
        SKIP(197);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(196);
      END_STATE();
    case 197:
      if (lookahead == '\n')
        SKIP(196);
      if (lookahead == '\r')
        SKIP(198);
      END_STATE();
    case 198:
      if (lookahead == '\n')
        SKIP(196);
      END_STATE();
    case 199:
      if (lookahead == '#')
        ADVANCE(3);
      if (lookahead == ')')
        ADVANCE(7);
      if (lookahead == ',')
        ADVANCE(10);
      if (lookahead == '\\')
        SKIP(200);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '}')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(199);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(30);
      END_STATE();
    case 200:
      if (lookahead == '\n')
        SKIP(199);
      if (lookahead == '\r')
        SKIP(201);
      END_STATE();
    case 201:
      if (lookahead == '\n')
        SKIP(199);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'F')
        ADVANCE(1);
      if (lookahead == 'N')
        ADVANCE(2);
      if (lookahead == 'T')
        ADVANCE(3);
      if (lookahead == '\\')
        SKIP(4);
      if (lookahead == '_')
        ADVANCE(5);
      if (lookahead == 'a')
        ADVANCE(6);
      if (lookahead == 'b')
        ADVANCE(7);
      if (lookahead == 'c')
        ADVANCE(8);
      if (lookahead == 'd')
        ADVANCE(9);
      if (lookahead == 'e')
        ADVANCE(10);
      if (lookahead == 'f')
        ADVANCE(11);
      if (lookahead == 'g')
        ADVANCE(12);
      if (lookahead == 'i')
        ADVANCE(13);
      if (lookahead == 'l')
        ADVANCE(14);
      if (lookahead == 'n')
        ADVANCE(15);
      if (lookahead == 'o')
        ADVANCE(16);
      if (lookahead == 'p')
        ADVANCE(17);
      if (lookahead == 'r')
        ADVANCE(18);
      if (lookahead == 't')
        ADVANCE(19);
      if (lookahead == 'w')
        ADVANCE(20);
      if (lookahead == 'y')
        ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279)
        SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a')
        ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o')
        ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r')
        ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '\n')
        SKIP(0);
      if (lookahead == '\r')
        SKIP(25);
      END_STATE();
    case 5:
      if (lookahead == '_')
        ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'n')
        ADVANCE(27);
      if (lookahead == 's')
        ADVANCE(28);
      if (lookahead == 'w')
        ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'r')
        ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'l')
        ADVANCE(31);
      if (lookahead == 'o')
        ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e')
        ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'l')
        ADVANCE(34);
      if (lookahead == 'x')
        ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'i')
        ADVANCE(36);
      if (lookahead == 'o')
        ADVANCE(37);
      if (lookahead == 'r')
        ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'l')
        ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'f')
        ADVANCE(40);
      if (lookahead == 'm')
        ADVANCE(41);
      if (lookahead == 'n')
        ADVANCE(42);
      if (lookahead == 's')
        ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'a')
        ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o')
        ADVANCE(45);
      END_STATE();
    case 16:
      if (lookahead == 'r')
        ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a')
        ADVANCE(47);
      if (lookahead == 'r')
        ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'a')
        ADVANCE(49);
      if (lookahead == 'e')
        ADVANCE(50);
      END_STATE();
    case 19:
      if (lookahead == 'r')
        ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'h')
        ADVANCE(52);
      if (lookahead == 'i')
        ADVANCE(53);
      END_STATE();
    case 21:
      if (lookahead == 'i')
        ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'l')
        ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'n')
        ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'u')
        ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == '\n')
        SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'f')
        ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'd')
        ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's')
        ADVANCE(60);
      if (lookahead == 'y')
        ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a')
        ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'e')
        ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'a')
        ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n')
        ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'f')
        ADVANCE(66);
      if (lookahead == 'l')
        ADVANCE(67);
      END_STATE();
    case 34:
      if (lookahead == 'i')
        ADVANCE(68);
      if (lookahead == 's')
        ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'c')
        ADVANCE(70);
      if (lookahead == 'e')
        ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'n')
        ADVANCE(72);
      END_STATE();
    case 37:
      if (lookahead == 'r')
        ADVANCE(73);
      END_STATE();
    case 38:
      if (lookahead == 'o')
        ADVANCE(74);
      END_STATE();
    case 39:
      if (lookahead == 'o')
        ADVANCE(75);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p')
        ADVANCE(76);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm')
        ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'n')
        ADVANCE(78);
      if (lookahead == 't')
        ADVANCE(79);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 47:
      if (lookahead == 's')
        ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i')
        ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'i')
        ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 't')
        ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'y')
        ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'i')
        ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 't')
        ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 'e')
        ADVANCE(87);
      END_STATE();
    case 55:
      if (lookahead == 's')
        ADVANCE(88);
      END_STATE();
    case 56:
      if (lookahead == 'e')
        ADVANCE(89);
      END_STATE();
    case 57:
      if (lookahead == 'e')
        ADVANCE(90);
      END_STATE();
    case 58:
      if (lookahead == 'u')
        ADVANCE(91);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 60:
      if (lookahead == 'e')
        ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'n')
        ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'i')
        ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'a')
        ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 's')
        ADVANCE(96);
      END_STATE();
    case 65:
      if (lookahead == 't')
        ADVANCE(97);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 68:
      if (lookahead == 'f')
        ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'e')
        ADVANCE(99);
      END_STATE();
    case 70:
      if (lookahead == 'e')
        ADVANCE(100);
      END_STATE();
    case 71:
      if (lookahead == 'c')
        ADVANCE(101);
      END_STATE();
    case 72:
      if (lookahead == 'a')
        ADVANCE(102);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 74:
      if (lookahead == 'm')
        ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'b')
        ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'o')
        ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'b')
        ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 'l')
        ADVANCE(107);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 80:
      if (lookahead == 's')
        ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n')
        ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 's')
        ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'u')
        ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 85:
      if (lookahead == 'l')
        ADVANCE(112);
      END_STATE();
    case 86:
      if (lookahead == 'h')
        ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 'l')
        ADVANCE(114);
      END_STATE();
    case 88:
      if (lookahead == 'e')
        ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 't')
        ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'r')
        ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'c')
        ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 't')
        ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'k')
        ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 's')
        ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'i')
        ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 100:
      if (lookahead == 'p')
        ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 102:
      if (lookahead == 'l')
        ADVANCE(124);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 104:
      if (lookahead == 'a')
        ADVANCE(125);
      END_STATE();
    case 105:
      if (lookahead == 'r')
        ADVANCE(126);
      END_STATE();
    case 106:
      if (lookahead == 'd')
        ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'o')
        ADVANCE(128);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 109:
      if (lookahead == 't')
        ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e')
        ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'r')
        ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'e')
        ADVANCE(132);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 114:
      if (lookahead == 'd')
        ADVANCE(133);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'u')
        ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 't')
        ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 122:
      if (lookahead == 'n')
        ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't')
        ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 'l')
        ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'l')
        ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 't')
        ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'a')
        ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'c')
        ADVANCE(142);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 131:
      if (lookahead == 'n')
        ADVANCE(143);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      if (lookahead == 'r')
        ADVANCE(144);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 136:
      if (lookahead == 'u')
        ADVANCE(145);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 138:
      if (lookahead == 'y')
        ADVANCE(146);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 142:
      if (lookahead == 'a')
        ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      if (lookahead == 'e')
        ADVANCE(148);
      END_STATE();
    case 145:
      if (lookahead == 'e')
        ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'l')
        ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == '_')
        ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 151:
      if (lookahead == '_')
        ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 92, .external_lex_state = 2},
  [2] = {.lex_state = 92},
  [3] = {.lex_state = 104, .external_lex_state = 3},
  [4] = {.lex_state = 92},
  [5] = {.lex_state = 92},
  [6] = {.lex_state = 92, .external_lex_state = 2},
  [7] = {.lex_state = 92, .external_lex_state = 4},
  [8] = {.lex_state = 92, .external_lex_state = 4},
  [9] = {.lex_state = 120},
  [10] = {.lex_state = 125, .external_lex_state = 2},
  [11] = {.lex_state = 92, .external_lex_state = 2},
  [12] = {.lex_state = 92, .external_lex_state = 2},
  [13] = {.lex_state = 92, .external_lex_state = 5},
  [14] = {.lex_state = 92, .external_lex_state = 2},
  [15] = {.lex_state = 92},
  [16] = {.lex_state = 92},
  [17] = {.lex_state = 128, .external_lex_state = 4},
  [18] = {.lex_state = 92, .external_lex_state = 2},
  [19] = {.lex_state = 92},
  [20] = {.lex_state = 92, .external_lex_state = 2},
  [21] = {.lex_state = 92},
  [22] = {.lex_state = 92, .external_lex_state = 2},
  [23] = {.lex_state = 92, .external_lex_state = 5},
  [24] = {.lex_state = 131, .external_lex_state = 5},
  [25] = {.lex_state = 92},
  [26] = {.lex_state = 92, .external_lex_state = 2},
  [27] = {.lex_state = 120, .external_lex_state = 4},
  [28] = {.lex_state = 92, .external_lex_state = 4},
  [29] = {.lex_state = 134, .external_lex_state = 2},
  [30] = {.lex_state = 138, .external_lex_state = 2},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 92, .external_lex_state = 2},
  [33] = {.lex_state = 92, .external_lex_state = 5},
  [34] = {.lex_state = 92, .external_lex_state = 5},
  [35] = {.lex_state = 92, .external_lex_state = 5},
  [36] = {.lex_state = 92, .external_lex_state = 2},
  [37] = {.lex_state = 120},
  [38] = {.lex_state = 92, .external_lex_state = 2},
  [39] = {.lex_state = 120, .external_lex_state = 5},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 92, .external_lex_state = 2},
  [42] = {.lex_state = 120, .external_lex_state = 4},
  [43] = {.lex_state = 92, .external_lex_state = 2},
  [44] = {.lex_state = 92},
  [45] = {.lex_state = 120, .external_lex_state = 5},
  [46] = {.lex_state = 92, .external_lex_state = 2},
  [47] = {.lex_state = 92, .external_lex_state = 2},
  [48] = {.lex_state = 92},
  [49] = {.lex_state = 120, .external_lex_state = 4},
  [50] = {.lex_state = 92, .external_lex_state = 2},
  [51] = {.lex_state = 104, .external_lex_state = 3},
  [52] = {.lex_state = 92, .external_lex_state = 5},
  [53] = {.lex_state = 92},
  [54] = {.lex_state = 141, .external_lex_state = 5},
  [55] = {.lex_state = 92, .external_lex_state = 2},
  [56] = {.lex_state = 104, .external_lex_state = 3},
  [57] = {.lex_state = 92, .external_lex_state = 2},
  [58] = {.lex_state = 156, .external_lex_state = 5},
  [59] = {.lex_state = 92, .external_lex_state = 2},
  [60] = {.lex_state = 125, .external_lex_state = 2},
  [61] = {.lex_state = 138, .external_lex_state = 2},
  [62] = {.lex_state = 134, .external_lex_state = 2},
  [63] = {.lex_state = 92},
  [64] = {.lex_state = 141, .external_lex_state = 4},
  [65] = {.lex_state = 92, .external_lex_state = 5},
  [66] = {.lex_state = 141, .external_lex_state = 5},
  [67] = {.lex_state = 92, .external_lex_state = 2},
  [68] = {.lex_state = 92, .external_lex_state = 5},
  [69] = {.lex_state = 92, .external_lex_state = 5},
  [70] = {.lex_state = 92, .external_lex_state = 5},
  [71] = {.lex_state = 120},
  [72] = {.lex_state = 92},
  [73] = {.lex_state = 92},
  [74] = {.lex_state = 120},
  [75] = {.lex_state = 92},
  [76] = {.lex_state = 159},
  [77] = {.lex_state = 92, .external_lex_state = 2},
  [78] = {.lex_state = 104, .external_lex_state = 3},
  [79] = {.lex_state = 120, .external_lex_state = 5},
  [80] = {.lex_state = 92, .external_lex_state = 2},
  [81] = {.lex_state = 162},
  [82] = {.lex_state = 125, .external_lex_state = 2},
  [83] = {.lex_state = 92, .external_lex_state = 2},
  [84] = {.lex_state = 125, .external_lex_state = 2},
  [85] = {.lex_state = 138, .external_lex_state = 2},
  [86] = {.lex_state = 134, .external_lex_state = 2},
  [87] = {.lex_state = 125},
  [88] = {.lex_state = 92},
  [89] = {.lex_state = 125},
  [90] = {.lex_state = 165, .external_lex_state = 2},
  [91] = {.lex_state = 125},
  [92] = {.lex_state = 165},
  [93] = {.lex_state = 92, .external_lex_state = 2},
  [94] = {.lex_state = 92, .external_lex_state = 2},
  [95] = {.lex_state = 156},
  [96] = {.lex_state = 92, .external_lex_state = 2},
  [97] = {.lex_state = 92},
  [98] = {.lex_state = 92},
  [99] = {.lex_state = 141, .external_lex_state = 2},
  [100] = {.lex_state = 92},
  [101] = {.lex_state = 141},
  [102] = {.lex_state = 92, .external_lex_state = 2},
  [103] = {.lex_state = 92, .external_lex_state = 2},
  [104] = {.lex_state = 156},
  [105] = {.lex_state = 92, .external_lex_state = 2},
  [106] = {.lex_state = 92},
  [107] = {.lex_state = 141, .external_lex_state = 2},
  [108] = {.lex_state = 92},
  [109] = {.lex_state = 141},
  [110] = {.lex_state = 120, .external_lex_state = 5},
  [111] = {.lex_state = 120, .external_lex_state = 5},
  [112] = {.lex_state = 120, .external_lex_state = 5},
  [113] = {.lex_state = 92, .external_lex_state = 5},
  [114] = {.lex_state = 92},
  [115] = {.lex_state = 92},
  [116] = {.lex_state = 125, .external_lex_state = 2},
  [117] = {.lex_state = 92, .external_lex_state = 2},
  [118] = {.lex_state = 92, .external_lex_state = 2},
  [119] = {.lex_state = 92},
  [120] = {.lex_state = 92},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 92, .external_lex_state = 2},
  [124] = {.lex_state = 92, .external_lex_state = 5},
  [125] = {.lex_state = 92, .external_lex_state = 5},
  [126] = {.lex_state = 92, .external_lex_state = 5},
  [127] = {.lex_state = 120, .external_lex_state = 5},
  [128] = {.lex_state = 92, .external_lex_state = 5},
  [129] = {.lex_state = 92, .external_lex_state = 5},
  [130] = {.lex_state = 92, .external_lex_state = 5},
  [131] = {.lex_state = 92},
  [132] = {.lex_state = 92},
  [133] = {.lex_state = 120, .external_lex_state = 5},
  [134] = {.lex_state = 92, .external_lex_state = 2},
  [135] = {.lex_state = 92, .external_lex_state = 5},
  [136] = {.lex_state = 120, .external_lex_state = 5},
  [137] = {.lex_state = 104, .external_lex_state = 3},
  [138] = {.lex_state = 92, .external_lex_state = 5},
  [139] = {.lex_state = 92, .external_lex_state = 2},
  [140] = {.lex_state = 92, .external_lex_state = 2},
  [141] = {.lex_state = 156, .external_lex_state = 5},
  [142] = {.lex_state = 92, .external_lex_state = 2},
  [143] = {.lex_state = 92, .external_lex_state = 2},
  [144] = {.lex_state = 92},
  [145] = {.lex_state = 141, .external_lex_state = 4},
  [146] = {.lex_state = 92, .external_lex_state = 5},
  [147] = {.lex_state = 92, .external_lex_state = 5},
  [148] = {.lex_state = 141, .external_lex_state = 5},
  [149] = {.lex_state = 92, .external_lex_state = 2},
  [150] = {.lex_state = 92, .external_lex_state = 2},
  [151] = {.lex_state = 168},
  [152] = {.lex_state = 134, .external_lex_state = 2},
  [153] = {.lex_state = 120, .external_lex_state = 5},
  [154] = {.lex_state = 92, .external_lex_state = 2},
  [155] = {.lex_state = 134},
  [156] = {.lex_state = 92},
  [157] = {.lex_state = 134},
  [158] = {.lex_state = 171, .external_lex_state = 2},
  [159] = {.lex_state = 134},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 92, .external_lex_state = 2},
  [162] = {.lex_state = 92, .external_lex_state = 2},
  [163] = {.lex_state = 174},
  [164] = {.lex_state = 138, .external_lex_state = 2},
  [165] = {.lex_state = 92, .external_lex_state = 2},
  [166] = {.lex_state = 120, .external_lex_state = 5},
  [167] = {.lex_state = 138},
  [168] = {.lex_state = 92},
  [169] = {.lex_state = 138},
  [170] = {.lex_state = 138},
  [171] = {.lex_state = 138},
  [172] = {.lex_state = 177, .external_lex_state = 2},
  [173] = {.lex_state = 138},
  [174] = {.lex_state = 177},
  [175] = {.lex_state = 92, .external_lex_state = 6},
  [176] = {.lex_state = 92, .external_lex_state = 2},
  [177] = {.lex_state = 141, .external_lex_state = 2},
  [178] = {.lex_state = 92},
  [179] = {.lex_state = 141},
  [180] = {.lex_state = 92, .external_lex_state = 4},
  [181] = {.lex_state = 92, .external_lex_state = 2},
  [182] = {.lex_state = 92, .external_lex_state = 5},
  [183] = {.lex_state = 92, .external_lex_state = 2},
  [184] = {.lex_state = 92, .external_lex_state = 2},
  [185] = {.lex_state = 92, .external_lex_state = 2},
  [186] = {.lex_state = 92, .external_lex_state = 2},
  [187] = {.lex_state = 92, .external_lex_state = 2},
  [188] = {.lex_state = 92, .external_lex_state = 2},
  [189] = {.lex_state = 92, .external_lex_state = 2},
  [190] = {.lex_state = 92, .external_lex_state = 2},
  [191] = {.lex_state = 92, .external_lex_state = 2},
  [192] = {.lex_state = 92},
  [193] = {.lex_state = 125, .external_lex_state = 2},
  [194] = {.lex_state = 92, .external_lex_state = 2},
  [195] = {.lex_state = 92, .external_lex_state = 2},
  [196] = {.lex_state = 92, .external_lex_state = 2},
  [197] = {.lex_state = 92},
  [198] = {.lex_state = 92, .external_lex_state = 2},
  [199] = {.lex_state = 120, .external_lex_state = 5},
  [200] = {.lex_state = 120, .external_lex_state = 5},
  [201] = {.lex_state = 120, .external_lex_state = 4},
  [202] = {.lex_state = 92, .external_lex_state = 2},
  [203] = {.lex_state = 92},
  [204] = {.lex_state = 92},
  [205] = {.lex_state = 92, .external_lex_state = 2},
  [206] = {.lex_state = 92, .external_lex_state = 2},
  [207] = {.lex_state = 128, .external_lex_state = 4},
  [208] = {.lex_state = 92, .external_lex_state = 2},
  [209] = {.lex_state = 92, .external_lex_state = 2},
  [210] = {.lex_state = 120, .external_lex_state = 5},
  [211] = {.lex_state = 92},
  [212] = {.lex_state = 92},
  [213] = {.lex_state = 92},
  [214] = {.lex_state = 92, .external_lex_state = 2},
  [215] = {.lex_state = 92, .external_lex_state = 2},
  [216] = {.lex_state = 180},
  [217] = {.lex_state = 92, .external_lex_state = 2},
  [218] = {.lex_state = 92},
  [219] = {.lex_state = 183, .external_lex_state = 2},
  [220] = {.lex_state = 183},
  [221] = {.lex_state = 183},
  [222] = {.lex_state = 120, .external_lex_state = 4},
  [223] = {.lex_state = 104, .external_lex_state = 3},
  [224] = {.lex_state = 92},
  [225] = {.lex_state = 92, .external_lex_state = 5},
  [226] = {.lex_state = 125, .external_lex_state = 2},
  [227] = {.lex_state = 92, .external_lex_state = 6},
  [228] = {.lex_state = 0},
  [229] = {.lex_state = 141, .external_lex_state = 5},
  [230] = {.lex_state = 141, .external_lex_state = 4},
  [231] = {.lex_state = 104, .external_lex_state = 3},
  [232] = {.lex_state = 92, .external_lex_state = 2},
  [233] = {.lex_state = 92, .external_lex_state = 5},
  [234] = {.lex_state = 141, .external_lex_state = 5},
  [235] = {.lex_state = 125},
  [236] = {.lex_state = 125},
  [237] = {.lex_state = 125},
  [238] = {.lex_state = 141, .external_lex_state = 5},
  [239] = {.lex_state = 138},
  [240] = {.lex_state = 138},
  [241] = {.lex_state = 138},
  [242] = {.lex_state = 138},
  [243] = {.lex_state = 138},
  [244] = {.lex_state = 141, .external_lex_state = 5},
  [245] = {.lex_state = 134},
  [246] = {.lex_state = 134},
  [247] = {.lex_state = 134},
  [248] = {.lex_state = 92, .external_lex_state = 2},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 141, .external_lex_state = 4},
  [251] = {.lex_state = 92, .external_lex_state = 2},
  [252] = {.lex_state = 92, .external_lex_state = 2},
  [253] = {.lex_state = 92, .external_lex_state = 2},
  [254] = {.lex_state = 92, .external_lex_state = 2},
  [255] = {.lex_state = 92, .external_lex_state = 5},
  [256] = {.lex_state = 92, .external_lex_state = 2},
  [257] = {.lex_state = 92, .external_lex_state = 2},
  [258] = {.lex_state = 92, .external_lex_state = 2},
  [259] = {.lex_state = 92, .external_lex_state = 2},
  [260] = {.lex_state = 92, .external_lex_state = 2},
  [261] = {.lex_state = 92, .external_lex_state = 2},
  [262] = {.lex_state = 92},
  [263] = {.lex_state = 125, .external_lex_state = 2},
  [264] = {.lex_state = 92, .external_lex_state = 2},
  [265] = {.lex_state = 92, .external_lex_state = 2},
  [266] = {.lex_state = 92, .external_lex_state = 2},
  [267] = {.lex_state = 92},
  [268] = {.lex_state = 92, .external_lex_state = 2},
  [269] = {.lex_state = 141, .external_lex_state = 5},
  [270] = {.lex_state = 92, .external_lex_state = 5},
  [271] = {.lex_state = 92, .external_lex_state = 2},
  [272] = {.lex_state = 92, .external_lex_state = 2},
  [273] = {.lex_state = 156, .external_lex_state = 5},
  [274] = {.lex_state = 92, .external_lex_state = 2},
  [275] = {.lex_state = 92},
  [276] = {.lex_state = 141, .external_lex_state = 4},
  [277] = {.lex_state = 92, .external_lex_state = 5},
  [278] = {.lex_state = 141, .external_lex_state = 5},
  [279] = {.lex_state = 92, .external_lex_state = 4},
  [280] = {.lex_state = 92, .external_lex_state = 5},
  [281] = {.lex_state = 92},
  [282] = {.lex_state = 120},
  [283] = {.lex_state = 92},
  [284] = {.lex_state = 92},
  [285] = {.lex_state = 120},
  [286] = {.lex_state = 92},
  [287] = {.lex_state = 159},
  [288] = {.lex_state = 159, .external_lex_state = 2},
  [289] = {.lex_state = 104, .external_lex_state = 3},
  [290] = {.lex_state = 159},
  [291] = {.lex_state = 92, .external_lex_state = 2},
  [292] = {.lex_state = 92, .external_lex_state = 2},
  [293] = {.lex_state = 92, .external_lex_state = 2},
  [294] = {.lex_state = 162},
  [295] = {.lex_state = 92, .external_lex_state = 2},
  [296] = {.lex_state = 92, .external_lex_state = 2},
  [297] = {.lex_state = 92},
  [298] = {.lex_state = 165, .external_lex_state = 2},
  [299] = {.lex_state = 125},
  [300] = {.lex_state = 125},
  [301] = {.lex_state = 165},
  [302] = {.lex_state = 125},
  [303] = {.lex_state = 159},
  [304] = {.lex_state = 125},
  [305] = {.lex_state = 125},
  [306] = {.lex_state = 125},
  [307] = {.lex_state = 159},
  [308] = {.lex_state = 138},
  [309] = {.lex_state = 138},
  [310] = {.lex_state = 138},
  [311] = {.lex_state = 138},
  [312] = {.lex_state = 138},
  [313] = {.lex_state = 159},
  [314] = {.lex_state = 134},
  [315] = {.lex_state = 134},
  [316] = {.lex_state = 134},
  [317] = {.lex_state = 120, .external_lex_state = 5},
  [318] = {.lex_state = 92, .external_lex_state = 2},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 120, .external_lex_state = 5},
  [321] = {.lex_state = 125, .external_lex_state = 2},
  [322] = {.lex_state = 125},
  [323] = {.lex_state = 165, .external_lex_state = 2},
  [324] = {.lex_state = 92, .external_lex_state = 2},
  [325] = {.lex_state = 92, .external_lex_state = 2},
  [326] = {.lex_state = 92, .external_lex_state = 2},
  [327] = {.lex_state = 92, .external_lex_state = 2},
  [328] = {.lex_state = 92},
  [329] = {.lex_state = 125},
  [330] = {.lex_state = 125},
  [331] = {.lex_state = 92, .external_lex_state = 2},
  [332] = {.lex_state = 92, .external_lex_state = 2},
  [333] = {.lex_state = 92, .external_lex_state = 2},
  [334] = {.lex_state = 92, .external_lex_state = 2},
  [335] = {.lex_state = 92, .external_lex_state = 2},
  [336] = {.lex_state = 92, .external_lex_state = 2},
  [337] = {.lex_state = 92},
  [338] = {.lex_state = 125, .external_lex_state = 2},
  [339] = {.lex_state = 92, .external_lex_state = 2},
  [340] = {.lex_state = 92, .external_lex_state = 2},
  [341] = {.lex_state = 92, .external_lex_state = 2},
  [342] = {.lex_state = 92},
  [343] = {.lex_state = 92, .external_lex_state = 2},
  [344] = {.lex_state = 159},
  [345] = {.lex_state = 125},
  [346] = {.lex_state = 92, .external_lex_state = 2},
  [347] = {.lex_state = 92},
  [348] = {.lex_state = 92, .external_lex_state = 2},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 92, .external_lex_state = 6},
  [351] = {.lex_state = 92, .external_lex_state = 2},
  [352] = {.lex_state = 92},
  [353] = {.lex_state = 141, .external_lex_state = 2},
  [354] = {.lex_state = 92, .external_lex_state = 2},
  [355] = {.lex_state = 92, .external_lex_state = 2},
  [356] = {.lex_state = 92, .external_lex_state = 2},
  [357] = {.lex_state = 92, .external_lex_state = 2},
  [358] = {.lex_state = 92, .external_lex_state = 2},
  [359] = {.lex_state = 92, .external_lex_state = 2},
  [360] = {.lex_state = 92, .external_lex_state = 2},
  [361] = {.lex_state = 92, .external_lex_state = 2},
  [362] = {.lex_state = 92, .external_lex_state = 2},
  [363] = {.lex_state = 92},
  [364] = {.lex_state = 92, .external_lex_state = 2},
  [365] = {.lex_state = 92, .external_lex_state = 2},
  [366] = {.lex_state = 92, .external_lex_state = 2},
  [367] = {.lex_state = 92, .external_lex_state = 2},
  [368] = {.lex_state = 92},
  [369] = {.lex_state = 92, .external_lex_state = 2},
  [370] = {.lex_state = 92},
  [371] = {.lex_state = 92, .external_lex_state = 2},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 141, .external_lex_state = 2},
  [374] = {.lex_state = 92, .external_lex_state = 6},
  [375] = {.lex_state = 92, .external_lex_state = 2},
  [376] = {.lex_state = 92, .external_lex_state = 2},
  [377] = {.lex_state = 92, .external_lex_state = 2},
  [378] = {.lex_state = 92, .external_lex_state = 2},
  [379] = {.lex_state = 92, .external_lex_state = 2},
  [380] = {.lex_state = 92, .external_lex_state = 2},
  [381] = {.lex_state = 92, .external_lex_state = 2},
  [382] = {.lex_state = 92, .external_lex_state = 2},
  [383] = {.lex_state = 92},
  [384] = {.lex_state = 92, .external_lex_state = 2},
  [385] = {.lex_state = 92, .external_lex_state = 2},
  [386] = {.lex_state = 92, .external_lex_state = 2},
  [387] = {.lex_state = 92, .external_lex_state = 2},
  [388] = {.lex_state = 92},
  [389] = {.lex_state = 92},
  [390] = {.lex_state = 120, .external_lex_state = 5},
  [391] = {.lex_state = 125, .external_lex_state = 2},
  [392] = {.lex_state = 92},
  [393] = {.lex_state = 0, .external_lex_state = 5},
  [394] = {.lex_state = 92, .external_lex_state = 2},
  [395] = {.lex_state = 92},
  [396] = {.lex_state = 92},
  [397] = {.lex_state = 92, .external_lex_state = 2},
  [398] = {.lex_state = 92},
  [399] = {.lex_state = 92},
  [400] = {.lex_state = 125},
  [401] = {.lex_state = 125},
  [402] = {.lex_state = 92, .external_lex_state = 2},
  [403] = {.lex_state = 92, .external_lex_state = 2},
  [404] = {.lex_state = 156},
  [405] = {.lex_state = 92, .external_lex_state = 2},
  [406] = {.lex_state = 92, .external_lex_state = 2},
  [407] = {.lex_state = 92},
  [408] = {.lex_state = 141, .external_lex_state = 2},
  [409] = {.lex_state = 92},
  [410] = {.lex_state = 141},
  [411] = {.lex_state = 120, .external_lex_state = 5},
  [412] = {.lex_state = 92, .external_lex_state = 2},
  [413] = {.lex_state = 92, .external_lex_state = 5},
  [414] = {.lex_state = 92, .external_lex_state = 4},
  [415] = {.lex_state = 92, .external_lex_state = 5},
  [416] = {.lex_state = 92, .external_lex_state = 4},
  [417] = {.lex_state = 92, .external_lex_state = 5},
  [418] = {.lex_state = 120, .external_lex_state = 5},
  [419] = {.lex_state = 92, .external_lex_state = 5},
  [420] = {.lex_state = 92, .external_lex_state = 5},
  [421] = {.lex_state = 92},
  [422] = {.lex_state = 92, .external_lex_state = 6},
  [423] = {.lex_state = 125},
  [424] = {.lex_state = 186},
  [425] = {.lex_state = 120, .external_lex_state = 5},
  [426] = {.lex_state = 92, .external_lex_state = 5},
  [427] = {.lex_state = 92, .external_lex_state = 5},
  [428] = {.lex_state = 104, .external_lex_state = 3},
  [429] = {.lex_state = 92, .external_lex_state = 2},
  [430] = {.lex_state = 92, .external_lex_state = 2},
  [431] = {.lex_state = 92, .external_lex_state = 5},
  [432] = {.lex_state = 92, .external_lex_state = 5},
  [433] = {.lex_state = 92, .external_lex_state = 2},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 141, .external_lex_state = 4},
  [436] = {.lex_state = 92, .external_lex_state = 2},
  [437] = {.lex_state = 92, .external_lex_state = 2},
  [438] = {.lex_state = 92, .external_lex_state = 4},
  [439] = {.lex_state = 92, .external_lex_state = 2},
  [440] = {.lex_state = 92, .external_lex_state = 2},
  [441] = {.lex_state = 92, .external_lex_state = 5},
  [442] = {.lex_state = 92, .external_lex_state = 2},
  [443] = {.lex_state = 92, .external_lex_state = 2},
  [444] = {.lex_state = 92, .external_lex_state = 2},
  [445] = {.lex_state = 92, .external_lex_state = 2},
  [446] = {.lex_state = 92, .external_lex_state = 2},
  [447] = {.lex_state = 92},
  [448] = {.lex_state = 92, .external_lex_state = 2},
  [449] = {.lex_state = 92, .external_lex_state = 2},
  [450] = {.lex_state = 92, .external_lex_state = 2},
  [451] = {.lex_state = 92, .external_lex_state = 2},
  [452] = {.lex_state = 92, .external_lex_state = 5},
  [453] = {.lex_state = 92, .external_lex_state = 2},
  [454] = {.lex_state = 92, .external_lex_state = 2},
  [455] = {.lex_state = 92, .external_lex_state = 2},
  [456] = {.lex_state = 168},
  [457] = {.lex_state = 92, .external_lex_state = 2},
  [458] = {.lex_state = 92},
  [459] = {.lex_state = 171, .external_lex_state = 2},
  [460] = {.lex_state = 134},
  [461] = {.lex_state = 171},
  [462] = {.lex_state = 134},
  [463] = {.lex_state = 120, .external_lex_state = 5},
  [464] = {.lex_state = 92, .external_lex_state = 2},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 134, .external_lex_state = 2},
  [467] = {.lex_state = 134},
  [468] = {.lex_state = 171, .external_lex_state = 2},
  [469] = {.lex_state = 92, .external_lex_state = 2},
  [470] = {.lex_state = 92, .external_lex_state = 2},
  [471] = {.lex_state = 92, .external_lex_state = 2},
  [472] = {.lex_state = 92, .external_lex_state = 2},
  [473] = {.lex_state = 92},
  [474] = {.lex_state = 134},
  [475] = {.lex_state = 134},
  [476] = {.lex_state = 92, .external_lex_state = 2},
  [477] = {.lex_state = 92, .external_lex_state = 2},
  [478] = {.lex_state = 92, .external_lex_state = 2},
  [479] = {.lex_state = 92, .external_lex_state = 2},
  [480] = {.lex_state = 92, .external_lex_state = 2},
  [481] = {.lex_state = 92},
  [482] = {.lex_state = 92, .external_lex_state = 2},
  [483] = {.lex_state = 92, .external_lex_state = 2},
  [484] = {.lex_state = 92, .external_lex_state = 2},
  [485] = {.lex_state = 92, .external_lex_state = 2},
  [486] = {.lex_state = 134},
  [487] = {.lex_state = 92, .external_lex_state = 2},
  [488] = {.lex_state = 92, .external_lex_state = 2},
  [489] = {.lex_state = 92, .external_lex_state = 2},
  [490] = {.lex_state = 174},
  [491] = {.lex_state = 92, .external_lex_state = 2},
  [492] = {.lex_state = 92, .external_lex_state = 2},
  [493] = {.lex_state = 92},
  [494] = {.lex_state = 177, .external_lex_state = 2},
  [495] = {.lex_state = 138},
  [496] = {.lex_state = 177},
  [497] = {.lex_state = 138},
  [498] = {.lex_state = 120, .external_lex_state = 5},
  [499] = {.lex_state = 92, .external_lex_state = 2},
  [500] = {.lex_state = 0},
  [501] = {.lex_state = 138, .external_lex_state = 2},
  [502] = {.lex_state = 138},
  [503] = {.lex_state = 92, .external_lex_state = 2},
  [504] = {.lex_state = 92},
  [505] = {.lex_state = 138},
  [506] = {.lex_state = 138},
  [507] = {.lex_state = 120, .external_lex_state = 5},
  [508] = {.lex_state = 138, .external_lex_state = 2},
  [509] = {.lex_state = 138},
  [510] = {.lex_state = 177, .external_lex_state = 2},
  [511] = {.lex_state = 92, .external_lex_state = 2},
  [512] = {.lex_state = 92, .external_lex_state = 2},
  [513] = {.lex_state = 92, .external_lex_state = 2},
  [514] = {.lex_state = 92, .external_lex_state = 2},
  [515] = {.lex_state = 138},
  [516] = {.lex_state = 92, .external_lex_state = 2},
  [517] = {.lex_state = 92, .external_lex_state = 2},
  [518] = {.lex_state = 92, .external_lex_state = 2},
  [519] = {.lex_state = 92, .external_lex_state = 2},
  [520] = {.lex_state = 92, .external_lex_state = 2},
  [521] = {.lex_state = 92},
  [522] = {.lex_state = 92, .external_lex_state = 2},
  [523] = {.lex_state = 92, .external_lex_state = 2},
  [524] = {.lex_state = 92, .external_lex_state = 2},
  [525] = {.lex_state = 92, .external_lex_state = 2},
  [526] = {.lex_state = 138},
  [527] = {.lex_state = 92, .external_lex_state = 7},
  [528] = {.lex_state = 92, .external_lex_state = 5},
  [529] = {.lex_state = 92},
  [530] = {.lex_state = 141, .external_lex_state = 2},
  [531] = {.lex_state = 92, .external_lex_state = 2},
  [532] = {.lex_state = 92, .external_lex_state = 2},
  [533] = {.lex_state = 92, .external_lex_state = 2},
  [534] = {.lex_state = 92, .external_lex_state = 2},
  [535] = {.lex_state = 92, .external_lex_state = 2},
  [536] = {.lex_state = 92, .external_lex_state = 2},
  [537] = {.lex_state = 92, .external_lex_state = 2},
  [538] = {.lex_state = 92, .external_lex_state = 2},
  [539] = {.lex_state = 92, .external_lex_state = 2},
  [540] = {.lex_state = 92},
  [541] = {.lex_state = 92, .external_lex_state = 2},
  [542] = {.lex_state = 92, .external_lex_state = 5},
  [543] = {.lex_state = 92, .external_lex_state = 4},
  [544] = {.lex_state = 92, .external_lex_state = 5},
  [545] = {.lex_state = 92, .external_lex_state = 2},
  [546] = {.lex_state = 92, .external_lex_state = 2},
  [547] = {.lex_state = 156, .external_lex_state = 5},
  [548] = {.lex_state = 92, .external_lex_state = 2},
  [549] = {.lex_state = 92},
  [550] = {.lex_state = 92, .external_lex_state = 5},
  [551] = {.lex_state = 141, .external_lex_state = 4},
  [552] = {.lex_state = 92, .external_lex_state = 5},
  [553] = {.lex_state = 141, .external_lex_state = 5},
  [554] = {.lex_state = 120, .external_lex_state = 5},
  [555] = {.lex_state = 92, .external_lex_state = 5},
  [556] = {.lex_state = 120, .external_lex_state = 5},
  [557] = {.lex_state = 92, .external_lex_state = 5},
  [558] = {.lex_state = 92, .external_lex_state = 2},
  [559] = {.lex_state = 134, .external_lex_state = 2},
  [560] = {.lex_state = 92, .external_lex_state = 2},
  [561] = {.lex_state = 168},
  [562] = {.lex_state = 92, .external_lex_state = 2},
  [563] = {.lex_state = 92},
  [564] = {.lex_state = 171, .external_lex_state = 2},
  [565] = {.lex_state = 134},
  [566] = {.lex_state = 134},
  [567] = {.lex_state = 171},
  [568] = {.lex_state = 120, .external_lex_state = 5},
  [569] = {.lex_state = 120, .external_lex_state = 5},
  [570] = {.lex_state = 92, .external_lex_state = 2},
  [571] = {.lex_state = 120, .external_lex_state = 5},
  [572] = {.lex_state = 120, .external_lex_state = 5},
  [573] = {.lex_state = 165},
  [574] = {.lex_state = 120, .external_lex_state = 5},
  [575] = {.lex_state = 162},
  [576] = {.lex_state = 125, .external_lex_state = 2},
  [577] = {.lex_state = 125},
  [578] = {.lex_state = 125},
  [579] = {.lex_state = 125},
  [580] = {.lex_state = 120, .external_lex_state = 5},
  [581] = {.lex_state = 120, .external_lex_state = 5},
  [582] = {.lex_state = 120, .external_lex_state = 5},
  [583] = {.lex_state = 120, .external_lex_state = 5},
  [584] = {.lex_state = 120, .external_lex_state = 5},
  [585] = {.lex_state = 120, .external_lex_state = 5},
  [586] = {.lex_state = 120, .external_lex_state = 4},
  [587] = {.lex_state = 120, .external_lex_state = 5},
  [588] = {.lex_state = 120, .external_lex_state = 5},
  [589] = {.lex_state = 92, .external_lex_state = 2},
  [590] = {.lex_state = 92, .external_lex_state = 2},
  [591] = {.lex_state = 156},
  [592] = {.lex_state = 92, .external_lex_state = 2},
  [593] = {.lex_state = 92},
  [594] = {.lex_state = 141, .external_lex_state = 2},
  [595] = {.lex_state = 92},
  [596] = {.lex_state = 141},
  [597] = {.lex_state = 120, .external_lex_state = 5},
  [598] = {.lex_state = 128, .external_lex_state = 4},
  [599] = {.lex_state = 120, .external_lex_state = 5},
  [600] = {.lex_state = 92, .external_lex_state = 2},
  [601] = {.lex_state = 92, .external_lex_state = 6},
  [602] = {.lex_state = 92},
  [603] = {.lex_state = 186},
  [604] = {.lex_state = 92, .external_lex_state = 2},
  [605] = {.lex_state = 183},
  [606] = {.lex_state = 92, .external_lex_state = 2},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 183, .external_lex_state = 2},
  [609] = {.lex_state = 190},
  [610] = {.lex_state = 92, .external_lex_state = 2},
  [611] = {.lex_state = 92, .external_lex_state = 2},
  [612] = {.lex_state = 92, .external_lex_state = 2},
  [613] = {.lex_state = 104, .external_lex_state = 3},
  [614] = {.lex_state = 138},
  [615] = {.lex_state = 138},
  [616] = {.lex_state = 92, .external_lex_state = 2},
  [617] = {.lex_state = 92, .external_lex_state = 2},
  [618] = {.lex_state = 92, .external_lex_state = 2},
  [619] = {.lex_state = 92, .external_lex_state = 2},
  [620] = {.lex_state = 92, .external_lex_state = 2},
  [621] = {.lex_state = 92},
  [622] = {.lex_state = 92, .external_lex_state = 2},
  [623] = {.lex_state = 92, .external_lex_state = 2},
  [624] = {.lex_state = 92, .external_lex_state = 2},
  [625] = {.lex_state = 92, .external_lex_state = 2},
  [626] = {.lex_state = 183},
  [627] = {.lex_state = 92, .external_lex_state = 5},
  [628] = {.lex_state = 92, .external_lex_state = 5},
  [629] = {.lex_state = 159},
  [630] = {.lex_state = 162},
  [631] = {.lex_state = 125},
  [632] = {.lex_state = 125},
  [633] = {.lex_state = 125},
  [634] = {.lex_state = 92, .external_lex_state = 7},
  [635] = {.lex_state = 92, .external_lex_state = 2},
  [636] = {.lex_state = 92, .external_lex_state = 6},
  [637] = {.lex_state = 141, .external_lex_state = 4},
  [638] = {.lex_state = 92, .external_lex_state = 5},
  [639] = {.lex_state = 141, .external_lex_state = 5},
  [640] = {.lex_state = 141, .external_lex_state = 5},
  [641] = {.lex_state = 125, .external_lex_state = 2},
  [642] = {.lex_state = 125},
  [643] = {.lex_state = 125},
  [644] = {.lex_state = 141, .external_lex_state = 5},
  [645] = {.lex_state = 138, .external_lex_state = 2},
  [646] = {.lex_state = 138},
  [647] = {.lex_state = 138},
  [648] = {.lex_state = 141, .external_lex_state = 5},
  [649] = {.lex_state = 138, .external_lex_state = 2},
  [650] = {.lex_state = 138},
  [651] = {.lex_state = 138},
  [652] = {.lex_state = 141, .external_lex_state = 5},
  [653] = {.lex_state = 134, .external_lex_state = 2},
  [654] = {.lex_state = 134},
  [655] = {.lex_state = 134},
  [656] = {.lex_state = 92, .external_lex_state = 5},
  [657] = {.lex_state = 92, .external_lex_state = 2},
  [658] = {.lex_state = 141, .external_lex_state = 4},
  [659] = {.lex_state = 92, .external_lex_state = 5},
  [660] = {.lex_state = 92, .external_lex_state = 5},
  [661] = {.lex_state = 92},
  [662] = {.lex_state = 92, .external_lex_state = 5},
  [663] = {.lex_state = 134},
  [664] = {.lex_state = 134},
  [665] = {.lex_state = 141, .external_lex_state = 5},
  [666] = {.lex_state = 141, .external_lex_state = 5},
  [667] = {.lex_state = 92, .external_lex_state = 2},
  [668] = {.lex_state = 141, .external_lex_state = 5},
  [669] = {.lex_state = 141, .external_lex_state = 5},
  [670] = {.lex_state = 141, .external_lex_state = 5},
  [671] = {.lex_state = 125},
  [672] = {.lex_state = 125},
  [673] = {.lex_state = 125},
  [674] = {.lex_state = 141, .external_lex_state = 5},
  [675] = {.lex_state = 141, .external_lex_state = 5},
  [676] = {.lex_state = 141, .external_lex_state = 5},
  [677] = {.lex_state = 141, .external_lex_state = 5},
  [678] = {.lex_state = 141, .external_lex_state = 5},
  [679] = {.lex_state = 92, .external_lex_state = 5},
  [680] = {.lex_state = 92, .external_lex_state = 2},
  [681] = {.lex_state = 92, .external_lex_state = 5},
  [682] = {.lex_state = 92, .external_lex_state = 2},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 141, .external_lex_state = 4},
  [685] = {.lex_state = 92, .external_lex_state = 2},
  [686] = {.lex_state = 92, .external_lex_state = 2},
  [687] = {.lex_state = 92, .external_lex_state = 2},
  [688] = {.lex_state = 92, .external_lex_state = 2},
  [689] = {.lex_state = 92, .external_lex_state = 2},
  [690] = {.lex_state = 92, .external_lex_state = 2},
  [691] = {.lex_state = 92, .external_lex_state = 2},
  [692] = {.lex_state = 92, .external_lex_state = 2},
  [693] = {.lex_state = 92},
  [694] = {.lex_state = 92, .external_lex_state = 2},
  [695] = {.lex_state = 92, .external_lex_state = 2},
  [696] = {.lex_state = 92, .external_lex_state = 2},
  [697] = {.lex_state = 92, .external_lex_state = 2},
  [698] = {.lex_state = 92, .external_lex_state = 5},
  [699] = {.lex_state = 92, .external_lex_state = 4},
  [700] = {.lex_state = 165},
  [701] = {.lex_state = 120},
  [702] = {.lex_state = 92, .external_lex_state = 5},
  [703] = {.lex_state = 92, .external_lex_state = 5},
  [704] = {.lex_state = 92},
  [705] = {.lex_state = 92, .external_lex_state = 5},
  [706] = {.lex_state = 159, .external_lex_state = 2},
  [707] = {.lex_state = 125},
  [708] = {.lex_state = 92, .external_lex_state = 2},
  [709] = {.lex_state = 125},
  [710] = {.lex_state = 125},
  [711] = {.lex_state = 92, .external_lex_state = 2},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 165, .external_lex_state = 2},
  [714] = {.lex_state = 92, .external_lex_state = 2},
  [715] = {.lex_state = 125, .external_lex_state = 2},
  [716] = {.lex_state = 92, .external_lex_state = 2},
  [717] = {.lex_state = 92, .external_lex_state = 2},
  [718] = {.lex_state = 125},
  [719] = {.lex_state = 92, .external_lex_state = 2},
  [720] = {.lex_state = 92, .external_lex_state = 2},
  [721] = {.lex_state = 92, .external_lex_state = 2},
  [722] = {.lex_state = 92, .external_lex_state = 2},
  [723] = {.lex_state = 92, .external_lex_state = 2},
  [724] = {.lex_state = 92},
  [725] = {.lex_state = 92, .external_lex_state = 2},
  [726] = {.lex_state = 92, .external_lex_state = 2},
  [727] = {.lex_state = 92, .external_lex_state = 2},
  [728] = {.lex_state = 92, .external_lex_state = 2},
  [729] = {.lex_state = 125},
  [730] = {.lex_state = 159},
  [731] = {.lex_state = 159},
  [732] = {.lex_state = 125, .external_lex_state = 2},
  [733] = {.lex_state = 125},
  [734] = {.lex_state = 125},
  [735] = {.lex_state = 159},
  [736] = {.lex_state = 138, .external_lex_state = 2},
  [737] = {.lex_state = 138},
  [738] = {.lex_state = 138},
  [739] = {.lex_state = 159},
  [740] = {.lex_state = 138, .external_lex_state = 2},
  [741] = {.lex_state = 138},
  [742] = {.lex_state = 138},
  [743] = {.lex_state = 159},
  [744] = {.lex_state = 134, .external_lex_state = 2},
  [745] = {.lex_state = 134},
  [746] = {.lex_state = 134},
  [747] = {.lex_state = 125},
  [748] = {.lex_state = 92, .external_lex_state = 2},
  [749] = {.lex_state = 120, .external_lex_state = 5},
  [750] = {.lex_state = 125},
  [751] = {.lex_state = 125},
  [752] = {.lex_state = 125, .external_lex_state = 2},
  [753] = {.lex_state = 125},
  [754] = {.lex_state = 165, .external_lex_state = 2},
  [755] = {.lex_state = 125},
  [756] = {.lex_state = 92},
  [757] = {.lex_state = 92},
  [758] = {.lex_state = 159},
  [759] = {.lex_state = 92, .external_lex_state = 2},
  [760] = {.lex_state = 92, .external_lex_state = 2},
  [761] = {.lex_state = 125},
  [762] = {.lex_state = 120, .external_lex_state = 5},
  [763] = {.lex_state = 134},
  [764] = {.lex_state = 134},
  [765] = {.lex_state = 165},
  [766] = {.lex_state = 165},
  [767] = {.lex_state = 92, .external_lex_state = 2},
  [768] = {.lex_state = 165},
  [769] = {.lex_state = 165},
  [770] = {.lex_state = 125},
  [771] = {.lex_state = 165},
  [772] = {.lex_state = 165},
  [773] = {.lex_state = 159},
  [774] = {.lex_state = 159},
  [775] = {.lex_state = 165},
  [776] = {.lex_state = 125},
  [777] = {.lex_state = 92},
  [778] = {.lex_state = 92},
  [779] = {.lex_state = 92, .external_lex_state = 2},
  [780] = {.lex_state = 92, .external_lex_state = 7},
  [781] = {.lex_state = 92, .external_lex_state = 2},
  [782] = {.lex_state = 92},
  [783] = {.lex_state = 92},
  [784] = {.lex_state = 141, .external_lex_state = 2},
  [785] = {.lex_state = 92},
  [786] = {.lex_state = 92},
  [787] = {.lex_state = 92},
  [788] = {.lex_state = 141},
  [789] = {.lex_state = 141},
  [790] = {.lex_state = 92, .external_lex_state = 2},
  [791] = {.lex_state = 141},
  [792] = {.lex_state = 141},
  [793] = {.lex_state = 141},
  [794] = {.lex_state = 141},
  [795] = {.lex_state = 141},
  [796] = {.lex_state = 92},
  [797] = {.lex_state = 92},
  [798] = {.lex_state = 92},
  [799] = {.lex_state = 92, .external_lex_state = 2},
  [800] = {.lex_state = 141, .external_lex_state = 2},
  [801] = {.lex_state = 92, .external_lex_state = 7},
  [802] = {.lex_state = 92, .external_lex_state = 2},
  [803] = {.lex_state = 92},
  [804] = {.lex_state = 92},
  [805] = {.lex_state = 141},
  [806] = {.lex_state = 141},
  [807] = {.lex_state = 92, .external_lex_state = 2},
  [808] = {.lex_state = 141},
  [809] = {.lex_state = 141},
  [810] = {.lex_state = 141},
  [811] = {.lex_state = 141},
  [812] = {.lex_state = 141},
  [813] = {.lex_state = 92},
  [814] = {.lex_state = 120, .external_lex_state = 5},
  [815] = {.lex_state = 120, .external_lex_state = 5},
  [816] = {.lex_state = 125},
  [817] = {.lex_state = 92},
  [818] = {.lex_state = 92, .external_lex_state = 2},
  [819] = {.lex_state = 92, .external_lex_state = 2},
  [820] = {.lex_state = 156},
  [821] = {.lex_state = 92, .external_lex_state = 2},
  [822] = {.lex_state = 92},
  [823] = {.lex_state = 92},
  [824] = {.lex_state = 141, .external_lex_state = 2},
  [825] = {.lex_state = 92},
  [826] = {.lex_state = 141},
  [827] = {.lex_state = 92},
  [828] = {.lex_state = 92},
  [829] = {.lex_state = 92},
  [830] = {.lex_state = 125},
  [831] = {.lex_state = 92},
  [832] = {.lex_state = 92},
  [833] = {.lex_state = 92},
  [834] = {.lex_state = 92, .external_lex_state = 2},
  [835] = {.lex_state = 92, .external_lex_state = 2},
  [836] = {.lex_state = 156},
  [837] = {.lex_state = 92, .external_lex_state = 2},
  [838] = {.lex_state = 92},
  [839] = {.lex_state = 92},
  [840] = {.lex_state = 141, .external_lex_state = 2},
  [841] = {.lex_state = 92},
  [842] = {.lex_state = 141},
  [843] = {.lex_state = 92},
  [844] = {.lex_state = 92},
  [845] = {.lex_state = 92, .external_lex_state = 2},
  [846] = {.lex_state = 92},
  [847] = {.lex_state = 92},
  [848] = {.lex_state = 92, .external_lex_state = 2},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 141, .external_lex_state = 2},
  [851] = {.lex_state = 92, .external_lex_state = 2},
  [852] = {.lex_state = 92, .external_lex_state = 2},
  [853] = {.lex_state = 92, .external_lex_state = 2},
  [854] = {.lex_state = 92, .external_lex_state = 2},
  [855] = {.lex_state = 92, .external_lex_state = 2},
  [856] = {.lex_state = 92, .external_lex_state = 2},
  [857] = {.lex_state = 92, .external_lex_state = 2},
  [858] = {.lex_state = 92, .external_lex_state = 2},
  [859] = {.lex_state = 92},
  [860] = {.lex_state = 92, .external_lex_state = 2},
  [861] = {.lex_state = 92, .external_lex_state = 2},
  [862] = {.lex_state = 92, .external_lex_state = 2},
  [863] = {.lex_state = 92, .external_lex_state = 2},
  [864] = {.lex_state = 92},
  [865] = {.lex_state = 125},
  [866] = {.lex_state = 92},
  [867] = {.lex_state = 120, .external_lex_state = 5},
  [868] = {.lex_state = 92, .external_lex_state = 5},
  [869] = {.lex_state = 92, .external_lex_state = 4},
  [870] = {.lex_state = 92, .external_lex_state = 5},
  [871] = {.lex_state = 92, .external_lex_state = 4},
  [872] = {.lex_state = 120, .external_lex_state = 5},
  [873] = {.lex_state = 92, .external_lex_state = 5},
  [874] = {.lex_state = 92, .external_lex_state = 5},
  [875] = {.lex_state = 92, .external_lex_state = 5},
  [876] = {.lex_state = 92, .external_lex_state = 5},
  [877] = {.lex_state = 92, .external_lex_state = 5},
  [878] = {.lex_state = 92, .external_lex_state = 7},
  [879] = {.lex_state = 92, .external_lex_state = 2},
  [880] = {.lex_state = 125},
  [881] = {.lex_state = 125},
  [882] = {.lex_state = 125, .external_lex_state = 2},
  [883] = {.lex_state = 186},
  [884] = {.lex_state = 125},
  [885] = {.lex_state = 125},
  [886] = {.lex_state = 125},
  [887] = {.lex_state = 92, .external_lex_state = 6},
  [888] = {.lex_state = 92, .external_lex_state = 2},
  [889] = {.lex_state = 92, .external_lex_state = 5},
  [890] = {.lex_state = 92, .external_lex_state = 5},
  [891] = {.lex_state = 92, .external_lex_state = 5},
  [892] = {.lex_state = 92, .external_lex_state = 5},
  [893] = {.lex_state = 92, .external_lex_state = 2},
  [894] = {.lex_state = 141, .external_lex_state = 4},
  [895] = {.lex_state = 92, .external_lex_state = 5},
  [896] = {.lex_state = 92, .external_lex_state = 5},
  [897] = {.lex_state = 92, .external_lex_state = 5},
  [898] = {.lex_state = 92},
  [899] = {.lex_state = 92, .external_lex_state = 4},
  [900] = {.lex_state = 92, .external_lex_state = 5},
  [901] = {.lex_state = 141, .external_lex_state = 5},
  [902] = {.lex_state = 141, .external_lex_state = 5},
  [903] = {.lex_state = 92, .external_lex_state = 2},
  [904] = {.lex_state = 141, .external_lex_state = 5},
  [905] = {.lex_state = 141, .external_lex_state = 5},
  [906] = {.lex_state = 141, .external_lex_state = 5},
  [907] = {.lex_state = 141, .external_lex_state = 5},
  [908] = {.lex_state = 141, .external_lex_state = 5},
  [909] = {.lex_state = 92, .external_lex_state = 5},
  [910] = {.lex_state = 134},
  [911] = {.lex_state = 92, .external_lex_state = 2},
  [912] = {.lex_state = 134},
  [913] = {.lex_state = 92, .external_lex_state = 2},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 171, .external_lex_state = 2},
  [916] = {.lex_state = 92, .external_lex_state = 2},
  [917] = {.lex_state = 92, .external_lex_state = 2},
  [918] = {.lex_state = 92, .external_lex_state = 2},
  [919] = {.lex_state = 92, .external_lex_state = 2},
  [920] = {.lex_state = 92, .external_lex_state = 2},
  [921] = {.lex_state = 92, .external_lex_state = 2},
  [922] = {.lex_state = 92, .external_lex_state = 2},
  [923] = {.lex_state = 92, .external_lex_state = 2},
  [924] = {.lex_state = 92},
  [925] = {.lex_state = 92, .external_lex_state = 2},
  [926] = {.lex_state = 92, .external_lex_state = 2},
  [927] = {.lex_state = 92, .external_lex_state = 2},
  [928] = {.lex_state = 92, .external_lex_state = 2},
  [929] = {.lex_state = 134},
  [930] = {.lex_state = 134},
  [931] = {.lex_state = 92, .external_lex_state = 2},
  [932] = {.lex_state = 120, .external_lex_state = 5},
  [933] = {.lex_state = 196},
  [934] = {.lex_state = 134},
  [935] = {.lex_state = 134, .external_lex_state = 2},
  [936] = {.lex_state = 134},
  [937] = {.lex_state = 171, .external_lex_state = 2},
  [938] = {.lex_state = 134},
  [939] = {.lex_state = 92},
  [940] = {.lex_state = 92},
  [941] = {.lex_state = 92, .external_lex_state = 2},
  [942] = {.lex_state = 92, .external_lex_state = 2},
  [943] = {.lex_state = 134},
  [944] = {.lex_state = 120, .external_lex_state = 5},
  [945] = {.lex_state = 171},
  [946] = {.lex_state = 171},
  [947] = {.lex_state = 92, .external_lex_state = 2},
  [948] = {.lex_state = 171},
  [949] = {.lex_state = 171},
  [950] = {.lex_state = 171},
  [951] = {.lex_state = 171},
  [952] = {.lex_state = 171},
  [953] = {.lex_state = 134},
  [954] = {.lex_state = 138},
  [955] = {.lex_state = 92, .external_lex_state = 2},
  [956] = {.lex_state = 138},
  [957] = {.lex_state = 138},
  [958] = {.lex_state = 92, .external_lex_state = 2},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 177, .external_lex_state = 2},
  [961] = {.lex_state = 92, .external_lex_state = 2},
  [962] = {.lex_state = 92, .external_lex_state = 2},
  [963] = {.lex_state = 92, .external_lex_state = 2},
  [964] = {.lex_state = 92, .external_lex_state = 2},
  [965] = {.lex_state = 92, .external_lex_state = 2},
  [966] = {.lex_state = 92, .external_lex_state = 2},
  [967] = {.lex_state = 92, .external_lex_state = 2},
  [968] = {.lex_state = 92, .external_lex_state = 2},
  [969] = {.lex_state = 92},
  [970] = {.lex_state = 92, .external_lex_state = 2},
  [971] = {.lex_state = 92, .external_lex_state = 2},
  [972] = {.lex_state = 92, .external_lex_state = 2},
  [973] = {.lex_state = 92, .external_lex_state = 2},
  [974] = {.lex_state = 138},
  [975] = {.lex_state = 138},
  [976] = {.lex_state = 92, .external_lex_state = 2},
  [977] = {.lex_state = 92},
  [978] = {.lex_state = 120, .external_lex_state = 5},
  [979] = {.lex_state = 138},
  [980] = {.lex_state = 92},
  [981] = {.lex_state = 138, .external_lex_state = 2},
  [982] = {.lex_state = 138},
  [983] = {.lex_state = 92},
  [984] = {.lex_state = 92, .external_lex_state = 2},
  [985] = {.lex_state = 92, .external_lex_state = 2},
  [986] = {.lex_state = 138},
  [987] = {.lex_state = 120, .external_lex_state = 5},
  [988] = {.lex_state = 138, .external_lex_state = 2},
  [989] = {.lex_state = 120, .external_lex_state = 5},
  [990] = {.lex_state = 138},
  [991] = {.lex_state = 138, .external_lex_state = 2},
  [992] = {.lex_state = 138},
  [993] = {.lex_state = 177, .external_lex_state = 2},
  [994] = {.lex_state = 92, .external_lex_state = 2},
  [995] = {.lex_state = 92, .external_lex_state = 2},
  [996] = {.lex_state = 174},
  [997] = {.lex_state = 92, .external_lex_state = 2},
  [998] = {.lex_state = 92},
  [999] = {.lex_state = 177, .external_lex_state = 2},
  [1000] = {.lex_state = 138},
  [1001] = {.lex_state = 177},
  [1002] = {.lex_state = 138},
  [1003] = {.lex_state = 92},
  [1004] = {.lex_state = 120, .external_lex_state = 5},
  [1005] = {.lex_state = 177},
  [1006] = {.lex_state = 177},
  [1007] = {.lex_state = 92, .external_lex_state = 2},
  [1008] = {.lex_state = 177},
  [1009] = {.lex_state = 177},
  [1010] = {.lex_state = 177},
  [1011] = {.lex_state = 177},
  [1012] = {.lex_state = 177},
  [1013] = {.lex_state = 138},
  [1014] = {.lex_state = 92},
  [1015] = {.lex_state = 92},
  [1016] = {.lex_state = 92, .external_lex_state = 2},
  [1017] = {.lex_state = 92, .external_lex_state = 2},
  [1018] = {.lex_state = 92, .external_lex_state = 2},
  [1019] = {.lex_state = 92},
  [1020] = {.lex_state = 92},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 92, .external_lex_state = 2},
  [1023] = {.lex_state = 92, .external_lex_state = 5},
  [1024] = {.lex_state = 92, .external_lex_state = 7},
  [1025] = {.lex_state = 92, .external_lex_state = 7},
  [1026] = {.lex_state = 92},
  [1027] = {.lex_state = 92, .external_lex_state = 7},
  [1028] = {.lex_state = 92, .external_lex_state = 7},
  [1029] = {.lex_state = 92},
  [1030] = {.lex_state = 92, .external_lex_state = 4},
  [1031] = {.lex_state = 92},
  [1032] = {.lex_state = 92, .external_lex_state = 5},
  [1033] = {.lex_state = 92, .external_lex_state = 2},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 92, .external_lex_state = 2},
  [1036] = {.lex_state = 92, .external_lex_state = 2},
  [1037] = {.lex_state = 141, .external_lex_state = 2},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 92},
  [1040] = {.lex_state = 141},
  [1041] = {.lex_state = 141},
  [1042] = {.lex_state = 141},
  [1043] = {.lex_state = 141},
  [1044] = {.lex_state = 141},
  [1045] = {.lex_state = 141},
  [1046] = {.lex_state = 141},
  [1047] = {.lex_state = 92, .external_lex_state = 2},
  [1048] = {.lex_state = 92},
  [1049] = {.lex_state = 92, .external_lex_state = 2},
  [1050] = {.lex_state = 92, .external_lex_state = 2},
  [1051] = {.lex_state = 92, .external_lex_state = 2},
  [1052] = {.lex_state = 92, .external_lex_state = 5},
  [1053] = {.lex_state = 92, .external_lex_state = 2},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 92, .external_lex_state = 2},
  [1056] = {.lex_state = 141, .external_lex_state = 4},
  [1057] = {.lex_state = 92, .external_lex_state = 2},
  [1058] = {.lex_state = 92, .external_lex_state = 2},
  [1059] = {.lex_state = 92, .external_lex_state = 2},
  [1060] = {.lex_state = 92, .external_lex_state = 2},
  [1061] = {.lex_state = 92, .external_lex_state = 2},
  [1062] = {.lex_state = 92, .external_lex_state = 2},
  [1063] = {.lex_state = 92, .external_lex_state = 2},
  [1064] = {.lex_state = 92, .external_lex_state = 2},
  [1065] = {.lex_state = 92},
  [1066] = {.lex_state = 92, .external_lex_state = 2},
  [1067] = {.lex_state = 92, .external_lex_state = 2},
  [1068] = {.lex_state = 92, .external_lex_state = 2},
  [1069] = {.lex_state = 92, .external_lex_state = 2},
  [1070] = {.lex_state = 92, .external_lex_state = 5},
  [1071] = {.lex_state = 128, .external_lex_state = 4},
  [1072] = {.lex_state = 120, .external_lex_state = 5},
  [1073] = {.lex_state = 134, .external_lex_state = 2},
  [1074] = {.lex_state = 134},
  [1075] = {.lex_state = 92, .external_lex_state = 2},
  [1076] = {.lex_state = 134},
  [1077] = {.lex_state = 92, .external_lex_state = 2},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 171, .external_lex_state = 2},
  [1080] = {.lex_state = 120, .external_lex_state = 5},
  [1081] = {.lex_state = 134, .external_lex_state = 2},
  [1082] = {.lex_state = 134},
  [1083] = {.lex_state = 134, .external_lex_state = 2},
  [1084] = {.lex_state = 92, .external_lex_state = 2},
  [1085] = {.lex_state = 92, .external_lex_state = 2},
  [1086] = {.lex_state = 92, .external_lex_state = 2},
  [1087] = {.lex_state = 92, .external_lex_state = 2},
  [1088] = {.lex_state = 92, .external_lex_state = 2},
  [1089] = {.lex_state = 92, .external_lex_state = 2},
  [1090] = {.lex_state = 92, .external_lex_state = 2},
  [1091] = {.lex_state = 92, .external_lex_state = 2},
  [1092] = {.lex_state = 92},
  [1093] = {.lex_state = 92, .external_lex_state = 2},
  [1094] = {.lex_state = 92, .external_lex_state = 2},
  [1095] = {.lex_state = 92, .external_lex_state = 2},
  [1096] = {.lex_state = 92, .external_lex_state = 2},
  [1097] = {.lex_state = 134},
  [1098] = {.lex_state = 120, .external_lex_state = 5},
  [1099] = {.lex_state = 92, .external_lex_state = 2},
  [1100] = {.lex_state = 92, .external_lex_state = 2},
  [1101] = {.lex_state = 92, .external_lex_state = 2},
  [1102] = {.lex_state = 125},
  [1103] = {.lex_state = 120, .external_lex_state = 5},
  [1104] = {.lex_state = 125, .external_lex_state = 2},
  [1105] = {.lex_state = 125},
  [1106] = {.lex_state = 92, .external_lex_state = 2},
  [1107] = {.lex_state = 92},
  [1108] = {.lex_state = 92, .external_lex_state = 2},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 141, .external_lex_state = 2},
  [1111] = {.lex_state = 92, .external_lex_state = 2},
  [1112] = {.lex_state = 92, .external_lex_state = 2},
  [1113] = {.lex_state = 92, .external_lex_state = 2},
  [1114] = {.lex_state = 92, .external_lex_state = 2},
  [1115] = {.lex_state = 92, .external_lex_state = 2},
  [1116] = {.lex_state = 92, .external_lex_state = 2},
  [1117] = {.lex_state = 92, .external_lex_state = 2},
  [1118] = {.lex_state = 92, .external_lex_state = 2},
  [1119] = {.lex_state = 92, .external_lex_state = 2},
  [1120] = {.lex_state = 92},
  [1121] = {.lex_state = 92, .external_lex_state = 2},
  [1122] = {.lex_state = 92, .external_lex_state = 2},
  [1123] = {.lex_state = 92, .external_lex_state = 2},
  [1124] = {.lex_state = 92, .external_lex_state = 2},
  [1125] = {.lex_state = 92},
  [1126] = {.lex_state = 92, .external_lex_state = 2},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 92, .external_lex_state = 7},
  [1129] = {.lex_state = 92, .external_lex_state = 2},
  [1130] = {.lex_state = 92, .external_lex_state = 6},
  [1131] = {.lex_state = 92, .external_lex_state = 6},
  [1132] = {.lex_state = 92, .external_lex_state = 2},
  [1133] = {.lex_state = 183},
  [1134] = {.lex_state = 183},
  [1135] = {.lex_state = 92, .external_lex_state = 2},
  [1136] = {.lex_state = 183, .external_lex_state = 2},
  [1137] = {.lex_state = 92, .external_lex_state = 2},
  [1138] = {.lex_state = 190},
  [1139] = {.lex_state = 183},
  [1140] = {.lex_state = 92},
  [1141] = {.lex_state = 104, .external_lex_state = 3},
  [1142] = {.lex_state = 138},
  [1143] = {.lex_state = 183},
  [1144] = {.lex_state = 183},
  [1145] = {.lex_state = 92, .external_lex_state = 2},
  [1146] = {.lex_state = 183},
  [1147] = {.lex_state = 183},
  [1148] = {.lex_state = 183},
  [1149] = {.lex_state = 183},
  [1150] = {.lex_state = 183},
  [1151] = {.lex_state = 183},
  [1152] = {.lex_state = 159},
  [1153] = {.lex_state = 125, .external_lex_state = 2},
  [1154] = {.lex_state = 125},
  [1155] = {.lex_state = 92, .external_lex_state = 2},
  [1156] = {.lex_state = 92, .external_lex_state = 2},
  [1157] = {.lex_state = 92, .external_lex_state = 7},
  [1158] = {.lex_state = 92, .external_lex_state = 7},
  [1159] = {.lex_state = 92, .external_lex_state = 2},
  [1160] = {.lex_state = 141, .external_lex_state = 5},
  [1161] = {.lex_state = 125, .external_lex_state = 2},
  [1162] = {.lex_state = 141, .external_lex_state = 5},
  [1163] = {.lex_state = 141, .external_lex_state = 5},
  [1164] = {.lex_state = 138, .external_lex_state = 2},
  [1165] = {.lex_state = 141, .external_lex_state = 5},
  [1166] = {.lex_state = 141, .external_lex_state = 5},
  [1167] = {.lex_state = 138, .external_lex_state = 2},
  [1168] = {.lex_state = 141, .external_lex_state = 5},
  [1169] = {.lex_state = 141, .external_lex_state = 5},
  [1170] = {.lex_state = 134, .external_lex_state = 2},
  [1171] = {.lex_state = 141, .external_lex_state = 5},
  [1172] = {.lex_state = 92, .external_lex_state = 5},
  [1173] = {.lex_state = 92, .external_lex_state = 2},
  [1174] = {.lex_state = 141, .external_lex_state = 5},
  [1175] = {.lex_state = 134, .external_lex_state = 2},
  [1176] = {.lex_state = 134},
  [1177] = {.lex_state = 141, .external_lex_state = 5},
  [1178] = {.lex_state = 141, .external_lex_state = 5},
  [1179] = {.lex_state = 125, .external_lex_state = 2},
  [1180] = {.lex_state = 125},
  [1181] = {.lex_state = 92, .external_lex_state = 5},
  [1182] = {.lex_state = 92, .external_lex_state = 5},
  [1183] = {.lex_state = 92, .external_lex_state = 2},
  [1184] = {.lex_state = 141, .external_lex_state = 4},
  [1185] = {.lex_state = 92, .external_lex_state = 5},
  [1186] = {.lex_state = 92},
  [1187] = {.lex_state = 141, .external_lex_state = 5},
  [1188] = {.lex_state = 141, .external_lex_state = 5},
  [1189] = {.lex_state = 92, .external_lex_state = 2},
  [1190] = {.lex_state = 141, .external_lex_state = 5},
  [1191] = {.lex_state = 141, .external_lex_state = 5},
  [1192] = {.lex_state = 141, .external_lex_state = 5},
  [1193] = {.lex_state = 141, .external_lex_state = 5},
  [1194] = {.lex_state = 141, .external_lex_state = 5},
  [1195] = {.lex_state = 92, .external_lex_state = 5},
  [1196] = {.lex_state = 165},
  [1197] = {.lex_state = 125},
  [1198] = {.lex_state = 125},
  [1199] = {.lex_state = 125},
  [1200] = {.lex_state = 125},
  [1201] = {.lex_state = 125},
  [1202] = {.lex_state = 92, .external_lex_state = 2},
  [1203] = {.lex_state = 165, .external_lex_state = 2},
  [1204] = {.lex_state = 125},
  [1205] = {.lex_state = 125},
  [1206] = {.lex_state = 92},
  [1207] = {.lex_state = 125, .external_lex_state = 2},
  [1208] = {.lex_state = 125},
  [1209] = {.lex_state = 165},
  [1210] = {.lex_state = 165},
  [1211] = {.lex_state = 92, .external_lex_state = 2},
  [1212] = {.lex_state = 165},
  [1213] = {.lex_state = 165},
  [1214] = {.lex_state = 165},
  [1215] = {.lex_state = 165},
  [1216] = {.lex_state = 165},
  [1217] = {.lex_state = 125},
  [1218] = {.lex_state = 159},
  [1219] = {.lex_state = 125, .external_lex_state = 2},
  [1220] = {.lex_state = 159},
  [1221] = {.lex_state = 159},
  [1222] = {.lex_state = 138, .external_lex_state = 2},
  [1223] = {.lex_state = 159},
  [1224] = {.lex_state = 159},
  [1225] = {.lex_state = 138, .external_lex_state = 2},
  [1226] = {.lex_state = 159},
  [1227] = {.lex_state = 159},
  [1228] = {.lex_state = 134, .external_lex_state = 2},
  [1229] = {.lex_state = 159},
  [1230] = {.lex_state = 125},
  [1231] = {.lex_state = 120, .external_lex_state = 5},
  [1232] = {.lex_state = 92, .external_lex_state = 2},
  [1233] = {.lex_state = 92, .external_lex_state = 2},
  [1234] = {.lex_state = 92, .external_lex_state = 2},
  [1235] = {.lex_state = 92},
  [1236] = {.lex_state = 92, .external_lex_state = 2},
  [1237] = {.lex_state = 92, .external_lex_state = 2},
  [1238] = {.lex_state = 162},
  [1239] = {.lex_state = 92, .external_lex_state = 2},
  [1240] = {.lex_state = 92},
  [1241] = {.lex_state = 165, .external_lex_state = 2},
  [1242] = {.lex_state = 125},
  [1243] = {.lex_state = 165},
  [1244] = {.lex_state = 125},
  [1245] = {.lex_state = 159},
  [1246] = {.lex_state = 134, .external_lex_state = 2},
  [1247] = {.lex_state = 134},
  [1248] = {.lex_state = 165},
  [1249] = {.lex_state = 92},
  [1250] = {.lex_state = 92, .external_lex_state = 2},
  [1251] = {.lex_state = 92, .external_lex_state = 2},
  [1252] = {.lex_state = 141},
  [1253] = {.lex_state = 92},
  [1254] = {.lex_state = 92, .external_lex_state = 2},
  [1255] = {.lex_state = 92, .external_lex_state = 2},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 92, .external_lex_state = 2},
  [1258] = {.lex_state = 92, .external_lex_state = 2},
  [1259] = {.lex_state = 92, .external_lex_state = 2},
  [1260] = {.lex_state = 92, .external_lex_state = 2},
  [1261] = {.lex_state = 141},
  [1262] = {.lex_state = 92, .external_lex_state = 2},
  [1263] = {.lex_state = 92},
  [1264] = {.lex_state = 92, .external_lex_state = 2},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 92, .external_lex_state = 2},
  [1267] = {.lex_state = 141, .external_lex_state = 2},
  [1268] = {.lex_state = 92, .external_lex_state = 2},
  [1269] = {.lex_state = 92, .external_lex_state = 2},
  [1270] = {.lex_state = 92, .external_lex_state = 2},
  [1271] = {.lex_state = 92, .external_lex_state = 2},
  [1272] = {.lex_state = 92, .external_lex_state = 2},
  [1273] = {.lex_state = 92, .external_lex_state = 2},
  [1274] = {.lex_state = 92, .external_lex_state = 2},
  [1275] = {.lex_state = 92, .external_lex_state = 2},
  [1276] = {.lex_state = 92},
  [1277] = {.lex_state = 92, .external_lex_state = 2},
  [1278] = {.lex_state = 92, .external_lex_state = 2},
  [1279] = {.lex_state = 92, .external_lex_state = 2},
  [1280] = {.lex_state = 92, .external_lex_state = 2},
  [1281] = {.lex_state = 92},
  [1282] = {.lex_state = 92},
  [1283] = {.lex_state = 92, .external_lex_state = 2},
  [1284] = {.lex_state = 92},
  [1285] = {.lex_state = 92, .external_lex_state = 2},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 92, .external_lex_state = 2},
  [1288] = {.lex_state = 141, .external_lex_state = 2},
  [1289] = {.lex_state = 92, .external_lex_state = 2},
  [1290] = {.lex_state = 92, .external_lex_state = 2},
  [1291] = {.lex_state = 92, .external_lex_state = 2},
  [1292] = {.lex_state = 92, .external_lex_state = 2},
  [1293] = {.lex_state = 92, .external_lex_state = 2},
  [1294] = {.lex_state = 92, .external_lex_state = 2},
  [1295] = {.lex_state = 92, .external_lex_state = 2},
  [1296] = {.lex_state = 92, .external_lex_state = 2},
  [1297] = {.lex_state = 92},
  [1298] = {.lex_state = 92, .external_lex_state = 2},
  [1299] = {.lex_state = 92, .external_lex_state = 2},
  [1300] = {.lex_state = 92, .external_lex_state = 2},
  [1301] = {.lex_state = 92, .external_lex_state = 2},
  [1302] = {.lex_state = 92},
  [1303] = {.lex_state = 92},
  [1304] = {.lex_state = 92},
  [1305] = {.lex_state = 92, .external_lex_state = 2},
  [1306] = {.lex_state = 141, .external_lex_state = 2},
  [1307] = {.lex_state = 92},
  [1308] = {.lex_state = 92},
  [1309] = {.lex_state = 141},
  [1310] = {.lex_state = 141},
  [1311] = {.lex_state = 92, .external_lex_state = 2},
  [1312] = {.lex_state = 141},
  [1313] = {.lex_state = 141},
  [1314] = {.lex_state = 141},
  [1315] = {.lex_state = 141},
  [1316] = {.lex_state = 141},
  [1317] = {.lex_state = 92},
  [1318] = {.lex_state = 92, .external_lex_state = 2},
  [1319] = {.lex_state = 92},
  [1320] = {.lex_state = 92, .external_lex_state = 2},
  [1321] = {.lex_state = 92, .external_lex_state = 2},
  [1322] = {.lex_state = 92, .external_lex_state = 2},
  [1323] = {.lex_state = 92, .external_lex_state = 2},
  [1324] = {.lex_state = 125},
  [1325] = {.lex_state = 125},
  [1326] = {.lex_state = 92, .external_lex_state = 2},
  [1327] = {.lex_state = 92, .external_lex_state = 2},
  [1328] = {.lex_state = 125},
  [1329] = {.lex_state = 125},
  [1330] = {.lex_state = 92, .external_lex_state = 2},
  [1331] = {.lex_state = 92, .external_lex_state = 2},
  [1332] = {.lex_state = 162},
  [1333] = {.lex_state = 92, .external_lex_state = 2},
  [1334] = {.lex_state = 92, .external_lex_state = 2},
  [1335] = {.lex_state = 92},
  [1336] = {.lex_state = 165, .external_lex_state = 2},
  [1337] = {.lex_state = 125},
  [1338] = {.lex_state = 165},
  [1339] = {.lex_state = 186},
  [1340] = {.lex_state = 92, .external_lex_state = 2},
  [1341] = {.lex_state = 92, .external_lex_state = 7},
  [1342] = {.lex_state = 92, .external_lex_state = 2},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 92},
  [1345] = {.lex_state = 92, .external_lex_state = 5},
  [1346] = {.lex_state = 92, .external_lex_state = 5},
  [1347] = {.lex_state = 92, .external_lex_state = 2},
  [1348] = {.lex_state = 92, .external_lex_state = 2},
  [1349] = {.lex_state = 141, .external_lex_state = 5},
  [1350] = {.lex_state = 134},
  [1351] = {.lex_state = 134},
  [1352] = {.lex_state = 92, .external_lex_state = 2},
  [1353] = {.lex_state = 171, .external_lex_state = 2},
  [1354] = {.lex_state = 134},
  [1355] = {.lex_state = 92},
  [1356] = {.lex_state = 171},
  [1357] = {.lex_state = 171},
  [1358] = {.lex_state = 92, .external_lex_state = 2},
  [1359] = {.lex_state = 171},
  [1360] = {.lex_state = 171},
  [1361] = {.lex_state = 171},
  [1362] = {.lex_state = 171},
  [1363] = {.lex_state = 171},
  [1364] = {.lex_state = 134},
  [1365] = {.lex_state = 134},
  [1366] = {.lex_state = 120, .external_lex_state = 5},
  [1367] = {.lex_state = 92, .external_lex_state = 2},
  [1368] = {.lex_state = 92, .external_lex_state = 2},
  [1369] = {.lex_state = 92, .external_lex_state = 2},
  [1370] = {.lex_state = 92},
  [1371] = {.lex_state = 92, .external_lex_state = 2},
  [1372] = {.lex_state = 92, .external_lex_state = 2},
  [1373] = {.lex_state = 168},
  [1374] = {.lex_state = 92, .external_lex_state = 2},
  [1375] = {.lex_state = 92},
  [1376] = {.lex_state = 171, .external_lex_state = 2},
  [1377] = {.lex_state = 134},
  [1378] = {.lex_state = 171},
  [1379] = {.lex_state = 134},
  [1380] = {.lex_state = 171},
  [1381] = {.lex_state = 138},
  [1382] = {.lex_state = 138},
  [1383] = {.lex_state = 92, .external_lex_state = 2},
  [1384] = {.lex_state = 177, .external_lex_state = 2},
  [1385] = {.lex_state = 138},
  [1386] = {.lex_state = 92},
  [1387] = {.lex_state = 177},
  [1388] = {.lex_state = 177},
  [1389] = {.lex_state = 92, .external_lex_state = 2},
  [1390] = {.lex_state = 177},
  [1391] = {.lex_state = 177},
  [1392] = {.lex_state = 177},
  [1393] = {.lex_state = 177},
  [1394] = {.lex_state = 177},
  [1395] = {.lex_state = 138},
  [1396] = {.lex_state = 138},
  [1397] = {.lex_state = 92, .external_lex_state = 2},
  [1398] = {.lex_state = 120, .external_lex_state = 5},
  [1399] = {.lex_state = 92, .external_lex_state = 2},
  [1400] = {.lex_state = 92, .external_lex_state = 2},
  [1401] = {.lex_state = 92},
  [1402] = {.lex_state = 92, .external_lex_state = 2},
  [1403] = {.lex_state = 92, .external_lex_state = 2},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 92, .external_lex_state = 2},
  [1406] = {.lex_state = 92},
  [1407] = {.lex_state = 177, .external_lex_state = 2},
  [1408] = {.lex_state = 138},
  [1409] = {.lex_state = 177},
  [1410] = {.lex_state = 138},
  [1411] = {.lex_state = 120, .external_lex_state = 5},
  [1412] = {.lex_state = 92, .external_lex_state = 2},
  [1413] = {.lex_state = 92, .external_lex_state = 2},
  [1414] = {.lex_state = 138},
  [1415] = {.lex_state = 92, .external_lex_state = 2},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 177, .external_lex_state = 2},
  [1418] = {.lex_state = 92, .external_lex_state = 2},
  [1419] = {.lex_state = 92, .external_lex_state = 2},
  [1420] = {.lex_state = 92, .external_lex_state = 2},
  [1421] = {.lex_state = 92, .external_lex_state = 2},
  [1422] = {.lex_state = 92, .external_lex_state = 2},
  [1423] = {.lex_state = 92, .external_lex_state = 2},
  [1424] = {.lex_state = 92, .external_lex_state = 2},
  [1425] = {.lex_state = 92, .external_lex_state = 2},
  [1426] = {.lex_state = 92},
  [1427] = {.lex_state = 92, .external_lex_state = 2},
  [1428] = {.lex_state = 92, .external_lex_state = 2},
  [1429] = {.lex_state = 92, .external_lex_state = 2},
  [1430] = {.lex_state = 92, .external_lex_state = 2},
  [1431] = {.lex_state = 138},
  [1432] = {.lex_state = 92, .external_lex_state = 2},
  [1433] = {.lex_state = 177},
  [1434] = {.lex_state = 92, .external_lex_state = 2},
  [1435] = {.lex_state = 92, .external_lex_state = 2},
  [1436] = {.lex_state = 92},
  [1437] = {.lex_state = 92},
  [1438] = {.lex_state = 92},
  [1439] = {.lex_state = 92},
  [1440] = {.lex_state = 92},
  [1441] = {.lex_state = 92},
  [1442] = {.lex_state = 92, .external_lex_state = 6},
  [1443] = {.lex_state = 92},
  [1444] = {.lex_state = 92, .external_lex_state = 4},
  [1445] = {.lex_state = 92, .external_lex_state = 7},
  [1446] = {.lex_state = 92, .external_lex_state = 5},
  [1447] = {.lex_state = 92, .external_lex_state = 2},
  [1448] = {.lex_state = 92, .external_lex_state = 2},
  [1449] = {.lex_state = 92},
  [1450] = {.lex_state = 92, .external_lex_state = 7},
  [1451] = {.lex_state = 92},
  [1452] = {.lex_state = 92, .external_lex_state = 7},
  [1453] = {.lex_state = 92},
  [1454] = {.lex_state = 92, .external_lex_state = 4},
  [1455] = {.lex_state = 92, .external_lex_state = 6},
  [1456] = {.lex_state = 92},
  [1457] = {.lex_state = 92, .external_lex_state = 6},
  [1458] = {.lex_state = 92, .external_lex_state = 2},
  [1459] = {.lex_state = 92, .external_lex_state = 2},
  [1460] = {.lex_state = 92, .external_lex_state = 2},
  [1461] = {.lex_state = 92, .external_lex_state = 6},
  [1462] = {.lex_state = 92, .external_lex_state = 2},
  [1463] = {.lex_state = 92},
  [1464] = {.lex_state = 92, .external_lex_state = 2},
  [1465] = {.lex_state = 92, .external_lex_state = 5},
  [1466] = {.lex_state = 92, .external_lex_state = 5},
  [1467] = {.lex_state = 92, .external_lex_state = 2},
  [1468] = {.lex_state = 92, .external_lex_state = 5},
  [1469] = {.lex_state = 141, .external_lex_state = 4},
  [1470] = {.lex_state = 92, .external_lex_state = 5},
  [1471] = {.lex_state = 92},
  [1472] = {.lex_state = 141, .external_lex_state = 5},
  [1473] = {.lex_state = 141, .external_lex_state = 5},
  [1474] = {.lex_state = 92, .external_lex_state = 2},
  [1475] = {.lex_state = 141, .external_lex_state = 5},
  [1476] = {.lex_state = 141, .external_lex_state = 5},
  [1477] = {.lex_state = 141, .external_lex_state = 5},
  [1478] = {.lex_state = 141, .external_lex_state = 5},
  [1479] = {.lex_state = 141, .external_lex_state = 5},
  [1480] = {.lex_state = 92, .external_lex_state = 5},
  [1481] = {.lex_state = 128, .external_lex_state = 4},
  [1482] = {.lex_state = 134},
  [1483] = {.lex_state = 134, .external_lex_state = 2},
  [1484] = {.lex_state = 134},
  [1485] = {.lex_state = 134},
  [1486] = {.lex_state = 92, .external_lex_state = 2},
  [1487] = {.lex_state = 171, .external_lex_state = 2},
  [1488] = {.lex_state = 120, .external_lex_state = 5},
  [1489] = {.lex_state = 134},
  [1490] = {.lex_state = 134},
  [1491] = {.lex_state = 134, .external_lex_state = 2},
  [1492] = {.lex_state = 134},
  [1493] = {.lex_state = 134},
  [1494] = {.lex_state = 134},
  [1495] = {.lex_state = 92},
  [1496] = {.lex_state = 171},
  [1497] = {.lex_state = 171},
  [1498] = {.lex_state = 92, .external_lex_state = 2},
  [1499] = {.lex_state = 171},
  [1500] = {.lex_state = 171},
  [1501] = {.lex_state = 171},
  [1502] = {.lex_state = 171},
  [1503] = {.lex_state = 171},
  [1504] = {.lex_state = 134},
  [1505] = {.lex_state = 125},
  [1506] = {.lex_state = 125},
  [1507] = {.lex_state = 125},
  [1508] = {.lex_state = 120, .external_lex_state = 5},
  [1509] = {.lex_state = 125},
  [1510] = {.lex_state = 125},
  [1511] = {.lex_state = 125, .external_lex_state = 2},
  [1512] = {.lex_state = 125},
  [1513] = {.lex_state = 92},
  [1514] = {.lex_state = 92},
  [1515] = {.lex_state = 92, .external_lex_state = 2},
  [1516] = {.lex_state = 141, .external_lex_state = 2},
  [1517] = {.lex_state = 92},
  [1518] = {.lex_state = 120, .external_lex_state = 5},
  [1519] = {.lex_state = 92},
  [1520] = {.lex_state = 141},
  [1521] = {.lex_state = 141},
  [1522] = {.lex_state = 92, .external_lex_state = 2},
  [1523] = {.lex_state = 141},
  [1524] = {.lex_state = 141},
  [1525] = {.lex_state = 141},
  [1526] = {.lex_state = 141},
  [1527] = {.lex_state = 141},
  [1528] = {.lex_state = 92},
  [1529] = {.lex_state = 92, .external_lex_state = 6},
  [1530] = {.lex_state = 92, .external_lex_state = 2},
  [1531] = {.lex_state = 92, .external_lex_state = 7},
  [1532] = {.lex_state = 92, .external_lex_state = 2},
  [1533] = {.lex_state = 92, .external_lex_state = 7},
  [1534] = {.lex_state = 92, .external_lex_state = 2},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 183},
  [1537] = {.lex_state = 92, .external_lex_state = 2},
  [1538] = {.lex_state = 92, .external_lex_state = 2},
  [1539] = {.lex_state = 174},
  [1540] = {.lex_state = 92, .external_lex_state = 2},
  [1541] = {.lex_state = 92},
  [1542] = {.lex_state = 177, .external_lex_state = 2},
  [1543] = {.lex_state = 138},
  [1544] = {.lex_state = 177},
  [1545] = {.lex_state = 190},
  [1546] = {.lex_state = 92, .external_lex_state = 2},
  [1547] = {.lex_state = 104, .external_lex_state = 3},
  [1548] = {.lex_state = 183},
  [1549] = {.lex_state = 159},
  [1550] = {.lex_state = 125, .external_lex_state = 2},
  [1551] = {.lex_state = 92, .external_lex_state = 2},
  [1552] = {.lex_state = 92, .external_lex_state = 2},
  [1553] = {.lex_state = 141, .external_lex_state = 5},
  [1554] = {.lex_state = 141, .external_lex_state = 5},
  [1555] = {.lex_state = 141, .external_lex_state = 5},
  [1556] = {.lex_state = 141, .external_lex_state = 5},
  [1557] = {.lex_state = 92, .external_lex_state = 5},
  [1558] = {.lex_state = 141, .external_lex_state = 5},
  [1559] = {.lex_state = 134, .external_lex_state = 2},
  [1560] = {.lex_state = 141, .external_lex_state = 5},
  [1561] = {.lex_state = 125, .external_lex_state = 2},
  [1562] = {.lex_state = 92, .external_lex_state = 5},
  [1563] = {.lex_state = 92, .external_lex_state = 2},
  [1564] = {.lex_state = 141, .external_lex_state = 5},
  [1565] = {.lex_state = 165},
  [1566] = {.lex_state = 125},
  [1567] = {.lex_state = 125},
  [1568] = {.lex_state = 92, .external_lex_state = 5},
  [1569] = {.lex_state = 92},
  [1570] = {.lex_state = 125},
  [1571] = {.lex_state = 92, .external_lex_state = 2},
  [1572] = {.lex_state = 92, .external_lex_state = 2},
  [1573] = {.lex_state = 165},
  [1574] = {.lex_state = 159},
  [1575] = {.lex_state = 159},
  [1576] = {.lex_state = 159},
  [1577] = {.lex_state = 159},
  [1578] = {.lex_state = 125},
  [1579] = {.lex_state = 92},
  [1580] = {.lex_state = 125},
  [1581] = {.lex_state = 125},
  [1582] = {.lex_state = 92, .external_lex_state = 2},
  [1583] = {.lex_state = 92, .external_lex_state = 2},
  [1584] = {.lex_state = 125},
  [1585] = {.lex_state = 92, .external_lex_state = 2},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 165, .external_lex_state = 2},
  [1588] = {.lex_state = 92, .external_lex_state = 2},
  [1589] = {.lex_state = 92, .external_lex_state = 2},
  [1590] = {.lex_state = 92, .external_lex_state = 2},
  [1591] = {.lex_state = 92, .external_lex_state = 2},
  [1592] = {.lex_state = 92, .external_lex_state = 2},
  [1593] = {.lex_state = 92, .external_lex_state = 2},
  [1594] = {.lex_state = 92, .external_lex_state = 2},
  [1595] = {.lex_state = 92, .external_lex_state = 2},
  [1596] = {.lex_state = 92},
  [1597] = {.lex_state = 92, .external_lex_state = 2},
  [1598] = {.lex_state = 92, .external_lex_state = 2},
  [1599] = {.lex_state = 92, .external_lex_state = 2},
  [1600] = {.lex_state = 92, .external_lex_state = 2},
  [1601] = {.lex_state = 125},
  [1602] = {.lex_state = 159},
  [1603] = {.lex_state = 134, .external_lex_state = 2},
  [1604] = {.lex_state = 92},
  [1605] = {.lex_state = 92, .external_lex_state = 2},
  [1606] = {.lex_state = 92, .external_lex_state = 2},
  [1607] = {.lex_state = 92},
  [1608] = {.lex_state = 92, .external_lex_state = 6},
  [1609] = {.lex_state = 92, .external_lex_state = 2},
  [1610] = {.lex_state = 92, .external_lex_state = 2},
  [1611] = {.lex_state = 92},
  [1612] = {.lex_state = 92},
  [1613] = {.lex_state = 92},
  [1614] = {.lex_state = 92, .external_lex_state = 2},
  [1615] = {.lex_state = 92},
  [1616] = {.lex_state = 141, .external_lex_state = 2},
  [1617] = {.lex_state = 92},
  [1618] = {.lex_state = 92},
  [1619] = {.lex_state = 141},
  [1620] = {.lex_state = 141},
  [1621] = {.lex_state = 92, .external_lex_state = 2},
  [1622] = {.lex_state = 141},
  [1623] = {.lex_state = 141},
  [1624] = {.lex_state = 141},
  [1625] = {.lex_state = 141},
  [1626] = {.lex_state = 141},
  [1627] = {.lex_state = 92},
  [1628] = {.lex_state = 92},
  [1629] = {.lex_state = 92},
  [1630] = {.lex_state = 92, .external_lex_state = 2},
  [1631] = {.lex_state = 92},
  [1632] = {.lex_state = 141, .external_lex_state = 2},
  [1633] = {.lex_state = 92},
  [1634] = {.lex_state = 92},
  [1635] = {.lex_state = 141},
  [1636] = {.lex_state = 141},
  [1637] = {.lex_state = 92, .external_lex_state = 2},
  [1638] = {.lex_state = 141},
  [1639] = {.lex_state = 141},
  [1640] = {.lex_state = 141},
  [1641] = {.lex_state = 141},
  [1642] = {.lex_state = 141},
  [1643] = {.lex_state = 92},
  [1644] = {.lex_state = 92},
  [1645] = {.lex_state = 92, .external_lex_state = 2},
  [1646] = {.lex_state = 141},
  [1647] = {.lex_state = 92, .external_lex_state = 2},
  [1648] = {.lex_state = 92},
  [1649] = {.lex_state = 125},
  [1650] = {.lex_state = 125},
  [1651] = {.lex_state = 125},
  [1652] = {.lex_state = 125},
  [1653] = {.lex_state = 125},
  [1654] = {.lex_state = 125},
  [1655] = {.lex_state = 92, .external_lex_state = 2},
  [1656] = {.lex_state = 92, .external_lex_state = 2},
  [1657] = {.lex_state = 162},
  [1658] = {.lex_state = 92, .external_lex_state = 2},
  [1659] = {.lex_state = 92},
  [1660] = {.lex_state = 125},
  [1661] = {.lex_state = 165, .external_lex_state = 2},
  [1662] = {.lex_state = 125},
  [1663] = {.lex_state = 165},
  [1664] = {.lex_state = 125},
  [1665] = {.lex_state = 125},
  [1666] = {.lex_state = 92, .external_lex_state = 2},
  [1667] = {.lex_state = 125},
  [1668] = {.lex_state = 125},
  [1669] = {.lex_state = 92, .external_lex_state = 2},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 165, .external_lex_state = 2},
  [1672] = {.lex_state = 92, .external_lex_state = 2},
  [1673] = {.lex_state = 92, .external_lex_state = 2},
  [1674] = {.lex_state = 92, .external_lex_state = 2},
  [1675] = {.lex_state = 92, .external_lex_state = 2},
  [1676] = {.lex_state = 92, .external_lex_state = 2},
  [1677] = {.lex_state = 92, .external_lex_state = 2},
  [1678] = {.lex_state = 92, .external_lex_state = 2},
  [1679] = {.lex_state = 92, .external_lex_state = 2},
  [1680] = {.lex_state = 92},
  [1681] = {.lex_state = 92, .external_lex_state = 2},
  [1682] = {.lex_state = 92, .external_lex_state = 2},
  [1683] = {.lex_state = 92, .external_lex_state = 2},
  [1684] = {.lex_state = 92, .external_lex_state = 2},
  [1685] = {.lex_state = 125},
  [1686] = {.lex_state = 125},
  [1687] = {.lex_state = 92, .external_lex_state = 2},
  [1688] = {.lex_state = 92, .external_lex_state = 6},
  [1689] = {.lex_state = 92, .external_lex_state = 5},
  [1690] = {.lex_state = 134},
  [1691] = {.lex_state = 92, .external_lex_state = 2},
  [1692] = {.lex_state = 171},
  [1693] = {.lex_state = 134},
  [1694] = {.lex_state = 92},
  [1695] = {.lex_state = 134},
  [1696] = {.lex_state = 134},
  [1697] = {.lex_state = 92, .external_lex_state = 2},
  [1698] = {.lex_state = 92, .external_lex_state = 2},
  [1699] = {.lex_state = 134},
  [1700] = {.lex_state = 92, .external_lex_state = 2},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 171, .external_lex_state = 2},
  [1703] = {.lex_state = 92, .external_lex_state = 2},
  [1704] = {.lex_state = 92, .external_lex_state = 2},
  [1705] = {.lex_state = 92, .external_lex_state = 2},
  [1706] = {.lex_state = 92, .external_lex_state = 2},
  [1707] = {.lex_state = 92, .external_lex_state = 2},
  [1708] = {.lex_state = 92, .external_lex_state = 2},
  [1709] = {.lex_state = 92, .external_lex_state = 2},
  [1710] = {.lex_state = 92, .external_lex_state = 2},
  [1711] = {.lex_state = 92},
  [1712] = {.lex_state = 92, .external_lex_state = 2},
  [1713] = {.lex_state = 92, .external_lex_state = 2},
  [1714] = {.lex_state = 92, .external_lex_state = 2},
  [1715] = {.lex_state = 92, .external_lex_state = 2},
  [1716] = {.lex_state = 134},
  [1717] = {.lex_state = 138},
  [1718] = {.lex_state = 92, .external_lex_state = 2},
  [1719] = {.lex_state = 177},
  [1720] = {.lex_state = 138},
  [1721] = {.lex_state = 92},
  [1722] = {.lex_state = 138},
  [1723] = {.lex_state = 138},
  [1724] = {.lex_state = 92, .external_lex_state = 2},
  [1725] = {.lex_state = 92, .external_lex_state = 2},
  [1726] = {.lex_state = 138},
  [1727] = {.lex_state = 92, .external_lex_state = 2},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 177, .external_lex_state = 2},
  [1730] = {.lex_state = 92, .external_lex_state = 2},
  [1731] = {.lex_state = 92, .external_lex_state = 2},
  [1732] = {.lex_state = 92, .external_lex_state = 2},
  [1733] = {.lex_state = 92, .external_lex_state = 2},
  [1734] = {.lex_state = 92, .external_lex_state = 2},
  [1735] = {.lex_state = 92, .external_lex_state = 2},
  [1736] = {.lex_state = 92, .external_lex_state = 2},
  [1737] = {.lex_state = 92, .external_lex_state = 2},
  [1738] = {.lex_state = 92},
  [1739] = {.lex_state = 92, .external_lex_state = 2},
  [1740] = {.lex_state = 92, .external_lex_state = 2},
  [1741] = {.lex_state = 92, .external_lex_state = 2},
  [1742] = {.lex_state = 92, .external_lex_state = 2},
  [1743] = {.lex_state = 138},
  [1744] = {.lex_state = 138},
  [1745] = {.lex_state = 138},
  [1746] = {.lex_state = 92, .external_lex_state = 2},
  [1747] = {.lex_state = 177, .external_lex_state = 2},
  [1748] = {.lex_state = 138},
  [1749] = {.lex_state = 92},
  [1750] = {.lex_state = 177},
  [1751] = {.lex_state = 177},
  [1752] = {.lex_state = 92, .external_lex_state = 2},
  [1753] = {.lex_state = 177},
  [1754] = {.lex_state = 177},
  [1755] = {.lex_state = 177},
  [1756] = {.lex_state = 177},
  [1757] = {.lex_state = 177},
  [1758] = {.lex_state = 138},
  [1759] = {.lex_state = 138},
  [1760] = {.lex_state = 92},
  [1761] = {.lex_state = 92},
  [1762] = {.lex_state = 92},
  [1763] = {.lex_state = 92, .external_lex_state = 6},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 92, .external_lex_state = 6},
  [1766] = {.lex_state = 92},
  [1767] = {.lex_state = 92, .external_lex_state = 6},
  [1768] = {.lex_state = 92, .external_lex_state = 6},
  [1769] = {.lex_state = 186},
  [1770] = {.lex_state = 92, .external_lex_state = 7},
  [1771] = {.lex_state = 92},
  [1772] = {.lex_state = 92, .external_lex_state = 2},
  [1773] = {.lex_state = 92, .external_lex_state = 7},
  [1774] = {.lex_state = 92, .external_lex_state = 4},
  [1775] = {.lex_state = 92, .external_lex_state = 2},
  [1776] = {.lex_state = 92, .external_lex_state = 2},
  [1777] = {.lex_state = 92},
  [1778] = {.lex_state = 92, .external_lex_state = 7},
  [1779] = {.lex_state = 92, .external_lex_state = 2},
  [1780] = {.lex_state = 92, .external_lex_state = 6},
  [1781] = {.lex_state = 92, .external_lex_state = 2},
  [1782] = {.lex_state = 92, .external_lex_state = 7},
  [1783] = {.lex_state = 92, .external_lex_state = 2},
  [1784] = {.lex_state = 92, .external_lex_state = 2},
  [1785] = {.lex_state = 92, .external_lex_state = 7},
  [1786] = {.lex_state = 92, .external_lex_state = 2},
  [1787] = {.lex_state = 92},
  [1788] = {.lex_state = 92, .external_lex_state = 2},
  [1789] = {.lex_state = 92},
  [1790] = {.lex_state = 92, .external_lex_state = 5},
  [1791] = {.lex_state = 92, .external_lex_state = 2},
  [1792] = {.lex_state = 141, .external_lex_state = 5},
  [1793] = {.lex_state = 134},
  [1794] = {.lex_state = 134},
  [1795] = {.lex_state = 120, .external_lex_state = 5},
  [1796] = {.lex_state = 92, .external_lex_state = 2},
  [1797] = {.lex_state = 134, .external_lex_state = 2},
  [1798] = {.lex_state = 92, .external_lex_state = 2},
  [1799] = {.lex_state = 171},
  [1800] = {.lex_state = 120, .external_lex_state = 5},
  [1801] = {.lex_state = 92, .external_lex_state = 2},
  [1802] = {.lex_state = 92},
  [1803] = {.lex_state = 92, .external_lex_state = 2},
  [1804] = {.lex_state = 141},
  [1805] = {.lex_state = 92, .external_lex_state = 7},
  [1806] = {.lex_state = 92, .external_lex_state = 2},
  [1807] = {.lex_state = 92, .external_lex_state = 2},
  [1808] = {.lex_state = 92, .external_lex_state = 2},
  [1809] = {.lex_state = 92, .external_lex_state = 6},
  [1810] = {.lex_state = 92, .external_lex_state = 2},
  [1811] = {.lex_state = 138},
  [1812] = {.lex_state = 92, .external_lex_state = 2},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 177, .external_lex_state = 2},
  [1815] = {.lex_state = 92, .external_lex_state = 2},
  [1816] = {.lex_state = 92, .external_lex_state = 2},
  [1817] = {.lex_state = 92, .external_lex_state = 2},
  [1818] = {.lex_state = 190},
  [1819] = {.lex_state = 92, .external_lex_state = 2},
  [1820] = {.lex_state = 92, .external_lex_state = 2},
  [1821] = {.lex_state = 92, .external_lex_state = 2},
  [1822] = {.lex_state = 92, .external_lex_state = 2},
  [1823] = {.lex_state = 92, .external_lex_state = 2},
  [1824] = {.lex_state = 92},
  [1825] = {.lex_state = 92, .external_lex_state = 2},
  [1826] = {.lex_state = 92, .external_lex_state = 2},
  [1827] = {.lex_state = 92, .external_lex_state = 2},
  [1828] = {.lex_state = 92, .external_lex_state = 2},
  [1829] = {.lex_state = 138},
  [1830] = {.lex_state = 183},
  [1831] = {.lex_state = 159},
  [1832] = {.lex_state = 141, .external_lex_state = 5},
  [1833] = {.lex_state = 141, .external_lex_state = 5},
  [1834] = {.lex_state = 92, .external_lex_state = 5},
  [1835] = {.lex_state = 165},
  [1836] = {.lex_state = 125},
  [1837] = {.lex_state = 125},
  [1838] = {.lex_state = 125},
  [1839] = {.lex_state = 125},
  [1840] = {.lex_state = 125},
  [1841] = {.lex_state = 125},
  [1842] = {.lex_state = 92, .external_lex_state = 2},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 125, .external_lex_state = 2},
  [1845] = {.lex_state = 125},
  [1846] = {.lex_state = 125},
  [1847] = {.lex_state = 125},
  [1848] = {.lex_state = 125},
  [1849] = {.lex_state = 92, .external_lex_state = 2},
  [1850] = {.lex_state = 165, .external_lex_state = 2},
  [1851] = {.lex_state = 125},
  [1852] = {.lex_state = 92},
  [1853] = {.lex_state = 165},
  [1854] = {.lex_state = 165},
  [1855] = {.lex_state = 92, .external_lex_state = 2},
  [1856] = {.lex_state = 165},
  [1857] = {.lex_state = 165},
  [1858] = {.lex_state = 165},
  [1859] = {.lex_state = 165},
  [1860] = {.lex_state = 165},
  [1861] = {.lex_state = 125},
  [1862] = {.lex_state = 159},
  [1863] = {.lex_state = 92, .external_lex_state = 2},
  [1864] = {.lex_state = 92, .external_lex_state = 6},
  [1865] = {.lex_state = 92, .external_lex_state = 7},
  [1866] = {.lex_state = 92, .external_lex_state = 2},
  [1867] = {.lex_state = 92},
  [1868] = {.lex_state = 92, .external_lex_state = 2},
  [1869] = {.lex_state = 141},
  [1870] = {.lex_state = 92},
  [1871] = {.lex_state = 92, .external_lex_state = 2},
  [1872] = {.lex_state = 141},
  [1873] = {.lex_state = 92},
  [1874] = {.lex_state = 92, .external_lex_state = 2},
  [1875] = {.lex_state = 92},
  [1876] = {.lex_state = 92, .external_lex_state = 2},
  [1877] = {.lex_state = 125},
  [1878] = {.lex_state = 92, .external_lex_state = 2},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 92, .external_lex_state = 2},
  [1881] = {.lex_state = 165, .external_lex_state = 2},
  [1882] = {.lex_state = 92, .external_lex_state = 2},
  [1883] = {.lex_state = 92, .external_lex_state = 2},
  [1884] = {.lex_state = 92, .external_lex_state = 2},
  [1885] = {.lex_state = 92, .external_lex_state = 2},
  [1886] = {.lex_state = 92, .external_lex_state = 2},
  [1887] = {.lex_state = 92, .external_lex_state = 2},
  [1888] = {.lex_state = 92, .external_lex_state = 2},
  [1889] = {.lex_state = 92, .external_lex_state = 2},
  [1890] = {.lex_state = 92},
  [1891] = {.lex_state = 92, .external_lex_state = 2},
  [1892] = {.lex_state = 92, .external_lex_state = 2},
  [1893] = {.lex_state = 92, .external_lex_state = 2},
  [1894] = {.lex_state = 92, .external_lex_state = 2},
  [1895] = {.lex_state = 125},
  [1896] = {.lex_state = 125},
  [1897] = {.lex_state = 125},
  [1898] = {.lex_state = 92, .external_lex_state = 2},
  [1899] = {.lex_state = 165, .external_lex_state = 2},
  [1900] = {.lex_state = 125},
  [1901] = {.lex_state = 92},
  [1902] = {.lex_state = 165},
  [1903] = {.lex_state = 165},
  [1904] = {.lex_state = 92, .external_lex_state = 2},
  [1905] = {.lex_state = 165},
  [1906] = {.lex_state = 165},
  [1907] = {.lex_state = 165},
  [1908] = {.lex_state = 165},
  [1909] = {.lex_state = 165},
  [1910] = {.lex_state = 125},
  [1911] = {.lex_state = 92, .external_lex_state = 7},
  [1912] = {.lex_state = 92, .external_lex_state = 2},
  [1913] = {.lex_state = 134},
  [1914] = {.lex_state = 92, .external_lex_state = 2},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 134, .external_lex_state = 2},
  [1917] = {.lex_state = 134},
  [1918] = {.lex_state = 134},
  [1919] = {.lex_state = 134},
  [1920] = {.lex_state = 134},
  [1921] = {.lex_state = 92, .external_lex_state = 2},
  [1922] = {.lex_state = 171, .external_lex_state = 2},
  [1923] = {.lex_state = 134},
  [1924] = {.lex_state = 92},
  [1925] = {.lex_state = 171},
  [1926] = {.lex_state = 171},
  [1927] = {.lex_state = 92, .external_lex_state = 2},
  [1928] = {.lex_state = 171},
  [1929] = {.lex_state = 171},
  [1930] = {.lex_state = 171},
  [1931] = {.lex_state = 171},
  [1932] = {.lex_state = 171},
  [1933] = {.lex_state = 134},
  [1934] = {.lex_state = 138},
  [1935] = {.lex_state = 92, .external_lex_state = 2},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 138, .external_lex_state = 2},
  [1938] = {.lex_state = 138},
  [1939] = {.lex_state = 138},
  [1940] = {.lex_state = 138},
  [1941] = {.lex_state = 138},
  [1942] = {.lex_state = 92, .external_lex_state = 2},
  [1943] = {.lex_state = 177, .external_lex_state = 2},
  [1944] = {.lex_state = 138},
  [1945] = {.lex_state = 92},
  [1946] = {.lex_state = 177},
  [1947] = {.lex_state = 177},
  [1948] = {.lex_state = 92, .external_lex_state = 2},
  [1949] = {.lex_state = 177},
  [1950] = {.lex_state = 177},
  [1951] = {.lex_state = 177},
  [1952] = {.lex_state = 177},
  [1953] = {.lex_state = 177},
  [1954] = {.lex_state = 138},
  [1955] = {.lex_state = 138},
  [1956] = {.lex_state = 92, .external_lex_state = 2},
  [1957] = {.lex_state = 177},
  [1958] = {.lex_state = 92, .external_lex_state = 2},
  [1959] = {.lex_state = 92, .external_lex_state = 6},
  [1960] = {.lex_state = 92},
  [1961] = {.lex_state = 186},
  [1962] = {.lex_state = 92, .external_lex_state = 7},
  [1963] = {.lex_state = 92, .external_lex_state = 7},
  [1964] = {.lex_state = 92, .external_lex_state = 6},
  [1965] = {.lex_state = 92, .external_lex_state = 7},
  [1966] = {.lex_state = 92, .external_lex_state = 7},
  [1967] = {.lex_state = 92, .external_lex_state = 7},
  [1968] = {.lex_state = 92, .external_lex_state = 7},
  [1969] = {.lex_state = 92, .external_lex_state = 7},
  [1970] = {.lex_state = 92, .external_lex_state = 7},
  [1971] = {.lex_state = 92, .external_lex_state = 6},
  [1972] = {.lex_state = 92, .external_lex_state = 2},
  [1973] = {.lex_state = 92},
  [1974] = {.lex_state = 92, .external_lex_state = 2},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 92, .external_lex_state = 7},
  [1977] = {.lex_state = 92, .external_lex_state = 7},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 92, .external_lex_state = 7},
  [1980] = {.lex_state = 92, .external_lex_state = 2},
  [1981] = {.lex_state = 92, .external_lex_state = 2},
  [1982] = {.lex_state = 92, .external_lex_state = 7},
  [1983] = {.lex_state = 92, .external_lex_state = 2},
  [1984] = {.lex_state = 92},
  [1985] = {.lex_state = 92, .external_lex_state = 2},
  [1986] = {.lex_state = 92, .external_lex_state = 2},
  [1987] = {.lex_state = 92, .external_lex_state = 2},
  [1988] = {.lex_state = 92, .external_lex_state = 2},
  [1989] = {.lex_state = 92, .external_lex_state = 5},
  [1990] = {.lex_state = 134},
  [1991] = {.lex_state = 134},
  [1992] = {.lex_state = 92},
  [1993] = {.lex_state = 92, .external_lex_state = 2},
  [1994] = {.lex_state = 92, .external_lex_state = 2},
  [1995] = {.lex_state = 92, .external_lex_state = 7},
  [1996] = {.lex_state = 92, .external_lex_state = 2},
  [1997] = {.lex_state = 138},
  [1998] = {.lex_state = 138},
  [1999] = {.lex_state = 92, .external_lex_state = 2},
  [2000] = {.lex_state = 177, .external_lex_state = 2},
  [2001] = {.lex_state = 138},
  [2002] = {.lex_state = 92},
  [2003] = {.lex_state = 177},
  [2004] = {.lex_state = 177},
  [2005] = {.lex_state = 92, .external_lex_state = 2},
  [2006] = {.lex_state = 177},
  [2007] = {.lex_state = 177},
  [2008] = {.lex_state = 177},
  [2009] = {.lex_state = 177},
  [2010] = {.lex_state = 177},
  [2011] = {.lex_state = 138},
  [2012] = {.lex_state = 92},
  [2013] = {.lex_state = 199},
  [2014] = {.lex_state = 92, .external_lex_state = 2},
  [2015] = {.lex_state = 199},
  [2016] = {.lex_state = 125, .external_lex_state = 2},
  [2017] = {.lex_state = 125},
  [2018] = {.lex_state = 125},
  [2019] = {.lex_state = 125},
  [2020] = {.lex_state = 92, .external_lex_state = 2},
  [2021] = {.lex_state = 165},
  [2022] = {.lex_state = 92, .external_lex_state = 7},
  [2023] = {.lex_state = 92, .external_lex_state = 2},
  [2024] = {.lex_state = 92, .external_lex_state = 2},
  [2025] = {.lex_state = 92},
  [2026] = {.lex_state = 92},
  [2027] = {.lex_state = 125},
  [2028] = {.lex_state = 125},
  [2029] = {.lex_state = 125},
  [2030] = {.lex_state = 92, .external_lex_state = 2},
  [2031] = {.lex_state = 125},
  [2032] = {.lex_state = 165, .external_lex_state = 2},
  [2033] = {.lex_state = 125},
  [2034] = {.lex_state = 92},
  [2035] = {.lex_state = 165},
  [2036] = {.lex_state = 165},
  [2037] = {.lex_state = 92, .external_lex_state = 2},
  [2038] = {.lex_state = 165},
  [2039] = {.lex_state = 165},
  [2040] = {.lex_state = 165},
  [2041] = {.lex_state = 165},
  [2042] = {.lex_state = 165},
  [2043] = {.lex_state = 125},
  [2044] = {.lex_state = 125},
  [2045] = {.lex_state = 92, .external_lex_state = 2},
  [2046] = {.lex_state = 165},
  [2047] = {.lex_state = 92, .external_lex_state = 2},
  [2048] = {.lex_state = 92, .external_lex_state = 2},
  [2049] = {.lex_state = 134, .external_lex_state = 2},
  [2050] = {.lex_state = 134},
  [2051] = {.lex_state = 134},
  [2052] = {.lex_state = 134},
  [2053] = {.lex_state = 92, .external_lex_state = 2},
  [2054] = {.lex_state = 171},
  [2055] = {.lex_state = 92, .external_lex_state = 2},
  [2056] = {.lex_state = 138, .external_lex_state = 2},
  [2057] = {.lex_state = 138},
  [2058] = {.lex_state = 138},
  [2059] = {.lex_state = 138},
  [2060] = {.lex_state = 92, .external_lex_state = 2},
  [2061] = {.lex_state = 177},
  [2062] = {.lex_state = 138},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 92, .external_lex_state = 7},
  [2065] = {.lex_state = 92, .external_lex_state = 7},
  [2066] = {.lex_state = 92, .external_lex_state = 6},
  [2067] = {.lex_state = 92, .external_lex_state = 6},
  [2068] = {.lex_state = 92, .external_lex_state = 2},
  [2069] = {.lex_state = 92, .external_lex_state = 7},
  [2070] = {.lex_state = 92, .external_lex_state = 7},
  [2071] = {.lex_state = 92, .external_lex_state = 7},
  [2072] = {.lex_state = 92, .external_lex_state = 7},
  [2073] = {.lex_state = 92, .external_lex_state = 7},
  [2074] = {.lex_state = 92, .external_lex_state = 7},
  [2075] = {.lex_state = 92, .external_lex_state = 7},
  [2076] = {.lex_state = 92, .external_lex_state = 2},
  [2077] = {.lex_state = 0},
  [2078] = {.lex_state = 92, .external_lex_state = 7},
  [2079] = {.lex_state = 92, .external_lex_state = 7},
  [2080] = {.lex_state = 92, .external_lex_state = 7},
  [2081] = {.lex_state = 92, .external_lex_state = 7},
  [2082] = {.lex_state = 92, .external_lex_state = 7},
  [2083] = {.lex_state = 92, .external_lex_state = 7},
  [2084] = {.lex_state = 92, .external_lex_state = 7},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 92, .external_lex_state = 7},
  [2087] = {.lex_state = 92, .external_lex_state = 7},
  [2088] = {.lex_state = 92, .external_lex_state = 6},
  [2089] = {.lex_state = 92},
  [2090] = {.lex_state = 92, .external_lex_state = 6},
  [2091] = {.lex_state = 92, .external_lex_state = 7},
  [2092] = {.lex_state = 92, .external_lex_state = 7},
  [2093] = {.lex_state = 92, .external_lex_state = 7},
  [2094] = {.lex_state = 92, .external_lex_state = 6},
  [2095] = {.lex_state = 92, .external_lex_state = 2},
  [2096] = {.lex_state = 92, .external_lex_state = 6},
  [2097] = {.lex_state = 92, .external_lex_state = 2},
  [2098] = {.lex_state = 92, .external_lex_state = 2},
  [2099] = {.lex_state = 92, .external_lex_state = 2},
  [2100] = {.lex_state = 138},
  [2101] = {.lex_state = 92, .external_lex_state = 2},
  [2102] = {.lex_state = 177},
  [2103] = {.lex_state = 199},
  [2104] = {.lex_state = 92, .external_lex_state = 2},
  [2105] = {.lex_state = 125, .external_lex_state = 2},
  [2106] = {.lex_state = 125},
  [2107] = {.lex_state = 92, .external_lex_state = 2},
  [2108] = {.lex_state = 125},
  [2109] = {.lex_state = 92, .external_lex_state = 2},
  [2110] = {.lex_state = 165},
  [2111] = {.lex_state = 125},
  [2112] = {.lex_state = 92, .external_lex_state = 2},
  [2113] = {.lex_state = 134, .external_lex_state = 2},
  [2114] = {.lex_state = 134},
  [2115] = {.lex_state = 92, .external_lex_state = 2},
  [2116] = {.lex_state = 138, .external_lex_state = 2},
  [2117] = {.lex_state = 138},
  [2118] = {.lex_state = 92, .external_lex_state = 6},
  [2119] = {.lex_state = 92, .external_lex_state = 7},
  [2120] = {.lex_state = 92, .external_lex_state = 7},
  [2121] = {.lex_state = 92, .external_lex_state = 7},
  [2122] = {.lex_state = 92, .external_lex_state = 7},
  [2123] = {.lex_state = 92, .external_lex_state = 7},
  [2124] = {.lex_state = 0},
  [2125] = {.lex_state = 92, .external_lex_state = 7},
  [2126] = {.lex_state = 92, .external_lex_state = 7},
  [2127] = {.lex_state = 92, .external_lex_state = 7},
  [2128] = {.lex_state = 92, .external_lex_state = 7},
  [2129] = {.lex_state = 92},
  [2130] = {.lex_state = 92, .external_lex_state = 6},
  [2131] = {.lex_state = 92, .external_lex_state = 7},
  [2132] = {.lex_state = 92, .external_lex_state = 7},
  [2133] = {.lex_state = 92, .external_lex_state = 7},
  [2134] = {.lex_state = 92, .external_lex_state = 7},
  [2135] = {.lex_state = 92, .external_lex_state = 6},
  [2136] = {.lex_state = 92, .external_lex_state = 7},
  [2137] = {.lex_state = 92, .external_lex_state = 7},
  [2138] = {.lex_state = 92, .external_lex_state = 7},
  [2139] = {.lex_state = 92, .external_lex_state = 7},
  [2140] = {.lex_state = 92, .external_lex_state = 6},
  [2141] = {.lex_state = 92, .external_lex_state = 2},
  [2142] = {.lex_state = 92, .external_lex_state = 7},
  [2143] = {.lex_state = 92, .external_lex_state = 7},
  [2144] = {.lex_state = 92, .external_lex_state = 7},
  [2145] = {.lex_state = 92, .external_lex_state = 7},
  [2146] = {.lex_state = 92, .external_lex_state = 7},
  [2147] = {.lex_state = 92, .external_lex_state = 7},
  [2148] = {.lex_state = 92, .external_lex_state = 2},
  [2149] = {.lex_state = 138},
  [2150] = {.lex_state = 125},
  [2151] = {.lex_state = 92, .external_lex_state = 7},
  [2152] = {.lex_state = 92, .external_lex_state = 7},
  [2153] = {.lex_state = 92, .external_lex_state = 7},
  [2154] = {.lex_state = 92, .external_lex_state = 7},
  [2155] = {.lex_state = 92, .external_lex_state = 6},
  [2156] = {.lex_state = 92, .external_lex_state = 7},
  [2157] = {.lex_state = 92, .external_lex_state = 6},
  [2158] = {.lex_state = 92, .external_lex_state = 7},
  [2159] = {.lex_state = 92, .external_lex_state = 7},
  [2160] = {.lex_state = 92, .external_lex_state = 7},
  [2161] = {.lex_state = 92, .external_lex_state = 7},
  [2162] = {.lex_state = 92, .external_lex_state = 7},
  [2163] = {.lex_state = 92, .external_lex_state = 7},
  [2164] = {.lex_state = 92, .external_lex_state = 7},
  [2165] = {.lex_state = 92, .external_lex_state = 7},
  [2166] = {.lex_state = 92},
  [2167] = {.lex_state = 92, .external_lex_state = 7},
  [2168] = {.lex_state = 92, .external_lex_state = 7},
  [2169] = {.lex_state = 92, .external_lex_state = 7},
  [2170] = {.lex_state = 92, .external_lex_state = 2},
  [2171] = {.lex_state = 92, .external_lex_state = 7},
  [2172] = {.lex_state = 92, .external_lex_state = 7},
  [2173] = {.lex_state = 92, .external_lex_state = 7},
  [2174] = {.lex_state = 92, .external_lex_state = 7},
  [2175] = {.lex_state = 92, .external_lex_state = 7},
  [2176] = {.lex_state = 92, .external_lex_state = 7},
  [2177] = {.lex_state = 92, .external_lex_state = 7},
  [2178] = {.lex_state = 92, .external_lex_state = 7},
  [2179] = {.lex_state = 92, .external_lex_state = 7},
  [2180] = {.lex_state = 92, .external_lex_state = 6},
  [2181] = {.lex_state = 92, .external_lex_state = 7},
  [2182] = {.lex_state = 92, .external_lex_state = 7},
  [2183] = {.lex_state = 92, .external_lex_state = 7},
  [2184] = {.lex_state = 92, .external_lex_state = 7},
  [2185] = {.lex_state = 92, .external_lex_state = 7},
  [2186] = {.lex_state = 92, .external_lex_state = 7},
  [2187] = {.lex_state = 92, .external_lex_state = 7},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
  },
  [6] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [7] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_integer] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
  },
  [1] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_module] = STATE(40),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(43),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(7),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [ts_builtin_sym_end] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [anon_sym_with] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_def] = ACTIONS(79),
  },
  [3] = {
    [sym_interpolation] = STATE(51),
    [aux_sym_string_repeat1] = STATE(51),
    [sym_escape_sequence] = ACTIONS(81),
    [sym__string_end] = ACTIONS(83),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [4] = {
    [sym_identifier] = ACTIONS(89),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_lambda] = STATE(65),
    [sym_conditional_expression] = STATE(65),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(65),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(65),
    [sym_boolean_operator] = STATE(65),
    [sym_await] = STATE(65),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(65),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(65),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [7] = {
    [sym_lambda] = STATE(69),
    [sym__primary_expression] = STATE(66),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(69),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(69),
    [sym_boolean_operator] = STATE(69),
    [sym_await] = STATE(69),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_expression_list] = STATE(68),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(69),
    [sym_conditional_expression] = STATE(69),
    [sym_comparison_operator] = STATE(69),
    [sym__newline] = ACTIONS(117),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(117),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_from] = ACTIONS(119),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [8] = {
    [sym_lambda] = STATE(69),
    [sym__primary_expression] = STATE(66),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(69),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(69),
    [sym_boolean_operator] = STATE(69),
    [sym_await] = STATE(69),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_expression_list] = STATE(70),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(69),
    [sym_conditional_expression] = STATE(69),
    [sym_comparison_operator] = STATE(69),
    [sym__newline] = ACTIONS(121),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(121),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [9] = {
    [sym_relative_import] = STATE(73),
    [sym_import_prefix] = STATE(75),
    [aux_sym_import_prefix_repeat1] = STATE(74),
    [sym_dotted_name] = STATE(73),
    [anon_sym_DOT] = ACTIONS(123),
    [sym_identifier] = ACTIONS(125),
    [anon_sym___future__] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_lambda] = STATE(91),
    [sym_yield] = STATE(89),
    [sym_attribute] = STATE(92),
    [sym_conditional_expression] = STATE(91),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(91),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(91),
    [sym_boolean_operator] = STATE(91),
    [sym_await] = STATE(91),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(91),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(91),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(137),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [11] = {
    [sym_lambda] = STATE(100),
    [sym__primary_expression] = STATE(101),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(100),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_with_item] = STATE(98),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(100),
    [sym_boolean_operator] = STATE(100),
    [sym_await] = STATE(100),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(100),
    [sym_conditional_expression] = STATE(100),
    [sym_comparison_operator] = STATE(100),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [12] = {
    [sym_lambda] = STATE(108),
    [sym_conditional_expression] = STATE(108),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(108),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(108),
    [sym_boolean_operator] = STATE(108),
    [sym_await] = STATE(108),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(108),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(108),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [13] = {
    [sym__semicolon] = ACTIONS(187),
    [sym__newline] = ACTIONS(187),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_attribute] = STATE(111),
    [sym_dictionary_comprehension] = STATE(111),
    [sym_generator_expression] = STATE(111),
    [sym_binary_operator] = STATE(111),
    [sym_unary_operator] = STATE(111),
    [sym_call] = STATE(111),
    [sym_list_comprehension] = STATE(111),
    [sym_dictionary] = STATE(111),
    [sym_parenthesized_expression] = STATE(111),
    [sym_tuple] = STATE(111),
    [sym_concatenated_string] = STATE(111),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(111),
    [sym_list] = STATE(111),
    [sym_set] = STATE(111),
    [sym_set_comprehension] = STATE(111),
    [sym__primary_expression] = STATE(111),
    [sym_integer] = ACTIONS(189),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(193),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(189),
    [sym_identifier] = ACTIONS(189),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(193),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(189),
    [sym__string_start] = ACTIONS(73),
  },
  [15] = {
    [sym_dotted_name] = STATE(113),
    [sym_identifier] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_lambda_parameters] = STATE(121),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(205),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_lambda] = STATE(125),
    [sym_conditional_expression] = STATE(125),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(125),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(125),
    [sym_boolean_operator] = STATE(125),
    [sym_await] = STATE(125),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_chevron] = STATE(124),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(125),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(125),
    [sym__newline] = ACTIONS(207),
    [sym_integer] = ACTIONS(93),
    [anon_sym_SLASH_SLASH] = ACTIONS(209),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_is] = ACTIONS(209),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_LT_LT_EQ] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(207),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_STAR_STAR] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(209),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_STAR_EQ] = ACTIONS(207),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(207),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_and] = ACTIONS(209),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_COLON] = ACTIONS(207),
    [anon_sym_or] = ACTIONS(209),
    [sym_true] = ACTIONS(93),
    [anon_sym_DASH_EQ] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_AMP_EQ] = ACTIONS(207),
    [anon_sym_AT_EQ] = ACTIONS(207),
    [anon_sym_PERCENT_EQ] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_CARET_EQ] = ACTIONS(207),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(207),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_PERCENT] = ACTIONS(209),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_PIPE_EQ] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(209),
    [anon_sym_GT_GT_EQ] = ACTIONS(207),
    [sym_false] = ACTIONS(93),
  },
  [18] = {
    [sym_lambda] = STATE(69),
    [sym__primary_expression] = STATE(66),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(69),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(69),
    [sym_boolean_operator] = STATE(69),
    [sym_await] = STATE(69),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_expression_list] = STATE(126),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(69),
    [sym_conditional_expression] = STATE(69),
    [sym_comparison_operator] = STATE(69),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [19] = {
    [sym_aliased_import] = STATE(128),
    [sym_dotted_name] = STATE(130),
    [sym__import_list] = STATE(129),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_lambda] = STATE(131),
    [sym_conditional_expression] = STATE(131),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(131),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(131),
    [sym_boolean_operator] = STATE(131),
    [sym_await] = STATE(131),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(131),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(131),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [21] = {
    [sym_identifier] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_lambda] = STATE(133),
    [sym_conditional_expression] = STATE(133),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(133),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(133),
    [sym_boolean_operator] = STATE(133),
    [sym_await] = STATE(133),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(133),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(133),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [23] = {
    [sym__semicolon] = ACTIONS(217),
    [sym__newline] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(219),
    [sym__newline] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_DASH_EQ] = ACTIONS(221),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_AMP_EQ] = ACTIONS(221),
    [anon_sym_AT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT_EQ] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_PERCENT_EQ] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(219),
    [anon_sym_STAR_STAR] = ACTIONS(219),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(219),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(219),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_CARET_EQ] = ACTIONS(221),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(221),
    [anon_sym_STAR_EQ] = ACTIONS(221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(219),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_PLUS_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(219),
    [anon_sym_PIPE] = ACTIONS(219),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(219),
    [anon_sym_PIPE_EQ] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_SLASH_EQ] = ACTIONS(221),
    [anon_sym_GT_GT_EQ] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_identifier] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_lambda] = STATE(136),
    [sym_conditional_expression] = STATE(136),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(136),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(136),
    [sym_boolean_operator] = STATE(136),
    [sym_await] = STATE(136),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(136),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(136),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [27] = {
    [sym_string] = STATE(138),
    [anon_sym_COLON] = ACTIONS(207),
    [anon_sym_or] = ACTIONS(207),
    [anon_sym_SLASH_SLASH] = ACTIONS(209),
    [sym__newline] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_DASH_EQ] = ACTIONS(207),
    [anon_sym_is] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_AMP_EQ] = ACTIONS(207),
    [anon_sym_AT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT_EQ] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(207),
    [anon_sym_PERCENT_EQ] = ACTIONS(207),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_STAR_STAR] = ACTIONS(209),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [anon_sym_CARET_EQ] = ACTIONS(207),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(207),
    [anon_sym_STAR_EQ] = ACTIONS(207),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_and] = ACTIONS(207),
    [anon_sym_PERCENT] = ACTIONS(209),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_PLUS_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(209),
    [anon_sym_PIPE] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(209),
    [anon_sym_PIPE_EQ] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [anon_sym_SLASH_EQ] = ACTIONS(207),
    [anon_sym_GT_GT_EQ] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(227),
  },
  [28] = {
    [sym_lambda] = STATE(147),
    [sym__primary_expression] = STATE(148),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(147),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(147),
    [sym_boolean_operator] = STATE(147),
    [sym_await] = STATE(147),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_expression_list] = STATE(146),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(147),
    [sym_conditional_expression] = STATE(147),
    [sym_comparison_operator] = STATE(147),
    [sym__newline] = ACTIONS(229),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(229),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_from] = ACTIONS(241),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [29] = {
    [sym_lambda] = STATE(159),
    [sym_conditional_expression] = STATE(159),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(159),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_splat] = STATE(157),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(159),
    [sym_boolean_operator] = STATE(159),
    [sym_await] = STATE(159),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(159),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(159),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(263),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [30] = {
    [sym_lambda] = STATE(173),
    [sym_conditional_expression] = STATE(173),
    [sym_attribute] = STATE(174),
    [sym_dictionary_splat] = STATE(169),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(173),
    [sym_generator_expression] = STATE(174),
    [sym_pair] = STATE(170),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_splat] = STATE(171),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(173),
    [sym_boolean_operator] = STATE(173),
    [sym_await] = STATE(173),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(173),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(173),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(277),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(281),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [31] = {
    [anon_sym_COLON] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(178),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [33] = {
    [sym__semicolon] = ACTIONS(295),
    [sym__newline] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__semicolon] = ACTIONS(297),
    [sym__newline] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [aux_sym__simple_statements_repeat1] = STATE(182),
    [sym__semicolon] = ACTIONS(299),
    [sym__newline] = ACTIONS(301),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_integer] = ACTIONS(303),
    [sym_true] = ACTIONS(303),
    [sym__string_start] = ACTIONS(305),
    [anon_sym_nonlocal] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_assert] = ACTIONS(303),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_from] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(305),
    [sym_none] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_pass] = ACTIONS(303),
    [sym_float] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_lambda] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_print] = ACTIONS(303),
    [anon_sym_del] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(305),
    [anon_sym_import] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_def] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(303),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_DASH] = ACTIONS(305),
    [anon_sym_global] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(303),
    [ts_builtin_sym_end] = ACTIONS(305),
    [anon_sym_raise] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_try] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [anon_sym_continue] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(303),
  },
  [37] = {
    [anon_sym_COLON] = ACTIONS(307),
    [anon_sym_CARET_EQ] = ACTIONS(309),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(309),
    [anon_sym_STAR_EQ] = ACTIONS(309),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(309),
    [anon_sym_DASH_EQ] = ACTIONS(309),
    [anon_sym_AMP_EQ] = ACTIONS(309),
    [anon_sym_AT_EQ] = ACTIONS(309),
    [anon_sym_LT_LT_EQ] = ACTIONS(309),
    [anon_sym_PERCENT_EQ] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(309),
    [anon_sym_PIPE_EQ] = ACTIONS(309),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(309),
    [anon_sym_GT_GT_EQ] = ACTIONS(309),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_integer] = ACTIONS(313),
    [sym_true] = ACTIONS(313),
    [sym__string_start] = ACTIONS(315),
    [anon_sym_nonlocal] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(313),
    [anon_sym_yield] = ACTIONS(313),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_from] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(315),
    [sym_none] = ACTIONS(313),
    [anon_sym_with] = ACTIONS(313),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_pass] = ACTIONS(313),
    [sym_float] = ACTIONS(315),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(315),
    [anon_sym_lambda] = ACTIONS(313),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_print] = ACTIONS(313),
    [anon_sym_del] = ACTIONS(313),
    [sym_ellipsis] = ACTIONS(315),
    [anon_sym_import] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_await] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(313),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_global] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_exec] = ACTIONS(313),
    [ts_builtin_sym_end] = ACTIONS(315),
    [anon_sym_raise] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(313),
    [sym_false] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(313),
  },
  [39] = {
    [sym_argument_list] = STATE(199),
    [aux_sym_comparison_operator_repeat1] = STATE(200),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [sym__newline] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [anon_sym_GT] = ACTIONS(321),
    [anon_sym_DASH_EQ] = ACTIONS(317),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(327),
    [anon_sym_AMP_EQ] = ACTIONS(317),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(317),
    [anon_sym_LT_LT_EQ] = ACTIONS(317),
    [anon_sym_PERCENT_EQ] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(327),
    [anon_sym_BANG_EQ] = ACTIONS(327),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(327),
    [anon_sym_CARET_EQ] = ACTIONS(317),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(317),
    [anon_sym_STAR_EQ] = ACTIONS(317),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(317),
    [sym__semicolon] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(339),
    [anon_sym_GT_EQ] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(317),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(321),
    [anon_sym_PIPE_EQ] = ACTIONS(317),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_SLASH_EQ] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(317),
    [anon_sym_GT_GT_EQ] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(349),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_integer] = ACTIONS(351),
    [sym_true] = ACTIONS(351),
    [sym__string_start] = ACTIONS(353),
    [anon_sym_nonlocal] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(351),
    [anon_sym_assert] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(351),
    [anon_sym_return] = ACTIONS(351),
    [anon_sym_from] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(353),
    [sym_none] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_pass] = ACTIONS(351),
    [sym_float] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_AT] = ACTIONS(353),
    [anon_sym_lambda] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(353),
    [anon_sym_print] = ACTIONS(351),
    [anon_sym_del] = ACTIONS(351),
    [sym_ellipsis] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_while] = ACTIONS(351),
    [anon_sym_def] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(351),
    [anon_sym_break] = ACTIONS(351),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(351),
    [anon_sym_exec] = ACTIONS(351),
    [ts_builtin_sym_end] = ACTIONS(353),
    [anon_sym_raise] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(353),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(351),
    [sym_false] = ACTIONS(351),
    [anon_sym_continue] = ACTIONS(351),
    [anon_sym_async] = ACTIONS(351),
  },
  [42] = {
    [sym_string] = STATE(201),
    [aux_sym_concatenated_string_repeat1] = STATE(201),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(219),
    [sym__newline] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_DASH_EQ] = ACTIONS(221),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_AMP_EQ] = ACTIONS(221),
    [anon_sym_AT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT_EQ] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_PERCENT_EQ] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(219),
    [anon_sym_STAR_STAR] = ACTIONS(219),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(219),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(219),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_CARET_EQ] = ACTIONS(221),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(221),
    [anon_sym_STAR_EQ] = ACTIONS(221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(219),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_PLUS_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(219),
    [anon_sym_PIPE] = ACTIONS(219),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(219),
    [anon_sym_PIPE_EQ] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_SLASH_EQ] = ACTIONS(221),
    [anon_sym_GT_GT_EQ] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [43] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(202),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(7),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [44] = {
    [aux_sym_decorated_definition_repeat1] = STATE(204),
    [sym_function_definition] = STATE(205),
    [sym_decorator] = STATE(204),
    [sym_class_definition] = STATE(205),
    [anon_sym_async] = ACTIONS(357),
    [anon_sym_AT] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(359),
    [anon_sym_def] = ACTIONS(361),
  },
  [45] = {
    [aux_sym_assert_statement_repeat1] = STATE(210),
    [sym__newline] = ACTIONS(297),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(297),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(211),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [47] = {
    [sym_lambda] = STATE(100),
    [sym__primary_expression] = STATE(101),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(100),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_with_item] = STATE(212),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(100),
    [sym_boolean_operator] = STATE(100),
    [sym_await] = STATE(100),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(100),
    [sym_conditional_expression] = STATE(100),
    [sym_comparison_operator] = STATE(100),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [48] = {
    [sym_identifier] = ACTIONS(373),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [anon_sym_COLON] = ACTIONS(375),
    [anon_sym_or] = ACTIONS(375),
    [anon_sym_SLASH_SLASH] = ACTIONS(377),
    [sym__newline] = ACTIONS(375),
    [anon_sym_GT] = ACTIONS(377),
    [anon_sym_DASH_EQ] = ACTIONS(375),
    [anon_sym_is] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(377),
    [anon_sym_LT_EQ] = ACTIONS(375),
    [anon_sym_STAR] = ACTIONS(377),
    [anon_sym_AMP_EQ] = ACTIONS(375),
    [anon_sym_AT_EQ] = ACTIONS(375),
    [anon_sym_LT_LT_EQ] = ACTIONS(375),
    [anon_sym_LPAREN] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(375),
    [anon_sym_PERCENT_EQ] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(377),
    [anon_sym_STAR_STAR] = ACTIONS(377),
    [anon_sym_SLASH] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(377),
    [anon_sym_AT] = ACTIONS(377),
    [anon_sym_LT_GT] = ACTIONS(375),
    [anon_sym_BANG_EQ] = ACTIONS(375),
    [anon_sym_CARET] = ACTIONS(377),
    [anon_sym_EQ_EQ] = ACTIONS(375),
    [anon_sym_CARET_EQ] = ACTIONS(375),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(375),
    [anon_sym_STAR_EQ] = ACTIONS(375),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [anon_sym_DASH] = ACTIONS(377),
    [anon_sym_and] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(377),
    [anon_sym_not] = ACTIONS(375),
    [anon_sym_GT_EQ] = ACTIONS(375),
    [anon_sym_PLUS_EQ] = ACTIONS(375),
    [anon_sym_LT_LT] = ACTIONS(377),
    [anon_sym_PIPE] = ACTIONS(377),
    [anon_sym_LT] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(377),
    [anon_sym_PIPE_EQ] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(375),
    [anon_sym_DOT] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_SLASH_EQ] = ACTIONS(375),
    [anon_sym_GT_GT_EQ] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(375),
  },
  [50] = {
    [sym_lambda] = STATE(220),
    [sym_conditional_expression] = STATE(220),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(220),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(220),
    [sym_boolean_operator] = STATE(220),
    [sym_await] = STATE(220),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(220),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(220),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [51] = {
    [sym_interpolation] = STATE(223),
    [aux_sym_string_repeat1] = STATE(223),
    [sym_escape_sequence] = ACTIONS(393),
    [sym__string_end] = ACTIONS(395),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [52] = {
    [aux_sym_global_statement_repeat1] = STATE(225),
    [sym__semicolon] = ACTIONS(397),
    [sym__newline] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_argument_list] = STATE(228),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_COLON] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__newline] = ACTIONS(207),
    [anon_sym_or] = ACTIONS(207),
    [anon_sym_SLASH_SLASH] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_is] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_from] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(207),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_STAR_STAR] = ACTIONS(207),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(207),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_and] = ACTIONS(207),
    [anon_sym_PERCENT] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_attribute] = STATE(229),
    [sym_dictionary_comprehension] = STATE(229),
    [sym_generator_expression] = STATE(229),
    [sym_binary_operator] = STATE(229),
    [sym_unary_operator] = STATE(229),
    [sym_call] = STATE(229),
    [sym_list_comprehension] = STATE(229),
    [sym_dictionary] = STATE(229),
    [sym_parenthesized_expression] = STATE(229),
    [sym_tuple] = STATE(229),
    [sym_concatenated_string] = STATE(229),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(229),
    [sym_list] = STATE(229),
    [sym_set] = STATE(229),
    [sym_set_comprehension] = STATE(229),
    [sym__primary_expression] = STATE(229),
    [sym_integer] = ACTIONS(405),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(405),
    [sym__string_start] = ACTIONS(115),
  },
  [56] = {
    [sym_interpolation] = STATE(231),
    [aux_sym_string_repeat1] = STATE(231),
    [sym_escape_sequence] = ACTIONS(409),
    [sym__string_end] = ACTIONS(411),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [57] = {
    [sym_lambda] = STATE(133),
    [sym_conditional_expression] = STATE(133),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(133),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(133),
    [sym_boolean_operator] = STATE(133),
    [sym_await] = STATE(133),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(133),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(133),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [58] = {
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(413),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_lambda] = STATE(233),
    [sym_conditional_expression] = STATE(233),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(233),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(233),
    [sym_boolean_operator] = STATE(233),
    [sym_await] = STATE(233),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(233),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(233),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [60] = {
    [sym_lambda] = STATE(237),
    [sym_yield] = STATE(236),
    [sym_attribute] = STATE(92),
    [sym_conditional_expression] = STATE(237),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(237),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(237),
    [sym_boolean_operator] = STATE(237),
    [sym_await] = STATE(237),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(237),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(237),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(415),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [61] = {
    [sym_lambda] = STATE(243),
    [sym_conditional_expression] = STATE(243),
    [sym_attribute] = STATE(174),
    [sym_dictionary_splat] = STATE(240),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(243),
    [sym_generator_expression] = STATE(174),
    [sym_pair] = STATE(241),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_splat] = STATE(242),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(243),
    [sym_boolean_operator] = STATE(243),
    [sym_await] = STATE(243),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(243),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(243),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(277),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(419),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(421),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [62] = {
    [sym_lambda] = STATE(247),
    [sym_conditional_expression] = STATE(247),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(247),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_splat] = STATE(246),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(247),
    [sym_boolean_operator] = STATE(247),
    [sym_await] = STATE(247),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(247),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(247),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(423),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(425),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [63] = {
    [sym_lambda_parameters] = STATE(249),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_string] = STATE(250),
    [aux_sym_concatenated_string_repeat1] = STATE(250),
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [65] = {
    [aux_sym_assert_statement_repeat1] = STATE(255),
    [sym__semicolon] = ACTIONS(429),
    [sym__newline] = ACTIONS(429),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_argument_list] = STATE(269),
    [aux_sym_comparison_operator_repeat1] = STATE(270),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(441),
    [anon_sym_is] = ACTIONS(443),
    [anon_sym_AMP] = ACTIONS(445),
    [anon_sym_LT_EQ] = ACTIONS(447),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(447),
    [anon_sym_BANG_EQ] = ACTIONS(447),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(447),
    [sym__semicolon] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(459),
    [anon_sym_GT_EQ] = ACTIONS(447),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(441),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_lambda] = STATE(277),
    [sym_conditional_expression] = STATE(277),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(277),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(277),
    [sym_boolean_operator] = STATE(277),
    [sym_await] = STATE(277),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(277),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(277),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [68] = {
    [sym__semicolon] = ACTIONS(483),
    [sym__newline] = ACTIONS(483),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [aux_sym_assert_statement_repeat1] = STATE(280),
    [sym__semicolon] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__semicolon] = ACTIONS(487),
    [sym__newline] = ACTIONS(487),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [aux_sym_dotted_name_repeat1] = STATE(282),
    [anon_sym_import] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [anon_sym_import] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [anon_sym_import] = ACTIONS(495),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [aux_sym_import_prefix_repeat1] = STATE(285),
    [anon_sym_DOT] = ACTIONS(497),
    [sym_identifier] = ACTIONS(499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(499),
  },
  [75] = {
    [sym_dotted_name] = STATE(286),
    [anon_sym_import] = ACTIONS(501),
    [sym_identifier] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [anon_sym_COLON] = ACTIONS(207),
    [anon_sym_or] = ACTIONS(207),
    [anon_sym_SLASH_SLASH] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_is] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_as] = ACTIONS(209),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(207),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_RBRACE] = ACTIONS(207),
    [sym_type_conversion] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_STAR_STAR] = ACTIONS(207),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(207),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_else] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_and] = ACTIONS(207),
    [anon_sym_PERCENT] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_async] = ACTIONS(207),
  },
  [77] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [78] = {
    [sym_interpolation] = STATE(289),
    [aux_sym_string_repeat1] = STATE(289),
    [sym_escape_sequence] = ACTIONS(507),
    [sym__string_end] = ACTIONS(509),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [79] = {
    [anon_sym_COLON] = ACTIONS(511),
    [anon_sym_or] = ACTIONS(511),
    [anon_sym_SLASH_SLASH] = ACTIONS(513),
    [sym__newline] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_DASH_EQ] = ACTIONS(511),
    [anon_sym_is] = ACTIONS(511),
    [anon_sym_AMP] = ACTIONS(513),
    [anon_sym_LT_EQ] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_AMP_EQ] = ACTIONS(511),
    [anon_sym_AT_EQ] = ACTIONS(511),
    [anon_sym_LT_LT_EQ] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_PERCENT_EQ] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(513),
    [anon_sym_STAR_STAR] = ACTIONS(513),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_AT] = ACTIONS(513),
    [anon_sym_LT_GT] = ACTIONS(511),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(513),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_CARET_EQ] = ACTIONS(511),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(511),
    [anon_sym_STAR_EQ] = ACTIONS(511),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(511),
    [sym__semicolon] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(513),
    [anon_sym_and] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(513),
    [anon_sym_not] = ACTIONS(511),
    [anon_sym_GT_EQ] = ACTIONS(511),
    [anon_sym_PLUS_EQ] = ACTIONS(511),
    [anon_sym_LT_LT] = ACTIONS(513),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(513),
    [anon_sym_PIPE_EQ] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(511),
    [anon_sym_SLASH_EQ] = ACTIONS(511),
    [anon_sym_GT_GT_EQ] = ACTIONS(511),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [81] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(515),
    [anon_sym_for] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(221),
  },
  [82] = {
    [sym_lambda] = STATE(300),
    [sym__primary_expression] = STATE(301),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(300),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(300),
    [sym_boolean_operator] = STATE(300),
    [sym_await] = STATE(300),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_expression_list] = STATE(299),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(300),
    [sym_conditional_expression] = STATE(300),
    [sym_comparison_operator] = STATE(300),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(117),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_from] = ACTIONS(527),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [83] = {
    [sym_lambda] = STATE(302),
    [sym_conditional_expression] = STATE(302),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(302),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(302),
    [sym_boolean_operator] = STATE(302),
    [sym_await] = STATE(302),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(302),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(302),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [84] = {
    [sym_lambda] = STATE(306),
    [sym_yield] = STATE(305),
    [sym_attribute] = STATE(92),
    [sym_conditional_expression] = STATE(306),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(306),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(306),
    [sym_boolean_operator] = STATE(306),
    [sym_await] = STATE(306),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(306),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(306),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(533),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [85] = {
    [sym_lambda] = STATE(312),
    [sym_conditional_expression] = STATE(312),
    [sym_attribute] = STATE(174),
    [sym_dictionary_splat] = STATE(309),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(312),
    [sym_generator_expression] = STATE(174),
    [sym_pair] = STATE(310),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_splat] = STATE(311),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(312),
    [sym_boolean_operator] = STATE(312),
    [sym_await] = STATE(312),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(312),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(312),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(277),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(537),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(539),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [86] = {
    [sym_lambda] = STATE(316),
    [sym_conditional_expression] = STATE(316),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(316),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_splat] = STATE(315),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(316),
    [sym_boolean_operator] = STATE(316),
    [sym_await] = STATE(316),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(316),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(316),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(541),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(543),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [87] = {
    [anon_sym_RPAREN] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_lambda_parameters] = STATE(319),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(547),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [aux_sym_tuple_repeat1] = STATE(322),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_string] = STATE(323),
    [aux_sym_concatenated_string_repeat1] = STATE(323),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [91] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_tuple_repeat1] = STATE(322),
    [sym__comprehension_body] = STATE(330),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [92] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(345),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_is] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(571),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(571),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(571),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(583),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [93] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [94] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [95] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(593),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_lambda] = STATE(347),
    [sym_conditional_expression] = STATE(347),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(347),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(347),
    [sym_boolean_operator] = STATE(347),
    [sym_await] = STATE(347),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(347),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(347),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [97] = {
    [sym_lambda_parameters] = STATE(349),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [aux_sym_with_statement_repeat1] = STATE(352),
    [anon_sym_COLON] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_string] = STATE(353),
    [aux_sym_concatenated_string_repeat1] = STATE(353),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [100] = {
    [anon_sym_COLON] = ACTIONS(601),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(609),
  },
  [101] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(368),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(613),
    [anon_sym_is] = ACTIONS(615),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(619),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(619),
    [anon_sym_BANG_EQ] = ACTIONS(619),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_EQ_EQ] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(619),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(613),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [103] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [104] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_lambda] = STATE(370),
    [sym_conditional_expression] = STATE(370),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(370),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(370),
    [sym_boolean_operator] = STATE(370),
    [sym_await] = STATE(370),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(370),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(370),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [106] = {
    [sym_lambda_parameters] = STATE(372),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_string] = STATE(373),
    [aux_sym_concatenated_string_repeat1] = STATE(373),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [108] = {
    [anon_sym_COLON] = ACTIONS(639),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(388),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_is] = ACTIONS(651),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [anon_sym_COLON] = ACTIONS(207),
    [anon_sym_or] = ACTIONS(207),
    [anon_sym_SLASH_SLASH] = ACTIONS(209),
    [sym__newline] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_DASH_EQ] = ACTIONS(207),
    [anon_sym_is] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_AMP_EQ] = ACTIONS(207),
    [anon_sym_AT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT_EQ] = ACTIONS(207),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(207),
    [anon_sym_PERCENT_EQ] = ACTIONS(207),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_STAR_STAR] = ACTIONS(209),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(209),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [anon_sym_CARET_EQ] = ACTIONS(207),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(207),
    [anon_sym_STAR_EQ] = ACTIONS(207),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(207),
    [sym__semicolon] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_and] = ACTIONS(207),
    [anon_sym_PERCENT] = ACTIONS(209),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_PLUS_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(209),
    [anon_sym_PIPE] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(209),
    [anon_sym_PIPE_EQ] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [anon_sym_SLASH_EQ] = ACTIONS(207),
    [anon_sym_GT_GT_EQ] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH_SLASH] = ACTIONS(673),
    [sym__newline] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_DASH_EQ] = ACTIONS(671),
    [anon_sym_is] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_AMP_EQ] = ACTIONS(671),
    [anon_sym_AT_EQ] = ACTIONS(671),
    [anon_sym_LT_LT_EQ] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR_STAR] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(673),
    [anon_sym_LT_GT] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_CARET_EQ] = ACTIONS(671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PIPE_EQ] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_GT_GT_EQ] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [aux_sym_dotted_name_repeat1] = STATE(390),
    [anon_sym_LPAREN] = ACTIONS(489),
    [sym__newline] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(675),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_argument_list] = STATE(393),
    [anon_sym_LPAREN] = ACTIONS(677),
    [sym__newline] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [aux_sym__parameters_repeat1] = STATE(396),
    [anon_sym_COLON] = ACTIONS(681),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [aux_sym__parameters_repeat1] = STATE(399),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(691),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_lambda] = STATE(401),
    [sym_yield] = STATE(400),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(401),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(401),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(401),
    [sym_boolean_operator] = STATE(401),
    [sym_await] = STATE(401),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(401),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(401),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(533),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [117] = {
    [sym_lambda] = STATE(409),
    [sym_conditional_expression] = STATE(409),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(409),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(409),
    [sym_boolean_operator] = STATE(409),
    [sym_await] = STATE(409),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(409),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(409),
    [anon_sym_COLON] = ACTIONS(693),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(705),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [118] = {
    [sym_lambda] = STATE(411),
    [sym_conditional_expression] = STATE(411),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(411),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(411),
    [sym_boolean_operator] = STATE(411),
    [sym_await] = STATE(411),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(411),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(411),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [119] = {
    [aux_sym__parameters_repeat1] = STATE(399),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(691),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [aux_sym__parameters_repeat1] = STATE(399),
    [anon_sym_COLON] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(691),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [anon_sym_COLON] = ACTIONS(711),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [anon_sym_COLON] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_lambda] = STATE(413),
    [sym_conditional_expression] = STATE(413),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(413),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(413),
    [sym_boolean_operator] = STATE(413),
    [sym_await] = STATE(413),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(413),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(413),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [124] = {
    [aux_sym_print_statement_repeat1] = STATE(415),
    [sym__semicolon] = ACTIONS(715),
    [sym__newline] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [aux_sym_print_statement_repeat1] = STATE(417),
    [sym__semicolon] = ACTIONS(719),
    [sym__newline] = ACTIONS(719),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__semicolon] = ACTIONS(723),
    [sym__newline] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [aux_sym_dotted_name_repeat1] = STATE(418),
    [sym__semicolon] = ACTIONS(489),
    [sym__newline] = ACTIONS(489),
    [anon_sym_COMMA] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(489),
  },
  [128] = {
    [aux_sym__import_list_repeat1] = STATE(420),
    [sym__semicolon] = ACTIONS(725),
    [sym__newline] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(727),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__semicolon] = ACTIONS(729),
    [sym__newline] = ACTIONS(729),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [aux_sym__import_list_repeat1] = STATE(420),
    [sym__semicolon] = ACTIONS(725),
    [sym__newline] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(731),
  },
  [131] = {
    [anon_sym_COLON] = ACTIONS(733),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_parameters] = STATE(424),
    [anon_sym_LPAREN] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_or] = ACTIONS(737),
    [anon_sym_CARET_EQ] = ACTIONS(737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(737),
    [anon_sym_STAR_EQ] = ACTIONS(737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(737),
    [sym__newline] = ACTIONS(737),
    [anon_sym_DASH_EQ] = ACTIONS(737),
    [sym__semicolon] = ACTIONS(737),
    [anon_sym_and] = ACTIONS(737),
    [anon_sym_AMP_EQ] = ACTIONS(737),
    [anon_sym_AT_EQ] = ACTIONS(737),
    [anon_sym_LT_LT_EQ] = ACTIONS(737),
    [anon_sym_PERCENT_EQ] = ACTIONS(737),
    [anon_sym_from] = ACTIONS(737),
    [anon_sym_PLUS_EQ] = ACTIONS(737),
    [anon_sym_if] = ACTIONS(737),
    [anon_sym_PIPE_EQ] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(737),
    [anon_sym_SLASH_EQ] = ACTIONS(737),
    [anon_sym_GT_GT_EQ] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_lambda] = STATE(425),
    [sym_conditional_expression] = STATE(425),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(425),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(425),
    [sym_boolean_operator] = STATE(425),
    [sym_await] = STATE(425),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(425),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(425),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [135] = {
    [aux_sym_global_statement_repeat1] = STATE(426),
    [sym__semicolon] = ACTIONS(739),
    [sym__newline] = ACTIONS(739),
    [anon_sym_COMMA] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_CARET_EQ] = ACTIONS(741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(741),
    [anon_sym_STAR_EQ] = ACTIONS(741),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(741),
    [sym__newline] = ACTIONS(741),
    [anon_sym_DASH_EQ] = ACTIONS(741),
    [sym__semicolon] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(741),
    [anon_sym_AT_EQ] = ACTIONS(741),
    [anon_sym_LT_LT_EQ] = ACTIONS(741),
    [anon_sym_PERCENT_EQ] = ACTIONS(741),
    [anon_sym_PLUS_EQ] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_PIPE_EQ] = ACTIONS(741),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_SLASH_EQ] = ACTIONS(741),
    [anon_sym_GT_GT_EQ] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_interpolation] = STATE(428),
    [aux_sym_string_repeat1] = STATE(428),
    [sym_escape_sequence] = ACTIONS(743),
    [sym__string_end] = ACTIONS(745),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [138] = {
    [sym__semicolon] = ACTIONS(747),
    [sym__newline] = ACTIONS(747),
    [anon_sym_in] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_attribute] = STATE(229),
    [sym_dictionary_comprehension] = STATE(229),
    [sym_generator_expression] = STATE(229),
    [sym_binary_operator] = STATE(229),
    [sym_unary_operator] = STATE(229),
    [sym_call] = STATE(229),
    [sym_list_comprehension] = STATE(229),
    [sym_dictionary] = STATE(229),
    [sym_parenthesized_expression] = STATE(229),
    [sym_tuple] = STATE(229),
    [sym_concatenated_string] = STATE(229),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(229),
    [sym_list] = STATE(229),
    [sym_set] = STATE(229),
    [sym_set_comprehension] = STATE(229),
    [sym__primary_expression] = STATE(229),
    [sym_integer] = ACTIONS(405),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(405),
    [sym__string_start] = ACTIONS(115),
  },
  [140] = {
    [sym_lambda] = STATE(133),
    [sym_conditional_expression] = STATE(133),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(133),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(133),
    [sym_boolean_operator] = STATE(133),
    [sym_await] = STATE(133),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(133),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(133),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [141] = {
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_from] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_lambda] = STATE(431),
    [sym_conditional_expression] = STATE(431),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(431),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(431),
    [sym_boolean_operator] = STATE(431),
    [sym_await] = STATE(431),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(431),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(431),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [143] = {
    [sym_lambda] = STATE(432),
    [sym_conditional_expression] = STATE(432),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(432),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(432),
    [sym_boolean_operator] = STATE(432),
    [sym_await] = STATE(432),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(432),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(432),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [144] = {
    [sym_lambda_parameters] = STATE(434),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_string] = STATE(435),
    [aux_sym_concatenated_string_repeat1] = STATE(435),
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_from] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [146] = {
    [sym__semicolon] = ACTIONS(755),
    [sym__newline] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(757),
  },
  [147] = {
    [aux_sym_assert_statement_repeat1] = STATE(441),
    [sym__newline] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [sym__semicolon] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(363),
  },
  [148] = {
    [sym_argument_list] = STATE(269),
    [aux_sym_comparison_operator_repeat1] = STATE(452),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(769),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(783),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(785),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [150] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [151] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(221),
  },
  [152] = {
    [sym_lambda] = STATE(460),
    [sym_conditional_expression] = STATE(460),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(460),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(460),
    [sym_boolean_operator] = STATE(460),
    [sym_await] = STATE(460),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(460),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(460),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [153] = {
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_or] = ACTIONS(807),
    [anon_sym_SLASH_SLASH] = ACTIONS(809),
    [sym__newline] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_is] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_AT_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_STAR_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_LT_GT] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(807),
    [sym__semicolon] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_and] = ACTIONS(807),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_lambda] = STATE(462),
    [sym_conditional_expression] = STATE(462),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(462),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(462),
    [sym_boolean_operator] = STATE(462),
    [sym_await] = STATE(462),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(462),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(462),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [155] = {
    [anon_sym_RBRACK] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_lambda_parameters] = STATE(465),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(813),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [aux_sym_list_repeat1] = STATE(467),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_string] = STATE(468),
    [aux_sym_concatenated_string_repeat1] = STATE(468),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [159] = {
    [sym_for_in_clause] = STATE(474),
    [sym__comprehension_body] = STATE(475),
    [aux_sym_list_repeat1] = STATE(467),
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(825),
  },
  [160] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(486),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_is] = ACTIONS(831),
    [anon_sym_AMP] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(835),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(835),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [anon_sym_CARET] = ACTIONS(843),
    [anon_sym_EQ_EQ] = ACTIONS(835),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(845),
    [anon_sym_GT_EQ] = ACTIONS(835),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(849),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [161] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [162] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [163] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(221),
  },
  [164] = {
    [sym_lambda] = STATE(495),
    [sym_conditional_expression] = STATE(495),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(495),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(495),
    [sym_boolean_operator] = STATE(495),
    [sym_await] = STATE(495),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(495),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(495),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(693),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [165] = {
    [sym_lambda] = STATE(497),
    [sym_conditional_expression] = STATE(497),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(497),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(497),
    [sym_boolean_operator] = STATE(497),
    [sym_await] = STATE(497),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(497),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(497),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [166] = {
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(871),
    [sym__newline] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(869),
    [anon_sym_AT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT_EQ] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(871),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_CARET_EQ] = ACTIONS(869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(869),
    [sym__semicolon] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
    [anon_sym_GT_GT_EQ] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [anon_sym_RBRACE] = ACTIONS(873),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_lambda_parameters] = STATE(500),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(875),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [aux_sym_dictionary_repeat1] = STATE(502),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_COMMA] = ACTIONS(877),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_for_in_clause] = STATE(505),
    [aux_sym_dictionary_repeat1] = STATE(502),
    [sym__comprehension_body] = STATE(506),
    [anon_sym_COMMA] = ACTIONS(877),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_async] = ACTIONS(881),
  },
  [171] = {
    [aux_sym_list_repeat1] = STATE(509),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_string] = STATE(510),
    [aux_sym_concatenated_string_repeat1] = STATE(510),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [173] = {
    [sym_for_in_clause] = STATE(505),
    [sym__comprehension_body] = STATE(515),
    [aux_sym_list_repeat1] = STATE(509),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(881),
  },
  [174] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(526),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_is] = ACTIONS(899),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(903),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(903),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(903),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(913),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [175] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(528),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(528),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(528),
    [sym_continue_statement] = STATE(528),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(528),
    [sym_return_statement] = STATE(528),
    [sym_delete_statement] = STATE(528),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(528),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(529),
    [sym_future_import_statement] = STATE(528),
    [sym_import_from_statement] = STATE(528),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(528),
    [sym_raise_statement] = STATE(528),
    [sym_pass_statement] = STATE(528),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(528),
    [sym_exec_statement] = STATE(528),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(919),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [176] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [177] = {
    [sym_string] = STATE(530),
    [aux_sym_concatenated_string_repeat1] = STATE(530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [sym__string_start] = ACTIONS(157),
  },
  [178] = {
    [anon_sym_in] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_variables_repeat1] = STATE(540),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(931),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(943),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [181] = {
    [sym_integer] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym__string_start] = ACTIONS(947),
    [anon_sym_nonlocal] = ACTIONS(945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(945),
    [anon_sym_finally] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(945),
    [anon_sym_yield] = ACTIONS(945),
    [anon_sym_return] = ACTIONS(945),
    [anon_sym_from] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [sym_none] = ACTIONS(945),
    [anon_sym_with] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_pass] = ACTIONS(945),
    [sym_float] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_elif] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(947),
    [anon_sym_lambda] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_print] = ACTIONS(945),
    [anon_sym_del] = ACTIONS(945),
    [sym_ellipsis] = ACTIONS(947),
    [anon_sym_import] = ACTIONS(945),
    [anon_sym_while] = ACTIONS(945),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_await] = ACTIONS(945),
    [anon_sym_break] = ACTIONS(945),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_else] = ACTIONS(945),
    [anon_sym_except] = ACTIONS(945),
    [anon_sym_global] = ACTIONS(945),
    [anon_sym_not] = ACTIONS(945),
    [anon_sym_exec] = ACTIONS(945),
    [ts_builtin_sym_end] = ACTIONS(947),
    [anon_sym_raise] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_for] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [anon_sym_continue] = ACTIONS(945),
    [anon_sym_async] = ACTIONS(945),
  },
  [182] = {
    [aux_sym__simple_statements_repeat1] = STATE(544),
    [sym__semicolon] = ACTIONS(949),
    [sym__newline] = ACTIONS(943),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_lambda] = STATE(552),
    [sym_conditional_expression] = STATE(552),
    [sym_attribute] = STATE(553),
    [sym_type] = STATE(550),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(552),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(552),
    [sym_boolean_operator] = STATE(552),
    [sym_await] = STATE(552),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(552),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(552),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [184] = {
    [sym_lambda] = STATE(556),
    [sym_yield] = STATE(555),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(556),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(554),
    [sym_not_operator] = STATE(556),
    [sym_boolean_operator] = STATE(556),
    [sym_assignment] = STATE(555),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(556),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(555),
    [sym__right_hand_side] = STATE(555),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(556),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [185] = {
    [sym_lambda] = STATE(556),
    [sym_yield] = STATE(557),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(556),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(554),
    [sym_not_operator] = STATE(556),
    [sym_boolean_operator] = STATE(556),
    [sym_assignment] = STATE(557),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(556),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(557),
    [sym__right_hand_side] = STATE(557),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(556),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [186] = {
    [sym_lambda] = STATE(566),
    [sym_conditional_expression] = STATE(566),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(566),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(566),
    [sym_boolean_operator] = STATE(566),
    [sym_await] = STATE(566),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(565),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(566),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(566),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [187] = {
    [sym_attribute] = STATE(568),
    [sym_dictionary_comprehension] = STATE(568),
    [sym_generator_expression] = STATE(568),
    [sym_binary_operator] = STATE(568),
    [sym_unary_operator] = STATE(568),
    [sym_call] = STATE(568),
    [sym_list_comprehension] = STATE(568),
    [sym_dictionary] = STATE(568),
    [sym_parenthesized_expression] = STATE(568),
    [sym_tuple] = STATE(568),
    [sym_concatenated_string] = STATE(568),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(568),
    [sym_list] = STATE(568),
    [sym_set] = STATE(568),
    [sym_set_comprehension] = STATE(568),
    [sym__primary_expression] = STATE(568),
    [sym_integer] = ACTIONS(981),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(981),
    [sym_identifier] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(981),
    [sym__string_start] = ACTIONS(73),
  },
  [188] = {
    [sym_attribute] = STATE(569),
    [sym_dictionary_comprehension] = STATE(569),
    [sym_generator_expression] = STATE(569),
    [sym_binary_operator] = STATE(569),
    [sym_unary_operator] = STATE(569),
    [sym_call] = STATE(569),
    [sym_list_comprehension] = STATE(569),
    [sym_dictionary] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_tuple] = STATE(569),
    [sym_concatenated_string] = STATE(569),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(569),
    [sym_list] = STATE(569),
    [sym_set] = STATE(569),
    [sym_set_comprehension] = STATE(569),
    [sym__primary_expression] = STATE(569),
    [sym_integer] = ACTIONS(985),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(985),
    [sym_identifier] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(985),
    [sym__string_start] = ACTIONS(73),
  },
  [189] = {
    [sym_attribute] = STATE(569),
    [sym_dictionary_comprehension] = STATE(569),
    [sym_generator_expression] = STATE(569),
    [sym_binary_operator] = STATE(569),
    [sym_unary_operator] = STATE(569),
    [sym_call] = STATE(569),
    [sym_list_comprehension] = STATE(569),
    [sym_dictionary] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym_tuple] = STATE(569),
    [sym_concatenated_string] = STATE(569),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(569),
    [sym_list] = STATE(569),
    [sym_set] = STATE(569),
    [sym_set_comprehension] = STATE(569),
    [sym__primary_expression] = STATE(569),
    [sym_integer] = ACTIONS(985),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(985),
    [sym_identifier] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(989),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(985),
    [sym__string_start] = ACTIONS(73),
  },
  [190] = {
    [sym_attribute] = STATE(571),
    [sym_dictionary_comprehension] = STATE(571),
    [sym_generator_expression] = STATE(571),
    [sym_binary_operator] = STATE(571),
    [sym_unary_operator] = STATE(571),
    [sym_call] = STATE(571),
    [sym_list_comprehension] = STATE(571),
    [sym_dictionary] = STATE(571),
    [sym_parenthesized_expression] = STATE(571),
    [sym_tuple] = STATE(571),
    [sym_concatenated_string] = STATE(571),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(571),
    [sym_list] = STATE(571),
    [sym_set] = STATE(571),
    [sym_set_comprehension] = STATE(571),
    [sym__primary_expression] = STATE(571),
    [sym_integer] = ACTIONS(991),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(991),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(991),
    [sym__string_start] = ACTIONS(73),
  },
  [191] = {
    [sym_attribute] = STATE(572),
    [sym_dictionary_comprehension] = STATE(572),
    [sym_generator_expression] = STATE(572),
    [sym_binary_operator] = STATE(572),
    [sym_unary_operator] = STATE(572),
    [sym_call] = STATE(572),
    [sym_list_comprehension] = STATE(572),
    [sym_dictionary] = STATE(572),
    [sym_parenthesized_expression] = STATE(572),
    [sym_tuple] = STATE(572),
    [sym_concatenated_string] = STATE(572),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(572),
    [sym_list] = STATE(572),
    [sym_set] = STATE(572),
    [sym_set_comprehension] = STATE(572),
    [sym__primary_expression] = STATE(572),
    [sym_integer] = ACTIONS(995),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(995),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(995),
    [sym__string_start] = ACTIONS(73),
  },
  [192] = {
    [anon_sym_in] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_lambda] = STATE(579),
    [sym_conditional_expression] = STATE(579),
    [sym_attribute] = STATE(92),
    [sym_dictionary_splat] = STATE(578),
    [sym_keyword_argument] = STATE(578),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(579),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_splat] = STATE(578),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(579),
    [sym_boolean_operator] = STATE(579),
    [sym_await] = STATE(579),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(579),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(579),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(1003),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [194] = {
    [sym_attribute] = STATE(580),
    [sym_dictionary_comprehension] = STATE(580),
    [sym_generator_expression] = STATE(580),
    [sym_binary_operator] = STATE(580),
    [sym_unary_operator] = STATE(580),
    [sym_call] = STATE(580),
    [sym_list_comprehension] = STATE(580),
    [sym_dictionary] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_tuple] = STATE(580),
    [sym_concatenated_string] = STATE(580),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(580),
    [sym_list] = STATE(580),
    [sym_set] = STATE(580),
    [sym_set_comprehension] = STATE(580),
    [sym__primary_expression] = STATE(580),
    [sym_integer] = ACTIONS(1011),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1011),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(1011),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(1013),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1011),
    [sym__string_start] = ACTIONS(73),
  },
  [195] = {
    [sym_attribute] = STATE(581),
    [sym_dictionary_comprehension] = STATE(581),
    [sym_generator_expression] = STATE(581),
    [sym_binary_operator] = STATE(581),
    [sym_unary_operator] = STATE(581),
    [sym_call] = STATE(581),
    [sym_list_comprehension] = STATE(581),
    [sym_dictionary] = STATE(581),
    [sym_parenthesized_expression] = STATE(581),
    [sym_tuple] = STATE(581),
    [sym_concatenated_string] = STATE(581),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(581),
    [sym_list] = STATE(581),
    [sym_set] = STATE(581),
    [sym_set_comprehension] = STATE(581),
    [sym__primary_expression] = STATE(581),
    [sym_integer] = ACTIONS(1015),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(1015),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1015),
    [sym__string_start] = ACTIONS(73),
  },
  [196] = {
    [sym_attribute] = STATE(582),
    [sym_dictionary_comprehension] = STATE(582),
    [sym_generator_expression] = STATE(582),
    [sym_binary_operator] = STATE(582),
    [sym_unary_operator] = STATE(582),
    [sym_call] = STATE(582),
    [sym_list_comprehension] = STATE(582),
    [sym_dictionary] = STATE(582),
    [sym_parenthesized_expression] = STATE(582),
    [sym_tuple] = STATE(582),
    [sym_concatenated_string] = STATE(582),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(582),
    [sym_list] = STATE(582),
    [sym_set] = STATE(582),
    [sym_set_comprehension] = STATE(582),
    [sym__primary_expression] = STATE(582),
    [sym_integer] = ACTIONS(1019),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(1021),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1019),
    [sym__string_start] = ACTIONS(73),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1023),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_attribute] = STATE(584),
    [sym_dictionary_comprehension] = STATE(584),
    [sym_generator_expression] = STATE(584),
    [sym_binary_operator] = STATE(584),
    [sym_unary_operator] = STATE(584),
    [sym_call] = STATE(584),
    [sym_list_comprehension] = STATE(584),
    [sym_dictionary] = STATE(584),
    [sym_parenthesized_expression] = STATE(584),
    [sym_tuple] = STATE(584),
    [sym_concatenated_string] = STATE(584),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(584),
    [sym_list] = STATE(584),
    [sym_set] = STATE(584),
    [sym_set_comprehension] = STATE(584),
    [sym__primary_expression] = STATE(584),
    [sym_integer] = ACTIONS(1025),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(1025),
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1025),
    [sym__string_start] = ACTIONS(73),
  },
  [199] = {
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_or] = ACTIONS(1029),
    [anon_sym_SLASH_SLASH] = ACTIONS(1031),
    [sym__newline] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1031),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_is] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1031),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1031),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_in] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_STAR_STAR] = ACTIONS(1031),
    [anon_sym_SLASH] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_LT_GT] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1031),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1029),
    [sym__semicolon] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_and] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1031),
    [anon_sym_not] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1031),
    [anon_sym_PIPE] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1031),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [aux_sym_comparison_operator_repeat1] = STATE(585),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [sym__newline] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(321),
    [anon_sym_DASH_EQ] = ACTIONS(1033),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(327),
    [anon_sym_AMP_EQ] = ACTIONS(1033),
    [anon_sym_AT_EQ] = ACTIONS(1033),
    [anon_sym_LT_LT_EQ] = ACTIONS(1033),
    [anon_sym_PERCENT_EQ] = ACTIONS(1033),
    [anon_sym_in] = ACTIONS(327),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(327),
    [anon_sym_BANG_EQ] = ACTIONS(327),
    [anon_sym_EQ_EQ] = ACTIONS(327),
    [anon_sym_CARET_EQ] = ACTIONS(1033),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1033),
    [anon_sym_STAR_EQ] = ACTIONS(1033),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1033),
    [sym__semicolon] = ACTIONS(1033),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(339),
    [anon_sym_GT_EQ] = ACTIONS(327),
    [anon_sym_PLUS_EQ] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(321),
    [anon_sym_PIPE_EQ] = ACTIONS(1033),
    [anon_sym_SLASH_EQ] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_GT_GT_EQ] = ACTIONS(1033),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_string] = STATE(586),
    [aux_sym_concatenated_string_repeat1] = STATE(586),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1039),
    [sym__newline] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_DASH_EQ] = ACTIONS(1037),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1039),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_AMP_EQ] = ACTIONS(1037),
    [anon_sym_AT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT_EQ] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_PERCENT_EQ] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_STAR_STAR] = ACTIONS(1039),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1039),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1039),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_CARET_EQ] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1037),
    [anon_sym_STAR_EQ] = ACTIONS(1037),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1037),
    [sym__semicolon] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1039),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_PLUS_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1039),
    [anon_sym_PIPE] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1039),
    [anon_sym_PIPE_EQ] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [anon_sym_SLASH_EQ] = ACTIONS(1037),
    [anon_sym_GT_GT_EQ] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [202] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(202),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym__string_start] = ACTIONS(1044),
    [anon_sym_nonlocal] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1050),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_return] = ACTIONS(1059),
    [anon_sym_from] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [sym_none] = ACTIONS(1041),
    [anon_sym_with] = ACTIONS(1068),
    [anon_sym_if] = ACTIONS(1071),
    [anon_sym_pass] = ACTIONS(1074),
    [sym_float] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_lambda] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_print] = ACTIONS(1089),
    [anon_sym_del] = ACTIONS(1092),
    [sym_ellipsis] = ACTIONS(1077),
    [anon_sym_import] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(1098),
    [anon_sym_def] = ACTIONS(1101),
    [anon_sym_await] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_global] = ACTIONS(1113),
    [anon_sym_not] = ACTIONS(1116),
    [anon_sym_exec] = ACTIONS(1119),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [anon_sym_raise] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1136),
    [sym_false] = ACTIONS(1041),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_async] = ACTIONS(1142),
  },
  [203] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(79),
  },
  [204] = {
    [sym_decorator] = STATE(204),
    [aux_sym_decorated_definition_repeat1] = STATE(204),
    [anon_sym_async] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_def] = ACTIONS(1145),
  },
  [205] = {
    [sym_integer] = ACTIONS(1150),
    [sym_true] = ACTIONS(1150),
    [sym__string_start] = ACTIONS(1152),
    [anon_sym_nonlocal] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1150),
    [anon_sym_assert] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_from] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [sym_none] = ACTIONS(1150),
    [anon_sym_with] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_pass] = ACTIONS(1150),
    [sym_float] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_lambda] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_print] = ACTIONS(1150),
    [anon_sym_del] = ACTIONS(1150),
    [sym_ellipsis] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_def] = ACTIONS(1150),
    [anon_sym_await] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_global] = ACTIONS(1150),
    [anon_sym_not] = ACTIONS(1150),
    [anon_sym_exec] = ACTIONS(1150),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [anon_sym_raise] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_try] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_async] = ACTIONS(1150),
  },
  [206] = {
    [sym_lambda] = STATE(587),
    [sym_conditional_expression] = STATE(587),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(587),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(587),
    [sym_boolean_operator] = STATE(587),
    [sym_await] = STATE(587),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(587),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(587),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [207] = {
    [sym_lambda] = STATE(588),
    [sym_conditional_expression] = STATE(588),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(588),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(588),
    [sym_boolean_operator] = STATE(588),
    [sym_await] = STATE(588),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(588),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(588),
    [sym__newline] = ACTIONS(1154),
    [anon_sym_COLON] = ACTIONS(1156),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(1156),
    [anon_sym_AMP_EQ] = ACTIONS(1156),
    [anon_sym_AT_EQ] = ACTIONS(1156),
    [anon_sym_LT_LT_EQ] = ACTIONS(1156),
    [anon_sym_PERCENT_EQ] = ACTIONS(1156),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_EQ] = ACTIONS(1156),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(1156),
    [anon_sym_print] = ACTIONS(191),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_STAR_EQ] = ACTIONS(1156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1156),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [anon_sym_PLUS_EQ] = ACTIONS(1156),
    [anon_sym_PIPE_EQ] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_GT_GT_EQ] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [208] = {
    [sym_lambda] = STATE(595),
    [sym_conditional_expression] = STATE(595),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(595),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(595),
    [sym_boolean_operator] = STATE(595),
    [sym_await] = STATE(595),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(595),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(595),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [209] = {
    [sym_lambda] = STATE(597),
    [sym_conditional_expression] = STATE(597),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(597),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(597),
    [sym_boolean_operator] = STATE(597),
    [sym_await] = STATE(597),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(597),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(597),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [210] = {
    [aux_sym_assert_statement_repeat1] = STATE(599),
    [sym__newline] = ACTIONS(1154),
    [anon_sym_COLON] = ACTIONS(1156),
    [anon_sym_CARET_EQ] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_STAR_EQ] = ACTIONS(1156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1156),
    [anon_sym_DASH_EQ] = ACTIONS(1156),
    [sym__semicolon] = ACTIONS(1154),
    [anon_sym_AMP_EQ] = ACTIONS(1156),
    [anon_sym_AT_EQ] = ACTIONS(1156),
    [anon_sym_LT_LT_EQ] = ACTIONS(1156),
    [anon_sym_PERCENT_EQ] = ACTIONS(1156),
    [anon_sym_PLUS_EQ] = ACTIONS(1156),
    [anon_sym_PIPE_EQ] = ACTIONS(1156),
    [anon_sym_EQ] = ACTIONS(1156),
    [anon_sym_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_GT_GT_EQ] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [anon_sym_in] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [aux_sym_with_statement_repeat1] = STATE(602),
    [anon_sym_COLON] = ACTIONS(1178),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_parameters] = STATE(603),
    [anon_sym_LPAREN] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [215] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [216] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [sym_type_conversion] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_lambda] = STATE(605),
    [sym_conditional_expression] = STATE(605),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(605),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(605),
    [sym_boolean_operator] = STATE(605),
    [sym_await] = STATE(605),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(605),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(605),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [218] = {
    [sym_lambda_parameters] = STATE(607),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_string] = STATE(608),
    [aux_sym_concatenated_string_repeat1] = STATE(608),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [sym_type_conversion] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [220] = {
    [sym_format_specifier] = STATE(615),
    [anon_sym_COLON] = ACTIONS(1184),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [sym_type_conversion] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(626),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [sym_type_conversion] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_or] = ACTIONS(1220),
    [anon_sym_SLASH_SLASH] = ACTIONS(1222),
    [sym__newline] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_DASH_EQ] = ACTIONS(1220),
    [anon_sym_is] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1222),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1220),
    [anon_sym_AT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT_EQ] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_in] = ACTIONS(1220),
    [anon_sym_PERCENT_EQ] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR_STAR] = ACTIONS(1222),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [anon_sym_LT_GT] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1222),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_CARET_EQ] = ACTIONS(1220),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_STAR_EQ] = ACTIONS(1220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1220),
    [sym__semicolon] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_and] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1222),
    [anon_sym_not] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_PLUS_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1222),
    [anon_sym_PIPE_EQ] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_DOT] = ACTIONS(1220),
    [anon_sym_COMMA] = ACTIONS(1220),
    [anon_sym_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_GT_GT_EQ] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1220),
  },
  [223] = {
    [sym_interpolation] = STATE(223),
    [aux_sym_string_repeat1] = STATE(223),
    [sym_escape_sequence] = ACTIONS(1224),
    [sym__string_end] = ACTIONS(1227),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1229),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [aux_sym_global_statement_repeat1] = STATE(628),
    [sym__semicolon] = ACTIONS(1234),
    [sym__newline] = ACTIONS(1234),
    [anon_sym_COMMA] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_lambda] = STATE(633),
    [sym_conditional_expression] = STATE(633),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(632),
    [sym_keyword_argument] = STATE(632),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(633),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(632),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(633),
    [sym_boolean_operator] = STATE(633),
    [sym_await] = STATE(633),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(633),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(633),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [227] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(635),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1242),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [228] = {
    [anon_sym_COLON] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH_SLASH] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_is] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_from] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [sym__semicolon] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__newline] = ACTIONS(375),
    [anon_sym_or] = ACTIONS(375),
    [anon_sym_SLASH_SLASH] = ACTIONS(375),
    [anon_sym_GT] = ACTIONS(377),
    [anon_sym_is] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(375),
    [anon_sym_LT_EQ] = ACTIONS(375),
    [anon_sym_STAR] = ACTIONS(377),
    [anon_sym_from] = ACTIONS(375),
    [anon_sym_LPAREN] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(375),
    [anon_sym_STAR_STAR] = ACTIONS(375),
    [anon_sym_SLASH] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(377),
    [anon_sym_AT] = ACTIONS(375),
    [anon_sym_LT_GT] = ACTIONS(375),
    [anon_sym_BANG_EQ] = ACTIONS(375),
    [anon_sym_CARET] = ACTIONS(375),
    [anon_sym_EQ_EQ] = ACTIONS(375),
    [sym__semicolon] = ACTIONS(375),
    [anon_sym_DASH] = ACTIONS(375),
    [anon_sym_and] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(375),
    [anon_sym_not] = ACTIONS(375),
    [anon_sym_GT_EQ] = ACTIONS(375),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(375),
    [anon_sym_LT] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(375),
    [anon_sym_DOT] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(375),
  },
  [231] = {
    [sym_interpolation] = STATE(223),
    [aux_sym_string_repeat1] = STATE(223),
    [sym_escape_sequence] = ACTIONS(393),
    [sym__string_end] = ACTIONS(1246),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [232] = {
    [sym_lambda] = STATE(638),
    [sym_conditional_expression] = STATE(638),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(638),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(638),
    [sym_boolean_operator] = STATE(638),
    [sym_await] = STATE(638),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(638),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(638),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [233] = {
    [sym__semicolon] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__newline] = ACTIONS(511),
    [anon_sym_or] = ACTIONS(511),
    [anon_sym_SLASH_SLASH] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_is] = ACTIONS(511),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_LT_EQ] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_from] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_STAR_STAR] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_LT_GT] = ACTIONS(511),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(511),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [sym__semicolon] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_and] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(511),
    [anon_sym_not] = ACTIONS(511),
    [anon_sym_GT_EQ] = ACTIONS(511),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(511),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [anon_sym_RPAREN] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [aux_sym_tuple_repeat1] = STATE(642),
    [anon_sym_RPAREN] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_tuple_repeat1] = STATE(642),
    [sym__comprehension_body] = STATE(643),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [238] = {
    [sym__newline] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_from] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [sym__semicolon] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [anon_sym_RBRACE] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [aux_sym_dictionary_repeat1] = STATE(646),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_for_in_clause] = STATE(505),
    [aux_sym_dictionary_repeat1] = STATE(646),
    [sym__comprehension_body] = STATE(647),
    [anon_sym_COMMA] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_async] = ACTIONS(881),
  },
  [242] = {
    [aux_sym_list_repeat1] = STATE(650),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_COMMA] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_for_in_clause] = STATE(505),
    [sym__comprehension_body] = STATE(651),
    [aux_sym_list_repeat1] = STATE(650),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_COMMA] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(881),
  },
  [244] = {
    [sym__newline] = ACTIONS(807),
    [anon_sym_or] = ACTIONS(807),
    [anon_sym_SLASH_SLASH] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_is] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_from] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_STAR_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(807),
    [anon_sym_LT_GT] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [sym__semicolon] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_and] = ACTIONS(807),
    [anon_sym_PERCENT] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [anon_sym_RBRACK] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [aux_sym_list_repeat1] = STATE(654),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_for_in_clause] = STATE(474),
    [sym__comprehension_body] = STATE(655),
    [aux_sym_list_repeat1] = STATE(654),
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_async] = ACTIONS(825),
  },
  [248] = {
    [sym_lambda] = STATE(656),
    [sym_conditional_expression] = STATE(656),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(656),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(656),
    [sym_boolean_operator] = STATE(656),
    [sym_await] = STATE(656),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(656),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(656),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [249] = {
    [anon_sym_COLON] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_string] = STATE(658),
    [aux_sym_concatenated_string_repeat1] = STATE(658),
    [sym__newline] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [sym__semicolon] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [251] = {
    [sym_lambda] = STATE(659),
    [sym_conditional_expression] = STATE(659),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(659),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(659),
    [sym_boolean_operator] = STATE(659),
    [sym_await] = STATE(659),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(659),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(659),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [252] = {
    [sym_lambda] = STATE(660),
    [sym_conditional_expression] = STATE(660),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(660),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(660),
    [sym_boolean_operator] = STATE(660),
    [sym_await] = STATE(660),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(660),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(660),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [253] = {
    [sym_lambda] = STATE(661),
    [sym_conditional_expression] = STATE(661),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(661),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(661),
    [sym_boolean_operator] = STATE(661),
    [sym_await] = STATE(661),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(661),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(661),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [254] = {
    [sym_lambda] = STATE(597),
    [sym_conditional_expression] = STATE(597),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(597),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(597),
    [sym_boolean_operator] = STATE(597),
    [sym_await] = STATE(597),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(597),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(597),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [255] = {
    [aux_sym_assert_statement_repeat1] = STATE(662),
    [sym__semicolon] = ACTIONS(1268),
    [sym__newline] = ACTIONS(1268),
    [anon_sym_COMMA] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_lambda] = STATE(664),
    [sym_conditional_expression] = STATE(664),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(664),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(664),
    [sym_boolean_operator] = STATE(664),
    [sym_await] = STATE(664),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(663),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(664),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(664),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [257] = {
    [sym_attribute] = STATE(665),
    [sym_dictionary_comprehension] = STATE(665),
    [sym_generator_expression] = STATE(665),
    [sym_binary_operator] = STATE(665),
    [sym_unary_operator] = STATE(665),
    [sym_call] = STATE(665),
    [sym_list_comprehension] = STATE(665),
    [sym_dictionary] = STATE(665),
    [sym_parenthesized_expression] = STATE(665),
    [sym_tuple] = STATE(665),
    [sym_concatenated_string] = STATE(665),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(665),
    [sym_list] = STATE(665),
    [sym_set] = STATE(665),
    [sym_set_comprehension] = STATE(665),
    [sym__primary_expression] = STATE(665),
    [sym_integer] = ACTIONS(1270),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1270),
    [sym__string_start] = ACTIONS(115),
  },
  [258] = {
    [sym_attribute] = STATE(666),
    [sym_dictionary_comprehension] = STATE(666),
    [sym_generator_expression] = STATE(666),
    [sym_binary_operator] = STATE(666),
    [sym_unary_operator] = STATE(666),
    [sym_call] = STATE(666),
    [sym_list_comprehension] = STATE(666),
    [sym_dictionary] = STATE(666),
    [sym_parenthesized_expression] = STATE(666),
    [sym_tuple] = STATE(666),
    [sym_concatenated_string] = STATE(666),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(666),
    [sym_list] = STATE(666),
    [sym_set] = STATE(666),
    [sym_set_comprehension] = STATE(666),
    [sym__primary_expression] = STATE(666),
    [sym_integer] = ACTIONS(1274),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1274),
    [sym__string_start] = ACTIONS(115),
  },
  [259] = {
    [sym_attribute] = STATE(666),
    [sym_dictionary_comprehension] = STATE(666),
    [sym_generator_expression] = STATE(666),
    [sym_binary_operator] = STATE(666),
    [sym_unary_operator] = STATE(666),
    [sym_call] = STATE(666),
    [sym_list_comprehension] = STATE(666),
    [sym_dictionary] = STATE(666),
    [sym_parenthesized_expression] = STATE(666),
    [sym_tuple] = STATE(666),
    [sym_concatenated_string] = STATE(666),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(666),
    [sym_list] = STATE(666),
    [sym_set] = STATE(666),
    [sym_set_comprehension] = STATE(666),
    [sym__primary_expression] = STATE(666),
    [sym_integer] = ACTIONS(1274),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(1278),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1274),
    [sym__string_start] = ACTIONS(115),
  },
  [260] = {
    [sym_attribute] = STATE(668),
    [sym_dictionary_comprehension] = STATE(668),
    [sym_generator_expression] = STATE(668),
    [sym_binary_operator] = STATE(668),
    [sym_unary_operator] = STATE(668),
    [sym_call] = STATE(668),
    [sym_list_comprehension] = STATE(668),
    [sym_dictionary] = STATE(668),
    [sym_parenthesized_expression] = STATE(668),
    [sym_tuple] = STATE(668),
    [sym_concatenated_string] = STATE(668),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(668),
    [sym_list] = STATE(668),
    [sym_set] = STATE(668),
    [sym_set_comprehension] = STATE(668),
    [sym__primary_expression] = STATE(668),
    [sym_integer] = ACTIONS(1280),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1280),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1280),
    [sym__string_start] = ACTIONS(115),
  },
  [261] = {
    [sym_attribute] = STATE(669),
    [sym_dictionary_comprehension] = STATE(669),
    [sym_generator_expression] = STATE(669),
    [sym_binary_operator] = STATE(669),
    [sym_unary_operator] = STATE(669),
    [sym_call] = STATE(669),
    [sym_list_comprehension] = STATE(669),
    [sym_dictionary] = STATE(669),
    [sym_parenthesized_expression] = STATE(669),
    [sym_tuple] = STATE(669),
    [sym_concatenated_string] = STATE(669),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(669),
    [sym_list] = STATE(669),
    [sym_set] = STATE(669),
    [sym_set_comprehension] = STATE(669),
    [sym__primary_expression] = STATE(669),
    [sym_integer] = ACTIONS(1284),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1284),
    [sym__string_start] = ACTIONS(115),
  },
  [262] = {
    [anon_sym_in] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_lambda] = STATE(673),
    [sym_conditional_expression] = STATE(673),
    [sym_attribute] = STATE(92),
    [sym_dictionary_splat] = STATE(672),
    [sym_keyword_argument] = STATE(672),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(673),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_splat] = STATE(672),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(673),
    [sym_boolean_operator] = STATE(673),
    [sym_await] = STATE(673),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(673),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(673),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [264] = {
    [sym_attribute] = STATE(674),
    [sym_dictionary_comprehension] = STATE(674),
    [sym_generator_expression] = STATE(674),
    [sym_binary_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_call] = STATE(674),
    [sym_list_comprehension] = STATE(674),
    [sym_dictionary] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym_tuple] = STATE(674),
    [sym_concatenated_string] = STATE(674),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(674),
    [sym_list] = STATE(674),
    [sym_set] = STATE(674),
    [sym_set_comprehension] = STATE(674),
    [sym__primary_expression] = STATE(674),
    [sym_integer] = ACTIONS(1294),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1294),
    [sym__string_start] = ACTIONS(115),
  },
  [265] = {
    [sym_attribute] = STATE(675),
    [sym_dictionary_comprehension] = STATE(675),
    [sym_generator_expression] = STATE(675),
    [sym_binary_operator] = STATE(675),
    [sym_unary_operator] = STATE(675),
    [sym_call] = STATE(675),
    [sym_list_comprehension] = STATE(675),
    [sym_dictionary] = STATE(675),
    [sym_parenthesized_expression] = STATE(675),
    [sym_tuple] = STATE(675),
    [sym_concatenated_string] = STATE(675),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(675),
    [sym_list] = STATE(675),
    [sym_set] = STATE(675),
    [sym_set_comprehension] = STATE(675),
    [sym__primary_expression] = STATE(675),
    [sym_integer] = ACTIONS(1298),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1298),
    [sym__string_start] = ACTIONS(115),
  },
  [266] = {
    [sym_attribute] = STATE(676),
    [sym_dictionary_comprehension] = STATE(676),
    [sym_generator_expression] = STATE(676),
    [sym_binary_operator] = STATE(676),
    [sym_unary_operator] = STATE(676),
    [sym_call] = STATE(676),
    [sym_list_comprehension] = STATE(676),
    [sym_dictionary] = STATE(676),
    [sym_parenthesized_expression] = STATE(676),
    [sym_tuple] = STATE(676),
    [sym_concatenated_string] = STATE(676),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(676),
    [sym_list] = STATE(676),
    [sym_set] = STATE(676),
    [sym_set_comprehension] = STATE(676),
    [sym__primary_expression] = STATE(676),
    [sym_integer] = ACTIONS(1302),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1302),
    [sym__string_start] = ACTIONS(115),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_attribute] = STATE(678),
    [sym_dictionary_comprehension] = STATE(678),
    [sym_generator_expression] = STATE(678),
    [sym_binary_operator] = STATE(678),
    [sym_unary_operator] = STATE(678),
    [sym_call] = STATE(678),
    [sym_list_comprehension] = STATE(678),
    [sym_dictionary] = STATE(678),
    [sym_parenthesized_expression] = STATE(678),
    [sym_tuple] = STATE(678),
    [sym_concatenated_string] = STATE(678),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(678),
    [sym_list] = STATE(678),
    [sym_set] = STATE(678),
    [sym_set_comprehension] = STATE(678),
    [sym__primary_expression] = STATE(678),
    [sym_integer] = ACTIONS(1308),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1308),
    [sym__string_start] = ACTIONS(115),
  },
  [269] = {
    [sym__newline] = ACTIONS(1029),
    [anon_sym_or] = ACTIONS(1029),
    [anon_sym_SLASH_SLASH] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1031),
    [anon_sym_is] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1031),
    [anon_sym_from] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_in] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_STAR_STAR] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_LT_GT] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [sym__semicolon] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_and] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [aux_sym_comparison_operator_repeat1] = STATE(679),
    [sym__newline] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(441),
    [sym__semicolon] = ACTIONS(1033),
    [anon_sym_is] = ACTIONS(443),
    [anon_sym_LT_EQ] = ACTIONS(447),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(459),
    [anon_sym_in] = ACTIONS(447),
    [anon_sym_GT_EQ] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(441),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(447),
    [anon_sym_BANG_EQ] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(447),
  },
  [271] = {
    [sym_attribute] = STATE(229),
    [sym_dictionary_comprehension] = STATE(229),
    [sym_generator_expression] = STATE(229),
    [sym_binary_operator] = STATE(229),
    [sym_unary_operator] = STATE(229),
    [sym_call] = STATE(229),
    [sym_list_comprehension] = STATE(229),
    [sym_dictionary] = STATE(229),
    [sym_parenthesized_expression] = STATE(229),
    [sym_tuple] = STATE(229),
    [sym_concatenated_string] = STATE(229),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(229),
    [sym_list] = STATE(229),
    [sym_set] = STATE(229),
    [sym_set_comprehension] = STATE(229),
    [sym__primary_expression] = STATE(229),
    [sym_integer] = ACTIONS(405),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(405),
    [sym__string_start] = ACTIONS(115),
  },
  [272] = {
    [sym_lambda] = STATE(133),
    [sym_conditional_expression] = STATE(133),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(133),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(133),
    [sym_boolean_operator] = STATE(133),
    [sym_await] = STATE(133),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(133),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(133),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [273] = {
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_lambda] = STATE(681),
    [sym_conditional_expression] = STATE(681),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(681),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(681),
    [sym_boolean_operator] = STATE(681),
    [sym_await] = STATE(681),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(681),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(681),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [275] = {
    [sym_lambda_parameters] = STATE(683),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_string] = STATE(684),
    [aux_sym_concatenated_string_repeat1] = STATE(684),
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [277] = {
    [sym__semicolon] = ACTIONS(1316),
    [sym__newline] = ACTIONS(1316),
    [anon_sym_or] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_argument_list] = STATE(269),
    [aux_sym_comparison_operator_repeat1] = STATE(698),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(1326),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(1332),
    [anon_sym_BANG_EQ] = ACTIONS(1332),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(1332),
    [sym__semicolon] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1332),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_lambda] = STATE(660),
    [sym_conditional_expression] = STATE(660),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(660),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(660),
    [sym_boolean_operator] = STATE(660),
    [sym_await] = STATE(660),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(660),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(660),
    [sym__newline] = ACTIONS(1156),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1156),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [280] = {
    [aux_sym_assert_statement_repeat1] = STATE(662),
    [sym__semicolon] = ACTIONS(1156),
    [sym__newline] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [aux_sym_dotted_name_repeat1] = STATE(701),
    [anon_sym_import] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_aliased_import] = STATE(128),
    [sym_dotted_name] = STATE(130),
    [sym__import_list] = STATE(702),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_wildcard_import] = STATE(705),
    [sym__import_list] = STATE(705),
    [sym_aliased_import] = STATE(128),
    [sym_dotted_name] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1356),
  },
  [285] = {
    [aux_sym_import_prefix_repeat1] = STATE(285),
    [anon_sym_DOT] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(1361),
  },
  [286] = {
    [anon_sym_import] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(671),
    [anon_sym_or] = ACTIONS(671),
    [anon_sym_SLASH_SLASH] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_is] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_RBRACK] = ACTIONS(671),
    [anon_sym_as] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(671),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(671),
    [sym_type_conversion] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_STAR_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_CARET] = ACTIONS(671),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(671),
    [anon_sym_else] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_and] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(671),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(671),
    [anon_sym_async] = ACTIONS(671),
  },
  [288] = {
    [sym__string_start] = ACTIONS(375),
    [anon_sym_or] = ACTIONS(375),
    [anon_sym_SLASH_SLASH] = ACTIONS(375),
    [anon_sym_COLON] = ACTIONS(375),
    [anon_sym_GT] = ACTIONS(377),
    [anon_sym_is] = ACTIONS(375),
    [anon_sym_AMP] = ACTIONS(375),
    [anon_sym_LT_EQ] = ACTIONS(375),
    [anon_sym_STAR] = ACTIONS(377),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_as] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [sym_type_conversion] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(375),
    [anon_sym_STAR_STAR] = ACTIONS(375),
    [anon_sym_SLASH] = ACTIONS(377),
    [anon_sym_EQ] = ACTIONS(377),
    [anon_sym_AT] = ACTIONS(375),
    [anon_sym_LT_GT] = ACTIONS(375),
    [anon_sym_BANG_EQ] = ACTIONS(375),
    [anon_sym_CARET] = ACTIONS(375),
    [anon_sym_EQ_EQ] = ACTIONS(375),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_else] = ACTIONS(375),
    [anon_sym_DASH] = ACTIONS(375),
    [anon_sym_and] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(375),
    [anon_sym_not] = ACTIONS(375),
    [anon_sym_GT_EQ] = ACTIONS(375),
    [anon_sym_LT_LT] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(375),
    [anon_sym_LT] = ACTIONS(377),
    [anon_sym_GT_GT] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(375),
    [anon_sym_DOT] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_async] = ACTIONS(375),
  },
  [289] = {
    [sym_interpolation] = STATE(223),
    [aux_sym_string_repeat1] = STATE(223),
    [sym_escape_sequence] = ACTIONS(393),
    [sym__string_end] = ACTIONS(1365),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [290] = {
    [anon_sym_COLON] = ACTIONS(737),
    [anon_sym_or] = ACTIONS(737),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_else] = ACTIONS(737),
    [anon_sym_and] = ACTIONS(737),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_as] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(737),
    [anon_sym_RBRACE] = ACTIONS(737),
    [sym_type_conversion] = ACTIONS(737),
    [anon_sym_EQ] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(737),
    [anon_sym_async] = ACTIONS(737),
  },
  [291] = {
    [sym_lambda] = STATE(707),
    [sym_conditional_expression] = STATE(707),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(707),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(707),
    [sym_boolean_operator] = STATE(707),
    [sym_await] = STATE(707),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(707),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(707),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [292] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [293] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [294] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_lambda] = STATE(709),
    [sym_conditional_expression] = STATE(709),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(709),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(709),
    [sym_boolean_operator] = STATE(709),
    [sym_await] = STATE(709),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(709),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(709),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [296] = {
    [sym_lambda] = STATE(710),
    [sym_conditional_expression] = STATE(710),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(710),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(710),
    [sym_boolean_operator] = STATE(710),
    [sym_await] = STATE(710),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(710),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(710),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [297] = {
    [sym_lambda_parameters] = STATE(712),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_string] = STATE(713),
    [aux_sym_concatenated_string_repeat1] = STATE(713),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [299] = {
    [anon_sym_RPAREN] = ACTIONS(483),
    [anon_sym_COMMA] = ACTIONS(483),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [aux_sym_assert_statement_repeat1] = STATE(718),
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(363),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(729),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(1399),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(741),
  },
  [303] = {
    [anon_sym_COLON] = ACTIONS(511),
    [anon_sym_or] = ACTIONS(511),
    [anon_sym_SLASH_SLASH] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(513),
    [anon_sym_is] = ACTIONS(511),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_LT_EQ] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(513),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_as] = ACTIONS(513),
    [anon_sym_LPAREN] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_RBRACE] = ACTIONS(511),
    [sym_type_conversion] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_STAR_STAR] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(513),
    [anon_sym_EQ] = ACTIONS(513),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_LT_GT] = ACTIONS(511),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(511),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_RPAREN] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_and] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(511),
    [anon_sym_not] = ACTIONS(511),
    [anon_sym_GT_EQ] = ACTIONS(511),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
  },
  [304] = {
    [anon_sym_RPAREN] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [aux_sym_tuple_repeat1] = STATE(733),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_tuple_repeat1] = STATE(733),
    [sym__comprehension_body] = STATE(734),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [307] = {
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_as] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(869),
    [sym_type_conversion] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_async] = ACTIONS(869),
  },
  [308] = {
    [anon_sym_RBRACE] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [aux_sym_dictionary_repeat1] = STATE(737),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_for_in_clause] = STATE(505),
    [aux_sym_dictionary_repeat1] = STATE(737),
    [sym__comprehension_body] = STATE(738),
    [anon_sym_COMMA] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(881),
  },
  [311] = {
    [aux_sym_list_repeat1] = STATE(741),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_for_in_clause] = STATE(505),
    [sym__comprehension_body] = STATE(742),
    [aux_sym_list_repeat1] = STATE(741),
    [anon_sym_COLON] = ACTIONS(887),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_COMMA] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(881),
  },
  [313] = {
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_or] = ACTIONS(807),
    [anon_sym_SLASH_SLASH] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_is] = ACTIONS(807),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_as] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [sym_type_conversion] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_STAR_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(807),
    [anon_sym_LT_GT] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_and] = ACTIONS(807),
    [anon_sym_PERCENT] = ACTIONS(807),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_PIPE] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(807),
  },
  [314] = {
    [anon_sym_RBRACK] = ACTIONS(1419),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [aux_sym_list_repeat1] = STATE(745),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_COMMA] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_for_in_clause] = STATE(474),
    [sym__comprehension_body] = STATE(746),
    [aux_sym_list_repeat1] = STATE(745),
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(1419),
    [anon_sym_async] = ACTIONS(825),
  },
  [317] = {
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_or] = ACTIONS(1423),
    [anon_sym_SLASH_SLASH] = ACTIONS(1425),
    [sym__newline] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1425),
    [anon_sym_DASH_EQ] = ACTIONS(1423),
    [anon_sym_is] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP_EQ] = ACTIONS(1423),
    [anon_sym_AT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT_EQ] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_PERCENT_EQ] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_STAR_STAR] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(1425),
    [anon_sym_LT_GT] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_CARET_EQ] = ACTIONS(1423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_STAR_EQ] = ACTIONS(1423),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1423),
    [sym__semicolon] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1425),
    [anon_sym_and] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1425),
    [anon_sym_not] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_PLUS_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_PIPE] = ACTIONS(1425),
    [anon_sym_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1425),
    [anon_sym_PIPE_EQ] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [anon_sym_SLASH_EQ] = ACTIONS(1423),
    [anon_sym_GT_GT_EQ] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_lambda] = STATE(747),
    [sym_conditional_expression] = STATE(747),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(747),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(747),
    [sym_boolean_operator] = STATE(747),
    [sym_await] = STATE(747),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(747),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(747),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [319] = {
    [anon_sym_COLON] = ACTIONS(1427),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_or] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH] = ACTIONS(1431),
    [sym__newline] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_DASH_EQ] = ACTIONS(1429),
    [anon_sym_is] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_EQ] = ACTIONS(1429),
    [anon_sym_AT_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT_EQ] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_PERCENT_EQ] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_STAR_STAR] = ACTIONS(1431),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1431),
    [anon_sym_AT] = ACTIONS(1431),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_CARET_EQ] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1429),
    [anon_sym_STAR_EQ] = ACTIONS(1429),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1429),
    [sym__semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_and] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1431),
    [anon_sym_not] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_PLUS_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_PIPE_EQ] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_SLASH_EQ] = ACTIONS(1429),
    [anon_sym_GT_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [322] = {
    [aux_sym_tuple_repeat1] = STATE(753),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1435),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_string] = STATE(754),
    [aux_sym_concatenated_string_repeat1] = STATE(754),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [324] = {
    [sym_lambda] = STATE(755),
    [sym_conditional_expression] = STATE(755),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(755),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(755),
    [sym_boolean_operator] = STATE(755),
    [sym_await] = STATE(755),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(755),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(755),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [325] = {
    [sym_lambda] = STATE(756),
    [sym_conditional_expression] = STATE(756),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(756),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(756),
    [sym_boolean_operator] = STATE(756),
    [sym_await] = STATE(756),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(756),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(756),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [326] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(757),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [327] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [328] = {
    [anon_sym_for] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_for_in_clause] = STATE(761),
    [sym_if_clause] = STATE(761),
    [aux_sym__comprehension_body_repeat1] = STATE(761),
    [anon_sym_if] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(561),
  },
  [330] = {
    [anon_sym_RPAREN] = ACTIONS(1443),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_lambda] = STATE(764),
    [sym_conditional_expression] = STATE(764),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(764),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(764),
    [sym_boolean_operator] = STATE(764),
    [sym_await] = STATE(764),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(763),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(764),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(764),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [332] = {
    [sym_attribute] = STATE(765),
    [sym_dictionary_comprehension] = STATE(765),
    [sym_generator_expression] = STATE(765),
    [sym_binary_operator] = STATE(765),
    [sym_unary_operator] = STATE(765),
    [sym_call] = STATE(765),
    [sym_list_comprehension] = STATE(765),
    [sym_dictionary] = STATE(765),
    [sym_parenthesized_expression] = STATE(765),
    [sym_tuple] = STATE(765),
    [sym_concatenated_string] = STATE(765),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(765),
    [sym_list] = STATE(765),
    [sym_set] = STATE(765),
    [sym_set_comprehension] = STATE(765),
    [sym__primary_expression] = STATE(765),
    [sym_integer] = ACTIONS(1445),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1445),
    [sym_identifier] = ACTIONS(1445),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1445),
    [sym__string_start] = ACTIONS(157),
  },
  [333] = {
    [sym_attribute] = STATE(766),
    [sym_dictionary_comprehension] = STATE(766),
    [sym_generator_expression] = STATE(766),
    [sym_binary_operator] = STATE(766),
    [sym_unary_operator] = STATE(766),
    [sym_call] = STATE(766),
    [sym_list_comprehension] = STATE(766),
    [sym_dictionary] = STATE(766),
    [sym_parenthesized_expression] = STATE(766),
    [sym_tuple] = STATE(766),
    [sym_concatenated_string] = STATE(766),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(766),
    [sym_list] = STATE(766),
    [sym_set] = STATE(766),
    [sym_set_comprehension] = STATE(766),
    [sym__primary_expression] = STATE(766),
    [sym_integer] = ACTIONS(1449),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1451),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1449),
    [sym__string_start] = ACTIONS(157),
  },
  [334] = {
    [sym_attribute] = STATE(766),
    [sym_dictionary_comprehension] = STATE(766),
    [sym_generator_expression] = STATE(766),
    [sym_binary_operator] = STATE(766),
    [sym_unary_operator] = STATE(766),
    [sym_call] = STATE(766),
    [sym_list_comprehension] = STATE(766),
    [sym_dictionary] = STATE(766),
    [sym_parenthesized_expression] = STATE(766),
    [sym_tuple] = STATE(766),
    [sym_concatenated_string] = STATE(766),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(766),
    [sym_list] = STATE(766),
    [sym_set] = STATE(766),
    [sym_set_comprehension] = STATE(766),
    [sym__primary_expression] = STATE(766),
    [sym_integer] = ACTIONS(1449),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1449),
    [sym_identifier] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1451),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1449),
    [sym__string_start] = ACTIONS(157),
  },
  [335] = {
    [sym_attribute] = STATE(768),
    [sym_dictionary_comprehension] = STATE(768),
    [sym_generator_expression] = STATE(768),
    [sym_binary_operator] = STATE(768),
    [sym_unary_operator] = STATE(768),
    [sym_call] = STATE(768),
    [sym_list_comprehension] = STATE(768),
    [sym_dictionary] = STATE(768),
    [sym_parenthesized_expression] = STATE(768),
    [sym_tuple] = STATE(768),
    [sym_concatenated_string] = STATE(768),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(768),
    [sym_list] = STATE(768),
    [sym_set] = STATE(768),
    [sym_set_comprehension] = STATE(768),
    [sym__primary_expression] = STATE(768),
    [sym_integer] = ACTIONS(1455),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1457),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1455),
    [sym__string_start] = ACTIONS(157),
  },
  [336] = {
    [sym_attribute] = STATE(769),
    [sym_dictionary_comprehension] = STATE(769),
    [sym_generator_expression] = STATE(769),
    [sym_binary_operator] = STATE(769),
    [sym_unary_operator] = STATE(769),
    [sym_call] = STATE(769),
    [sym_list_comprehension] = STATE(769),
    [sym_dictionary] = STATE(769),
    [sym_parenthesized_expression] = STATE(769),
    [sym_tuple] = STATE(769),
    [sym_concatenated_string] = STATE(769),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(769),
    [sym_list] = STATE(769),
    [sym_set] = STATE(769),
    [sym_set_comprehension] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_integer] = ACTIONS(1459),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1461),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1459),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1459),
    [sym__string_start] = ACTIONS(157),
  },
  [337] = {
    [anon_sym_in] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_lambda] = STATE(770),
    [sym_conditional_expression] = STATE(770),
    [sym_attribute] = STATE(92),
    [sym_dictionary_splat] = STATE(632),
    [sym_keyword_argument] = STATE(632),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(770),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_splat] = STATE(632),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(770),
    [sym_boolean_operator] = STATE(770),
    [sym_await] = STATE(770),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(770),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(770),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [339] = {
    [sym_attribute] = STATE(771),
    [sym_dictionary_comprehension] = STATE(771),
    [sym_generator_expression] = STATE(771),
    [sym_binary_operator] = STATE(771),
    [sym_unary_operator] = STATE(771),
    [sym_call] = STATE(771),
    [sym_list_comprehension] = STATE(771),
    [sym_dictionary] = STATE(771),
    [sym_parenthesized_expression] = STATE(771),
    [sym_tuple] = STATE(771),
    [sym_concatenated_string] = STATE(771),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(771),
    [sym_list] = STATE(771),
    [sym_set] = STATE(771),
    [sym_set_comprehension] = STATE(771),
    [sym__primary_expression] = STATE(771),
    [sym_integer] = ACTIONS(1465),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1465),
    [sym_identifier] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1465),
    [sym__string_start] = ACTIONS(157),
  },
  [340] = {
    [sym_attribute] = STATE(772),
    [sym_dictionary_comprehension] = STATE(772),
    [sym_generator_expression] = STATE(772),
    [sym_binary_operator] = STATE(772),
    [sym_unary_operator] = STATE(772),
    [sym_call] = STATE(772),
    [sym_list_comprehension] = STATE(772),
    [sym_dictionary] = STATE(772),
    [sym_parenthesized_expression] = STATE(772),
    [sym_tuple] = STATE(772),
    [sym_concatenated_string] = STATE(772),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(772),
    [sym_list] = STATE(772),
    [sym_set] = STATE(772),
    [sym_set_comprehension] = STATE(772),
    [sym__primary_expression] = STATE(772),
    [sym_integer] = ACTIONS(1469),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1469),
    [sym_identifier] = ACTIONS(1469),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1471),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1469),
    [sym__string_start] = ACTIONS(157),
  },
  [341] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_attribute] = STATE(775),
    [sym_dictionary_comprehension] = STATE(775),
    [sym_generator_expression] = STATE(775),
    [sym_binary_operator] = STATE(775),
    [sym_unary_operator] = STATE(775),
    [sym_call] = STATE(775),
    [sym_list_comprehension] = STATE(775),
    [sym_dictionary] = STATE(775),
    [sym_parenthesized_expression] = STATE(775),
    [sym_tuple] = STATE(775),
    [sym_concatenated_string] = STATE(775),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(775),
    [sym_list] = STATE(775),
    [sym_set] = STATE(775),
    [sym_set_comprehension] = STATE(775),
    [sym__primary_expression] = STATE(775),
    [sym_integer] = ACTIONS(1479),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1481),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1479),
    [sym__string_start] = ACTIONS(157),
  },
  [344] = {
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_or] = ACTIONS(1029),
    [anon_sym_SLASH_SLASH] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1031),
    [anon_sym_is] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1029),
    [anon_sym_as] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_in] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [sym_type_conversion] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_STAR_STAR] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1031),
    [anon_sym_EQ] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_LT_GT] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_RPAREN] = ACTIONS(1029),
    [anon_sym_else] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_and] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_not] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1029),
  },
  [345] = {
    [aux_sym_comparison_operator_repeat1] = STATE(776),
    [anon_sym_EQ_EQ] = ACTIONS(571),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(565),
    [anon_sym_is] = ACTIONS(567),
    [anon_sym_LT_EQ] = ACTIONS(571),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(583),
    [anon_sym_in] = ACTIONS(571),
    [anon_sym_GT_EQ] = ACTIONS(571),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(565),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(571),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [346] = {
    [sym_lambda] = STATE(777),
    [sym_conditional_expression] = STATE(777),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(777),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(777),
    [sym_boolean_operator] = STATE(777),
    [sym_await] = STATE(777),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(777),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(777),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [347] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(741),
  },
  [348] = {
    [sym_lambda] = STATE(778),
    [sym_conditional_expression] = STATE(778),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(778),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(778),
    [sym_boolean_operator] = STATE(778),
    [sym_await] = STATE(778),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(778),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(778),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [349] = {
    [anon_sym_COLON] = ACTIONS(1483),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(781),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1485),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [351] = {
    [sym_lambda] = STATE(100),
    [sym__primary_expression] = STATE(101),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(100),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_with_item] = STATE(782),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(100),
    [sym_boolean_operator] = STATE(100),
    [sym_await] = STATE(100),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(100),
    [sym_conditional_expression] = STATE(100),
    [sym_comparison_operator] = STATE(100),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [352] = {
    [aux_sym_with_statement_repeat1] = STATE(783),
    [anon_sym_COLON] = ACTIONS(1178),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_string] = STATE(784),
    [aux_sym_concatenated_string_repeat1] = STATE(784),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_as] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [354] = {
    [sym_lambda] = STATE(785),
    [sym_conditional_expression] = STATE(785),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(785),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(785),
    [sym_boolean_operator] = STATE(785),
    [sym_await] = STATE(785),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(785),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(785),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [355] = {
    [sym_lambda] = STATE(786),
    [sym_conditional_expression] = STATE(786),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(786),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(786),
    [sym_boolean_operator] = STATE(786),
    [sym_await] = STATE(786),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(786),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(786),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [356] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [357] = {
    [sym_lambda] = STATE(787),
    [sym_conditional_expression] = STATE(787),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(787),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(787),
    [sym_boolean_operator] = STATE(787),
    [sym_await] = STATE(787),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(787),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(787),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [358] = {
    [sym_attribute] = STATE(788),
    [sym_dictionary_comprehension] = STATE(788),
    [sym_generator_expression] = STATE(788),
    [sym_binary_operator] = STATE(788),
    [sym_unary_operator] = STATE(788),
    [sym_call] = STATE(788),
    [sym_list_comprehension] = STATE(788),
    [sym_dictionary] = STATE(788),
    [sym_parenthesized_expression] = STATE(788),
    [sym_tuple] = STATE(788),
    [sym_concatenated_string] = STATE(788),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(788),
    [sym_list] = STATE(788),
    [sym_set] = STATE(788),
    [sym_set_comprehension] = STATE(788),
    [sym__primary_expression] = STATE(788),
    [sym_integer] = ACTIONS(1487),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1489),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1487),
    [sym_identifier] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1487),
    [sym__string_start] = ACTIONS(157),
  },
  [359] = {
    [sym_attribute] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_generator_expression] = STATE(789),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_call] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_concatenated_string] = STATE(789),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym__primary_expression] = STATE(789),
    [sym_integer] = ACTIONS(1491),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1491),
    [sym_identifier] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1491),
    [sym__string_start] = ACTIONS(157),
  },
  [360] = {
    [sym_attribute] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_generator_expression] = STATE(789),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_call] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_concatenated_string] = STATE(789),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym__primary_expression] = STATE(789),
    [sym_integer] = ACTIONS(1491),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1493),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1491),
    [sym_identifier] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(1495),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1491),
    [sym__string_start] = ACTIONS(157),
  },
  [361] = {
    [sym_attribute] = STATE(791),
    [sym_dictionary_comprehension] = STATE(791),
    [sym_generator_expression] = STATE(791),
    [sym_binary_operator] = STATE(791),
    [sym_unary_operator] = STATE(791),
    [sym_call] = STATE(791),
    [sym_list_comprehension] = STATE(791),
    [sym_dictionary] = STATE(791),
    [sym_parenthesized_expression] = STATE(791),
    [sym_tuple] = STATE(791),
    [sym_concatenated_string] = STATE(791),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(791),
    [sym_list] = STATE(791),
    [sym_set] = STATE(791),
    [sym_set_comprehension] = STATE(791),
    [sym__primary_expression] = STATE(791),
    [sym_integer] = ACTIONS(1497),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1497),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1497),
    [sym__string_start] = ACTIONS(157),
  },
  [362] = {
    [sym_attribute] = STATE(792),
    [sym_dictionary_comprehension] = STATE(792),
    [sym_generator_expression] = STATE(792),
    [sym_binary_operator] = STATE(792),
    [sym_unary_operator] = STATE(792),
    [sym_call] = STATE(792),
    [sym_list_comprehension] = STATE(792),
    [sym_dictionary] = STATE(792),
    [sym_parenthesized_expression] = STATE(792),
    [sym_tuple] = STATE(792),
    [sym_concatenated_string] = STATE(792),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(792),
    [sym_list] = STATE(792),
    [sym_set] = STATE(792),
    [sym_set_comprehension] = STATE(792),
    [sym__primary_expression] = STATE(792),
    [sym_integer] = ACTIONS(1501),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1501),
    [sym_identifier] = ACTIONS(1501),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1501),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1501),
    [sym__string_start] = ACTIONS(157),
  },
  [363] = {
    [anon_sym_in] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_attribute] = STATE(793),
    [sym_dictionary_comprehension] = STATE(793),
    [sym_generator_expression] = STATE(793),
    [sym_binary_operator] = STATE(793),
    [sym_unary_operator] = STATE(793),
    [sym_call] = STATE(793),
    [sym_list_comprehension] = STATE(793),
    [sym_dictionary] = STATE(793),
    [sym_parenthesized_expression] = STATE(793),
    [sym_tuple] = STATE(793),
    [sym_concatenated_string] = STATE(793),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(793),
    [sym_list] = STATE(793),
    [sym_set] = STATE(793),
    [sym_set_comprehension] = STATE(793),
    [sym__primary_expression] = STATE(793),
    [sym_integer] = ACTIONS(1507),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1507),
    [sym__string_start] = ACTIONS(157),
  },
  [365] = {
    [sym_attribute] = STATE(794),
    [sym_dictionary_comprehension] = STATE(794),
    [sym_generator_expression] = STATE(794),
    [sym_binary_operator] = STATE(794),
    [sym_unary_operator] = STATE(794),
    [sym_call] = STATE(794),
    [sym_list_comprehension] = STATE(794),
    [sym_dictionary] = STATE(794),
    [sym_parenthesized_expression] = STATE(794),
    [sym_tuple] = STATE(794),
    [sym_concatenated_string] = STATE(794),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(794),
    [sym_list] = STATE(794),
    [sym_set] = STATE(794),
    [sym_set_comprehension] = STATE(794),
    [sym__primary_expression] = STATE(794),
    [sym_integer] = ACTIONS(1511),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1513),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1511),
    [sym_identifier] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1511),
    [sym__string_start] = ACTIONS(157),
  },
  [366] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [367] = {
    [sym_attribute] = STATE(795),
    [sym_dictionary_comprehension] = STATE(795),
    [sym_generator_expression] = STATE(795),
    [sym_binary_operator] = STATE(795),
    [sym_unary_operator] = STATE(795),
    [sym_call] = STATE(795),
    [sym_list_comprehension] = STATE(795),
    [sym_dictionary] = STATE(795),
    [sym_parenthesized_expression] = STATE(795),
    [sym_tuple] = STATE(795),
    [sym_concatenated_string] = STATE(795),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(795),
    [sym_list] = STATE(795),
    [sym_set] = STATE(795),
    [sym_set_comprehension] = STATE(795),
    [sym__primary_expression] = STATE(795),
    [sym_integer] = ACTIONS(1515),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1515),
    [sym__string_start] = ACTIONS(157),
  },
  [368] = {
    [aux_sym_comparison_operator_repeat1] = STATE(796),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(613),
    [anon_sym_is] = ACTIONS(615),
    [anon_sym_LT_EQ] = ACTIONS(619),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_as] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(629),
    [anon_sym_in] = ACTIONS(619),
    [anon_sym_GT_EQ] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(619),
    [anon_sym_BANG_EQ] = ACTIONS(619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(619),
  },
  [369] = {
    [sym_lambda] = STATE(797),
    [sym_conditional_expression] = STATE(797),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(797),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(797),
    [sym_boolean_operator] = STATE(797),
    [sym_await] = STATE(797),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(797),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(797),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [370] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_lambda] = STATE(798),
    [sym_conditional_expression] = STATE(798),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(798),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(798),
    [sym_boolean_operator] = STATE(798),
    [sym_await] = STATE(798),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(798),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(798),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [372] = {
    [anon_sym_COLON] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_string] = STATE(800),
    [aux_sym_concatenated_string_repeat1] = STATE(800),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [374] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(802),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1521),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [375] = {
    [sym_lambda] = STATE(803),
    [sym_conditional_expression] = STATE(803),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(803),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(803),
    [sym_boolean_operator] = STATE(803),
    [sym_await] = STATE(803),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(803),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [376] = {
    [sym_lambda] = STATE(804),
    [sym_conditional_expression] = STATE(804),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(804),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(804),
    [sym_boolean_operator] = STATE(804),
    [sym_await] = STATE(804),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(804),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(804),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [377] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [378] = {
    [sym_attribute] = STATE(805),
    [sym_dictionary_comprehension] = STATE(805),
    [sym_generator_expression] = STATE(805),
    [sym_binary_operator] = STATE(805),
    [sym_unary_operator] = STATE(805),
    [sym_call] = STATE(805),
    [sym_list_comprehension] = STATE(805),
    [sym_dictionary] = STATE(805),
    [sym_parenthesized_expression] = STATE(805),
    [sym_tuple] = STATE(805),
    [sym_concatenated_string] = STATE(805),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(805),
    [sym_list] = STATE(805),
    [sym_set] = STATE(805),
    [sym_set_comprehension] = STATE(805),
    [sym__primary_expression] = STATE(805),
    [sym_integer] = ACTIONS(1523),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1523),
    [sym_identifier] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1523),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1523),
    [sym__string_start] = ACTIONS(157),
  },
  [379] = {
    [sym_attribute] = STATE(806),
    [sym_dictionary_comprehension] = STATE(806),
    [sym_generator_expression] = STATE(806),
    [sym_binary_operator] = STATE(806),
    [sym_unary_operator] = STATE(806),
    [sym_call] = STATE(806),
    [sym_list_comprehension] = STATE(806),
    [sym_dictionary] = STATE(806),
    [sym_parenthesized_expression] = STATE(806),
    [sym_tuple] = STATE(806),
    [sym_concatenated_string] = STATE(806),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(806),
    [sym_list] = STATE(806),
    [sym_set] = STATE(806),
    [sym_set_comprehension] = STATE(806),
    [sym__primary_expression] = STATE(806),
    [sym_integer] = ACTIONS(1527),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1527),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1527),
    [sym__string_start] = ACTIONS(157),
  },
  [380] = {
    [sym_attribute] = STATE(806),
    [sym_dictionary_comprehension] = STATE(806),
    [sym_generator_expression] = STATE(806),
    [sym_binary_operator] = STATE(806),
    [sym_unary_operator] = STATE(806),
    [sym_call] = STATE(806),
    [sym_list_comprehension] = STATE(806),
    [sym_dictionary] = STATE(806),
    [sym_parenthesized_expression] = STATE(806),
    [sym_tuple] = STATE(806),
    [sym_concatenated_string] = STATE(806),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(806),
    [sym_list] = STATE(806),
    [sym_set] = STATE(806),
    [sym_set_comprehension] = STATE(806),
    [sym__primary_expression] = STATE(806),
    [sym_integer] = ACTIONS(1527),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1527),
    [sym_identifier] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(1531),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1527),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1527),
    [sym__string_start] = ACTIONS(157),
  },
  [381] = {
    [sym_attribute] = STATE(808),
    [sym_dictionary_comprehension] = STATE(808),
    [sym_generator_expression] = STATE(808),
    [sym_binary_operator] = STATE(808),
    [sym_unary_operator] = STATE(808),
    [sym_call] = STATE(808),
    [sym_list_comprehension] = STATE(808),
    [sym_dictionary] = STATE(808),
    [sym_parenthesized_expression] = STATE(808),
    [sym_tuple] = STATE(808),
    [sym_concatenated_string] = STATE(808),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(808),
    [sym_list] = STATE(808),
    [sym_set] = STATE(808),
    [sym_set_comprehension] = STATE(808),
    [sym__primary_expression] = STATE(808),
    [sym_integer] = ACTIONS(1533),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1533),
    [sym__string_start] = ACTIONS(157),
  },
  [382] = {
    [sym_attribute] = STATE(809),
    [sym_dictionary_comprehension] = STATE(809),
    [sym_generator_expression] = STATE(809),
    [sym_binary_operator] = STATE(809),
    [sym_unary_operator] = STATE(809),
    [sym_call] = STATE(809),
    [sym_list_comprehension] = STATE(809),
    [sym_dictionary] = STATE(809),
    [sym_parenthesized_expression] = STATE(809),
    [sym_tuple] = STATE(809),
    [sym_concatenated_string] = STATE(809),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(809),
    [sym_list] = STATE(809),
    [sym_set] = STATE(809),
    [sym_set_comprehension] = STATE(809),
    [sym__primary_expression] = STATE(809),
    [sym_integer] = ACTIONS(1537),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1537),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1537),
    [sym__string_start] = ACTIONS(157),
  },
  [383] = {
    [anon_sym_in] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_attribute] = STATE(810),
    [sym_dictionary_comprehension] = STATE(810),
    [sym_generator_expression] = STATE(810),
    [sym_binary_operator] = STATE(810),
    [sym_unary_operator] = STATE(810),
    [sym_call] = STATE(810),
    [sym_list_comprehension] = STATE(810),
    [sym_dictionary] = STATE(810),
    [sym_parenthesized_expression] = STATE(810),
    [sym_tuple] = STATE(810),
    [sym_concatenated_string] = STATE(810),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(810),
    [sym_list] = STATE(810),
    [sym_set] = STATE(810),
    [sym_set_comprehension] = STATE(810),
    [sym__primary_expression] = STATE(810),
    [sym_integer] = ACTIONS(1543),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1545),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1543),
    [sym_identifier] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1543),
    [sym__string_start] = ACTIONS(157),
  },
  [385] = {
    [sym_attribute] = STATE(811),
    [sym_dictionary_comprehension] = STATE(811),
    [sym_generator_expression] = STATE(811),
    [sym_binary_operator] = STATE(811),
    [sym_unary_operator] = STATE(811),
    [sym_call] = STATE(811),
    [sym_list_comprehension] = STATE(811),
    [sym_dictionary] = STATE(811),
    [sym_parenthesized_expression] = STATE(811),
    [sym_tuple] = STATE(811),
    [sym_concatenated_string] = STATE(811),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(811),
    [sym_list] = STATE(811),
    [sym_set] = STATE(811),
    [sym_set_comprehension] = STATE(811),
    [sym__primary_expression] = STATE(811),
    [sym_integer] = ACTIONS(1547),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1547),
    [sym__string_start] = ACTIONS(157),
  },
  [386] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [387] = {
    [sym_attribute] = STATE(812),
    [sym_dictionary_comprehension] = STATE(812),
    [sym_generator_expression] = STATE(812),
    [sym_binary_operator] = STATE(812),
    [sym_unary_operator] = STATE(812),
    [sym_call] = STATE(812),
    [sym_list_comprehension] = STATE(812),
    [sym_dictionary] = STATE(812),
    [sym_parenthesized_expression] = STATE(812),
    [sym_tuple] = STATE(812),
    [sym_concatenated_string] = STATE(812),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(812),
    [sym_list] = STATE(812),
    [sym_set] = STATE(812),
    [sym_set_comprehension] = STATE(812),
    [sym__primary_expression] = STATE(812),
    [sym_integer] = ACTIONS(1551),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1553),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(157),
  },
  [388] = {
    [aux_sym_comparison_operator_repeat1] = STATE(813),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_is] = ACTIONS(651),
    [anon_sym_LT_EQ] = ACTIONS(655),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_in] = ACTIONS(655),
    [anon_sym_GT_EQ] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_LT_GT] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(655),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [aux_sym_dotted_name_repeat1] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [sym__newline] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(675),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_lambda] = STATE(816),
    [sym_conditional_expression] = STATE(816),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(578),
    [sym_keyword_argument] = STATE(578),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(816),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(578),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(816),
    [sym_boolean_operator] = STATE(816),
    [sym_await] = STATE(816),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(816),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(816),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(1003),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [392] = {
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1557),
    [anon_sym_def] = ACTIONS(1557),
  },
  [393] = {
    [sym__newline] = ACTIONS(1559),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_lambda] = STATE(827),
    [sym_conditional_expression] = STATE(827),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(827),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(827),
    [sym_boolean_operator] = STATE(827),
    [sym_await] = STATE(827),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(827),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(827),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [395] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(831),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(831),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_exec] = ACTIONS(1563),
    [anon_sym_print] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [aux_sym__parameters_repeat1] = STATE(833),
    [anon_sym_COLON] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(1567),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_lambda] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(843),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(843),
    [sym_boolean_operator] = STATE(843),
    [sym_await] = STATE(843),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(843),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(843),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [398] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(831),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(831),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_exec] = ACTIONS(1563),
    [anon_sym_print] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [aux_sym__parameters_repeat1] = STATE(833),
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_COMMA] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [aux_sym_tuple_repeat1] = STATE(733),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [aux_sym_tuple_repeat1] = STATE(733),
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [403] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [404] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_lambda] = STATE(846),
    [sym_conditional_expression] = STATE(846),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(846),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(846),
    [sym_boolean_operator] = STATE(846),
    [sym_await] = STATE(846),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(846),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(846),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [406] = {
    [sym_lambda] = STATE(847),
    [sym_conditional_expression] = STATE(847),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(847),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(847),
    [sym_boolean_operator] = STATE(847),
    [sym_await] = STATE(847),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(847),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(847),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [407] = {
    [sym_lambda_parameters] = STATE(849),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1575),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_string] = STATE(850),
    [aux_sym_concatenated_string_repeat1] = STATE(850),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [409] = {
    [anon_sym_COLON] = ACTIONS(1577),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(864),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_is] = ACTIONS(1589),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_CARET_EQ] = ACTIONS(1609),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1609),
    [anon_sym_STAR_EQ] = ACTIONS(1609),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1609),
    [sym__newline] = ACTIONS(1609),
    [anon_sym_DASH_EQ] = ACTIONS(1609),
    [sym__semicolon] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(1609),
    [anon_sym_AT_EQ] = ACTIONS(1609),
    [anon_sym_LT_LT_EQ] = ACTIONS(1609),
    [anon_sym_PERCENT_EQ] = ACTIONS(1609),
    [anon_sym_PLUS_EQ] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_SLASH_EQ] = ACTIONS(1609),
    [anon_sym_GT_GT_EQ] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_lambda] = STATE(867),
    [sym_conditional_expression] = STATE(867),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(867),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(867),
    [sym_boolean_operator] = STATE(867),
    [sym_await] = STATE(867),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(867),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(867),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [413] = {
    [sym__semicolon] = ACTIONS(1611),
    [sym__newline] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1611),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_lambda] = STATE(868),
    [sym_conditional_expression] = STATE(868),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(868),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(868),
    [sym_boolean_operator] = STATE(868),
    [sym_await] = STATE(868),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(868),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(868),
    [sym__newline] = ACTIONS(1613),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1613),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [415] = {
    [aux_sym_print_statement_repeat1] = STATE(870),
    [sym__semicolon] = ACTIONS(1615),
    [sym__newline] = ACTIONS(1615),
    [anon_sym_COMMA] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_lambda] = STATE(868),
    [sym_conditional_expression] = STATE(868),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(868),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(868),
    [sym_boolean_operator] = STATE(868),
    [sym_await] = STATE(868),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(868),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(868),
    [sym__newline] = ACTIONS(1619),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [417] = {
    [aux_sym_print_statement_repeat1] = STATE(870),
    [sym__semicolon] = ACTIONS(1621),
    [sym__newline] = ACTIONS(1621),
    [anon_sym_COMMA] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [aux_sym_dotted_name_repeat1] = STATE(872),
    [sym__semicolon] = ACTIONS(1352),
    [sym__newline] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1352),
  },
  [419] = {
    [sym_aliased_import] = STATE(873),
    [sym_dotted_name] = STATE(874),
    [sym__semicolon] = ACTIONS(1625),
    [sym__newline] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [aux_sym__import_list_repeat1] = STATE(876),
    [sym__semicolon] = ACTIONS(1627),
    [sym__newline] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(879),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1633),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [423] = {
    [sym_default_parameter] = STATE(884),
    [sym_typed_parameter] = STATE(884),
    [sym_tuple] = STATE(884),
    [sym_dictionary_splat] = STATE(886),
    [sym_typed_default_parameter] = STATE(884),
    [sym_list_splat] = STATE(886),
    [sym__parameters] = STATE(885),
    [anon_sym_exec] = ACTIONS(1635),
    [anon_sym_print] = ACTIONS(1635),
    [sym_identifier] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_DASH_GT] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_CARET_EQ] = ACTIONS(1647),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_STAR_EQ] = ACTIONS(1647),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1647),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_DASH_EQ] = ACTIONS(1647),
    [sym__semicolon] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(1647),
    [anon_sym_AT_EQ] = ACTIONS(1647),
    [anon_sym_LT_LT_EQ] = ACTIONS(1647),
    [anon_sym_PERCENT_EQ] = ACTIONS(1647),
    [anon_sym_PLUS_EQ] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_PIPE_EQ] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_SLASH_EQ] = ACTIONS(1647),
    [anon_sym_GT_GT_EQ] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [aux_sym_global_statement_repeat1] = STATE(628),
    [sym__semicolon] = ACTIONS(1649),
    [sym__newline] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym__semicolon] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(375),
    [sym__newline] = ACTIONS(375),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_interpolation] = STATE(223),
    [aux_sym_string_repeat1] = STATE(223),
    [sym_escape_sequence] = ACTIONS(393),
    [sym__string_end] = ACTIONS(1651),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [429] = {
    [sym_lambda] = STATE(890),
    [sym_conditional_expression] = STATE(890),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(890),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(890),
    [sym_boolean_operator] = STATE(890),
    [sym_await] = STATE(890),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(890),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(890),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [430] = {
    [sym_lambda] = STATE(891),
    [sym_conditional_expression] = STATE(891),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(891),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(891),
    [sym_boolean_operator] = STATE(891),
    [sym_await] = STATE(891),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(891),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(891),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [431] = {
    [sym__semicolon] = ACTIONS(1653),
    [sym__newline] = ACTIONS(1653),
    [anon_sym_or] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym__newline] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(741),
    [sym__semicolon] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(741),
  },
  [433] = {
    [sym_lambda] = STATE(892),
    [sym_conditional_expression] = STATE(892),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(892),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(892),
    [sym_boolean_operator] = STATE(892),
    [sym_await] = STATE(892),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(892),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(892),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [434] = {
    [anon_sym_COLON] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_string] = STATE(894),
    [aux_sym_concatenated_string_repeat1] = STATE(894),
    [sym__newline] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_from] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [sym__semicolon] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [436] = {
    [sym_lambda] = STATE(895),
    [sym_conditional_expression] = STATE(895),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(895),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(895),
    [sym_boolean_operator] = STATE(895),
    [sym_await] = STATE(895),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(895),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(895),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [437] = {
    [sym_lambda] = STATE(896),
    [sym_conditional_expression] = STATE(896),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(896),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(896),
    [sym_boolean_operator] = STATE(896),
    [sym_await] = STATE(896),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(896),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(896),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [438] = {
    [sym_lambda] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(897),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(897),
    [sym_boolean_operator] = STATE(897),
    [sym_await] = STATE(897),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(897),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(897),
    [sym__newline] = ACTIONS(1156),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(1156),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_from] = ACTIONS(1657),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [439] = {
    [sym_lambda] = STATE(898),
    [sym_conditional_expression] = STATE(898),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(898),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(898),
    [sym_boolean_operator] = STATE(898),
    [sym_await] = STATE(898),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(898),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(898),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [440] = {
    [sym_lambda] = STATE(597),
    [sym_conditional_expression] = STATE(597),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(597),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(597),
    [sym_boolean_operator] = STATE(597),
    [sym_await] = STATE(597),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(597),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(597),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [441] = {
    [aux_sym_assert_statement_repeat1] = STATE(900),
    [sym__semicolon] = ACTIONS(1156),
    [sym__newline] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(1156),
  },
  [442] = {
    [sym_attribute] = STATE(901),
    [sym_dictionary_comprehension] = STATE(901),
    [sym_generator_expression] = STATE(901),
    [sym_binary_operator] = STATE(901),
    [sym_unary_operator] = STATE(901),
    [sym_call] = STATE(901),
    [sym_list_comprehension] = STATE(901),
    [sym_dictionary] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_tuple] = STATE(901),
    [sym_concatenated_string] = STATE(901),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(901),
    [sym_list] = STATE(901),
    [sym_set] = STATE(901),
    [sym_set_comprehension] = STATE(901),
    [sym__primary_expression] = STATE(901),
    [sym_integer] = ACTIONS(1661),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1661),
    [sym_identifier] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1661),
    [sym__string_start] = ACTIONS(115),
  },
  [443] = {
    [sym_attribute] = STATE(902),
    [sym_dictionary_comprehension] = STATE(902),
    [sym_generator_expression] = STATE(902),
    [sym_binary_operator] = STATE(902),
    [sym_unary_operator] = STATE(902),
    [sym_call] = STATE(902),
    [sym_list_comprehension] = STATE(902),
    [sym_dictionary] = STATE(902),
    [sym_parenthesized_expression] = STATE(902),
    [sym_tuple] = STATE(902),
    [sym_concatenated_string] = STATE(902),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(902),
    [sym_list] = STATE(902),
    [sym_set] = STATE(902),
    [sym_set_comprehension] = STATE(902),
    [sym__primary_expression] = STATE(902),
    [sym_integer] = ACTIONS(1665),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1667),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1665),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1665),
    [sym__string_start] = ACTIONS(115),
  },
  [444] = {
    [sym_attribute] = STATE(902),
    [sym_dictionary_comprehension] = STATE(902),
    [sym_generator_expression] = STATE(902),
    [sym_binary_operator] = STATE(902),
    [sym_unary_operator] = STATE(902),
    [sym_call] = STATE(902),
    [sym_list_comprehension] = STATE(902),
    [sym_dictionary] = STATE(902),
    [sym_parenthesized_expression] = STATE(902),
    [sym_tuple] = STATE(902),
    [sym_concatenated_string] = STATE(902),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(902),
    [sym_list] = STATE(902),
    [sym_set] = STATE(902),
    [sym_set_comprehension] = STATE(902),
    [sym__primary_expression] = STATE(902),
    [sym_integer] = ACTIONS(1665),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1667),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1665),
    [sym_identifier] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(1669),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1665),
    [sym__string_start] = ACTIONS(115),
  },
  [445] = {
    [sym_attribute] = STATE(904),
    [sym_dictionary_comprehension] = STATE(904),
    [sym_generator_expression] = STATE(904),
    [sym_binary_operator] = STATE(904),
    [sym_unary_operator] = STATE(904),
    [sym_call] = STATE(904),
    [sym_list_comprehension] = STATE(904),
    [sym_dictionary] = STATE(904),
    [sym_parenthesized_expression] = STATE(904),
    [sym_tuple] = STATE(904),
    [sym_concatenated_string] = STATE(904),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(904),
    [sym_list] = STATE(904),
    [sym_set] = STATE(904),
    [sym_set_comprehension] = STATE(904),
    [sym__primary_expression] = STATE(904),
    [sym_integer] = ACTIONS(1671),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1671),
    [sym_identifier] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1671),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1671),
    [sym__string_start] = ACTIONS(115),
  },
  [446] = {
    [sym_attribute] = STATE(905),
    [sym_dictionary_comprehension] = STATE(905),
    [sym_generator_expression] = STATE(905),
    [sym_binary_operator] = STATE(905),
    [sym_unary_operator] = STATE(905),
    [sym_call] = STATE(905),
    [sym_list_comprehension] = STATE(905),
    [sym_dictionary] = STATE(905),
    [sym_parenthesized_expression] = STATE(905),
    [sym_tuple] = STATE(905),
    [sym_concatenated_string] = STATE(905),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(905),
    [sym_list] = STATE(905),
    [sym_set] = STATE(905),
    [sym_set_comprehension] = STATE(905),
    [sym__primary_expression] = STATE(905),
    [sym_integer] = ACTIONS(1675),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1675),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1675),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1675),
    [sym__string_start] = ACTIONS(115),
  },
  [447] = {
    [anon_sym_in] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_attribute] = STATE(906),
    [sym_dictionary_comprehension] = STATE(906),
    [sym_generator_expression] = STATE(906),
    [sym_binary_operator] = STATE(906),
    [sym_unary_operator] = STATE(906),
    [sym_call] = STATE(906),
    [sym_list_comprehension] = STATE(906),
    [sym_dictionary] = STATE(906),
    [sym_parenthesized_expression] = STATE(906),
    [sym_tuple] = STATE(906),
    [sym_concatenated_string] = STATE(906),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(906),
    [sym_list] = STATE(906),
    [sym_set] = STATE(906),
    [sym_set_comprehension] = STATE(906),
    [sym__primary_expression] = STATE(906),
    [sym_integer] = ACTIONS(1681),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1683),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1681),
    [sym_identifier] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1681),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1681),
    [sym__string_start] = ACTIONS(115),
  },
  [449] = {
    [sym_attribute] = STATE(907),
    [sym_dictionary_comprehension] = STATE(907),
    [sym_generator_expression] = STATE(907),
    [sym_binary_operator] = STATE(907),
    [sym_unary_operator] = STATE(907),
    [sym_call] = STATE(907),
    [sym_list_comprehension] = STATE(907),
    [sym_dictionary] = STATE(907),
    [sym_parenthesized_expression] = STATE(907),
    [sym_tuple] = STATE(907),
    [sym_concatenated_string] = STATE(907),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(907),
    [sym_list] = STATE(907),
    [sym_set] = STATE(907),
    [sym_set_comprehension] = STATE(907),
    [sym__primary_expression] = STATE(907),
    [sym_integer] = ACTIONS(1685),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1687),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1685),
    [sym_identifier] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1685),
    [sym__string_start] = ACTIONS(115),
  },
  [450] = {
    [sym_attribute] = STATE(676),
    [sym_dictionary_comprehension] = STATE(676),
    [sym_generator_expression] = STATE(676),
    [sym_binary_operator] = STATE(676),
    [sym_unary_operator] = STATE(676),
    [sym_call] = STATE(676),
    [sym_list_comprehension] = STATE(676),
    [sym_dictionary] = STATE(676),
    [sym_parenthesized_expression] = STATE(676),
    [sym_tuple] = STATE(676),
    [sym_concatenated_string] = STATE(676),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(676),
    [sym_list] = STATE(676),
    [sym_set] = STATE(676),
    [sym_set_comprehension] = STATE(676),
    [sym__primary_expression] = STATE(676),
    [sym_integer] = ACTIONS(1302),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1302),
    [sym__string_start] = ACTIONS(115),
  },
  [451] = {
    [sym_attribute] = STATE(908),
    [sym_dictionary_comprehension] = STATE(908),
    [sym_generator_expression] = STATE(908),
    [sym_binary_operator] = STATE(908),
    [sym_unary_operator] = STATE(908),
    [sym_call] = STATE(908),
    [sym_list_comprehension] = STATE(908),
    [sym_dictionary] = STATE(908),
    [sym_parenthesized_expression] = STATE(908),
    [sym_tuple] = STATE(908),
    [sym_concatenated_string] = STATE(908),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(908),
    [sym_list] = STATE(908),
    [sym_set] = STATE(908),
    [sym_set_comprehension] = STATE(908),
    [sym__primary_expression] = STATE(908),
    [sym_integer] = ACTIONS(1689),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1691),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(1689),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1689),
    [sym__string_start] = ACTIONS(115),
  },
  [452] = {
    [aux_sym_comparison_operator_repeat1] = STATE(909),
    [sym__newline] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(769),
    [sym__semicolon] = ACTIONS(1033),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_from] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(785),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(775),
  },
  [453] = {
    [sym_lambda] = STATE(910),
    [sym_conditional_expression] = STATE(910),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(910),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(910),
    [sym_boolean_operator] = STATE(910),
    [sym_await] = STATE(910),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(910),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(910),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [454] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [455] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [456] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_lambda] = STATE(912),
    [sym_conditional_expression] = STATE(912),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(912),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(912),
    [sym_boolean_operator] = STATE(912),
    [sym_await] = STATE(912),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(912),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(912),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [458] = {
    [sym_lambda_parameters] = STATE(914),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_string] = STATE(915),
    [aux_sym_concatenated_string_repeat1] = STATE(915),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [460] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(929),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_is] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(1721),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
  },
  [463] = {
    [anon_sym_COLON] = ACTIONS(1727),
    [anon_sym_or] = ACTIONS(1727),
    [anon_sym_SLASH_SLASH] = ACTIONS(1729),
    [sym__newline] = ACTIONS(1727),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym_DASH_EQ] = ACTIONS(1727),
    [anon_sym_is] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1729),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_AMP_EQ] = ACTIONS(1727),
    [anon_sym_AT_EQ] = ACTIONS(1727),
    [anon_sym_LT_LT_EQ] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_in] = ACTIONS(1727),
    [anon_sym_PERCENT_EQ] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1729),
    [anon_sym_STAR_STAR] = ACTIONS(1729),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_EQ] = ACTIONS(1729),
    [anon_sym_AT] = ACTIONS(1729),
    [anon_sym_LT_GT] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1727),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_EQ_EQ] = ACTIONS(1727),
    [anon_sym_CARET_EQ] = ACTIONS(1727),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1727),
    [anon_sym_STAR_EQ] = ACTIONS(1727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1727),
    [sym__semicolon] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_and] = ACTIONS(1727),
    [anon_sym_PERCENT] = ACTIONS(1729),
    [anon_sym_not] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_PLUS_EQ] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1729),
    [anon_sym_PIPE] = ACTIONS(1729),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT_GT] = ACTIONS(1729),
    [anon_sym_PIPE_EQ] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1727),
    [anon_sym_SLASH_EQ] = ACTIONS(1727),
    [anon_sym_GT_GT_EQ] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_lambda] = STATE(930),
    [sym_conditional_expression] = STATE(930),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(930),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(930),
    [sym_boolean_operator] = STATE(930),
    [sym_await] = STATE(930),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(930),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(930),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [465] = {
    [anon_sym_COLON] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(1733),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [467] = {
    [aux_sym_list_repeat1] = STATE(936),
    [anon_sym_RBRACK] = ACTIONS(1733),
    [anon_sym_COMMA] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_string] = STATE(937),
    [aux_sym_concatenated_string_repeat1] = STATE(937),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [469] = {
    [sym_lambda] = STATE(938),
    [sym_conditional_expression] = STATE(938),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(938),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(938),
    [sym_boolean_operator] = STATE(938),
    [sym_await] = STATE(938),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(938),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(938),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [470] = {
    [sym_lambda] = STATE(939),
    [sym_conditional_expression] = STATE(939),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(939),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(939),
    [sym_boolean_operator] = STATE(939),
    [sym_await] = STATE(939),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(939),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(939),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [471] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(940),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [472] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [473] = {
    [anon_sym_for] = ACTIONS(1737),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_for_in_clause] = STATE(943),
    [sym_if_clause] = STATE(943),
    [aux_sym__comprehension_body_repeat1] = STATE(943),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_RBRACK] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(825),
  },
  [475] = {
    [anon_sym_RBRACK] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_attribute] = STATE(945),
    [sym_dictionary_comprehension] = STATE(945),
    [sym_generator_expression] = STATE(945),
    [sym_binary_operator] = STATE(945),
    [sym_unary_operator] = STATE(945),
    [sym_call] = STATE(945),
    [sym_list_comprehension] = STATE(945),
    [sym_dictionary] = STATE(945),
    [sym_parenthesized_expression] = STATE(945),
    [sym_tuple] = STATE(945),
    [sym_concatenated_string] = STATE(945),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(945),
    [sym_list] = STATE(945),
    [sym_set] = STATE(945),
    [sym_set_comprehension] = STATE(945),
    [sym__primary_expression] = STATE(945),
    [sym_integer] = ACTIONS(1743),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1745),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1743),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1743),
    [sym__string_start] = ACTIONS(157),
  },
  [477] = {
    [sym_attribute] = STATE(946),
    [sym_dictionary_comprehension] = STATE(946),
    [sym_generator_expression] = STATE(946),
    [sym_binary_operator] = STATE(946),
    [sym_unary_operator] = STATE(946),
    [sym_call] = STATE(946),
    [sym_list_comprehension] = STATE(946),
    [sym_dictionary] = STATE(946),
    [sym_parenthesized_expression] = STATE(946),
    [sym_tuple] = STATE(946),
    [sym_concatenated_string] = STATE(946),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(946),
    [sym_list] = STATE(946),
    [sym_set] = STATE(946),
    [sym_set_comprehension] = STATE(946),
    [sym__primary_expression] = STATE(946),
    [sym_integer] = ACTIONS(1747),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1747),
    [sym__string_start] = ACTIONS(157),
  },
  [478] = {
    [sym_attribute] = STATE(946),
    [sym_dictionary_comprehension] = STATE(946),
    [sym_generator_expression] = STATE(946),
    [sym_binary_operator] = STATE(946),
    [sym_unary_operator] = STATE(946),
    [sym_call] = STATE(946),
    [sym_list_comprehension] = STATE(946),
    [sym_dictionary] = STATE(946),
    [sym_parenthesized_expression] = STATE(946),
    [sym_tuple] = STATE(946),
    [sym_concatenated_string] = STATE(946),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(946),
    [sym_list] = STATE(946),
    [sym_set] = STATE(946),
    [sym_set_comprehension] = STATE(946),
    [sym__primary_expression] = STATE(946),
    [sym_integer] = ACTIONS(1747),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1747),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(1751),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1747),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1747),
    [sym__string_start] = ACTIONS(157),
  },
  [479] = {
    [sym_attribute] = STATE(948),
    [sym_dictionary_comprehension] = STATE(948),
    [sym_generator_expression] = STATE(948),
    [sym_binary_operator] = STATE(948),
    [sym_unary_operator] = STATE(948),
    [sym_call] = STATE(948),
    [sym_list_comprehension] = STATE(948),
    [sym_dictionary] = STATE(948),
    [sym_parenthesized_expression] = STATE(948),
    [sym_tuple] = STATE(948),
    [sym_concatenated_string] = STATE(948),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(948),
    [sym_list] = STATE(948),
    [sym_set] = STATE(948),
    [sym_set_comprehension] = STATE(948),
    [sym__primary_expression] = STATE(948),
    [sym_integer] = ACTIONS(1753),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1753),
    [sym__string_start] = ACTIONS(157),
  },
  [480] = {
    [sym_attribute] = STATE(949),
    [sym_dictionary_comprehension] = STATE(949),
    [sym_generator_expression] = STATE(949),
    [sym_binary_operator] = STATE(949),
    [sym_unary_operator] = STATE(949),
    [sym_call] = STATE(949),
    [sym_list_comprehension] = STATE(949),
    [sym_dictionary] = STATE(949),
    [sym_parenthesized_expression] = STATE(949),
    [sym_tuple] = STATE(949),
    [sym_concatenated_string] = STATE(949),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(949),
    [sym_list] = STATE(949),
    [sym_set] = STATE(949),
    [sym_set_comprehension] = STATE(949),
    [sym__primary_expression] = STATE(949),
    [sym_integer] = ACTIONS(1757),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1759),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1757),
    [sym__string_start] = ACTIONS(157),
  },
  [481] = {
    [anon_sym_in] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_attribute] = STATE(950),
    [sym_dictionary_comprehension] = STATE(950),
    [sym_generator_expression] = STATE(950),
    [sym_binary_operator] = STATE(950),
    [sym_unary_operator] = STATE(950),
    [sym_call] = STATE(950),
    [sym_list_comprehension] = STATE(950),
    [sym_dictionary] = STATE(950),
    [sym_parenthesized_expression] = STATE(950),
    [sym_tuple] = STATE(950),
    [sym_concatenated_string] = STATE(950),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(950),
    [sym_list] = STATE(950),
    [sym_set] = STATE(950),
    [sym_set_comprehension] = STATE(950),
    [sym__primary_expression] = STATE(950),
    [sym_integer] = ACTIONS(1763),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1763),
    [sym__string_start] = ACTIONS(157),
  },
  [483] = {
    [sym_attribute] = STATE(951),
    [sym_dictionary_comprehension] = STATE(951),
    [sym_generator_expression] = STATE(951),
    [sym_binary_operator] = STATE(951),
    [sym_unary_operator] = STATE(951),
    [sym_call] = STATE(951),
    [sym_list_comprehension] = STATE(951),
    [sym_dictionary] = STATE(951),
    [sym_parenthesized_expression] = STATE(951),
    [sym_tuple] = STATE(951),
    [sym_concatenated_string] = STATE(951),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(951),
    [sym_list] = STATE(951),
    [sym_set] = STATE(951),
    [sym_set_comprehension] = STATE(951),
    [sym__primary_expression] = STATE(951),
    [sym_integer] = ACTIONS(1767),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1767),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1767),
    [sym__string_start] = ACTIONS(157),
  },
  [484] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [485] = {
    [sym_attribute] = STATE(952),
    [sym_dictionary_comprehension] = STATE(952),
    [sym_generator_expression] = STATE(952),
    [sym_binary_operator] = STATE(952),
    [sym_unary_operator] = STATE(952),
    [sym_call] = STATE(952),
    [sym_list_comprehension] = STATE(952),
    [sym_dictionary] = STATE(952),
    [sym_parenthesized_expression] = STATE(952),
    [sym_tuple] = STATE(952),
    [sym_concatenated_string] = STATE(952),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(952),
    [sym_list] = STATE(952),
    [sym_set] = STATE(952),
    [sym_set_comprehension] = STATE(952),
    [sym__primary_expression] = STATE(952),
    [sym_integer] = ACTIONS(1771),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(1771),
    [sym_identifier] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1771),
    [sym__string_start] = ACTIONS(157),
  },
  [486] = {
    [aux_sym_comparison_operator_repeat1] = STATE(953),
    [anon_sym_EQ_EQ] = ACTIONS(835),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(829),
    [anon_sym_is] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(835),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(845),
    [anon_sym_in] = ACTIONS(835),
    [anon_sym_GT_EQ] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(835),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(835),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [487] = {
    [sym_lambda] = STATE(954),
    [sym_conditional_expression] = STATE(954),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(954),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(954),
    [sym_boolean_operator] = STATE(954),
    [sym_await] = STATE(954),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(954),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(954),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [488] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [489] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [490] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_lambda] = STATE(956),
    [sym_conditional_expression] = STATE(956),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(956),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(956),
    [sym_boolean_operator] = STATE(956),
    [sym_await] = STATE(956),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(956),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(956),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [492] = {
    [sym_lambda] = STATE(957),
    [sym_conditional_expression] = STATE(957),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(957),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(957),
    [sym_boolean_operator] = STATE(957),
    [sym_await] = STATE(957),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(957),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(957),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [493] = {
    [sym_lambda_parameters] = STATE(959),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_string] = STATE(960),
    [aux_sym_concatenated_string_repeat1] = STATE(960),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [495] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_and] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(974),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_is] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(741),
  },
  [498] = {
    [anon_sym_COLON] = ACTIONS(1809),
    [anon_sym_or] = ACTIONS(1809),
    [anon_sym_SLASH_SLASH] = ACTIONS(1811),
    [sym__newline] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1811),
    [anon_sym_DASH_EQ] = ACTIONS(1809),
    [anon_sym_is] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1811),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1811),
    [anon_sym_AMP_EQ] = ACTIONS(1809),
    [anon_sym_AT_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT_EQ] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_PERCENT_EQ] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1811),
    [anon_sym_STAR_STAR] = ACTIONS(1811),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(1811),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1811),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [anon_sym_CARET_EQ] = ACTIONS(1809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1809),
    [anon_sym_STAR_EQ] = ACTIONS(1809),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1809),
    [sym__semicolon] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1811),
    [anon_sym_and] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1811),
    [anon_sym_not] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_PLUS_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1811),
    [anon_sym_PIPE] = ACTIONS(1811),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT_GT] = ACTIONS(1811),
    [anon_sym_PIPE_EQ] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [anon_sym_DOT] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [anon_sym_SLASH_EQ] = ACTIONS(1809),
    [anon_sym_GT_GT_EQ] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_lambda] = STATE(975),
    [sym_conditional_expression] = STATE(975),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(975),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(975),
    [sym_boolean_operator] = STATE(975),
    [sym_await] = STATE(975),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(975),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(975),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [500] = {
    [anon_sym_COLON] = ACTIONS(1813),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [502] = {
    [aux_sym_dictionary_repeat1] = STATE(982),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1819),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(983),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [504] = {
    [anon_sym_for] = ACTIONS(1821),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_for_in_clause] = STATE(986),
    [sym_if_clause] = STATE(986),
    [aux_sym__comprehension_body_repeat1] = STATE(986),
    [anon_sym_if] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(881),
  },
  [506] = {
    [anon_sym_RBRACE] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_COLON] = ACTIONS(1827),
    [anon_sym_or] = ACTIONS(1827),
    [anon_sym_SLASH_SLASH] = ACTIONS(1829),
    [sym__newline] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_DASH_EQ] = ACTIONS(1827),
    [anon_sym_is] = ACTIONS(1827),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_AMP_EQ] = ACTIONS(1827),
    [anon_sym_AT_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT_EQ] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(1827),
    [anon_sym_PERCENT_EQ] = ACTIONS(1827),
    [anon_sym_if] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1829),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [anon_sym_CARET_EQ] = ACTIONS(1827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1827),
    [anon_sym_STAR_EQ] = ACTIONS(1827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1827),
    [sym__semicolon] = ACTIONS(1827),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_and] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_not] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_PLUS_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_PIPE_EQ] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_SLASH_EQ] = ACTIONS(1827),
    [anon_sym_GT_GT_EQ] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [509] = {
    [aux_sym_list_repeat1] = STATE(992),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1835),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_string] = STATE(993),
    [aux_sym_concatenated_string_repeat1] = STATE(993),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [511] = {
    [sym_lambda] = STATE(1000),
    [sym_conditional_expression] = STATE(1000),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1000),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1000),
    [sym_boolean_operator] = STATE(1000),
    [sym_await] = STATE(1000),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1000),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1000),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [512] = {
    [sym_lambda] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(1002),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(1002),
    [sym_boolean_operator] = STATE(1002),
    [sym_await] = STATE(1002),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(1002),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(1002),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [513] = {
    [sym_lambda] = STATE(1003),
    [sym_conditional_expression] = STATE(1003),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1003),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1003),
    [sym_boolean_operator] = STATE(1003),
    [sym_await] = STATE(1003),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1003),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1003),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [514] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [515] = {
    [anon_sym_RBRACE] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_attribute] = STATE(1005),
    [sym_dictionary_comprehension] = STATE(1005),
    [sym_generator_expression] = STATE(1005),
    [sym_binary_operator] = STATE(1005),
    [sym_unary_operator] = STATE(1005),
    [sym_call] = STATE(1005),
    [sym_list_comprehension] = STATE(1005),
    [sym_dictionary] = STATE(1005),
    [sym_parenthesized_expression] = STATE(1005),
    [sym_tuple] = STATE(1005),
    [sym_concatenated_string] = STATE(1005),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1005),
    [sym_list] = STATE(1005),
    [sym_set] = STATE(1005),
    [sym_set_comprehension] = STATE(1005),
    [sym__primary_expression] = STATE(1005),
    [sym_integer] = ACTIONS(1853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1853),
    [sym__string_start] = ACTIONS(157),
  },
  [517] = {
    [sym_attribute] = STATE(1006),
    [sym_dictionary_comprehension] = STATE(1006),
    [sym_generator_expression] = STATE(1006),
    [sym_binary_operator] = STATE(1006),
    [sym_unary_operator] = STATE(1006),
    [sym_call] = STATE(1006),
    [sym_list_comprehension] = STATE(1006),
    [sym_dictionary] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_tuple] = STATE(1006),
    [sym_concatenated_string] = STATE(1006),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1006),
    [sym_list] = STATE(1006),
    [sym_set] = STATE(1006),
    [sym_set_comprehension] = STATE(1006),
    [sym__primary_expression] = STATE(1006),
    [sym_integer] = ACTIONS(1857),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1857),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1857),
    [sym__string_start] = ACTIONS(157),
  },
  [518] = {
    [sym_attribute] = STATE(1006),
    [sym_dictionary_comprehension] = STATE(1006),
    [sym_generator_expression] = STATE(1006),
    [sym_binary_operator] = STATE(1006),
    [sym_unary_operator] = STATE(1006),
    [sym_call] = STATE(1006),
    [sym_list_comprehension] = STATE(1006),
    [sym_dictionary] = STATE(1006),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_tuple] = STATE(1006),
    [sym_concatenated_string] = STATE(1006),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1006),
    [sym_list] = STATE(1006),
    [sym_set] = STATE(1006),
    [sym_set_comprehension] = STATE(1006),
    [sym__primary_expression] = STATE(1006),
    [sym_integer] = ACTIONS(1857),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1857),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(1861),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1857),
    [sym__string_start] = ACTIONS(157),
  },
  [519] = {
    [sym_attribute] = STATE(1008),
    [sym_dictionary_comprehension] = STATE(1008),
    [sym_generator_expression] = STATE(1008),
    [sym_binary_operator] = STATE(1008),
    [sym_unary_operator] = STATE(1008),
    [sym_call] = STATE(1008),
    [sym_list_comprehension] = STATE(1008),
    [sym_dictionary] = STATE(1008),
    [sym_parenthesized_expression] = STATE(1008),
    [sym_tuple] = STATE(1008),
    [sym_concatenated_string] = STATE(1008),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1008),
    [sym_list] = STATE(1008),
    [sym_set] = STATE(1008),
    [sym_set_comprehension] = STATE(1008),
    [sym__primary_expression] = STATE(1008),
    [sym_integer] = ACTIONS(1863),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1865),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1863),
    [sym_identifier] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1863),
    [sym__string_start] = ACTIONS(157),
  },
  [520] = {
    [sym_attribute] = STATE(1009),
    [sym_dictionary_comprehension] = STATE(1009),
    [sym_generator_expression] = STATE(1009),
    [sym_binary_operator] = STATE(1009),
    [sym_unary_operator] = STATE(1009),
    [sym_call] = STATE(1009),
    [sym_list_comprehension] = STATE(1009),
    [sym_dictionary] = STATE(1009),
    [sym_parenthesized_expression] = STATE(1009),
    [sym_tuple] = STATE(1009),
    [sym_concatenated_string] = STATE(1009),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1009),
    [sym_list] = STATE(1009),
    [sym_set] = STATE(1009),
    [sym_set_comprehension] = STATE(1009),
    [sym__primary_expression] = STATE(1009),
    [sym_integer] = ACTIONS(1867),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1867),
    [sym__string_start] = ACTIONS(157),
  },
  [521] = {
    [anon_sym_in] = ACTIONS(1871),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_attribute] = STATE(1010),
    [sym_dictionary_comprehension] = STATE(1010),
    [sym_generator_expression] = STATE(1010),
    [sym_binary_operator] = STATE(1010),
    [sym_unary_operator] = STATE(1010),
    [sym_call] = STATE(1010),
    [sym_list_comprehension] = STATE(1010),
    [sym_dictionary] = STATE(1010),
    [sym_parenthesized_expression] = STATE(1010),
    [sym_tuple] = STATE(1010),
    [sym_concatenated_string] = STATE(1010),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1010),
    [sym_list] = STATE(1010),
    [sym_set] = STATE(1010),
    [sym_set_comprehension] = STATE(1010),
    [sym__primary_expression] = STATE(1010),
    [sym_integer] = ACTIONS(1873),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1875),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(1873),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1873),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1873),
    [sym__string_start] = ACTIONS(157),
  },
  [523] = {
    [sym_attribute] = STATE(1011),
    [sym_dictionary_comprehension] = STATE(1011),
    [sym_generator_expression] = STATE(1011),
    [sym_binary_operator] = STATE(1011),
    [sym_unary_operator] = STATE(1011),
    [sym_call] = STATE(1011),
    [sym_list_comprehension] = STATE(1011),
    [sym_dictionary] = STATE(1011),
    [sym_parenthesized_expression] = STATE(1011),
    [sym_tuple] = STATE(1011),
    [sym_concatenated_string] = STATE(1011),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1011),
    [sym_list] = STATE(1011),
    [sym_set] = STATE(1011),
    [sym_set_comprehension] = STATE(1011),
    [sym__primary_expression] = STATE(1011),
    [sym_integer] = ACTIONS(1877),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1877),
    [sym__string_start] = ACTIONS(157),
  },
  [524] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [525] = {
    [sym_attribute] = STATE(1012),
    [sym_dictionary_comprehension] = STATE(1012),
    [sym_generator_expression] = STATE(1012),
    [sym_binary_operator] = STATE(1012),
    [sym_unary_operator] = STATE(1012),
    [sym_call] = STATE(1012),
    [sym_list_comprehension] = STATE(1012),
    [sym_dictionary] = STATE(1012),
    [sym_parenthesized_expression] = STATE(1012),
    [sym_tuple] = STATE(1012),
    [sym_concatenated_string] = STATE(1012),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1012),
    [sym_list] = STATE(1012),
    [sym_set] = STATE(1012),
    [sym_set_comprehension] = STATE(1012),
    [sym__primary_expression] = STATE(1012),
    [sym_integer] = ACTIONS(1881),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1883),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(1881),
    [sym_identifier] = ACTIONS(1881),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1881),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1883),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1881),
    [sym__string_start] = ACTIONS(157),
  },
  [526] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1013),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_EQ_EQ] = ACTIONS(903),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_is] = ACTIONS(899),
    [anon_sym_LT_EQ] = ACTIONS(903),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(903),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [527] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1026),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1028),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [528] = {
    [aux_sym__simple_statements_repeat1] = STATE(1032),
    [sym__semicolon] = ACTIONS(1903),
    [sym__newline] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_except_clause] = STATE(1035),
    [aux_sym_try_statement_repeat1] = STATE(1035),
    [sym_finally_clause] = STATE(1036),
    [anon_sym_except] = ACTIONS(1907),
    [anon_sym_finally] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_string] = STATE(1037),
    [aux_sym_concatenated_string_repeat1] = STATE(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [sym__string_start] = ACTIONS(157),
  },
  [531] = {
    [sym_lambda] = STATE(1039),
    [sym__primary_expression] = STATE(410),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1039),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1039),
    [sym_boolean_operator] = STATE(1039),
    [sym_await] = STATE(1039),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_expression_list] = STATE(1038),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_comparison_operator] = STATE(1039),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [532] = {
    [sym_attribute] = STATE(1040),
    [sym_dictionary_comprehension] = STATE(1040),
    [sym_generator_expression] = STATE(1040),
    [sym_binary_operator] = STATE(1040),
    [sym_unary_operator] = STATE(1040),
    [sym_call] = STATE(1040),
    [sym_list_comprehension] = STATE(1040),
    [sym_dictionary] = STATE(1040),
    [sym_parenthesized_expression] = STATE(1040),
    [sym_tuple] = STATE(1040),
    [sym_concatenated_string] = STATE(1040),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1040),
    [sym_list] = STATE(1040),
    [sym_set] = STATE(1040),
    [sym_set_comprehension] = STATE(1040),
    [sym__primary_expression] = STATE(1040),
    [sym_integer] = ACTIONS(1911),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1911),
    [sym__string_start] = ACTIONS(157),
  },
  [533] = {
    [sym_attribute] = STATE(1041),
    [sym_dictionary_comprehension] = STATE(1041),
    [sym_generator_expression] = STATE(1041),
    [sym_binary_operator] = STATE(1041),
    [sym_unary_operator] = STATE(1041),
    [sym_call] = STATE(1041),
    [sym_list_comprehension] = STATE(1041),
    [sym_dictionary] = STATE(1041),
    [sym_parenthesized_expression] = STATE(1041),
    [sym_tuple] = STATE(1041),
    [sym_concatenated_string] = STATE(1041),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1041),
    [sym_list] = STATE(1041),
    [sym_set] = STATE(1041),
    [sym_set_comprehension] = STATE(1041),
    [sym__primary_expression] = STATE(1041),
    [sym_integer] = ACTIONS(1915),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1915),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1915),
    [sym__string_start] = ACTIONS(157),
  },
  [534] = {
    [sym_attribute] = STATE(1042),
    [sym_dictionary_comprehension] = STATE(1042),
    [sym_generator_expression] = STATE(1042),
    [sym_binary_operator] = STATE(1042),
    [sym_unary_operator] = STATE(1042),
    [sym_call] = STATE(1042),
    [sym_list_comprehension] = STATE(1042),
    [sym_dictionary] = STATE(1042),
    [sym_parenthesized_expression] = STATE(1042),
    [sym_tuple] = STATE(1042),
    [sym_concatenated_string] = STATE(1042),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1042),
    [sym_list] = STATE(1042),
    [sym_set] = STATE(1042),
    [sym_set_comprehension] = STATE(1042),
    [sym__primary_expression] = STATE(1042),
    [sym_integer] = ACTIONS(1919),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1919),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1919),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1919),
    [sym__string_start] = ACTIONS(157),
  },
  [535] = {
    [sym_attribute] = STATE(1043),
    [sym_dictionary_comprehension] = STATE(1043),
    [sym_generator_expression] = STATE(1043),
    [sym_binary_operator] = STATE(1043),
    [sym_unary_operator] = STATE(1043),
    [sym_call] = STATE(1043),
    [sym_list_comprehension] = STATE(1043),
    [sym_dictionary] = STATE(1043),
    [sym_parenthesized_expression] = STATE(1043),
    [sym_tuple] = STATE(1043),
    [sym_concatenated_string] = STATE(1043),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1043),
    [sym_list] = STATE(1043),
    [sym_set] = STATE(1043),
    [sym_set_comprehension] = STATE(1043),
    [sym__primary_expression] = STATE(1043),
    [sym_integer] = ACTIONS(1923),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1923),
    [sym__string_start] = ACTIONS(157),
  },
  [536] = {
    [sym_attribute] = STATE(1044),
    [sym_dictionary_comprehension] = STATE(1044),
    [sym_generator_expression] = STATE(1044),
    [sym_binary_operator] = STATE(1044),
    [sym_unary_operator] = STATE(1044),
    [sym_call] = STATE(1044),
    [sym_list_comprehension] = STATE(1044),
    [sym_dictionary] = STATE(1044),
    [sym_parenthesized_expression] = STATE(1044),
    [sym_tuple] = STATE(1044),
    [sym_concatenated_string] = STATE(1044),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1044),
    [sym_list] = STATE(1044),
    [sym_set] = STATE(1044),
    [sym_set_comprehension] = STATE(1044),
    [sym__primary_expression] = STATE(1044),
    [sym_integer] = ACTIONS(1927),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1927),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1927),
    [sym__string_start] = ACTIONS(157),
  },
  [537] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [538] = {
    [sym_attribute] = STATE(1045),
    [sym_dictionary_comprehension] = STATE(1045),
    [sym_generator_expression] = STATE(1045),
    [sym_binary_operator] = STATE(1045),
    [sym_unary_operator] = STATE(1045),
    [sym_call] = STATE(1045),
    [sym_list_comprehension] = STATE(1045),
    [sym_dictionary] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1045),
    [sym_tuple] = STATE(1045),
    [sym_concatenated_string] = STATE(1045),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1045),
    [sym_list] = STATE(1045),
    [sym_set] = STATE(1045),
    [sym_set_comprehension] = STATE(1045),
    [sym__primary_expression] = STATE(1045),
    [sym_integer] = ACTIONS(1931),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(1935),
    [sym_none] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1931),
    [sym__string_start] = ACTIONS(157),
  },
  [539] = {
    [sym_attribute] = STATE(1046),
    [sym_dictionary_comprehension] = STATE(1046),
    [sym_generator_expression] = STATE(1046),
    [sym_binary_operator] = STATE(1046),
    [sym_unary_operator] = STATE(1046),
    [sym_call] = STATE(1046),
    [sym_list_comprehension] = STATE(1046),
    [sym_dictionary] = STATE(1046),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_tuple] = STATE(1046),
    [sym_concatenated_string] = STATE(1046),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1046),
    [sym_list] = STATE(1046),
    [sym_set] = STATE(1046),
    [sym_set_comprehension] = STATE(1046),
    [sym__primary_expression] = STATE(1046),
    [sym_integer] = ACTIONS(1937),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1937),
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1937),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1937),
    [sym__string_start] = ACTIONS(157),
  },
  [540] = {
    [aux_sym_variables_repeat1] = STATE(1048),
    [anon_sym_in] = ACTIONS(1941),
    [anon_sym_COMMA] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_integer] = ACTIONS(1945),
    [sym_true] = ACTIONS(1945),
    [sym__string_start] = ACTIONS(1947),
    [anon_sym_nonlocal] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1945),
    [anon_sym_finally] = ACTIONS(1945),
    [anon_sym_assert] = ACTIONS(1945),
    [anon_sym_yield] = ACTIONS(1945),
    [anon_sym_return] = ACTIONS(1945),
    [anon_sym_from] = ACTIONS(1945),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [sym_none] = ACTIONS(1945),
    [anon_sym_with] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1945),
    [anon_sym_pass] = ACTIONS(1945),
    [sym_float] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_elif] = ACTIONS(1945),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_lambda] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_print] = ACTIONS(1945),
    [anon_sym_del] = ACTIONS(1945),
    [sym_ellipsis] = ACTIONS(1947),
    [anon_sym_import] = ACTIONS(1945),
    [anon_sym_while] = ACTIONS(1945),
    [anon_sym_def] = ACTIONS(1945),
    [anon_sym_await] = ACTIONS(1945),
    [anon_sym_break] = ACTIONS(1945),
    [sym_identifier] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1945),
    [anon_sym_except] = ACTIONS(1945),
    [anon_sym_global] = ACTIONS(1945),
    [anon_sym_not] = ACTIONS(1945),
    [anon_sym_exec] = ACTIONS(1945),
    [ts_builtin_sym_end] = ACTIONS(1947),
    [anon_sym_raise] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_for] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_continue] = ACTIONS(1945),
    [anon_sym_async] = ACTIONS(1945),
  },
  [542] = {
    [sym__semicolon] = ACTIONS(1949),
    [sym__newline] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(1951),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [544] = {
    [aux_sym__simple_statements_repeat1] = STATE(544),
    [sym__semicolon] = ACTIONS(1953),
    [sym__newline] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_attribute] = STATE(229),
    [sym_dictionary_comprehension] = STATE(229),
    [sym_generator_expression] = STATE(229),
    [sym_binary_operator] = STATE(229),
    [sym_unary_operator] = STATE(229),
    [sym_call] = STATE(229),
    [sym_list_comprehension] = STATE(229),
    [sym_dictionary] = STATE(229),
    [sym_parenthesized_expression] = STATE(229),
    [sym_tuple] = STATE(229),
    [sym_concatenated_string] = STATE(229),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(229),
    [sym_list] = STATE(229),
    [sym_set] = STATE(229),
    [sym_set_comprehension] = STATE(229),
    [sym__primary_expression] = STATE(229),
    [sym_integer] = ACTIONS(405),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(405),
    [sym_identifier] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(405),
    [sym__string_start] = ACTIONS(115),
  },
  [546] = {
    [sym_lambda] = STATE(133),
    [sym_conditional_expression] = STATE(133),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(133),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(133),
    [sym_boolean_operator] = STATE(133),
    [sym_await] = STATE(133),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(133),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(133),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [547] = {
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1958),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_lambda] = STATE(1052),
    [sym_conditional_expression] = STATE(1052),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1052),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1052),
    [sym_boolean_operator] = STATE(1052),
    [sym_await] = STATE(1052),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1052),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1052),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [549] = {
    [sym_lambda_parameters] = STATE(1054),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym__semicolon] = ACTIONS(1962),
    [sym__newline] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_string] = STATE(1056),
    [aux_sym_concatenated_string_repeat1] = STATE(1056),
    [sym__newline] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [sym__semicolon] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [552] = {
    [sym__semicolon] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1966),
    [sym__newline] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_and] = ACTIONS(1970),
    [anon_sym_if] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_argument_list] = STATE(269),
    [aux_sym_comparison_operator_repeat1] = STATE(1070),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(1976),
    [anon_sym_is] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_LT_EQ] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(1982),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(1982),
    [anon_sym_BANG_EQ] = ACTIONS(1982),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_EQ_EQ] = ACTIONS(1982),
    [sym__semicolon] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(1992),
    [anon_sym_GT_EQ] = ACTIONS(1982),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__newline] = ACTIONS(1998),
    [anon_sym_COLON] = ACTIONS(307),
    [anon_sym_CARET_EQ] = ACTIONS(309),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(309),
    [anon_sym_STAR_EQ] = ACTIONS(309),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(309),
    [anon_sym_DASH_EQ] = ACTIONS(309),
    [sym__semicolon] = ACTIONS(1998),
    [anon_sym_AMP_EQ] = ACTIONS(309),
    [anon_sym_AT_EQ] = ACTIONS(309),
    [anon_sym_LT_LT_EQ] = ACTIONS(309),
    [anon_sym_PERCENT_EQ] = ACTIONS(309),
    [anon_sym_PLUS_EQ] = ACTIONS(309),
    [anon_sym_PIPE_EQ] = ACTIONS(309),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(309),
    [anon_sym_GT_GT_EQ] = ACTIONS(309),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__semicolon] = ACTIONS(2000),
    [sym__newline] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [aux_sym_assert_statement_repeat1] = STATE(1072),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_CARET_EQ] = ACTIONS(363),
    [sym__newline] = ACTIONS(363),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(363),
    [anon_sym_STAR_EQ] = ACTIONS(363),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_DASH_EQ] = ACTIONS(363),
    [sym__semicolon] = ACTIONS(363),
    [anon_sym_AMP_EQ] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AT_EQ] = ACTIONS(363),
    [anon_sym_LT_LT_EQ] = ACTIONS(363),
    [anon_sym_PERCENT_EQ] = ACTIONS(363),
    [anon_sym_PLUS_EQ] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(363),
    [anon_sym_EQ] = ACTIONS(363),
    [anon_sym_SLASH_EQ] = ACTIONS(363),
    [anon_sym_GT_GT_EQ] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(2002),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym__semicolon] = ACTIONS(2004),
    [sym__newline] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [559] = {
    [sym_lambda] = STATE(1074),
    [sym_conditional_expression] = STATE(1074),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1074),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1074),
    [sym_boolean_operator] = STATE(1074),
    [sym_await] = STATE(1074),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1074),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1074),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(2006),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [560] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [561] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_lambda] = STATE(1076),
    [sym_conditional_expression] = STATE(1076),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1076),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1076),
    [sym_boolean_operator] = STATE(1076),
    [sym_await] = STATE(1076),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1076),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1076),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [563] = {
    [sym_lambda_parameters] = STATE(1078),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym_string] = STATE(1079),
    [aux_sym_concatenated_string_repeat1] = STATE(1079),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [565] = {
    [aux_sym_subscript_repeat1] = STATE(1082),
    [anon_sym_RBRACK] = ACTIONS(2014),
    [anon_sym_COMMA] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [aux_sym_subscript_repeat1] = STATE(1082),
    [anon_sym_COLON] = ACTIONS(2018),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(2016),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2014),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1097),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2028),
    [anon_sym_is] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2034),
    [anon_sym_BANG_EQ] = ACTIONS(2034),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_EQ_EQ] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2044),
    [anon_sym_GT_EQ] = ACTIONS(2034),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2028),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2052),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_DASH_EQ] = ACTIONS(2054),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_AMP_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT_EQ] = ACTIONS(2054),
    [anon_sym_PERCENT_EQ] = ACTIONS(2054),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_CARET_EQ] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2054),
    [anon_sym_STAR_EQ] = ACTIONS(2054),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_PLUS_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_PIPE_EQ] = ACTIONS(2054),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_SLASH_EQ] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_GT_GT_EQ] = ACTIONS(2054),
    [anon_sym_DOT] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [sym_attribute] = STATE(1098),
    [sym_dictionary_comprehension] = STATE(1098),
    [sym_generator_expression] = STATE(1098),
    [sym_binary_operator] = STATE(1098),
    [sym_unary_operator] = STATE(1098),
    [sym_call] = STATE(1098),
    [sym_list_comprehension] = STATE(1098),
    [sym_dictionary] = STATE(1098),
    [sym_parenthesized_expression] = STATE(1098),
    [sym_tuple] = STATE(1098),
    [sym_concatenated_string] = STATE(1098),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(1098),
    [sym_list] = STATE(1098),
    [sym_set] = STATE(1098),
    [sym_set_comprehension] = STATE(1098),
    [sym__primary_expression] = STATE(1098),
    [sym_integer] = ACTIONS(2058),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(2060),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(2058),
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(2058),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2058),
    [sym__string_start] = ACTIONS(73),
  },
  [571] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [anon_sym_or] = ACTIONS(207),
    [anon_sym_SLASH_SLASH] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(209),
    [anon_sym_is] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_LT_EQ] = ACTIONS(207),
    [anon_sym_STAR] = ACTIONS(209),
    [anon_sym_LPAREN] = ACTIONS(207),
    [anon_sym_in] = ACTIONS(207),
    [anon_sym_if] = ACTIONS(207),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_STAR_STAR] = ACTIONS(207),
    [anon_sym_SLASH] = ACTIONS(209),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_LT_GT] = ACTIONS(207),
    [anon_sym_BANG_EQ] = ACTIONS(207),
    [anon_sym_CARET] = ACTIONS(207),
    [anon_sym_EQ_EQ] = ACTIONS(207),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_and] = ACTIONS(207),
    [anon_sym_PERCENT] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(207),
    [anon_sym_GT_EQ] = ACTIONS(207),
    [anon_sym_LT_LT] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_GT_GT] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_async] = ACTIONS(207),
  },
  [574] = {
    [anon_sym_COLON] = ACTIONS(2064),
    [anon_sym_or] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(2066),
    [sym__newline] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_DASH_EQ] = ACTIONS(2064),
    [anon_sym_is] = ACTIONS(2064),
    [anon_sym_AMP] = ACTIONS(2066),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2066),
    [anon_sym_AMP_EQ] = ACTIONS(2064),
    [anon_sym_AT_EQ] = ACTIONS(2064),
    [anon_sym_LT_LT_EQ] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(2064),
    [anon_sym_PERCENT_EQ] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2066),
    [anon_sym_STAR_STAR] = ACTIONS(2066),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_EQ] = ACTIONS(2066),
    [anon_sym_AT] = ACTIONS(2066),
    [anon_sym_LT_GT] = ACTIONS(2064),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2066),
    [anon_sym_EQ_EQ] = ACTIONS(2064),
    [anon_sym_CARET_EQ] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2064),
    [anon_sym_STAR_EQ] = ACTIONS(2064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2064),
    [sym__semicolon] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_and] = ACTIONS(2064),
    [anon_sym_PERCENT] = ACTIONS(2066),
    [anon_sym_not] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_PLUS_EQ] = ACTIONS(2064),
    [anon_sym_LT_LT] = ACTIONS(2066),
    [anon_sym_PIPE] = ACTIONS(2066),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT_GT] = ACTIONS(2066),
    [anon_sym_PIPE_EQ] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_DOT] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [anon_sym_SLASH_EQ] = ACTIONS(2064),
    [anon_sym_GT_GT_EQ] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(515),
    [anon_sym_for] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(221),
  },
  [576] = {
    [sym_lambda] = STATE(1102),
    [sym_conditional_expression] = STATE(1102),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1102),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1102),
    [sym_boolean_operator] = STATE(1102),
    [sym_await] = STATE(1102),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1102),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1102),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(693),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [577] = {
    [anon_sym_RPAREN] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [aux_sym_argument_list_repeat1] = STATE(1105),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [anon_sym_COMMA] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_argument_list_repeat1] = STATE(1105),
    [sym__comprehension_body] = STATE(330),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [anon_sym_COMMA] = ACTIONS(2074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [580] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2052),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_STAR_STAR] = ACTIONS(2052),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2052),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(2078),
    [sym__newline] = ACTIONS(2076),
    [anon_sym_GT] = ACTIONS(2078),
    [anon_sym_DASH_EQ] = ACTIONS(2076),
    [anon_sym_is] = ACTIONS(2076),
    [anon_sym_AMP] = ACTIONS(2078),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_AMP_EQ] = ACTIONS(2076),
    [anon_sym_AT_EQ] = ACTIONS(2076),
    [anon_sym_LT_LT_EQ] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_PERCENT_EQ] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_STAR_STAR] = ACTIONS(2078),
    [anon_sym_SLASH] = ACTIONS(2078),
    [anon_sym_EQ] = ACTIONS(2078),
    [anon_sym_AT] = ACTIONS(2078),
    [anon_sym_LT_GT] = ACTIONS(2076),
    [anon_sym_BANG_EQ] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2078),
    [anon_sym_EQ_EQ] = ACTIONS(2076),
    [anon_sym_CARET_EQ] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2076),
    [anon_sym_STAR_EQ] = ACTIONS(2076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2076),
    [sym__semicolon] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_and] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2078),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2076),
    [anon_sym_PLUS_EQ] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2078),
    [anon_sym_PIPE] = ACTIONS(2078),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_GT_GT] = ACTIONS(2078),
    [anon_sym_PIPE_EQ] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_DOT] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [anon_sym_SLASH_EQ] = ACTIONS(2076),
    [anon_sym_GT_GT_EQ] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2050),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2052),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(2050),
    [anon_sym_AT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT_EQ] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_PERCENT_EQ] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2052),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_CARET_EQ] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_STAR_EQ] = ACTIONS(2050),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_PLUS_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_PIPE_EQ] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_SLASH_EQ] = ACTIONS(2050),
    [anon_sym_GT_GT_EQ] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [aux_sym_comparison_operator_repeat1] = STATE(585),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2080),
    [anon_sym_DASH_EQ] = ACTIONS(2054),
    [anon_sym_is] = ACTIONS(2083),
    [anon_sym_LT_EQ] = ACTIONS(2086),
    [anon_sym_AMP_EQ] = ACTIONS(2054),
    [anon_sym_AT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT_EQ] = ACTIONS(2054),
    [anon_sym_PERCENT_EQ] = ACTIONS(2054),
    [anon_sym_in] = ACTIONS(2086),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2086),
    [anon_sym_EQ_EQ] = ACTIONS(2086),
    [anon_sym_CARET_EQ] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2054),
    [anon_sym_STAR_EQ] = ACTIONS(2054),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2089),
    [anon_sym_GT_EQ] = ACTIONS(2086),
    [anon_sym_PLUS_EQ] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2080),
    [anon_sym_PIPE_EQ] = ACTIONS(2054),
    [anon_sym_SLASH_EQ] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_GT_GT_EQ] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [sym_string] = STATE(586),
    [aux_sym_concatenated_string_repeat1] = STATE(586),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2094),
    [sym__newline] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_DASH_EQ] = ACTIONS(2092),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2094),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_AMP_EQ] = ACTIONS(2092),
    [anon_sym_AT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT_EQ] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_PERCENT_EQ] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2094),
    [anon_sym_STAR_STAR] = ACTIONS(2094),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2094),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2094),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_CARET_EQ] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2092),
    [anon_sym_STAR_EQ] = ACTIONS(2092),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2092),
    [sym__semicolon] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2094),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_PLUS_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2094),
    [anon_sym_PIPE] = ACTIONS(2094),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2094),
    [anon_sym_PIPE_EQ] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [anon_sym_SLASH_EQ] = ACTIONS(2092),
    [anon_sym_GT_GT_EQ] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2096),
  },
  [587] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_CARET_EQ] = ACTIONS(2099),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2099),
    [anon_sym_STAR_EQ] = ACTIONS(2099),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2099),
    [sym__newline] = ACTIONS(2099),
    [anon_sym_DASH_EQ] = ACTIONS(2099),
    [sym__semicolon] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(2099),
    [anon_sym_AT_EQ] = ACTIONS(2099),
    [anon_sym_LT_LT_EQ] = ACTIONS(2099),
    [anon_sym_PERCENT_EQ] = ACTIONS(2099),
    [anon_sym_PLUS_EQ] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_PIPE_EQ] = ACTIONS(2099),
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_SLASH_EQ] = ACTIONS(2099),
    [anon_sym_GT_GT_EQ] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [anon_sym_COLON] = ACTIONS(2101),
    [anon_sym_CARET_EQ] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2101),
    [anon_sym_STAR_EQ] = ACTIONS(2101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2101),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_DASH_EQ] = ACTIONS(2101),
    [sym__semicolon] = ACTIONS(2101),
    [anon_sym_AMP_EQ] = ACTIONS(2101),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AT_EQ] = ACTIONS(2101),
    [anon_sym_LT_LT_EQ] = ACTIONS(2101),
    [anon_sym_PERCENT_EQ] = ACTIONS(2101),
    [anon_sym_PLUS_EQ] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(2101),
    [anon_sym_EQ] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_SLASH_EQ] = ACTIONS(2101),
    [anon_sym_GT_GT_EQ] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [590] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [591] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_else] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(2103),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [sym_lambda] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1107),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1107),
    [sym_boolean_operator] = STATE(1107),
    [sym_await] = STATE(1107),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1107),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1107),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [593] = {
    [sym_lambda_parameters] = STATE(1109),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [sym_string] = STATE(1110),
    [aux_sym_concatenated_string_repeat1] = STATE(1110),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_else] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [595] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1125),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2117),
    [anon_sym_is] = ACTIONS(2119),
    [anon_sym_AMP] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2123),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2123),
    [anon_sym_BANG_EQ] = ACTIONS(2123),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2133),
    [anon_sym_GT_EQ] = ACTIONS(2123),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [anon_sym_COLON] = ACTIONS(2139),
    [anon_sym_or] = ACTIONS(2139),
    [anon_sym_CARET_EQ] = ACTIONS(2139),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2139),
    [anon_sym_STAR_EQ] = ACTIONS(2139),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2139),
    [sym__newline] = ACTIONS(2139),
    [anon_sym_DASH_EQ] = ACTIONS(2139),
    [sym__semicolon] = ACTIONS(2139),
    [anon_sym_and] = ACTIONS(2139),
    [anon_sym_AMP_EQ] = ACTIONS(2139),
    [anon_sym_AT_EQ] = ACTIONS(2139),
    [anon_sym_LT_LT_EQ] = ACTIONS(2139),
    [anon_sym_PERCENT_EQ] = ACTIONS(2139),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_PLUS_EQ] = ACTIONS(2139),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_PIPE_EQ] = ACTIONS(2139),
    [anon_sym_EQ] = ACTIONS(2139),
    [anon_sym_COMMA] = ACTIONS(2139),
    [anon_sym_SLASH_EQ] = ACTIONS(2139),
    [anon_sym_GT_GT_EQ] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [sym_lambda] = STATE(588),
    [sym_conditional_expression] = STATE(588),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(588),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(588),
    [sym_boolean_operator] = STATE(588),
    [sym_await] = STATE(588),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(588),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(588),
    [sym__newline] = ACTIONS(2141),
    [anon_sym_COLON] = ACTIONS(2143),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(2143),
    [anon_sym_AMP_EQ] = ACTIONS(2143),
    [anon_sym_AT_EQ] = ACTIONS(2143),
    [anon_sym_LT_LT_EQ] = ACTIONS(2143),
    [anon_sym_PERCENT_EQ] = ACTIONS(2143),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_EQ] = ACTIONS(2143),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(2143),
    [anon_sym_print] = ACTIONS(191),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2143),
    [anon_sym_STAR_EQ] = ACTIONS(2143),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2143),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(2141),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [anon_sym_PLUS_EQ] = ACTIONS(2143),
    [anon_sym_PIPE_EQ] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(2143),
    [anon_sym_GT_GT_EQ] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [599] = {
    [aux_sym_assert_statement_repeat1] = STATE(599),
    [anon_sym_COLON] = ACTIONS(2101),
    [anon_sym_CARET_EQ] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2101),
    [anon_sym_STAR_EQ] = ACTIONS(2101),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2101),
    [anon_sym_DASH_EQ] = ACTIONS(2101),
    [sym__semicolon] = ACTIONS(2101),
    [anon_sym_AMP_EQ] = ACTIONS(2101),
    [anon_sym_AT_EQ] = ACTIONS(2101),
    [anon_sym_LT_LT_EQ] = ACTIONS(2101),
    [anon_sym_PERCENT_EQ] = ACTIONS(2101),
    [anon_sym_PLUS_EQ] = ACTIONS(2101),
    [anon_sym_PIPE_EQ] = ACTIONS(2101),
    [anon_sym_EQ] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_SLASH_EQ] = ACTIONS(2101),
    [anon_sym_GT_GT_EQ] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [sym_lambda] = STATE(1039),
    [sym__primary_expression] = STATE(410),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1039),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1039),
    [sym_boolean_operator] = STATE(1039),
    [sym_await] = STATE(1039),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_expression_list] = STATE(1127),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_comparison_operator] = STATE(1039),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [601] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1129),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2148),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [602] = {
    [aux_sym_with_statement_repeat1] = STATE(783),
    [anon_sym_COLON] = ACTIONS(2150),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [anon_sym_COLON] = ACTIONS(2152),
    [anon_sym_DASH_GT] = ACTIONS(2154),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [sym_lambda] = STATE(1133),
    [sym_conditional_expression] = STATE(1133),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(1133),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(1133),
    [sym_boolean_operator] = STATE(1133),
    [sym_await] = STATE(1133),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(1133),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(1133),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [605] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(741),
    [sym_type_conversion] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [sym_lambda] = STATE(1134),
    [sym_conditional_expression] = STATE(1134),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(1134),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(1134),
    [sym_boolean_operator] = STATE(1134),
    [sym_await] = STATE(1134),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(1134),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(1134),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [607] = {
    [anon_sym_COLON] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [sym_string] = STATE(1136),
    [aux_sym_concatenated_string_repeat1] = STATE(1136),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [sym_type_conversion] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [609] = {
    [aux_sym_format_specifier_repeat1] = STATE(1138),
    [sym_format_expression] = STATE(1138),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(2158),
    [aux_sym_format_specifier_token1] = ACTIONS(2160),
    [anon_sym_LBRACE] = ACTIONS(2162),
  },
  [610] = {
    [sym_lambda] = STATE(1139),
    [sym_conditional_expression] = STATE(1139),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(1139),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(1139),
    [sym_boolean_operator] = STATE(1139),
    [sym_await] = STATE(1139),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(1139),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(1139),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [611] = {
    [sym_lambda] = STATE(1140),
    [sym_conditional_expression] = STATE(1140),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1140),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1140),
    [sym_boolean_operator] = STATE(1140),
    [sym_await] = STATE(1140),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1140),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1140),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [612] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [613] = {
    [sym_escape_sequence] = ACTIONS(2164),
    [sym__string_end] = ACTIONS(2164),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(2164),
    [anon_sym_LBRACE] = ACTIONS(2166),
  },
  [614] = {
    [sym_format_specifier] = STATE(1142),
    [anon_sym_COLON] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [anon_sym_RBRACE] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [sym_attribute] = STATE(1143),
    [sym_dictionary_comprehension] = STATE(1143),
    [sym_generator_expression] = STATE(1143),
    [sym_binary_operator] = STATE(1143),
    [sym_unary_operator] = STATE(1143),
    [sym_call] = STATE(1143),
    [sym_list_comprehension] = STATE(1143),
    [sym_dictionary] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1143),
    [sym_tuple] = STATE(1143),
    [sym_concatenated_string] = STATE(1143),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1143),
    [sym_list] = STATE(1143),
    [sym_set] = STATE(1143),
    [sym_set_comprehension] = STATE(1143),
    [sym__primary_expression] = STATE(1143),
    [sym_integer] = ACTIONS(2170),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2170),
    [sym_identifier] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2170),
    [sym__string_start] = ACTIONS(157),
  },
  [617] = {
    [sym_attribute] = STATE(1144),
    [sym_dictionary_comprehension] = STATE(1144),
    [sym_generator_expression] = STATE(1144),
    [sym_binary_operator] = STATE(1144),
    [sym_unary_operator] = STATE(1144),
    [sym_call] = STATE(1144),
    [sym_list_comprehension] = STATE(1144),
    [sym_dictionary] = STATE(1144),
    [sym_parenthesized_expression] = STATE(1144),
    [sym_tuple] = STATE(1144),
    [sym_concatenated_string] = STATE(1144),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1144),
    [sym_list] = STATE(1144),
    [sym_set] = STATE(1144),
    [sym_set_comprehension] = STATE(1144),
    [sym__primary_expression] = STATE(1144),
    [sym_integer] = ACTIONS(2174),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2174),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2174),
    [sym__string_start] = ACTIONS(157),
  },
  [618] = {
    [sym_attribute] = STATE(1144),
    [sym_dictionary_comprehension] = STATE(1144),
    [sym_generator_expression] = STATE(1144),
    [sym_binary_operator] = STATE(1144),
    [sym_unary_operator] = STATE(1144),
    [sym_call] = STATE(1144),
    [sym_list_comprehension] = STATE(1144),
    [sym_dictionary] = STATE(1144),
    [sym_parenthesized_expression] = STATE(1144),
    [sym_tuple] = STATE(1144),
    [sym_concatenated_string] = STATE(1144),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1144),
    [sym_list] = STATE(1144),
    [sym_set] = STATE(1144),
    [sym_set_comprehension] = STATE(1144),
    [sym__primary_expression] = STATE(1144),
    [sym_integer] = ACTIONS(2174),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2174),
    [sym_identifier] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(2178),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2174),
    [sym__string_start] = ACTIONS(157),
  },
  [619] = {
    [sym_attribute] = STATE(1146),
    [sym_dictionary_comprehension] = STATE(1146),
    [sym_generator_expression] = STATE(1146),
    [sym_binary_operator] = STATE(1146),
    [sym_unary_operator] = STATE(1146),
    [sym_call] = STATE(1146),
    [sym_list_comprehension] = STATE(1146),
    [sym_dictionary] = STATE(1146),
    [sym_parenthesized_expression] = STATE(1146),
    [sym_tuple] = STATE(1146),
    [sym_concatenated_string] = STATE(1146),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1146),
    [sym_list] = STATE(1146),
    [sym_set] = STATE(1146),
    [sym_set_comprehension] = STATE(1146),
    [sym__primary_expression] = STATE(1146),
    [sym_integer] = ACTIONS(2180),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2180),
    [sym__string_start] = ACTIONS(157),
  },
  [620] = {
    [sym_attribute] = STATE(1147),
    [sym_dictionary_comprehension] = STATE(1147),
    [sym_generator_expression] = STATE(1147),
    [sym_binary_operator] = STATE(1147),
    [sym_unary_operator] = STATE(1147),
    [sym_call] = STATE(1147),
    [sym_list_comprehension] = STATE(1147),
    [sym_dictionary] = STATE(1147),
    [sym_parenthesized_expression] = STATE(1147),
    [sym_tuple] = STATE(1147),
    [sym_concatenated_string] = STATE(1147),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1147),
    [sym_list] = STATE(1147),
    [sym_set] = STATE(1147),
    [sym_set_comprehension] = STATE(1147),
    [sym__primary_expression] = STATE(1147),
    [sym_integer] = ACTIONS(2184),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2184),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2184),
    [sym__string_start] = ACTIONS(157),
  },
  [621] = {
    [anon_sym_in] = ACTIONS(2188),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_attribute] = STATE(1148),
    [sym_dictionary_comprehension] = STATE(1148),
    [sym_generator_expression] = STATE(1148),
    [sym_binary_operator] = STATE(1148),
    [sym_unary_operator] = STATE(1148),
    [sym_call] = STATE(1148),
    [sym_list_comprehension] = STATE(1148),
    [sym_dictionary] = STATE(1148),
    [sym_parenthesized_expression] = STATE(1148),
    [sym_tuple] = STATE(1148),
    [sym_concatenated_string] = STATE(1148),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1148),
    [sym_list] = STATE(1148),
    [sym_set] = STATE(1148),
    [sym_set_comprehension] = STATE(1148),
    [sym__primary_expression] = STATE(1148),
    [sym_integer] = ACTIONS(2190),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2190),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2190),
    [sym__string_start] = ACTIONS(157),
  },
  [623] = {
    [sym_attribute] = STATE(1149),
    [sym_dictionary_comprehension] = STATE(1149),
    [sym_generator_expression] = STATE(1149),
    [sym_binary_operator] = STATE(1149),
    [sym_unary_operator] = STATE(1149),
    [sym_call] = STATE(1149),
    [sym_list_comprehension] = STATE(1149),
    [sym_dictionary] = STATE(1149),
    [sym_parenthesized_expression] = STATE(1149),
    [sym_tuple] = STATE(1149),
    [sym_concatenated_string] = STATE(1149),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1149),
    [sym_list] = STATE(1149),
    [sym_set] = STATE(1149),
    [sym_set_comprehension] = STATE(1149),
    [sym__primary_expression] = STATE(1149),
    [sym_integer] = ACTIONS(2194),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2194),
    [sym__string_start] = ACTIONS(157),
  },
  [624] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [625] = {
    [sym_attribute] = STATE(1150),
    [sym_dictionary_comprehension] = STATE(1150),
    [sym_generator_expression] = STATE(1150),
    [sym_binary_operator] = STATE(1150),
    [sym_unary_operator] = STATE(1150),
    [sym_call] = STATE(1150),
    [sym_list_comprehension] = STATE(1150),
    [sym_dictionary] = STATE(1150),
    [sym_parenthesized_expression] = STATE(1150),
    [sym_tuple] = STATE(1150),
    [sym_concatenated_string] = STATE(1150),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1150),
    [sym_list] = STATE(1150),
    [sym_set] = STATE(1150),
    [sym_set_comprehension] = STATE(1150),
    [sym__primary_expression] = STATE(1150),
    [sym_integer] = ACTIONS(2198),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2198),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2198),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2198),
    [sym__string_start] = ACTIONS(157),
  },
  [626] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1151),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_is] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1214),
    [anon_sym_in] = ACTIONS(1204),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [sym_type_conversion] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_LT_GT] = ACTIONS(1204),
    [anon_sym_BANG_EQ] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1204),
  },
  [627] = {
    [sym__semicolon] = ACTIONS(2202),
    [sym__newline] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [aux_sym_global_statement_repeat1] = STATE(628),
    [sym__semicolon] = ACTIONS(2202),
    [sym__newline] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2204),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [anon_sym_COLON] = ACTIONS(2064),
    [anon_sym_or] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_is] = ACTIONS(2064),
    [anon_sym_AMP] = ACTIONS(2064),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2066),
    [anon_sym_RBRACK] = ACTIONS(2064),
    [anon_sym_as] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [sym_type_conversion] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_STAR_STAR] = ACTIONS(2064),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_EQ] = ACTIONS(2066),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_LT_GT] = ACTIONS(2064),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2064),
    [anon_sym_EQ_EQ] = ACTIONS(2064),
    [anon_sym_RPAREN] = ACTIONS(2064),
    [anon_sym_else] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_and] = ACTIONS(2064),
    [anon_sym_PERCENT] = ACTIONS(2064),
    [anon_sym_not] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_LT_LT] = ACTIONS(2064),
    [anon_sym_PIPE] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT_GT] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_DOT] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2064),
    [anon_sym_async] = ACTIONS(2064),
  },
  [630] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [anon_sym_RPAREN] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [aux_sym_argument_list_repeat1] = STATE(1154),
    [anon_sym_RPAREN] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [aux_sym_argument_list_repeat1] = STATE(1154),
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1156),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [635] = {
    [sym_integer] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym__string_start] = ACTIONS(2215),
    [anon_sym_nonlocal] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_from] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [sym_none] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_pass] = ACTIONS(2213),
    [sym_float] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_lambda] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_print] = ACTIONS(2213),
    [anon_sym_del] = ACTIONS(2213),
    [sym_ellipsis] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_def] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_global] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_exec] = ACTIONS(2213),
    [ts_builtin_sym_end] = ACTIONS(2215),
    [anon_sym_raise] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
  },
  [636] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1159),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2217),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [637] = {
    [sym__newline] = ACTIONS(1220),
    [anon_sym_or] = ACTIONS(1220),
    [anon_sym_SLASH_SLASH] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_is] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_from] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_in] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_LT_GT] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [sym__semicolon] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_and] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_not] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_DOT] = ACTIONS(1220),
    [anon_sym_COMMA] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1220),
  },
  [638] = {
    [sym__semicolon] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym__newline] = ACTIONS(1423),
    [anon_sym_or] = ACTIONS(1423),
    [anon_sym_SLASH_SLASH] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1425),
    [anon_sym_is] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_from] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_LT_GT] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [sym__semicolon] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1423),
    [anon_sym_not] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
  },
  [640] = {
    [sym__newline] = ACTIONS(1429),
    [anon_sym_or] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_is] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_from] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1431),
    [anon_sym_AT] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [sym__semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_and] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_not] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [642] = {
    [aux_sym_tuple_repeat1] = STATE(753),
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_COMMA] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [anon_sym_RPAREN] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym__newline] = ACTIONS(1809),
    [anon_sym_or] = ACTIONS(1809),
    [anon_sym_SLASH_SLASH] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1811),
    [anon_sym_is] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1811),
    [anon_sym_from] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_STAR_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [sym__semicolon] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_and] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_not] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [anon_sym_DOT] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [646] = {
    [aux_sym_dictionary_repeat1] = STATE(982),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [anon_sym_RBRACE] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym__newline] = ACTIONS(1827),
    [anon_sym_or] = ACTIONS(1827),
    [anon_sym_SLASH_SLASH] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_is] = ACTIONS(1827),
    [anon_sym_AMP] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_from] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(1827),
    [anon_sym_if] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1827),
    [anon_sym_STAR_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1827),
    [anon_sym_LT_GT] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [sym__semicolon] = ACTIONS(1827),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_and] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1827),
    [anon_sym_not] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_PIPE] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [650] = {
    [aux_sym_list_repeat1] = STATE(992),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [anon_sym_COMMA] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [anon_sym_RBRACE] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__newline] = ACTIONS(1727),
    [anon_sym_or] = ACTIONS(1727),
    [anon_sym_SLASH_SLASH] = ACTIONS(1727),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym_is] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1727),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_from] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_in] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_EQ] = ACTIONS(1729),
    [anon_sym_AT] = ACTIONS(1727),
    [anon_sym_LT_GT] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1727),
    [anon_sym_CARET] = ACTIONS(1727),
    [anon_sym_EQ_EQ] = ACTIONS(1727),
    [sym__semicolon] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_and] = ACTIONS(1727),
    [anon_sym_PERCENT] = ACTIONS(1727),
    [anon_sym_not] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_PIPE] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT_GT] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(2237),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [654] = {
    [aux_sym_list_repeat1] = STATE(936),
    [anon_sym_RBRACK] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [anon_sym_RBRACK] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym__semicolon] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_lambda] = STATE(1172),
    [sym_conditional_expression] = STATE(1172),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(1172),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(1172),
    [sym_boolean_operator] = STATE(1172),
    [sym_await] = STATE(1172),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(1172),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(1172),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [658] = {
    [sym_string] = STATE(658),
    [aux_sym_concatenated_string_repeat1] = STATE(658),
    [sym__newline] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [sym__semicolon] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2243),
  },
  [659] = {
    [sym__semicolon] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym__semicolon] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [aux_sym_assert_statement_repeat1] = STATE(662),
    [sym__semicolon] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [aux_sym_subscript_repeat1] = STATE(1176),
    [anon_sym_RBRACK] = ACTIONS(2251),
    [anon_sym_COMMA] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
  },
  [664] = {
    [aux_sym_subscript_repeat1] = STATE(1176),
    [anon_sym_COLON] = ACTIONS(2018),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(445),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [667] = {
    [sym_attribute] = STATE(1177),
    [sym_dictionary_comprehension] = STATE(1177),
    [sym_generator_expression] = STATE(1177),
    [sym_binary_operator] = STATE(1177),
    [sym_unary_operator] = STATE(1177),
    [sym_call] = STATE(1177),
    [sym_list_comprehension] = STATE(1177),
    [sym_dictionary] = STATE(1177),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_tuple] = STATE(1177),
    [sym_concatenated_string] = STATE(1177),
    [sym_string] = STATE(64),
    [sym_subscript] = STATE(1177),
    [sym_list] = STATE(1177),
    [sym_set] = STATE(1177),
    [sym_set_comprehension] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_integer] = ACTIONS(2255),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2255),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2255),
    [sym__string_start] = ACTIONS(115),
  },
  [668] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [670] = {
    [sym__newline] = ACTIONS(2064),
    [anon_sym_or] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_is] = ACTIONS(2064),
    [anon_sym_AMP] = ACTIONS(2064),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2066),
    [anon_sym_from] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_in] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_STAR_STAR] = ACTIONS(2064),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_EQ] = ACTIONS(2066),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_LT_GT] = ACTIONS(2064),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2064),
    [anon_sym_EQ_EQ] = ACTIONS(2064),
    [sym__semicolon] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_and] = ACTIONS(2064),
    [anon_sym_PERCENT] = ACTIONS(2064),
    [anon_sym_not] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_LT_LT] = ACTIONS(2064),
    [anon_sym_PIPE] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT_GT] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_DOT] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [anon_sym_RPAREN] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [aux_sym_argument_list_repeat1] = STATE(1180),
    [anon_sym_RPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_argument_list_repeat1] = STATE(1180),
    [sym__comprehension_body] = STATE(643),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [674] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(445),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [sym__newline] = ACTIONS(2076),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(2076),
    [anon_sym_GT] = ACTIONS(2078),
    [anon_sym_is] = ACTIONS(2076),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_from] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR_STAR] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(2078),
    [anon_sym_EQ] = ACTIONS(2078),
    [anon_sym_AT] = ACTIONS(2076),
    [anon_sym_LT_GT] = ACTIONS(2076),
    [anon_sym_BANG_EQ] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2076),
    [anon_sym_EQ_EQ] = ACTIONS(2076),
    [sym__semicolon] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2076),
    [anon_sym_PIPE] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_GT_GT] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_DOT] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
  },
  [678] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [aux_sym_comparison_operator_repeat1] = STATE(679),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2263),
    [anon_sym_is] = ACTIONS(2266),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_LT_EQ] = ACTIONS(2269),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(2269),
    [anon_sym_GT_EQ] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2269),
    [anon_sym_BANG_EQ] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2269),
  },
  [680] = {
    [sym_lambda] = STATE(1181),
    [sym_conditional_expression] = STATE(1181),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(1181),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(1181),
    [sym_boolean_operator] = STATE(1181),
    [sym_await] = STATE(1181),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(1181),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(1181),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [681] = {
    [sym__semicolon] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(1318),
    [sym__newline] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym_lambda] = STATE(1182),
    [sym_conditional_expression] = STATE(1182),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(1182),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(1182),
    [sym_boolean_operator] = STATE(1182),
    [sym_await] = STATE(1182),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(1182),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(1182),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [683] = {
    [anon_sym_COLON] = ACTIONS(2275),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym_string] = STATE(1184),
    [aux_sym_concatenated_string_repeat1] = STATE(1184),
    [sym__newline] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [sym__semicolon] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [685] = {
    [sym_lambda] = STATE(597),
    [sym_conditional_expression] = STATE(597),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(597),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(597),
    [sym_boolean_operator] = STATE(597),
    [sym_await] = STATE(597),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(597),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(597),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [686] = {
    [sym_lambda] = STATE(1185),
    [sym_conditional_expression] = STATE(1185),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(1185),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(1185),
    [sym_boolean_operator] = STATE(1185),
    [sym_await] = STATE(1185),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(1185),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(1185),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [687] = {
    [sym_lambda] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1186),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1186),
    [sym_boolean_operator] = STATE(1186),
    [sym_await] = STATE(1186),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1186),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1186),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [688] = {
    [sym_attribute] = STATE(1187),
    [sym_dictionary_comprehension] = STATE(1187),
    [sym_generator_expression] = STATE(1187),
    [sym_binary_operator] = STATE(1187),
    [sym_unary_operator] = STATE(1187),
    [sym_call] = STATE(1187),
    [sym_list_comprehension] = STATE(1187),
    [sym_dictionary] = STATE(1187),
    [sym_parenthesized_expression] = STATE(1187),
    [sym_tuple] = STATE(1187),
    [sym_concatenated_string] = STATE(1187),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1187),
    [sym_list] = STATE(1187),
    [sym_set] = STATE(1187),
    [sym_set_comprehension] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_integer] = ACTIONS(2277),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2279),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2277),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2277),
    [sym__string_start] = ACTIONS(115),
  },
  [689] = {
    [sym_attribute] = STATE(1188),
    [sym_dictionary_comprehension] = STATE(1188),
    [sym_generator_expression] = STATE(1188),
    [sym_binary_operator] = STATE(1188),
    [sym_unary_operator] = STATE(1188),
    [sym_call] = STATE(1188),
    [sym_list_comprehension] = STATE(1188),
    [sym_dictionary] = STATE(1188),
    [sym_parenthesized_expression] = STATE(1188),
    [sym_tuple] = STATE(1188),
    [sym_concatenated_string] = STATE(1188),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1188),
    [sym_list] = STATE(1188),
    [sym_set] = STATE(1188),
    [sym_set_comprehension] = STATE(1188),
    [sym__primary_expression] = STATE(1188),
    [sym_integer] = ACTIONS(2281),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2283),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2281),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2281),
    [sym__string_start] = ACTIONS(115),
  },
  [690] = {
    [sym_attribute] = STATE(1188),
    [sym_dictionary_comprehension] = STATE(1188),
    [sym_generator_expression] = STATE(1188),
    [sym_binary_operator] = STATE(1188),
    [sym_unary_operator] = STATE(1188),
    [sym_call] = STATE(1188),
    [sym_list_comprehension] = STATE(1188),
    [sym_dictionary] = STATE(1188),
    [sym_parenthesized_expression] = STATE(1188),
    [sym_tuple] = STATE(1188),
    [sym_concatenated_string] = STATE(1188),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1188),
    [sym_list] = STATE(1188),
    [sym_set] = STATE(1188),
    [sym_set_comprehension] = STATE(1188),
    [sym__primary_expression] = STATE(1188),
    [sym_integer] = ACTIONS(2281),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2283),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2281),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(2285),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2281),
    [sym__string_start] = ACTIONS(115),
  },
  [691] = {
    [sym_attribute] = STATE(1190),
    [sym_dictionary_comprehension] = STATE(1190),
    [sym_generator_expression] = STATE(1190),
    [sym_binary_operator] = STATE(1190),
    [sym_unary_operator] = STATE(1190),
    [sym_call] = STATE(1190),
    [sym_list_comprehension] = STATE(1190),
    [sym_dictionary] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1190),
    [sym_tuple] = STATE(1190),
    [sym_concatenated_string] = STATE(1190),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1190),
    [sym_list] = STATE(1190),
    [sym_set] = STATE(1190),
    [sym_set_comprehension] = STATE(1190),
    [sym__primary_expression] = STATE(1190),
    [sym_integer] = ACTIONS(2287),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2287),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2287),
    [sym__string_start] = ACTIONS(115),
  },
  [692] = {
    [sym_attribute] = STATE(1191),
    [sym_dictionary_comprehension] = STATE(1191),
    [sym_generator_expression] = STATE(1191),
    [sym_binary_operator] = STATE(1191),
    [sym_unary_operator] = STATE(1191),
    [sym_call] = STATE(1191),
    [sym_list_comprehension] = STATE(1191),
    [sym_dictionary] = STATE(1191),
    [sym_parenthesized_expression] = STATE(1191),
    [sym_tuple] = STATE(1191),
    [sym_concatenated_string] = STATE(1191),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1191),
    [sym_list] = STATE(1191),
    [sym_set] = STATE(1191),
    [sym_set_comprehension] = STATE(1191),
    [sym__primary_expression] = STATE(1191),
    [sym_integer] = ACTIONS(2291),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2291),
    [sym_identifier] = ACTIONS(2291),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2291),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2291),
    [sym__string_start] = ACTIONS(115),
  },
  [693] = {
    [anon_sym_in] = ACTIONS(2295),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_attribute] = STATE(1192),
    [sym_dictionary_comprehension] = STATE(1192),
    [sym_generator_expression] = STATE(1192),
    [sym_binary_operator] = STATE(1192),
    [sym_unary_operator] = STATE(1192),
    [sym_call] = STATE(1192),
    [sym_list_comprehension] = STATE(1192),
    [sym_dictionary] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple] = STATE(1192),
    [sym_concatenated_string] = STATE(1192),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1192),
    [sym_list] = STATE(1192),
    [sym_set] = STATE(1192),
    [sym_set_comprehension] = STATE(1192),
    [sym__primary_expression] = STATE(1192),
    [sym_integer] = ACTIONS(2297),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2299),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2297),
    [sym__string_start] = ACTIONS(115),
  },
  [695] = {
    [sym_attribute] = STATE(1193),
    [sym_dictionary_comprehension] = STATE(1193),
    [sym_generator_expression] = STATE(1193),
    [sym_binary_operator] = STATE(1193),
    [sym_unary_operator] = STATE(1193),
    [sym_call] = STATE(1193),
    [sym_list_comprehension] = STATE(1193),
    [sym_dictionary] = STATE(1193),
    [sym_parenthesized_expression] = STATE(1193),
    [sym_tuple] = STATE(1193),
    [sym_concatenated_string] = STATE(1193),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1193),
    [sym_list] = STATE(1193),
    [sym_set] = STATE(1193),
    [sym_set_comprehension] = STATE(1193),
    [sym__primary_expression] = STATE(1193),
    [sym_integer] = ACTIONS(2301),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2303),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2301),
    [sym__string_start] = ACTIONS(115),
  },
  [696] = {
    [sym_attribute] = STATE(676),
    [sym_dictionary_comprehension] = STATE(676),
    [sym_generator_expression] = STATE(676),
    [sym_binary_operator] = STATE(676),
    [sym_unary_operator] = STATE(676),
    [sym_call] = STATE(676),
    [sym_list_comprehension] = STATE(676),
    [sym_dictionary] = STATE(676),
    [sym_parenthesized_expression] = STATE(676),
    [sym_tuple] = STATE(676),
    [sym_concatenated_string] = STATE(676),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(676),
    [sym_list] = STATE(676),
    [sym_set] = STATE(676),
    [sym_set_comprehension] = STATE(676),
    [sym__primary_expression] = STATE(676),
    [sym_integer] = ACTIONS(1302),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1302),
    [sym__string_start] = ACTIONS(115),
  },
  [697] = {
    [sym_attribute] = STATE(1194),
    [sym_dictionary_comprehension] = STATE(1194),
    [sym_generator_expression] = STATE(1194),
    [sym_binary_operator] = STATE(1194),
    [sym_unary_operator] = STATE(1194),
    [sym_call] = STATE(1194),
    [sym_list_comprehension] = STATE(1194),
    [sym_dictionary] = STATE(1194),
    [sym_parenthesized_expression] = STATE(1194),
    [sym_tuple] = STATE(1194),
    [sym_concatenated_string] = STATE(1194),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1194),
    [sym_list] = STATE(1194),
    [sym_set] = STATE(1194),
    [sym_set_comprehension] = STATE(1194),
    [sym__primary_expression] = STATE(1194),
    [sym_integer] = ACTIONS(2305),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2307),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(2305),
    [sym_identifier] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2305),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2307),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2305),
    [sym__string_start] = ACTIONS(115),
  },
  [698] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1195),
    [sym__newline] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1326),
    [sym__semicolon] = ACTIONS(1033),
    [anon_sym_is] = ACTIONS(1328),
    [anon_sym_LT_EQ] = ACTIONS(1332),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1332),
    [anon_sym_GT_EQ] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1326),
    [anon_sym_LT_GT] = ACTIONS(1332),
    [anon_sym_BANG_EQ] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1332),
  },
  [699] = {
    [sym_lambda] = STATE(660),
    [sym_conditional_expression] = STATE(660),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(660),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(660),
    [sym_boolean_operator] = STATE(660),
    [sym_await] = STATE(660),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(660),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(660),
    [sym__newline] = ACTIONS(2143),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [700] = {
    [anon_sym_DOT] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(2309),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_as] = ACTIONS(2309),
  },
  [701] = {
    [aux_sym_dotted_name_repeat1] = STATE(701),
    [anon_sym_import] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [sym__semicolon] = ACTIONS(2314),
    [sym__newline] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [sym__semicolon] = ACTIONS(2316),
    [sym__newline] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_aliased_import] = STATE(1197),
    [sym_dotted_name] = STATE(1199),
    [sym__import_list] = STATE(1198),
    [sym_identifier] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [sym__semicolon] = ACTIONS(2320),
    [sym__newline] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [sym__string_start] = ACTIONS(1220),
    [anon_sym_or] = ACTIONS(1220),
    [anon_sym_SLASH_SLASH] = ACTIONS(1220),
    [anon_sym_COLON] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1222),
    [anon_sym_is] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_in] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [sym_type_conversion] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_LT_GT] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_RPAREN] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_and] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_not] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1222),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_DOT] = ACTIONS(1220),
    [anon_sym_COMMA] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_async] = ACTIONS(1220),
  },
  [707] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(1647),
  },
  [708] = {
    [sym_lambda] = STATE(1200),
    [sym_conditional_expression] = STATE(1200),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1200),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1200),
    [sym_boolean_operator] = STATE(1200),
    [sym_await] = STATE(1200),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1200),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1200),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [709] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [710] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_lambda] = STATE(1201),
    [sym_conditional_expression] = STATE(1201),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1201),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1201),
    [sym_boolean_operator] = STATE(1201),
    [sym_await] = STATE(1201),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1201),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1201),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [712] = {
    [anon_sym_COLON] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_string] = STATE(1203),
    [aux_sym_concatenated_string_repeat1] = STATE(1203),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [714] = {
    [sym_lambda] = STATE(1204),
    [sym_conditional_expression] = STATE(1204),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1204),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1204),
    [sym_boolean_operator] = STATE(1204),
    [sym_await] = STATE(1204),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1204),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1204),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [715] = {
    [sym_lambda] = STATE(1205),
    [sym_conditional_expression] = STATE(1205),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1205),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1205),
    [sym_boolean_operator] = STATE(1205),
    [sym_await] = STATE(1205),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1205),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1205),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(1156),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [716] = {
    [sym_lambda] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1206),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1206),
    [sym_boolean_operator] = STATE(1206),
    [sym_await] = STATE(1206),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1206),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1206),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [717] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [718] = {
    [aux_sym_assert_statement_repeat1] = STATE(1208),
    [anon_sym_RPAREN] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_attribute] = STATE(1209),
    [sym_dictionary_comprehension] = STATE(1209),
    [sym_generator_expression] = STATE(1209),
    [sym_binary_operator] = STATE(1209),
    [sym_unary_operator] = STATE(1209),
    [sym_call] = STATE(1209),
    [sym_list_comprehension] = STATE(1209),
    [sym_dictionary] = STATE(1209),
    [sym_parenthesized_expression] = STATE(1209),
    [sym_tuple] = STATE(1209),
    [sym_concatenated_string] = STATE(1209),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1209),
    [sym_list] = STATE(1209),
    [sym_set] = STATE(1209),
    [sym_set_comprehension] = STATE(1209),
    [sym__primary_expression] = STATE(1209),
    [sym_integer] = ACTIONS(2326),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2326),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2326),
    [sym__string_start] = ACTIONS(157),
  },
  [720] = {
    [sym_attribute] = STATE(1210),
    [sym_dictionary_comprehension] = STATE(1210),
    [sym_generator_expression] = STATE(1210),
    [sym_binary_operator] = STATE(1210),
    [sym_unary_operator] = STATE(1210),
    [sym_call] = STATE(1210),
    [sym_list_comprehension] = STATE(1210),
    [sym_dictionary] = STATE(1210),
    [sym_parenthesized_expression] = STATE(1210),
    [sym_tuple] = STATE(1210),
    [sym_concatenated_string] = STATE(1210),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1210),
    [sym_list] = STATE(1210),
    [sym_set] = STATE(1210),
    [sym_set_comprehension] = STATE(1210),
    [sym__primary_expression] = STATE(1210),
    [sym_integer] = ACTIONS(2330),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2330),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2330),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2330),
    [sym__string_start] = ACTIONS(157),
  },
  [721] = {
    [sym_attribute] = STATE(1210),
    [sym_dictionary_comprehension] = STATE(1210),
    [sym_generator_expression] = STATE(1210),
    [sym_binary_operator] = STATE(1210),
    [sym_unary_operator] = STATE(1210),
    [sym_call] = STATE(1210),
    [sym_list_comprehension] = STATE(1210),
    [sym_dictionary] = STATE(1210),
    [sym_parenthesized_expression] = STATE(1210),
    [sym_tuple] = STATE(1210),
    [sym_concatenated_string] = STATE(1210),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1210),
    [sym_list] = STATE(1210),
    [sym_set] = STATE(1210),
    [sym_set_comprehension] = STATE(1210),
    [sym__primary_expression] = STATE(1210),
    [sym_integer] = ACTIONS(2330),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2330),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(2334),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2330),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2330),
    [sym__string_start] = ACTIONS(157),
  },
  [722] = {
    [sym_attribute] = STATE(1212),
    [sym_dictionary_comprehension] = STATE(1212),
    [sym_generator_expression] = STATE(1212),
    [sym_binary_operator] = STATE(1212),
    [sym_unary_operator] = STATE(1212),
    [sym_call] = STATE(1212),
    [sym_list_comprehension] = STATE(1212),
    [sym_dictionary] = STATE(1212),
    [sym_parenthesized_expression] = STATE(1212),
    [sym_tuple] = STATE(1212),
    [sym_concatenated_string] = STATE(1212),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1212),
    [sym_list] = STATE(1212),
    [sym_set] = STATE(1212),
    [sym_set_comprehension] = STATE(1212),
    [sym__primary_expression] = STATE(1212),
    [sym_integer] = ACTIONS(2336),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2336),
    [sym__string_start] = ACTIONS(157),
  },
  [723] = {
    [sym_attribute] = STATE(1213),
    [sym_dictionary_comprehension] = STATE(1213),
    [sym_generator_expression] = STATE(1213),
    [sym_binary_operator] = STATE(1213),
    [sym_unary_operator] = STATE(1213),
    [sym_call] = STATE(1213),
    [sym_list_comprehension] = STATE(1213),
    [sym_dictionary] = STATE(1213),
    [sym_parenthesized_expression] = STATE(1213),
    [sym_tuple] = STATE(1213),
    [sym_concatenated_string] = STATE(1213),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1213),
    [sym_list] = STATE(1213),
    [sym_set] = STATE(1213),
    [sym_set_comprehension] = STATE(1213),
    [sym__primary_expression] = STATE(1213),
    [sym_integer] = ACTIONS(2340),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2342),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2340),
    [sym_identifier] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2340),
    [sym__string_start] = ACTIONS(157),
  },
  [724] = {
    [anon_sym_in] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
  },
  [725] = {
    [sym_attribute] = STATE(1214),
    [sym_dictionary_comprehension] = STATE(1214),
    [sym_generator_expression] = STATE(1214),
    [sym_binary_operator] = STATE(1214),
    [sym_unary_operator] = STATE(1214),
    [sym_call] = STATE(1214),
    [sym_list_comprehension] = STATE(1214),
    [sym_dictionary] = STATE(1214),
    [sym_parenthesized_expression] = STATE(1214),
    [sym_tuple] = STATE(1214),
    [sym_concatenated_string] = STATE(1214),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1214),
    [sym_list] = STATE(1214),
    [sym_set] = STATE(1214),
    [sym_set_comprehension] = STATE(1214),
    [sym__primary_expression] = STATE(1214),
    [sym_integer] = ACTIONS(2346),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2346),
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2346),
    [sym__string_start] = ACTIONS(157),
  },
  [726] = {
    [sym_attribute] = STATE(1215),
    [sym_dictionary_comprehension] = STATE(1215),
    [sym_generator_expression] = STATE(1215),
    [sym_binary_operator] = STATE(1215),
    [sym_unary_operator] = STATE(1215),
    [sym_call] = STATE(1215),
    [sym_list_comprehension] = STATE(1215),
    [sym_dictionary] = STATE(1215),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_tuple] = STATE(1215),
    [sym_concatenated_string] = STATE(1215),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1215),
    [sym_list] = STATE(1215),
    [sym_set] = STATE(1215),
    [sym_set_comprehension] = STATE(1215),
    [sym__primary_expression] = STATE(1215),
    [sym_integer] = ACTIONS(2350),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2350),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2350),
    [sym__string_start] = ACTIONS(157),
  },
  [727] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [728] = {
    [sym_attribute] = STATE(1216),
    [sym_dictionary_comprehension] = STATE(1216),
    [sym_generator_expression] = STATE(1216),
    [sym_binary_operator] = STATE(1216),
    [sym_unary_operator] = STATE(1216),
    [sym_call] = STATE(1216),
    [sym_list_comprehension] = STATE(1216),
    [sym_dictionary] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_tuple] = STATE(1216),
    [sym_concatenated_string] = STATE(1216),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1216),
    [sym_list] = STATE(1216),
    [sym_set] = STATE(1216),
    [sym_set_comprehension] = STATE(1216),
    [sym__primary_expression] = STATE(1216),
    [sym_integer] = ACTIONS(2354),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(2354),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2354),
    [sym__string_start] = ACTIONS(157),
  },
  [729] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1217),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_is] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1399),
    [anon_sym_in] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
  },
  [730] = {
    [anon_sym_COLON] = ACTIONS(1423),
    [anon_sym_or] = ACTIONS(1423),
    [anon_sym_SLASH_SLASH] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1425),
    [anon_sym_is] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_RBRACK] = ACTIONS(1423),
    [anon_sym_as] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_type_conversion] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1425),
    [anon_sym_EQ] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_LT_GT] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1423),
    [anon_sym_not] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1423),
    [anon_sym_COMMA] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_async] = ACTIONS(1423),
  },
  [731] = {
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_or] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_is] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_as] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [sym_type_conversion] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_EQ] = ACTIONS(1431),
    [anon_sym_AT] = ACTIONS(1429),
    [anon_sym_LT_GT] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_and] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_not] = ACTIONS(1429),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_PIPE] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1429),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_async] = ACTIONS(1429),
  },
  [732] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [733] = {
    [aux_sym_tuple_repeat1] = STATE(753),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [anon_sym_COMMA] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [anon_sym_RPAREN] = ACTIONS(2362),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [anon_sym_COLON] = ACTIONS(1809),
    [anon_sym_or] = ACTIONS(1809),
    [anon_sym_SLASH_SLASH] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1811),
    [anon_sym_is] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1811),
    [anon_sym_RBRACK] = ACTIONS(1809),
    [anon_sym_as] = ACTIONS(1811),
    [anon_sym_LPAREN] = ACTIONS(1809),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_RBRACE] = ACTIONS(1809),
    [sym_type_conversion] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_STAR_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1811),
    [anon_sym_AT] = ACTIONS(1809),
    [anon_sym_LT_GT] = ACTIONS(1809),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1809),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [anon_sym_RPAREN] = ACTIONS(1809),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_and] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1809),
    [anon_sym_not] = ACTIONS(1809),
    [anon_sym_GT_EQ] = ACTIONS(1809),
    [anon_sym_LT_LT] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1811),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1809),
    [anon_sym_DOT] = ACTIONS(1809),
    [anon_sym_COMMA] = ACTIONS(1809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
  },
  [736] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2364),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [737] = {
    [aux_sym_dictionary_repeat1] = STATE(982),
    [anon_sym_RBRACE] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [anon_sym_RBRACE] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [anon_sym_COLON] = ACTIONS(1827),
    [anon_sym_or] = ACTIONS(1827),
    [anon_sym_SLASH_SLASH] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_is] = ACTIONS(1827),
    [anon_sym_AMP] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_as] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(1827),
    [anon_sym_if] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [sym_type_conversion] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1827),
    [anon_sym_STAR_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1827),
    [anon_sym_LT_GT] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_else] = ACTIONS(1827),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_and] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1827),
    [anon_sym_not] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_PIPE] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1827),
    [anon_sym_async] = ACTIONS(1827),
  },
  [740] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [741] = {
    [aux_sym_list_repeat1] = STATE(992),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [anon_sym_RBRACE] = ACTIONS(2374),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [anon_sym_COLON] = ACTIONS(1727),
    [anon_sym_or] = ACTIONS(1727),
    [anon_sym_SLASH_SLASH] = ACTIONS(1727),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym_is] = ACTIONS(1727),
    [anon_sym_AMP] = ACTIONS(1727),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_RBRACK] = ACTIONS(1727),
    [anon_sym_as] = ACTIONS(1729),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_in] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(1727),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [sym_type_conversion] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym_EQ] = ACTIONS(1729),
    [anon_sym_AT] = ACTIONS(1727),
    [anon_sym_LT_GT] = ACTIONS(1727),
    [anon_sym_BANG_EQ] = ACTIONS(1727),
    [anon_sym_CARET] = ACTIONS(1727),
    [anon_sym_EQ_EQ] = ACTIONS(1727),
    [anon_sym_RPAREN] = ACTIONS(1727),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_and] = ACTIONS(1727),
    [anon_sym_PERCENT] = ACTIONS(1727),
    [anon_sym_not] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_PIPE] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT_GT] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_async] = ACTIONS(1727),
  },
  [744] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [745] = {
    [aux_sym_list_repeat1] = STATE(936),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2378),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(1609),
  },
  [748] = {
    [sym_lambda] = STATE(1230),
    [sym_conditional_expression] = STATE(1230),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1230),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1230),
    [sym_boolean_operator] = STATE(1230),
    [sym_await] = STATE(1230),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1230),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(1230),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [749] = {
    [anon_sym_COLON] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [sym__newline] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_is] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_LT_EQ] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_AT_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2384),
    [anon_sym_LT_GT] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [sym__semicolon] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_and] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
  },
  [751] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [sym_comment] = ACTIONS(3),
  },
  [752] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(2388),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [753] = {
    [aux_sym_tuple_repeat1] = STATE(753),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2390),
    [sym_comment] = ACTIONS(3),
  },
  [754] = {
    [sym_string] = STATE(754),
    [aux_sym_concatenated_string_repeat1] = STATE(754),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [755] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(2099),
  },
  [756] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2396),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [757] = {
    [anon_sym_in] = ACTIONS(2398),
    [sym_comment] = ACTIONS(3),
  },
  [758] = {
    [anon_sym_COLON] = ACTIONS(2139),
    [anon_sym_or] = ACTIONS(2139),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2139),
    [anon_sym_and] = ACTIONS(2139),
    [anon_sym_RBRACK] = ACTIONS(2139),
    [anon_sym_as] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [sym_type_conversion] = ACTIONS(2139),
    [anon_sym_EQ] = ACTIONS(2139),
    [anon_sym_COMMA] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2139),
    [anon_sym_async] = ACTIONS(2139),
  },
  [759] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(1235),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [760] = {
    [sym_lambda] = STATE(1242),
    [sym_conditional_expression] = STATE(1242),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(1242),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(1242),
    [sym_boolean_operator] = STATE(1242),
    [sym_await] = STATE(1242),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(1242),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(1242),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [761] = {
    [sym_for_in_clause] = STATE(1244),
    [sym_if_clause] = STATE(1244),
    [aux_sym__comprehension_body_repeat1] = STATE(1244),
    [anon_sym_if] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_RPAREN] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(561),
  },
  [762] = {
    [anon_sym_COLON] = ACTIONS(2418),
    [anon_sym_or] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [sym__newline] = ACTIONS(2418),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_is] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_AT_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_LT_GT] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [sym__semicolon] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_and] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT_GT] = ACTIONS(2420),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
  },
  [763] = {
    [aux_sym_subscript_repeat1] = STATE(1247),
    [anon_sym_RBRACK] = ACTIONS(2422),
    [anon_sym_COMMA] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [aux_sym_subscript_repeat1] = STATE(1247),
    [anon_sym_COLON] = ACTIONS(2018),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
  },
  [765] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [766] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [767] = {
    [sym_attribute] = STATE(1248),
    [sym_dictionary_comprehension] = STATE(1248),
    [sym_generator_expression] = STATE(1248),
    [sym_binary_operator] = STATE(1248),
    [sym_unary_operator] = STATE(1248),
    [sym_call] = STATE(1248),
    [sym_list_comprehension] = STATE(1248),
    [sym_dictionary] = STATE(1248),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_tuple] = STATE(1248),
    [sym_concatenated_string] = STATE(1248),
    [sym_string] = STATE(90),
    [sym_subscript] = STATE(1248),
    [sym_list] = STATE(1248),
    [sym_set] = STATE(1248),
    [sym_set_comprehension] = STATE(1248),
    [sym__primary_expression] = STATE(1248),
    [sym_integer] = ACTIONS(2426),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2426),
    [sym__string_start] = ACTIONS(157),
  },
  [768] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [769] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [770] = {
    [sym_for_in_clause] = STATE(329),
    [aux_sym_argument_list_repeat1] = STATE(1154),
    [sym__comprehension_body] = STATE(734),
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(557),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(561),
  },
  [771] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [772] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [773] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_as] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [774] = {
    [anon_sym_COLON] = ACTIONS(2076),
    [anon_sym_or] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(2076),
    [anon_sym_GT] = ACTIONS(2078),
    [anon_sym_is] = ACTIONS(2076),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_RBRACK] = ACTIONS(2076),
    [anon_sym_as] = ACTIONS(2078),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_in] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [sym_type_conversion] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_STAR_STAR] = ACTIONS(2076),
    [anon_sym_SLASH] = ACTIONS(2078),
    [anon_sym_EQ] = ACTIONS(2078),
    [anon_sym_AT] = ACTIONS(2076),
    [anon_sym_LT_GT] = ACTIONS(2076),
    [anon_sym_BANG_EQ] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2076),
    [anon_sym_EQ_EQ] = ACTIONS(2076),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_else] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_and] = ACTIONS(2076),
    [anon_sym_PERCENT] = ACTIONS(2076),
    [anon_sym_not] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2076),
    [anon_sym_PIPE] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_GT_GT] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_DOT] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_async] = ACTIONS(2076),
  },
  [775] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [776] = {
    [aux_sym_comparison_operator_repeat1] = STATE(776),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2433),
    [anon_sym_is] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2430),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2433),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2430),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [777] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1647),
  },
  [778] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1609),
  },
  [779] = {
    [sym_lambda] = STATE(1249),
    [sym_conditional_expression] = STATE(1249),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(1249),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(1249),
    [sym_boolean_operator] = STATE(1249),
    [sym_await] = STATE(1249),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(1249),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(1249),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [780] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1250),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [781] = {
    [sym_integer] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym__string_start] = ACTIONS(2444),
    [anon_sym_nonlocal] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [sym_none] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_pass] = ACTIONS(2442),
    [sym_float] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_lambda] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_print] = ACTIONS(2442),
    [anon_sym_del] = ACTIONS(2442),
    [sym_ellipsis] = ACTIONS(2444),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_def] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_global] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_exec] = ACTIONS(2442),
    [ts_builtin_sym_end] = ACTIONS(2444),
    [anon_sym_raise] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
  },
  [782] = {
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
  },
  [783] = {
    [aux_sym_with_statement_repeat1] = STATE(783),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
  },
  [784] = {
    [sym_string] = STATE(784),
    [aux_sym_concatenated_string_repeat1] = STATE(784),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_as] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [785] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(2099),
  },
  [786] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2451),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [787] = {
    [anon_sym_COLON] = ACTIONS(2453),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [788] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [789] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [790] = {
    [sym_attribute] = STATE(1252),
    [sym_dictionary_comprehension] = STATE(1252),
    [sym_generator_expression] = STATE(1252),
    [sym_binary_operator] = STATE(1252),
    [sym_unary_operator] = STATE(1252),
    [sym_call] = STATE(1252),
    [sym_list_comprehension] = STATE(1252),
    [sym_dictionary] = STATE(1252),
    [sym_parenthesized_expression] = STATE(1252),
    [sym_tuple] = STATE(1252),
    [sym_concatenated_string] = STATE(1252),
    [sym_string] = STATE(99),
    [sym_subscript] = STATE(1252),
    [sym_list] = STATE(1252),
    [sym_set] = STATE(1252),
    [sym_set_comprehension] = STATE(1252),
    [sym__primary_expression] = STATE(1252),
    [sym_integer] = ACTIONS(2455),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(2455),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2455),
    [sym__string_start] = ACTIONS(157),
  },
  [791] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [792] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [795] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [796] = {
    [aux_sym_comparison_operator_repeat1] = STATE(796),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_as] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2465),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2465),
    [anon_sym_BANG_EQ] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2465),
  },
  [797] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [798] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [799] = {
    [sym_lambda] = STATE(1253),
    [sym_conditional_expression] = STATE(1253),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1253),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1253),
    [sym_boolean_operator] = STATE(1253),
    [sym_await] = STATE(1253),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1253),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1253),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [800] = {
    [sym_string] = STATE(800),
    [aux_sym_concatenated_string_repeat1] = STATE(800),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [801] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1254),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [802] = {
    [aux_sym_if_statement_repeat1] = STATE(1257),
    [sym_else_clause] = STATE(1258),
    [sym_elif_clause] = STATE(1259),
    [sym_integer] = ACTIONS(2471),
    [sym_true] = ACTIONS(2471),
    [sym__string_start] = ACTIONS(2473),
    [anon_sym_nonlocal] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_assert] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(2471),
    [anon_sym_return] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [sym_none] = ACTIONS(2471),
    [anon_sym_with] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_pass] = ACTIONS(2471),
    [sym_float] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_elif] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_lambda] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_print] = ACTIONS(2471),
    [anon_sym_del] = ACTIONS(2471),
    [sym_ellipsis] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(2471),
    [anon_sym_def] = ACTIONS(2471),
    [anon_sym_await] = ACTIONS(2471),
    [anon_sym_break] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(2471),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_exec] = ACTIONS(2471),
    [ts_builtin_sym_end] = ACTIONS(2473),
    [anon_sym_raise] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [anon_sym_continue] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
  },
  [803] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [804] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [805] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [806] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [807] = {
    [sym_attribute] = STATE(1261),
    [sym_dictionary_comprehension] = STATE(1261),
    [sym_generator_expression] = STATE(1261),
    [sym_binary_operator] = STATE(1261),
    [sym_unary_operator] = STATE(1261),
    [sym_call] = STATE(1261),
    [sym_list_comprehension] = STATE(1261),
    [sym_dictionary] = STATE(1261),
    [sym_parenthesized_expression] = STATE(1261),
    [sym_tuple] = STATE(1261),
    [sym_concatenated_string] = STATE(1261),
    [sym_string] = STATE(107),
    [sym_subscript] = STATE(1261),
    [sym_list] = STATE(1261),
    [sym_set] = STATE(1261),
    [sym_set_comprehension] = STATE(1261),
    [sym__primary_expression] = STATE(1261),
    [sym_integer] = ACTIONS(2481),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2483),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(2481),
    [sym_identifier] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2481),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2481),
    [sym__string_start] = ACTIONS(157),
  },
  [808] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [810] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [813] = {
    [aux_sym_comparison_operator_repeat1] = STATE(813),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2485),
    [anon_sym_is] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2491),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_in] = ACTIONS(2491),
    [anon_sym_GT_EQ] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_LT_GT] = ACTIONS(2491),
    [anon_sym_BANG_EQ] = ACTIONS(2491),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2491),
  },
  [814] = {
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2309),
    [sym__newline] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(2309),
    [anon_sym_COMMA] = ACTIONS(2309),
    [anon_sym_as] = ACTIONS(2309),
  },
  [815] = {
    [aux_sym_dotted_name_repeat1] = STATE(815),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2497),
    [sym__newline] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
  },
  [816] = {
    [aux_sym_argument_list_repeat1] = STATE(1105),
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2074),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_AT] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2500),
    [anon_sym_def] = ACTIONS(2500),
  },
  [818] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [819] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [820] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
  },
  [821] = {
    [sym_lambda] = STATE(1263),
    [sym_conditional_expression] = STATE(1263),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(1263),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(1263),
    [sym_boolean_operator] = STATE(1263),
    [sym_await] = STATE(1263),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(1263),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(1263),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [822] = {
    [sym_lambda_parameters] = STATE(1265),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [anon_sym_EQ] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
  },
  [824] = {
    [sym_string] = STATE(1267),
    [aux_sym_concatenated_string_repeat1] = STATE(1267),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [825] = {
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [826] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1281),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_is] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2536),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_CARET] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [827] = {
    [anon_sym_COLON] = ACTIONS(2552),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [828] = {
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2556),
  },
  [831] = {
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
  },
  [832] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(831),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(831),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_exec] = ACTIONS(1563),
    [anon_sym_print] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [aux_sym__parameters_repeat1] = STATE(833),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [835] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [836] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(2577),
    [sym_comment] = ACTIONS(3),
  },
  [837] = {
    [sym_lambda] = STATE(1284),
    [sym_conditional_expression] = STATE(1284),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(1284),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(1284),
    [sym_boolean_operator] = STATE(1284),
    [sym_await] = STATE(1284),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(1284),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(1284),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [838] = {
    [sym_lambda_parameters] = STATE(1286),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(2579),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [anon_sym_COLON] = ACTIONS(2581),
    [anon_sym_EQ] = ACTIONS(2583),
    [anon_sym_COMMA] = ACTIONS(2581),
    [sym_comment] = ACTIONS(3),
  },
  [840] = {
    [sym_string] = STATE(1288),
    [aux_sym_concatenated_string_repeat1] = STATE(1288),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [841] = {
    [anon_sym_COLON] = ACTIONS(1966),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(2585),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1302),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2593),
    [anon_sym_is] = ACTIONS(2595),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LT_EQ] = ACTIONS(2599),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2599),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2599),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_GT_EQ] = ACTIONS(2599),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2593),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [anon_sym_COLON] = ACTIONS(2615),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(831),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(831),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_COLON] = ACTIONS(2617),
    [anon_sym_exec] = ACTIONS(1563),
    [anon_sym_print] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [sym_lambda] = STATE(1303),
    [sym_conditional_expression] = STATE(1303),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1303),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1303),
    [sym_boolean_operator] = STATE(1303),
    [sym_await] = STATE(1303),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1303),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1303),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [846] = {
    [anon_sym_COLON] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [847] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_lambda] = STATE(1304),
    [sym_conditional_expression] = STATE(1304),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1304),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1304),
    [sym_boolean_operator] = STATE(1304),
    [sym_await] = STATE(1304),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1304),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1304),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [849] = {
    [anon_sym_COLON] = ACTIONS(2621),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [sym_string] = STATE(1306),
    [aux_sym_concatenated_string_repeat1] = STATE(1306),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [851] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [852] = {
    [sym_lambda] = STATE(1307),
    [sym_conditional_expression] = STATE(1307),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1307),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1307),
    [sym_boolean_operator] = STATE(1307),
    [sym_await] = STATE(1307),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1307),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1307),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [853] = {
    [sym_lambda] = STATE(1308),
    [sym_conditional_expression] = STATE(1308),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1308),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1308),
    [sym_boolean_operator] = STATE(1308),
    [sym_await] = STATE(1308),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1308),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1308),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [854] = {
    [sym_attribute] = STATE(1309),
    [sym_dictionary_comprehension] = STATE(1309),
    [sym_generator_expression] = STATE(1309),
    [sym_binary_operator] = STATE(1309),
    [sym_unary_operator] = STATE(1309),
    [sym_call] = STATE(1309),
    [sym_list_comprehension] = STATE(1309),
    [sym_dictionary] = STATE(1309),
    [sym_parenthesized_expression] = STATE(1309),
    [sym_tuple] = STATE(1309),
    [sym_concatenated_string] = STATE(1309),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_set] = STATE(1309),
    [sym_set_comprehension] = STATE(1309),
    [sym__primary_expression] = STATE(1309),
    [sym_integer] = ACTIONS(2623),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2623),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2623),
    [sym__string_start] = ACTIONS(157),
  },
  [855] = {
    [sym_attribute] = STATE(1310),
    [sym_dictionary_comprehension] = STATE(1310),
    [sym_generator_expression] = STATE(1310),
    [sym_binary_operator] = STATE(1310),
    [sym_unary_operator] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_list_comprehension] = STATE(1310),
    [sym_dictionary] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_tuple] = STATE(1310),
    [sym_concatenated_string] = STATE(1310),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_set] = STATE(1310),
    [sym_set_comprehension] = STATE(1310),
    [sym__primary_expression] = STATE(1310),
    [sym_integer] = ACTIONS(2627),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2627),
    [sym__string_start] = ACTIONS(157),
  },
  [856] = {
    [sym_attribute] = STATE(1310),
    [sym_dictionary_comprehension] = STATE(1310),
    [sym_generator_expression] = STATE(1310),
    [sym_binary_operator] = STATE(1310),
    [sym_unary_operator] = STATE(1310),
    [sym_call] = STATE(1310),
    [sym_list_comprehension] = STATE(1310),
    [sym_dictionary] = STATE(1310),
    [sym_parenthesized_expression] = STATE(1310),
    [sym_tuple] = STATE(1310),
    [sym_concatenated_string] = STATE(1310),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1310),
    [sym_list] = STATE(1310),
    [sym_set] = STATE(1310),
    [sym_set_comprehension] = STATE(1310),
    [sym__primary_expression] = STATE(1310),
    [sym_integer] = ACTIONS(2627),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(2631),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2627),
    [sym__string_start] = ACTIONS(157),
  },
  [857] = {
    [sym_attribute] = STATE(1312),
    [sym_dictionary_comprehension] = STATE(1312),
    [sym_generator_expression] = STATE(1312),
    [sym_binary_operator] = STATE(1312),
    [sym_unary_operator] = STATE(1312),
    [sym_call] = STATE(1312),
    [sym_list_comprehension] = STATE(1312),
    [sym_dictionary] = STATE(1312),
    [sym_parenthesized_expression] = STATE(1312),
    [sym_tuple] = STATE(1312),
    [sym_concatenated_string] = STATE(1312),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1312),
    [sym_list] = STATE(1312),
    [sym_set] = STATE(1312),
    [sym_set_comprehension] = STATE(1312),
    [sym__primary_expression] = STATE(1312),
    [sym_integer] = ACTIONS(2633),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2635),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2633),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2635),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2633),
    [sym__string_start] = ACTIONS(157),
  },
  [858] = {
    [sym_attribute] = STATE(1313),
    [sym_dictionary_comprehension] = STATE(1313),
    [sym_generator_expression] = STATE(1313),
    [sym_binary_operator] = STATE(1313),
    [sym_unary_operator] = STATE(1313),
    [sym_call] = STATE(1313),
    [sym_list_comprehension] = STATE(1313),
    [sym_dictionary] = STATE(1313),
    [sym_parenthesized_expression] = STATE(1313),
    [sym_tuple] = STATE(1313),
    [sym_concatenated_string] = STATE(1313),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1313),
    [sym_list] = STATE(1313),
    [sym_set] = STATE(1313),
    [sym_set_comprehension] = STATE(1313),
    [sym__primary_expression] = STATE(1313),
    [sym_integer] = ACTIONS(2637),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2639),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2637),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2639),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2637),
    [sym__string_start] = ACTIONS(157),
  },
  [859] = {
    [anon_sym_in] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [sym_attribute] = STATE(1314),
    [sym_dictionary_comprehension] = STATE(1314),
    [sym_generator_expression] = STATE(1314),
    [sym_binary_operator] = STATE(1314),
    [sym_unary_operator] = STATE(1314),
    [sym_call] = STATE(1314),
    [sym_list_comprehension] = STATE(1314),
    [sym_dictionary] = STATE(1314),
    [sym_parenthesized_expression] = STATE(1314),
    [sym_tuple] = STATE(1314),
    [sym_concatenated_string] = STATE(1314),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_set] = STATE(1314),
    [sym_set_comprehension] = STATE(1314),
    [sym__primary_expression] = STATE(1314),
    [sym_integer] = ACTIONS(2643),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2643),
    [sym__string_start] = ACTIONS(157),
  },
  [861] = {
    [sym_attribute] = STATE(1315),
    [sym_dictionary_comprehension] = STATE(1315),
    [sym_generator_expression] = STATE(1315),
    [sym_binary_operator] = STATE(1315),
    [sym_unary_operator] = STATE(1315),
    [sym_call] = STATE(1315),
    [sym_list_comprehension] = STATE(1315),
    [sym_dictionary] = STATE(1315),
    [sym_parenthesized_expression] = STATE(1315),
    [sym_tuple] = STATE(1315),
    [sym_concatenated_string] = STATE(1315),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1315),
    [sym_list] = STATE(1315),
    [sym_set] = STATE(1315),
    [sym_set_comprehension] = STATE(1315),
    [sym__primary_expression] = STATE(1315),
    [sym_integer] = ACTIONS(2647),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2647),
    [sym__string_start] = ACTIONS(157),
  },
  [862] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [863] = {
    [sym_attribute] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_concatenated_string] = STATE(1316),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym__primary_expression] = STATE(1316),
    [sym_integer] = ACTIONS(2651),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2651),
    [sym__string_start] = ACTIONS(157),
  },
  [864] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1317),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1587),
    [anon_sym_is] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1593),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1593),
    [anon_sym_GT_EQ] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(1593),
    [anon_sym_BANG_EQ] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1593),
  },
  [865] = {
    [anon_sym_COLON] = ACTIONS(2581),
    [anon_sym_COMMA] = ACTIONS(2581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2581),
  },
  [866] = {
    [anon_sym_COLON] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [sym__newline] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [sym__semicolon] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_AT_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [sym__semicolon] = ACTIONS(2657),
    [sym__newline] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [sym_lambda] = STATE(868),
    [sym_conditional_expression] = STATE(868),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(868),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(868),
    [sym_boolean_operator] = STATE(868),
    [sym_await] = STATE(868),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(868),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(868),
    [sym__newline] = ACTIONS(2659),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [870] = {
    [aux_sym_print_statement_repeat1] = STATE(870),
    [sym__semicolon] = ACTIONS(2661),
    [sym__newline] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2663),
    [sym_comment] = ACTIONS(3),
  },
  [871] = {
    [sym_lambda] = STATE(868),
    [sym_conditional_expression] = STATE(868),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(868),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(868),
    [sym_boolean_operator] = STATE(868),
    [sym_await] = STATE(868),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(868),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(868),
    [sym__newline] = ACTIONS(2666),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(2666),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [872] = {
    [aux_sym_dotted_name_repeat1] = STATE(872),
    [sym__semicolon] = ACTIONS(2309),
    [anon_sym_DOT] = ACTIONS(2497),
    [anon_sym_COMMA] = ACTIONS(2309),
    [sym__newline] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(2309),
  },
  [873] = {
    [sym__semicolon] = ACTIONS(2668),
    [sym__newline] = ACTIONS(2668),
    [anon_sym_COMMA] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [sym__semicolon] = ACTIONS(2668),
    [sym__newline] = ACTIONS(2668),
    [anon_sym_COMMA] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(731),
  },
  [875] = {
    [sym_aliased_import] = STATE(873),
    [sym_dotted_name] = STATE(874),
    [sym__semicolon] = ACTIONS(2670),
    [sym__newline] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [aux_sym__import_list_repeat1] = STATE(876),
    [sym__semicolon] = ACTIONS(2672),
    [sym__newline] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [sym__semicolon] = ACTIONS(2677),
    [sym__newline] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1320),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [879] = {
    [sym_else_clause] = STATE(1321),
    [sym_integer] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym__string_start] = ACTIONS(2681),
    [anon_sym_nonlocal] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_assert] = ACTIONS(2679),
    [anon_sym_yield] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_from] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [sym_none] = ACTIONS(2679),
    [anon_sym_with] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_pass] = ACTIONS(2679),
    [sym_float] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_lambda] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_del] = ACTIONS(2679),
    [sym_ellipsis] = ACTIONS(2681),
    [anon_sym_import] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_def] = ACTIONS(2679),
    [anon_sym_await] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [ts_builtin_sym_end] = ACTIONS(2681),
    [anon_sym_raise] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_async] = ACTIONS(2679),
  },
  [880] = {
    [aux_sym__parameters_repeat1] = STATE(1325),
    [anon_sym_COLON] = ACTIONS(2683),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(681),
  },
  [881] = {
    [aux_sym__parameters_repeat1] = STATE(1329),
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(687),
  },
  [882] = {
    [sym_lambda] = STATE(1337),
    [sym_conditional_expression] = STATE(1337),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1337),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1337),
    [sym_boolean_operator] = STATE(1337),
    [sym_await] = STATE(1337),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1337),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1337),
    [anon_sym_COLON] = ACTIONS(693),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_RPAREN] = ACTIONS(693),
    [anon_sym_await] = ACTIONS(2701),
    [sym_true] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [883] = {
    [anon_sym_COLON] = ACTIONS(2711),
    [anon_sym_DASH_GT] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [aux_sym__parameters_repeat1] = STATE(1329),
    [anon_sym_RPAREN] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [anon_sym_RPAREN] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [aux_sym__parameters_repeat1] = STATE(1329),
    [anon_sym_COLON] = ACTIONS(2715),
    [anon_sym_COMMA] = ACTIONS(2693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(687),
  },
  [887] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1342),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2717),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [888] = {
    [sym_lambda] = STATE(1344),
    [sym_conditional_expression] = STATE(1344),
    [sym_attribute] = STATE(109),
    [sym_type] = STATE(1343),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1344),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1344),
    [sym_boolean_operator] = STATE(1344),
    [sym_await] = STATE(1344),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1344),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1344),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [889] = {
    [sym__semicolon] = ACTIONS(1220),
    [anon_sym_in] = ACTIONS(1220),
    [sym__newline] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [aux_sym_assert_statement_repeat1] = STATE(1345),
    [sym__semicolon] = ACTIONS(2719),
    [sym__newline] = ACTIONS(2719),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [sym__newline] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(1647),
    [sym__semicolon] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(1647),
  },
  [892] = {
    [sym__newline] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [sym__semicolon] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(1609),
  },
  [893] = {
    [sym_lambda] = STATE(1346),
    [sym_conditional_expression] = STATE(1346),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(1346),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(1346),
    [sym_boolean_operator] = STATE(1346),
    [sym_await] = STATE(1346),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(1346),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(1346),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [894] = {
    [sym_string] = STATE(894),
    [aux_sym_concatenated_string_repeat1] = STATE(894),
    [sym__newline] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_from] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [sym__semicolon] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2243),
  },
  [895] = {
    [sym__semicolon] = ACTIONS(2721),
    [sym__newline] = ACTIONS(2721),
    [anon_sym_or] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [sym__newline] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [sym__semicolon] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(2099),
  },
  [897] = {
    [sym__newline] = ACTIONS(2101),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [sym__semicolon] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(2101),
  },
  [898] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_lambda] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(897),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(897),
    [sym_boolean_operator] = STATE(897),
    [sym_await] = STATE(897),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(897),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(897),
    [sym__newline] = ACTIONS(2143),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym__semicolon] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_from] = ACTIONS(2725),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [900] = {
    [aux_sym_assert_statement_repeat1] = STATE(900),
    [sym__semicolon] = ACTIONS(2101),
    [sym__newline] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(2727),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(2101),
  },
  [901] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(783),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [903] = {
    [sym_attribute] = STATE(1349),
    [sym_dictionary_comprehension] = STATE(1349),
    [sym_generator_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1349),
    [sym_unary_operator] = STATE(1349),
    [sym_call] = STATE(1349),
    [sym_list_comprehension] = STATE(1349),
    [sym_dictionary] = STATE(1349),
    [sym_parenthesized_expression] = STATE(1349),
    [sym_tuple] = STATE(1349),
    [sym_concatenated_string] = STATE(1349),
    [sym_string] = STATE(145),
    [sym_subscript] = STATE(1349),
    [sym_list] = STATE(1349),
    [sym_set] = STATE(1349),
    [sym_set_comprehension] = STATE(1349),
    [sym__primary_expression] = STATE(1349),
    [sym_integer] = ACTIONS(2730),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(2730),
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(2730),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2730),
    [sym__string_start] = ACTIONS(115),
  },
  [904] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(783),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(783),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [aux_sym_comparison_operator_repeat1] = STATE(909),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2734),
    [anon_sym_is] = ACTIONS(2737),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_LT_EQ] = ACTIONS(2740),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_from] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2743),
    [anon_sym_in] = ACTIONS(2740),
    [anon_sym_GT_EQ] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2740),
    [anon_sym_BANG_EQ] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2740),
  },
  [910] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [anon_sym_async] = ACTIONS(1647),
  },
  [911] = {
    [sym_lambda] = STATE(1350),
    [sym_conditional_expression] = STATE(1350),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1350),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1350),
    [sym_boolean_operator] = STATE(1350),
    [sym_await] = STATE(1350),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1350),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1350),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [912] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [sym_lambda] = STATE(1351),
    [sym_conditional_expression] = STATE(1351),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1351),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1351),
    [sym_boolean_operator] = STATE(1351),
    [sym_await] = STATE(1351),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1351),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1351),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [914] = {
    [anon_sym_COLON] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
  },
  [915] = {
    [sym_string] = STATE(1353),
    [aux_sym_concatenated_string_repeat1] = STATE(1353),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [916] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [917] = {
    [sym_lambda] = STATE(1354),
    [sym_conditional_expression] = STATE(1354),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1354),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1354),
    [sym_boolean_operator] = STATE(1354),
    [sym_await] = STATE(1354),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1354),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1354),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [918] = {
    [sym_lambda] = STATE(1355),
    [sym_conditional_expression] = STATE(1355),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1355),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1355),
    [sym_boolean_operator] = STATE(1355),
    [sym_await] = STATE(1355),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1355),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1355),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [919] = {
    [sym_attribute] = STATE(1356),
    [sym_dictionary_comprehension] = STATE(1356),
    [sym_generator_expression] = STATE(1356),
    [sym_binary_operator] = STATE(1356),
    [sym_unary_operator] = STATE(1356),
    [sym_call] = STATE(1356),
    [sym_list_comprehension] = STATE(1356),
    [sym_dictionary] = STATE(1356),
    [sym_parenthesized_expression] = STATE(1356),
    [sym_tuple] = STATE(1356),
    [sym_concatenated_string] = STATE(1356),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1356),
    [sym_list] = STATE(1356),
    [sym_set] = STATE(1356),
    [sym_set_comprehension] = STATE(1356),
    [sym__primary_expression] = STATE(1356),
    [sym_integer] = ACTIONS(2748),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2748),
    [sym_identifier] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2748),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2748),
    [sym__string_start] = ACTIONS(157),
  },
  [920] = {
    [sym_attribute] = STATE(1357),
    [sym_dictionary_comprehension] = STATE(1357),
    [sym_generator_expression] = STATE(1357),
    [sym_binary_operator] = STATE(1357),
    [sym_unary_operator] = STATE(1357),
    [sym_call] = STATE(1357),
    [sym_list_comprehension] = STATE(1357),
    [sym_dictionary] = STATE(1357),
    [sym_parenthesized_expression] = STATE(1357),
    [sym_tuple] = STATE(1357),
    [sym_concatenated_string] = STATE(1357),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_set] = STATE(1357),
    [sym_set_comprehension] = STATE(1357),
    [sym__primary_expression] = STATE(1357),
    [sym_integer] = ACTIONS(2752),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2752),
    [sym__string_start] = ACTIONS(157),
  },
  [921] = {
    [sym_attribute] = STATE(1357),
    [sym_dictionary_comprehension] = STATE(1357),
    [sym_generator_expression] = STATE(1357),
    [sym_binary_operator] = STATE(1357),
    [sym_unary_operator] = STATE(1357),
    [sym_call] = STATE(1357),
    [sym_list_comprehension] = STATE(1357),
    [sym_dictionary] = STATE(1357),
    [sym_parenthesized_expression] = STATE(1357),
    [sym_tuple] = STATE(1357),
    [sym_concatenated_string] = STATE(1357),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_set] = STATE(1357),
    [sym_set_comprehension] = STATE(1357),
    [sym__primary_expression] = STATE(1357),
    [sym_integer] = ACTIONS(2752),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(2756),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2752),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2752),
    [sym__string_start] = ACTIONS(157),
  },
  [922] = {
    [sym_attribute] = STATE(1359),
    [sym_dictionary_comprehension] = STATE(1359),
    [sym_generator_expression] = STATE(1359),
    [sym_binary_operator] = STATE(1359),
    [sym_unary_operator] = STATE(1359),
    [sym_call] = STATE(1359),
    [sym_list_comprehension] = STATE(1359),
    [sym_dictionary] = STATE(1359),
    [sym_parenthesized_expression] = STATE(1359),
    [sym_tuple] = STATE(1359),
    [sym_concatenated_string] = STATE(1359),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1359),
    [sym_list] = STATE(1359),
    [sym_set] = STATE(1359),
    [sym_set_comprehension] = STATE(1359),
    [sym__primary_expression] = STATE(1359),
    [sym_integer] = ACTIONS(2758),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2758),
    [sym_identifier] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2760),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2758),
    [sym__string_start] = ACTIONS(157),
  },
  [923] = {
    [sym_attribute] = STATE(1360),
    [sym_dictionary_comprehension] = STATE(1360),
    [sym_generator_expression] = STATE(1360),
    [sym_binary_operator] = STATE(1360),
    [sym_unary_operator] = STATE(1360),
    [sym_call] = STATE(1360),
    [sym_list_comprehension] = STATE(1360),
    [sym_dictionary] = STATE(1360),
    [sym_parenthesized_expression] = STATE(1360),
    [sym_tuple] = STATE(1360),
    [sym_concatenated_string] = STATE(1360),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1360),
    [sym_list] = STATE(1360),
    [sym_set] = STATE(1360),
    [sym_set_comprehension] = STATE(1360),
    [sym__primary_expression] = STATE(1360),
    [sym_integer] = ACTIONS(2762),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2762),
    [sym_identifier] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2762),
    [sym__string_start] = ACTIONS(157),
  },
  [924] = {
    [anon_sym_in] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_attribute] = STATE(1361),
    [sym_dictionary_comprehension] = STATE(1361),
    [sym_generator_expression] = STATE(1361),
    [sym_binary_operator] = STATE(1361),
    [sym_unary_operator] = STATE(1361),
    [sym_call] = STATE(1361),
    [sym_list_comprehension] = STATE(1361),
    [sym_dictionary] = STATE(1361),
    [sym_parenthesized_expression] = STATE(1361),
    [sym_tuple] = STATE(1361),
    [sym_concatenated_string] = STATE(1361),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1361),
    [sym_list] = STATE(1361),
    [sym_set] = STATE(1361),
    [sym_set_comprehension] = STATE(1361),
    [sym__primary_expression] = STATE(1361),
    [sym_integer] = ACTIONS(2768),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2768),
    [sym_identifier] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2768),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2768),
    [sym__string_start] = ACTIONS(157),
  },
  [926] = {
    [sym_attribute] = STATE(1362),
    [sym_dictionary_comprehension] = STATE(1362),
    [sym_generator_expression] = STATE(1362),
    [sym_binary_operator] = STATE(1362),
    [sym_unary_operator] = STATE(1362),
    [sym_call] = STATE(1362),
    [sym_list_comprehension] = STATE(1362),
    [sym_dictionary] = STATE(1362),
    [sym_parenthesized_expression] = STATE(1362),
    [sym_tuple] = STATE(1362),
    [sym_concatenated_string] = STATE(1362),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1362),
    [sym_list] = STATE(1362),
    [sym_set] = STATE(1362),
    [sym_set_comprehension] = STATE(1362),
    [sym__primary_expression] = STATE(1362),
    [sym_integer] = ACTIONS(2772),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2772),
    [sym_identifier] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2772),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2772),
    [sym__string_start] = ACTIONS(157),
  },
  [927] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [928] = {
    [sym_attribute] = STATE(1363),
    [sym_dictionary_comprehension] = STATE(1363),
    [sym_generator_expression] = STATE(1363),
    [sym_binary_operator] = STATE(1363),
    [sym_unary_operator] = STATE(1363),
    [sym_call] = STATE(1363),
    [sym_list_comprehension] = STATE(1363),
    [sym_dictionary] = STATE(1363),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_tuple] = STATE(1363),
    [sym_concatenated_string] = STATE(1363),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1363),
    [sym_list] = STATE(1363),
    [sym_set] = STATE(1363),
    [sym_set_comprehension] = STATE(1363),
    [sym__primary_expression] = STATE(1363),
    [sym_integer] = ACTIONS(2776),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2776),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2776),
    [sym__string_start] = ACTIONS(157),
  },
  [929] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1364),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_is] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1711),
  },
  [930] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [anon_sym_async] = ACTIONS(1609),
  },
  [931] = {
    [sym_lambda] = STATE(1365),
    [sym_conditional_expression] = STATE(1365),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1365),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1365),
    [sym_boolean_operator] = STATE(1365),
    [sym_await] = STATE(1365),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1365),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(1365),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [932] = {
    [anon_sym_COLON] = ACTIONS(2780),
    [anon_sym_or] = ACTIONS(2780),
    [anon_sym_SLASH_SLASH] = ACTIONS(2782),
    [sym__newline] = ACTIONS(2780),
    [anon_sym_GT] = ACTIONS(2782),
    [anon_sym_DASH_EQ] = ACTIONS(2780),
    [anon_sym_is] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_EQ] = ACTIONS(2780),
    [anon_sym_AT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT_EQ] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2780),
    [anon_sym_in] = ACTIONS(2780),
    [anon_sym_PERCENT_EQ] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR_STAR] = ACTIONS(2782),
    [anon_sym_SLASH] = ACTIONS(2782),
    [anon_sym_EQ] = ACTIONS(2782),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_LT_GT] = ACTIONS(2780),
    [anon_sym_BANG_EQ] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2782),
    [anon_sym_EQ_EQ] = ACTIONS(2780),
    [anon_sym_CARET_EQ] = ACTIONS(2780),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_STAR_EQ] = ACTIONS(2780),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2780),
    [sym__semicolon] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_and] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_GT_EQ] = ACTIONS(2780),
    [anon_sym_PLUS_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2782),
    [anon_sym_PIPE] = ACTIONS(2782),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_GT_GT] = ACTIONS(2782),
    [anon_sym_PIPE_EQ] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_COMMA] = ACTIONS(2780),
    [anon_sym_SLASH_EQ] = ACTIONS(2780),
    [anon_sym_GT_GT_EQ] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [anon_sym_COMMA] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_RBRACK] = ACTIONS(2784),
  },
  [934] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [936] = {
    [aux_sym_list_repeat1] = STATE(936),
    [anon_sym_RBRACK] = ACTIONS(2784),
    [anon_sym_COMMA] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
  },
  [937] = {
    [sym_string] = STATE(937),
    [aux_sym_concatenated_string_repeat1] = STATE(937),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [938] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_async] = ACTIONS(2099),
  },
  [939] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [anon_sym_in] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
  },
  [941] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(1370),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [942] = {
    [sym_lambda] = STATE(1377),
    [sym_conditional_expression] = STATE(1377),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(1377),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(1377),
    [sym_boolean_operator] = STATE(1377),
    [sym_await] = STATE(1377),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(1377),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(1377),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [943] = {
    [sym_for_in_clause] = STATE(1379),
    [sym_if_clause] = STATE(1379),
    [aux_sym__comprehension_body_repeat1] = STATE(1379),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_RBRACK] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(825),
  },
  [944] = {
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [sym__newline] = ACTIONS(2809),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_is] = ACTIONS(2809),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_AT_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_LT_GT] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_EQ_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [sym__semicolon] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT_GT] = ACTIONS(2811),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
  },
  [945] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [946] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(843),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(849),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [947] = {
    [sym_attribute] = STATE(1380),
    [sym_dictionary_comprehension] = STATE(1380),
    [sym_generator_expression] = STATE(1380),
    [sym_binary_operator] = STATE(1380),
    [sym_unary_operator] = STATE(1380),
    [sym_call] = STATE(1380),
    [sym_list_comprehension] = STATE(1380),
    [sym_dictionary] = STATE(1380),
    [sym_parenthesized_expression] = STATE(1380),
    [sym_tuple] = STATE(1380),
    [sym_concatenated_string] = STATE(1380),
    [sym_string] = STATE(158),
    [sym_subscript] = STATE(1380),
    [sym_list] = STATE(1380),
    [sym_set] = STATE(1380),
    [sym_set_comprehension] = STATE(1380),
    [sym__primary_expression] = STATE(1380),
    [sym_integer] = ACTIONS(2813),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2815),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(2813),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2813),
    [sym__string_start] = ACTIONS(157),
  },
  [948] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(843),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [949] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [950] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [951] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(843),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [952] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [953] = {
    [aux_sym_comparison_operator_repeat1] = STATE(953),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(2820),
    [anon_sym_is] = ACTIONS(2823),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_in] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2820),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [954] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(1647),
  },
  [955] = {
    [sym_lambda] = STATE(1381),
    [sym_conditional_expression] = STATE(1381),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1381),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1381),
    [sym_boolean_operator] = STATE(1381),
    [sym_await] = STATE(1381),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1381),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1381),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [956] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_and] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [957] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_lambda] = STATE(1382),
    [sym_conditional_expression] = STATE(1382),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1382),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1382),
    [sym_boolean_operator] = STATE(1382),
    [sym_await] = STATE(1382),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1382),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1382),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [959] = {
    [anon_sym_COLON] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_string] = STATE(1384),
    [aux_sym_concatenated_string_repeat1] = STATE(1384),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [961] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [962] = {
    [sym_lambda] = STATE(1385),
    [sym_conditional_expression] = STATE(1385),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1385),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1385),
    [sym_boolean_operator] = STATE(1385),
    [sym_await] = STATE(1385),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1385),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1385),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [963] = {
    [sym_lambda] = STATE(1386),
    [sym_conditional_expression] = STATE(1386),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1386),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1386),
    [sym_boolean_operator] = STATE(1386),
    [sym_await] = STATE(1386),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1386),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1386),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [964] = {
    [sym_attribute] = STATE(1387),
    [sym_dictionary_comprehension] = STATE(1387),
    [sym_generator_expression] = STATE(1387),
    [sym_binary_operator] = STATE(1387),
    [sym_unary_operator] = STATE(1387),
    [sym_call] = STATE(1387),
    [sym_list_comprehension] = STATE(1387),
    [sym_dictionary] = STATE(1387),
    [sym_parenthesized_expression] = STATE(1387),
    [sym_tuple] = STATE(1387),
    [sym_concatenated_string] = STATE(1387),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_set] = STATE(1387),
    [sym_set_comprehension] = STATE(1387),
    [sym__primary_expression] = STATE(1387),
    [sym_integer] = ACTIONS(2831),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2831),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2831),
    [sym__string_start] = ACTIONS(157),
  },
  [965] = {
    [sym_attribute] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_call] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym__primary_expression] = STATE(1388),
    [sym_integer] = ACTIONS(2835),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2835),
    [sym__string_start] = ACTIONS(157),
  },
  [966] = {
    [sym_attribute] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_call] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1388),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym__primary_expression] = STATE(1388),
    [sym_integer] = ACTIONS(2835),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(2839),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2835),
    [sym__string_start] = ACTIONS(157),
  },
  [967] = {
    [sym_attribute] = STATE(1390),
    [sym_dictionary_comprehension] = STATE(1390),
    [sym_generator_expression] = STATE(1390),
    [sym_binary_operator] = STATE(1390),
    [sym_unary_operator] = STATE(1390),
    [sym_call] = STATE(1390),
    [sym_list_comprehension] = STATE(1390),
    [sym_dictionary] = STATE(1390),
    [sym_parenthesized_expression] = STATE(1390),
    [sym_tuple] = STATE(1390),
    [sym_concatenated_string] = STATE(1390),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1390),
    [sym_list] = STATE(1390),
    [sym_set] = STATE(1390),
    [sym_set_comprehension] = STATE(1390),
    [sym__primary_expression] = STATE(1390),
    [sym_integer] = ACTIONS(2841),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2843),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2841),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2841),
    [sym__string_start] = ACTIONS(157),
  },
  [968] = {
    [sym_attribute] = STATE(1391),
    [sym_dictionary_comprehension] = STATE(1391),
    [sym_generator_expression] = STATE(1391),
    [sym_binary_operator] = STATE(1391),
    [sym_unary_operator] = STATE(1391),
    [sym_call] = STATE(1391),
    [sym_list_comprehension] = STATE(1391),
    [sym_dictionary] = STATE(1391),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_tuple] = STATE(1391),
    [sym_concatenated_string] = STATE(1391),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1391),
    [sym_list] = STATE(1391),
    [sym_set] = STATE(1391),
    [sym_set_comprehension] = STATE(1391),
    [sym__primary_expression] = STATE(1391),
    [sym_integer] = ACTIONS(2845),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2847),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2845),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2845),
    [sym__string_start] = ACTIONS(157),
  },
  [969] = {
    [anon_sym_in] = ACTIONS(2849),
    [sym_comment] = ACTIONS(3),
  },
  [970] = {
    [sym_attribute] = STATE(1392),
    [sym_dictionary_comprehension] = STATE(1392),
    [sym_generator_expression] = STATE(1392),
    [sym_binary_operator] = STATE(1392),
    [sym_unary_operator] = STATE(1392),
    [sym_call] = STATE(1392),
    [sym_list_comprehension] = STATE(1392),
    [sym_dictionary] = STATE(1392),
    [sym_parenthesized_expression] = STATE(1392),
    [sym_tuple] = STATE(1392),
    [sym_concatenated_string] = STATE(1392),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1392),
    [sym_list] = STATE(1392),
    [sym_set] = STATE(1392),
    [sym_set_comprehension] = STATE(1392),
    [sym__primary_expression] = STATE(1392),
    [sym_integer] = ACTIONS(2851),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2853),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2851),
    [sym__string_start] = ACTIONS(157),
  },
  [971] = {
    [sym_attribute] = STATE(1393),
    [sym_dictionary_comprehension] = STATE(1393),
    [sym_generator_expression] = STATE(1393),
    [sym_binary_operator] = STATE(1393),
    [sym_unary_operator] = STATE(1393),
    [sym_call] = STATE(1393),
    [sym_list_comprehension] = STATE(1393),
    [sym_dictionary] = STATE(1393),
    [sym_parenthesized_expression] = STATE(1393),
    [sym_tuple] = STATE(1393),
    [sym_concatenated_string] = STATE(1393),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1393),
    [sym_list] = STATE(1393),
    [sym_set] = STATE(1393),
    [sym_set_comprehension] = STATE(1393),
    [sym__primary_expression] = STATE(1393),
    [sym_integer] = ACTIONS(2855),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2855),
    [sym__string_start] = ACTIONS(157),
  },
  [972] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [973] = {
    [sym_attribute] = STATE(1394),
    [sym_dictionary_comprehension] = STATE(1394),
    [sym_generator_expression] = STATE(1394),
    [sym_binary_operator] = STATE(1394),
    [sym_unary_operator] = STATE(1394),
    [sym_call] = STATE(1394),
    [sym_list_comprehension] = STATE(1394),
    [sym_dictionary] = STATE(1394),
    [sym_parenthesized_expression] = STATE(1394),
    [sym_tuple] = STATE(1394),
    [sym_concatenated_string] = STATE(1394),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1394),
    [sym_list] = STATE(1394),
    [sym_set] = STATE(1394),
    [sym_set_comprehension] = STATE(1394),
    [sym__primary_expression] = STATE(1394),
    [sym_integer] = ACTIONS(2859),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2859),
    [sym__string_start] = ACTIONS(157),
  },
  [974] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1395),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_is] = ACTIONS(1789),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1803),
    [anon_sym_in] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1793),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1793),
  },
  [975] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(1609),
  },
  [976] = {
    [sym_lambda] = STATE(1396),
    [sym_conditional_expression] = STATE(1396),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(1396),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(1396),
    [sym_boolean_operator] = STATE(1396),
    [sym_await] = STATE(1396),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(1396),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(1396),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [977] = {
    [anon_sym_STAR] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
  },
  [978] = {
    [anon_sym_COLON] = ACTIONS(2863),
    [anon_sym_or] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2865),
    [sym__newline] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2863),
    [anon_sym_is] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2863),
    [anon_sym_AT_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT_EQ] = ACTIONS(2863),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_in] = ACTIONS(2863),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR_STAR] = ACTIONS(2865),
    [anon_sym_SLASH] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2865),
    [anon_sym_LT_GT] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_CARET_EQ] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2863),
    [anon_sym_STAR_EQ] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2863),
    [sym__semicolon] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2863),
    [anon_sym_PLUS_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2865),
    [anon_sym_PIPE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2865),
    [anon_sym_GT_GT] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_COMMA] = ACTIONS(2863),
    [anon_sym_SLASH_EQ] = ACTIONS(2863),
    [anon_sym_GT_GT_EQ] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
  },
  [979] = {
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_COMMA] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
  },
  [980] = {
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [981] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [982] = {
    [aux_sym_dictionary_repeat1] = STATE(982),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_COMMA] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
  },
  [983] = {
    [anon_sym_in] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
  },
  [984] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(1401),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [985] = {
    [sym_lambda] = STATE(1408),
    [sym_conditional_expression] = STATE(1408),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(1408),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(1408),
    [sym_boolean_operator] = STATE(1408),
    [sym_await] = STATE(1408),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(1408),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(1408),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [986] = {
    [sym_for_in_clause] = STATE(1410),
    [sym_if_clause] = STATE(1410),
    [aux_sym__comprehension_body_repeat1] = STATE(1410),
    [anon_sym_if] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(881),
  },
  [987] = {
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(2894),
    [sym__newline] = ACTIONS(2892),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_DASH_EQ] = ACTIONS(2892),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_EQ] = ACTIONS(2892),
    [anon_sym_AT_EQ] = ACTIONS(2892),
    [anon_sym_LT_LT_EQ] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_in] = ACTIONS(2892),
    [anon_sym_PERCENT_EQ] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_STAR_STAR] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_LT_GT] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2894),
    [anon_sym_EQ_EQ] = ACTIONS(2892),
    [anon_sym_CARET_EQ] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_STAR_EQ] = ACTIONS(2892),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2892),
    [sym__semicolon] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_and] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2894),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_PLUS_EQ] = ACTIONS(2892),
    [anon_sym_LT_LT] = ACTIONS(2894),
    [anon_sym_PIPE] = ACTIONS(2894),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT_GT] = ACTIONS(2894),
    [anon_sym_PIPE_EQ] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [anon_sym_SLASH_EQ] = ACTIONS(2892),
    [anon_sym_GT_GT_EQ] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_lambda] = STATE(495),
    [sym_conditional_expression] = STATE(495),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(495),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(495),
    [sym_boolean_operator] = STATE(495),
    [sym_await] = STATE(495),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(495),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(495),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(693),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [989] = {
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_SLASH_SLASH] = ACTIONS(2898),
    [sym__newline] = ACTIONS(2896),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_DASH_EQ] = ACTIONS(2896),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_AMP_EQ] = ACTIONS(2896),
    [anon_sym_AT_EQ] = ACTIONS(2896),
    [anon_sym_LT_LT_EQ] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_PERCENT_EQ] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR_STAR] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_AT] = ACTIONS(2898),
    [anon_sym_LT_GT] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2898),
    [anon_sym_EQ_EQ] = ACTIONS(2896),
    [anon_sym_CARET_EQ] = ACTIONS(2896),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_STAR_EQ] = ACTIONS(2896),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2896),
    [sym__semicolon] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_and] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_PLUS_EQ] = ACTIONS(2896),
    [anon_sym_LT_LT] = ACTIONS(2898),
    [anon_sym_PIPE] = ACTIONS(2898),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT_GT] = ACTIONS(2898),
    [anon_sym_PIPE_EQ] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [anon_sym_SLASH_EQ] = ACTIONS(2896),
    [anon_sym_GT_GT_EQ] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
  },
  [990] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_and] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [991] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [992] = {
    [aux_sym_list_repeat1] = STATE(992),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_COMMA] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
  },
  [993] = {
    [sym_string] = STATE(993),
    [aux_sym_concatenated_string_repeat1] = STATE(993),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [994] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [995] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [996] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(221),
  },
  [997] = {
    [sym_lambda] = STATE(1414),
    [sym_conditional_expression] = STATE(1414),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1414),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1414),
    [sym_boolean_operator] = STATE(1414),
    [sym_await] = STATE(1414),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1414),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1414),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [998] = {
    [sym_lambda_parameters] = STATE(1416),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_string] = STATE(1417),
    [aux_sym_concatenated_string_repeat1] = STATE(1417),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1000] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2913),
  },
  [1001] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1431),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_is] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [1002] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(2099),
  },
  [1003] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1004] = {
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [sym__newline] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_AT_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2943),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LT_GT] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [sym__semicolon] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
  },
  [1005] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1006] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1007] = {
    [sym_attribute] = STATE(1433),
    [sym_dictionary_comprehension] = STATE(1433),
    [sym_generator_expression] = STATE(1433),
    [sym_binary_operator] = STATE(1433),
    [sym_unary_operator] = STATE(1433),
    [sym_call] = STATE(1433),
    [sym_list_comprehension] = STATE(1433),
    [sym_dictionary] = STATE(1433),
    [sym_parenthesized_expression] = STATE(1433),
    [sym_tuple] = STATE(1433),
    [sym_concatenated_string] = STATE(1433),
    [sym_string] = STATE(172),
    [sym_subscript] = STATE(1433),
    [sym_list] = STATE(1433),
    [sym_set] = STATE(1433),
    [sym_set_comprehension] = STATE(1433),
    [sym__primary_expression] = STATE(1433),
    [sym_integer] = ACTIONS(2947),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2947),
    [sym__string_start] = ACTIONS(157),
  },
  [1008] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1009] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1010] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1011] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1012] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1013] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1013),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2954),
    [anon_sym_is] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2954),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1014] = {
    [anon_sym_with] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_def] = ACTIONS(2967),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
  },
  [1016] = {
    [sym_lambda] = STATE(100),
    [sym__primary_expression] = STATE(101),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(100),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_with_item] = STATE(1438),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(100),
    [sym_boolean_operator] = STATE(100),
    [sym_await] = STATE(100),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(100),
    [sym_conditional_expression] = STATE(100),
    [sym_comparison_operator] = STATE(100),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [1017] = {
    [sym_lambda] = STATE(1439),
    [sym_conditional_expression] = STATE(1439),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1439),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1439),
    [sym_boolean_operator] = STATE(1439),
    [sym_await] = STATE(1439),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1439),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1439),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1018] = {
    [sym_lambda] = STATE(1440),
    [sym_conditional_expression] = STATE(1440),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1440),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1440),
    [sym_boolean_operator] = STATE(1440),
    [sym_await] = STATE(1440),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1440),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1440),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1019] = {
    [sym_identifier] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [anon_sym_except] = ACTIONS(2973),
    [anon_sym_finally] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
  },
  [1021] = {
    [anon_sym_COLON] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
  },
  [1022] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(1443),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [1023] = {
    [aux_sym__simple_statements_repeat1] = STATE(1446),
    [sym__semicolon] = ACTIONS(2977),
    [sym__newline] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_integer] = ACTIONS(303),
    [sym_true] = ACTIONS(303),
    [sym__string_start] = ACTIONS(305),
    [anon_sym_nonlocal] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(303),
    [anon_sym_assert] = ACTIONS(303),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(303),
    [anon_sym_from] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(305),
    [sym_none] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_pass] = ACTIONS(303),
    [sym_float] = ACTIONS(305),
    [anon_sym_PLUS] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(305),
    [anon_sym_lambda] = ACTIONS(303),
    [anon_sym_TILDE] = ACTIONS(305),
    [anon_sym_print] = ACTIONS(303),
    [anon_sym_del] = ACTIONS(303),
    [sym_ellipsis] = ACTIONS(305),
    [anon_sym_import] = ACTIONS(303),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_def] = ACTIONS(303),
    [anon_sym_await] = ACTIONS(303),
    [anon_sym_break] = ACTIONS(303),
    [sym_identifier] = ACTIONS(303),
    [anon_sym_DASH] = ACTIONS(305),
    [sym__dedent] = ACTIONS(305),
    [anon_sym_global] = ACTIONS(303),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_exec] = ACTIONS(303),
    [anon_sym_raise] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_try] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(303),
    [sym_false] = ACTIONS(303),
    [anon_sym_continue] = ACTIONS(303),
    [anon_sym_async] = ACTIONS(303),
  },
  [1025] = {
    [sym_integer] = ACTIONS(313),
    [sym_true] = ACTIONS(313),
    [sym__string_start] = ACTIONS(315),
    [anon_sym_nonlocal] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_assert] = ACTIONS(313),
    [anon_sym_yield] = ACTIONS(313),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_from] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(315),
    [sym_none] = ACTIONS(313),
    [anon_sym_with] = ACTIONS(313),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_pass] = ACTIONS(313),
    [sym_float] = ACTIONS(315),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(315),
    [anon_sym_lambda] = ACTIONS(313),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_print] = ACTIONS(313),
    [anon_sym_del] = ACTIONS(313),
    [sym_ellipsis] = ACTIONS(315),
    [anon_sym_import] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_def] = ACTIONS(313),
    [anon_sym_await] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(313),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_DASH] = ACTIONS(315),
    [sym__dedent] = ACTIONS(315),
    [anon_sym_global] = ACTIONS(313),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_exec] = ACTIONS(313),
    [anon_sym_raise] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(313),
    [sym_false] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(313),
  },
  [1026] = {
    [sym_except_clause] = STATE(1447),
    [aux_sym_try_statement_repeat1] = STATE(1447),
    [sym_finally_clause] = STATE(1448),
    [anon_sym_except] = ACTIONS(1907),
    [anon_sym_finally] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_integer] = ACTIONS(351),
    [sym_true] = ACTIONS(351),
    [sym__string_start] = ACTIONS(353),
    [anon_sym_nonlocal] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(351),
    [anon_sym_assert] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(351),
    [anon_sym_return] = ACTIONS(351),
    [anon_sym_from] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(353),
    [sym_none] = ACTIONS(351),
    [anon_sym_with] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_pass] = ACTIONS(351),
    [sym_float] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_AT] = ACTIONS(353),
    [anon_sym_lambda] = ACTIONS(351),
    [anon_sym_TILDE] = ACTIONS(353),
    [anon_sym_print] = ACTIONS(351),
    [anon_sym_del] = ACTIONS(351),
    [sym_ellipsis] = ACTIONS(353),
    [anon_sym_import] = ACTIONS(351),
    [anon_sym_while] = ACTIONS(351),
    [anon_sym_def] = ACTIONS(351),
    [anon_sym_await] = ACTIONS(351),
    [anon_sym_break] = ACTIONS(351),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(353),
    [sym__dedent] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(351),
    [anon_sym_exec] = ACTIONS(351),
    [anon_sym_raise] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(353),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_try] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(351),
    [sym_false] = ACTIONS(351),
    [anon_sym_continue] = ACTIONS(351),
    [anon_sym_async] = ACTIONS(351),
  },
  [1028] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1450),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [sym__dedent] = ACTIONS(2981),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1029] = {
    [aux_sym_decorated_definition_repeat1] = STATE(204),
    [sym_function_definition] = STATE(1452),
    [sym_decorator] = STATE(204),
    [sym_class_definition] = STATE(1452),
    [anon_sym_async] = ACTIONS(2983),
    [anon_sym_AT] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_def] = ACTIONS(2987),
  },
  [1030] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(2989),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1031] = {
    [anon_sym_except] = ACTIONS(947),
    [anon_sym_finally] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [aux_sym__simple_statements_repeat1] = STATE(544),
    [sym__semicolon] = ACTIONS(2991),
    [sym__newline] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_lambda] = STATE(1456),
    [sym_conditional_expression] = STATE(1456),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(1456),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(1456),
    [sym_boolean_operator] = STATE(1456),
    [sym_await] = STATE(1456),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(1456),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(1456),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(2993),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [1034] = {
    [anon_sym_COLON] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_except_clause] = STATE(1459),
    [sym_else_clause] = STATE(1458),
    [aux_sym_try_statement_repeat1] = STATE(1459),
    [sym_finally_clause] = STATE(1460),
    [sym_integer] = ACTIONS(2997),
    [sym_true] = ACTIONS(2997),
    [sym__string_start] = ACTIONS(2999),
    [anon_sym_nonlocal] = ACTIONS(2997),
    [anon_sym_finally] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(2997),
    [anon_sym_yield] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_from] = ACTIONS(2997),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [sym_none] = ACTIONS(2997),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_pass] = ACTIONS(2997),
    [sym_float] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_lambda] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_print] = ACTIONS(2997),
    [anon_sym_del] = ACTIONS(2997),
    [sym_ellipsis] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_def] = ACTIONS(2997),
    [anon_sym_await] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_except] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_exec] = ACTIONS(2997),
    [ts_builtin_sym_end] = ACTIONS(2999),
    [anon_sym_raise] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_async] = ACTIONS(2997),
  },
  [1036] = {
    [sym_integer] = ACTIONS(2997),
    [sym_true] = ACTIONS(2997),
    [sym__string_start] = ACTIONS(2999),
    [anon_sym_nonlocal] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_assert] = ACTIONS(2997),
    [anon_sym_yield] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_from] = ACTIONS(2997),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [sym_none] = ACTIONS(2997),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_pass] = ACTIONS(2997),
    [sym_float] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_lambda] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_print] = ACTIONS(2997),
    [anon_sym_del] = ACTIONS(2997),
    [sym_ellipsis] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_def] = ACTIONS(2997),
    [anon_sym_await] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_global] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_exec] = ACTIONS(2997),
    [ts_builtin_sym_end] = ACTIONS(2999),
    [anon_sym_raise] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_async] = ACTIONS(2997),
  },
  [1037] = {
    [sym_string] = STATE(1037),
    [aux_sym_concatenated_string_repeat1] = STATE(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [sym__string_start] = ACTIONS(2393),
  },
  [1038] = {
    [anon_sym_COLON] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
  },
  [1039] = {
    [aux_sym_assert_statement_repeat1] = STATE(1463),
    [anon_sym_COLON] = ACTIONS(363),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1044] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3009),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(3009),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [1046] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_SLASH_SLASH] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(933),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_STAR_STAR] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_attribute] = STATE(1045),
    [sym_dictionary_comprehension] = STATE(1045),
    [sym_generator_expression] = STATE(1045),
    [sym_binary_operator] = STATE(1045),
    [sym_unary_operator] = STATE(1045),
    [sym_call] = STATE(1045),
    [sym_list_comprehension] = STATE(1045),
    [sym_dictionary] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1045),
    [sym_tuple] = STATE(1045),
    [sym_concatenated_string] = STATE(1045),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1045),
    [sym_list] = STATE(1045),
    [sym_set] = STATE(1045),
    [sym_set_comprehension] = STATE(1045),
    [sym__primary_expression] = STATE(1045),
    [sym_integer] = ACTIONS(1931),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(3011),
    [sym_none] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1931),
    [sym__string_start] = ACTIONS(157),
  },
  [1048] = {
    [aux_sym_variables_repeat1] = STATE(1048),
    [anon_sym_in] = ACTIONS(3009),
    [anon_sym_COMMA] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_integer] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym__string_start] = ACTIONS(3018),
    [anon_sym_nonlocal] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_finally] = ACTIONS(3016),
    [anon_sym_assert] = ACTIONS(3016),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_from] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [sym_none] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_pass] = ACTIONS(3016),
    [sym_float] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_elif] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_lambda] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_print] = ACTIONS(3016),
    [anon_sym_del] = ACTIONS(3016),
    [sym_ellipsis] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_def] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_except] = ACTIONS(3016),
    [anon_sym_global] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_exec] = ACTIONS(3016),
    [ts_builtin_sym_end] = ACTIONS(3018),
    [anon_sym_raise] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
  },
  [1050] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1051] = {
    [sym_lambda] = STATE(1465),
    [sym_conditional_expression] = STATE(1465),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1465),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1465),
    [sym_boolean_operator] = STATE(1465),
    [sym_await] = STATE(1465),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1465),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1465),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1052] = {
    [sym__semicolon] = ACTIONS(741),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [1053] = {
    [sym_lambda] = STATE(1466),
    [sym_conditional_expression] = STATE(1466),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1466),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1466),
    [sym_boolean_operator] = STATE(1466),
    [sym_await] = STATE(1466),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1466),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1466),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1054] = {
    [anon_sym_COLON] = ACTIONS(3020),
    [sym_comment] = ACTIONS(3),
  },
  [1055] = {
    [sym_lambda] = STATE(556),
    [sym_yield] = STATE(1468),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(556),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(554),
    [sym_not_operator] = STATE(556),
    [sym_boolean_operator] = STATE(556),
    [sym_assignment] = STATE(1468),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(556),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(1468),
    [sym__right_hand_side] = STATE(1468),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(556),
    [sym__expression] = STATE(556),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(556),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [1056] = {
    [sym_string] = STATE(1469),
    [aux_sym_concatenated_string_repeat1] = STATE(1469),
    [sym__newline] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [sym__semicolon] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [1057] = {
    [sym_lambda] = STATE(597),
    [sym_conditional_expression] = STATE(597),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(597),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(597),
    [sym_boolean_operator] = STATE(597),
    [sym_await] = STATE(597),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(597),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(597),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1058] = {
    [sym_lambda] = STATE(1470),
    [sym_conditional_expression] = STATE(1470),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1470),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1470),
    [sym_boolean_operator] = STATE(1470),
    [sym_await] = STATE(1470),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1470),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1470),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1059] = {
    [sym_lambda] = STATE(1471),
    [sym_conditional_expression] = STATE(1471),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1471),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1471),
    [sym_boolean_operator] = STATE(1471),
    [sym_await] = STATE(1471),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1471),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1471),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1060] = {
    [sym_attribute] = STATE(1472),
    [sym_dictionary_comprehension] = STATE(1472),
    [sym_generator_expression] = STATE(1472),
    [sym_binary_operator] = STATE(1472),
    [sym_unary_operator] = STATE(1472),
    [sym_call] = STATE(1472),
    [sym_list_comprehension] = STATE(1472),
    [sym_dictionary] = STATE(1472),
    [sym_parenthesized_expression] = STATE(1472),
    [sym_tuple] = STATE(1472),
    [sym_concatenated_string] = STATE(1472),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1472),
    [sym_list] = STATE(1472),
    [sym_set] = STATE(1472),
    [sym_set_comprehension] = STATE(1472),
    [sym__primary_expression] = STATE(1472),
    [sym_integer] = ACTIONS(3022),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3024),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3022),
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3022),
    [sym__string_start] = ACTIONS(115),
  },
  [1061] = {
    [sym_attribute] = STATE(1473),
    [sym_dictionary_comprehension] = STATE(1473),
    [sym_generator_expression] = STATE(1473),
    [sym_binary_operator] = STATE(1473),
    [sym_unary_operator] = STATE(1473),
    [sym_call] = STATE(1473),
    [sym_list_comprehension] = STATE(1473),
    [sym_dictionary] = STATE(1473),
    [sym_parenthesized_expression] = STATE(1473),
    [sym_tuple] = STATE(1473),
    [sym_concatenated_string] = STATE(1473),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1473),
    [sym_list] = STATE(1473),
    [sym_set] = STATE(1473),
    [sym_set_comprehension] = STATE(1473),
    [sym__primary_expression] = STATE(1473),
    [sym_integer] = ACTIONS(3026),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3026),
    [sym_identifier] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3026),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3026),
    [sym__string_start] = ACTIONS(115),
  },
  [1062] = {
    [sym_attribute] = STATE(1473),
    [sym_dictionary_comprehension] = STATE(1473),
    [sym_generator_expression] = STATE(1473),
    [sym_binary_operator] = STATE(1473),
    [sym_unary_operator] = STATE(1473),
    [sym_call] = STATE(1473),
    [sym_list_comprehension] = STATE(1473),
    [sym_dictionary] = STATE(1473),
    [sym_parenthesized_expression] = STATE(1473),
    [sym_tuple] = STATE(1473),
    [sym_concatenated_string] = STATE(1473),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1473),
    [sym_list] = STATE(1473),
    [sym_set] = STATE(1473),
    [sym_set_comprehension] = STATE(1473),
    [sym__primary_expression] = STATE(1473),
    [sym_integer] = ACTIONS(3026),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3026),
    [sym_identifier] = ACTIONS(3026),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(3030),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3026),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3026),
    [sym__string_start] = ACTIONS(115),
  },
  [1063] = {
    [sym_attribute] = STATE(1475),
    [sym_dictionary_comprehension] = STATE(1475),
    [sym_generator_expression] = STATE(1475),
    [sym_binary_operator] = STATE(1475),
    [sym_unary_operator] = STATE(1475),
    [sym_call] = STATE(1475),
    [sym_list_comprehension] = STATE(1475),
    [sym_dictionary] = STATE(1475),
    [sym_parenthesized_expression] = STATE(1475),
    [sym_tuple] = STATE(1475),
    [sym_concatenated_string] = STATE(1475),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1475),
    [sym_list] = STATE(1475),
    [sym_set] = STATE(1475),
    [sym_set_comprehension] = STATE(1475),
    [sym__primary_expression] = STATE(1475),
    [sym_integer] = ACTIONS(3032),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3034),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3032),
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3032),
    [sym__string_start] = ACTIONS(115),
  },
  [1064] = {
    [sym_attribute] = STATE(1476),
    [sym_dictionary_comprehension] = STATE(1476),
    [sym_generator_expression] = STATE(1476),
    [sym_binary_operator] = STATE(1476),
    [sym_unary_operator] = STATE(1476),
    [sym_call] = STATE(1476),
    [sym_list_comprehension] = STATE(1476),
    [sym_dictionary] = STATE(1476),
    [sym_parenthesized_expression] = STATE(1476),
    [sym_tuple] = STATE(1476),
    [sym_concatenated_string] = STATE(1476),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1476),
    [sym_list] = STATE(1476),
    [sym_set] = STATE(1476),
    [sym_set_comprehension] = STATE(1476),
    [sym__primary_expression] = STATE(1476),
    [sym_integer] = ACTIONS(3036),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3036),
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3036),
    [sym__string_start] = ACTIONS(115),
  },
  [1065] = {
    [anon_sym_in] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_attribute] = STATE(1477),
    [sym_dictionary_comprehension] = STATE(1477),
    [sym_generator_expression] = STATE(1477),
    [sym_binary_operator] = STATE(1477),
    [sym_unary_operator] = STATE(1477),
    [sym_call] = STATE(1477),
    [sym_list_comprehension] = STATE(1477),
    [sym_dictionary] = STATE(1477),
    [sym_parenthesized_expression] = STATE(1477),
    [sym_tuple] = STATE(1477),
    [sym_concatenated_string] = STATE(1477),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1477),
    [sym_list] = STATE(1477),
    [sym_set] = STATE(1477),
    [sym_set_comprehension] = STATE(1477),
    [sym__primary_expression] = STATE(1477),
    [sym_integer] = ACTIONS(3042),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3044),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3042),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3042),
    [sym__string_start] = ACTIONS(115),
  },
  [1067] = {
    [sym_attribute] = STATE(1478),
    [sym_dictionary_comprehension] = STATE(1478),
    [sym_generator_expression] = STATE(1478),
    [sym_binary_operator] = STATE(1478),
    [sym_unary_operator] = STATE(1478),
    [sym_call] = STATE(1478),
    [sym_list_comprehension] = STATE(1478),
    [sym_dictionary] = STATE(1478),
    [sym_parenthesized_expression] = STATE(1478),
    [sym_tuple] = STATE(1478),
    [sym_concatenated_string] = STATE(1478),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1478),
    [sym_list] = STATE(1478),
    [sym_set] = STATE(1478),
    [sym_set_comprehension] = STATE(1478),
    [sym__primary_expression] = STATE(1478),
    [sym_integer] = ACTIONS(3046),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3048),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3046),
    [sym_identifier] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3046),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3046),
    [sym__string_start] = ACTIONS(115),
  },
  [1068] = {
    [sym_attribute] = STATE(676),
    [sym_dictionary_comprehension] = STATE(676),
    [sym_generator_expression] = STATE(676),
    [sym_binary_operator] = STATE(676),
    [sym_unary_operator] = STATE(676),
    [sym_call] = STATE(676),
    [sym_list_comprehension] = STATE(676),
    [sym_dictionary] = STATE(676),
    [sym_parenthesized_expression] = STATE(676),
    [sym_tuple] = STATE(676),
    [sym_concatenated_string] = STATE(676),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(676),
    [sym_list] = STATE(676),
    [sym_set] = STATE(676),
    [sym_set_comprehension] = STATE(676),
    [sym__primary_expression] = STATE(676),
    [sym_integer] = ACTIONS(1302),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1302),
    [sym__string_start] = ACTIONS(115),
  },
  [1069] = {
    [sym_attribute] = STATE(1479),
    [sym_dictionary_comprehension] = STATE(1479),
    [sym_generator_expression] = STATE(1479),
    [sym_binary_operator] = STATE(1479),
    [sym_unary_operator] = STATE(1479),
    [sym_call] = STATE(1479),
    [sym_list_comprehension] = STATE(1479),
    [sym_dictionary] = STATE(1479),
    [sym_parenthesized_expression] = STATE(1479),
    [sym_tuple] = STATE(1479),
    [sym_concatenated_string] = STATE(1479),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1479),
    [sym_list] = STATE(1479),
    [sym_set] = STATE(1479),
    [sym_set_comprehension] = STATE(1479),
    [sym__primary_expression] = STATE(1479),
    [sym_integer] = ACTIONS(3050),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3052),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3050),
    [sym_identifier] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3050),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3050),
    [sym__string_start] = ACTIONS(115),
  },
  [1070] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1480),
    [sym__newline] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(1976),
    [sym__semicolon] = ACTIONS(1033),
    [anon_sym_is] = ACTIONS(1978),
    [anon_sym_LT_EQ] = ACTIONS(1982),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1992),
    [anon_sym_in] = ACTIONS(1982),
    [anon_sym_GT_EQ] = ACTIONS(1982),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(1982),
    [anon_sym_BANG_EQ] = ACTIONS(1982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1982),
  },
  [1071] = {
    [sym_lambda] = STATE(588),
    [sym_conditional_expression] = STATE(588),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(588),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(588),
    [sym_boolean_operator] = STATE(588),
    [sym_await] = STATE(588),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(588),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(588),
    [anon_sym_COLON] = ACTIONS(1156),
    [sym__newline] = ACTIONS(1156),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(1156),
    [anon_sym_AMP_EQ] = ACTIONS(1156),
    [anon_sym_AT_EQ] = ACTIONS(1156),
    [anon_sym_LT_LT_EQ] = ACTIONS(1156),
    [anon_sym_PERCENT_EQ] = ACTIONS(1156),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_EQ] = ACTIONS(1156),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(1156),
    [anon_sym_print] = ACTIONS(191),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_STAR_EQ] = ACTIONS(1156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1156),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(1156),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [anon_sym_PLUS_EQ] = ACTIONS(1156),
    [anon_sym_PIPE_EQ] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_GT_GT_EQ] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [1072] = {
    [aux_sym_assert_statement_repeat1] = STATE(599),
    [anon_sym_COLON] = ACTIONS(1156),
    [anon_sym_CARET_EQ] = ACTIONS(1156),
    [sym__newline] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_STAR_EQ] = ACTIONS(1156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1156),
    [anon_sym_DASH_EQ] = ACTIONS(1156),
    [sym__semicolon] = ACTIONS(1156),
    [anon_sym_AMP_EQ] = ACTIONS(1156),
    [anon_sym_AT_EQ] = ACTIONS(1156),
    [anon_sym_LT_LT_EQ] = ACTIONS(1156),
    [anon_sym_PERCENT_EQ] = ACTIONS(1156),
    [anon_sym_PLUS_EQ] = ACTIONS(1156),
    [anon_sym_PIPE_EQ] = ACTIONS(1156),
    [anon_sym_EQ] = ACTIONS(1156),
    [anon_sym_SLASH_EQ] = ACTIONS(1156),
    [anon_sym_GT_GT_EQ] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(3054),
    [sym_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_lambda] = STATE(1482),
    [sym_conditional_expression] = STATE(1482),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1482),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1482),
    [sym_boolean_operator] = STATE(1482),
    [sym_await] = STATE(1482),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1482),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1482),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_RBRACK] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1074] = {
    [anon_sym_COLON] = ACTIONS(3058),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
  },
  [1075] = {
    [sym_lambda] = STATE(1484),
    [sym_conditional_expression] = STATE(1484),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1484),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1484),
    [sym_boolean_operator] = STATE(1484),
    [sym_await] = STATE(1484),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1484),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1484),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1076] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [1077] = {
    [sym_lambda] = STATE(1485),
    [sym_conditional_expression] = STATE(1485),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1485),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1485),
    [sym_boolean_operator] = STATE(1485),
    [sym_await] = STATE(1485),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1485),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1485),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1078] = {
    [anon_sym_COLON] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_string] = STATE(1487),
    [aux_sym_concatenated_string_repeat1] = STATE(1487),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1080] = {
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [sym__newline] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_AT_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3064),
    [anon_sym_LT_GT] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [sym__semicolon] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT_GT] = ACTIONS(3064),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1082] = {
    [aux_sym_subscript_repeat1] = STATE(1492),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3068),
    [sym_comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_lambda] = STATE(1493),
    [sym_conditional_expression] = STATE(1493),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1493),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1493),
    [sym_boolean_operator] = STATE(1493),
    [sym_await] = STATE(1493),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1493),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1493),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(3058),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1084] = {
    [sym_lambda] = STATE(1494),
    [sym_conditional_expression] = STATE(1494),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1494),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1494),
    [sym_boolean_operator] = STATE(1494),
    [sym_await] = STATE(1494),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1494),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1494),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1085] = {
    [sym_lambda] = STATE(1495),
    [sym_conditional_expression] = STATE(1495),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1495),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1495),
    [sym_boolean_operator] = STATE(1495),
    [sym_await] = STATE(1495),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1495),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1495),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1086] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1087] = {
    [sym_attribute] = STATE(1496),
    [sym_dictionary_comprehension] = STATE(1496),
    [sym_generator_expression] = STATE(1496),
    [sym_binary_operator] = STATE(1496),
    [sym_unary_operator] = STATE(1496),
    [sym_call] = STATE(1496),
    [sym_list_comprehension] = STATE(1496),
    [sym_dictionary] = STATE(1496),
    [sym_parenthesized_expression] = STATE(1496),
    [sym_tuple] = STATE(1496),
    [sym_concatenated_string] = STATE(1496),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1496),
    [sym_list] = STATE(1496),
    [sym_set] = STATE(1496),
    [sym_set_comprehension] = STATE(1496),
    [sym__primary_expression] = STATE(1496),
    [sym_integer] = ACTIONS(3070),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3072),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3070),
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3070),
    [sym__string_start] = ACTIONS(157),
  },
  [1088] = {
    [sym_attribute] = STATE(1497),
    [sym_dictionary_comprehension] = STATE(1497),
    [sym_generator_expression] = STATE(1497),
    [sym_binary_operator] = STATE(1497),
    [sym_unary_operator] = STATE(1497),
    [sym_call] = STATE(1497),
    [sym_list_comprehension] = STATE(1497),
    [sym_dictionary] = STATE(1497),
    [sym_parenthesized_expression] = STATE(1497),
    [sym_tuple] = STATE(1497),
    [sym_concatenated_string] = STATE(1497),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1497),
    [sym_list] = STATE(1497),
    [sym_set] = STATE(1497),
    [sym_set_comprehension] = STATE(1497),
    [sym__primary_expression] = STATE(1497),
    [sym_integer] = ACTIONS(3074),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3074),
    [sym__string_start] = ACTIONS(157),
  },
  [1089] = {
    [sym_attribute] = STATE(1497),
    [sym_dictionary_comprehension] = STATE(1497),
    [sym_generator_expression] = STATE(1497),
    [sym_binary_operator] = STATE(1497),
    [sym_unary_operator] = STATE(1497),
    [sym_call] = STATE(1497),
    [sym_list_comprehension] = STATE(1497),
    [sym_dictionary] = STATE(1497),
    [sym_parenthesized_expression] = STATE(1497),
    [sym_tuple] = STATE(1497),
    [sym_concatenated_string] = STATE(1497),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1497),
    [sym_list] = STATE(1497),
    [sym_set] = STATE(1497),
    [sym_set_comprehension] = STATE(1497),
    [sym__primary_expression] = STATE(1497),
    [sym_integer] = ACTIONS(3074),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3076),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(3078),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3074),
    [sym__string_start] = ACTIONS(157),
  },
  [1090] = {
    [sym_attribute] = STATE(1499),
    [sym_dictionary_comprehension] = STATE(1499),
    [sym_generator_expression] = STATE(1499),
    [sym_binary_operator] = STATE(1499),
    [sym_unary_operator] = STATE(1499),
    [sym_call] = STATE(1499),
    [sym_list_comprehension] = STATE(1499),
    [sym_dictionary] = STATE(1499),
    [sym_parenthesized_expression] = STATE(1499),
    [sym_tuple] = STATE(1499),
    [sym_concatenated_string] = STATE(1499),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1499),
    [sym_list] = STATE(1499),
    [sym_set] = STATE(1499),
    [sym_set_comprehension] = STATE(1499),
    [sym__primary_expression] = STATE(1499),
    [sym_integer] = ACTIONS(3080),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3080),
    [sym_identifier] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3080),
    [sym__string_start] = ACTIONS(157),
  },
  [1091] = {
    [sym_attribute] = STATE(1500),
    [sym_dictionary_comprehension] = STATE(1500),
    [sym_generator_expression] = STATE(1500),
    [sym_binary_operator] = STATE(1500),
    [sym_unary_operator] = STATE(1500),
    [sym_call] = STATE(1500),
    [sym_list_comprehension] = STATE(1500),
    [sym_dictionary] = STATE(1500),
    [sym_parenthesized_expression] = STATE(1500),
    [sym_tuple] = STATE(1500),
    [sym_concatenated_string] = STATE(1500),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1500),
    [sym_list] = STATE(1500),
    [sym_set] = STATE(1500),
    [sym_set_comprehension] = STATE(1500),
    [sym__primary_expression] = STATE(1500),
    [sym_integer] = ACTIONS(3084),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3084),
    [sym_identifier] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3084),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3084),
    [sym__string_start] = ACTIONS(157),
  },
  [1092] = {
    [anon_sym_in] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
  },
  [1093] = {
    [sym_attribute] = STATE(1501),
    [sym_dictionary_comprehension] = STATE(1501),
    [sym_generator_expression] = STATE(1501),
    [sym_binary_operator] = STATE(1501),
    [sym_unary_operator] = STATE(1501),
    [sym_call] = STATE(1501),
    [sym_list_comprehension] = STATE(1501),
    [sym_dictionary] = STATE(1501),
    [sym_parenthesized_expression] = STATE(1501),
    [sym_tuple] = STATE(1501),
    [sym_concatenated_string] = STATE(1501),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1501),
    [sym_list] = STATE(1501),
    [sym_set] = STATE(1501),
    [sym_set_comprehension] = STATE(1501),
    [sym__primary_expression] = STATE(1501),
    [sym_integer] = ACTIONS(3090),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3090),
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3090),
    [sym__string_start] = ACTIONS(157),
  },
  [1094] = {
    [sym_attribute] = STATE(1502),
    [sym_dictionary_comprehension] = STATE(1502),
    [sym_generator_expression] = STATE(1502),
    [sym_binary_operator] = STATE(1502),
    [sym_unary_operator] = STATE(1502),
    [sym_call] = STATE(1502),
    [sym_list_comprehension] = STATE(1502),
    [sym_dictionary] = STATE(1502),
    [sym_parenthesized_expression] = STATE(1502),
    [sym_tuple] = STATE(1502),
    [sym_concatenated_string] = STATE(1502),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1502),
    [sym_list] = STATE(1502),
    [sym_set] = STATE(1502),
    [sym_set_comprehension] = STATE(1502),
    [sym__primary_expression] = STATE(1502),
    [sym_integer] = ACTIONS(3094),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3094),
    [sym__string_start] = ACTIONS(157),
  },
  [1095] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1096] = {
    [sym_attribute] = STATE(1503),
    [sym_dictionary_comprehension] = STATE(1503),
    [sym_generator_expression] = STATE(1503),
    [sym_binary_operator] = STATE(1503),
    [sym_unary_operator] = STATE(1503),
    [sym_call] = STATE(1503),
    [sym_list_comprehension] = STATE(1503),
    [sym_dictionary] = STATE(1503),
    [sym_parenthesized_expression] = STATE(1503),
    [sym_tuple] = STATE(1503),
    [sym_concatenated_string] = STATE(1503),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1503),
    [sym_list] = STATE(1503),
    [sym_set] = STATE(1503),
    [sym_set_comprehension] = STATE(1503),
    [sym__primary_expression] = STATE(1503),
    [sym_integer] = ACTIONS(3098),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3098),
    [sym__string_start] = ACTIONS(157),
  },
  [1097] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1504),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(2028),
    [anon_sym_is] = ACTIONS(2030),
    [anon_sym_LT_EQ] = ACTIONS(2034),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(2044),
    [anon_sym_in] = ACTIONS(2034),
    [anon_sym_GT_EQ] = ACTIONS(2034),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(2034),
    [anon_sym_BANG_EQ] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2034),
  },
  [1098] = {
    [sym_argument_list] = STATE(199),
    [sym_generator_expression] = STATE(199),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [sym__newline] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(319),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(329),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(331),
    [anon_sym_STAR_STAR] = ACTIONS(333),
    [anon_sym_SLASH] = ACTIONS(319),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(319),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [sym__semicolon] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(341),
    [anon_sym_PIPE] = ACTIONS(343),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT] = ACTIONS(341),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [1099] = {
    [sym_lambda] = STATE(1505),
    [sym_conditional_expression] = STATE(1505),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1505),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1505),
    [sym_boolean_operator] = STATE(1505),
    [sym_await] = STATE(1505),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1505),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1505),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1100] = {
    [sym_lambda] = STATE(1506),
    [sym_conditional_expression] = STATE(1506),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1506),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1506),
    [sym_boolean_operator] = STATE(1506),
    [sym_await] = STATE(1506),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1506),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1506),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1101] = {
    [sym_lambda] = STATE(1507),
    [sym_conditional_expression] = STATE(1507),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1507),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1507),
    [sym_boolean_operator] = STATE(1507),
    [sym_await] = STATE(1507),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1507),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1507),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1102] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
  },
  [1103] = {
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [sym__newline] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_AT_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LT_GT] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [sym__semicolon] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3108),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
  },
  [1104] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1105] = {
    [aux_sym_argument_list_repeat1] = STATE(1512),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_lambda] = STATE(1513),
    [sym_conditional_expression] = STATE(1513),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1513),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1513),
    [sym_boolean_operator] = STATE(1513),
    [sym_await] = STATE(1513),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1513),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1513),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1107] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1108] = {
    [sym_lambda] = STATE(1514),
    [sym_conditional_expression] = STATE(1514),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1514),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1514),
    [sym_boolean_operator] = STATE(1514),
    [sym_await] = STATE(1514),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1514),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1514),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1109] = {
    [anon_sym_COLON] = ACTIONS(3114),
    [sym_comment] = ACTIONS(3),
  },
  [1110] = {
    [sym_string] = STATE(1516),
    [aux_sym_concatenated_string_repeat1] = STATE(1516),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1111] = {
    [sym_lambda] = STATE(1517),
    [sym_conditional_expression] = STATE(1517),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1517),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1517),
    [sym_boolean_operator] = STATE(1517),
    [sym_await] = STATE(1517),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1517),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1517),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1112] = {
    [sym_lambda] = STATE(1518),
    [sym_conditional_expression] = STATE(1518),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(1518),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(1518),
    [sym_boolean_operator] = STATE(1518),
    [sym_await] = STATE(1518),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(1518),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(1518),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [1113] = {
    [sym_lambda] = STATE(1519),
    [sym_conditional_expression] = STATE(1519),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1519),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1519),
    [sym_boolean_operator] = STATE(1519),
    [sym_await] = STATE(1519),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1519),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1519),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1114] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1115] = {
    [sym_attribute] = STATE(1520),
    [sym_dictionary_comprehension] = STATE(1520),
    [sym_generator_expression] = STATE(1520),
    [sym_binary_operator] = STATE(1520),
    [sym_unary_operator] = STATE(1520),
    [sym_call] = STATE(1520),
    [sym_list_comprehension] = STATE(1520),
    [sym_dictionary] = STATE(1520),
    [sym_parenthesized_expression] = STATE(1520),
    [sym_tuple] = STATE(1520),
    [sym_concatenated_string] = STATE(1520),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1520),
    [sym_list] = STATE(1520),
    [sym_set] = STATE(1520),
    [sym_set_comprehension] = STATE(1520),
    [sym__primary_expression] = STATE(1520),
    [sym_integer] = ACTIONS(3116),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3116),
    [sym_identifier] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3116),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3118),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3116),
    [sym__string_start] = ACTIONS(157),
  },
  [1116] = {
    [sym_attribute] = STATE(1521),
    [sym_dictionary_comprehension] = STATE(1521),
    [sym_generator_expression] = STATE(1521),
    [sym_binary_operator] = STATE(1521),
    [sym_unary_operator] = STATE(1521),
    [sym_call] = STATE(1521),
    [sym_list_comprehension] = STATE(1521),
    [sym_dictionary] = STATE(1521),
    [sym_parenthesized_expression] = STATE(1521),
    [sym_tuple] = STATE(1521),
    [sym_concatenated_string] = STATE(1521),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1521),
    [sym_list] = STATE(1521),
    [sym_set] = STATE(1521),
    [sym_set_comprehension] = STATE(1521),
    [sym__primary_expression] = STATE(1521),
    [sym_integer] = ACTIONS(3120),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3120),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3120),
    [sym__string_start] = ACTIONS(157),
  },
  [1117] = {
    [sym_attribute] = STATE(1521),
    [sym_dictionary_comprehension] = STATE(1521),
    [sym_generator_expression] = STATE(1521),
    [sym_binary_operator] = STATE(1521),
    [sym_unary_operator] = STATE(1521),
    [sym_call] = STATE(1521),
    [sym_list_comprehension] = STATE(1521),
    [sym_dictionary] = STATE(1521),
    [sym_parenthesized_expression] = STATE(1521),
    [sym_tuple] = STATE(1521),
    [sym_concatenated_string] = STATE(1521),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1521),
    [sym_list] = STATE(1521),
    [sym_set] = STATE(1521),
    [sym_set_comprehension] = STATE(1521),
    [sym__primary_expression] = STATE(1521),
    [sym_integer] = ACTIONS(3120),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3120),
    [sym_identifier] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3120),
    [sym__string_start] = ACTIONS(157),
  },
  [1118] = {
    [sym_attribute] = STATE(1523),
    [sym_dictionary_comprehension] = STATE(1523),
    [sym_generator_expression] = STATE(1523),
    [sym_binary_operator] = STATE(1523),
    [sym_unary_operator] = STATE(1523),
    [sym_call] = STATE(1523),
    [sym_list_comprehension] = STATE(1523),
    [sym_dictionary] = STATE(1523),
    [sym_parenthesized_expression] = STATE(1523),
    [sym_tuple] = STATE(1523),
    [sym_concatenated_string] = STATE(1523),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1523),
    [sym_list] = STATE(1523),
    [sym_set] = STATE(1523),
    [sym_set_comprehension] = STATE(1523),
    [sym__primary_expression] = STATE(1523),
    [sym_integer] = ACTIONS(3126),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3126),
    [sym_identifier] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3126),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3126),
    [sym__string_start] = ACTIONS(157),
  },
  [1119] = {
    [sym_attribute] = STATE(1524),
    [sym_dictionary_comprehension] = STATE(1524),
    [sym_generator_expression] = STATE(1524),
    [sym_binary_operator] = STATE(1524),
    [sym_unary_operator] = STATE(1524),
    [sym_call] = STATE(1524),
    [sym_list_comprehension] = STATE(1524),
    [sym_dictionary] = STATE(1524),
    [sym_parenthesized_expression] = STATE(1524),
    [sym_tuple] = STATE(1524),
    [sym_concatenated_string] = STATE(1524),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1524),
    [sym_list] = STATE(1524),
    [sym_set] = STATE(1524),
    [sym_set_comprehension] = STATE(1524),
    [sym__primary_expression] = STATE(1524),
    [sym_integer] = ACTIONS(3130),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3130),
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3130),
    [sym__string_start] = ACTIONS(157),
  },
  [1120] = {
    [anon_sym_in] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_attribute] = STATE(1525),
    [sym_dictionary_comprehension] = STATE(1525),
    [sym_generator_expression] = STATE(1525),
    [sym_binary_operator] = STATE(1525),
    [sym_unary_operator] = STATE(1525),
    [sym_call] = STATE(1525),
    [sym_list_comprehension] = STATE(1525),
    [sym_dictionary] = STATE(1525),
    [sym_parenthesized_expression] = STATE(1525),
    [sym_tuple] = STATE(1525),
    [sym_concatenated_string] = STATE(1525),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1525),
    [sym_list] = STATE(1525),
    [sym_set] = STATE(1525),
    [sym_set_comprehension] = STATE(1525),
    [sym__primary_expression] = STATE(1525),
    [sym_integer] = ACTIONS(3136),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3136),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3136),
    [sym__string_start] = ACTIONS(157),
  },
  [1122] = {
    [sym_attribute] = STATE(1526),
    [sym_dictionary_comprehension] = STATE(1526),
    [sym_generator_expression] = STATE(1526),
    [sym_binary_operator] = STATE(1526),
    [sym_unary_operator] = STATE(1526),
    [sym_call] = STATE(1526),
    [sym_list_comprehension] = STATE(1526),
    [sym_dictionary] = STATE(1526),
    [sym_parenthesized_expression] = STATE(1526),
    [sym_tuple] = STATE(1526),
    [sym_concatenated_string] = STATE(1526),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1526),
    [sym_list] = STATE(1526),
    [sym_set] = STATE(1526),
    [sym_set_comprehension] = STATE(1526),
    [sym__primary_expression] = STATE(1526),
    [sym_integer] = ACTIONS(3140),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3140),
    [sym_identifier] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3140),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3140),
    [sym__string_start] = ACTIONS(157),
  },
  [1123] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1124] = {
    [sym_attribute] = STATE(1527),
    [sym_dictionary_comprehension] = STATE(1527),
    [sym_generator_expression] = STATE(1527),
    [sym_binary_operator] = STATE(1527),
    [sym_unary_operator] = STATE(1527),
    [sym_call] = STATE(1527),
    [sym_list_comprehension] = STATE(1527),
    [sym_dictionary] = STATE(1527),
    [sym_parenthesized_expression] = STATE(1527),
    [sym_tuple] = STATE(1527),
    [sym_concatenated_string] = STATE(1527),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1527),
    [sym_list] = STATE(1527),
    [sym_set] = STATE(1527),
    [sym_set_comprehension] = STATE(1527),
    [sym__primary_expression] = STATE(1527),
    [sym_integer] = ACTIONS(3144),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3144),
    [sym_identifier] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3144),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3144),
    [sym__string_start] = ACTIONS(157),
  },
  [1125] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1528),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(2117),
    [anon_sym_is] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_LT_EQ] = ACTIONS(2123),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(2133),
    [anon_sym_in] = ACTIONS(2123),
    [anon_sym_GT_EQ] = ACTIONS(2123),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(2117),
    [anon_sym_LT_GT] = ACTIONS(2123),
    [anon_sym_BANG_EQ] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2123),
  },
  [1126] = {
    [sym_lambda] = STATE(588),
    [sym_conditional_expression] = STATE(588),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(588),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(588),
    [sym_boolean_operator] = STATE(588),
    [sym_await] = STATE(588),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(588),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(588),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(191),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [1127] = {
    [anon_sym_COLON] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
  },
  [1128] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1530),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1129] = {
    [sym_integer] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym__string_start] = ACTIONS(3152),
    [anon_sym_nonlocal] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_assert] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_from] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [sym_none] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_pass] = ACTIONS(3150),
    [sym_float] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_lambda] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_print] = ACTIONS(3150),
    [anon_sym_del] = ACTIONS(3150),
    [sym_ellipsis] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_def] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_global] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_exec] = ACTIONS(3150),
    [ts_builtin_sym_end] = ACTIONS(3152),
    [anon_sym_raise] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
  },
  [1130] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1532),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3154),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1131] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1534),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3156),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1132] = {
    [sym_lambda] = STATE(1344),
    [sym_conditional_expression] = STATE(1344),
    [sym_attribute] = STATE(109),
    [sym_type] = STATE(1535),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1344),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1344),
    [sym_boolean_operator] = STATE(1344),
    [sym_await] = STATE(1344),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1344),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1344),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1133] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_type_conversion] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1134] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [sym_type_conversion] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1135] = {
    [sym_lambda] = STATE(1536),
    [sym_conditional_expression] = STATE(1536),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(1536),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(1536),
    [sym_boolean_operator] = STATE(1536),
    [sym_await] = STATE(1536),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(1536),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(1536),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [1136] = {
    [sym_string] = STATE(1136),
    [aux_sym_concatenated_string_repeat1] = STATE(1136),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [sym_type_conversion] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1137] = {
    [sym_lambda] = STATE(1543),
    [sym_conditional_expression] = STATE(1543),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(1543),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(1543),
    [sym_boolean_operator] = STATE(1543),
    [sym_await] = STATE(1543),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(1543),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(1543),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1138] = {
    [aux_sym_format_specifier_repeat1] = STATE(1545),
    [sym_format_expression] = STATE(1545),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [aux_sym_format_specifier_token1] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(2162),
  },
  [1139] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [sym_type_conversion] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1140] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_escape_sequence] = ACTIONS(3178),
    [sym__string_end] = ACTIONS(3178),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
  },
  [1142] = {
    [anon_sym_RBRACE] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [sym_type_conversion] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1145] = {
    [sym_attribute] = STATE(1548),
    [sym_dictionary_comprehension] = STATE(1548),
    [sym_generator_expression] = STATE(1548),
    [sym_binary_operator] = STATE(1548),
    [sym_unary_operator] = STATE(1548),
    [sym_call] = STATE(1548),
    [sym_list_comprehension] = STATE(1548),
    [sym_dictionary] = STATE(1548),
    [sym_parenthesized_expression] = STATE(1548),
    [sym_tuple] = STATE(1548),
    [sym_concatenated_string] = STATE(1548),
    [sym_string] = STATE(219),
    [sym_subscript] = STATE(1548),
    [sym_list] = STATE(1548),
    [sym_set] = STATE(1548),
    [sym_set_comprehension] = STATE(1548),
    [sym__primary_expression] = STATE(1548),
    [sym_integer] = ACTIONS(3184),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(3184),
    [sym_identifier] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3184),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3186),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3184),
    [sym__string_start] = ACTIONS(157),
  },
  [1146] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1149] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [sym_type_conversion] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1151] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1151),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3191),
    [anon_sym_LT_EQ] = ACTIONS(3194),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3188),
    [sym_type_conversion] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3194),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
  },
  [1152] = {
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_RBRACK] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3108),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [sym_type_conversion] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR_STAR] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_LT_GT] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_CARET] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3106),
    [anon_sym_PIPE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3106),
    [anon_sym_async] = ACTIONS(3106),
  },
  [1153] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3200),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1154] = {
    [aux_sym_argument_list_repeat1] = STATE(1512),
    [anon_sym_RPAREN] = ACTIONS(3200),
    [anon_sym_COMMA] = ACTIONS(3202),
    [sym_comment] = ACTIONS(3),
  },
  [1155] = {
    [sym_integer] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym__string_start] = ACTIONS(2973),
    [anon_sym_nonlocal] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_finally] = ACTIONS(3204),
    [anon_sym_assert] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_from] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [sym_none] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_pass] = ACTIONS(3204),
    [sym_float] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_elif] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_lambda] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_print] = ACTIONS(3204),
    [anon_sym_del] = ACTIONS(3204),
    [sym_ellipsis] = ACTIONS(2973),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_def] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_except] = ACTIONS(3204),
    [anon_sym_global] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_exec] = ACTIONS(3204),
    [ts_builtin_sym_end] = ACTIONS(2973),
    [anon_sym_raise] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
  },
  [1156] = {
    [sym_integer] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym__string_start] = ACTIONS(3208),
    [anon_sym_nonlocal] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_assert] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_from] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [sym_none] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_pass] = ACTIONS(3206),
    [sym_float] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_lambda] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_print] = ACTIONS(3206),
    [anon_sym_del] = ACTIONS(3206),
    [sym_ellipsis] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_def] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_global] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_exec] = ACTIONS(3206),
    [ts_builtin_sym_end] = ACTIONS(3208),
    [anon_sym_raise] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
  },
  [1157] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1450),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [sym__dedent] = ACTIONS(3210),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1158] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1552),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1159] = {
    [sym_integer] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym__string_start] = ACTIONS(3214),
    [anon_sym_nonlocal] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_assert] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_from] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [sym_none] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_pass] = ACTIONS(3212),
    [sym_float] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_lambda] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_print] = ACTIONS(3212),
    [anon_sym_del] = ACTIONS(3212),
    [sym_ellipsis] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_def] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_global] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_exec] = ACTIONS(3212),
    [ts_builtin_sym_end] = ACTIONS(3214),
    [anon_sym_raise] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
  },
  [1160] = {
    [sym__newline] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_is] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR_STAR] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_CARET] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2382),
    [sym__semicolon] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_and] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT] = ACTIONS(2382),
    [anon_sym_PIPE] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3216),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1162] = {
    [sym__newline] = ACTIONS(2418),
    [anon_sym_or] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH] = ACTIONS(2418),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_is] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_from] = ACTIONS(2418),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_AT] = ACTIONS(2418),
    [anon_sym_LT_GT] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [sym__semicolon] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
  },
  [1163] = {
    [sym__newline] = ACTIONS(2863),
    [anon_sym_or] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2865),
    [anon_sym_is] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_from] = ACTIONS(2863),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_in] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2863),
    [anon_sym_LT_GT] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [sym__semicolon] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2865),
    [anon_sym_GT_GT] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_COMMA] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1165] = {
    [sym__newline] = ACTIONS(2892),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(2892),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_from] = ACTIONS(2892),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_in] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR_STAR] = ACTIONS(2892),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_AT] = ACTIONS(2892),
    [anon_sym_LT_GT] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2892),
    [anon_sym_EQ_EQ] = ACTIONS(2892),
    [sym__semicolon] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_and] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
  },
  [1166] = {
    [sym__newline] = ACTIONS(2896),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_SLASH_SLASH] = ACTIONS(2896),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_from] = ACTIONS(2896),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR_STAR] = ACTIONS(2896),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_AT] = ACTIONS(2896),
    [anon_sym_LT_GT] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2896),
    [anon_sym_EQ_EQ] = ACTIONS(2896),
    [sym__semicolon] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_and] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
  },
  [1167] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1168] = {
    [sym__newline] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_from] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2943),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_AT] = ACTIONS(2943),
    [anon_sym_LT_GT] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [sym__semicolon] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
  },
  [1169] = {
    [sym__newline] = ACTIONS(2780),
    [anon_sym_or] = ACTIONS(2780),
    [anon_sym_SLASH_SLASH] = ACTIONS(2780),
    [anon_sym_GT] = ACTIONS(2782),
    [anon_sym_is] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_from] = ACTIONS(2780),
    [anon_sym_LPAREN] = ACTIONS(2780),
    [anon_sym_in] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR_STAR] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2782),
    [anon_sym_EQ] = ACTIONS(2782),
    [anon_sym_AT] = ACTIONS(2780),
    [anon_sym_LT_GT] = ACTIONS(2780),
    [anon_sym_BANG_EQ] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_EQ_EQ] = ACTIONS(2780),
    [sym__semicolon] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_and] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_COMMA] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
  },
  [1170] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1171] = {
    [sym__newline] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH] = ACTIONS(2809),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_is] = ACTIONS(2809),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_from] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR_STAR] = ACTIONS(2809),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_AT] = ACTIONS(2809),
    [anon_sym_LT_GT] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_CARET] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2809),
    [sym__semicolon] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT] = ACTIONS(2809),
    [anon_sym_PIPE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT_GT] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
  },
  [1172] = {
    [sym__semicolon] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_lambda] = STATE(1557),
    [sym_conditional_expression] = STATE(1557),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(1557),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(1557),
    [sym_boolean_operator] = STATE(1557),
    [sym_await] = STATE(1557),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(1557),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(1557),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [1174] = {
    [sym__newline] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_from] = ACTIONS(3062),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR_STAR] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LT_GT] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [sym__semicolon] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT_GT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1176] = {
    [aux_sym_subscript_repeat1] = STATE(1492),
    [anon_sym_RBRACK] = ACTIONS(3224),
    [anon_sym_COMMA] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(445),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(453),
    [anon_sym_STAR_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [sym__semicolon] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1178] = {
    [sym__newline] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym_LT_EQ] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_from] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3106),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR_STAR] = ACTIONS(3106),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_LT_GT] = ACTIONS(3106),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_CARET] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [sym__semicolon] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT] = ACTIONS(3106),
    [anon_sym_PIPE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_GT_GT] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
  },
  [1179] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3228),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1180] = {
    [aux_sym_argument_list_repeat1] = STATE(1512),
    [anon_sym_RPAREN] = ACTIONS(3228),
    [anon_sym_COMMA] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
  },
  [1181] = {
    [sym__semicolon] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1318),
    [sym__newline] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [1182] = {
    [sym__semicolon] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(1318),
    [sym__newline] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [1183] = {
    [sym_lambda] = STATE(1562),
    [sym_conditional_expression] = STATE(1562),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(1562),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(1562),
    [sym_boolean_operator] = STATE(1562),
    [sym_await] = STATE(1562),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(1562),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(1562),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [1184] = {
    [sym_string] = STATE(1184),
    [aux_sym_concatenated_string_repeat1] = STATE(1184),
    [sym__newline] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [sym__semicolon] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2243),
  },
  [1185] = {
    [sym__semicolon] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [sym__newline] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [1186] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1187] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [1189] = {
    [sym_attribute] = STATE(1564),
    [sym_dictionary_comprehension] = STATE(1564),
    [sym_generator_expression] = STATE(1564),
    [sym_binary_operator] = STATE(1564),
    [sym_unary_operator] = STATE(1564),
    [sym_call] = STATE(1564),
    [sym_list_comprehension] = STATE(1564),
    [sym_dictionary] = STATE(1564),
    [sym_parenthesized_expression] = STATE(1564),
    [sym_tuple] = STATE(1564),
    [sym_concatenated_string] = STATE(1564),
    [sym_string] = STATE(276),
    [sym_subscript] = STATE(1564),
    [sym_list] = STATE(1564),
    [sym_set] = STATE(1564),
    [sym_set_comprehension] = STATE(1564),
    [sym__primary_expression] = STATE(1564),
    [sym_integer] = ACTIONS(3234),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(3234),
    [sym_identifier] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3234),
    [sym__string_start] = ACTIONS(115),
  },
  [1190] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1191] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1192] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1193] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1195] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1195),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3238),
    [anon_sym_is] = ACTIONS(3241),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3247),
    [anon_sym_in] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3238),
    [anon_sym_LT_GT] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
  },
  [1196] = {
    [aux_sym_dotted_name_repeat1] = STATE(1565),
    [anon_sym_DOT] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(489),
    [anon_sym_as] = ACTIONS(489),
  },
  [1197] = {
    [aux_sym__import_list_repeat1] = STATE(1567),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(3250),
    [sym_comment] = ACTIONS(3),
  },
  [1198] = {
    [anon_sym_RPAREN] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
  },
  [1199] = {
    [aux_sym__import_list_repeat1] = STATE(1567),
    [anon_sym_COMMA] = ACTIONS(3250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_as] = ACTIONS(3254),
  },
  [1200] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1201] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_lambda] = STATE(1570),
    [sym_conditional_expression] = STATE(1570),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1570),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1570),
    [sym_boolean_operator] = STATE(1570),
    [sym_await] = STATE(1570),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1570),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1570),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1203] = {
    [sym_string] = STATE(1203),
    [aux_sym_concatenated_string_repeat1] = STATE(1203),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1204] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1205] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [1206] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1207] = {
    [sym_lambda] = STATE(1205),
    [sym_conditional_expression] = STATE(1205),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1205),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1205),
    [sym_boolean_operator] = STATE(1205),
    [sym_await] = STATE(1205),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1205),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1205),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1208] = {
    [aux_sym_assert_statement_repeat1] = STATE(1208),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(3258),
    [sym_comment] = ACTIONS(3),
  },
  [1209] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1211] = {
    [sym_attribute] = STATE(1573),
    [sym_dictionary_comprehension] = STATE(1573),
    [sym_generator_expression] = STATE(1573),
    [sym_binary_operator] = STATE(1573),
    [sym_unary_operator] = STATE(1573),
    [sym_call] = STATE(1573),
    [sym_list_comprehension] = STATE(1573),
    [sym_dictionary] = STATE(1573),
    [sym_parenthesized_expression] = STATE(1573),
    [sym_tuple] = STATE(1573),
    [sym_concatenated_string] = STATE(1573),
    [sym_string] = STATE(298),
    [sym_subscript] = STATE(1573),
    [sym_list] = STATE(1573),
    [sym_set] = STATE(1573),
    [sym_set_comprehension] = STATE(1573),
    [sym__primary_expression] = STATE(1573),
    [sym_integer] = ACTIONS(3261),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3261),
    [sym__string_start] = ACTIONS(157),
  },
  [1212] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1214] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1217] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1217),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3265),
    [anon_sym_is] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3271),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_in] = ACTIONS(3271),
    [anon_sym_GT_EQ] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3265),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3271),
    [anon_sym_BANG_EQ] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3271),
  },
  [1218] = {
    [anon_sym_COLON] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_is] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [sym_type_conversion] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_STAR_STAR] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_LT_GT] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_CARET] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2382),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_and] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2382),
    [anon_sym_not] = ACTIONS(2382),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT] = ACTIONS(2382),
    [anon_sym_PIPE] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DOT] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
  },
  [1219] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1220] = {
    [anon_sym_COLON] = ACTIONS(2418),
    [anon_sym_or] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH] = ACTIONS(2418),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_is] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_as] = ACTIONS(2420),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [sym_type_conversion] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_AT] = ACTIONS(2418),
    [anon_sym_LT_GT] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_else] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_not] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2418),
    [anon_sym_async] = ACTIONS(2418),
  },
  [1221] = {
    [anon_sym_COLON] = ACTIONS(2863),
    [anon_sym_or] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2865),
    [anon_sym_is] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_RBRACK] = ACTIONS(2863),
    [anon_sym_as] = ACTIONS(2865),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_in] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [sym_type_conversion] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2863),
    [anon_sym_LT_GT] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_RPAREN] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_and] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2865),
    [anon_sym_GT_GT] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_COMMA] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_async] = ACTIONS(2863),
  },
  [1222] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1223] = {
    [anon_sym_COLON] = ACTIONS(2892),
    [anon_sym_or] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(2892),
    [anon_sym_GT] = ACTIONS(2894),
    [anon_sym_is] = ACTIONS(2892),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_LT_EQ] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_RBRACK] = ACTIONS(2892),
    [anon_sym_as] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_in] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [sym_type_conversion] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR_STAR] = ACTIONS(2892),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2894),
    [anon_sym_AT] = ACTIONS(2892),
    [anon_sym_LT_GT] = ACTIONS(2892),
    [anon_sym_BANG_EQ] = ACTIONS(2892),
    [anon_sym_CARET] = ACTIONS(2892),
    [anon_sym_EQ_EQ] = ACTIONS(2892),
    [anon_sym_RPAREN] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2892),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_and] = ACTIONS(2892),
    [anon_sym_PERCENT] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_GT_EQ] = ACTIONS(2892),
    [anon_sym_LT_LT] = ACTIONS(2892),
    [anon_sym_PIPE] = ACTIONS(2892),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_GT_GT] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_DOT] = ACTIONS(2892),
    [anon_sym_COMMA] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_async] = ACTIONS(2892),
  },
  [1224] = {
    [anon_sym_COLON] = ACTIONS(2896),
    [anon_sym_or] = ACTIONS(2896),
    [anon_sym_SLASH_SLASH] = ACTIONS(2896),
    [anon_sym_GT] = ACTIONS(2898),
    [anon_sym_is] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2896),
    [anon_sym_LT_EQ] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2898),
    [anon_sym_RBRACK] = ACTIONS(2896),
    [anon_sym_as] = ACTIONS(2898),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_in] = ACTIONS(2896),
    [anon_sym_if] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [sym_type_conversion] = ACTIONS(2896),
    [anon_sym_PLUS] = ACTIONS(2896),
    [anon_sym_STAR_STAR] = ACTIONS(2896),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_AT] = ACTIONS(2896),
    [anon_sym_LT_GT] = ACTIONS(2896),
    [anon_sym_BANG_EQ] = ACTIONS(2896),
    [anon_sym_CARET] = ACTIONS(2896),
    [anon_sym_EQ_EQ] = ACTIONS(2896),
    [anon_sym_RPAREN] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2896),
    [anon_sym_and] = ACTIONS(2896),
    [anon_sym_PERCENT] = ACTIONS(2896),
    [anon_sym_not] = ACTIONS(2896),
    [anon_sym_GT_EQ] = ACTIONS(2896),
    [anon_sym_LT_LT] = ACTIONS(2896),
    [anon_sym_PIPE] = ACTIONS(2896),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_GT_GT] = ACTIONS(2896),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [anon_sym_DOT] = ACTIONS(2896),
    [anon_sym_COMMA] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2896),
    [anon_sym_async] = ACTIONS(2896),
  },
  [1225] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1226] = {
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2945),
    [anon_sym_LPAREN] = ACTIONS(2943),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [sym_type_conversion] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_AT] = ACTIONS(2943),
    [anon_sym_LT_GT] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_GT_GT] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_async] = ACTIONS(2943),
  },
  [1227] = {
    [anon_sym_COLON] = ACTIONS(2780),
    [anon_sym_or] = ACTIONS(2780),
    [anon_sym_SLASH_SLASH] = ACTIONS(2780),
    [anon_sym_GT] = ACTIONS(2782),
    [anon_sym_is] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_LT_EQ] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_RBRACK] = ACTIONS(2780),
    [anon_sym_as] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2780),
    [anon_sym_in] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [sym_type_conversion] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR_STAR] = ACTIONS(2780),
    [anon_sym_SLASH] = ACTIONS(2782),
    [anon_sym_EQ] = ACTIONS(2782),
    [anon_sym_AT] = ACTIONS(2780),
    [anon_sym_LT_GT] = ACTIONS(2780),
    [anon_sym_BANG_EQ] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_EQ_EQ] = ACTIONS(2780),
    [anon_sym_RPAREN] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_and] = ACTIONS(2780),
    [anon_sym_PERCENT] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_GT_EQ] = ACTIONS(2780),
    [anon_sym_LT_LT] = ACTIONS(2780),
    [anon_sym_PIPE] = ACTIONS(2780),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_GT_GT] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_DOT] = ACTIONS(2780),
    [anon_sym_COMMA] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_async] = ACTIONS(2780),
  },
  [1228] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_RBRACK] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1229] = {
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH] = ACTIONS(2809),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_is] = ACTIONS(2809),
    [anon_sym_AMP] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_RBRACK] = ACTIONS(2809),
    [anon_sym_as] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2809),
    [anon_sym_in] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [sym_type_conversion] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR_STAR] = ACTIONS(2809),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_AT] = ACTIONS(2809),
    [anon_sym_LT_GT] = ACTIONS(2809),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_CARET] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2809),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT] = ACTIONS(2809),
    [anon_sym_PIPE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT_GT] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_DOT] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_async] = ACTIONS(2809),
  },
  [1230] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(2655),
  },
  [1231] = {
    [anon_sym_COLON] = ACTIONS(3285),
    [anon_sym_or] = ACTIONS(3285),
    [anon_sym_SLASH_SLASH] = ACTIONS(3287),
    [sym__newline] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3287),
    [anon_sym_DASH_EQ] = ACTIONS(3285),
    [anon_sym_is] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_LT_EQ] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_AMP_EQ] = ACTIONS(3285),
    [anon_sym_AT_EQ] = ACTIONS(3285),
    [anon_sym_LT_LT_EQ] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_in] = ACTIONS(3285),
    [anon_sym_PERCENT_EQ] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_EQ] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3287),
    [anon_sym_LT_GT] = ACTIONS(3285),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_EQ_EQ] = ACTIONS(3285),
    [anon_sym_CARET_EQ] = ACTIONS(3285),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3285),
    [anon_sym_STAR_EQ] = ACTIONS(3285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3285),
    [sym__semicolon] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_and] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3285),
    [anon_sym_GT_EQ] = ACTIONS(3285),
    [anon_sym_PLUS_EQ] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3287),
    [anon_sym_PIPE] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT_GT] = ACTIONS(3287),
    [anon_sym_PIPE_EQ] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_COMMA] = ACTIONS(3285),
    [anon_sym_SLASH_EQ] = ACTIONS(3285),
    [anon_sym_GT_GT_EQ] = ACTIONS(3285),
    [sym_comment] = ACTIONS(3),
  },
  [1232] = {
    [sym_lambda] = STATE(751),
    [sym_yield] = STATE(750),
    [sym_attribute] = STATE(301),
    [sym_conditional_expression] = STATE(751),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(751),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(751),
    [sym_boolean_operator] = STATE(751),
    [sym_await] = STATE(751),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(751),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(751),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1233] = {
    [sym_lambda] = STATE(1578),
    [sym_conditional_expression] = STATE(1578),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1578),
    [sym_generator_expression] = STATE(92),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1578),
    [sym_boolean_operator] = STATE(1578),
    [sym_await] = STATE(1578),
    [sym_concatenated_string] = STATE(92),
    [sym_subscript] = STATE(92),
    [sym_string] = STATE(90),
    [sym_list] = STATE(92),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1578),
    [sym__primary_expression] = STATE(92),
    [sym_comparison_operator] = STATE(1578),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1234] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(1580),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(1580),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [1235] = {
    [anon_sym_in] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
  },
  [1236] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1237] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1238] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1239] = {
    [sym_lambda] = STATE(1584),
    [sym_conditional_expression] = STATE(1584),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(1584),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(1584),
    [sym_boolean_operator] = STATE(1584),
    [sym_await] = STATE(1584),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(1584),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(1584),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1240] = {
    [sym_lambda_parameters] = STATE(1586),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
  },
  [1241] = {
    [sym_string] = STATE(1587),
    [aux_sym_concatenated_string_repeat1] = STATE(1587),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1242] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_RPAREN] = ACTIONS(3299),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3299),
  },
  [1243] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1601),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3305),
    [anon_sym_is] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_LT_EQ] = ACTIONS(3311),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(3311),
    [anon_sym_BANG_EQ] = ACTIONS(3311),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3311),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_GT_EQ] = ACTIONS(3311),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [1244] = {
    [sym_for_in_clause] = STATE(1244),
    [sym_if_clause] = STATE(1244),
    [aux_sym__comprehension_body_repeat1] = STATE(1244),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3330),
    [anon_sym_RPAREN] = ACTIONS(3333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3335),
  },
  [1245] = {
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_is] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_RBRACK] = ACTIONS(3062),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [sym_type_conversion] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3062),
    [anon_sym_STAR_STAR] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LT_GT] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_CARET] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3062),
    [anon_sym_not] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT] = ACTIONS(3062),
    [anon_sym_PIPE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT_GT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3062),
    [anon_sym_async] = ACTIONS(3062),
  },
  [1246] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3338),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1247] = {
    [aux_sym_subscript_repeat1] = STATE(1492),
    [anon_sym_RBRACK] = ACTIONS(3338),
    [anon_sym_COMMA] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
  },
  [1248] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(563),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(569),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_STAR_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(573),
    [anon_sym_AT] = ACTIONS(563),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(563),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(585),
    [anon_sym_PIPE] = ACTIONS(587),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [1249] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(2655),
  },
  [1250] = {
    [sym_integer] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym__string_start] = ACTIONS(3344),
    [anon_sym_nonlocal] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_assert] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_from] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [sym_none] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_pass] = ACTIONS(3342),
    [sym_float] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_lambda] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_print] = ACTIONS(3342),
    [anon_sym_del] = ACTIONS(3342),
    [sym_ellipsis] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_def] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_global] = ACTIONS(3342),
    [anon_sym_not] = ACTIONS(3342),
    [anon_sym_exec] = ACTIONS(3342),
    [ts_builtin_sym_end] = ACTIONS(3344),
    [anon_sym_raise] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
  },
  [1251] = {
    [sym_lambda] = STATE(1604),
    [sym_conditional_expression] = STATE(1604),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(1604),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(1604),
    [sym_boolean_operator] = STATE(1604),
    [sym_await] = STATE(1604),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(1604),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(1604),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [1252] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(611),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(617),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(621),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(625),
    [anon_sym_SLASH] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(611),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(627),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(611),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(631),
    [anon_sym_PIPE] = ACTIONS(633),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(631),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1253] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1254] = {
    [aux_sym_if_statement_repeat1] = STATE(1605),
    [sym_else_clause] = STATE(1606),
    [sym_elif_clause] = STATE(1259),
    [sym_integer] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym__string_start] = ACTIONS(3348),
    [anon_sym_nonlocal] = ACTIONS(3346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_assert] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_from] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [sym_none] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_pass] = ACTIONS(3346),
    [sym_float] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_elif] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_lambda] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_print] = ACTIONS(3346),
    [anon_sym_del] = ACTIONS(3346),
    [sym_ellipsis] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_def] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(3346),
    [anon_sym_not] = ACTIONS(3346),
    [anon_sym_exec] = ACTIONS(3346),
    [ts_builtin_sym_end] = ACTIONS(3348),
    [anon_sym_raise] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
  },
  [1255] = {
    [sym_lambda] = STATE(1607),
    [sym_conditional_expression] = STATE(1607),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1607),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1607),
    [sym_boolean_operator] = STATE(1607),
    [sym_await] = STATE(1607),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1607),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1607),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1256] = {
    [anon_sym_COLON] = ACTIONS(3350),
    [sym_comment] = ACTIONS(3),
  },
  [1257] = {
    [aux_sym_if_statement_repeat1] = STATE(1609),
    [sym_else_clause] = STATE(1610),
    [sym_elif_clause] = STATE(1259),
    [sym_integer] = ACTIONS(3352),
    [sym_true] = ACTIONS(3352),
    [sym__string_start] = ACTIONS(3354),
    [anon_sym_nonlocal] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_assert] = ACTIONS(3352),
    [anon_sym_yield] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_from] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [sym_none] = ACTIONS(3352),
    [anon_sym_with] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_pass] = ACTIONS(3352),
    [sym_float] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_elif] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_lambda] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_print] = ACTIONS(3352),
    [anon_sym_del] = ACTIONS(3352),
    [sym_ellipsis] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_def] = ACTIONS(3352),
    [anon_sym_await] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_DASH] = ACTIONS(3354),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_exec] = ACTIONS(3352),
    [ts_builtin_sym_end] = ACTIONS(3354),
    [anon_sym_raise] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
  },
  [1258] = {
    [sym_integer] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym__string_start] = ACTIONS(3358),
    [anon_sym_nonlocal] = ACTIONS(3356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_assert] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_from] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [sym_none] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_pass] = ACTIONS(3356),
    [sym_float] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_lambda] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_print] = ACTIONS(3356),
    [anon_sym_del] = ACTIONS(3356),
    [sym_ellipsis] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_def] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3358),
    [anon_sym_global] = ACTIONS(3356),
    [anon_sym_not] = ACTIONS(3356),
    [anon_sym_exec] = ACTIONS(3356),
    [ts_builtin_sym_end] = ACTIONS(3358),
    [anon_sym_raise] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
  },
  [1259] = {
    [sym_integer] = ACTIONS(3360),
    [sym_true] = ACTIONS(3360),
    [sym__string_start] = ACTIONS(3362),
    [anon_sym_nonlocal] = ACTIONS(3360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3360),
    [anon_sym_assert] = ACTIONS(3360),
    [anon_sym_yield] = ACTIONS(3360),
    [anon_sym_return] = ACTIONS(3360),
    [anon_sym_from] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3362),
    [sym_none] = ACTIONS(3360),
    [anon_sym_with] = ACTIONS(3360),
    [anon_sym_if] = ACTIONS(3360),
    [anon_sym_pass] = ACTIONS(3360),
    [anon_sym_elif] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3362),
    [sym_float] = ACTIONS(3362),
    [anon_sym_AT] = ACTIONS(3362),
    [anon_sym_lambda] = ACTIONS(3360),
    [anon_sym_TILDE] = ACTIONS(3362),
    [anon_sym_print] = ACTIONS(3360),
    [anon_sym_del] = ACTIONS(3360),
    [sym_ellipsis] = ACTIONS(3362),
    [anon_sym_import] = ACTIONS(3360),
    [anon_sym_while] = ACTIONS(3360),
    [anon_sym_def] = ACTIONS(3360),
    [anon_sym_await] = ACTIONS(3360),
    [anon_sym_break] = ACTIONS(3360),
    [anon_sym_else] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3360),
    [anon_sym_global] = ACTIONS(3360),
    [anon_sym_not] = ACTIONS(3360),
    [anon_sym_exec] = ACTIONS(3360),
    [ts_builtin_sym_end] = ACTIONS(3362),
    [anon_sym_raise] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3362),
    [anon_sym_try] = ACTIONS(3360),
    [anon_sym_for] = ACTIONS(3360),
    [sym_false] = ACTIONS(3360),
    [anon_sym_continue] = ACTIONS(3360),
    [anon_sym_async] = ACTIONS(3360),
  },
  [1260] = {
    [sym_lambda] = STATE(1611),
    [sym_conditional_expression] = STATE(1611),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1611),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1611),
    [sym_boolean_operator] = STATE(1611),
    [sym_await] = STATE(1611),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1611),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1611),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1261] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(647),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(647),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_lambda] = STATE(1612),
    [sym_conditional_expression] = STATE(1612),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(1612),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(1612),
    [sym_boolean_operator] = STATE(1612),
    [sym_await] = STATE(1612),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(1612),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(1612),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1263] = {
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [1264] = {
    [sym_lambda] = STATE(1613),
    [sym_conditional_expression] = STATE(1613),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(1613),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(1613),
    [sym_boolean_operator] = STATE(1613),
    [sym_await] = STATE(1613),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(1613),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(1613),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1265] = {
    [anon_sym_COLON] = ACTIONS(3364),
    [sym_comment] = ACTIONS(3),
  },
  [1266] = {
    [sym_lambda] = STATE(1615),
    [sym_conditional_expression] = STATE(1615),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1615),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1615),
    [sym_boolean_operator] = STATE(1615),
    [sym_await] = STATE(1615),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1615),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1615),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1267] = {
    [sym_string] = STATE(1616),
    [aux_sym_concatenated_string_repeat1] = STATE(1616),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1268] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1269] = {
    [sym_lambda] = STATE(1617),
    [sym_conditional_expression] = STATE(1617),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(1617),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(1617),
    [sym_boolean_operator] = STATE(1617),
    [sym_await] = STATE(1617),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(1617),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(1617),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1270] = {
    [sym_lambda] = STATE(1618),
    [sym_conditional_expression] = STATE(1618),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1618),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1618),
    [sym_boolean_operator] = STATE(1618),
    [sym_await] = STATE(1618),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1618),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1618),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1271] = {
    [sym_attribute] = STATE(1619),
    [sym_dictionary_comprehension] = STATE(1619),
    [sym_generator_expression] = STATE(1619),
    [sym_binary_operator] = STATE(1619),
    [sym_unary_operator] = STATE(1619),
    [sym_call] = STATE(1619),
    [sym_list_comprehension] = STATE(1619),
    [sym_dictionary] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1619),
    [sym_tuple] = STATE(1619),
    [sym_concatenated_string] = STATE(1619),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1619),
    [sym_list] = STATE(1619),
    [sym_set] = STATE(1619),
    [sym_set_comprehension] = STATE(1619),
    [sym__primary_expression] = STATE(1619),
    [sym_integer] = ACTIONS(3366),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3368),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3366),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3366),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3368),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3366),
    [sym__string_start] = ACTIONS(157),
  },
  [1272] = {
    [sym_attribute] = STATE(1620),
    [sym_dictionary_comprehension] = STATE(1620),
    [sym_generator_expression] = STATE(1620),
    [sym_binary_operator] = STATE(1620),
    [sym_unary_operator] = STATE(1620),
    [sym_call] = STATE(1620),
    [sym_list_comprehension] = STATE(1620),
    [sym_dictionary] = STATE(1620),
    [sym_parenthesized_expression] = STATE(1620),
    [sym_tuple] = STATE(1620),
    [sym_concatenated_string] = STATE(1620),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1620),
    [sym_list] = STATE(1620),
    [sym_set] = STATE(1620),
    [sym_set_comprehension] = STATE(1620),
    [sym__primary_expression] = STATE(1620),
    [sym_integer] = ACTIONS(3370),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3370),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3370),
    [sym__string_start] = ACTIONS(157),
  },
  [1273] = {
    [sym_attribute] = STATE(1620),
    [sym_dictionary_comprehension] = STATE(1620),
    [sym_generator_expression] = STATE(1620),
    [sym_binary_operator] = STATE(1620),
    [sym_unary_operator] = STATE(1620),
    [sym_call] = STATE(1620),
    [sym_list_comprehension] = STATE(1620),
    [sym_dictionary] = STATE(1620),
    [sym_parenthesized_expression] = STATE(1620),
    [sym_tuple] = STATE(1620),
    [sym_concatenated_string] = STATE(1620),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1620),
    [sym_list] = STATE(1620),
    [sym_set] = STATE(1620),
    [sym_set_comprehension] = STATE(1620),
    [sym__primary_expression] = STATE(1620),
    [sym_integer] = ACTIONS(3370),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3372),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3370),
    [sym_identifier] = ACTIONS(3370),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(3374),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3370),
    [sym__string_start] = ACTIONS(157),
  },
  [1274] = {
    [sym_attribute] = STATE(1622),
    [sym_dictionary_comprehension] = STATE(1622),
    [sym_generator_expression] = STATE(1622),
    [sym_binary_operator] = STATE(1622),
    [sym_unary_operator] = STATE(1622),
    [sym_call] = STATE(1622),
    [sym_list_comprehension] = STATE(1622),
    [sym_dictionary] = STATE(1622),
    [sym_parenthesized_expression] = STATE(1622),
    [sym_tuple] = STATE(1622),
    [sym_concatenated_string] = STATE(1622),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1622),
    [sym_list] = STATE(1622),
    [sym_set] = STATE(1622),
    [sym_set_comprehension] = STATE(1622),
    [sym__primary_expression] = STATE(1622),
    [sym_integer] = ACTIONS(3376),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3378),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3376),
    [sym_identifier] = ACTIONS(3376),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3376),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3378),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3376),
    [sym__string_start] = ACTIONS(157),
  },
  [1275] = {
    [sym_attribute] = STATE(1623),
    [sym_dictionary_comprehension] = STATE(1623),
    [sym_generator_expression] = STATE(1623),
    [sym_binary_operator] = STATE(1623),
    [sym_unary_operator] = STATE(1623),
    [sym_call] = STATE(1623),
    [sym_list_comprehension] = STATE(1623),
    [sym_dictionary] = STATE(1623),
    [sym_parenthesized_expression] = STATE(1623),
    [sym_tuple] = STATE(1623),
    [sym_concatenated_string] = STATE(1623),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1623),
    [sym_list] = STATE(1623),
    [sym_set] = STATE(1623),
    [sym_set_comprehension] = STATE(1623),
    [sym__primary_expression] = STATE(1623),
    [sym_integer] = ACTIONS(3380),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3382),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3380),
    [sym_identifier] = ACTIONS(3380),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3380),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3382),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3380),
    [sym__string_start] = ACTIONS(157),
  },
  [1276] = {
    [anon_sym_in] = ACTIONS(3384),
    [sym_comment] = ACTIONS(3),
  },
  [1277] = {
    [sym_attribute] = STATE(1624),
    [sym_dictionary_comprehension] = STATE(1624),
    [sym_generator_expression] = STATE(1624),
    [sym_binary_operator] = STATE(1624),
    [sym_unary_operator] = STATE(1624),
    [sym_call] = STATE(1624),
    [sym_list_comprehension] = STATE(1624),
    [sym_dictionary] = STATE(1624),
    [sym_parenthesized_expression] = STATE(1624),
    [sym_tuple] = STATE(1624),
    [sym_concatenated_string] = STATE(1624),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1624),
    [sym_list] = STATE(1624),
    [sym_set] = STATE(1624),
    [sym_set_comprehension] = STATE(1624),
    [sym__primary_expression] = STATE(1624),
    [sym_integer] = ACTIONS(3386),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3386),
    [sym_identifier] = ACTIONS(3386),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3386),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3386),
    [sym__string_start] = ACTIONS(157),
  },
  [1278] = {
    [sym_attribute] = STATE(1625),
    [sym_dictionary_comprehension] = STATE(1625),
    [sym_generator_expression] = STATE(1625),
    [sym_binary_operator] = STATE(1625),
    [sym_unary_operator] = STATE(1625),
    [sym_call] = STATE(1625),
    [sym_list_comprehension] = STATE(1625),
    [sym_dictionary] = STATE(1625),
    [sym_parenthesized_expression] = STATE(1625),
    [sym_tuple] = STATE(1625),
    [sym_concatenated_string] = STATE(1625),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1625),
    [sym_list] = STATE(1625),
    [sym_set] = STATE(1625),
    [sym_set_comprehension] = STATE(1625),
    [sym__primary_expression] = STATE(1625),
    [sym_integer] = ACTIONS(3390),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3392),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3390),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3390),
    [sym__string_start] = ACTIONS(157),
  },
  [1279] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1280] = {
    [sym_attribute] = STATE(1626),
    [sym_dictionary_comprehension] = STATE(1626),
    [sym_generator_expression] = STATE(1626),
    [sym_binary_operator] = STATE(1626),
    [sym_unary_operator] = STATE(1626),
    [sym_call] = STATE(1626),
    [sym_list_comprehension] = STATE(1626),
    [sym_dictionary] = STATE(1626),
    [sym_parenthesized_expression] = STATE(1626),
    [sym_tuple] = STATE(1626),
    [sym_concatenated_string] = STATE(1626),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1626),
    [sym_list] = STATE(1626),
    [sym_set] = STATE(1626),
    [sym_set_comprehension] = STATE(1626),
    [sym__primary_expression] = STATE(1626),
    [sym_integer] = ACTIONS(3394),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(3394),
    [sym_identifier] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3394),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3394),
    [sym__string_start] = ACTIONS(157),
  },
  [1281] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1627),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_is] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2536),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(2546),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_LT_GT] = ACTIONS(2536),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2536),
  },
  [1282] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(831),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(831),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(1563),
    [anon_sym_print] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [1283] = {
    [sym_lambda] = STATE(1628),
    [sym_conditional_expression] = STATE(1628),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(1628),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(1628),
    [sym_boolean_operator] = STATE(1628),
    [sym_await] = STATE(1628),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(1628),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(1628),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1284] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
  },
  [1285] = {
    [sym_lambda] = STATE(1629),
    [sym_conditional_expression] = STATE(1629),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(1629),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(1629),
    [sym_boolean_operator] = STATE(1629),
    [sym_await] = STATE(1629),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(1629),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(1629),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1286] = {
    [anon_sym_COLON] = ACTIONS(3398),
    [sym_comment] = ACTIONS(3),
  },
  [1287] = {
    [sym_lambda] = STATE(1631),
    [sym_conditional_expression] = STATE(1631),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1631),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1631),
    [sym_boolean_operator] = STATE(1631),
    [sym_await] = STATE(1631),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1631),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1631),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1288] = {
    [sym_string] = STATE(1632),
    [aux_sym_concatenated_string_repeat1] = STATE(1632),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1289] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1290] = {
    [sym_lambda] = STATE(1633),
    [sym_conditional_expression] = STATE(1633),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(1633),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(1633),
    [sym_boolean_operator] = STATE(1633),
    [sym_await] = STATE(1633),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(1633),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(1633),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1291] = {
    [sym_lambda] = STATE(1634),
    [sym_conditional_expression] = STATE(1634),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1634),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1634),
    [sym_boolean_operator] = STATE(1634),
    [sym_await] = STATE(1634),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1634),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1634),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1292] = {
    [sym_attribute] = STATE(1635),
    [sym_dictionary_comprehension] = STATE(1635),
    [sym_generator_expression] = STATE(1635),
    [sym_binary_operator] = STATE(1635),
    [sym_unary_operator] = STATE(1635),
    [sym_call] = STATE(1635),
    [sym_list_comprehension] = STATE(1635),
    [sym_dictionary] = STATE(1635),
    [sym_parenthesized_expression] = STATE(1635),
    [sym_tuple] = STATE(1635),
    [sym_concatenated_string] = STATE(1635),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1635),
    [sym_list] = STATE(1635),
    [sym_set] = STATE(1635),
    [sym_set_comprehension] = STATE(1635),
    [sym__primary_expression] = STATE(1635),
    [sym_integer] = ACTIONS(3400),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3402),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3400),
    [sym_identifier] = ACTIONS(3400),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3400),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3402),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3400),
    [sym__string_start] = ACTIONS(157),
  },
  [1293] = {
    [sym_attribute] = STATE(1636),
    [sym_dictionary_comprehension] = STATE(1636),
    [sym_generator_expression] = STATE(1636),
    [sym_binary_operator] = STATE(1636),
    [sym_unary_operator] = STATE(1636),
    [sym_call] = STATE(1636),
    [sym_list_comprehension] = STATE(1636),
    [sym_dictionary] = STATE(1636),
    [sym_parenthesized_expression] = STATE(1636),
    [sym_tuple] = STATE(1636),
    [sym_concatenated_string] = STATE(1636),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1636),
    [sym_list] = STATE(1636),
    [sym_set] = STATE(1636),
    [sym_set_comprehension] = STATE(1636),
    [sym__primary_expression] = STATE(1636),
    [sym_integer] = ACTIONS(3404),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3406),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3404),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3404),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3406),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3404),
    [sym__string_start] = ACTIONS(157),
  },
  [1294] = {
    [sym_attribute] = STATE(1636),
    [sym_dictionary_comprehension] = STATE(1636),
    [sym_generator_expression] = STATE(1636),
    [sym_binary_operator] = STATE(1636),
    [sym_unary_operator] = STATE(1636),
    [sym_call] = STATE(1636),
    [sym_list_comprehension] = STATE(1636),
    [sym_dictionary] = STATE(1636),
    [sym_parenthesized_expression] = STATE(1636),
    [sym_tuple] = STATE(1636),
    [sym_concatenated_string] = STATE(1636),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1636),
    [sym_list] = STATE(1636),
    [sym_set] = STATE(1636),
    [sym_set_comprehension] = STATE(1636),
    [sym__primary_expression] = STATE(1636),
    [sym_integer] = ACTIONS(3404),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3406),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3404),
    [sym_identifier] = ACTIONS(3404),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(3408),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3404),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3406),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3404),
    [sym__string_start] = ACTIONS(157),
  },
  [1295] = {
    [sym_attribute] = STATE(1638),
    [sym_dictionary_comprehension] = STATE(1638),
    [sym_generator_expression] = STATE(1638),
    [sym_binary_operator] = STATE(1638),
    [sym_unary_operator] = STATE(1638),
    [sym_call] = STATE(1638),
    [sym_list_comprehension] = STATE(1638),
    [sym_dictionary] = STATE(1638),
    [sym_parenthesized_expression] = STATE(1638),
    [sym_tuple] = STATE(1638),
    [sym_concatenated_string] = STATE(1638),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1638),
    [sym_list] = STATE(1638),
    [sym_set] = STATE(1638),
    [sym_set_comprehension] = STATE(1638),
    [sym__primary_expression] = STATE(1638),
    [sym_integer] = ACTIONS(3410),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3412),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3410),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3412),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3410),
    [sym__string_start] = ACTIONS(157),
  },
  [1296] = {
    [sym_attribute] = STATE(1639),
    [sym_dictionary_comprehension] = STATE(1639),
    [sym_generator_expression] = STATE(1639),
    [sym_binary_operator] = STATE(1639),
    [sym_unary_operator] = STATE(1639),
    [sym_call] = STATE(1639),
    [sym_list_comprehension] = STATE(1639),
    [sym_dictionary] = STATE(1639),
    [sym_parenthesized_expression] = STATE(1639),
    [sym_tuple] = STATE(1639),
    [sym_concatenated_string] = STATE(1639),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1639),
    [sym_list] = STATE(1639),
    [sym_set] = STATE(1639),
    [sym_set_comprehension] = STATE(1639),
    [sym__primary_expression] = STATE(1639),
    [sym_integer] = ACTIONS(3414),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3416),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3414),
    [sym_identifier] = ACTIONS(3414),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3414),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3416),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3414),
    [sym__string_start] = ACTIONS(157),
  },
  [1297] = {
    [anon_sym_in] = ACTIONS(3418),
    [sym_comment] = ACTIONS(3),
  },
  [1298] = {
    [sym_attribute] = STATE(1640),
    [sym_dictionary_comprehension] = STATE(1640),
    [sym_generator_expression] = STATE(1640),
    [sym_binary_operator] = STATE(1640),
    [sym_unary_operator] = STATE(1640),
    [sym_call] = STATE(1640),
    [sym_list_comprehension] = STATE(1640),
    [sym_dictionary] = STATE(1640),
    [sym_parenthesized_expression] = STATE(1640),
    [sym_tuple] = STATE(1640),
    [sym_concatenated_string] = STATE(1640),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1640),
    [sym_list] = STATE(1640),
    [sym_set] = STATE(1640),
    [sym_set_comprehension] = STATE(1640),
    [sym__primary_expression] = STATE(1640),
    [sym_integer] = ACTIONS(3420),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3422),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3420),
    [sym_identifier] = ACTIONS(3420),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3422),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3420),
    [sym__string_start] = ACTIONS(157),
  },
  [1299] = {
    [sym_attribute] = STATE(1641),
    [sym_dictionary_comprehension] = STATE(1641),
    [sym_generator_expression] = STATE(1641),
    [sym_binary_operator] = STATE(1641),
    [sym_unary_operator] = STATE(1641),
    [sym_call] = STATE(1641),
    [sym_list_comprehension] = STATE(1641),
    [sym_dictionary] = STATE(1641),
    [sym_parenthesized_expression] = STATE(1641),
    [sym_tuple] = STATE(1641),
    [sym_concatenated_string] = STATE(1641),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1641),
    [sym_list] = STATE(1641),
    [sym_set] = STATE(1641),
    [sym_set_comprehension] = STATE(1641),
    [sym__primary_expression] = STATE(1641),
    [sym_integer] = ACTIONS(3424),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3426),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3424),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3424),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3426),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3424),
    [sym__string_start] = ACTIONS(157),
  },
  [1300] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1301] = {
    [sym_attribute] = STATE(1642),
    [sym_dictionary_comprehension] = STATE(1642),
    [sym_generator_expression] = STATE(1642),
    [sym_binary_operator] = STATE(1642),
    [sym_unary_operator] = STATE(1642),
    [sym_call] = STATE(1642),
    [sym_list_comprehension] = STATE(1642),
    [sym_dictionary] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1642),
    [sym_tuple] = STATE(1642),
    [sym_concatenated_string] = STATE(1642),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1642),
    [sym_list] = STATE(1642),
    [sym_set] = STATE(1642),
    [sym_set_comprehension] = STATE(1642),
    [sym__primary_expression] = STATE(1642),
    [sym_integer] = ACTIONS(3428),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3430),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(3428),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3430),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3428),
    [sym__string_start] = ACTIONS(157),
  },
  [1302] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1643),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(2593),
    [anon_sym_is] = ACTIONS(2595),
    [anon_sym_LT_EQ] = ACTIONS(2599),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(2609),
    [anon_sym_in] = ACTIONS(2599),
    [anon_sym_GT_EQ] = ACTIONS(2599),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(2593),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(2599),
    [anon_sym_BANG_EQ] = ACTIONS(2599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2599),
  },
  [1303] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1304] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1305] = {
    [sym_lambda] = STATE(1644),
    [sym_conditional_expression] = STATE(1644),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1644),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1644),
    [sym_boolean_operator] = STATE(1644),
    [sym_await] = STATE(1644),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1644),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1644),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1306] = {
    [sym_string] = STATE(1306),
    [aux_sym_concatenated_string_repeat1] = STATE(1306),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1307] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1308] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3432),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1310] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1311] = {
    [sym_attribute] = STATE(1646),
    [sym_dictionary_comprehension] = STATE(1646),
    [sym_generator_expression] = STATE(1646),
    [sym_binary_operator] = STATE(1646),
    [sym_unary_operator] = STATE(1646),
    [sym_call] = STATE(1646),
    [sym_list_comprehension] = STATE(1646),
    [sym_dictionary] = STATE(1646),
    [sym_parenthesized_expression] = STATE(1646),
    [sym_tuple] = STATE(1646),
    [sym_concatenated_string] = STATE(1646),
    [sym_string] = STATE(408),
    [sym_subscript] = STATE(1646),
    [sym_list] = STATE(1646),
    [sym_set] = STATE(1646),
    [sym_set_comprehension] = STATE(1646),
    [sym__primary_expression] = STATE(1646),
    [sym_integer] = ACTIONS(3434),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3436),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(3434),
    [sym_identifier] = ACTIONS(3434),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3434),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3436),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3434),
    [sym__string_start] = ACTIONS(157),
  },
  [1312] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1313] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1314] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1315] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1316] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1317] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1317),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3438),
    [anon_sym_is] = ACTIONS(3441),
    [anon_sym_LT_EQ] = ACTIONS(3444),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_in] = ACTIONS(3444),
    [anon_sym_GT_EQ] = ACTIONS(3444),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3438),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3444),
    [anon_sym_BANG_EQ] = ACTIONS(3444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3444),
  },
  [1318] = {
    [sym_lambda] = STATE(868),
    [sym_conditional_expression] = STATE(868),
    [sym_attribute] = STATE(66),
    [sym_dictionary_comprehension] = STATE(66),
    [sym_named_expression] = STATE(868),
    [sym_generator_expression] = STATE(66),
    [sym_binary_operator] = STATE(66),
    [sym_unary_operator] = STATE(66),
    [sym_call] = STATE(66),
    [sym_list_comprehension] = STATE(66),
    [sym_dictionary] = STATE(66),
    [sym_parenthesized_expression] = STATE(66),
    [sym_tuple] = STATE(66),
    [sym_not_operator] = STATE(868),
    [sym_boolean_operator] = STATE(868),
    [sym_await] = STATE(868),
    [sym_concatenated_string] = STATE(66),
    [sym_subscript] = STATE(66),
    [sym_string] = STATE(64),
    [sym_list] = STATE(66),
    [sym_set] = STATE(66),
    [sym_set_comprehension] = STATE(66),
    [sym__expression] = STATE(868),
    [sym__primary_expression] = STATE(66),
    [sym_comparison_operator] = STATE(868),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [1319] = {
    [sym_aliased_import] = STATE(873),
    [sym_dotted_name] = STATE(874),
    [sym_identifier] = ACTIONS(213),
    [sym_comment] = ACTIONS(3),
  },
  [1320] = {
    [sym_else_clause] = STATE(1647),
    [sym_integer] = ACTIONS(3450),
    [sym_true] = ACTIONS(3450),
    [sym__string_start] = ACTIONS(3452),
    [anon_sym_nonlocal] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3450),
    [anon_sym_assert] = ACTIONS(3450),
    [anon_sym_yield] = ACTIONS(3450),
    [anon_sym_return] = ACTIONS(3450),
    [anon_sym_from] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(3452),
    [sym_none] = ACTIONS(3450),
    [anon_sym_with] = ACTIONS(3450),
    [anon_sym_if] = ACTIONS(3450),
    [anon_sym_pass] = ACTIONS(3450),
    [sym_float] = ACTIONS(3452),
    [anon_sym_PLUS] = ACTIONS(3452),
    [anon_sym_AT] = ACTIONS(3452),
    [anon_sym_lambda] = ACTIONS(3450),
    [anon_sym_TILDE] = ACTIONS(3452),
    [anon_sym_print] = ACTIONS(3450),
    [anon_sym_del] = ACTIONS(3450),
    [sym_ellipsis] = ACTIONS(3452),
    [anon_sym_import] = ACTIONS(3450),
    [anon_sym_while] = ACTIONS(3450),
    [anon_sym_def] = ACTIONS(3450),
    [anon_sym_await] = ACTIONS(3450),
    [anon_sym_break] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3450),
    [anon_sym_DASH] = ACTIONS(3452),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(3450),
    [anon_sym_not] = ACTIONS(3450),
    [anon_sym_exec] = ACTIONS(3450),
    [ts_builtin_sym_end] = ACTIONS(3452),
    [anon_sym_raise] = ACTIONS(3450),
    [anon_sym_LBRACK] = ACTIONS(3452),
    [anon_sym_LBRACE] = ACTIONS(3452),
    [anon_sym_try] = ACTIONS(3450),
    [anon_sym_for] = ACTIONS(3450),
    [sym_false] = ACTIONS(3450),
    [anon_sym_continue] = ACTIONS(3450),
    [anon_sym_async] = ACTIONS(3450),
  },
  [1321] = {
    [sym_integer] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym__string_start] = ACTIONS(3456),
    [anon_sym_nonlocal] = ACTIONS(3454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_assert] = ACTIONS(3454),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3456),
    [sym_none] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_pass] = ACTIONS(3454),
    [sym_float] = ACTIONS(3456),
    [anon_sym_PLUS] = ACTIONS(3456),
    [anon_sym_AT] = ACTIONS(3456),
    [anon_sym_lambda] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3456),
    [anon_sym_print] = ACTIONS(3454),
    [anon_sym_del] = ACTIONS(3454),
    [sym_ellipsis] = ACTIONS(3456),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_def] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3456),
    [anon_sym_global] = ACTIONS(3454),
    [anon_sym_not] = ACTIONS(3454),
    [anon_sym_exec] = ACTIONS(3454),
    [ts_builtin_sym_end] = ACTIONS(3456),
    [anon_sym_raise] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3456),
    [anon_sym_LBRACE] = ACTIONS(3456),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
  },
  [1322] = {
    [sym_lambda] = STATE(825),
    [sym_conditional_expression] = STATE(825),
    [sym_attribute] = STATE(826),
    [sym_type] = STATE(1648),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(825),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(825),
    [sym_boolean_operator] = STATE(825),
    [sym_await] = STATE(825),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(825),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(825),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1323] = {
    [sym_lambda] = STATE(1649),
    [sym_conditional_expression] = STATE(1649),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1649),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1649),
    [sym_boolean_operator] = STATE(1649),
    [sym_await] = STATE(1649),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1649),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1649),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1324] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(1652),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(1652),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(3458),
    [anon_sym_print] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
  },
  [1325] = {
    [aux_sym__parameters_repeat1] = STATE(1654),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(3462),
    [sym_comment] = ACTIONS(3),
  },
  [1326] = {
    [sym_lambda] = STATE(1662),
    [sym_conditional_expression] = STATE(1662),
    [sym_attribute] = STATE(1663),
    [sym_type] = STATE(1660),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(1662),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(1662),
    [sym_boolean_operator] = STATE(1662),
    [sym_await] = STATE(1662),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(1662),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(1662),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1327] = {
    [sym_lambda] = STATE(1664),
    [sym_conditional_expression] = STATE(1664),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1664),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1664),
    [sym_boolean_operator] = STATE(1664),
    [sym_await] = STATE(1664),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1664),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1664),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1328] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(1652),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(1652),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(3458),
    [anon_sym_print] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
  },
  [1329] = {
    [aux_sym__parameters_repeat1] = STATE(1654),
    [anon_sym_RPAREN] = ACTIONS(1569),
    [anon_sym_COMMA] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
  },
  [1330] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1331] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1332] = {
    [anon_sym_COLON] = ACTIONS(219),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(3480),
    [sym_comment] = ACTIONS(3),
  },
  [1333] = {
    [sym_lambda] = STATE(1667),
    [sym_conditional_expression] = STATE(1667),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1667),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1667),
    [sym_boolean_operator] = STATE(1667),
    [sym_await] = STATE(1667),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1667),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1667),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1334] = {
    [sym_lambda] = STATE(1668),
    [sym_conditional_expression] = STATE(1668),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1668),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1668),
    [sym_boolean_operator] = STATE(1668),
    [sym_await] = STATE(1668),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1668),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1668),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1335] = {
    [sym_lambda_parameters] = STATE(1670),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3482),
    [sym_comment] = ACTIONS(3),
  },
  [1336] = {
    [sym_string] = STATE(1671),
    [aux_sym_concatenated_string_repeat1] = STATE(1671),
    [anon_sym_COLON] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1337] = {
    [anon_sym_COLON] = ACTIONS(1577),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
  },
  [1338] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1685),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(3492),
    [anon_sym_is] = ACTIONS(3494),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(3498),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(3498),
    [anon_sym_BANG_EQ] = ACTIONS(3498),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_EQ_EQ] = ACTIONS(3498),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(3508),
    [anon_sym_GT_EQ] = ACTIONS(3498),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(3512),
    [anon_sym_LT] = ACTIONS(3492),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [1339] = {
    [anon_sym_COLON] = ACTIONS(3514),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [sym_comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_lambda] = STATE(1686),
    [sym_conditional_expression] = STATE(1686),
    [sym_attribute] = STATE(301),
    [sym_type] = STATE(865),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1686),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1686),
    [sym_boolean_operator] = STATE(1686),
    [sym_await] = STATE(1686),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1686),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1686),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1341] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1687),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1342] = {
    [sym_integer] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym__string_start] = ACTIONS(3518),
    [anon_sym_nonlocal] = ACTIONS(3516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [sym_none] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_pass] = ACTIONS(3516),
    [sym_float] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_lambda] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_print] = ACTIONS(3516),
    [anon_sym_del] = ACTIONS(3516),
    [sym_ellipsis] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_def] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3516),
    [anon_sym_exec] = ACTIONS(3516),
    [ts_builtin_sym_end] = ACTIONS(3518),
    [anon_sym_raise] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
  },
  [1343] = {
    [anon_sym_COLON] = ACTIONS(3520),
    [sym_comment] = ACTIONS(3),
  },
  [1344] = {
    [anon_sym_COLON] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1345] = {
    [aux_sym_assert_statement_repeat1] = STATE(662),
    [sym__semicolon] = ACTIONS(3522),
    [sym__newline] = ACTIONS(3522),
    [anon_sym_COMMA] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
  },
  [1346] = {
    [sym__newline] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [sym__semicolon] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(2655),
  },
  [1347] = {
    [sym_lambda] = STATE(1689),
    [sym_conditional_expression] = STATE(1689),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(1689),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(1689),
    [sym_boolean_operator] = STATE(1689),
    [sym_await] = STATE(1689),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(1689),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(1689),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [1348] = {
    [sym_lambda] = STATE(897),
    [sym_conditional_expression] = STATE(897),
    [sym_attribute] = STATE(148),
    [sym_dictionary_comprehension] = STATE(148),
    [sym_named_expression] = STATE(897),
    [sym_generator_expression] = STATE(148),
    [sym_binary_operator] = STATE(148),
    [sym_unary_operator] = STATE(148),
    [sym_call] = STATE(148),
    [sym_list_comprehension] = STATE(148),
    [sym_dictionary] = STATE(148),
    [sym_parenthesized_expression] = STATE(148),
    [sym_tuple] = STATE(148),
    [sym_not_operator] = STATE(897),
    [sym_boolean_operator] = STATE(897),
    [sym_await] = STATE(897),
    [sym_concatenated_string] = STATE(148),
    [sym_subscript] = STATE(148),
    [sym_string] = STATE(145),
    [sym_list] = STATE(148),
    [sym_set] = STATE(148),
    [sym_set_comprehension] = STATE(148),
    [sym__expression] = STATE(897),
    [sym__primary_expression] = STATE(148),
    [sym_comparison_operator] = STATE(897),
    [sym_integer] = ACTIONS(231),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(233),
    [anon_sym_TILDE] = ACTIONS(235),
    [sym_true] = ACTIONS(231),
    [anon_sym_await] = ACTIONS(237),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_not] = ACTIONS(243),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(231),
    [anon_sym_lambda] = ACTIONS(245),
    [sym__string_start] = ACTIONS(115),
  },
  [1349] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(767),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR_STAR] = ACTIONS(781),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(783),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [sym__semicolon] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(787),
    [anon_sym_PIPE] = ACTIONS(789),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(787),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1350] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1351] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1352] = {
    [sym_lambda] = STATE(1690),
    [sym_conditional_expression] = STATE(1690),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1690),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1690),
    [sym_boolean_operator] = STATE(1690),
    [sym_await] = STATE(1690),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1690),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1690),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1353] = {
    [sym_string] = STATE(1353),
    [aux_sym_concatenated_string_repeat1] = STATE(1353),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1354] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1355] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1356] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1357] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1358] = {
    [sym_attribute] = STATE(1692),
    [sym_dictionary_comprehension] = STATE(1692),
    [sym_generator_expression] = STATE(1692),
    [sym_binary_operator] = STATE(1692),
    [sym_unary_operator] = STATE(1692),
    [sym_call] = STATE(1692),
    [sym_list_comprehension] = STATE(1692),
    [sym_dictionary] = STATE(1692),
    [sym_parenthesized_expression] = STATE(1692),
    [sym_tuple] = STATE(1692),
    [sym_concatenated_string] = STATE(1692),
    [sym_string] = STATE(459),
    [sym_subscript] = STATE(1692),
    [sym_list] = STATE(1692),
    [sym_set] = STATE(1692),
    [sym_set_comprehension] = STATE(1692),
    [sym__primary_expression] = STATE(1692),
    [sym_integer] = ACTIONS(3526),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(3526),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3526),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3528),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3526),
    [sym__string_start] = ACTIONS(157),
  },
  [1359] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1362] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1363] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1364] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1364),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3530),
    [anon_sym_is] = ACTIONS(3533),
    [anon_sym_LT_EQ] = ACTIONS(3536),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3539),
    [anon_sym_in] = ACTIONS(3536),
    [anon_sym_GT_EQ] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3530),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3536),
    [anon_sym_BANG_EQ] = ACTIONS(3536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3536),
  },
  [1365] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [anon_sym_async] = ACTIONS(2655),
  },
  [1366] = {
    [anon_sym_COLON] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3542),
    [anon_sym_SLASH_SLASH] = ACTIONS(3544),
    [sym__newline] = ACTIONS(3542),
    [anon_sym_GT] = ACTIONS(3544),
    [anon_sym_DASH_EQ] = ACTIONS(3542),
    [anon_sym_is] = ACTIONS(3542),
    [anon_sym_AMP] = ACTIONS(3544),
    [anon_sym_LT_EQ] = ACTIONS(3542),
    [anon_sym_STAR] = ACTIONS(3544),
    [anon_sym_AMP_EQ] = ACTIONS(3542),
    [anon_sym_AT_EQ] = ACTIONS(3542),
    [anon_sym_LT_LT_EQ] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_in] = ACTIONS(3542),
    [anon_sym_PERCENT_EQ] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_STAR_STAR] = ACTIONS(3544),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_EQ] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3544),
    [anon_sym_LT_GT] = ACTIONS(3542),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3544),
    [anon_sym_EQ_EQ] = ACTIONS(3542),
    [anon_sym_CARET_EQ] = ACTIONS(3542),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3542),
    [anon_sym_STAR_EQ] = ACTIONS(3542),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3542),
    [sym__semicolon] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_PERCENT] = ACTIONS(3544),
    [anon_sym_not] = ACTIONS(3542),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_PLUS_EQ] = ACTIONS(3542),
    [anon_sym_LT_LT] = ACTIONS(3544),
    [anon_sym_PIPE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_GT_GT] = ACTIONS(3544),
    [anon_sym_PIPE_EQ] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_DOT] = ACTIONS(3542),
    [anon_sym_COMMA] = ACTIONS(3542),
    [anon_sym_SLASH_EQ] = ACTIONS(3542),
    [anon_sym_GT_GT_EQ] = ACTIONS(3542),
    [sym_comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_lambda] = STATE(934),
    [sym_conditional_expression] = STATE(934),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(934),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(934),
    [sym_boolean_operator] = STATE(934),
    [sym_await] = STATE(934),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(934),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(934),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1368] = {
    [sym_lambda] = STATE(1693),
    [sym_conditional_expression] = STATE(1693),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1693),
    [sym_generator_expression] = STATE(160),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1693),
    [sym_boolean_operator] = STATE(1693),
    [sym_await] = STATE(1693),
    [sym_concatenated_string] = STATE(160),
    [sym_subscript] = STATE(160),
    [sym_string] = STATE(158),
    [sym_list] = STATE(160),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1693),
    [sym__primary_expression] = STATE(160),
    [sym_comparison_operator] = STATE(1693),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(265),
    [sym__string_start] = ACTIONS(157),
  },
  [1369] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(1695),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(1695),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [1370] = {
    [anon_sym_in] = ACTIONS(3548),
    [sym_comment] = ACTIONS(3),
  },
  [1371] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1372] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1373] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(3550),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1374] = {
    [sym_lambda] = STATE(1699),
    [sym_conditional_expression] = STATE(1699),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(1699),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(1699),
    [sym_boolean_operator] = STATE(1699),
    [sym_await] = STATE(1699),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(1699),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(1699),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1375] = {
    [sym_lambda_parameters] = STATE(1701),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3552),
    [sym_comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_string] = STATE(1702),
    [aux_sym_concatenated_string_repeat1] = STATE(1702),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1377] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_RBRACK] = ACTIONS(3299),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_async] = ACTIONS(3299),
  },
  [1378] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1716),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(3560),
    [anon_sym_is] = ACTIONS(3562),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_LT_EQ] = ACTIONS(3566),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3566),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(3566),
    [anon_sym_BANG_EQ] = ACTIONS(3566),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3566),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(3576),
    [anon_sym_GT_EQ] = ACTIONS(3566),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(3580),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [1379] = {
    [sym_for_in_clause] = STATE(1379),
    [sym_if_clause] = STATE(1379),
    [aux_sym__comprehension_body_repeat1] = STATE(1379),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3585),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3588),
  },
  [1380] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(827),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_STAR_STAR] = ACTIONS(841),
    [anon_sym_SLASH] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(843),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(839),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(827),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_PIPE] = ACTIONS(849),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [1381] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1382] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_lambda] = STATE(1717),
    [sym_conditional_expression] = STATE(1717),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1717),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1717),
    [sym_boolean_operator] = STATE(1717),
    [sym_await] = STATE(1717),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1717),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1717),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1384] = {
    [sym_string] = STATE(1384),
    [aux_sym_concatenated_string_repeat1] = STATE(1384),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1385] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1386] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3591),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_attribute] = STATE(1719),
    [sym_dictionary_comprehension] = STATE(1719),
    [sym_generator_expression] = STATE(1719),
    [sym_binary_operator] = STATE(1719),
    [sym_unary_operator] = STATE(1719),
    [sym_call] = STATE(1719),
    [sym_list_comprehension] = STATE(1719),
    [sym_dictionary] = STATE(1719),
    [sym_parenthesized_expression] = STATE(1719),
    [sym_tuple] = STATE(1719),
    [sym_concatenated_string] = STATE(1719),
    [sym_string] = STATE(494),
    [sym_subscript] = STATE(1719),
    [sym_list] = STATE(1719),
    [sym_set] = STATE(1719),
    [sym_set_comprehension] = STATE(1719),
    [sym__primary_expression] = STATE(1719),
    [sym_integer] = ACTIONS(3593),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3595),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(3593),
    [sym_identifier] = ACTIONS(3593),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3593),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3595),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3593),
    [sym__string_start] = ACTIONS(157),
  },
  [1390] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1395] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1395),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3597),
    [anon_sym_is] = ACTIONS(3600),
    [anon_sym_LT_EQ] = ACTIONS(3603),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3606),
    [anon_sym_in] = ACTIONS(3603),
    [anon_sym_GT_EQ] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3597),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3603),
    [anon_sym_BANG_EQ] = ACTIONS(3603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3603),
  },
  [1396] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(2655),
  },
  [1397] = {
    [sym_lambda] = STATE(1720),
    [sym_conditional_expression] = STATE(1720),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1720),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1720),
    [sym_boolean_operator] = STATE(1720),
    [sym_await] = STATE(1720),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1720),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1720),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1398] = {
    [anon_sym_COLON] = ACTIONS(3609),
    [anon_sym_or] = ACTIONS(3609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3611),
    [sym__newline] = ACTIONS(3609),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_DASH_EQ] = ACTIONS(3609),
    [anon_sym_is] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(3611),
    [anon_sym_LT_EQ] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3611),
    [anon_sym_AMP_EQ] = ACTIONS(3609),
    [anon_sym_AT_EQ] = ACTIONS(3609),
    [anon_sym_LT_LT_EQ] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_in] = ACTIONS(3609),
    [anon_sym_PERCENT_EQ] = ACTIONS(3609),
    [anon_sym_if] = ACTIONS(3609),
    [anon_sym_PLUS] = ACTIONS(3611),
    [anon_sym_STAR_STAR] = ACTIONS(3611),
    [anon_sym_SLASH] = ACTIONS(3611),
    [anon_sym_EQ] = ACTIONS(3611),
    [anon_sym_AT] = ACTIONS(3611),
    [anon_sym_LT_GT] = ACTIONS(3609),
    [anon_sym_BANG_EQ] = ACTIONS(3609),
    [anon_sym_CARET] = ACTIONS(3611),
    [anon_sym_EQ_EQ] = ACTIONS(3609),
    [anon_sym_CARET_EQ] = ACTIONS(3609),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3609),
    [anon_sym_STAR_EQ] = ACTIONS(3609),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3609),
    [sym__semicolon] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3611),
    [anon_sym_and] = ACTIONS(3609),
    [anon_sym_PERCENT] = ACTIONS(3611),
    [anon_sym_not] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3609),
    [anon_sym_PLUS_EQ] = ACTIONS(3609),
    [anon_sym_LT_LT] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT_GT] = ACTIONS(3611),
    [anon_sym_PIPE_EQ] = ACTIONS(3609),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_DOT] = ACTIONS(3609),
    [anon_sym_COMMA] = ACTIONS(3609),
    [anon_sym_SLASH_EQ] = ACTIONS(3609),
    [anon_sym_GT_GT_EQ] = ACTIONS(3609),
    [sym_comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_lambda] = STATE(980),
    [sym_conditional_expression] = STATE(980),
    [sym_attribute] = STATE(109),
    [sym_dictionary_splat] = STATE(979),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(980),
    [sym_generator_expression] = STATE(109),
    [sym_pair] = STATE(979),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(980),
    [sym_boolean_operator] = STATE(980),
    [sym_await] = STATE(980),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(980),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(980),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1400] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(1722),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(1722),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [1401] = {
    [anon_sym_in] = ACTIONS(3615),
    [sym_comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1403] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1404] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(3617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1405] = {
    [sym_lambda] = STATE(1726),
    [sym_conditional_expression] = STATE(1726),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(1726),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(1726),
    [sym_boolean_operator] = STATE(1726),
    [sym_await] = STATE(1726),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(1726),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(1726),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1406] = {
    [sym_lambda_parameters] = STATE(1728),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3619),
    [sym_comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_string] = STATE(1729),
    [aux_sym_concatenated_string_repeat1] = STATE(1729),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(221),
  },
  [1408] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_async] = ACTIONS(3299),
  },
  [1409] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1743),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_is] = ACTIONS(3629),
    [anon_sym_AMP] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(3633),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3633),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(3633),
    [anon_sym_BANG_EQ] = ACTIONS(3633),
    [anon_sym_CARET] = ACTIONS(3641),
    [anon_sym_EQ_EQ] = ACTIONS(3633),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(3643),
    [anon_sym_GT_EQ] = ACTIONS(3633),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(3647),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(317),
    [anon_sym_async] = ACTIONS(317),
  },
  [1410] = {
    [sym_for_in_clause] = STATE(1410),
    [sym_if_clause] = STATE(1410),
    [aux_sym__comprehension_body_repeat1] = STATE(1410),
    [anon_sym_if] = ACTIONS(3649),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3655),
  },
  [1411] = {
    [anon_sym_COLON] = ACTIONS(3658),
    [anon_sym_or] = ACTIONS(3658),
    [anon_sym_SLASH_SLASH] = ACTIONS(3660),
    [sym__newline] = ACTIONS(3658),
    [anon_sym_GT] = ACTIONS(3660),
    [anon_sym_DASH_EQ] = ACTIONS(3658),
    [anon_sym_is] = ACTIONS(3658),
    [anon_sym_AMP] = ACTIONS(3660),
    [anon_sym_LT_EQ] = ACTIONS(3658),
    [anon_sym_STAR] = ACTIONS(3660),
    [anon_sym_AMP_EQ] = ACTIONS(3658),
    [anon_sym_AT_EQ] = ACTIONS(3658),
    [anon_sym_LT_LT_EQ] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_in] = ACTIONS(3658),
    [anon_sym_PERCENT_EQ] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_STAR_STAR] = ACTIONS(3660),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_EQ] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3660),
    [anon_sym_LT_GT] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3658),
    [anon_sym_CARET] = ACTIONS(3660),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_CARET_EQ] = ACTIONS(3658),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3658),
    [anon_sym_STAR_EQ] = ACTIONS(3658),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3658),
    [sym__semicolon] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_and] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3660),
    [anon_sym_not] = ACTIONS(3658),
    [anon_sym_GT_EQ] = ACTIONS(3658),
    [anon_sym_PLUS_EQ] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3660),
    [anon_sym_PIPE] = ACTIONS(3660),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_GT_GT] = ACTIONS(3660),
    [anon_sym_PIPE_EQ] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_DOT] = ACTIONS(3658),
    [anon_sym_COMMA] = ACTIONS(3658),
    [anon_sym_SLASH_EQ] = ACTIONS(3658),
    [anon_sym_GT_GT_EQ] = ACTIONS(3658),
    [sym_comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_lambda] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(990),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_splat] = STATE(933),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(990),
    [sym_boolean_operator] = STATE(990),
    [sym_await] = STATE(990),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(990),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(990),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(1831),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1413] = {
    [sym_lambda] = STATE(1744),
    [sym_conditional_expression] = STATE(1744),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1744),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1744),
    [sym_boolean_operator] = STATE(1744),
    [sym_await] = STATE(1744),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1744),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1744),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1414] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(741),
  },
  [1415] = {
    [sym_lambda] = STATE(1745),
    [sym_conditional_expression] = STATE(1745),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1745),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1745),
    [sym_boolean_operator] = STATE(1745),
    [sym_await] = STATE(1745),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1745),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1745),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1416] = {
    [anon_sym_COLON] = ACTIONS(3662),
    [sym_comment] = ACTIONS(3),
  },
  [1417] = {
    [sym_string] = STATE(1747),
    [aux_sym_concatenated_string_repeat1] = STATE(1747),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [1418] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1419] = {
    [sym_lambda] = STATE(1748),
    [sym_conditional_expression] = STATE(1748),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1748),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1748),
    [sym_boolean_operator] = STATE(1748),
    [sym_await] = STATE(1748),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1748),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1748),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1420] = {
    [sym_lambda] = STATE(1749),
    [sym_conditional_expression] = STATE(1749),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1749),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1749),
    [sym_boolean_operator] = STATE(1749),
    [sym_await] = STATE(1749),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1749),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1749),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1421] = {
    [sym_attribute] = STATE(1750),
    [sym_dictionary_comprehension] = STATE(1750),
    [sym_generator_expression] = STATE(1750),
    [sym_binary_operator] = STATE(1750),
    [sym_unary_operator] = STATE(1750),
    [sym_call] = STATE(1750),
    [sym_list_comprehension] = STATE(1750),
    [sym_dictionary] = STATE(1750),
    [sym_parenthesized_expression] = STATE(1750),
    [sym_tuple] = STATE(1750),
    [sym_concatenated_string] = STATE(1750),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1750),
    [sym_list] = STATE(1750),
    [sym_set] = STATE(1750),
    [sym_set_comprehension] = STATE(1750),
    [sym__primary_expression] = STATE(1750),
    [sym_integer] = ACTIONS(3664),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3664),
    [sym_identifier] = ACTIONS(3664),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3666),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3664),
    [sym__string_start] = ACTIONS(157),
  },
  [1422] = {
    [sym_attribute] = STATE(1751),
    [sym_dictionary_comprehension] = STATE(1751),
    [sym_generator_expression] = STATE(1751),
    [sym_binary_operator] = STATE(1751),
    [sym_unary_operator] = STATE(1751),
    [sym_call] = STATE(1751),
    [sym_list_comprehension] = STATE(1751),
    [sym_dictionary] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1751),
    [sym_tuple] = STATE(1751),
    [sym_concatenated_string] = STATE(1751),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1751),
    [sym_list] = STATE(1751),
    [sym_set] = STATE(1751),
    [sym_set_comprehension] = STATE(1751),
    [sym__primary_expression] = STATE(1751),
    [sym_integer] = ACTIONS(3668),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3670),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3668),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3670),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3668),
    [sym__string_start] = ACTIONS(157),
  },
  [1423] = {
    [sym_attribute] = STATE(1751),
    [sym_dictionary_comprehension] = STATE(1751),
    [sym_generator_expression] = STATE(1751),
    [sym_binary_operator] = STATE(1751),
    [sym_unary_operator] = STATE(1751),
    [sym_call] = STATE(1751),
    [sym_list_comprehension] = STATE(1751),
    [sym_dictionary] = STATE(1751),
    [sym_parenthesized_expression] = STATE(1751),
    [sym_tuple] = STATE(1751),
    [sym_concatenated_string] = STATE(1751),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1751),
    [sym_list] = STATE(1751),
    [sym_set] = STATE(1751),
    [sym_set_comprehension] = STATE(1751),
    [sym__primary_expression] = STATE(1751),
    [sym_integer] = ACTIONS(3668),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3670),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3668),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(3672),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3670),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3668),
    [sym__string_start] = ACTIONS(157),
  },
  [1424] = {
    [sym_attribute] = STATE(1753),
    [sym_dictionary_comprehension] = STATE(1753),
    [sym_generator_expression] = STATE(1753),
    [sym_binary_operator] = STATE(1753),
    [sym_unary_operator] = STATE(1753),
    [sym_call] = STATE(1753),
    [sym_list_comprehension] = STATE(1753),
    [sym_dictionary] = STATE(1753),
    [sym_parenthesized_expression] = STATE(1753),
    [sym_tuple] = STATE(1753),
    [sym_concatenated_string] = STATE(1753),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1753),
    [sym_list] = STATE(1753),
    [sym_set] = STATE(1753),
    [sym_set_comprehension] = STATE(1753),
    [sym__primary_expression] = STATE(1753),
    [sym_integer] = ACTIONS(3674),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3676),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3674),
    [sym_identifier] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3674),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3676),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3674),
    [sym__string_start] = ACTIONS(157),
  },
  [1425] = {
    [sym_attribute] = STATE(1754),
    [sym_dictionary_comprehension] = STATE(1754),
    [sym_generator_expression] = STATE(1754),
    [sym_binary_operator] = STATE(1754),
    [sym_unary_operator] = STATE(1754),
    [sym_call] = STATE(1754),
    [sym_list_comprehension] = STATE(1754),
    [sym_dictionary] = STATE(1754),
    [sym_parenthesized_expression] = STATE(1754),
    [sym_tuple] = STATE(1754),
    [sym_concatenated_string] = STATE(1754),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1754),
    [sym_list] = STATE(1754),
    [sym_set] = STATE(1754),
    [sym_set_comprehension] = STATE(1754),
    [sym__primary_expression] = STATE(1754),
    [sym_integer] = ACTIONS(3678),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3680),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3678),
    [sym_identifier] = ACTIONS(3678),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3680),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3678),
    [sym__string_start] = ACTIONS(157),
  },
  [1426] = {
    [anon_sym_in] = ACTIONS(3682),
    [sym_comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_attribute] = STATE(1755),
    [sym_dictionary_comprehension] = STATE(1755),
    [sym_generator_expression] = STATE(1755),
    [sym_binary_operator] = STATE(1755),
    [sym_unary_operator] = STATE(1755),
    [sym_call] = STATE(1755),
    [sym_list_comprehension] = STATE(1755),
    [sym_dictionary] = STATE(1755),
    [sym_parenthesized_expression] = STATE(1755),
    [sym_tuple] = STATE(1755),
    [sym_concatenated_string] = STATE(1755),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1755),
    [sym_list] = STATE(1755),
    [sym_set] = STATE(1755),
    [sym_set_comprehension] = STATE(1755),
    [sym__primary_expression] = STATE(1755),
    [sym_integer] = ACTIONS(3684),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3684),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3684),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3686),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3684),
    [sym__string_start] = ACTIONS(157),
  },
  [1428] = {
    [sym_attribute] = STATE(1756),
    [sym_dictionary_comprehension] = STATE(1756),
    [sym_generator_expression] = STATE(1756),
    [sym_binary_operator] = STATE(1756),
    [sym_unary_operator] = STATE(1756),
    [sym_call] = STATE(1756),
    [sym_list_comprehension] = STATE(1756),
    [sym_dictionary] = STATE(1756),
    [sym_parenthesized_expression] = STATE(1756),
    [sym_tuple] = STATE(1756),
    [sym_concatenated_string] = STATE(1756),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1756),
    [sym_list] = STATE(1756),
    [sym_set] = STATE(1756),
    [sym_set_comprehension] = STATE(1756),
    [sym__primary_expression] = STATE(1756),
    [sym_integer] = ACTIONS(3688),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3690),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3688),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3688),
    [sym__string_start] = ACTIONS(157),
  },
  [1429] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1430] = {
    [sym_attribute] = STATE(1757),
    [sym_dictionary_comprehension] = STATE(1757),
    [sym_generator_expression] = STATE(1757),
    [sym_binary_operator] = STATE(1757),
    [sym_unary_operator] = STATE(1757),
    [sym_call] = STATE(1757),
    [sym_list_comprehension] = STATE(1757),
    [sym_dictionary] = STATE(1757),
    [sym_parenthesized_expression] = STATE(1757),
    [sym_tuple] = STATE(1757),
    [sym_concatenated_string] = STATE(1757),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1757),
    [sym_list] = STATE(1757),
    [sym_set] = STATE(1757),
    [sym_set_comprehension] = STATE(1757),
    [sym__primary_expression] = STATE(1757),
    [sym_integer] = ACTIONS(3692),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3694),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(3692),
    [sym_identifier] = ACTIONS(3692),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3692),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3692),
    [sym__string_start] = ACTIONS(157),
  },
  [1431] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1758),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_is] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_in] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [1432] = {
    [sym_lambda] = STATE(1759),
    [sym_conditional_expression] = STATE(1759),
    [sym_attribute] = STATE(174),
    [sym_dictionary_comprehension] = STATE(174),
    [sym_named_expression] = STATE(1759),
    [sym_generator_expression] = STATE(174),
    [sym_binary_operator] = STATE(174),
    [sym_unary_operator] = STATE(174),
    [sym_call] = STATE(174),
    [sym_list_comprehension] = STATE(174),
    [sym_dictionary] = STATE(174),
    [sym_parenthesized_expression] = STATE(174),
    [sym_tuple] = STATE(174),
    [sym_not_operator] = STATE(1759),
    [sym_boolean_operator] = STATE(1759),
    [sym_await] = STATE(1759),
    [sym_concatenated_string] = STATE(174),
    [sym_subscript] = STATE(174),
    [sym_string] = STATE(172),
    [sym_list] = STATE(174),
    [sym_set] = STATE(174),
    [sym_set_comprehension] = STATE(174),
    [sym__expression] = STATE(1759),
    [sym__primary_expression] = STATE(174),
    [sym_comparison_operator] = STATE(1759),
    [sym_integer] = ACTIONS(267),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(271),
    [sym_true] = ACTIONS(267),
    [anon_sym_await] = ACTIONS(273),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_DASH] = ACTIONS(271),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(267),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(269),
    [anon_sym_PLUS] = ACTIONS(271),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(267),
    [anon_sym_lambda] = ACTIONS(285),
    [sym__string_start] = ACTIONS(157),
  },
  [1433] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_STAR_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(915),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [1434] = {
    [sym_attribute] = STATE(179),
    [sym_dictionary_comprehension] = STATE(179),
    [sym_generator_expression] = STATE(179),
    [sym_binary_operator] = STATE(179),
    [sym_unary_operator] = STATE(179),
    [sym_call] = STATE(179),
    [sym_list_comprehension] = STATE(179),
    [sym_dictionary] = STATE(179),
    [sym_parenthesized_expression] = STATE(179),
    [sym_tuple] = STATE(179),
    [sym_concatenated_string] = STATE(179),
    [sym_string] = STATE(177),
    [sym_variables] = STATE(1760),
    [sym_subscript] = STATE(179),
    [sym_list] = STATE(179),
    [sym_set] = STATE(179),
    [sym_set_comprehension] = STATE(179),
    [sym__primary_expression] = STATE(179),
    [sym_integer] = ACTIONS(289),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(289),
    [sym_identifier] = ACTIONS(289),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(289),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(289),
    [sym__string_start] = ACTIONS(157),
  },
  [1435] = {
    [sym_lambda] = STATE(100),
    [sym__primary_expression] = STATE(101),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(100),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_with_item] = STATE(1761),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(100),
    [sym_boolean_operator] = STATE(100),
    [sym_await] = STATE(100),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(100),
    [sym_conditional_expression] = STATE(100),
    [sym_comparison_operator] = STATE(100),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [1436] = {
    [sym_identifier] = ACTIONS(3696),
    [sym_comment] = ACTIONS(3),
  },
  [1437] = {
    [sym_argument_list] = STATE(1764),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_COLON] = ACTIONS(3698),
    [sym_comment] = ACTIONS(3),
  },
  [1438] = {
    [aux_sym_with_statement_repeat1] = STATE(1766),
    [anon_sym_COLON] = ACTIONS(3700),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [1439] = {
    [anon_sym_COLON] = ACTIONS(3702),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1440] = {
    [anon_sym_COLON] = ACTIONS(3704),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1441] = {
    [sym_parameters] = STATE(1769),
    [anon_sym_LPAREN] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
  },
  [1442] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(528),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(528),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(528),
    [sym_continue_statement] = STATE(528),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(528),
    [sym_return_statement] = STATE(528),
    [sym_delete_statement] = STATE(528),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(528),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1771),
    [sym_future_import_statement] = STATE(528),
    [sym_import_from_statement] = STATE(528),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(528),
    [sym_raise_statement] = STATE(528),
    [sym_pass_statement] = STATE(528),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(528),
    [sym_exec_statement] = STATE(528),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3706),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1443] = {
    [anon_sym_in] = ACTIONS(3708),
    [sym_comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(3710),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1445] = {
    [sym_integer] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym__string_start] = ACTIONS(947),
    [anon_sym_nonlocal] = ACTIONS(945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(945),
    [anon_sym_finally] = ACTIONS(945),
    [anon_sym_assert] = ACTIONS(945),
    [anon_sym_yield] = ACTIONS(945),
    [anon_sym_return] = ACTIONS(945),
    [anon_sym_from] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [sym_none] = ACTIONS(945),
    [anon_sym_with] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_pass] = ACTIONS(945),
    [sym_float] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_elif] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(947),
    [anon_sym_lambda] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_print] = ACTIONS(945),
    [anon_sym_del] = ACTIONS(945),
    [sym_ellipsis] = ACTIONS(947),
    [anon_sym_import] = ACTIONS(945),
    [anon_sym_while] = ACTIONS(945),
    [anon_sym_def] = ACTIONS(945),
    [anon_sym_await] = ACTIONS(945),
    [anon_sym_break] = ACTIONS(945),
    [sym_identifier] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(947),
    [sym__dedent] = ACTIONS(947),
    [anon_sym_else] = ACTIONS(945),
    [anon_sym_global] = ACTIONS(945),
    [anon_sym_not] = ACTIONS(945),
    [anon_sym_exec] = ACTIONS(945),
    [anon_sym_except] = ACTIONS(945),
    [anon_sym_raise] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_for] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [anon_sym_continue] = ACTIONS(945),
    [anon_sym_async] = ACTIONS(945),
  },
  [1446] = {
    [aux_sym__simple_statements_repeat1] = STATE(544),
    [sym__semicolon] = ACTIONS(3712),
    [sym__newline] = ACTIONS(3710),
    [sym_comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_except_clause] = STATE(1459),
    [sym_else_clause] = STATE(1775),
    [aux_sym_try_statement_repeat1] = STATE(1459),
    [sym_finally_clause] = STATE(1776),
    [sym_integer] = ACTIONS(3714),
    [sym_true] = ACTIONS(3714),
    [sym__string_start] = ACTIONS(3716),
    [anon_sym_nonlocal] = ACTIONS(3714),
    [anon_sym_finally] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3714),
    [anon_sym_yield] = ACTIONS(3714),
    [anon_sym_return] = ACTIONS(3714),
    [anon_sym_from] = ACTIONS(3714),
    [anon_sym_LPAREN] = ACTIONS(3716),
    [sym_none] = ACTIONS(3714),
    [anon_sym_with] = ACTIONS(3714),
    [anon_sym_if] = ACTIONS(3714),
    [anon_sym_pass] = ACTIONS(3714),
    [sym_float] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_AT] = ACTIONS(3716),
    [anon_sym_lambda] = ACTIONS(3714),
    [anon_sym_TILDE] = ACTIONS(3716),
    [anon_sym_print] = ACTIONS(3714),
    [anon_sym_del] = ACTIONS(3714),
    [sym_ellipsis] = ACTIONS(3716),
    [anon_sym_import] = ACTIONS(3714),
    [anon_sym_while] = ACTIONS(3714),
    [anon_sym_def] = ACTIONS(3714),
    [anon_sym_await] = ACTIONS(3714),
    [anon_sym_break] = ACTIONS(3714),
    [sym_identifier] = ACTIONS(3714),
    [anon_sym_DASH] = ACTIONS(3716),
    [anon_sym_except] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(3714),
    [anon_sym_not] = ACTIONS(3714),
    [anon_sym_exec] = ACTIONS(3714),
    [ts_builtin_sym_end] = ACTIONS(3716),
    [anon_sym_raise] = ACTIONS(3714),
    [anon_sym_LBRACK] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_try] = ACTIONS(3714),
    [anon_sym_for] = ACTIONS(3714),
    [sym_false] = ACTIONS(3714),
    [anon_sym_continue] = ACTIONS(3714),
    [anon_sym_async] = ACTIONS(3714),
  },
  [1448] = {
    [sym_integer] = ACTIONS(3714),
    [sym_true] = ACTIONS(3714),
    [sym__string_start] = ACTIONS(3716),
    [anon_sym_nonlocal] = ACTIONS(3714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3714),
    [anon_sym_assert] = ACTIONS(3714),
    [anon_sym_yield] = ACTIONS(3714),
    [anon_sym_return] = ACTIONS(3714),
    [anon_sym_from] = ACTIONS(3714),
    [anon_sym_LPAREN] = ACTIONS(3716),
    [sym_none] = ACTIONS(3714),
    [anon_sym_with] = ACTIONS(3714),
    [anon_sym_if] = ACTIONS(3714),
    [anon_sym_pass] = ACTIONS(3714),
    [sym_float] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_AT] = ACTIONS(3716),
    [anon_sym_lambda] = ACTIONS(3714),
    [anon_sym_TILDE] = ACTIONS(3716),
    [anon_sym_print] = ACTIONS(3714),
    [anon_sym_del] = ACTIONS(3714),
    [sym_ellipsis] = ACTIONS(3716),
    [anon_sym_import] = ACTIONS(3714),
    [anon_sym_while] = ACTIONS(3714),
    [anon_sym_def] = ACTIONS(3714),
    [anon_sym_await] = ACTIONS(3714),
    [anon_sym_break] = ACTIONS(3714),
    [sym_identifier] = ACTIONS(3714),
    [anon_sym_DASH] = ACTIONS(3716),
    [anon_sym_global] = ACTIONS(3714),
    [anon_sym_not] = ACTIONS(3714),
    [anon_sym_exec] = ACTIONS(3714),
    [ts_builtin_sym_end] = ACTIONS(3716),
    [anon_sym_raise] = ACTIONS(3714),
    [anon_sym_LBRACK] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_try] = ACTIONS(3714),
    [anon_sym_for] = ACTIONS(3714),
    [sym_false] = ACTIONS(3714),
    [anon_sym_continue] = ACTIONS(3714),
    [anon_sym_async] = ACTIONS(3714),
  },
  [1449] = {
    [anon_sym_except] = ACTIONS(3718),
    [anon_sym_finally] = ACTIONS(3718),
    [sym_comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1450),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym__string_start] = ACTIONS(1044),
    [anon_sym_nonlocal] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3720),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_return] = ACTIONS(1059),
    [anon_sym_from] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [sym_none] = ACTIONS(1041),
    [anon_sym_with] = ACTIONS(3723),
    [anon_sym_if] = ACTIONS(3726),
    [anon_sym_pass] = ACTIONS(1074),
    [sym_float] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_lambda] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_print] = ACTIONS(1089),
    [anon_sym_del] = ACTIONS(1092),
    [sym_ellipsis] = ACTIONS(1077),
    [anon_sym_import] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(3729),
    [anon_sym_def] = ACTIONS(3732),
    [anon_sym_await] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1080),
    [sym__dedent] = ACTIONS(1122),
    [anon_sym_global] = ACTIONS(1113),
    [anon_sym_not] = ACTIONS(1116),
    [anon_sym_exec] = ACTIONS(1119),
    [anon_sym_raise] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(3735),
    [anon_sym_for] = ACTIONS(3738),
    [sym_false] = ACTIONS(1041),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_async] = ACTIONS(3741),
  },
  [1451] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(2967),
  },
  [1452] = {
    [sym_integer] = ACTIONS(1150),
    [sym_true] = ACTIONS(1150),
    [sym__string_start] = ACTIONS(1152),
    [anon_sym_nonlocal] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1150),
    [anon_sym_assert] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_from] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [sym_none] = ACTIONS(1150),
    [anon_sym_with] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_pass] = ACTIONS(1150),
    [sym_float] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_lambda] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_print] = ACTIONS(1150),
    [anon_sym_del] = ACTIONS(1150),
    [sym_ellipsis] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_def] = ACTIONS(1150),
    [anon_sym_await] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1152),
    [sym__dedent] = ACTIONS(1152),
    [anon_sym_global] = ACTIONS(1150),
    [anon_sym_not] = ACTIONS(1150),
    [anon_sym_exec] = ACTIONS(1150),
    [anon_sym_raise] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_try] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_async] = ACTIONS(1150),
  },
  [1453] = {
    [anon_sym_except] = ACTIONS(1947),
    [anon_sym_finally] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(3744),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1455] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1779),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3746),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1456] = {
    [anon_sym_COLON] = ACTIONS(3748),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(3750),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(3750),
  },
  [1457] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1783),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3752),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1458] = {
    [sym_finally_clause] = STATE(1784),
    [sym_integer] = ACTIONS(3754),
    [sym_true] = ACTIONS(3754),
    [sym__string_start] = ACTIONS(3756),
    [anon_sym_nonlocal] = ACTIONS(3754),
    [anon_sym_finally] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3754),
    [anon_sym_yield] = ACTIONS(3754),
    [anon_sym_return] = ACTIONS(3754),
    [anon_sym_from] = ACTIONS(3754),
    [anon_sym_LPAREN] = ACTIONS(3756),
    [sym_none] = ACTIONS(3754),
    [anon_sym_with] = ACTIONS(3754),
    [anon_sym_if] = ACTIONS(3754),
    [anon_sym_pass] = ACTIONS(3754),
    [sym_float] = ACTIONS(3756),
    [anon_sym_PLUS] = ACTIONS(3756),
    [anon_sym_AT] = ACTIONS(3756),
    [anon_sym_lambda] = ACTIONS(3754),
    [anon_sym_TILDE] = ACTIONS(3756),
    [anon_sym_print] = ACTIONS(3754),
    [anon_sym_del] = ACTIONS(3754),
    [sym_ellipsis] = ACTIONS(3756),
    [anon_sym_import] = ACTIONS(3754),
    [anon_sym_while] = ACTIONS(3754),
    [anon_sym_def] = ACTIONS(3754),
    [anon_sym_await] = ACTIONS(3754),
    [anon_sym_break] = ACTIONS(3754),
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_DASH] = ACTIONS(3756),
    [anon_sym_global] = ACTIONS(3754),
    [anon_sym_not] = ACTIONS(3754),
    [anon_sym_exec] = ACTIONS(3754),
    [ts_builtin_sym_end] = ACTIONS(3756),
    [anon_sym_raise] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3756),
    [anon_sym_LBRACE] = ACTIONS(3756),
    [anon_sym_try] = ACTIONS(3754),
    [anon_sym_for] = ACTIONS(3754),
    [sym_false] = ACTIONS(3754),
    [anon_sym_continue] = ACTIONS(3754),
    [anon_sym_async] = ACTIONS(3754),
  },
  [1459] = {
    [sym_except_clause] = STATE(1459),
    [aux_sym_try_statement_repeat1] = STATE(1459),
    [sym_integer] = ACTIONS(3758),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_nonlocal] = ACTIONS(3758),
    [sym__string_start] = ACTIONS(3760),
    [anon_sym_class] = ACTIONS(3758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3758),
    [anon_sym_yield] = ACTIONS(3758),
    [anon_sym_return] = ACTIONS(3758),
    [anon_sym_from] = ACTIONS(3758),
    [anon_sym_LPAREN] = ACTIONS(3760),
    [sym_none] = ACTIONS(3758),
    [anon_sym_with] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(3758),
    [anon_sym_pass] = ACTIONS(3758),
    [sym_float] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3760),
    [anon_sym_AT] = ACTIONS(3760),
    [anon_sym_lambda] = ACTIONS(3758),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_print] = ACTIONS(3758),
    [anon_sym_del] = ACTIONS(3758),
    [sym_ellipsis] = ACTIONS(3760),
    [anon_sym_import] = ACTIONS(3758),
    [anon_sym_while] = ACTIONS(3758),
    [anon_sym_def] = ACTIONS(3758),
    [anon_sym_except] = ACTIONS(3762),
    [anon_sym_break] = ACTIONS(3758),
    [anon_sym_else] = ACTIONS(3758),
    [anon_sym_DASH] = ACTIONS(3760),
    [sym_identifier] = ACTIONS(3758),
    [anon_sym_await] = ACTIONS(3758),
    [anon_sym_global] = ACTIONS(3758),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_exec] = ACTIONS(3758),
    [ts_builtin_sym_end] = ACTIONS(3760),
    [anon_sym_raise] = ACTIONS(3758),
    [anon_sym_LBRACK] = ACTIONS(3760),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_try] = ACTIONS(3758),
    [anon_sym_for] = ACTIONS(3758),
    [anon_sym_finally] = ACTIONS(3758),
    [anon_sym_continue] = ACTIONS(3758),
    [anon_sym_async] = ACTIONS(3758),
  },
  [1460] = {
    [sym_integer] = ACTIONS(3754),
    [sym_true] = ACTIONS(3754),
    [sym__string_start] = ACTIONS(3756),
    [anon_sym_nonlocal] = ACTIONS(3754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3754),
    [anon_sym_assert] = ACTIONS(3754),
    [anon_sym_yield] = ACTIONS(3754),
    [anon_sym_return] = ACTIONS(3754),
    [anon_sym_from] = ACTIONS(3754),
    [anon_sym_LPAREN] = ACTIONS(3756),
    [sym_none] = ACTIONS(3754),
    [anon_sym_with] = ACTIONS(3754),
    [anon_sym_if] = ACTIONS(3754),
    [anon_sym_pass] = ACTIONS(3754),
    [sym_float] = ACTIONS(3756),
    [anon_sym_PLUS] = ACTIONS(3756),
    [anon_sym_AT] = ACTIONS(3756),
    [anon_sym_lambda] = ACTIONS(3754),
    [anon_sym_TILDE] = ACTIONS(3756),
    [anon_sym_print] = ACTIONS(3754),
    [anon_sym_del] = ACTIONS(3754),
    [sym_ellipsis] = ACTIONS(3756),
    [anon_sym_import] = ACTIONS(3754),
    [anon_sym_while] = ACTIONS(3754),
    [anon_sym_def] = ACTIONS(3754),
    [anon_sym_await] = ACTIONS(3754),
    [anon_sym_break] = ACTIONS(3754),
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_DASH] = ACTIONS(3756),
    [anon_sym_global] = ACTIONS(3754),
    [anon_sym_not] = ACTIONS(3754),
    [anon_sym_exec] = ACTIONS(3754),
    [ts_builtin_sym_end] = ACTIONS(3756),
    [anon_sym_raise] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3756),
    [anon_sym_LBRACE] = ACTIONS(3756),
    [anon_sym_try] = ACTIONS(3754),
    [anon_sym_for] = ACTIONS(3754),
    [sym_false] = ACTIONS(3754),
    [anon_sym_continue] = ACTIONS(3754),
    [anon_sym_async] = ACTIONS(3754),
  },
  [1461] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1786),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3765),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1462] = {
    [sym_lambda] = STATE(1787),
    [sym_conditional_expression] = STATE(1787),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1787),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1787),
    [sym_boolean_operator] = STATE(1787),
    [sym_await] = STATE(1787),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1787),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1787),
    [anon_sym_COLON] = ACTIONS(1156),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1463] = {
    [aux_sym_assert_statement_repeat1] = STATE(1789),
    [anon_sym_COLON] = ACTIONS(1156),
    [anon_sym_COMMA] = ACTIONS(3767),
    [sym_comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_attribute] = STATE(1045),
    [sym_dictionary_comprehension] = STATE(1045),
    [sym_generator_expression] = STATE(1045),
    [sym_binary_operator] = STATE(1045),
    [sym_unary_operator] = STATE(1045),
    [sym_call] = STATE(1045),
    [sym_list_comprehension] = STATE(1045),
    [sym_dictionary] = STATE(1045),
    [sym_parenthesized_expression] = STATE(1045),
    [sym_tuple] = STATE(1045),
    [sym_concatenated_string] = STATE(1045),
    [sym_string] = STATE(177),
    [sym_subscript] = STATE(1045),
    [sym_list] = STATE(1045),
    [sym_set] = STATE(1045),
    [sym_set_comprehension] = STATE(1045),
    [sym__primary_expression] = STATE(1045),
    [sym_integer] = ACTIONS(1931),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(293),
    [sym_true] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1931),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1931),
    [sym__string_start] = ACTIONS(157),
  },
  [1465] = {
    [sym__semicolon] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1466] = {
    [sym__semicolon] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_lambda] = STATE(1790),
    [sym_conditional_expression] = STATE(1790),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1790),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1790),
    [sym_boolean_operator] = STATE(1790),
    [sym_await] = STATE(1790),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1790),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1790),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1468] = {
    [sym__semicolon] = ACTIONS(3769),
    [sym__newline] = ACTIONS(3769),
    [sym_comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_string] = STATE(1469),
    [aux_sym_concatenated_string_repeat1] = STATE(1469),
    [sym__newline] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [sym__semicolon] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2243),
  },
  [1470] = {
    [sym__semicolon] = ACTIONS(2099),
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1471] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3771),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_attribute] = STATE(1792),
    [sym_dictionary_comprehension] = STATE(1792),
    [sym_generator_expression] = STATE(1792),
    [sym_binary_operator] = STATE(1792),
    [sym_unary_operator] = STATE(1792),
    [sym_call] = STATE(1792),
    [sym_list_comprehension] = STATE(1792),
    [sym_dictionary] = STATE(1792),
    [sym_parenthesized_expression] = STATE(1792),
    [sym_tuple] = STATE(1792),
    [sym_concatenated_string] = STATE(1792),
    [sym_string] = STATE(551),
    [sym_subscript] = STATE(1792),
    [sym_list] = STATE(1792),
    [sym_set] = STATE(1792),
    [sym_set_comprehension] = STATE(1792),
    [sym__primary_expression] = STATE(1792),
    [sym_integer] = ACTIONS(3773),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(3775),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(3773),
    [sym_identifier] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(3773),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3773),
    [sym__string_start] = ACTIONS(115),
  },
  [1475] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [sym__semicolon] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1480] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1480),
    [sym__newline] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3777),
    [anon_sym_is] = ACTIONS(3780),
    [sym__semicolon] = ACTIONS(2054),
    [anon_sym_LT_EQ] = ACTIONS(3783),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3786),
    [anon_sym_in] = ACTIONS(3783),
    [anon_sym_GT_EQ] = ACTIONS(3783),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3777),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(3783),
    [anon_sym_BANG_EQ] = ACTIONS(3783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3783),
  },
  [1481] = {
    [sym_lambda] = STATE(588),
    [sym_conditional_expression] = STATE(588),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(588),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(588),
    [sym_boolean_operator] = STATE(588),
    [sym_await] = STATE(588),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(588),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(588),
    [anon_sym_COLON] = ACTIONS(2143),
    [sym__newline] = ACTIONS(2143),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(2143),
    [anon_sym_AMP_EQ] = ACTIONS(2143),
    [anon_sym_AT_EQ] = ACTIONS(2143),
    [anon_sym_LT_LT_EQ] = ACTIONS(2143),
    [anon_sym_PERCENT_EQ] = ACTIONS(2143),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_EQ] = ACTIONS(2143),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(2143),
    [anon_sym_print] = ACTIONS(191),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2143),
    [anon_sym_STAR_EQ] = ACTIONS(2143),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2143),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(191),
    [anon_sym_PLUS_EQ] = ACTIONS(2143),
    [anon_sym_PIPE_EQ] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(2143),
    [anon_sym_GT_GT_EQ] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [1482] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [sym_comment] = ACTIONS(3),
  },
  [1483] = {
    [sym_lambda] = STATE(1793),
    [sym_conditional_expression] = STATE(1793),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1793),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1793),
    [sym_boolean_operator] = STATE(1793),
    [sym_await] = STATE(1793),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1793),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1793),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(3789),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1484] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1485] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1486] = {
    [sym_lambda] = STATE(1794),
    [sym_conditional_expression] = STATE(1794),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1794),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1794),
    [sym_boolean_operator] = STATE(1794),
    [sym_await] = STATE(1794),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1794),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1794),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1487] = {
    [sym_string] = STATE(1487),
    [aux_sym_concatenated_string_repeat1] = STATE(1487),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1488] = {
    [anon_sym_COLON] = ACTIONS(3791),
    [anon_sym_or] = ACTIONS(3791),
    [anon_sym_SLASH_SLASH] = ACTIONS(3793),
    [sym__newline] = ACTIONS(3791),
    [anon_sym_GT] = ACTIONS(3793),
    [anon_sym_DASH_EQ] = ACTIONS(3791),
    [anon_sym_is] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym_LT_EQ] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3793),
    [anon_sym_AMP_EQ] = ACTIONS(3791),
    [anon_sym_AT_EQ] = ACTIONS(3791),
    [anon_sym_LT_LT_EQ] = ACTIONS(3791),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_in] = ACTIONS(3791),
    [anon_sym_PERCENT_EQ] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(3791),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR_STAR] = ACTIONS(3793),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_EQ] = ACTIONS(3793),
    [anon_sym_AT] = ACTIONS(3793),
    [anon_sym_LT_GT] = ACTIONS(3791),
    [anon_sym_BANG_EQ] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3791),
    [anon_sym_CARET_EQ] = ACTIONS(3791),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3791),
    [anon_sym_STAR_EQ] = ACTIONS(3791),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3791),
    [sym__semicolon] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_and] = ACTIONS(3791),
    [anon_sym_PERCENT] = ACTIONS(3793),
    [anon_sym_not] = ACTIONS(3791),
    [anon_sym_GT_EQ] = ACTIONS(3791),
    [anon_sym_PLUS_EQ] = ACTIONS(3791),
    [anon_sym_LT_LT] = ACTIONS(3793),
    [anon_sym_PIPE] = ACTIONS(3793),
    [anon_sym_LT] = ACTIONS(3793),
    [anon_sym_GT_GT] = ACTIONS(3793),
    [anon_sym_PIPE_EQ] = ACTIONS(3791),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_COMMA] = ACTIONS(3791),
    [anon_sym_SLASH_EQ] = ACTIONS(3791),
    [anon_sym_GT_GT_EQ] = ACTIONS(3791),
    [sym_comment] = ACTIONS(3),
  },
  [1489] = {
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3795),
    [sym_comment] = ACTIONS(3),
  },
  [1490] = {
    [anon_sym_COLON] = ACTIONS(2018),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [sym_comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3797),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1492] = {
    [aux_sym_subscript_repeat1] = STATE(1492),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3799),
    [sym_comment] = ACTIONS(3),
  },
  [1493] = {
    [anon_sym_COLON] = ACTIONS(3802),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [sym_comment] = ACTIONS(3),
  },
  [1494] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1495] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1498] = {
    [sym_attribute] = STATE(1799),
    [sym_dictionary_comprehension] = STATE(1799),
    [sym_generator_expression] = STATE(1799),
    [sym_binary_operator] = STATE(1799),
    [sym_unary_operator] = STATE(1799),
    [sym_call] = STATE(1799),
    [sym_list_comprehension] = STATE(1799),
    [sym_dictionary] = STATE(1799),
    [sym_parenthesized_expression] = STATE(1799),
    [sym_tuple] = STATE(1799),
    [sym_concatenated_string] = STATE(1799),
    [sym_string] = STATE(564),
    [sym_subscript] = STATE(1799),
    [sym_list] = STATE(1799),
    [sym_set] = STATE(1799),
    [sym_set_comprehension] = STATE(1799),
    [sym__primary_expression] = STATE(1799),
    [sym_integer] = ACTIONS(3806),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3808),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(3806),
    [sym_identifier] = ACTIONS(3806),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3806),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3808),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3806),
    [sym__string_start] = ACTIONS(157),
  },
  [1499] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1500] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1504] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1504),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3810),
    [anon_sym_is] = ACTIONS(3813),
    [anon_sym_LT_EQ] = ACTIONS(3816),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3819),
    [anon_sym_in] = ACTIONS(3816),
    [anon_sym_GT_EQ] = ACTIONS(3816),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3810),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(3816),
    [anon_sym_BANG_EQ] = ACTIONS(3816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3816),
  },
  [1505] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(3822),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [sym_comment] = ACTIONS(3),
  },
  [1506] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(3824),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [sym_comment] = ACTIONS(3),
  },
  [1507] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
  },
  [1508] = {
    [anon_sym_COLON] = ACTIONS(3826),
    [anon_sym_or] = ACTIONS(3826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3828),
    [sym__newline] = ACTIONS(3826),
    [anon_sym_GT] = ACTIONS(3828),
    [anon_sym_DASH_EQ] = ACTIONS(3826),
    [anon_sym_is] = ACTIONS(3826),
    [anon_sym_AMP] = ACTIONS(3828),
    [anon_sym_LT_EQ] = ACTIONS(3826),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_AMP_EQ] = ACTIONS(3826),
    [anon_sym_AT_EQ] = ACTIONS(3826),
    [anon_sym_LT_LT_EQ] = ACTIONS(3826),
    [anon_sym_LPAREN] = ACTIONS(3826),
    [anon_sym_in] = ACTIONS(3826),
    [anon_sym_PERCENT_EQ] = ACTIONS(3826),
    [anon_sym_if] = ACTIONS(3826),
    [anon_sym_PLUS] = ACTIONS(3828),
    [anon_sym_STAR_STAR] = ACTIONS(3828),
    [anon_sym_SLASH] = ACTIONS(3828),
    [anon_sym_EQ] = ACTIONS(3828),
    [anon_sym_AT] = ACTIONS(3828),
    [anon_sym_LT_GT] = ACTIONS(3826),
    [anon_sym_BANG_EQ] = ACTIONS(3826),
    [anon_sym_CARET] = ACTIONS(3828),
    [anon_sym_EQ_EQ] = ACTIONS(3826),
    [anon_sym_CARET_EQ] = ACTIONS(3826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3826),
    [anon_sym_STAR_EQ] = ACTIONS(3826),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3826),
    [sym__semicolon] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3828),
    [anon_sym_and] = ACTIONS(3826),
    [anon_sym_PERCENT] = ACTIONS(3828),
    [anon_sym_not] = ACTIONS(3826),
    [anon_sym_GT_EQ] = ACTIONS(3826),
    [anon_sym_PLUS_EQ] = ACTIONS(3826),
    [anon_sym_LT_LT] = ACTIONS(3828),
    [anon_sym_PIPE] = ACTIONS(3828),
    [anon_sym_LT] = ACTIONS(3828),
    [anon_sym_GT_GT] = ACTIONS(3828),
    [anon_sym_PIPE_EQ] = ACTIONS(3826),
    [anon_sym_LBRACK] = ACTIONS(3826),
    [anon_sym_DOT] = ACTIONS(3826),
    [anon_sym_COMMA] = ACTIONS(3826),
    [anon_sym_SLASH_EQ] = ACTIONS(3826),
    [anon_sym_GT_GT_EQ] = ACTIONS(3826),
    [sym_comment] = ACTIONS(3),
  },
  [1509] = {
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_COMMA] = ACTIONS(3830),
    [sym_comment] = ACTIONS(3),
  },
  [1510] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(3830),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [sym_comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1512] = {
    [aux_sym_argument_list_repeat1] = STATE(1512),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_COMMA] = ACTIONS(3834),
    [sym_comment] = ACTIONS(3),
  },
  [1513] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1514] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1515] = {
    [sym_lambda] = STATE(1802),
    [sym_conditional_expression] = STATE(1802),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1802),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1802),
    [sym_boolean_operator] = STATE(1802),
    [sym_await] = STATE(1802),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1802),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1802),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1516] = {
    [sym_string] = STATE(1516),
    [aux_sym_concatenated_string_repeat1] = STATE(1516),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_else] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1517] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1518] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(365),
    [anon_sym_CARET_EQ] = ACTIONS(3837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3837),
    [anon_sym_STAR_EQ] = ACTIONS(3837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3837),
    [sym__newline] = ACTIONS(3837),
    [anon_sym_DASH_EQ] = ACTIONS(3837),
    [sym__semicolon] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(367),
    [anon_sym_AMP_EQ] = ACTIONS(3837),
    [anon_sym_AT_EQ] = ACTIONS(3837),
    [anon_sym_LT_LT_EQ] = ACTIONS(3837),
    [anon_sym_PERCENT_EQ] = ACTIONS(3837),
    [anon_sym_PLUS_EQ] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PIPE_EQ] = ACTIONS(3837),
    [anon_sym_EQ] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_SLASH_EQ] = ACTIONS(3837),
    [anon_sym_GT_GT_EQ] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1519] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3839),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_else] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_attribute] = STATE(1804),
    [sym_dictionary_comprehension] = STATE(1804),
    [sym_generator_expression] = STATE(1804),
    [sym_binary_operator] = STATE(1804),
    [sym_unary_operator] = STATE(1804),
    [sym_call] = STATE(1804),
    [sym_list_comprehension] = STATE(1804),
    [sym_dictionary] = STATE(1804),
    [sym_parenthesized_expression] = STATE(1804),
    [sym_tuple] = STATE(1804),
    [sym_concatenated_string] = STATE(1804),
    [sym_string] = STATE(594),
    [sym_subscript] = STATE(1804),
    [sym_list] = STATE(1804),
    [sym_set] = STATE(1804),
    [sym_set_comprehension] = STATE(1804),
    [sym__primary_expression] = STATE(1804),
    [sym_integer] = ACTIONS(3841),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3843),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(3841),
    [sym_identifier] = ACTIONS(3841),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3841),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3841),
    [sym__string_start] = ACTIONS(157),
  },
  [1523] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1524] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_else] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1528] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1528),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(3845),
    [anon_sym_is] = ACTIONS(3848),
    [anon_sym_else] = ACTIONS(2054),
    [anon_sym_LT_EQ] = ACTIONS(3851),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(3854),
    [anon_sym_in] = ACTIONS(3851),
    [anon_sym_GT_EQ] = ACTIONS(3851),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(3845),
    [anon_sym_LT_GT] = ACTIONS(3851),
    [anon_sym_BANG_EQ] = ACTIONS(3851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3851),
  },
  [1529] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1806),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3857),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1530] = {
    [sym_integer] = ACTIONS(3859),
    [sym_true] = ACTIONS(3859),
    [sym__string_start] = ACTIONS(3861),
    [anon_sym_nonlocal] = ACTIONS(3859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3859),
    [anon_sym_assert] = ACTIONS(3859),
    [anon_sym_yield] = ACTIONS(3859),
    [anon_sym_return] = ACTIONS(3859),
    [anon_sym_from] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3861),
    [sym_none] = ACTIONS(3859),
    [anon_sym_with] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(3859),
    [anon_sym_pass] = ACTIONS(3859),
    [sym_float] = ACTIONS(3861),
    [anon_sym_PLUS] = ACTIONS(3861),
    [anon_sym_AT] = ACTIONS(3861),
    [anon_sym_lambda] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_print] = ACTIONS(3859),
    [anon_sym_del] = ACTIONS(3859),
    [sym_ellipsis] = ACTIONS(3861),
    [anon_sym_import] = ACTIONS(3859),
    [anon_sym_while] = ACTIONS(3859),
    [anon_sym_def] = ACTIONS(3859),
    [anon_sym_await] = ACTIONS(3859),
    [anon_sym_break] = ACTIONS(3859),
    [sym_identifier] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3861),
    [anon_sym_global] = ACTIONS(3859),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_exec] = ACTIONS(3859),
    [ts_builtin_sym_end] = ACTIONS(3861),
    [anon_sym_raise] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3861),
    [anon_sym_try] = ACTIONS(3859),
    [anon_sym_for] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [anon_sym_continue] = ACTIONS(3859),
    [anon_sym_async] = ACTIONS(3859),
  },
  [1531] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1807),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1532] = {
    [sym_integer] = ACTIONS(3863),
    [sym_true] = ACTIONS(3863),
    [sym__string_start] = ACTIONS(3865),
    [anon_sym_nonlocal] = ACTIONS(3863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3863),
    [anon_sym_assert] = ACTIONS(3863),
    [anon_sym_yield] = ACTIONS(3863),
    [anon_sym_return] = ACTIONS(3863),
    [anon_sym_from] = ACTIONS(3863),
    [anon_sym_LPAREN] = ACTIONS(3865),
    [sym_none] = ACTIONS(3863),
    [anon_sym_with] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(3863),
    [anon_sym_pass] = ACTIONS(3863),
    [sym_float] = ACTIONS(3865),
    [anon_sym_PLUS] = ACTIONS(3865),
    [anon_sym_AT] = ACTIONS(3865),
    [anon_sym_lambda] = ACTIONS(3863),
    [anon_sym_TILDE] = ACTIONS(3865),
    [anon_sym_print] = ACTIONS(3863),
    [anon_sym_del] = ACTIONS(3863),
    [sym_ellipsis] = ACTIONS(3865),
    [anon_sym_import] = ACTIONS(3863),
    [anon_sym_while] = ACTIONS(3863),
    [anon_sym_def] = ACTIONS(3863),
    [anon_sym_await] = ACTIONS(3863),
    [anon_sym_break] = ACTIONS(3863),
    [sym_identifier] = ACTIONS(3863),
    [anon_sym_DASH] = ACTIONS(3865),
    [anon_sym_global] = ACTIONS(3863),
    [anon_sym_not] = ACTIONS(3863),
    [anon_sym_exec] = ACTIONS(3863),
    [ts_builtin_sym_end] = ACTIONS(3865),
    [anon_sym_raise] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3865),
    [anon_sym_try] = ACTIONS(3863),
    [anon_sym_for] = ACTIONS(3863),
    [sym_false] = ACTIONS(3863),
    [anon_sym_continue] = ACTIONS(3863),
    [anon_sym_async] = ACTIONS(3863),
  },
  [1533] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1808),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1534] = {
    [sym_integer] = ACTIONS(3867),
    [sym_true] = ACTIONS(3867),
    [sym__string_start] = ACTIONS(3869),
    [anon_sym_nonlocal] = ACTIONS(3867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3867),
    [anon_sym_assert] = ACTIONS(3867),
    [anon_sym_yield] = ACTIONS(3867),
    [anon_sym_return] = ACTIONS(3867),
    [anon_sym_from] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [sym_none] = ACTIONS(3867),
    [anon_sym_with] = ACTIONS(3867),
    [anon_sym_if] = ACTIONS(3867),
    [anon_sym_pass] = ACTIONS(3867),
    [sym_float] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3869),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_lambda] = ACTIONS(3867),
    [anon_sym_TILDE] = ACTIONS(3869),
    [anon_sym_print] = ACTIONS(3867),
    [anon_sym_del] = ACTIONS(3867),
    [sym_ellipsis] = ACTIONS(3869),
    [anon_sym_import] = ACTIONS(3867),
    [anon_sym_while] = ACTIONS(3867),
    [anon_sym_def] = ACTIONS(3867),
    [anon_sym_await] = ACTIONS(3867),
    [anon_sym_break] = ACTIONS(3867),
    [sym_identifier] = ACTIONS(3867),
    [anon_sym_DASH] = ACTIONS(3869),
    [anon_sym_global] = ACTIONS(3867),
    [anon_sym_not] = ACTIONS(3867),
    [anon_sym_exec] = ACTIONS(3867),
    [ts_builtin_sym_end] = ACTIONS(3869),
    [anon_sym_raise] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3869),
    [anon_sym_LBRACE] = ACTIONS(3869),
    [anon_sym_try] = ACTIONS(3867),
    [anon_sym_for] = ACTIONS(3867),
    [sym_false] = ACTIONS(3867),
    [anon_sym_continue] = ACTIONS(3867),
    [anon_sym_async] = ACTIONS(3867),
  },
  [1535] = {
    [anon_sym_COLON] = ACTIONS(3871),
    [sym_comment] = ACTIONS(3),
  },
  [1536] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [sym_type_conversion] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1537] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1538] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1539] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(3873),
    [sym_comment] = ACTIONS(3),
  },
  [1540] = {
    [sym_lambda] = STATE(1811),
    [sym_conditional_expression] = STATE(1811),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(1811),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(1811),
    [sym_boolean_operator] = STATE(1811),
    [sym_await] = STATE(1811),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(1811),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(1811),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1541] = {
    [sym_lambda_parameters] = STATE(1813),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3875),
    [sym_comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_string] = STATE(1814),
    [aux_sym_concatenated_string_repeat1] = STATE(1814),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1543] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3879),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(3883),
    [sym_comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1829),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(3887),
    [anon_sym_is] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_LT_EQ] = ACTIONS(3893),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(3893),
    [anon_sym_BANG_EQ] = ACTIONS(3893),
    [anon_sym_CARET] = ACTIONS(3901),
    [anon_sym_EQ_EQ] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_GT_EQ] = ACTIONS(3893),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(3907),
    [anon_sym_LT] = ACTIONS(3887),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1545] = {
    [aux_sym_format_specifier_repeat1] = STATE(1545),
    [sym_format_expression] = STATE(1545),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [aux_sym_format_specifier_token1] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(3914),
  },
  [1546] = {
    [sym_lambda] = STATE(1830),
    [sym_conditional_expression] = STATE(1830),
    [sym_attribute] = STATE(221),
    [sym_dictionary_comprehension] = STATE(221),
    [sym_named_expression] = STATE(1830),
    [sym_generator_expression] = STATE(221),
    [sym_binary_operator] = STATE(221),
    [sym_unary_operator] = STATE(221),
    [sym_call] = STATE(221),
    [sym_list_comprehension] = STATE(221),
    [sym_dictionary] = STATE(221),
    [sym_parenthesized_expression] = STATE(221),
    [sym_tuple] = STATE(221),
    [sym_not_operator] = STATE(1830),
    [sym_boolean_operator] = STATE(1830),
    [sym_await] = STATE(1830),
    [sym_concatenated_string] = STATE(221),
    [sym_subscript] = STATE(221),
    [sym_string] = STATE(219),
    [sym_list] = STATE(221),
    [sym_set] = STATE(221),
    [sym_set_comprehension] = STATE(221),
    [sym__expression] = STATE(1830),
    [sym__primary_expression] = STATE(221),
    [sym_comparison_operator] = STATE(1830),
    [sym_integer] = ACTIONS(379),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(381),
    [anon_sym_TILDE] = ACTIONS(383),
    [sym_true] = ACTIONS(379),
    [anon_sym_await] = ACTIONS(385),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_not] = ACTIONS(389),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(379),
    [anon_sym_lambda] = ACTIONS(391),
    [sym__string_start] = ACTIONS(157),
  },
  [1547] = {
    [sym_escape_sequence] = ACTIONS(3917),
    [sym__string_end] = ACTIONS(3917),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(3917),
    [anon_sym_LBRACE] = ACTIONS(3919),
  },
  [1548] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [sym_type_conversion] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1210),
    [anon_sym_SLASH] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1549] = {
    [anon_sym_COLON] = ACTIONS(3826),
    [anon_sym_or] = ACTIONS(3826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3826),
    [anon_sym_GT] = ACTIONS(3828),
    [anon_sym_is] = ACTIONS(3826),
    [anon_sym_AMP] = ACTIONS(3826),
    [anon_sym_LT_EQ] = ACTIONS(3826),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_RBRACK] = ACTIONS(3826),
    [anon_sym_as] = ACTIONS(3828),
    [anon_sym_LPAREN] = ACTIONS(3826),
    [anon_sym_in] = ACTIONS(3826),
    [anon_sym_if] = ACTIONS(3826),
    [anon_sym_RBRACE] = ACTIONS(3826),
    [sym_type_conversion] = ACTIONS(3826),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_STAR_STAR] = ACTIONS(3826),
    [anon_sym_SLASH] = ACTIONS(3828),
    [anon_sym_EQ] = ACTIONS(3828),
    [anon_sym_AT] = ACTIONS(3826),
    [anon_sym_LT_GT] = ACTIONS(3826),
    [anon_sym_BANG_EQ] = ACTIONS(3826),
    [anon_sym_CARET] = ACTIONS(3826),
    [anon_sym_EQ_EQ] = ACTIONS(3826),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_else] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_and] = ACTIONS(3826),
    [anon_sym_PERCENT] = ACTIONS(3826),
    [anon_sym_not] = ACTIONS(3826),
    [anon_sym_GT_EQ] = ACTIONS(3826),
    [anon_sym_LT_LT] = ACTIONS(3826),
    [anon_sym_PIPE] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(3828),
    [anon_sym_GT_GT] = ACTIONS(3826),
    [anon_sym_LBRACK] = ACTIONS(3826),
    [anon_sym_DOT] = ACTIONS(3826),
    [anon_sym_COMMA] = ACTIONS(3826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3826),
    [anon_sym_async] = ACTIONS(3826),
  },
  [1550] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3921),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1551] = {
    [sym_integer] = ACTIONS(3923),
    [sym_true] = ACTIONS(3923),
    [sym__string_start] = ACTIONS(3718),
    [anon_sym_nonlocal] = ACTIONS(3923),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3923),
    [anon_sym_finally] = ACTIONS(3923),
    [anon_sym_assert] = ACTIONS(3923),
    [anon_sym_yield] = ACTIONS(3923),
    [anon_sym_return] = ACTIONS(3923),
    [anon_sym_from] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3718),
    [sym_none] = ACTIONS(3923),
    [anon_sym_with] = ACTIONS(3923),
    [anon_sym_if] = ACTIONS(3923),
    [anon_sym_pass] = ACTIONS(3923),
    [sym_float] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_elif] = ACTIONS(3923),
    [anon_sym_AT] = ACTIONS(3718),
    [anon_sym_lambda] = ACTIONS(3923),
    [anon_sym_TILDE] = ACTIONS(3718),
    [anon_sym_print] = ACTIONS(3923),
    [anon_sym_del] = ACTIONS(3923),
    [sym_ellipsis] = ACTIONS(3718),
    [anon_sym_import] = ACTIONS(3923),
    [anon_sym_while] = ACTIONS(3923),
    [anon_sym_def] = ACTIONS(3923),
    [anon_sym_await] = ACTIONS(3923),
    [anon_sym_break] = ACTIONS(3923),
    [sym_identifier] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3718),
    [anon_sym_else] = ACTIONS(3923),
    [anon_sym_except] = ACTIONS(3923),
    [anon_sym_global] = ACTIONS(3923),
    [anon_sym_not] = ACTIONS(3923),
    [anon_sym_exec] = ACTIONS(3923),
    [ts_builtin_sym_end] = ACTIONS(3718),
    [anon_sym_raise] = ACTIONS(3923),
    [anon_sym_LBRACK] = ACTIONS(3718),
    [anon_sym_LBRACE] = ACTIONS(3718),
    [anon_sym_try] = ACTIONS(3923),
    [anon_sym_for] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [anon_sym_continue] = ACTIONS(3923),
    [anon_sym_async] = ACTIONS(3923),
  },
  [1552] = {
    [sym_integer] = ACTIONS(3925),
    [sym_true] = ACTIONS(3925),
    [sym__string_start] = ACTIONS(3927),
    [anon_sym_nonlocal] = ACTIONS(3925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_assert] = ACTIONS(3925),
    [anon_sym_yield] = ACTIONS(3925),
    [anon_sym_return] = ACTIONS(3925),
    [anon_sym_from] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [sym_none] = ACTIONS(3925),
    [anon_sym_with] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(3925),
    [anon_sym_pass] = ACTIONS(3925),
    [sym_float] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_AT] = ACTIONS(3927),
    [anon_sym_lambda] = ACTIONS(3925),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_print] = ACTIONS(3925),
    [anon_sym_del] = ACTIONS(3925),
    [sym_ellipsis] = ACTIONS(3927),
    [anon_sym_import] = ACTIONS(3925),
    [anon_sym_while] = ACTIONS(3925),
    [anon_sym_def] = ACTIONS(3925),
    [anon_sym_await] = ACTIONS(3925),
    [anon_sym_break] = ACTIONS(3925),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_global] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(3925),
    [anon_sym_exec] = ACTIONS(3925),
    [ts_builtin_sym_end] = ACTIONS(3927),
    [anon_sym_raise] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_try] = ACTIONS(3925),
    [anon_sym_for] = ACTIONS(3925),
    [sym_false] = ACTIONS(3925),
    [anon_sym_continue] = ACTIONS(3925),
    [anon_sym_async] = ACTIONS(3925),
  },
  [1553] = {
    [sym__newline] = ACTIONS(3285),
    [anon_sym_or] = ACTIONS(3285),
    [anon_sym_SLASH_SLASH] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3287),
    [anon_sym_is] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_from] = ACTIONS(3285),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_in] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_STAR_STAR] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_EQ] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_LT_GT] = ACTIONS(3285),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_CARET] = ACTIONS(3285),
    [anon_sym_EQ_EQ] = ACTIONS(3285),
    [sym__semicolon] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_and] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_not] = ACTIONS(3285),
    [anon_sym_GT_EQ] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_PIPE] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT_GT] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_COMMA] = ACTIONS(3285),
    [sym_comment] = ACTIONS(3),
  },
  [1554] = {
    [sym__newline] = ACTIONS(3609),
    [anon_sym_or] = ACTIONS(3609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3609),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_is] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3611),
    [anon_sym_from] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_in] = ACTIONS(3609),
    [anon_sym_if] = ACTIONS(3609),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_STAR_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3611),
    [anon_sym_EQ] = ACTIONS(3611),
    [anon_sym_AT] = ACTIONS(3609),
    [anon_sym_LT_GT] = ACTIONS(3609),
    [anon_sym_BANG_EQ] = ACTIONS(3609),
    [anon_sym_CARET] = ACTIONS(3609),
    [anon_sym_EQ_EQ] = ACTIONS(3609),
    [sym__semicolon] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_and] = ACTIONS(3609),
    [anon_sym_PERCENT] = ACTIONS(3609),
    [anon_sym_not] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3609),
    [anon_sym_LT_LT] = ACTIONS(3609),
    [anon_sym_PIPE] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT_GT] = ACTIONS(3609),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_DOT] = ACTIONS(3609),
    [anon_sym_COMMA] = ACTIONS(3609),
    [sym_comment] = ACTIONS(3),
  },
  [1555] = {
    [sym__newline] = ACTIONS(3658),
    [anon_sym_or] = ACTIONS(3658),
    [anon_sym_SLASH_SLASH] = ACTIONS(3658),
    [anon_sym_GT] = ACTIONS(3660),
    [anon_sym_is] = ACTIONS(3658),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_LT_EQ] = ACTIONS(3658),
    [anon_sym_STAR] = ACTIONS(3660),
    [anon_sym_from] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_in] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_STAR_STAR] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_EQ] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_LT_GT] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3658),
    [anon_sym_CARET] = ACTIONS(3658),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [sym__semicolon] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_and] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_not] = ACTIONS(3658),
    [anon_sym_GT_EQ] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_DOT] = ACTIONS(3658),
    [anon_sym_COMMA] = ACTIONS(3658),
    [sym_comment] = ACTIONS(3),
  },
  [1556] = {
    [sym__newline] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3542),
    [anon_sym_SLASH_SLASH] = ACTIONS(3542),
    [anon_sym_GT] = ACTIONS(3544),
    [anon_sym_is] = ACTIONS(3542),
    [anon_sym_AMP] = ACTIONS(3542),
    [anon_sym_LT_EQ] = ACTIONS(3542),
    [anon_sym_STAR] = ACTIONS(3544),
    [anon_sym_from] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_in] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_STAR_STAR] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_EQ] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_LT_GT] = ACTIONS(3542),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3542),
    [anon_sym_EQ_EQ] = ACTIONS(3542),
    [sym__semicolon] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_PERCENT] = ACTIONS(3542),
    [anon_sym_not] = ACTIONS(3542),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_LT_LT] = ACTIONS(3542),
    [anon_sym_PIPE] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_GT_GT] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_DOT] = ACTIONS(3542),
    [anon_sym_COMMA] = ACTIONS(3542),
    [sym_comment] = ACTIONS(3),
  },
  [1557] = {
    [sym__semicolon] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(431),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(437),
    [sym__newline] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1558] = {
    [sym__newline] = ACTIONS(3791),
    [anon_sym_or] = ACTIONS(3791),
    [anon_sym_SLASH_SLASH] = ACTIONS(3791),
    [anon_sym_GT] = ACTIONS(3793),
    [anon_sym_is] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_LT_EQ] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3793),
    [anon_sym_from] = ACTIONS(3791),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_in] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(3791),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_STAR_STAR] = ACTIONS(3791),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_EQ] = ACTIONS(3793),
    [anon_sym_AT] = ACTIONS(3791),
    [anon_sym_LT_GT] = ACTIONS(3791),
    [anon_sym_BANG_EQ] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_EQ_EQ] = ACTIONS(3791),
    [sym__semicolon] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_and] = ACTIONS(3791),
    [anon_sym_PERCENT] = ACTIONS(3791),
    [anon_sym_not] = ACTIONS(3791),
    [anon_sym_GT_EQ] = ACTIONS(3791),
    [anon_sym_LT_LT] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3791),
    [anon_sym_LT] = ACTIONS(3793),
    [anon_sym_GT_GT] = ACTIONS(3791),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_COMMA] = ACTIONS(3791),
    [sym_comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3929),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1560] = {
    [sym__newline] = ACTIONS(3826),
    [anon_sym_or] = ACTIONS(3826),
    [anon_sym_SLASH_SLASH] = ACTIONS(3826),
    [anon_sym_GT] = ACTIONS(3828),
    [anon_sym_is] = ACTIONS(3826),
    [anon_sym_AMP] = ACTIONS(3826),
    [anon_sym_LT_EQ] = ACTIONS(3826),
    [anon_sym_STAR] = ACTIONS(3828),
    [anon_sym_from] = ACTIONS(3826),
    [anon_sym_LPAREN] = ACTIONS(3826),
    [anon_sym_in] = ACTIONS(3826),
    [anon_sym_if] = ACTIONS(3826),
    [anon_sym_PLUS] = ACTIONS(3826),
    [anon_sym_STAR_STAR] = ACTIONS(3826),
    [anon_sym_SLASH] = ACTIONS(3828),
    [anon_sym_EQ] = ACTIONS(3828),
    [anon_sym_AT] = ACTIONS(3826),
    [anon_sym_LT_GT] = ACTIONS(3826),
    [anon_sym_BANG_EQ] = ACTIONS(3826),
    [anon_sym_CARET] = ACTIONS(3826),
    [anon_sym_EQ_EQ] = ACTIONS(3826),
    [sym__semicolon] = ACTIONS(3826),
    [anon_sym_DASH] = ACTIONS(3826),
    [anon_sym_and] = ACTIONS(3826),
    [anon_sym_PERCENT] = ACTIONS(3826),
    [anon_sym_not] = ACTIONS(3826),
    [anon_sym_GT_EQ] = ACTIONS(3826),
    [anon_sym_LT_LT] = ACTIONS(3826),
    [anon_sym_PIPE] = ACTIONS(3826),
    [anon_sym_LT] = ACTIONS(3828),
    [anon_sym_GT_GT] = ACTIONS(3826),
    [anon_sym_LBRACK] = ACTIONS(3826),
    [anon_sym_DOT] = ACTIONS(3826),
    [anon_sym_COMMA] = ACTIONS(3826),
    [sym_comment] = ACTIONS(3),
  },
  [1561] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_RPAREN] = ACTIONS(3931),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1562] = {
    [sym__semicolon] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(1318),
    [sym__newline] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_lambda] = STATE(1834),
    [sym_conditional_expression] = STATE(1834),
    [sym_attribute] = STATE(278),
    [sym_dictionary_comprehension] = STATE(278),
    [sym_named_expression] = STATE(1834),
    [sym_generator_expression] = STATE(278),
    [sym_binary_operator] = STATE(278),
    [sym_unary_operator] = STATE(278),
    [sym_call] = STATE(278),
    [sym_list_comprehension] = STATE(278),
    [sym_dictionary] = STATE(278),
    [sym_parenthesized_expression] = STATE(278),
    [sym_tuple] = STATE(278),
    [sym_not_operator] = STATE(1834),
    [sym_boolean_operator] = STATE(1834),
    [sym_await] = STATE(1834),
    [sym_concatenated_string] = STATE(278),
    [sym_subscript] = STATE(278),
    [sym_string] = STATE(276),
    [sym_list] = STATE(278),
    [sym_set] = STATE(278),
    [sym_set_comprehension] = STATE(278),
    [sym__expression] = STATE(1834),
    [sym__primary_expression] = STATE(278),
    [sym_comparison_operator] = STATE(1834),
    [sym_integer] = ACTIONS(469),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(471),
    [anon_sym_TILDE] = ACTIONS(473),
    [sym_true] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(475),
    [sym_identifier] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(479),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(469),
    [anon_sym_lambda] = ACTIONS(481),
    [sym__string_start] = ACTIONS(115),
  },
  [1564] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1340),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [sym__semicolon] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [1565] = {
    [aux_sym_dotted_name_repeat1] = STATE(1835),
    [anon_sym_DOT] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1352),
  },
  [1566] = {
    [sym_aliased_import] = STATE(1836),
    [sym_dotted_name] = STATE(1837),
    [anon_sym_RPAREN] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
  },
  [1567] = {
    [aux_sym__import_list_repeat1] = STATE(1839),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(3933),
    [sym_comment] = ACTIONS(3),
  },
  [1568] = {
    [sym__semicolon] = ACTIONS(3935),
    [sym__newline] = ACTIONS(3935),
    [sym_comment] = ACTIONS(3),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(3937),
    [sym_comment] = ACTIONS(3),
  },
  [1570] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1571] = {
    [sym_lambda] = STATE(1841),
    [sym_conditional_expression] = STATE(1841),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1841),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1841),
    [sym_boolean_operator] = STATE(1841),
    [sym_await] = STATE(1841),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1841),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1841),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1572] = {
    [sym_lambda] = STATE(1205),
    [sym_conditional_expression] = STATE(1205),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1205),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1205),
    [sym_boolean_operator] = STATE(1205),
    [sym_await] = STATE(1205),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1205),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1205),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1573] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1381),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1381),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1401),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1574] = {
    [anon_sym_COLON] = ACTIONS(3285),
    [anon_sym_or] = ACTIONS(3285),
    [anon_sym_SLASH_SLASH] = ACTIONS(3285),
    [anon_sym_GT] = ACTIONS(3287),
    [anon_sym_is] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3285),
    [anon_sym_LT_EQ] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_RBRACK] = ACTIONS(3285),
    [anon_sym_as] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3285),
    [anon_sym_in] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [sym_type_conversion] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_STAR_STAR] = ACTIONS(3285),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_EQ] = ACTIONS(3287),
    [anon_sym_AT] = ACTIONS(3285),
    [anon_sym_LT_GT] = ACTIONS(3285),
    [anon_sym_BANG_EQ] = ACTIONS(3285),
    [anon_sym_CARET] = ACTIONS(3285),
    [anon_sym_EQ_EQ] = ACTIONS(3285),
    [anon_sym_RPAREN] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_and] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(3285),
    [anon_sym_not] = ACTIONS(3285),
    [anon_sym_GT_EQ] = ACTIONS(3285),
    [anon_sym_LT_LT] = ACTIONS(3285),
    [anon_sym_PIPE] = ACTIONS(3285),
    [anon_sym_LT] = ACTIONS(3287),
    [anon_sym_GT_GT] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3285),
    [anon_sym_DOT] = ACTIONS(3285),
    [anon_sym_COMMA] = ACTIONS(3285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
  },
  [1575] = {
    [anon_sym_COLON] = ACTIONS(3609),
    [anon_sym_or] = ACTIONS(3609),
    [anon_sym_SLASH_SLASH] = ACTIONS(3609),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_is] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(3609),
    [anon_sym_LT_EQ] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3611),
    [anon_sym_RBRACK] = ACTIONS(3609),
    [anon_sym_as] = ACTIONS(3611),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_in] = ACTIONS(3609),
    [anon_sym_if] = ACTIONS(3609),
    [anon_sym_RBRACE] = ACTIONS(3609),
    [sym_type_conversion] = ACTIONS(3609),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_STAR_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3611),
    [anon_sym_EQ] = ACTIONS(3611),
    [anon_sym_AT] = ACTIONS(3609),
    [anon_sym_LT_GT] = ACTIONS(3609),
    [anon_sym_BANG_EQ] = ACTIONS(3609),
    [anon_sym_CARET] = ACTIONS(3609),
    [anon_sym_EQ_EQ] = ACTIONS(3609),
    [anon_sym_RPAREN] = ACTIONS(3609),
    [anon_sym_else] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_and] = ACTIONS(3609),
    [anon_sym_PERCENT] = ACTIONS(3609),
    [anon_sym_not] = ACTIONS(3609),
    [anon_sym_GT_EQ] = ACTIONS(3609),
    [anon_sym_LT_LT] = ACTIONS(3609),
    [anon_sym_PIPE] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT_GT] = ACTIONS(3609),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_DOT] = ACTIONS(3609),
    [anon_sym_COMMA] = ACTIONS(3609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3609),
    [anon_sym_async] = ACTIONS(3609),
  },
  [1576] = {
    [anon_sym_COLON] = ACTIONS(3658),
    [anon_sym_or] = ACTIONS(3658),
    [anon_sym_SLASH_SLASH] = ACTIONS(3658),
    [anon_sym_GT] = ACTIONS(3660),
    [anon_sym_is] = ACTIONS(3658),
    [anon_sym_AMP] = ACTIONS(3658),
    [anon_sym_LT_EQ] = ACTIONS(3658),
    [anon_sym_STAR] = ACTIONS(3660),
    [anon_sym_RBRACK] = ACTIONS(3658),
    [anon_sym_as] = ACTIONS(3660),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_in] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_RBRACE] = ACTIONS(3658),
    [sym_type_conversion] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_STAR_STAR] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_EQ] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_LT_GT] = ACTIONS(3658),
    [anon_sym_BANG_EQ] = ACTIONS(3658),
    [anon_sym_CARET] = ACTIONS(3658),
    [anon_sym_EQ_EQ] = ACTIONS(3658),
    [anon_sym_RPAREN] = ACTIONS(3658),
    [anon_sym_else] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_and] = ACTIONS(3658),
    [anon_sym_PERCENT] = ACTIONS(3658),
    [anon_sym_not] = ACTIONS(3658),
    [anon_sym_GT_EQ] = ACTIONS(3658),
    [anon_sym_LT_LT] = ACTIONS(3658),
    [anon_sym_PIPE] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_GT_GT] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_DOT] = ACTIONS(3658),
    [anon_sym_COMMA] = ACTIONS(3658),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3658),
    [anon_sym_async] = ACTIONS(3658),
  },
  [1577] = {
    [anon_sym_COLON] = ACTIONS(3542),
    [anon_sym_or] = ACTIONS(3542),
    [anon_sym_SLASH_SLASH] = ACTIONS(3542),
    [anon_sym_GT] = ACTIONS(3544),
    [anon_sym_is] = ACTIONS(3542),
    [anon_sym_AMP] = ACTIONS(3542),
    [anon_sym_LT_EQ] = ACTIONS(3542),
    [anon_sym_STAR] = ACTIONS(3544),
    [anon_sym_RBRACK] = ACTIONS(3542),
    [anon_sym_as] = ACTIONS(3544),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_in] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_RBRACE] = ACTIONS(3542),
    [sym_type_conversion] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_STAR_STAR] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_EQ] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_LT_GT] = ACTIONS(3542),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_CARET] = ACTIONS(3542),
    [anon_sym_EQ_EQ] = ACTIONS(3542),
    [anon_sym_RPAREN] = ACTIONS(3542),
    [anon_sym_else] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_and] = ACTIONS(3542),
    [anon_sym_PERCENT] = ACTIONS(3542),
    [anon_sym_not] = ACTIONS(3542),
    [anon_sym_GT_EQ] = ACTIONS(3542),
    [anon_sym_LT_LT] = ACTIONS(3542),
    [anon_sym_PIPE] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_GT_GT] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_DOT] = ACTIONS(3542),
    [anon_sym_COMMA] = ACTIONS(3542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3542),
    [anon_sym_async] = ACTIONS(3542),
  },
  [1578] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_RPAREN] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(3837),
  },
  [1579] = {
    [sym_lambda_parameters] = STATE(1843),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3939),
    [sym_comment] = ACTIONS(3),
  },
  [1580] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1845),
    [anon_sym_COMMA] = ACTIONS(3941),
    [anon_sym_if] = ACTIONS(3943),
    [anon_sym_for] = ACTIONS(3943),
    [anon_sym_RPAREN] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3943),
  },
  [1581] = {
    [anon_sym_or] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_RPAREN] = ACTIONS(3945),
    [anon_sym_COMMA] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_and] = ACTIONS(559),
    [anon_sym_async] = ACTIONS(3945),
  },
  [1582] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(1846),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(1846),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [1583] = {
    [sym_lambda] = STATE(1847),
    [sym_conditional_expression] = STATE(1847),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(1847),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(1847),
    [sym_boolean_operator] = STATE(1847),
    [sym_await] = STATE(1847),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(1847),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(1847),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1584] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(741),
  },
  [1585] = {
    [sym_lambda] = STATE(1848),
    [sym_conditional_expression] = STATE(1848),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(1848),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(1848),
    [sym_boolean_operator] = STATE(1848),
    [sym_await] = STATE(1848),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(1848),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(1848),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1586] = {
    [anon_sym_COLON] = ACTIONS(3947),
    [sym_comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_string] = STATE(1850),
    [aux_sym_concatenated_string_repeat1] = STATE(1850),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [1588] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1589] = {
    [sym_lambda] = STATE(1851),
    [sym_conditional_expression] = STATE(1851),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(1851),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(1851),
    [sym_boolean_operator] = STATE(1851),
    [sym_await] = STATE(1851),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(1851),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(1851),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1590] = {
    [sym_lambda] = STATE(1852),
    [sym_conditional_expression] = STATE(1852),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1852),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1852),
    [sym_boolean_operator] = STATE(1852),
    [sym_await] = STATE(1852),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1852),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1852),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1591] = {
    [sym_attribute] = STATE(1853),
    [sym_dictionary_comprehension] = STATE(1853),
    [sym_generator_expression] = STATE(1853),
    [sym_binary_operator] = STATE(1853),
    [sym_unary_operator] = STATE(1853),
    [sym_call] = STATE(1853),
    [sym_list_comprehension] = STATE(1853),
    [sym_dictionary] = STATE(1853),
    [sym_parenthesized_expression] = STATE(1853),
    [sym_tuple] = STATE(1853),
    [sym_concatenated_string] = STATE(1853),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1853),
    [sym_list] = STATE(1853),
    [sym_set] = STATE(1853),
    [sym_set_comprehension] = STATE(1853),
    [sym__primary_expression] = STATE(1853),
    [sym_integer] = ACTIONS(3949),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3951),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3949),
    [sym_identifier] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3949),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3951),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3949),
    [sym__string_start] = ACTIONS(157),
  },
  [1592] = {
    [sym_attribute] = STATE(1854),
    [sym_dictionary_comprehension] = STATE(1854),
    [sym_generator_expression] = STATE(1854),
    [sym_binary_operator] = STATE(1854),
    [sym_unary_operator] = STATE(1854),
    [sym_call] = STATE(1854),
    [sym_list_comprehension] = STATE(1854),
    [sym_dictionary] = STATE(1854),
    [sym_parenthesized_expression] = STATE(1854),
    [sym_tuple] = STATE(1854),
    [sym_concatenated_string] = STATE(1854),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1854),
    [sym_list] = STATE(1854),
    [sym_set] = STATE(1854),
    [sym_set_comprehension] = STATE(1854),
    [sym__primary_expression] = STATE(1854),
    [sym_integer] = ACTIONS(3953),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3953),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3953),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3953),
    [sym__string_start] = ACTIONS(157),
  },
  [1593] = {
    [sym_attribute] = STATE(1854),
    [sym_dictionary_comprehension] = STATE(1854),
    [sym_generator_expression] = STATE(1854),
    [sym_binary_operator] = STATE(1854),
    [sym_unary_operator] = STATE(1854),
    [sym_call] = STATE(1854),
    [sym_list_comprehension] = STATE(1854),
    [sym_dictionary] = STATE(1854),
    [sym_parenthesized_expression] = STATE(1854),
    [sym_tuple] = STATE(1854),
    [sym_concatenated_string] = STATE(1854),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1854),
    [sym_list] = STATE(1854),
    [sym_set] = STATE(1854),
    [sym_set_comprehension] = STATE(1854),
    [sym__primary_expression] = STATE(1854),
    [sym_integer] = ACTIONS(3953),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3953),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(3957),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3953),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3953),
    [sym__string_start] = ACTIONS(157),
  },
  [1594] = {
    [sym_attribute] = STATE(1856),
    [sym_dictionary_comprehension] = STATE(1856),
    [sym_generator_expression] = STATE(1856),
    [sym_binary_operator] = STATE(1856),
    [sym_unary_operator] = STATE(1856),
    [sym_call] = STATE(1856),
    [sym_list_comprehension] = STATE(1856),
    [sym_dictionary] = STATE(1856),
    [sym_parenthesized_expression] = STATE(1856),
    [sym_tuple] = STATE(1856),
    [sym_concatenated_string] = STATE(1856),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1856),
    [sym_list] = STATE(1856),
    [sym_set] = STATE(1856),
    [sym_set_comprehension] = STATE(1856),
    [sym__primary_expression] = STATE(1856),
    [sym_integer] = ACTIONS(3959),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3959),
    [sym_identifier] = ACTIONS(3959),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3961),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3959),
    [sym__string_start] = ACTIONS(157),
  },
  [1595] = {
    [sym_attribute] = STATE(1857),
    [sym_dictionary_comprehension] = STATE(1857),
    [sym_generator_expression] = STATE(1857),
    [sym_binary_operator] = STATE(1857),
    [sym_unary_operator] = STATE(1857),
    [sym_call] = STATE(1857),
    [sym_list_comprehension] = STATE(1857),
    [sym_dictionary] = STATE(1857),
    [sym_parenthesized_expression] = STATE(1857),
    [sym_tuple] = STATE(1857),
    [sym_concatenated_string] = STATE(1857),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1857),
    [sym_list] = STATE(1857),
    [sym_set] = STATE(1857),
    [sym_set_comprehension] = STATE(1857),
    [sym__primary_expression] = STATE(1857),
    [sym_integer] = ACTIONS(3963),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3965),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3963),
    [sym_identifier] = ACTIONS(3963),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3963),
    [sym__string_start] = ACTIONS(157),
  },
  [1596] = {
    [anon_sym_in] = ACTIONS(3967),
    [sym_comment] = ACTIONS(3),
  },
  [1597] = {
    [sym_attribute] = STATE(1858),
    [sym_dictionary_comprehension] = STATE(1858),
    [sym_generator_expression] = STATE(1858),
    [sym_binary_operator] = STATE(1858),
    [sym_unary_operator] = STATE(1858),
    [sym_call] = STATE(1858),
    [sym_list_comprehension] = STATE(1858),
    [sym_dictionary] = STATE(1858),
    [sym_parenthesized_expression] = STATE(1858),
    [sym_tuple] = STATE(1858),
    [sym_concatenated_string] = STATE(1858),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1858),
    [sym_list] = STATE(1858),
    [sym_set] = STATE(1858),
    [sym_set_comprehension] = STATE(1858),
    [sym__primary_expression] = STATE(1858),
    [sym_integer] = ACTIONS(3969),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3969),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3969),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3969),
    [sym__string_start] = ACTIONS(157),
  },
  [1598] = {
    [sym_attribute] = STATE(1859),
    [sym_dictionary_comprehension] = STATE(1859),
    [sym_generator_expression] = STATE(1859),
    [sym_binary_operator] = STATE(1859),
    [sym_unary_operator] = STATE(1859),
    [sym_call] = STATE(1859),
    [sym_list_comprehension] = STATE(1859),
    [sym_dictionary] = STATE(1859),
    [sym_parenthesized_expression] = STATE(1859),
    [sym_tuple] = STATE(1859),
    [sym_concatenated_string] = STATE(1859),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1859),
    [sym_list] = STATE(1859),
    [sym_set] = STATE(1859),
    [sym_set_comprehension] = STATE(1859),
    [sym__primary_expression] = STATE(1859),
    [sym_integer] = ACTIONS(3973),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3975),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3973),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3973),
    [sym__string_start] = ACTIONS(157),
  },
  [1599] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1600] = {
    [sym_attribute] = STATE(1860),
    [sym_dictionary_comprehension] = STATE(1860),
    [sym_generator_expression] = STATE(1860),
    [sym_binary_operator] = STATE(1860),
    [sym_unary_operator] = STATE(1860),
    [sym_call] = STATE(1860),
    [sym_list_comprehension] = STATE(1860),
    [sym_dictionary] = STATE(1860),
    [sym_parenthesized_expression] = STATE(1860),
    [sym_tuple] = STATE(1860),
    [sym_concatenated_string] = STATE(1860),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(1860),
    [sym_list] = STATE(1860),
    [sym_set] = STATE(1860),
    [sym_set_comprehension] = STATE(1860),
    [sym__primary_expression] = STATE(1860),
    [sym_integer] = ACTIONS(3977),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(3977),
    [sym_identifier] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3977),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3979),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3977),
    [sym__string_start] = ACTIONS(157),
  },
  [1601] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1861),
    [anon_sym_EQ_EQ] = ACTIONS(3311),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(3305),
    [anon_sym_is] = ACTIONS(3307),
    [anon_sym_LT_EQ] = ACTIONS(3311),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_in] = ACTIONS(3311),
    [anon_sym_GT_EQ] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(3305),
    [anon_sym_LT_GT] = ACTIONS(3311),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(3311),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [1602] = {
    [anon_sym_COLON] = ACTIONS(3791),
    [anon_sym_or] = ACTIONS(3791),
    [anon_sym_SLASH_SLASH] = ACTIONS(3791),
    [anon_sym_GT] = ACTIONS(3793),
    [anon_sym_is] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_LT_EQ] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3793),
    [anon_sym_RBRACK] = ACTIONS(3791),
    [anon_sym_as] = ACTIONS(3793),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_in] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(3791),
    [anon_sym_RBRACE] = ACTIONS(3791),
    [sym_type_conversion] = ACTIONS(3791),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_STAR_STAR] = ACTIONS(3791),
    [anon_sym_SLASH] = ACTIONS(3793),
    [anon_sym_EQ] = ACTIONS(3793),
    [anon_sym_AT] = ACTIONS(3791),
    [anon_sym_LT_GT] = ACTIONS(3791),
    [anon_sym_BANG_EQ] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_EQ_EQ] = ACTIONS(3791),
    [anon_sym_RPAREN] = ACTIONS(3791),
    [anon_sym_else] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_and] = ACTIONS(3791),
    [anon_sym_PERCENT] = ACTIONS(3791),
    [anon_sym_not] = ACTIONS(3791),
    [anon_sym_GT_EQ] = ACTIONS(3791),
    [anon_sym_LT_LT] = ACTIONS(3791),
    [anon_sym_PIPE] = ACTIONS(3791),
    [anon_sym_LT] = ACTIONS(3793),
    [anon_sym_GT_GT] = ACTIONS(3791),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_COMMA] = ACTIONS(3791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3791),
    [anon_sym_async] = ACTIONS(3791),
  },
  [1603] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(3981),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1604] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(3837),
  },
  [1605] = {
    [aux_sym_if_statement_repeat1] = STATE(1609),
    [sym_else_clause] = STATE(1863),
    [sym_elif_clause] = STATE(1259),
    [sym_integer] = ACTIONS(3983),
    [sym_true] = ACTIONS(3983),
    [sym__string_start] = ACTIONS(3985),
    [anon_sym_nonlocal] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3983),
    [anon_sym_assert] = ACTIONS(3983),
    [anon_sym_yield] = ACTIONS(3983),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_from] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(3985),
    [sym_none] = ACTIONS(3983),
    [anon_sym_with] = ACTIONS(3983),
    [anon_sym_if] = ACTIONS(3983),
    [anon_sym_pass] = ACTIONS(3983),
    [sym_float] = ACTIONS(3985),
    [anon_sym_PLUS] = ACTIONS(3985),
    [anon_sym_elif] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(3985),
    [anon_sym_lambda] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3985),
    [anon_sym_print] = ACTIONS(3983),
    [anon_sym_del] = ACTIONS(3983),
    [sym_ellipsis] = ACTIONS(3985),
    [anon_sym_import] = ACTIONS(3983),
    [anon_sym_while] = ACTIONS(3983),
    [anon_sym_def] = ACTIONS(3983),
    [anon_sym_await] = ACTIONS(3983),
    [anon_sym_break] = ACTIONS(3983),
    [sym_identifier] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3985),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(3983),
    [anon_sym_not] = ACTIONS(3983),
    [anon_sym_exec] = ACTIONS(3983),
    [ts_builtin_sym_end] = ACTIONS(3985),
    [anon_sym_raise] = ACTIONS(3983),
    [anon_sym_LBRACK] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3985),
    [anon_sym_try] = ACTIONS(3983),
    [anon_sym_for] = ACTIONS(3983),
    [sym_false] = ACTIONS(3983),
    [anon_sym_continue] = ACTIONS(3983),
    [anon_sym_async] = ACTIONS(3983),
  },
  [1606] = {
    [sym_integer] = ACTIONS(3987),
    [sym_true] = ACTIONS(3987),
    [sym__string_start] = ACTIONS(3989),
    [anon_sym_nonlocal] = ACTIONS(3987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3987),
    [anon_sym_assert] = ACTIONS(3987),
    [anon_sym_yield] = ACTIONS(3987),
    [anon_sym_return] = ACTIONS(3987),
    [anon_sym_from] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3989),
    [sym_none] = ACTIONS(3987),
    [anon_sym_with] = ACTIONS(3987),
    [anon_sym_if] = ACTIONS(3987),
    [anon_sym_pass] = ACTIONS(3987),
    [sym_float] = ACTIONS(3989),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_AT] = ACTIONS(3989),
    [anon_sym_lambda] = ACTIONS(3987),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_print] = ACTIONS(3987),
    [anon_sym_del] = ACTIONS(3987),
    [sym_ellipsis] = ACTIONS(3989),
    [anon_sym_import] = ACTIONS(3987),
    [anon_sym_while] = ACTIONS(3987),
    [anon_sym_def] = ACTIONS(3987),
    [anon_sym_await] = ACTIONS(3987),
    [anon_sym_break] = ACTIONS(3987),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_DASH] = ACTIONS(3989),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_not] = ACTIONS(3987),
    [anon_sym_exec] = ACTIONS(3987),
    [ts_builtin_sym_end] = ACTIONS(3989),
    [anon_sym_raise] = ACTIONS(3987),
    [anon_sym_LBRACK] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3989),
    [anon_sym_try] = ACTIONS(3987),
    [anon_sym_for] = ACTIONS(3987),
    [sym_false] = ACTIONS(3987),
    [anon_sym_continue] = ACTIONS(3987),
    [anon_sym_async] = ACTIONS(3987),
  },
  [1607] = {
    [anon_sym_COLON] = ACTIONS(3991),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1866),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(3993),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1609] = {
    [aux_sym_if_statement_repeat1] = STATE(1609),
    [sym_elif_clause] = STATE(1259),
    [sym_integer] = ACTIONS(3995),
    [sym_true] = ACTIONS(3995),
    [sym__string_start] = ACTIONS(3997),
    [anon_sym_nonlocal] = ACTIONS(3995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3995),
    [anon_sym_assert] = ACTIONS(3995),
    [anon_sym_yield] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3997),
    [sym_none] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [anon_sym_if] = ACTIONS(3995),
    [anon_sym_pass] = ACTIONS(3995),
    [anon_sym_elif] = ACTIONS(3999),
    [anon_sym_PLUS] = ACTIONS(3997),
    [sym_float] = ACTIONS(3997),
    [anon_sym_AT] = ACTIONS(3997),
    [anon_sym_lambda] = ACTIONS(3995),
    [anon_sym_TILDE] = ACTIONS(3997),
    [anon_sym_print] = ACTIONS(3995),
    [anon_sym_del] = ACTIONS(3995),
    [sym_ellipsis] = ACTIONS(3997),
    [anon_sym_import] = ACTIONS(3995),
    [anon_sym_while] = ACTIONS(3995),
    [anon_sym_def] = ACTIONS(3995),
    [anon_sym_await] = ACTIONS(3995),
    [anon_sym_break] = ACTIONS(3995),
    [anon_sym_else] = ACTIONS(3995),
    [anon_sym_DASH] = ACTIONS(3997),
    [sym_identifier] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(3995),
    [anon_sym_not] = ACTIONS(3995),
    [anon_sym_exec] = ACTIONS(3995),
    [ts_builtin_sym_end] = ACTIONS(3997),
    [anon_sym_raise] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3997),
    [anon_sym_LBRACE] = ACTIONS(3997),
    [anon_sym_try] = ACTIONS(3995),
    [anon_sym_for] = ACTIONS(3995),
    [sym_false] = ACTIONS(3995),
    [anon_sym_continue] = ACTIONS(3995),
    [anon_sym_async] = ACTIONS(3995),
  },
  [1610] = {
    [sym_integer] = ACTIONS(4002),
    [sym_true] = ACTIONS(4002),
    [sym__string_start] = ACTIONS(4004),
    [anon_sym_nonlocal] = ACTIONS(4002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4002),
    [anon_sym_assert] = ACTIONS(4002),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_return] = ACTIONS(4002),
    [anon_sym_from] = ACTIONS(4002),
    [anon_sym_LPAREN] = ACTIONS(4004),
    [sym_none] = ACTIONS(4002),
    [anon_sym_with] = ACTIONS(4002),
    [anon_sym_if] = ACTIONS(4002),
    [anon_sym_pass] = ACTIONS(4002),
    [sym_float] = ACTIONS(4004),
    [anon_sym_PLUS] = ACTIONS(4004),
    [anon_sym_AT] = ACTIONS(4004),
    [anon_sym_lambda] = ACTIONS(4002),
    [anon_sym_TILDE] = ACTIONS(4004),
    [anon_sym_print] = ACTIONS(4002),
    [anon_sym_del] = ACTIONS(4002),
    [sym_ellipsis] = ACTIONS(4004),
    [anon_sym_import] = ACTIONS(4002),
    [anon_sym_while] = ACTIONS(4002),
    [anon_sym_def] = ACTIONS(4002),
    [anon_sym_await] = ACTIONS(4002),
    [anon_sym_break] = ACTIONS(4002),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_DASH] = ACTIONS(4004),
    [anon_sym_global] = ACTIONS(4002),
    [anon_sym_not] = ACTIONS(4002),
    [anon_sym_exec] = ACTIONS(4002),
    [ts_builtin_sym_end] = ACTIONS(4004),
    [anon_sym_raise] = ACTIONS(4002),
    [anon_sym_LBRACK] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(4004),
    [anon_sym_try] = ACTIONS(4002),
    [anon_sym_for] = ACTIONS(4002),
    [sym_false] = ACTIONS(4002),
    [anon_sym_continue] = ACTIONS(4002),
    [anon_sym_async] = ACTIONS(4002),
  },
  [1611] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1612] = {
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [1613] = {
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_lambda] = STATE(1867),
    [sym_conditional_expression] = STATE(1867),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(1867),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(1867),
    [sym_boolean_operator] = STATE(1867),
    [sym_await] = STATE(1867),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(1867),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(1867),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1615] = {
    [anon_sym_COLON] = ACTIONS(4006),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(4006),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_string] = STATE(1616),
    [aux_sym_concatenated_string_repeat1] = STATE(1616),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1617] = {
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [1618] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4008),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1619] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1620] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1621] = {
    [sym_attribute] = STATE(1869),
    [sym_dictionary_comprehension] = STATE(1869),
    [sym_generator_expression] = STATE(1869),
    [sym_binary_operator] = STATE(1869),
    [sym_unary_operator] = STATE(1869),
    [sym_call] = STATE(1869),
    [sym_list_comprehension] = STATE(1869),
    [sym_dictionary] = STATE(1869),
    [sym_parenthesized_expression] = STATE(1869),
    [sym_tuple] = STATE(1869),
    [sym_concatenated_string] = STATE(1869),
    [sym_string] = STATE(824),
    [sym_subscript] = STATE(1869),
    [sym_list] = STATE(1869),
    [sym_set] = STATE(1869),
    [sym_set_comprehension] = STATE(1869),
    [sym__primary_expression] = STATE(1869),
    [sym_integer] = ACTIONS(4010),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4012),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(4010),
    [sym_identifier] = ACTIONS(4010),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4010),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4012),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4010),
    [sym__string_start] = ACTIONS(157),
  },
  [1622] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1623] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1625] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1626] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1627] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1627),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4014),
    [anon_sym_is] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4020),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4023),
    [anon_sym_in] = ACTIONS(4020),
    [anon_sym_GT_EQ] = ACTIONS(4020),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4014),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(4020),
    [anon_sym_BANG_EQ] = ACTIONS(4020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4020),
  },
  [1628] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
  },
  [1629] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
  },
  [1630] = {
    [sym_lambda] = STATE(1870),
    [sym_conditional_expression] = STATE(1870),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(1870),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(1870),
    [sym_boolean_operator] = STATE(1870),
    [sym_await] = STATE(1870),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(1870),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(1870),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1631] = {
    [anon_sym_COLON] = ACTIONS(4026),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(4026),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1632] = {
    [sym_string] = STATE(1632),
    [aux_sym_concatenated_string_repeat1] = STATE(1632),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1633] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1634] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4028),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1635] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1636] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1637] = {
    [sym_attribute] = STATE(1872),
    [sym_dictionary_comprehension] = STATE(1872),
    [sym_generator_expression] = STATE(1872),
    [sym_binary_operator] = STATE(1872),
    [sym_unary_operator] = STATE(1872),
    [sym_call] = STATE(1872),
    [sym_list_comprehension] = STATE(1872),
    [sym_dictionary] = STATE(1872),
    [sym_parenthesized_expression] = STATE(1872),
    [sym_tuple] = STATE(1872),
    [sym_concatenated_string] = STATE(1872),
    [sym_string] = STATE(840),
    [sym_subscript] = STATE(1872),
    [sym_list] = STATE(1872),
    [sym_set] = STATE(1872),
    [sym_set_comprehension] = STATE(1872),
    [sym__primary_expression] = STATE(1872),
    [sym_integer] = ACTIONS(4030),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4032),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(4030),
    [sym_identifier] = ACTIONS(4030),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4032),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4030),
    [sym__string_start] = ACTIONS(157),
  },
  [1638] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1639] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1641] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1643] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1643),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_is] = ACTIONS(4037),
    [anon_sym_LT_EQ] = ACTIONS(4040),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4043),
    [anon_sym_in] = ACTIONS(4040),
    [anon_sym_GT_EQ] = ACTIONS(4040),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(4040),
    [anon_sym_BANG_EQ] = ACTIONS(4040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4040),
  },
  [1644] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1645] = {
    [sym_lambda] = STATE(1873),
    [sym_conditional_expression] = STATE(1873),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1873),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1873),
    [sym_boolean_operator] = STATE(1873),
    [sym_await] = STATE(1873),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1873),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1873),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1646] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1595),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1599),
    [anon_sym_SLASH] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1601),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1605),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1647] = {
    [sym_integer] = ACTIONS(4046),
    [sym_true] = ACTIONS(4046),
    [sym__string_start] = ACTIONS(4048),
    [anon_sym_nonlocal] = ACTIONS(4046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4046),
    [anon_sym_assert] = ACTIONS(4046),
    [anon_sym_yield] = ACTIONS(4046),
    [anon_sym_return] = ACTIONS(4046),
    [anon_sym_from] = ACTIONS(4046),
    [anon_sym_LPAREN] = ACTIONS(4048),
    [sym_none] = ACTIONS(4046),
    [anon_sym_with] = ACTIONS(4046),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_pass] = ACTIONS(4046),
    [sym_float] = ACTIONS(4048),
    [anon_sym_PLUS] = ACTIONS(4048),
    [anon_sym_AT] = ACTIONS(4048),
    [anon_sym_lambda] = ACTIONS(4046),
    [anon_sym_TILDE] = ACTIONS(4048),
    [anon_sym_print] = ACTIONS(4046),
    [anon_sym_del] = ACTIONS(4046),
    [sym_ellipsis] = ACTIONS(4048),
    [anon_sym_import] = ACTIONS(4046),
    [anon_sym_while] = ACTIONS(4046),
    [anon_sym_def] = ACTIONS(4046),
    [anon_sym_await] = ACTIONS(4046),
    [anon_sym_break] = ACTIONS(4046),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4048),
    [anon_sym_global] = ACTIONS(4046),
    [anon_sym_not] = ACTIONS(4046),
    [anon_sym_exec] = ACTIONS(4046),
    [ts_builtin_sym_end] = ACTIONS(4048),
    [anon_sym_raise] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_try] = ACTIONS(4046),
    [anon_sym_for] = ACTIONS(4046),
    [sym_false] = ACTIONS(4046),
    [anon_sym_continue] = ACTIONS(4046),
    [anon_sym_async] = ACTIONS(4046),
  },
  [1648] = {
    [anon_sym_EQ] = ACTIONS(4050),
    [sym_comment] = ACTIONS(3),
  },
  [1649] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
  },
  [1650] = {
    [anon_sym_COLON] = ACTIONS(2683),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2554),
  },
  [1651] = {
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2556),
  },
  [1652] = {
    [anon_sym_COLON] = ACTIONS(2715),
    [anon_sym_COMMA] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2556),
  },
  [1653] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(1652),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(1652),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(3458),
    [anon_sym_print] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(2558),
    [sym_comment] = ACTIONS(3),
  },
  [1654] = {
    [aux_sym__parameters_repeat1] = STATE(1654),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(4052),
    [sym_comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_attribute] = STATE(287),
    [sym_dictionary_comprehension] = STATE(287),
    [sym_generator_expression] = STATE(287),
    [sym_binary_operator] = STATE(287),
    [sym_unary_operator] = STATE(287),
    [sym_call] = STATE(287),
    [sym_list_comprehension] = STATE(287),
    [sym_dictionary] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_tuple] = STATE(287),
    [sym_concatenated_string] = STATE(287),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(287),
    [sym_list] = STATE(287),
    [sym_set] = STATE(287),
    [sym_set_comprehension] = STATE(287),
    [sym__primary_expression] = STATE(287),
    [sym_integer] = ACTIONS(503),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(505),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(503),
    [sym_identifier] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(503),
    [sym__string_start] = ACTIONS(157),
  },
  [1656] = {
    [sym_lambda] = STATE(290),
    [sym_conditional_expression] = STATE(290),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(290),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(290),
    [sym_boolean_operator] = STATE(290),
    [sym_await] = STATE(290),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(290),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(290),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1657] = {
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(4055),
    [sym_comment] = ACTIONS(3),
  },
  [1658] = {
    [sym_lambda] = STATE(1877),
    [sym_conditional_expression] = STATE(1877),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(1877),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(1877),
    [sym_boolean_operator] = STATE(1877),
    [sym_await] = STATE(1877),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(1877),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(1877),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1659] = {
    [sym_lambda_parameters] = STATE(1879),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(4057),
    [sym_comment] = ACTIONS(3),
  },
  [1660] = {
    [anon_sym_EQ] = ACTIONS(4059),
    [anon_sym_COMMA] = ACTIONS(2581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2581),
  },
  [1661] = {
    [sym_string] = STATE(1881),
    [aux_sym_concatenated_string_repeat1] = STATE(1881),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_GT] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(219),
    [anon_sym_LPAREN] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(219),
    [anon_sym_EQ] = ACTIONS(219),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(221),
    [anon_sym_BANG_EQ] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_EQ_EQ] = ACTIONS(221),
    [anon_sym_RPAREN] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_GT_EQ] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(219),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COMMA] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1662] = {
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_or] = ACTIONS(4061),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_if] = ACTIONS(4065),
    [sym_comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_argument_list] = STATE(344),
    [aux_sym_comparison_operator_repeat1] = STATE(1895),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(317),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(4069),
    [anon_sym_is] = ACTIONS(4071),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_LT_EQ] = ACTIONS(4075),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(4075),
    [anon_sym_BANG_EQ] = ACTIONS(4075),
    [anon_sym_CARET] = ACTIONS(4083),
    [anon_sym_EQ_EQ] = ACTIONS(4075),
    [anon_sym_RPAREN] = ACTIONS(317),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(4085),
    [anon_sym_GT_EQ] = ACTIONS(4075),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4069),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [1664] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
  },
  [1665] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(1652),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(1652),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(3458),
    [anon_sym_print] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
  },
  [1666] = {
    [sym_lambda] = STATE(1896),
    [sym_conditional_expression] = STATE(1896),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1896),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1896),
    [sym_boolean_operator] = STATE(1896),
    [sym_await] = STATE(1896),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1896),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1896),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1667] = {
    [anon_sym_COLON] = ACTIONS(2619),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(2619),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(2619),
    [sym_comment] = ACTIONS(3),
  },
  [1668] = {
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [1669] = {
    [sym_lambda] = STATE(1897),
    [sym_conditional_expression] = STATE(1897),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1897),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1897),
    [sym_boolean_operator] = STATE(1897),
    [sym_await] = STATE(1897),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1897),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1897),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1670] = {
    [anon_sym_COLON] = ACTIONS(4091),
    [sym_comment] = ACTIONS(3),
  },
  [1671] = {
    [sym_string] = STATE(1899),
    [aux_sym_concatenated_string_repeat1] = STATE(1899),
    [anon_sym_COLON] = ACTIONS(1037),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1672] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1673] = {
    [sym_lambda] = STATE(1900),
    [sym_conditional_expression] = STATE(1900),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(1900),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(1900),
    [sym_boolean_operator] = STATE(1900),
    [sym_await] = STATE(1900),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(1900),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(1900),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1674] = {
    [sym_lambda] = STATE(1901),
    [sym_conditional_expression] = STATE(1901),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1901),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1901),
    [sym_boolean_operator] = STATE(1901),
    [sym_await] = STATE(1901),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1901),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1901),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1675] = {
    [sym_attribute] = STATE(1902),
    [sym_dictionary_comprehension] = STATE(1902),
    [sym_generator_expression] = STATE(1902),
    [sym_binary_operator] = STATE(1902),
    [sym_unary_operator] = STATE(1902),
    [sym_call] = STATE(1902),
    [sym_list_comprehension] = STATE(1902),
    [sym_dictionary] = STATE(1902),
    [sym_parenthesized_expression] = STATE(1902),
    [sym_tuple] = STATE(1902),
    [sym_concatenated_string] = STATE(1902),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1902),
    [sym_list] = STATE(1902),
    [sym_set] = STATE(1902),
    [sym_set_comprehension] = STATE(1902),
    [sym__primary_expression] = STATE(1902),
    [sym_integer] = ACTIONS(4093),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4095),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4093),
    [sym_identifier] = ACTIONS(4093),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4093),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4095),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4093),
    [sym__string_start] = ACTIONS(157),
  },
  [1676] = {
    [sym_attribute] = STATE(1903),
    [sym_dictionary_comprehension] = STATE(1903),
    [sym_generator_expression] = STATE(1903),
    [sym_binary_operator] = STATE(1903),
    [sym_unary_operator] = STATE(1903),
    [sym_call] = STATE(1903),
    [sym_list_comprehension] = STATE(1903),
    [sym_dictionary] = STATE(1903),
    [sym_parenthesized_expression] = STATE(1903),
    [sym_tuple] = STATE(1903),
    [sym_concatenated_string] = STATE(1903),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1903),
    [sym_list] = STATE(1903),
    [sym_set] = STATE(1903),
    [sym_set_comprehension] = STATE(1903),
    [sym__primary_expression] = STATE(1903),
    [sym_integer] = ACTIONS(4097),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4097),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4097),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4099),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4097),
    [sym__string_start] = ACTIONS(157),
  },
  [1677] = {
    [sym_attribute] = STATE(1903),
    [sym_dictionary_comprehension] = STATE(1903),
    [sym_generator_expression] = STATE(1903),
    [sym_binary_operator] = STATE(1903),
    [sym_unary_operator] = STATE(1903),
    [sym_call] = STATE(1903),
    [sym_list_comprehension] = STATE(1903),
    [sym_dictionary] = STATE(1903),
    [sym_parenthesized_expression] = STATE(1903),
    [sym_tuple] = STATE(1903),
    [sym_concatenated_string] = STATE(1903),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1903),
    [sym_list] = STATE(1903),
    [sym_set] = STATE(1903),
    [sym_set_comprehension] = STATE(1903),
    [sym__primary_expression] = STATE(1903),
    [sym_integer] = ACTIONS(4097),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4097),
    [sym_identifier] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(4101),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4097),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4099),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4097),
    [sym__string_start] = ACTIONS(157),
  },
  [1678] = {
    [sym_attribute] = STATE(1905),
    [sym_dictionary_comprehension] = STATE(1905),
    [sym_generator_expression] = STATE(1905),
    [sym_binary_operator] = STATE(1905),
    [sym_unary_operator] = STATE(1905),
    [sym_call] = STATE(1905),
    [sym_list_comprehension] = STATE(1905),
    [sym_dictionary] = STATE(1905),
    [sym_parenthesized_expression] = STATE(1905),
    [sym_tuple] = STATE(1905),
    [sym_concatenated_string] = STATE(1905),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1905),
    [sym_list] = STATE(1905),
    [sym_set] = STATE(1905),
    [sym_set_comprehension] = STATE(1905),
    [sym__primary_expression] = STATE(1905),
    [sym_integer] = ACTIONS(4103),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4103),
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4103),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4103),
    [sym__string_start] = ACTIONS(157),
  },
  [1679] = {
    [sym_attribute] = STATE(1906),
    [sym_dictionary_comprehension] = STATE(1906),
    [sym_generator_expression] = STATE(1906),
    [sym_binary_operator] = STATE(1906),
    [sym_unary_operator] = STATE(1906),
    [sym_call] = STATE(1906),
    [sym_list_comprehension] = STATE(1906),
    [sym_dictionary] = STATE(1906),
    [sym_parenthesized_expression] = STATE(1906),
    [sym_tuple] = STATE(1906),
    [sym_concatenated_string] = STATE(1906),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1906),
    [sym_list] = STATE(1906),
    [sym_set] = STATE(1906),
    [sym_set_comprehension] = STATE(1906),
    [sym__primary_expression] = STATE(1906),
    [sym_integer] = ACTIONS(4107),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4109),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4107),
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4107),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4109),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4107),
    [sym__string_start] = ACTIONS(157),
  },
  [1680] = {
    [anon_sym_in] = ACTIONS(4111),
    [sym_comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_attribute] = STATE(1907),
    [sym_dictionary_comprehension] = STATE(1907),
    [sym_generator_expression] = STATE(1907),
    [sym_binary_operator] = STATE(1907),
    [sym_unary_operator] = STATE(1907),
    [sym_call] = STATE(1907),
    [sym_list_comprehension] = STATE(1907),
    [sym_dictionary] = STATE(1907),
    [sym_parenthesized_expression] = STATE(1907),
    [sym_tuple] = STATE(1907),
    [sym_concatenated_string] = STATE(1907),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1907),
    [sym_list] = STATE(1907),
    [sym_set] = STATE(1907),
    [sym_set_comprehension] = STATE(1907),
    [sym__primary_expression] = STATE(1907),
    [sym_integer] = ACTIONS(4113),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4115),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4113),
    [sym_identifier] = ACTIONS(4113),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4113),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4115),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4113),
    [sym__string_start] = ACTIONS(157),
  },
  [1682] = {
    [sym_attribute] = STATE(1908),
    [sym_dictionary_comprehension] = STATE(1908),
    [sym_generator_expression] = STATE(1908),
    [sym_binary_operator] = STATE(1908),
    [sym_unary_operator] = STATE(1908),
    [sym_call] = STATE(1908),
    [sym_list_comprehension] = STATE(1908),
    [sym_dictionary] = STATE(1908),
    [sym_parenthesized_expression] = STATE(1908),
    [sym_tuple] = STATE(1908),
    [sym_concatenated_string] = STATE(1908),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1908),
    [sym_list] = STATE(1908),
    [sym_set] = STATE(1908),
    [sym_set_comprehension] = STATE(1908),
    [sym__primary_expression] = STATE(1908),
    [sym_integer] = ACTIONS(4117),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4119),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4117),
    [sym_identifier] = ACTIONS(4117),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4117),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4117),
    [sym__string_start] = ACTIONS(157),
  },
  [1683] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1684] = {
    [sym_attribute] = STATE(1909),
    [sym_dictionary_comprehension] = STATE(1909),
    [sym_generator_expression] = STATE(1909),
    [sym_binary_operator] = STATE(1909),
    [sym_unary_operator] = STATE(1909),
    [sym_call] = STATE(1909),
    [sym_list_comprehension] = STATE(1909),
    [sym_dictionary] = STATE(1909),
    [sym_parenthesized_expression] = STATE(1909),
    [sym_tuple] = STATE(1909),
    [sym_concatenated_string] = STATE(1909),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(1909),
    [sym_list] = STATE(1909),
    [sym_set] = STATE(1909),
    [sym_set_comprehension] = STATE(1909),
    [sym__primary_expression] = STATE(1909),
    [sym_integer] = ACTIONS(4121),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4123),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4121),
    [sym_identifier] = ACTIONS(4121),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4121),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4123),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4121),
    [sym__string_start] = ACTIONS(157),
  },
  [1685] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1910),
    [anon_sym_COLON] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(3492),
    [anon_sym_is] = ACTIONS(3494),
    [anon_sym_LT_EQ] = ACTIONS(3498),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(3508),
    [anon_sym_in] = ACTIONS(3498),
    [anon_sym_GT_EQ] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(3492),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(3498),
    [anon_sym_BANG_EQ] = ACTIONS(3498),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3498),
  },
  [1686] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1966),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [sym_comment] = ACTIONS(3),
  },
  [1687] = {
    [sym_integer] = ACTIONS(4125),
    [sym_true] = ACTIONS(4125),
    [sym__string_start] = ACTIONS(4127),
    [anon_sym_nonlocal] = ACTIONS(4125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4125),
    [anon_sym_assert] = ACTIONS(4125),
    [anon_sym_yield] = ACTIONS(4125),
    [anon_sym_return] = ACTIONS(4125),
    [anon_sym_from] = ACTIONS(4125),
    [anon_sym_LPAREN] = ACTIONS(4127),
    [sym_none] = ACTIONS(4125),
    [anon_sym_with] = ACTIONS(4125),
    [anon_sym_if] = ACTIONS(4125),
    [anon_sym_pass] = ACTIONS(4125),
    [sym_float] = ACTIONS(4127),
    [anon_sym_PLUS] = ACTIONS(4127),
    [anon_sym_AT] = ACTIONS(4127),
    [anon_sym_lambda] = ACTIONS(4125),
    [anon_sym_TILDE] = ACTIONS(4127),
    [anon_sym_print] = ACTIONS(4125),
    [anon_sym_del] = ACTIONS(4125),
    [sym_ellipsis] = ACTIONS(4127),
    [anon_sym_import] = ACTIONS(4125),
    [anon_sym_while] = ACTIONS(4125),
    [anon_sym_def] = ACTIONS(4125),
    [anon_sym_await] = ACTIONS(4125),
    [anon_sym_break] = ACTIONS(4125),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DASH] = ACTIONS(4127),
    [anon_sym_global] = ACTIONS(4125),
    [anon_sym_not] = ACTIONS(4125),
    [anon_sym_exec] = ACTIONS(4125),
    [ts_builtin_sym_end] = ACTIONS(4127),
    [anon_sym_raise] = ACTIONS(4125),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_LBRACE] = ACTIONS(4127),
    [anon_sym_try] = ACTIONS(4125),
    [anon_sym_for] = ACTIONS(4125),
    [sym_false] = ACTIONS(4125),
    [anon_sym_continue] = ACTIONS(4125),
    [anon_sym_async] = ACTIONS(4125),
  },
  [1688] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1912),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4129),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1689] = {
    [sym__newline] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(761),
    [sym__semicolon] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(765),
    [anon_sym_from] = ACTIONS(3837),
  },
  [1690] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1691] = {
    [sym_lambda] = STATE(1913),
    [sym_conditional_expression] = STATE(1913),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1913),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1913),
    [sym_boolean_operator] = STATE(1913),
    [sym_await] = STATE(1913),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1913),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1913),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1692] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1719),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1723),
    [anon_sym_PIPE] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1693] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
  },
  [1694] = {
    [sym_lambda_parameters] = STATE(1915),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(4131),
    [sym_comment] = ACTIONS(3),
  },
  [1695] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1917),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_if] = ACTIONS(3943),
    [anon_sym_for] = ACTIONS(3943),
    [anon_sym_RBRACK] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3943),
  },
  [1696] = {
    [anon_sym_or] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_COMMA] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_and] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(3945),
  },
  [1697] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(1918),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(1918),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [1698] = {
    [sym_lambda] = STATE(1919),
    [sym_conditional_expression] = STATE(1919),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(1919),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(1919),
    [sym_boolean_operator] = STATE(1919),
    [sym_await] = STATE(1919),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(1919),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(1919),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1699] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
  },
  [1700] = {
    [sym_lambda] = STATE(1920),
    [sym_conditional_expression] = STATE(1920),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(1920),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(1920),
    [sym_boolean_operator] = STATE(1920),
    [sym_await] = STATE(1920),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(1920),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(1920),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1701] = {
    [anon_sym_COLON] = ACTIONS(4135),
    [sym_comment] = ACTIONS(3),
  },
  [1702] = {
    [sym_string] = STATE(1922),
    [aux_sym_concatenated_string_repeat1] = STATE(1922),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_RBRACK] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [1703] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1704] = {
    [sym_lambda] = STATE(1923),
    [sym_conditional_expression] = STATE(1923),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(1923),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(1923),
    [sym_boolean_operator] = STATE(1923),
    [sym_await] = STATE(1923),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(1923),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(1923),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1705] = {
    [sym_lambda] = STATE(1924),
    [sym_conditional_expression] = STATE(1924),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1924),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1924),
    [sym_boolean_operator] = STATE(1924),
    [sym_await] = STATE(1924),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1924),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1924),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1706] = {
    [sym_attribute] = STATE(1925),
    [sym_dictionary_comprehension] = STATE(1925),
    [sym_generator_expression] = STATE(1925),
    [sym_binary_operator] = STATE(1925),
    [sym_unary_operator] = STATE(1925),
    [sym_call] = STATE(1925),
    [sym_list_comprehension] = STATE(1925),
    [sym_dictionary] = STATE(1925),
    [sym_parenthesized_expression] = STATE(1925),
    [sym_tuple] = STATE(1925),
    [sym_concatenated_string] = STATE(1925),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1925),
    [sym_list] = STATE(1925),
    [sym_set] = STATE(1925),
    [sym_set_comprehension] = STATE(1925),
    [sym__primary_expression] = STATE(1925),
    [sym_integer] = ACTIONS(4137),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4137),
    [sym_identifier] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4137),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4139),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4137),
    [sym__string_start] = ACTIONS(157),
  },
  [1707] = {
    [sym_attribute] = STATE(1926),
    [sym_dictionary_comprehension] = STATE(1926),
    [sym_generator_expression] = STATE(1926),
    [sym_binary_operator] = STATE(1926),
    [sym_unary_operator] = STATE(1926),
    [sym_call] = STATE(1926),
    [sym_list_comprehension] = STATE(1926),
    [sym_dictionary] = STATE(1926),
    [sym_parenthesized_expression] = STATE(1926),
    [sym_tuple] = STATE(1926),
    [sym_concatenated_string] = STATE(1926),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1926),
    [sym_list] = STATE(1926),
    [sym_set] = STATE(1926),
    [sym_set_comprehension] = STATE(1926),
    [sym__primary_expression] = STATE(1926),
    [sym_integer] = ACTIONS(4141),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4141),
    [sym_identifier] = ACTIONS(4141),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4141),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4143),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4141),
    [sym__string_start] = ACTIONS(157),
  },
  [1708] = {
    [sym_attribute] = STATE(1926),
    [sym_dictionary_comprehension] = STATE(1926),
    [sym_generator_expression] = STATE(1926),
    [sym_binary_operator] = STATE(1926),
    [sym_unary_operator] = STATE(1926),
    [sym_call] = STATE(1926),
    [sym_list_comprehension] = STATE(1926),
    [sym_dictionary] = STATE(1926),
    [sym_parenthesized_expression] = STATE(1926),
    [sym_tuple] = STATE(1926),
    [sym_concatenated_string] = STATE(1926),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1926),
    [sym_list] = STATE(1926),
    [sym_set] = STATE(1926),
    [sym_set_comprehension] = STATE(1926),
    [sym__primary_expression] = STATE(1926),
    [sym_integer] = ACTIONS(4141),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4143),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4141),
    [sym_identifier] = ACTIONS(4141),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(4145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4141),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4143),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4141),
    [sym__string_start] = ACTIONS(157),
  },
  [1709] = {
    [sym_attribute] = STATE(1928),
    [sym_dictionary_comprehension] = STATE(1928),
    [sym_generator_expression] = STATE(1928),
    [sym_binary_operator] = STATE(1928),
    [sym_unary_operator] = STATE(1928),
    [sym_call] = STATE(1928),
    [sym_list_comprehension] = STATE(1928),
    [sym_dictionary] = STATE(1928),
    [sym_parenthesized_expression] = STATE(1928),
    [sym_tuple] = STATE(1928),
    [sym_concatenated_string] = STATE(1928),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1928),
    [sym_list] = STATE(1928),
    [sym_set] = STATE(1928),
    [sym_set_comprehension] = STATE(1928),
    [sym__primary_expression] = STATE(1928),
    [sym_integer] = ACTIONS(4147),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4149),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4147),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4147),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4149),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4147),
    [sym__string_start] = ACTIONS(157),
  },
  [1710] = {
    [sym_attribute] = STATE(1929),
    [sym_dictionary_comprehension] = STATE(1929),
    [sym_generator_expression] = STATE(1929),
    [sym_binary_operator] = STATE(1929),
    [sym_unary_operator] = STATE(1929),
    [sym_call] = STATE(1929),
    [sym_list_comprehension] = STATE(1929),
    [sym_dictionary] = STATE(1929),
    [sym_parenthesized_expression] = STATE(1929),
    [sym_tuple] = STATE(1929),
    [sym_concatenated_string] = STATE(1929),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1929),
    [sym_list] = STATE(1929),
    [sym_set] = STATE(1929),
    [sym_set_comprehension] = STATE(1929),
    [sym__primary_expression] = STATE(1929),
    [sym_integer] = ACTIONS(4151),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4153),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4151),
    [sym_identifier] = ACTIONS(4151),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4153),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4151),
    [sym__string_start] = ACTIONS(157),
  },
  [1711] = {
    [anon_sym_in] = ACTIONS(4155),
    [sym_comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_attribute] = STATE(1930),
    [sym_dictionary_comprehension] = STATE(1930),
    [sym_generator_expression] = STATE(1930),
    [sym_binary_operator] = STATE(1930),
    [sym_unary_operator] = STATE(1930),
    [sym_call] = STATE(1930),
    [sym_list_comprehension] = STATE(1930),
    [sym_dictionary] = STATE(1930),
    [sym_parenthesized_expression] = STATE(1930),
    [sym_tuple] = STATE(1930),
    [sym_concatenated_string] = STATE(1930),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1930),
    [sym_list] = STATE(1930),
    [sym_set] = STATE(1930),
    [sym_set_comprehension] = STATE(1930),
    [sym__primary_expression] = STATE(1930),
    [sym_integer] = ACTIONS(4157),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4159),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4157),
    [sym_identifier] = ACTIONS(4157),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4159),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4157),
    [sym__string_start] = ACTIONS(157),
  },
  [1713] = {
    [sym_attribute] = STATE(1931),
    [sym_dictionary_comprehension] = STATE(1931),
    [sym_generator_expression] = STATE(1931),
    [sym_binary_operator] = STATE(1931),
    [sym_unary_operator] = STATE(1931),
    [sym_call] = STATE(1931),
    [sym_list_comprehension] = STATE(1931),
    [sym_dictionary] = STATE(1931),
    [sym_parenthesized_expression] = STATE(1931),
    [sym_tuple] = STATE(1931),
    [sym_concatenated_string] = STATE(1931),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1931),
    [sym_list] = STATE(1931),
    [sym_set] = STATE(1931),
    [sym_set_comprehension] = STATE(1931),
    [sym__primary_expression] = STATE(1931),
    [sym_integer] = ACTIONS(4161),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4163),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4161),
    [sym_identifier] = ACTIONS(4161),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4161),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4163),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4161),
    [sym__string_start] = ACTIONS(157),
  },
  [1714] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1715] = {
    [sym_attribute] = STATE(1932),
    [sym_dictionary_comprehension] = STATE(1932),
    [sym_generator_expression] = STATE(1932),
    [sym_binary_operator] = STATE(1932),
    [sym_unary_operator] = STATE(1932),
    [sym_call] = STATE(1932),
    [sym_list_comprehension] = STATE(1932),
    [sym_dictionary] = STATE(1932),
    [sym_parenthesized_expression] = STATE(1932),
    [sym_tuple] = STATE(1932),
    [sym_concatenated_string] = STATE(1932),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(1932),
    [sym_list] = STATE(1932),
    [sym_set] = STATE(1932),
    [sym_set_comprehension] = STATE(1932),
    [sym__primary_expression] = STATE(1932),
    [sym_integer] = ACTIONS(4165),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4167),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4165),
    [sym_identifier] = ACTIONS(4165),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4167),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4165),
    [sym__string_start] = ACTIONS(157),
  },
  [1716] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1933),
    [anon_sym_EQ_EQ] = ACTIONS(3566),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(3560),
    [anon_sym_is] = ACTIONS(3562),
    [anon_sym_LT_EQ] = ACTIONS(3566),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(3576),
    [anon_sym_in] = ACTIONS(3566),
    [anon_sym_GT_EQ] = ACTIONS(3566),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_LT_GT] = ACTIONS(3566),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(3566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [1717] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1718] = {
    [sym_lambda] = STATE(1934),
    [sym_conditional_expression] = STATE(1934),
    [sym_attribute] = STATE(496),
    [sym_dictionary_comprehension] = STATE(496),
    [sym_named_expression] = STATE(1934),
    [sym_generator_expression] = STATE(496),
    [sym_binary_operator] = STATE(496),
    [sym_unary_operator] = STATE(496),
    [sym_call] = STATE(496),
    [sym_list_comprehension] = STATE(496),
    [sym_dictionary] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_tuple] = STATE(496),
    [sym_not_operator] = STATE(1934),
    [sym_boolean_operator] = STATE(1934),
    [sym_await] = STATE(1934),
    [sym_concatenated_string] = STATE(496),
    [sym_subscript] = STATE(496),
    [sym_string] = STATE(494),
    [sym_list] = STATE(496),
    [sym_set] = STATE(496),
    [sym_set_comprehension] = STATE(496),
    [sym__expression] = STATE(1934),
    [sym__primary_expression] = STATE(496),
    [sym_comparison_operator] = STATE(1934),
    [sym_integer] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(857),
    [sym_true] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_not] = ACTIONS(865),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(853),
    [anon_sym_lambda] = ACTIONS(867),
    [sym__string_start] = ACTIONS(157),
  },
  [1719] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1799),
    [anon_sym_SLASH] = ACTIONS(1795),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1805),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1720] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_and] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
  },
  [1721] = {
    [sym_lambda_parameters] = STATE(1936),
    [sym_tuple] = STATE(119),
    [sym_dictionary_splat] = STATE(120),
    [sym__parameters] = STATE(122),
    [sym_default_parameter] = STATE(119),
    [sym_typed_default_parameter] = STATE(119),
    [sym_typed_parameter] = STATE(119),
    [sym_list_splat] = STATE(120),
    [anon_sym_exec] = ACTIONS(197),
    [anon_sym_print] = ACTIONS(197),
    [sym_identifier] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(4169),
    [sym_comment] = ACTIONS(3),
  },
  [1722] = {
    [aux_sym_for_in_clause_repeat1] = STATE(1938),
    [anon_sym_COMMA] = ACTIONS(4171),
    [anon_sym_if] = ACTIONS(3943),
    [anon_sym_for] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(3943),
  },
  [1723] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_RBRACE] = ACTIONS(3945),
    [anon_sym_COMMA] = ACTIONS(3945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(3945),
  },
  [1724] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(1939),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(1939),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [1725] = {
    [sym_lambda] = STATE(1940),
    [sym_conditional_expression] = STATE(1940),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(1940),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(1940),
    [sym_boolean_operator] = STATE(1940),
    [sym_await] = STATE(1940),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(1940),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(1940),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1726] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
  },
  [1727] = {
    [sym_lambda] = STATE(1941),
    [sym_conditional_expression] = STATE(1941),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(1941),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(1941),
    [sym_boolean_operator] = STATE(1941),
    [sym_await] = STATE(1941),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(1941),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(1941),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1728] = {
    [anon_sym_COLON] = ACTIONS(4173),
    [sym_comment] = ACTIONS(3),
  },
  [1729] = {
    [sym_string] = STATE(1943),
    [aux_sym_concatenated_string_repeat1] = STATE(1943),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1037),
  },
  [1730] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1731] = {
    [sym_lambda] = STATE(1944),
    [sym_conditional_expression] = STATE(1944),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(1944),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(1944),
    [sym_boolean_operator] = STATE(1944),
    [sym_await] = STATE(1944),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(1944),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(1944),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1732] = {
    [sym_lambda] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1945),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1945),
    [sym_boolean_operator] = STATE(1945),
    [sym_await] = STATE(1945),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1945),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1945),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1733] = {
    [sym_attribute] = STATE(1946),
    [sym_dictionary_comprehension] = STATE(1946),
    [sym_generator_expression] = STATE(1946),
    [sym_binary_operator] = STATE(1946),
    [sym_unary_operator] = STATE(1946),
    [sym_call] = STATE(1946),
    [sym_list_comprehension] = STATE(1946),
    [sym_dictionary] = STATE(1946),
    [sym_parenthesized_expression] = STATE(1946),
    [sym_tuple] = STATE(1946),
    [sym_concatenated_string] = STATE(1946),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1946),
    [sym_list] = STATE(1946),
    [sym_set] = STATE(1946),
    [sym_set_comprehension] = STATE(1946),
    [sym__primary_expression] = STATE(1946),
    [sym_integer] = ACTIONS(4175),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4177),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4175),
    [sym_identifier] = ACTIONS(4175),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4175),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4175),
    [sym__string_start] = ACTIONS(157),
  },
  [1734] = {
    [sym_attribute] = STATE(1947),
    [sym_dictionary_comprehension] = STATE(1947),
    [sym_generator_expression] = STATE(1947),
    [sym_binary_operator] = STATE(1947),
    [sym_unary_operator] = STATE(1947),
    [sym_call] = STATE(1947),
    [sym_list_comprehension] = STATE(1947),
    [sym_dictionary] = STATE(1947),
    [sym_parenthesized_expression] = STATE(1947),
    [sym_tuple] = STATE(1947),
    [sym_concatenated_string] = STATE(1947),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1947),
    [sym_list] = STATE(1947),
    [sym_set] = STATE(1947),
    [sym_set_comprehension] = STATE(1947),
    [sym__primary_expression] = STATE(1947),
    [sym_integer] = ACTIONS(4179),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4181),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4179),
    [sym_identifier] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4181),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4179),
    [sym__string_start] = ACTIONS(157),
  },
  [1735] = {
    [sym_attribute] = STATE(1947),
    [sym_dictionary_comprehension] = STATE(1947),
    [sym_generator_expression] = STATE(1947),
    [sym_binary_operator] = STATE(1947),
    [sym_unary_operator] = STATE(1947),
    [sym_call] = STATE(1947),
    [sym_list_comprehension] = STATE(1947),
    [sym_dictionary] = STATE(1947),
    [sym_parenthesized_expression] = STATE(1947),
    [sym_tuple] = STATE(1947),
    [sym_concatenated_string] = STATE(1947),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1947),
    [sym_list] = STATE(1947),
    [sym_set] = STATE(1947),
    [sym_set_comprehension] = STATE(1947),
    [sym__primary_expression] = STATE(1947),
    [sym_integer] = ACTIONS(4179),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4181),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4179),
    [sym_identifier] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(4183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4181),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4179),
    [sym__string_start] = ACTIONS(157),
  },
  [1736] = {
    [sym_attribute] = STATE(1949),
    [sym_dictionary_comprehension] = STATE(1949),
    [sym_generator_expression] = STATE(1949),
    [sym_binary_operator] = STATE(1949),
    [sym_unary_operator] = STATE(1949),
    [sym_call] = STATE(1949),
    [sym_list_comprehension] = STATE(1949),
    [sym_dictionary] = STATE(1949),
    [sym_parenthesized_expression] = STATE(1949),
    [sym_tuple] = STATE(1949),
    [sym_concatenated_string] = STATE(1949),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1949),
    [sym_list] = STATE(1949),
    [sym_set] = STATE(1949),
    [sym_set_comprehension] = STATE(1949),
    [sym__primary_expression] = STATE(1949),
    [sym_integer] = ACTIONS(4185),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4187),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4185),
    [sym_identifier] = ACTIONS(4185),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4185),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4187),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4185),
    [sym__string_start] = ACTIONS(157),
  },
  [1737] = {
    [sym_attribute] = STATE(1950),
    [sym_dictionary_comprehension] = STATE(1950),
    [sym_generator_expression] = STATE(1950),
    [sym_binary_operator] = STATE(1950),
    [sym_unary_operator] = STATE(1950),
    [sym_call] = STATE(1950),
    [sym_list_comprehension] = STATE(1950),
    [sym_dictionary] = STATE(1950),
    [sym_parenthesized_expression] = STATE(1950),
    [sym_tuple] = STATE(1950),
    [sym_concatenated_string] = STATE(1950),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1950),
    [sym_list] = STATE(1950),
    [sym_set] = STATE(1950),
    [sym_set_comprehension] = STATE(1950),
    [sym__primary_expression] = STATE(1950),
    [sym_integer] = ACTIONS(4189),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4191),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4189),
    [sym_identifier] = ACTIONS(4189),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4189),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4191),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4189),
    [sym__string_start] = ACTIONS(157),
  },
  [1738] = {
    [anon_sym_in] = ACTIONS(4193),
    [sym_comment] = ACTIONS(3),
  },
  [1739] = {
    [sym_attribute] = STATE(1951),
    [sym_dictionary_comprehension] = STATE(1951),
    [sym_generator_expression] = STATE(1951),
    [sym_binary_operator] = STATE(1951),
    [sym_unary_operator] = STATE(1951),
    [sym_call] = STATE(1951),
    [sym_list_comprehension] = STATE(1951),
    [sym_dictionary] = STATE(1951),
    [sym_parenthesized_expression] = STATE(1951),
    [sym_tuple] = STATE(1951),
    [sym_concatenated_string] = STATE(1951),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1951),
    [sym_list] = STATE(1951),
    [sym_set] = STATE(1951),
    [sym_set_comprehension] = STATE(1951),
    [sym__primary_expression] = STATE(1951),
    [sym_integer] = ACTIONS(4195),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4197),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4195),
    [sym_identifier] = ACTIONS(4195),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4195),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4195),
    [sym__string_start] = ACTIONS(157),
  },
  [1740] = {
    [sym_attribute] = STATE(1952),
    [sym_dictionary_comprehension] = STATE(1952),
    [sym_generator_expression] = STATE(1952),
    [sym_binary_operator] = STATE(1952),
    [sym_unary_operator] = STATE(1952),
    [sym_call] = STATE(1952),
    [sym_list_comprehension] = STATE(1952),
    [sym_dictionary] = STATE(1952),
    [sym_parenthesized_expression] = STATE(1952),
    [sym_tuple] = STATE(1952),
    [sym_concatenated_string] = STATE(1952),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1952),
    [sym_list] = STATE(1952),
    [sym_set] = STATE(1952),
    [sym_set_comprehension] = STATE(1952),
    [sym__primary_expression] = STATE(1952),
    [sym_integer] = ACTIONS(4199),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4201),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4199),
    [sym_identifier] = ACTIONS(4199),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4201),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4199),
    [sym__string_start] = ACTIONS(157),
  },
  [1741] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1742] = {
    [sym_attribute] = STATE(1953),
    [sym_dictionary_comprehension] = STATE(1953),
    [sym_generator_expression] = STATE(1953),
    [sym_binary_operator] = STATE(1953),
    [sym_unary_operator] = STATE(1953),
    [sym_call] = STATE(1953),
    [sym_list_comprehension] = STATE(1953),
    [sym_dictionary] = STATE(1953),
    [sym_parenthesized_expression] = STATE(1953),
    [sym_tuple] = STATE(1953),
    [sym_concatenated_string] = STATE(1953),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(1953),
    [sym_list] = STATE(1953),
    [sym_set] = STATE(1953),
    [sym_set_comprehension] = STATE(1953),
    [sym__primary_expression] = STATE(1953),
    [sym_integer] = ACTIONS(4203),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4205),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4203),
    [sym_identifier] = ACTIONS(4203),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4203),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4205),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4203),
    [sym__string_start] = ACTIONS(157),
  },
  [1743] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1954),
    [anon_sym_EQ_EQ] = ACTIONS(3633),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(3627),
    [anon_sym_is] = ACTIONS(3629),
    [anon_sym_LT_EQ] = ACTIONS(3633),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(3643),
    [anon_sym_in] = ACTIONS(3633),
    [anon_sym_GT_EQ] = ACTIONS(3633),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(3627),
    [anon_sym_LT_GT] = ACTIONS(3633),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_BANG_EQ] = ACTIONS(3633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(1033),
  },
  [1744] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(1647),
  },
  [1745] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(1609),
  },
  [1746] = {
    [sym_lambda] = STATE(1955),
    [sym_conditional_expression] = STATE(1955),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1955),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1955),
    [sym_boolean_operator] = STATE(1955),
    [sym_await] = STATE(1955),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1955),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(1955),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1747] = {
    [sym_string] = STATE(1747),
    [aux_sym_concatenated_string_repeat1] = STATE(1747),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [1748] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2099),
  },
  [1749] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4207),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1750] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1751] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1752] = {
    [sym_attribute] = STATE(1957),
    [sym_dictionary_comprehension] = STATE(1957),
    [sym_generator_expression] = STATE(1957),
    [sym_binary_operator] = STATE(1957),
    [sym_unary_operator] = STATE(1957),
    [sym_call] = STATE(1957),
    [sym_list_comprehension] = STATE(1957),
    [sym_dictionary] = STATE(1957),
    [sym_parenthesized_expression] = STATE(1957),
    [sym_tuple] = STATE(1957),
    [sym_concatenated_string] = STATE(1957),
    [sym_string] = STATE(999),
    [sym_subscript] = STATE(1957),
    [sym_list] = STATE(1957),
    [sym_set] = STATE(1957),
    [sym_set_comprehension] = STATE(1957),
    [sym__primary_expression] = STATE(1957),
    [sym_integer] = ACTIONS(4209),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4211),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(4209),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4209),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4211),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4209),
    [sym__string_start] = ACTIONS(157),
  },
  [1753] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1754] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1755] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1756] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1757] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1758] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1758),
    [anon_sym_EQ_EQ] = ACTIONS(4213),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4216),
    [anon_sym_is] = ACTIONS(4219),
    [anon_sym_LT_EQ] = ACTIONS(4213),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4222),
    [anon_sym_in] = ACTIONS(4213),
    [anon_sym_GT_EQ] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4216),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(4213),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(4213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1759] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(893),
    [anon_sym_async] = ACTIONS(3837),
  },
  [1760] = {
    [anon_sym_in] = ACTIONS(4225),
    [sym_comment] = ACTIONS(3),
  },
  [1761] = {
    [aux_sym_with_statement_repeat1] = STATE(1960),
    [anon_sym_COLON] = ACTIONS(4227),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [1762] = {
    [sym_parameters] = STATE(1961),
    [anon_sym_LPAREN] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
  },
  [1763] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1963),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4229),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1764] = {
    [anon_sym_COLON] = ACTIONS(4231),
    [sym_comment] = ACTIONS(3),
  },
  [1765] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1966),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4233),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1766] = {
    [aux_sym_with_statement_repeat1] = STATE(783),
    [anon_sym_COLON] = ACTIONS(4227),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [1767] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1968),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4235),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1768] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1970),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4237),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1769] = {
    [anon_sym_COLON] = ACTIONS(4239),
    [anon_sym_DASH_GT] = ACTIONS(4241),
    [sym_comment] = ACTIONS(3),
  },
  [1770] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1973),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1028),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1771] = {
    [sym_except_clause] = STATE(1976),
    [aux_sym_try_statement_repeat1] = STATE(1976),
    [sym_finally_clause] = STATE(1977),
    [anon_sym_except] = ACTIONS(4243),
    [anon_sym_finally] = ACTIONS(4245),
    [sym_comment] = ACTIONS(3),
  },
  [1772] = {
    [sym_lambda] = STATE(1039),
    [sym__primary_expression] = STATE(410),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1039),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1039),
    [sym_boolean_operator] = STATE(1039),
    [sym_await] = STATE(1039),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_expression_list] = STATE(1978),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_comparison_operator] = STATE(1039),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1773] = {
    [sym_integer] = ACTIONS(1945),
    [sym_true] = ACTIONS(1945),
    [sym__string_start] = ACTIONS(1947),
    [anon_sym_nonlocal] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1945),
    [anon_sym_finally] = ACTIONS(1945),
    [anon_sym_assert] = ACTIONS(1945),
    [anon_sym_yield] = ACTIONS(1945),
    [anon_sym_return] = ACTIONS(1945),
    [anon_sym_from] = ACTIONS(1945),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [sym_none] = ACTIONS(1945),
    [anon_sym_with] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1945),
    [anon_sym_pass] = ACTIONS(1945),
    [sym_float] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_elif] = ACTIONS(1945),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_lambda] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_print] = ACTIONS(1945),
    [anon_sym_del] = ACTIONS(1945),
    [sym_ellipsis] = ACTIONS(1947),
    [anon_sym_import] = ACTIONS(1945),
    [anon_sym_while] = ACTIONS(1945),
    [anon_sym_def] = ACTIONS(1945),
    [anon_sym_await] = ACTIONS(1945),
    [anon_sym_break] = ACTIONS(1945),
    [sym_identifier] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1947),
    [sym__dedent] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1945),
    [anon_sym_global] = ACTIONS(1945),
    [anon_sym_not] = ACTIONS(1945),
    [anon_sym_exec] = ACTIONS(1945),
    [anon_sym_except] = ACTIONS(1945),
    [anon_sym_raise] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_for] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [anon_sym_continue] = ACTIONS(1945),
    [anon_sym_async] = ACTIONS(1945),
  },
  [1774] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(542),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(542),
    [sym_break_statement] = STATE(542),
    [sym_continue_statement] = STATE(542),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(542),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(542),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(542),
    [sym_global_statement] = STATE(542),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(542),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(542),
    [sym_assert_statement] = STATE(542),
    [sym_raise_statement] = STATE(542),
    [sym_pass_statement] = STATE(542),
    [sym_nonlocal_statement] = STATE(542),
    [sym_exec_statement] = STATE(542),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(4247),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1775] = {
    [sym_finally_clause] = STATE(1980),
    [sym_integer] = ACTIONS(4249),
    [sym_true] = ACTIONS(4249),
    [sym__string_start] = ACTIONS(4251),
    [anon_sym_nonlocal] = ACTIONS(4249),
    [anon_sym_finally] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(4249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4249),
    [anon_sym_from] = ACTIONS(4249),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [sym_none] = ACTIONS(4249),
    [anon_sym_with] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(4249),
    [anon_sym_pass] = ACTIONS(4249),
    [sym_float] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_AT] = ACTIONS(4251),
    [anon_sym_lambda] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4251),
    [anon_sym_print] = ACTIONS(4249),
    [anon_sym_del] = ACTIONS(4249),
    [sym_ellipsis] = ACTIONS(4251),
    [anon_sym_import] = ACTIONS(4249),
    [anon_sym_while] = ACTIONS(4249),
    [anon_sym_def] = ACTIONS(4249),
    [anon_sym_await] = ACTIONS(4249),
    [anon_sym_break] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_global] = ACTIONS(4249),
    [anon_sym_not] = ACTIONS(4249),
    [anon_sym_exec] = ACTIONS(4249),
    [ts_builtin_sym_end] = ACTIONS(4251),
    [anon_sym_raise] = ACTIONS(4249),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4249),
    [sym_false] = ACTIONS(4249),
    [anon_sym_continue] = ACTIONS(4249),
    [anon_sym_async] = ACTIONS(4249),
  },
  [1776] = {
    [sym_integer] = ACTIONS(4249),
    [sym_true] = ACTIONS(4249),
    [sym__string_start] = ACTIONS(4251),
    [anon_sym_nonlocal] = ACTIONS(4249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4249),
    [anon_sym_assert] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4249),
    [anon_sym_from] = ACTIONS(4249),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [sym_none] = ACTIONS(4249),
    [anon_sym_with] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(4249),
    [anon_sym_pass] = ACTIONS(4249),
    [sym_float] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_AT] = ACTIONS(4251),
    [anon_sym_lambda] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4251),
    [anon_sym_print] = ACTIONS(4249),
    [anon_sym_del] = ACTIONS(4249),
    [sym_ellipsis] = ACTIONS(4251),
    [anon_sym_import] = ACTIONS(4249),
    [anon_sym_while] = ACTIONS(4249),
    [anon_sym_def] = ACTIONS(4249),
    [anon_sym_await] = ACTIONS(4249),
    [anon_sym_break] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4251),
    [anon_sym_global] = ACTIONS(4249),
    [anon_sym_not] = ACTIONS(4249),
    [anon_sym_exec] = ACTIONS(4249),
    [ts_builtin_sym_end] = ACTIONS(4251),
    [anon_sym_raise] = ACTIONS(4249),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4249),
    [sym_false] = ACTIONS(4249),
    [anon_sym_continue] = ACTIONS(4249),
    [anon_sym_async] = ACTIONS(4249),
  },
  [1777] = {
    [anon_sym_except] = ACTIONS(3018),
    [anon_sym_finally] = ACTIONS(3018),
    [sym_comment] = ACTIONS(3),
  },
  [1778] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1981),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1779] = {
    [sym_integer] = ACTIONS(4253),
    [sym_true] = ACTIONS(4253),
    [sym_false] = ACTIONS(4253),
    [anon_sym_nonlocal] = ACTIONS(4253),
    [sym__string_start] = ACTIONS(4255),
    [anon_sym_class] = ACTIONS(4253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4253),
    [anon_sym_yield] = ACTIONS(4253),
    [anon_sym_return] = ACTIONS(4253),
    [anon_sym_from] = ACTIONS(4253),
    [anon_sym_LPAREN] = ACTIONS(4255),
    [sym_none] = ACTIONS(4253),
    [anon_sym_with] = ACTIONS(4253),
    [anon_sym_if] = ACTIONS(4253),
    [anon_sym_pass] = ACTIONS(4253),
    [sym_float] = ACTIONS(4255),
    [anon_sym_PLUS] = ACTIONS(4255),
    [anon_sym_AT] = ACTIONS(4255),
    [anon_sym_lambda] = ACTIONS(4253),
    [anon_sym_TILDE] = ACTIONS(4255),
    [anon_sym_print] = ACTIONS(4253),
    [anon_sym_del] = ACTIONS(4253),
    [sym_ellipsis] = ACTIONS(4255),
    [anon_sym_import] = ACTIONS(4253),
    [anon_sym_while] = ACTIONS(4253),
    [anon_sym_def] = ACTIONS(4253),
    [anon_sym_except] = ACTIONS(4253),
    [anon_sym_break] = ACTIONS(4253),
    [anon_sym_else] = ACTIONS(4253),
    [anon_sym_DASH] = ACTIONS(4255),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_await] = ACTIONS(4253),
    [anon_sym_global] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(4253),
    [anon_sym_exec] = ACTIONS(4253),
    [ts_builtin_sym_end] = ACTIONS(4255),
    [anon_sym_raise] = ACTIONS(4253),
    [anon_sym_LBRACK] = ACTIONS(4255),
    [anon_sym_LBRACE] = ACTIONS(4255),
    [anon_sym_try] = ACTIONS(4253),
    [anon_sym_for] = ACTIONS(4253),
    [anon_sym_finally] = ACTIONS(4253),
    [anon_sym_continue] = ACTIONS(4253),
    [anon_sym_async] = ACTIONS(4253),
  },
  [1780] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1983),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4257),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1781] = {
    [sym_lambda] = STATE(1984),
    [sym_conditional_expression] = STATE(1984),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1984),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1984),
    [sym_boolean_operator] = STATE(1984),
    [sym_await] = STATE(1984),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1984),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1984),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1782] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1985),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1783] = {
    [sym_integer] = ACTIONS(4259),
    [sym_true] = ACTIONS(4259),
    [sym__string_start] = ACTIONS(4261),
    [anon_sym_nonlocal] = ACTIONS(4259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4259),
    [anon_sym_assert] = ACTIONS(4259),
    [anon_sym_yield] = ACTIONS(4259),
    [anon_sym_return] = ACTIONS(4259),
    [anon_sym_from] = ACTIONS(4259),
    [anon_sym_LPAREN] = ACTIONS(4261),
    [sym_none] = ACTIONS(4259),
    [anon_sym_with] = ACTIONS(4259),
    [anon_sym_if] = ACTIONS(4259),
    [anon_sym_pass] = ACTIONS(4259),
    [sym_float] = ACTIONS(4261),
    [anon_sym_PLUS] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(4261),
    [anon_sym_lambda] = ACTIONS(4259),
    [anon_sym_TILDE] = ACTIONS(4261),
    [anon_sym_print] = ACTIONS(4259),
    [anon_sym_del] = ACTIONS(4259),
    [sym_ellipsis] = ACTIONS(4261),
    [anon_sym_import] = ACTIONS(4259),
    [anon_sym_while] = ACTIONS(4259),
    [anon_sym_def] = ACTIONS(4259),
    [anon_sym_await] = ACTIONS(4259),
    [anon_sym_break] = ACTIONS(4259),
    [sym_identifier] = ACTIONS(4259),
    [anon_sym_DASH] = ACTIONS(4261),
    [anon_sym_global] = ACTIONS(4259),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_exec] = ACTIONS(4259),
    [ts_builtin_sym_end] = ACTIONS(4261),
    [anon_sym_raise] = ACTIONS(4259),
    [anon_sym_LBRACK] = ACTIONS(4261),
    [anon_sym_LBRACE] = ACTIONS(4261),
    [anon_sym_try] = ACTIONS(4259),
    [anon_sym_for] = ACTIONS(4259),
    [sym_false] = ACTIONS(4259),
    [anon_sym_continue] = ACTIONS(4259),
    [anon_sym_async] = ACTIONS(4259),
  },
  [1784] = {
    [sym_integer] = ACTIONS(4263),
    [sym_true] = ACTIONS(4263),
    [sym__string_start] = ACTIONS(4265),
    [anon_sym_nonlocal] = ACTIONS(4263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4263),
    [anon_sym_assert] = ACTIONS(4263),
    [anon_sym_yield] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(4263),
    [anon_sym_from] = ACTIONS(4263),
    [anon_sym_LPAREN] = ACTIONS(4265),
    [sym_none] = ACTIONS(4263),
    [anon_sym_with] = ACTIONS(4263),
    [anon_sym_if] = ACTIONS(4263),
    [anon_sym_pass] = ACTIONS(4263),
    [sym_float] = ACTIONS(4265),
    [anon_sym_PLUS] = ACTIONS(4265),
    [anon_sym_AT] = ACTIONS(4265),
    [anon_sym_lambda] = ACTIONS(4263),
    [anon_sym_TILDE] = ACTIONS(4265),
    [anon_sym_print] = ACTIONS(4263),
    [anon_sym_del] = ACTIONS(4263),
    [sym_ellipsis] = ACTIONS(4265),
    [anon_sym_import] = ACTIONS(4263),
    [anon_sym_while] = ACTIONS(4263),
    [anon_sym_def] = ACTIONS(4263),
    [anon_sym_await] = ACTIONS(4263),
    [anon_sym_break] = ACTIONS(4263),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_DASH] = ACTIONS(4265),
    [anon_sym_global] = ACTIONS(4263),
    [anon_sym_not] = ACTIONS(4263),
    [anon_sym_exec] = ACTIONS(4263),
    [ts_builtin_sym_end] = ACTIONS(4265),
    [anon_sym_raise] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4265),
    [anon_sym_LBRACE] = ACTIONS(4265),
    [anon_sym_try] = ACTIONS(4263),
    [anon_sym_for] = ACTIONS(4263),
    [sym_false] = ACTIONS(4263),
    [anon_sym_continue] = ACTIONS(4263),
    [anon_sym_async] = ACTIONS(4263),
  },
  [1785] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1986),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1786] = {
    [sym_else_clause] = STATE(1987),
    [sym_integer] = ACTIONS(4267),
    [sym_true] = ACTIONS(4267),
    [sym__string_start] = ACTIONS(4269),
    [anon_sym_nonlocal] = ACTIONS(4267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4267),
    [anon_sym_assert] = ACTIONS(4267),
    [anon_sym_yield] = ACTIONS(4267),
    [anon_sym_return] = ACTIONS(4267),
    [anon_sym_from] = ACTIONS(4267),
    [anon_sym_LPAREN] = ACTIONS(4269),
    [sym_none] = ACTIONS(4267),
    [anon_sym_with] = ACTIONS(4267),
    [anon_sym_if] = ACTIONS(4267),
    [anon_sym_pass] = ACTIONS(4267),
    [sym_float] = ACTIONS(4269),
    [anon_sym_PLUS] = ACTIONS(4269),
    [anon_sym_AT] = ACTIONS(4269),
    [anon_sym_lambda] = ACTIONS(4267),
    [anon_sym_TILDE] = ACTIONS(4269),
    [anon_sym_print] = ACTIONS(4267),
    [anon_sym_del] = ACTIONS(4267),
    [sym_ellipsis] = ACTIONS(4269),
    [anon_sym_import] = ACTIONS(4267),
    [anon_sym_while] = ACTIONS(4267),
    [anon_sym_def] = ACTIONS(4267),
    [anon_sym_await] = ACTIONS(4267),
    [anon_sym_break] = ACTIONS(4267),
    [sym_identifier] = ACTIONS(4267),
    [anon_sym_DASH] = ACTIONS(4269),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(4267),
    [anon_sym_not] = ACTIONS(4267),
    [anon_sym_exec] = ACTIONS(4267),
    [ts_builtin_sym_end] = ACTIONS(4269),
    [anon_sym_raise] = ACTIONS(4267),
    [anon_sym_LBRACK] = ACTIONS(4269),
    [anon_sym_LBRACE] = ACTIONS(4269),
    [anon_sym_try] = ACTIONS(4267),
    [anon_sym_for] = ACTIONS(4267),
    [sym_false] = ACTIONS(4267),
    [anon_sym_continue] = ACTIONS(4267),
    [anon_sym_async] = ACTIONS(4267),
  },
  [1787] = {
    [anon_sym_COLON] = ACTIONS(2101),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1788] = {
    [sym_lambda] = STATE(1787),
    [sym_conditional_expression] = STATE(1787),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1787),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1787),
    [sym_boolean_operator] = STATE(1787),
    [sym_await] = STATE(1787),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1787),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1787),
    [anon_sym_COLON] = ACTIONS(2143),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1789] = {
    [aux_sym_assert_statement_repeat1] = STATE(1789),
    [anon_sym_COLON] = ACTIONS(2101),
    [anon_sym_COMMA] = ACTIONS(4271),
    [sym_comment] = ACTIONS(3),
  },
  [1790] = {
    [sym__semicolon] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1791] = {
    [sym_lambda] = STATE(1989),
    [sym_conditional_expression] = STATE(1989),
    [sym_attribute] = STATE(553),
    [sym_dictionary_comprehension] = STATE(553),
    [sym_named_expression] = STATE(1989),
    [sym_generator_expression] = STATE(553),
    [sym_binary_operator] = STATE(553),
    [sym_unary_operator] = STATE(553),
    [sym_call] = STATE(553),
    [sym_list_comprehension] = STATE(553),
    [sym_dictionary] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_tuple] = STATE(553),
    [sym_not_operator] = STATE(1989),
    [sym_boolean_operator] = STATE(1989),
    [sym_await] = STATE(1989),
    [sym_concatenated_string] = STATE(553),
    [sym_subscript] = STATE(553),
    [sym_string] = STATE(551),
    [sym_list] = STATE(553),
    [sym_set] = STATE(553),
    [sym_set_comprehension] = STATE(553),
    [sym__expression] = STATE(1989),
    [sym__primary_expression] = STATE(553),
    [sym_comparison_operator] = STATE(1989),
    [sym_integer] = ACTIONS(951),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(955),
    [sym_true] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(957),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_not] = ACTIONS(961),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(951),
    [anon_sym_lambda] = ACTIONS(963),
    [sym__string_start] = ACTIONS(115),
  },
  [1792] = {
    [sym_argument_list] = STATE(269),
    [sym_generator_expression] = STATE(269),
    [sym__newline] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(1980),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(1986),
    [anon_sym_STAR_STAR] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(1974),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [sym__semicolon] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(1974),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [1793] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4274),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(4274),
    [sym_comment] = ACTIONS(3),
  },
  [1794] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [1795] = {
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_SLASH_SLASH] = ACTIONS(4278),
    [sym__newline] = ACTIONS(4276),
    [anon_sym_GT] = ACTIONS(4278),
    [anon_sym_DASH_EQ] = ACTIONS(4276),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4278),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4278),
    [anon_sym_AMP_EQ] = ACTIONS(4276),
    [anon_sym_AT_EQ] = ACTIONS(4276),
    [anon_sym_LT_LT_EQ] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_in] = ACTIONS(4276),
    [anon_sym_PERCENT_EQ] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4278),
    [anon_sym_STAR_STAR] = ACTIONS(4278),
    [anon_sym_SLASH] = ACTIONS(4278),
    [anon_sym_EQ] = ACTIONS(4278),
    [anon_sym_AT] = ACTIONS(4278),
    [anon_sym_LT_GT] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4278),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_CARET_EQ] = ACTIONS(4276),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(4276),
    [anon_sym_STAR_EQ] = ACTIONS(4276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4276),
    [sym__semicolon] = ACTIONS(4276),
    [anon_sym_DASH] = ACTIONS(4278),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4278),
    [anon_sym_not] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_PLUS_EQ] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4278),
    [anon_sym_PIPE] = ACTIONS(4278),
    [anon_sym_LT] = ACTIONS(4278),
    [anon_sym_GT_GT] = ACTIONS(4278),
    [anon_sym_PIPE_EQ] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_SLASH_EQ] = ACTIONS(4276),
    [anon_sym_GT_GT_EQ] = ACTIONS(4276),
    [sym_comment] = ACTIONS(3),
  },
  [1796] = {
    [sym_lambda] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1490),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1490),
    [sym_boolean_operator] = STATE(1490),
    [sym_await] = STATE(1490),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_slice] = STATE(1489),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1490),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1490),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(971),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1797] = {
    [sym_lambda] = STATE(1990),
    [sym_conditional_expression] = STATE(1990),
    [sym_attribute] = STATE(461),
    [sym_dictionary_comprehension] = STATE(461),
    [sym_named_expression] = STATE(1990),
    [sym_generator_expression] = STATE(461),
    [sym_binary_operator] = STATE(461),
    [sym_unary_operator] = STATE(461),
    [sym_call] = STATE(461),
    [sym_list_comprehension] = STATE(461),
    [sym_dictionary] = STATE(461),
    [sym_parenthesized_expression] = STATE(461),
    [sym_tuple] = STATE(461),
    [sym_not_operator] = STATE(1990),
    [sym_boolean_operator] = STATE(1990),
    [sym_await] = STATE(1990),
    [sym_concatenated_string] = STATE(461),
    [sym_subscript] = STATE(461),
    [sym_string] = STATE(459),
    [sym_list] = STATE(461),
    [sym_set] = STATE(461),
    [sym_set_comprehension] = STATE(461),
    [sym__expression] = STATE(1990),
    [sym__primary_expression] = STATE(461),
    [sym_comparison_operator] = STATE(1990),
    [sym_integer] = ACTIONS(793),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(797),
    [sym_true] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_RBRACK] = ACTIONS(4274),
    [anon_sym_not] = ACTIONS(803),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(4274),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(805),
    [sym__string_start] = ACTIONS(157),
  },
  [1798] = {
    [sym_lambda] = STATE(1991),
    [sym_conditional_expression] = STATE(1991),
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_named_expression] = STATE(1991),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_not_operator] = STATE(1991),
    [sym_boolean_operator] = STATE(1991),
    [sym_await] = STATE(1991),
    [sym_concatenated_string] = STATE(567),
    [sym_subscript] = STATE(567),
    [sym_string] = STATE(564),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__expression] = STATE(1991),
    [sym__primary_expression] = STATE(567),
    [sym_comparison_operator] = STATE(1991),
    [sym_integer] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(969),
    [sym_true] = ACTIONS(965),
    [anon_sym_await] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_not] = ACTIONS(977),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(965),
    [anon_sym_lambda] = ACTIONS(979),
    [sym__string_start] = ACTIONS(157),
  },
  [1799] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(2026),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(2032),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_STAR_STAR] = ACTIONS(2040),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2026),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(2026),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1800] = {
    [anon_sym_COLON] = ACTIONS(4280),
    [anon_sym_or] = ACTIONS(4280),
    [anon_sym_SLASH_SLASH] = ACTIONS(4282),
    [sym__newline] = ACTIONS(4280),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_DASH_EQ] = ACTIONS(4280),
    [anon_sym_is] = ACTIONS(4280),
    [anon_sym_AMP] = ACTIONS(4282),
    [anon_sym_LT_EQ] = ACTIONS(4280),
    [anon_sym_STAR] = ACTIONS(4282),
    [anon_sym_AMP_EQ] = ACTIONS(4280),
    [anon_sym_AT_EQ] = ACTIONS(4280),
    [anon_sym_LT_LT_EQ] = ACTIONS(4280),
    [anon_sym_LPAREN] = ACTIONS(4280),
    [anon_sym_in] = ACTIONS(4280),
    [anon_sym_PERCENT_EQ] = ACTIONS(4280),
    [anon_sym_if] = ACTIONS(4280),
    [anon_sym_PLUS] = ACTIONS(4282),
    [anon_sym_STAR_STAR] = ACTIONS(4282),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_EQ] = ACTIONS(4282),
    [anon_sym_AT] = ACTIONS(4282),
    [anon_sym_LT_GT] = ACTIONS(4280),
    [anon_sym_BANG_EQ] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4282),
    [anon_sym_EQ_EQ] = ACTIONS(4280),
    [anon_sym_CARET_EQ] = ACTIONS(4280),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(4280),
    [anon_sym_STAR_EQ] = ACTIONS(4280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(4280),
    [sym__semicolon] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4282),
    [anon_sym_and] = ACTIONS(4280),
    [anon_sym_PERCENT] = ACTIONS(4282),
    [anon_sym_not] = ACTIONS(4280),
    [anon_sym_GT_EQ] = ACTIONS(4280),
    [anon_sym_PLUS_EQ] = ACTIONS(4280),
    [anon_sym_LT_LT] = ACTIONS(4282),
    [anon_sym_PIPE] = ACTIONS(4282),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT_GT] = ACTIONS(4282),
    [anon_sym_PIPE_EQ] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [anon_sym_SLASH_EQ] = ACTIONS(4280),
    [anon_sym_GT_GT_EQ] = ACTIONS(4280),
    [sym_comment] = ACTIONS(3),
  },
  [1801] = {
    [sym_lambda] = STATE(1510),
    [sym_conditional_expression] = STATE(1510),
    [sym_attribute] = STATE(301),
    [sym_dictionary_splat] = STATE(1509),
    [sym_keyword_argument] = STATE(1509),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(1510),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_splat] = STATE(1509),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(1510),
    [sym_boolean_operator] = STATE(1510),
    [sym_await] = STATE(1510),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(1510),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(1510),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(1001),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_STAR] = ACTIONS(1007),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(1001),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1802] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1803] = {
    [sym_lambda] = STATE(1992),
    [sym_conditional_expression] = STATE(1992),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(1992),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(1992),
    [sym_boolean_operator] = STATE(1992),
    [sym_await] = STATE(1992),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(1992),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(1992),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1804] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(2115),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(2121),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(2127),
    [anon_sym_STAR_STAR] = ACTIONS(2129),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(2131),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(2127),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(2115),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(2135),
    [anon_sym_PIPE] = ACTIONS(2137),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(2135),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1805] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(1993),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1806] = {
    [sym_else_clause] = STATE(1994),
    [sym_integer] = ACTIONS(4284),
    [sym_true] = ACTIONS(4284),
    [sym__string_start] = ACTIONS(4286),
    [anon_sym_nonlocal] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4284),
    [anon_sym_assert] = ACTIONS(4284),
    [anon_sym_yield] = ACTIONS(4284),
    [anon_sym_return] = ACTIONS(4284),
    [anon_sym_from] = ACTIONS(4284),
    [anon_sym_LPAREN] = ACTIONS(4286),
    [sym_none] = ACTIONS(4284),
    [anon_sym_with] = ACTIONS(4284),
    [anon_sym_if] = ACTIONS(4284),
    [anon_sym_pass] = ACTIONS(4284),
    [sym_float] = ACTIONS(4286),
    [anon_sym_PLUS] = ACTIONS(4286),
    [anon_sym_AT] = ACTIONS(4286),
    [anon_sym_lambda] = ACTIONS(4284),
    [anon_sym_TILDE] = ACTIONS(4286),
    [anon_sym_print] = ACTIONS(4284),
    [anon_sym_del] = ACTIONS(4284),
    [sym_ellipsis] = ACTIONS(4286),
    [anon_sym_import] = ACTIONS(4284),
    [anon_sym_while] = ACTIONS(4284),
    [anon_sym_def] = ACTIONS(4284),
    [anon_sym_await] = ACTIONS(4284),
    [anon_sym_break] = ACTIONS(4284),
    [sym_identifier] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4286),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(4284),
    [anon_sym_not] = ACTIONS(4284),
    [anon_sym_exec] = ACTIONS(4284),
    [ts_builtin_sym_end] = ACTIONS(4286),
    [anon_sym_raise] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(4286),
    [anon_sym_LBRACE] = ACTIONS(4286),
    [anon_sym_try] = ACTIONS(4284),
    [anon_sym_for] = ACTIONS(4284),
    [sym_false] = ACTIONS(4284),
    [anon_sym_continue] = ACTIONS(4284),
    [anon_sym_async] = ACTIONS(4284),
  },
  [1807] = {
    [sym_integer] = ACTIONS(4288),
    [sym_true] = ACTIONS(4288),
    [sym__string_start] = ACTIONS(4290),
    [anon_sym_nonlocal] = ACTIONS(4288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4288),
    [anon_sym_assert] = ACTIONS(4288),
    [anon_sym_yield] = ACTIONS(4288),
    [anon_sym_return] = ACTIONS(4288),
    [anon_sym_from] = ACTIONS(4288),
    [anon_sym_LPAREN] = ACTIONS(4290),
    [sym_none] = ACTIONS(4288),
    [anon_sym_with] = ACTIONS(4288),
    [anon_sym_if] = ACTIONS(4288),
    [anon_sym_pass] = ACTIONS(4288),
    [sym_float] = ACTIONS(4290),
    [anon_sym_PLUS] = ACTIONS(4290),
    [anon_sym_AT] = ACTIONS(4290),
    [anon_sym_lambda] = ACTIONS(4288),
    [anon_sym_TILDE] = ACTIONS(4290),
    [anon_sym_print] = ACTIONS(4288),
    [anon_sym_del] = ACTIONS(4288),
    [sym_ellipsis] = ACTIONS(4290),
    [anon_sym_import] = ACTIONS(4288),
    [anon_sym_while] = ACTIONS(4288),
    [anon_sym_def] = ACTIONS(4288),
    [anon_sym_await] = ACTIONS(4288),
    [anon_sym_break] = ACTIONS(4288),
    [sym_identifier] = ACTIONS(4288),
    [anon_sym_DASH] = ACTIONS(4290),
    [anon_sym_global] = ACTIONS(4288),
    [anon_sym_not] = ACTIONS(4288),
    [anon_sym_exec] = ACTIONS(4288),
    [ts_builtin_sym_end] = ACTIONS(4290),
    [anon_sym_raise] = ACTIONS(4288),
    [anon_sym_LBRACK] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_try] = ACTIONS(4288),
    [anon_sym_for] = ACTIONS(4288),
    [sym_false] = ACTIONS(4288),
    [anon_sym_continue] = ACTIONS(4288),
    [anon_sym_async] = ACTIONS(4288),
  },
  [1808] = {
    [sym_integer] = ACTIONS(4292),
    [sym_true] = ACTIONS(4292),
    [sym__string_start] = ACTIONS(4294),
    [anon_sym_nonlocal] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4292),
    [anon_sym_assert] = ACTIONS(4292),
    [anon_sym_yield] = ACTIONS(4292),
    [anon_sym_return] = ACTIONS(4292),
    [anon_sym_from] = ACTIONS(4292),
    [anon_sym_LPAREN] = ACTIONS(4294),
    [sym_none] = ACTIONS(4292),
    [anon_sym_with] = ACTIONS(4292),
    [anon_sym_if] = ACTIONS(4292),
    [anon_sym_pass] = ACTIONS(4292),
    [sym_float] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4294),
    [anon_sym_AT] = ACTIONS(4294),
    [anon_sym_lambda] = ACTIONS(4292),
    [anon_sym_TILDE] = ACTIONS(4294),
    [anon_sym_print] = ACTIONS(4292),
    [anon_sym_del] = ACTIONS(4292),
    [sym_ellipsis] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(4292),
    [anon_sym_while] = ACTIONS(4292),
    [anon_sym_def] = ACTIONS(4292),
    [anon_sym_await] = ACTIONS(4292),
    [anon_sym_break] = ACTIONS(4292),
    [sym_identifier] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4294),
    [anon_sym_global] = ACTIONS(4292),
    [anon_sym_not] = ACTIONS(4292),
    [anon_sym_exec] = ACTIONS(4292),
    [ts_builtin_sym_end] = ACTIONS(4294),
    [anon_sym_raise] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_LBRACE] = ACTIONS(4294),
    [anon_sym_try] = ACTIONS(4292),
    [anon_sym_for] = ACTIONS(4292),
    [sym_false] = ACTIONS(4292),
    [anon_sym_continue] = ACTIONS(4292),
    [anon_sym_async] = ACTIONS(4292),
  },
  [1809] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1996),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4296),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1810] = {
    [sym_lambda] = STATE(1997),
    [sym_conditional_expression] = STATE(1997),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(1997),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(1997),
    [sym_boolean_operator] = STATE(1997),
    [sym_await] = STATE(1997),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(1997),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(1997),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1811] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [1812] = {
    [sym_lambda] = STATE(1998),
    [sym_conditional_expression] = STATE(1998),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(1998),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(1998),
    [sym_boolean_operator] = STATE(1998),
    [sym_await] = STATE(1998),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(1998),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(1998),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1813] = {
    [anon_sym_COLON] = ACTIONS(4298),
    [sym_comment] = ACTIONS(3),
  },
  [1814] = {
    [sym_string] = STATE(2000),
    [aux_sym_concatenated_string_repeat1] = STATE(2000),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1815] = {
    [sym_lambda] = STATE(2001),
    [sym_conditional_expression] = STATE(2001),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(2001),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(2001),
    [sym_boolean_operator] = STATE(2001),
    [sym_await] = STATE(2001),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(2001),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(2001),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1816] = {
    [sym_lambda] = STATE(2002),
    [sym_conditional_expression] = STATE(2002),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(2002),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(2002),
    [sym_boolean_operator] = STATE(2002),
    [sym_await] = STATE(2002),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(2002),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(2002),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1817] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [1818] = {
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [aux_sym_format_specifier_token1] = ACTIONS(4300),
    [anon_sym_LBRACE] = ACTIONS(4300),
  },
  [1819] = {
    [sym_attribute] = STATE(2003),
    [sym_dictionary_comprehension] = STATE(2003),
    [sym_generator_expression] = STATE(2003),
    [sym_binary_operator] = STATE(2003),
    [sym_unary_operator] = STATE(2003),
    [sym_call] = STATE(2003),
    [sym_list_comprehension] = STATE(2003),
    [sym_dictionary] = STATE(2003),
    [sym_parenthesized_expression] = STATE(2003),
    [sym_tuple] = STATE(2003),
    [sym_concatenated_string] = STATE(2003),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2003),
    [sym_list] = STATE(2003),
    [sym_set] = STATE(2003),
    [sym_set_comprehension] = STATE(2003),
    [sym__primary_expression] = STATE(2003),
    [sym_integer] = ACTIONS(4302),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4304),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4302),
    [sym_identifier] = ACTIONS(4302),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4302),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4304),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4302),
    [sym__string_start] = ACTIONS(157),
  },
  [1820] = {
    [sym_attribute] = STATE(2004),
    [sym_dictionary_comprehension] = STATE(2004),
    [sym_generator_expression] = STATE(2004),
    [sym_binary_operator] = STATE(2004),
    [sym_unary_operator] = STATE(2004),
    [sym_call] = STATE(2004),
    [sym_list_comprehension] = STATE(2004),
    [sym_dictionary] = STATE(2004),
    [sym_parenthesized_expression] = STATE(2004),
    [sym_tuple] = STATE(2004),
    [sym_concatenated_string] = STATE(2004),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2004),
    [sym_list] = STATE(2004),
    [sym_set] = STATE(2004),
    [sym_set_comprehension] = STATE(2004),
    [sym__primary_expression] = STATE(2004),
    [sym_integer] = ACTIONS(4306),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4308),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4306),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4306),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4306),
    [sym__string_start] = ACTIONS(157),
  },
  [1821] = {
    [sym_attribute] = STATE(2004),
    [sym_dictionary_comprehension] = STATE(2004),
    [sym_generator_expression] = STATE(2004),
    [sym_binary_operator] = STATE(2004),
    [sym_unary_operator] = STATE(2004),
    [sym_call] = STATE(2004),
    [sym_list_comprehension] = STATE(2004),
    [sym_dictionary] = STATE(2004),
    [sym_parenthesized_expression] = STATE(2004),
    [sym_tuple] = STATE(2004),
    [sym_concatenated_string] = STATE(2004),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2004),
    [sym_list] = STATE(2004),
    [sym_set] = STATE(2004),
    [sym_set_comprehension] = STATE(2004),
    [sym__primary_expression] = STATE(2004),
    [sym_integer] = ACTIONS(4306),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4308),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4306),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(4310),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4306),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4308),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4306),
    [sym__string_start] = ACTIONS(157),
  },
  [1822] = {
    [sym_attribute] = STATE(2006),
    [sym_dictionary_comprehension] = STATE(2006),
    [sym_generator_expression] = STATE(2006),
    [sym_binary_operator] = STATE(2006),
    [sym_unary_operator] = STATE(2006),
    [sym_call] = STATE(2006),
    [sym_list_comprehension] = STATE(2006),
    [sym_dictionary] = STATE(2006),
    [sym_parenthesized_expression] = STATE(2006),
    [sym_tuple] = STATE(2006),
    [sym_concatenated_string] = STATE(2006),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2006),
    [sym_list] = STATE(2006),
    [sym_set] = STATE(2006),
    [sym_set_comprehension] = STATE(2006),
    [sym__primary_expression] = STATE(2006),
    [sym_integer] = ACTIONS(4312),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4314),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4312),
    [sym_identifier] = ACTIONS(4312),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4312),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4314),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4312),
    [sym__string_start] = ACTIONS(157),
  },
  [1823] = {
    [sym_attribute] = STATE(2007),
    [sym_dictionary_comprehension] = STATE(2007),
    [sym_generator_expression] = STATE(2007),
    [sym_binary_operator] = STATE(2007),
    [sym_unary_operator] = STATE(2007),
    [sym_call] = STATE(2007),
    [sym_list_comprehension] = STATE(2007),
    [sym_dictionary] = STATE(2007),
    [sym_parenthesized_expression] = STATE(2007),
    [sym_tuple] = STATE(2007),
    [sym_concatenated_string] = STATE(2007),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2007),
    [sym_list] = STATE(2007),
    [sym_set] = STATE(2007),
    [sym_set_comprehension] = STATE(2007),
    [sym__primary_expression] = STATE(2007),
    [sym_integer] = ACTIONS(4316),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4318),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4316),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4316),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4318),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4316),
    [sym__string_start] = ACTIONS(157),
  },
  [1824] = {
    [anon_sym_in] = ACTIONS(4320),
    [sym_comment] = ACTIONS(3),
  },
  [1825] = {
    [sym_attribute] = STATE(2008),
    [sym_dictionary_comprehension] = STATE(2008),
    [sym_generator_expression] = STATE(2008),
    [sym_binary_operator] = STATE(2008),
    [sym_unary_operator] = STATE(2008),
    [sym_call] = STATE(2008),
    [sym_list_comprehension] = STATE(2008),
    [sym_dictionary] = STATE(2008),
    [sym_parenthesized_expression] = STATE(2008),
    [sym_tuple] = STATE(2008),
    [sym_concatenated_string] = STATE(2008),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2008),
    [sym_list] = STATE(2008),
    [sym_set] = STATE(2008),
    [sym_set_comprehension] = STATE(2008),
    [sym__primary_expression] = STATE(2008),
    [sym_integer] = ACTIONS(4322),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4324),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4322),
    [sym_identifier] = ACTIONS(4322),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4322),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4324),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4322),
    [sym__string_start] = ACTIONS(157),
  },
  [1826] = {
    [sym_attribute] = STATE(2009),
    [sym_dictionary_comprehension] = STATE(2009),
    [sym_generator_expression] = STATE(2009),
    [sym_binary_operator] = STATE(2009),
    [sym_unary_operator] = STATE(2009),
    [sym_call] = STATE(2009),
    [sym_list_comprehension] = STATE(2009),
    [sym_dictionary] = STATE(2009),
    [sym_parenthesized_expression] = STATE(2009),
    [sym_tuple] = STATE(2009),
    [sym_concatenated_string] = STATE(2009),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2009),
    [sym_list] = STATE(2009),
    [sym_set] = STATE(2009),
    [sym_set_comprehension] = STATE(2009),
    [sym__primary_expression] = STATE(2009),
    [sym_integer] = ACTIONS(4326),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4328),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4326),
    [sym_identifier] = ACTIONS(4326),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4326),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4328),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4326),
    [sym__string_start] = ACTIONS(157),
  },
  [1827] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1828] = {
    [sym_attribute] = STATE(2010),
    [sym_dictionary_comprehension] = STATE(2010),
    [sym_generator_expression] = STATE(2010),
    [sym_binary_operator] = STATE(2010),
    [sym_unary_operator] = STATE(2010),
    [sym_call] = STATE(2010),
    [sym_list_comprehension] = STATE(2010),
    [sym_dictionary] = STATE(2010),
    [sym_parenthesized_expression] = STATE(2010),
    [sym_tuple] = STATE(2010),
    [sym_concatenated_string] = STATE(2010),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2010),
    [sym_list] = STATE(2010),
    [sym_set] = STATE(2010),
    [sym_set_comprehension] = STATE(2010),
    [sym__primary_expression] = STATE(2010),
    [sym_integer] = ACTIONS(4330),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4332),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4330),
    [sym_identifier] = ACTIONS(4330),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4330),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4332),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4330),
    [sym__string_start] = ACTIONS(157),
  },
  [1829] = {
    [aux_sym_comparison_operator_repeat1] = STATE(2011),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(3887),
    [anon_sym_is] = ACTIONS(3889),
    [anon_sym_LT_EQ] = ACTIONS(3893),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(3903),
    [anon_sym_in] = ACTIONS(3893),
    [anon_sym_GT_EQ] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(3887),
    [anon_sym_LT_GT] = ACTIONS(3893),
    [anon_sym_BANG_EQ] = ACTIONS(3893),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(3893),
  },
  [1830] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [sym_type_conversion] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1831] = {
    [anon_sym_COLON] = ACTIONS(4280),
    [anon_sym_or] = ACTIONS(4280),
    [anon_sym_SLASH_SLASH] = ACTIONS(4280),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_is] = ACTIONS(4280),
    [anon_sym_AMP] = ACTIONS(4280),
    [anon_sym_LT_EQ] = ACTIONS(4280),
    [anon_sym_STAR] = ACTIONS(4282),
    [anon_sym_RBRACK] = ACTIONS(4280),
    [anon_sym_as] = ACTIONS(4282),
    [anon_sym_LPAREN] = ACTIONS(4280),
    [anon_sym_in] = ACTIONS(4280),
    [anon_sym_if] = ACTIONS(4280),
    [anon_sym_RBRACE] = ACTIONS(4280),
    [sym_type_conversion] = ACTIONS(4280),
    [anon_sym_PLUS] = ACTIONS(4280),
    [anon_sym_STAR_STAR] = ACTIONS(4280),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_EQ] = ACTIONS(4282),
    [anon_sym_AT] = ACTIONS(4280),
    [anon_sym_LT_GT] = ACTIONS(4280),
    [anon_sym_BANG_EQ] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4280),
    [anon_sym_EQ_EQ] = ACTIONS(4280),
    [anon_sym_RPAREN] = ACTIONS(4280),
    [anon_sym_else] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4280),
    [anon_sym_and] = ACTIONS(4280),
    [anon_sym_PERCENT] = ACTIONS(4280),
    [anon_sym_not] = ACTIONS(4280),
    [anon_sym_GT_EQ] = ACTIONS(4280),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4280),
    [anon_sym_async] = ACTIONS(4280),
  },
  [1832] = {
    [sym__newline] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_SLASH_SLASH] = ACTIONS(4276),
    [anon_sym_GT] = ACTIONS(4278),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4278),
    [anon_sym_from] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_in] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(4278),
    [anon_sym_EQ] = ACTIONS(4278),
    [anon_sym_AT] = ACTIONS(4276),
    [anon_sym_LT_GT] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [sym__semicolon] = ACTIONS(4276),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_not] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(4278),
    [anon_sym_GT_GT] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [sym_comment] = ACTIONS(3),
  },
  [1833] = {
    [sym__newline] = ACTIONS(4280),
    [anon_sym_or] = ACTIONS(4280),
    [anon_sym_SLASH_SLASH] = ACTIONS(4280),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_is] = ACTIONS(4280),
    [anon_sym_AMP] = ACTIONS(4280),
    [anon_sym_LT_EQ] = ACTIONS(4280),
    [anon_sym_STAR] = ACTIONS(4282),
    [anon_sym_from] = ACTIONS(4280),
    [anon_sym_LPAREN] = ACTIONS(4280),
    [anon_sym_in] = ACTIONS(4280),
    [anon_sym_if] = ACTIONS(4280),
    [anon_sym_PLUS] = ACTIONS(4280),
    [anon_sym_STAR_STAR] = ACTIONS(4280),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_EQ] = ACTIONS(4282),
    [anon_sym_AT] = ACTIONS(4280),
    [anon_sym_LT_GT] = ACTIONS(4280),
    [anon_sym_BANG_EQ] = ACTIONS(4280),
    [anon_sym_CARET] = ACTIONS(4280),
    [anon_sym_EQ_EQ] = ACTIONS(4280),
    [sym__semicolon] = ACTIONS(4280),
    [anon_sym_DASH] = ACTIONS(4280),
    [anon_sym_and] = ACTIONS(4280),
    [anon_sym_PERCENT] = ACTIONS(4280),
    [anon_sym_not] = ACTIONS(4280),
    [anon_sym_GT_EQ] = ACTIONS(4280),
    [anon_sym_LT_LT] = ACTIONS(4280),
    [anon_sym_PIPE] = ACTIONS(4280),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_GT_GT] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [anon_sym_DOT] = ACTIONS(4280),
    [anon_sym_COMMA] = ACTIONS(4280),
    [sym_comment] = ACTIONS(3),
  },
  [1834] = {
    [sym__semicolon] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(1318),
    [sym__newline] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_and] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [1835] = {
    [aux_sym_dotted_name_repeat1] = STATE(1835),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_as] = ACTIONS(2309),
  },
  [1836] = {
    [anon_sym_RPAREN] = ACTIONS(2668),
    [anon_sym_COMMA] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
  },
  [1837] = {
    [anon_sym_COMMA] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2668),
    [anon_sym_as] = ACTIONS(3254),
  },
  [1838] = {
    [sym_aliased_import] = STATE(1836),
    [sym_dotted_name] = STATE(1837),
    [anon_sym_RPAREN] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
  },
  [1839] = {
    [aux_sym__import_list_repeat1] = STATE(1839),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(4334),
    [sym_comment] = ACTIONS(3),
  },
  [1840] = {
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
  },
  [1841] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1842] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2013),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2013),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [1843] = {
    [anon_sym_COLON] = ACTIONS(4337),
    [sym_comment] = ACTIONS(3),
  },
  [1844] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_async] = ACTIONS(4339),
    [anon_sym_RPAREN] = ACTIONS(4341),
    [anon_sym_await] = ACTIONS(139),
    [sym_true] = ACTIONS(129),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4339),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4339),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [1845] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2017),
    [anon_sym_COMMA] = ACTIONS(4343),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RPAREN] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1846] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2018),
    [anon_sym_COMMA] = ACTIONS(4343),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RPAREN] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1847] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(1647),
  },
  [1848] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(4345),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(1609),
  },
  [1849] = {
    [sym_lambda] = STATE(2019),
    [sym_conditional_expression] = STATE(2019),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(2019),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(2019),
    [sym_boolean_operator] = STATE(2019),
    [sym_await] = STATE(2019),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(2019),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(2019),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [1850] = {
    [sym_string] = STATE(1850),
    [aux_sym_concatenated_string_repeat1] = STATE(1850),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [1851] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(2099),
  },
  [1852] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4347),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1853] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1854] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1855] = {
    [sym_attribute] = STATE(2021),
    [sym_dictionary_comprehension] = STATE(2021),
    [sym_generator_expression] = STATE(2021),
    [sym_binary_operator] = STATE(2021),
    [sym_unary_operator] = STATE(2021),
    [sym_call] = STATE(2021),
    [sym_list_comprehension] = STATE(2021),
    [sym_dictionary] = STATE(2021),
    [sym_parenthesized_expression] = STATE(2021),
    [sym_tuple] = STATE(2021),
    [sym_concatenated_string] = STATE(2021),
    [sym_string] = STATE(1241),
    [sym_subscript] = STATE(2021),
    [sym_list] = STATE(2021),
    [sym_set] = STATE(2021),
    [sym_set_comprehension] = STATE(2021),
    [sym__primary_expression] = STATE(2021),
    [sym_integer] = ACTIONS(4349),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(4349),
    [sym_identifier] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4349),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4351),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4349),
    [sym__string_start] = ACTIONS(157),
  },
  [1856] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1857] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1858] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1859] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1860] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1861] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1861),
    [anon_sym_EQ_EQ] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4356),
    [anon_sym_is] = ACTIONS(4359),
    [anon_sym_LT_EQ] = ACTIONS(4353),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4362),
    [anon_sym_in] = ACTIONS(4353),
    [anon_sym_GT_EQ] = ACTIONS(4353),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4356),
    [anon_sym_LT_GT] = ACTIONS(4353),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(4353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1862] = {
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_SLASH_SLASH] = ACTIONS(4276),
    [anon_sym_GT] = ACTIONS(4278),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4278),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_as] = ACTIONS(4278),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_in] = ACTIONS(4276),
    [anon_sym_if] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [sym_type_conversion] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(4278),
    [anon_sym_EQ] = ACTIONS(4278),
    [anon_sym_AT] = ACTIONS(4276),
    [anon_sym_LT_GT] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_else] = ACTIONS(4276),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_not] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(4278),
    [anon_sym_GT_GT] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4276),
    [anon_sym_async] = ACTIONS(4276),
  },
  [1863] = {
    [sym_integer] = ACTIONS(4365),
    [sym_true] = ACTIONS(4365),
    [sym__string_start] = ACTIONS(4367),
    [anon_sym_nonlocal] = ACTIONS(4365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4365),
    [anon_sym_assert] = ACTIONS(4365),
    [anon_sym_yield] = ACTIONS(4365),
    [anon_sym_return] = ACTIONS(4365),
    [anon_sym_from] = ACTIONS(4365),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [sym_none] = ACTIONS(4365),
    [anon_sym_with] = ACTIONS(4365),
    [anon_sym_if] = ACTIONS(4365),
    [anon_sym_pass] = ACTIONS(4365),
    [sym_float] = ACTIONS(4367),
    [anon_sym_PLUS] = ACTIONS(4367),
    [anon_sym_AT] = ACTIONS(4367),
    [anon_sym_lambda] = ACTIONS(4365),
    [anon_sym_TILDE] = ACTIONS(4367),
    [anon_sym_print] = ACTIONS(4365),
    [anon_sym_del] = ACTIONS(4365),
    [sym_ellipsis] = ACTIONS(4367),
    [anon_sym_import] = ACTIONS(4365),
    [anon_sym_while] = ACTIONS(4365),
    [anon_sym_def] = ACTIONS(4365),
    [anon_sym_await] = ACTIONS(4365),
    [anon_sym_break] = ACTIONS(4365),
    [sym_identifier] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4367),
    [anon_sym_global] = ACTIONS(4365),
    [anon_sym_not] = ACTIONS(4365),
    [anon_sym_exec] = ACTIONS(4365),
    [ts_builtin_sym_end] = ACTIONS(4367),
    [anon_sym_raise] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4367),
    [anon_sym_LBRACE] = ACTIONS(4367),
    [anon_sym_try] = ACTIONS(4365),
    [anon_sym_for] = ACTIONS(4365),
    [sym_false] = ACTIONS(4365),
    [anon_sym_continue] = ACTIONS(4365),
    [anon_sym_async] = ACTIONS(4365),
  },
  [1864] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2023),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4369),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1865] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2024),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1866] = {
    [sym_integer] = ACTIONS(4371),
    [sym_true] = ACTIONS(4371),
    [sym__string_start] = ACTIONS(4373),
    [anon_sym_nonlocal] = ACTIONS(4371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4371),
    [anon_sym_finally] = ACTIONS(4371),
    [anon_sym_assert] = ACTIONS(4371),
    [anon_sym_yield] = ACTIONS(4371),
    [anon_sym_return] = ACTIONS(4371),
    [anon_sym_from] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(4373),
    [sym_none] = ACTIONS(4371),
    [anon_sym_with] = ACTIONS(4371),
    [anon_sym_if] = ACTIONS(4371),
    [anon_sym_pass] = ACTIONS(4371),
    [sym_float] = ACTIONS(4373),
    [anon_sym_PLUS] = ACTIONS(4373),
    [anon_sym_AT] = ACTIONS(4373),
    [anon_sym_lambda] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(4373),
    [anon_sym_print] = ACTIONS(4371),
    [anon_sym_del] = ACTIONS(4371),
    [sym_ellipsis] = ACTIONS(4373),
    [anon_sym_import] = ACTIONS(4371),
    [anon_sym_while] = ACTIONS(4371),
    [anon_sym_def] = ACTIONS(4371),
    [anon_sym_await] = ACTIONS(4371),
    [anon_sym_break] = ACTIONS(4371),
    [sym_identifier] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4373),
    [anon_sym_global] = ACTIONS(4371),
    [anon_sym_not] = ACTIONS(4371),
    [anon_sym_exec] = ACTIONS(4371),
    [ts_builtin_sym_end] = ACTIONS(4373),
    [anon_sym_raise] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4373),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_try] = ACTIONS(4371),
    [anon_sym_for] = ACTIONS(4371),
    [sym_false] = ACTIONS(4371),
    [anon_sym_continue] = ACTIONS(4371),
    [anon_sym_async] = ACTIONS(4371),
  },
  [1867] = {
    [anon_sym_EQ] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [1868] = {
    [sym_lambda] = STATE(2025),
    [sym_conditional_expression] = STATE(2025),
    [sym_attribute] = STATE(826),
    [sym_dictionary_comprehension] = STATE(826),
    [sym_named_expression] = STATE(2025),
    [sym_generator_expression] = STATE(826),
    [sym_binary_operator] = STATE(826),
    [sym_unary_operator] = STATE(826),
    [sym_call] = STATE(826),
    [sym_list_comprehension] = STATE(826),
    [sym_dictionary] = STATE(826),
    [sym_parenthesized_expression] = STATE(826),
    [sym_tuple] = STATE(826),
    [sym_not_operator] = STATE(2025),
    [sym_boolean_operator] = STATE(2025),
    [sym_await] = STATE(2025),
    [sym_concatenated_string] = STATE(826),
    [sym_subscript] = STATE(826),
    [sym_string] = STATE(824),
    [sym_list] = STATE(826),
    [sym_set] = STATE(826),
    [sym_set_comprehension] = STATE(826),
    [sym__expression] = STATE(2025),
    [sym__primary_expression] = STATE(826),
    [sym_comparison_operator] = STATE(2025),
    [sym_integer] = ACTIONS(2504),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2504),
    [anon_sym_lambda] = ACTIONS(2514),
    [sym__string_start] = ACTIONS(157),
  },
  [1869] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(2548),
    [anon_sym_PIPE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [1870] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
  },
  [1871] = {
    [sym_lambda] = STATE(2026),
    [sym_conditional_expression] = STATE(2026),
    [sym_attribute] = STATE(842),
    [sym_dictionary_comprehension] = STATE(842),
    [sym_named_expression] = STATE(2026),
    [sym_generator_expression] = STATE(842),
    [sym_binary_operator] = STATE(842),
    [sym_unary_operator] = STATE(842),
    [sym_call] = STATE(842),
    [sym_list_comprehension] = STATE(842),
    [sym_dictionary] = STATE(842),
    [sym_parenthesized_expression] = STATE(842),
    [sym_tuple] = STATE(842),
    [sym_not_operator] = STATE(2026),
    [sym_boolean_operator] = STATE(2026),
    [sym_await] = STATE(2026),
    [sym_concatenated_string] = STATE(842),
    [sym_subscript] = STATE(842),
    [sym_string] = STATE(840),
    [sym_list] = STATE(842),
    [sym_set] = STATE(842),
    [sym_set_comprehension] = STATE(842),
    [sym__expression] = STATE(2026),
    [sym__primary_expression] = STATE(842),
    [sym_comparison_operator] = STATE(2026),
    [sym_integer] = ACTIONS(2565),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2563),
    [sym_true] = ACTIONS(2565),
    [anon_sym_await] = ACTIONS(2569),
    [sym_identifier] = ACTIONS(2571),
    [anon_sym_DASH] = ACTIONS(2563),
    [anon_sym_not] = ACTIONS(2573),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2565),
    [anon_sym_lambda] = ACTIONS(2575),
    [sym__string_start] = ACTIONS(157),
  },
  [1872] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(2591),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(2603),
    [anon_sym_STAR_STAR] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(2603),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(2611),
    [anon_sym_PIPE] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [1873] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_and] = ACTIONS(1583),
    [sym_comment] = ACTIONS(3),
  },
  [1874] = {
    [sym_lambda] = STATE(2027),
    [sym_conditional_expression] = STATE(2027),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(2027),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(2027),
    [sym_boolean_operator] = STATE(2027),
    [sym_await] = STATE(2027),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(2027),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(2027),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1875] = {
    [sym_default_parameter] = STATE(830),
    [sym_tuple] = STATE(830),
    [sym_dictionary_splat] = STATE(1652),
    [sym_typed_default_parameter] = STATE(830),
    [sym_list_splat] = STATE(1652),
    [sym_typed_parameter] = STATE(830),
    [anon_sym_exec] = ACTIONS(3458),
    [anon_sym_print] = ACTIONS(3458),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_lambda] = STATE(2028),
    [sym_conditional_expression] = STATE(2028),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(2028),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(2028),
    [sym_boolean_operator] = STATE(2028),
    [sym_await] = STATE(2028),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(2028),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(2028),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1877] = {
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_COMMA] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_or] = ACTIONS(4061),
    [sym_comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_lambda] = STATE(2029),
    [sym_conditional_expression] = STATE(2029),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(2029),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(2029),
    [sym_boolean_operator] = STATE(2029),
    [sym_await] = STATE(2029),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(2029),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(2029),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1879] = {
    [anon_sym_COLON] = ACTIONS(4375),
    [sym_comment] = ACTIONS(3),
  },
  [1880] = {
    [sym_lambda] = STATE(2031),
    [sym_conditional_expression] = STATE(2031),
    [sym_attribute] = STATE(301),
    [sym_dictionary_comprehension] = STATE(301),
    [sym_named_expression] = STATE(2031),
    [sym_generator_expression] = STATE(301),
    [sym_binary_operator] = STATE(301),
    [sym_unary_operator] = STATE(301),
    [sym_call] = STATE(301),
    [sym_list_comprehension] = STATE(301),
    [sym_dictionary] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_tuple] = STATE(301),
    [sym_not_operator] = STATE(2031),
    [sym_boolean_operator] = STATE(2031),
    [sym_await] = STATE(2031),
    [sym_concatenated_string] = STATE(301),
    [sym_subscript] = STATE(301),
    [sym_string] = STATE(298),
    [sym_list] = STATE(301),
    [sym_set] = STATE(301),
    [sym_set_comprehension] = STATE(301),
    [sym__expression] = STATE(2031),
    [sym__primary_expression] = STATE(301),
    [sym_comparison_operator] = STATE(2031),
    [sym_integer] = ACTIONS(517),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(521),
    [sym_true] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(523),
    [sym_identifier] = ACTIONS(525),
    [anon_sym_DASH] = ACTIONS(521),
    [anon_sym_not] = ACTIONS(529),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(519),
    [anon_sym_PLUS] = ACTIONS(521),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(517),
    [anon_sym_lambda] = ACTIONS(531),
    [sym__string_start] = ACTIONS(157),
  },
  [1881] = {
    [sym_string] = STATE(2032),
    [aux_sym_concatenated_string_repeat1] = STATE(2032),
    [anon_sym_or] = ACTIONS(1037),
    [anon_sym_SLASH_SLASH] = ACTIONS(1037),
    [anon_sym_GT] = ACTIONS(1039),
    [anon_sym_is] = ACTIONS(1037),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_LT_GT] = ACTIONS(1037),
    [anon_sym_BANG_EQ] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1037),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_and] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_not] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1037),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(157),
  },
  [1882] = {
    [sym_lambda] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(758),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(758),
    [sym_boolean_operator] = STATE(758),
    [sym_await] = STATE(758),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(758),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(758),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1883] = {
    [sym_lambda] = STATE(2033),
    [sym_conditional_expression] = STATE(2033),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(2033),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(2033),
    [sym_boolean_operator] = STATE(2033),
    [sym_await] = STATE(2033),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(2033),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(2033),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [1884] = {
    [sym_lambda] = STATE(2034),
    [sym_conditional_expression] = STATE(2034),
    [sym_attribute] = STATE(596),
    [sym_dictionary_comprehension] = STATE(596),
    [sym_named_expression] = STATE(2034),
    [sym_generator_expression] = STATE(596),
    [sym_binary_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_call] = STATE(596),
    [sym_list_comprehension] = STATE(596),
    [sym_dictionary] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_tuple] = STATE(596),
    [sym_not_operator] = STATE(2034),
    [sym_boolean_operator] = STATE(2034),
    [sym_await] = STATE(2034),
    [sym_concatenated_string] = STATE(596),
    [sym_subscript] = STATE(596),
    [sym_string] = STATE(594),
    [sym_list] = STATE(596),
    [sym_set] = STATE(596),
    [sym_set_comprehension] = STATE(596),
    [sym__expression] = STATE(2034),
    [sym__primary_expression] = STATE(596),
    [sym_comparison_operator] = STATE(2034),
    [sym_integer] = ACTIONS(1160),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1160),
    [anon_sym_lambda] = ACTIONS(1172),
    [sym__string_start] = ACTIONS(157),
  },
  [1885] = {
    [sym_attribute] = STATE(2035),
    [sym_dictionary_comprehension] = STATE(2035),
    [sym_generator_expression] = STATE(2035),
    [sym_binary_operator] = STATE(2035),
    [sym_unary_operator] = STATE(2035),
    [sym_call] = STATE(2035),
    [sym_list_comprehension] = STATE(2035),
    [sym_dictionary] = STATE(2035),
    [sym_parenthesized_expression] = STATE(2035),
    [sym_tuple] = STATE(2035),
    [sym_concatenated_string] = STATE(2035),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2035),
    [sym_list] = STATE(2035),
    [sym_set] = STATE(2035),
    [sym_set_comprehension] = STATE(2035),
    [sym__primary_expression] = STATE(2035),
    [sym_integer] = ACTIONS(4377),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4379),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4377),
    [sym_identifier] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4377),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4377),
    [sym__string_start] = ACTIONS(157),
  },
  [1886] = {
    [sym_attribute] = STATE(2036),
    [sym_dictionary_comprehension] = STATE(2036),
    [sym_generator_expression] = STATE(2036),
    [sym_binary_operator] = STATE(2036),
    [sym_unary_operator] = STATE(2036),
    [sym_call] = STATE(2036),
    [sym_list_comprehension] = STATE(2036),
    [sym_dictionary] = STATE(2036),
    [sym_parenthesized_expression] = STATE(2036),
    [sym_tuple] = STATE(2036),
    [sym_concatenated_string] = STATE(2036),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2036),
    [sym_list] = STATE(2036),
    [sym_set] = STATE(2036),
    [sym_set_comprehension] = STATE(2036),
    [sym__primary_expression] = STATE(2036),
    [sym_integer] = ACTIONS(4381),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4383),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4381),
    [sym_identifier] = ACTIONS(4381),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4381),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4383),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4381),
    [sym__string_start] = ACTIONS(157),
  },
  [1887] = {
    [sym_attribute] = STATE(2036),
    [sym_dictionary_comprehension] = STATE(2036),
    [sym_generator_expression] = STATE(2036),
    [sym_binary_operator] = STATE(2036),
    [sym_unary_operator] = STATE(2036),
    [sym_call] = STATE(2036),
    [sym_list_comprehension] = STATE(2036),
    [sym_dictionary] = STATE(2036),
    [sym_parenthesized_expression] = STATE(2036),
    [sym_tuple] = STATE(2036),
    [sym_concatenated_string] = STATE(2036),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2036),
    [sym_list] = STATE(2036),
    [sym_set] = STATE(2036),
    [sym_set_comprehension] = STATE(2036),
    [sym__primary_expression] = STATE(2036),
    [sym_integer] = ACTIONS(4381),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4383),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4381),
    [sym_identifier] = ACTIONS(4381),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(4385),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4381),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4383),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4381),
    [sym__string_start] = ACTIONS(157),
  },
  [1888] = {
    [sym_attribute] = STATE(2038),
    [sym_dictionary_comprehension] = STATE(2038),
    [sym_generator_expression] = STATE(2038),
    [sym_binary_operator] = STATE(2038),
    [sym_unary_operator] = STATE(2038),
    [sym_call] = STATE(2038),
    [sym_list_comprehension] = STATE(2038),
    [sym_dictionary] = STATE(2038),
    [sym_parenthesized_expression] = STATE(2038),
    [sym_tuple] = STATE(2038),
    [sym_concatenated_string] = STATE(2038),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2038),
    [sym_list] = STATE(2038),
    [sym_set] = STATE(2038),
    [sym_set_comprehension] = STATE(2038),
    [sym__primary_expression] = STATE(2038),
    [sym_integer] = ACTIONS(4387),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4389),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4387),
    [sym_identifier] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4387),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4389),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4387),
    [sym__string_start] = ACTIONS(157),
  },
  [1889] = {
    [sym_attribute] = STATE(2039),
    [sym_dictionary_comprehension] = STATE(2039),
    [sym_generator_expression] = STATE(2039),
    [sym_binary_operator] = STATE(2039),
    [sym_unary_operator] = STATE(2039),
    [sym_call] = STATE(2039),
    [sym_list_comprehension] = STATE(2039),
    [sym_dictionary] = STATE(2039),
    [sym_parenthesized_expression] = STATE(2039),
    [sym_tuple] = STATE(2039),
    [sym_concatenated_string] = STATE(2039),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2039),
    [sym_list] = STATE(2039),
    [sym_set] = STATE(2039),
    [sym_set_comprehension] = STATE(2039),
    [sym__primary_expression] = STATE(2039),
    [sym_integer] = ACTIONS(4391),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4393),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4391),
    [sym_identifier] = ACTIONS(4391),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4391),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4391),
    [sym__string_start] = ACTIONS(157),
  },
  [1890] = {
    [anon_sym_in] = ACTIONS(4395),
    [sym_comment] = ACTIONS(3),
  },
  [1891] = {
    [sym_attribute] = STATE(2040),
    [sym_dictionary_comprehension] = STATE(2040),
    [sym_generator_expression] = STATE(2040),
    [sym_binary_operator] = STATE(2040),
    [sym_unary_operator] = STATE(2040),
    [sym_call] = STATE(2040),
    [sym_list_comprehension] = STATE(2040),
    [sym_dictionary] = STATE(2040),
    [sym_parenthesized_expression] = STATE(2040),
    [sym_tuple] = STATE(2040),
    [sym_concatenated_string] = STATE(2040),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2040),
    [sym_list] = STATE(2040),
    [sym_set] = STATE(2040),
    [sym_set_comprehension] = STATE(2040),
    [sym__primary_expression] = STATE(2040),
    [sym_integer] = ACTIONS(4397),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4399),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4397),
    [sym_identifier] = ACTIONS(4397),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4397),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4399),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4397),
    [sym__string_start] = ACTIONS(157),
  },
  [1892] = {
    [sym_attribute] = STATE(2041),
    [sym_dictionary_comprehension] = STATE(2041),
    [sym_generator_expression] = STATE(2041),
    [sym_binary_operator] = STATE(2041),
    [sym_unary_operator] = STATE(2041),
    [sym_call] = STATE(2041),
    [sym_list_comprehension] = STATE(2041),
    [sym_dictionary] = STATE(2041),
    [sym_parenthesized_expression] = STATE(2041),
    [sym_tuple] = STATE(2041),
    [sym_concatenated_string] = STATE(2041),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2041),
    [sym_list] = STATE(2041),
    [sym_set] = STATE(2041),
    [sym_set_comprehension] = STATE(2041),
    [sym__primary_expression] = STATE(2041),
    [sym_integer] = ACTIONS(4401),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4403),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4401),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4401),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4401),
    [sym__string_start] = ACTIONS(157),
  },
  [1893] = {
    [sym_attribute] = STATE(773),
    [sym_dictionary_comprehension] = STATE(773),
    [sym_generator_expression] = STATE(773),
    [sym_binary_operator] = STATE(773),
    [sym_unary_operator] = STATE(773),
    [sym_call] = STATE(773),
    [sym_list_comprehension] = STATE(773),
    [sym_dictionary] = STATE(773),
    [sym_parenthesized_expression] = STATE(773),
    [sym_tuple] = STATE(773),
    [sym_concatenated_string] = STATE(773),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(773),
    [sym_list] = STATE(773),
    [sym_set] = STATE(773),
    [sym_set_comprehension] = STATE(773),
    [sym__primary_expression] = STATE(773),
    [sym_integer] = ACTIONS(1473),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1475),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1473),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1473),
    [sym__string_start] = ACTIONS(157),
  },
  [1894] = {
    [sym_attribute] = STATE(2042),
    [sym_dictionary_comprehension] = STATE(2042),
    [sym_generator_expression] = STATE(2042),
    [sym_binary_operator] = STATE(2042),
    [sym_unary_operator] = STATE(2042),
    [sym_call] = STATE(2042),
    [sym_list_comprehension] = STATE(2042),
    [sym_dictionary] = STATE(2042),
    [sym_parenthesized_expression] = STATE(2042),
    [sym_tuple] = STATE(2042),
    [sym_concatenated_string] = STATE(2042),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2042),
    [sym_list] = STATE(2042),
    [sym_set] = STATE(2042),
    [sym_set_comprehension] = STATE(2042),
    [sym__primary_expression] = STATE(2042),
    [sym_integer] = ACTIONS(4405),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4407),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4405),
    [sym_identifier] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4405),
    [sym__string_start] = ACTIONS(157),
  },
  [1895] = {
    [aux_sym_comparison_operator_repeat1] = STATE(2043),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_GT] = ACTIONS(4069),
    [anon_sym_is] = ACTIONS(4071),
    [anon_sym_LT_EQ] = ACTIONS(4075),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(4085),
    [anon_sym_in] = ACTIONS(4075),
    [anon_sym_GT_EQ] = ACTIONS(4075),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(4069),
    [anon_sym_EQ] = ACTIONS(1035),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LT_GT] = ACTIONS(4075),
    [anon_sym_BANG_EQ] = ACTIONS(4075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4075),
  },
  [1896] = {
    [anon_sym_COLON] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1897] = {
    [anon_sym_COLON] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1898] = {
    [sym_lambda] = STATE(2044),
    [sym_conditional_expression] = STATE(2044),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(2044),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(2044),
    [sym_boolean_operator] = STATE(2044),
    [sym_await] = STATE(2044),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(2044),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(2044),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [1899] = {
    [sym_string] = STATE(1899),
    [aux_sym_concatenated_string_repeat1] = STATE(1899),
    [anon_sym_COLON] = ACTIONS(2092),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [1900] = {
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [1901] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4409),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1902] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1903] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(3512),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [1904] = {
    [sym_attribute] = STATE(2046),
    [sym_dictionary_comprehension] = STATE(2046),
    [sym_generator_expression] = STATE(2046),
    [sym_binary_operator] = STATE(2046),
    [sym_unary_operator] = STATE(2046),
    [sym_call] = STATE(2046),
    [sym_list_comprehension] = STATE(2046),
    [sym_dictionary] = STATE(2046),
    [sym_parenthesized_expression] = STATE(2046),
    [sym_tuple] = STATE(2046),
    [sym_concatenated_string] = STATE(2046),
    [sym_string] = STATE(1336),
    [sym_subscript] = STATE(2046),
    [sym_list] = STATE(2046),
    [sym_set] = STATE(2046),
    [sym_set_comprehension] = STATE(2046),
    [sym__primary_expression] = STATE(2046),
    [sym_integer] = ACTIONS(4411),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4413),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(4411),
    [sym_identifier] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4411),
    [sym__string_start] = ACTIONS(157),
  },
  [1905] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1906] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1907] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1909] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(2050),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [1910] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1910),
    [anon_sym_COLON] = ACTIONS(2054),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4415),
    [anon_sym_is] = ACTIONS(4418),
    [anon_sym_LT_EQ] = ACTIONS(4421),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4424),
    [anon_sym_in] = ACTIONS(4421),
    [anon_sym_GT_EQ] = ACTIONS(4421),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4415),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(4421),
    [anon_sym_BANG_EQ] = ACTIONS(4421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4421),
  },
  [1911] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2047),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1912] = {
    [sym_integer] = ACTIONS(4427),
    [sym_true] = ACTIONS(4427),
    [sym__string_start] = ACTIONS(4429),
    [anon_sym_nonlocal] = ACTIONS(4427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4427),
    [anon_sym_assert] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_return] = ACTIONS(4427),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [sym_none] = ACTIONS(4427),
    [anon_sym_with] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_pass] = ACTIONS(4427),
    [sym_float] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4429),
    [anon_sym_lambda] = ACTIONS(4427),
    [anon_sym_TILDE] = ACTIONS(4429),
    [anon_sym_print] = ACTIONS(4427),
    [anon_sym_del] = ACTIONS(4427),
    [sym_ellipsis] = ACTIONS(4429),
    [anon_sym_import] = ACTIONS(4427),
    [anon_sym_while] = ACTIONS(4427),
    [anon_sym_def] = ACTIONS(4427),
    [anon_sym_await] = ACTIONS(4427),
    [anon_sym_break] = ACTIONS(4427),
    [sym_identifier] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_not] = ACTIONS(4427),
    [anon_sym_exec] = ACTIONS(4427),
    [ts_builtin_sym_end] = ACTIONS(4429),
    [anon_sym_raise] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_try] = ACTIONS(4427),
    [anon_sym_for] = ACTIONS(4427),
    [sym_false] = ACTIONS(4427),
    [anon_sym_continue] = ACTIONS(4427),
    [anon_sym_async] = ACTIONS(4427),
  },
  [1913] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1914] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2013),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2013),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [1915] = {
    [anon_sym_COLON] = ACTIONS(4431),
    [sym_comment] = ACTIONS(3),
  },
  [1916] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(4339),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_RBRACK] = ACTIONS(4341),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4339),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4339),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [1917] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2050),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RBRACK] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1918] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2051),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RBRACK] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1919] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [anon_sym_async] = ACTIONS(1647),
  },
  [1920] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(4435),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(1609),
    [anon_sym_async] = ACTIONS(1609),
  },
  [1921] = {
    [sym_lambda] = STATE(2052),
    [sym_conditional_expression] = STATE(2052),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(2052),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(2052),
    [sym_boolean_operator] = STATE(2052),
    [sym_await] = STATE(2052),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(2052),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(2052),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [1922] = {
    [sym_string] = STATE(1922),
    [aux_sym_concatenated_string_repeat1] = STATE(1922),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [1923] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_async] = ACTIONS(2099),
  },
  [1924] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4437),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1925] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1926] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(3580),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1927] = {
    [sym_attribute] = STATE(2054),
    [sym_dictionary_comprehension] = STATE(2054),
    [sym_generator_expression] = STATE(2054),
    [sym_binary_operator] = STATE(2054),
    [sym_unary_operator] = STATE(2054),
    [sym_call] = STATE(2054),
    [sym_list_comprehension] = STATE(2054),
    [sym_dictionary] = STATE(2054),
    [sym_parenthesized_expression] = STATE(2054),
    [sym_tuple] = STATE(2054),
    [sym_concatenated_string] = STATE(2054),
    [sym_string] = STATE(1376),
    [sym_subscript] = STATE(2054),
    [sym_list] = STATE(2054),
    [sym_set] = STATE(2054),
    [sym_set_comprehension] = STATE(2054),
    [sym__primary_expression] = STATE(2054),
    [sym_integer] = ACTIONS(4439),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4441),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(4439),
    [sym_identifier] = ACTIONS(4439),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4439),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4441),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4439),
    [sym__string_start] = ACTIONS(157),
  },
  [1928] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1929] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1930] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1931] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1932] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1933] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1933),
    [anon_sym_EQ_EQ] = ACTIONS(4443),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4446),
    [anon_sym_is] = ACTIONS(4449),
    [anon_sym_LT_EQ] = ACTIONS(4443),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4452),
    [anon_sym_in] = ACTIONS(4443),
    [anon_sym_GT_EQ] = ACTIONS(4443),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4446),
    [anon_sym_LT_GT] = ACTIONS(4443),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(4443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1934] = {
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1935] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2013),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2013),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [1936] = {
    [anon_sym_COLON] = ACTIONS(4455),
    [sym_comment] = ACTIONS(3),
  },
  [1937] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(4339),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4339),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [1938] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2057),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1939] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2058),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_if] = ACTIONS(4341),
    [anon_sym_for] = ACTIONS(4341),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4341),
  },
  [1940] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [anon_sym_async] = ACTIONS(1647),
  },
  [1941] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(4459),
    [anon_sym_for] = ACTIONS(1609),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_async] = ACTIONS(1609),
  },
  [1942] = {
    [sym_lambda] = STATE(2059),
    [sym_conditional_expression] = STATE(2059),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(2059),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(2059),
    [sym_boolean_operator] = STATE(2059),
    [sym_await] = STATE(2059),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(2059),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(2059),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [1943] = {
    [sym_string] = STATE(1943),
    [aux_sym_concatenated_string_repeat1] = STATE(1943),
    [sym__string_start] = ACTIONS(2393),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
  },
  [1944] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_for] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_async] = ACTIONS(2099),
  },
  [1945] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4461),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1946] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1947] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(3641),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(3647),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1948] = {
    [sym_attribute] = STATE(2061),
    [sym_dictionary_comprehension] = STATE(2061),
    [sym_generator_expression] = STATE(2061),
    [sym_binary_operator] = STATE(2061),
    [sym_unary_operator] = STATE(2061),
    [sym_call] = STATE(2061),
    [sym_list_comprehension] = STATE(2061),
    [sym_dictionary] = STATE(2061),
    [sym_parenthesized_expression] = STATE(2061),
    [sym_tuple] = STATE(2061),
    [sym_concatenated_string] = STATE(2061),
    [sym_string] = STATE(1407),
    [sym_subscript] = STATE(2061),
    [sym_list] = STATE(2061),
    [sym_set] = STATE(2061),
    [sym_set_comprehension] = STATE(2061),
    [sym__primary_expression] = STATE(2061),
    [sym_integer] = ACTIONS(4463),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4465),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(4463),
    [sym_identifier] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4463),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4463),
    [sym__string_start] = ACTIONS(157),
  },
  [1949] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3641),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1950] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1951] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1952] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3641),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1953] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_async] = ACTIONS(2050),
  },
  [1954] = {
    [aux_sym_comparison_operator_repeat1] = STATE(1954),
    [anon_sym_EQ_EQ] = ACTIONS(4467),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4470),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_LT_EQ] = ACTIONS(4467),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4476),
    [anon_sym_in] = ACTIONS(4467),
    [anon_sym_GT_EQ] = ACTIONS(4467),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4470),
    [anon_sym_LT_GT] = ACTIONS(4467),
    [anon_sym_for] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(4467),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(2054),
  },
  [1955] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2655),
  },
  [1956] = {
    [sym_lambda] = STATE(2062),
    [sym_conditional_expression] = STATE(2062),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(2062),
    [sym_generator_expression] = STATE(1001),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(2062),
    [sym_boolean_operator] = STATE(2062),
    [sym_await] = STATE(2062),
    [sym_concatenated_string] = STATE(1001),
    [sym_subscript] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_list] = STATE(1001),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(2062),
    [sym__primary_expression] = STATE(1001),
    [sym_comparison_operator] = STATE(2062),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(1849),
    [sym__string_start] = ACTIONS(157),
  },
  [1957] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [1958] = {
    [sym_lambda] = STATE(1039),
    [sym__primary_expression] = STATE(410),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1039),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1039),
    [sym_boolean_operator] = STATE(1039),
    [sym_await] = STATE(1039),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_expression_list] = STATE(2063),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1039),
    [sym_conditional_expression] = STATE(1039),
    [sym_comparison_operator] = STATE(1039),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1959] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2065),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4479),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1960] = {
    [aux_sym_with_statement_repeat1] = STATE(783),
    [anon_sym_COLON] = ACTIONS(4481),
    [anon_sym_COMMA] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
  },
  [1961] = {
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_DASH_GT] = ACTIONS(4485),
    [sym_comment] = ACTIONS(3),
  },
  [1962] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2070),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1963] = {
    [sym_integer] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym__string_start] = ACTIONS(2215),
    [anon_sym_nonlocal] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_assert] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_from] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [sym_none] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_pass] = ACTIONS(2213),
    [sym_float] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_lambda] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_print] = ACTIONS(2213),
    [anon_sym_del] = ACTIONS(2213),
    [sym_ellipsis] = ACTIONS(2215),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_def] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2215),
    [sym__dedent] = ACTIONS(2215),
    [anon_sym_global] = ACTIONS(2213),
    [anon_sym_not] = ACTIONS(2213),
    [anon_sym_exec] = ACTIONS(2213),
    [anon_sym_raise] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
  },
  [1964] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2073),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4489),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1965] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2074),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1966] = {
    [sym_integer] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym__string_start] = ACTIONS(2444),
    [anon_sym_nonlocal] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_assert] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [sym_none] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_pass] = ACTIONS(2442),
    [sym_float] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_lambda] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2444),
    [anon_sym_print] = ACTIONS(2442),
    [anon_sym_del] = ACTIONS(2442),
    [sym_ellipsis] = ACTIONS(2444),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_def] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2444),
    [sym__dedent] = ACTIONS(2444),
    [anon_sym_global] = ACTIONS(2442),
    [anon_sym_not] = ACTIONS(2442),
    [anon_sym_exec] = ACTIONS(2442),
    [anon_sym_raise] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
  },
  [1967] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2075),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1968] = {
    [aux_sym_if_statement_repeat1] = STATE(2078),
    [sym_else_clause] = STATE(2079),
    [sym_elif_clause] = STATE(2080),
    [sym_integer] = ACTIONS(2471),
    [sym_true] = ACTIONS(2471),
    [sym__string_start] = ACTIONS(2473),
    [anon_sym_nonlocal] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_assert] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(2471),
    [anon_sym_return] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [sym_none] = ACTIONS(2471),
    [anon_sym_with] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_pass] = ACTIONS(2471),
    [sym_float] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_elif] = ACTIONS(4491),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_lambda] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_print] = ACTIONS(2471),
    [anon_sym_del] = ACTIONS(2471),
    [sym_ellipsis] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(2471),
    [anon_sym_def] = ACTIONS(2471),
    [anon_sym_await] = ACTIONS(2471),
    [anon_sym_break] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2473),
    [sym__dedent] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(2471),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_exec] = ACTIONS(2471),
    [anon_sym_raise] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [anon_sym_continue] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
  },
  [1969] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2081),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1970] = {
    [sym_else_clause] = STATE(2082),
    [sym_integer] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym__string_start] = ACTIONS(2681),
    [anon_sym_nonlocal] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_assert] = ACTIONS(2679),
    [anon_sym_yield] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_from] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [sym_none] = ACTIONS(2679),
    [anon_sym_with] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_pass] = ACTIONS(2679),
    [sym_float] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_lambda] = ACTIONS(2679),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_print] = ACTIONS(2679),
    [anon_sym_del] = ACTIONS(2679),
    [sym_ellipsis] = ACTIONS(2681),
    [anon_sym_import] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_def] = ACTIONS(2679),
    [anon_sym_await] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2681),
    [sym__dedent] = ACTIONS(2681),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(2679),
    [anon_sym_not] = ACTIONS(2679),
    [anon_sym_exec] = ACTIONS(2679),
    [anon_sym_raise] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_async] = ACTIONS(2679),
  },
  [1971] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2084),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4495),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1972] = {
    [sym_lambda] = STATE(1344),
    [sym_conditional_expression] = STATE(1344),
    [sym_attribute] = STATE(109),
    [sym_type] = STATE(2085),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1344),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1344),
    [sym_boolean_operator] = STATE(1344),
    [sym_await] = STATE(1344),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1344),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1344),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [1973] = {
    [sym_except_clause] = STATE(2086),
    [aux_sym_try_statement_repeat1] = STATE(2086),
    [sym_finally_clause] = STATE(2087),
    [anon_sym_except] = ACTIONS(4243),
    [anon_sym_finally] = ACTIONS(4245),
    [sym_comment] = ACTIONS(3),
  },
  [1974] = {
    [sym_lambda] = STATE(2089),
    [sym_conditional_expression] = STATE(2089),
    [sym_attribute] = STATE(101),
    [sym_dictionary_comprehension] = STATE(101),
    [sym_named_expression] = STATE(2089),
    [sym_generator_expression] = STATE(101),
    [sym_binary_operator] = STATE(101),
    [sym_unary_operator] = STATE(101),
    [sym_call] = STATE(101),
    [sym_list_comprehension] = STATE(101),
    [sym_dictionary] = STATE(101),
    [sym_parenthesized_expression] = STATE(101),
    [sym_tuple] = STATE(101),
    [sym_not_operator] = STATE(2089),
    [sym_boolean_operator] = STATE(2089),
    [sym_await] = STATE(2089),
    [sym_concatenated_string] = STATE(101),
    [sym_subscript] = STATE(101),
    [sym_string] = STATE(99),
    [sym_list] = STATE(101),
    [sym_set] = STATE(101),
    [sym_set_comprehension] = STATE(101),
    [sym__expression] = STATE(2089),
    [sym__primary_expression] = STATE(101),
    [sym_comparison_operator] = STATE(2089),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(161),
    [anon_sym_TILDE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(4497),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(165),
    [sym_identifier] = ACTIONS(167),
    [anon_sym_DASH] = ACTIONS(163),
    [anon_sym_not] = ACTIONS(169),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(161),
    [anon_sym_PLUS] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(171),
    [sym__string_start] = ACTIONS(157),
  },
  [1975] = {
    [anon_sym_COLON] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
  },
  [1976] = {
    [sym_except_clause] = STATE(2092),
    [sym_else_clause] = STATE(2091),
    [aux_sym_try_statement_repeat1] = STATE(2092),
    [sym_finally_clause] = STATE(2093),
    [sym_integer] = ACTIONS(2997),
    [sym_true] = ACTIONS(2997),
    [sym__string_start] = ACTIONS(2999),
    [anon_sym_nonlocal] = ACTIONS(2997),
    [anon_sym_finally] = ACTIONS(4501),
    [anon_sym_class] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(2997),
    [anon_sym_yield] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_from] = ACTIONS(2997),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [sym_none] = ACTIONS(2997),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_pass] = ACTIONS(2997),
    [sym_float] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_lambda] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_print] = ACTIONS(2997),
    [anon_sym_del] = ACTIONS(2997),
    [sym_ellipsis] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_def] = ACTIONS(2997),
    [anon_sym_await] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2999),
    [sym__dedent] = ACTIONS(2999),
    [anon_sym_except] = ACTIONS(4503),
    [anon_sym_global] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_exec] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_raise] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_async] = ACTIONS(2997),
  },
  [1977] = {
    [sym_integer] = ACTIONS(2997),
    [sym_true] = ACTIONS(2997),
    [sym__string_start] = ACTIONS(2999),
    [anon_sym_nonlocal] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_assert] = ACTIONS(2997),
    [anon_sym_yield] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_from] = ACTIONS(2997),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [sym_none] = ACTIONS(2997),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_pass] = ACTIONS(2997),
    [sym_float] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_lambda] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_print] = ACTIONS(2997),
    [anon_sym_del] = ACTIONS(2997),
    [sym_ellipsis] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_def] = ACTIONS(2997),
    [anon_sym_await] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2999),
    [sym__dedent] = ACTIONS(2999),
    [anon_sym_global] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_exec] = ACTIONS(2997),
    [anon_sym_raise] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_async] = ACTIONS(2997),
  },
  [1978] = {
    [anon_sym_COLON] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
  },
  [1979] = {
    [sym_integer] = ACTIONS(3016),
    [sym_true] = ACTIONS(3016),
    [sym__string_start] = ACTIONS(3018),
    [anon_sym_nonlocal] = ACTIONS(3016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3016),
    [anon_sym_finally] = ACTIONS(3016),
    [anon_sym_assert] = ACTIONS(3016),
    [anon_sym_yield] = ACTIONS(3016),
    [anon_sym_return] = ACTIONS(3016),
    [anon_sym_from] = ACTIONS(3016),
    [anon_sym_LPAREN] = ACTIONS(3018),
    [sym_none] = ACTIONS(3016),
    [anon_sym_with] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_pass] = ACTIONS(3016),
    [sym_float] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_elif] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3018),
    [anon_sym_lambda] = ACTIONS(3016),
    [anon_sym_TILDE] = ACTIONS(3018),
    [anon_sym_print] = ACTIONS(3016),
    [anon_sym_del] = ACTIONS(3016),
    [sym_ellipsis] = ACTIONS(3018),
    [anon_sym_import] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_def] = ACTIONS(3016),
    [anon_sym_await] = ACTIONS(3016),
    [anon_sym_break] = ACTIONS(3016),
    [sym_identifier] = ACTIONS(3016),
    [anon_sym_DASH] = ACTIONS(3018),
    [sym__dedent] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3016),
    [anon_sym_global] = ACTIONS(3016),
    [anon_sym_not] = ACTIONS(3016),
    [anon_sym_exec] = ACTIONS(3016),
    [anon_sym_except] = ACTIONS(3016),
    [anon_sym_raise] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3016),
    [sym_false] = ACTIONS(3016),
    [anon_sym_continue] = ACTIONS(3016),
    [anon_sym_async] = ACTIONS(3016),
  },
  [1980] = {
    [sym_integer] = ACTIONS(4507),
    [sym_true] = ACTIONS(4507),
    [sym__string_start] = ACTIONS(4509),
    [anon_sym_nonlocal] = ACTIONS(4507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4507),
    [anon_sym_assert] = ACTIONS(4507),
    [anon_sym_yield] = ACTIONS(4507),
    [anon_sym_return] = ACTIONS(4507),
    [anon_sym_from] = ACTIONS(4507),
    [anon_sym_LPAREN] = ACTIONS(4509),
    [sym_none] = ACTIONS(4507),
    [anon_sym_with] = ACTIONS(4507),
    [anon_sym_if] = ACTIONS(4507),
    [anon_sym_pass] = ACTIONS(4507),
    [sym_float] = ACTIONS(4509),
    [anon_sym_PLUS] = ACTIONS(4509),
    [anon_sym_AT] = ACTIONS(4509),
    [anon_sym_lambda] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4509),
    [anon_sym_print] = ACTIONS(4507),
    [anon_sym_del] = ACTIONS(4507),
    [sym_ellipsis] = ACTIONS(4509),
    [anon_sym_import] = ACTIONS(4507),
    [anon_sym_while] = ACTIONS(4507),
    [anon_sym_def] = ACTIONS(4507),
    [anon_sym_await] = ACTIONS(4507),
    [anon_sym_break] = ACTIONS(4507),
    [sym_identifier] = ACTIONS(4507),
    [anon_sym_DASH] = ACTIONS(4509),
    [anon_sym_global] = ACTIONS(4507),
    [anon_sym_not] = ACTIONS(4507),
    [anon_sym_exec] = ACTIONS(4507),
    [ts_builtin_sym_end] = ACTIONS(4509),
    [anon_sym_raise] = ACTIONS(4507),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LBRACE] = ACTIONS(4509),
    [anon_sym_try] = ACTIONS(4507),
    [anon_sym_for] = ACTIONS(4507),
    [sym_false] = ACTIONS(4507),
    [anon_sym_continue] = ACTIONS(4507),
    [anon_sym_async] = ACTIONS(4507),
  },
  [1981] = {
    [sym_integer] = ACTIONS(4511),
    [sym_true] = ACTIONS(4511),
    [sym_false] = ACTIONS(4511),
    [anon_sym_nonlocal] = ACTIONS(4511),
    [sym__string_start] = ACTIONS(4513),
    [anon_sym_class] = ACTIONS(4511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4511),
    [anon_sym_yield] = ACTIONS(4511),
    [anon_sym_return] = ACTIONS(4511),
    [anon_sym_from] = ACTIONS(4511),
    [anon_sym_LPAREN] = ACTIONS(4513),
    [sym_none] = ACTIONS(4511),
    [anon_sym_with] = ACTIONS(4511),
    [anon_sym_if] = ACTIONS(4511),
    [anon_sym_pass] = ACTIONS(4511),
    [sym_float] = ACTIONS(4513),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_AT] = ACTIONS(4513),
    [anon_sym_lambda] = ACTIONS(4511),
    [anon_sym_TILDE] = ACTIONS(4513),
    [anon_sym_print] = ACTIONS(4511),
    [anon_sym_del] = ACTIONS(4511),
    [sym_ellipsis] = ACTIONS(4513),
    [anon_sym_import] = ACTIONS(4511),
    [anon_sym_while] = ACTIONS(4511),
    [anon_sym_def] = ACTIONS(4511),
    [anon_sym_except] = ACTIONS(4511),
    [anon_sym_break] = ACTIONS(4511),
    [anon_sym_else] = ACTIONS(4511),
    [anon_sym_DASH] = ACTIONS(4513),
    [sym_identifier] = ACTIONS(4511),
    [anon_sym_await] = ACTIONS(4511),
    [anon_sym_global] = ACTIONS(4511),
    [anon_sym_not] = ACTIONS(4511),
    [anon_sym_exec] = ACTIONS(4511),
    [ts_builtin_sym_end] = ACTIONS(4513),
    [anon_sym_raise] = ACTIONS(4511),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4513),
    [anon_sym_try] = ACTIONS(4511),
    [anon_sym_for] = ACTIONS(4511),
    [anon_sym_finally] = ACTIONS(4511),
    [anon_sym_continue] = ACTIONS(4511),
    [anon_sym_async] = ACTIONS(4511),
  },
  [1982] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2095),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1983] = {
    [sym_integer] = ACTIONS(4515),
    [sym_true] = ACTIONS(4515),
    [sym_false] = ACTIONS(4515),
    [anon_sym_nonlocal] = ACTIONS(4515),
    [sym__string_start] = ACTIONS(4517),
    [anon_sym_class] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4515),
    [anon_sym_yield] = ACTIONS(4515),
    [anon_sym_return] = ACTIONS(4515),
    [anon_sym_from] = ACTIONS(4515),
    [anon_sym_LPAREN] = ACTIONS(4517),
    [sym_none] = ACTIONS(4515),
    [anon_sym_with] = ACTIONS(4515),
    [anon_sym_if] = ACTIONS(4515),
    [anon_sym_pass] = ACTIONS(4515),
    [sym_float] = ACTIONS(4517),
    [anon_sym_PLUS] = ACTIONS(4517),
    [anon_sym_AT] = ACTIONS(4517),
    [anon_sym_lambda] = ACTIONS(4515),
    [anon_sym_TILDE] = ACTIONS(4517),
    [anon_sym_print] = ACTIONS(4515),
    [anon_sym_del] = ACTIONS(4515),
    [sym_ellipsis] = ACTIONS(4517),
    [anon_sym_import] = ACTIONS(4515),
    [anon_sym_while] = ACTIONS(4515),
    [anon_sym_def] = ACTIONS(4515),
    [anon_sym_except] = ACTIONS(4515),
    [anon_sym_break] = ACTIONS(4515),
    [anon_sym_else] = ACTIONS(4515),
    [anon_sym_DASH] = ACTIONS(4517),
    [sym_identifier] = ACTIONS(4515),
    [anon_sym_await] = ACTIONS(4515),
    [anon_sym_global] = ACTIONS(4515),
    [anon_sym_not] = ACTIONS(4515),
    [anon_sym_exec] = ACTIONS(4515),
    [ts_builtin_sym_end] = ACTIONS(4517),
    [anon_sym_raise] = ACTIONS(4515),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [anon_sym_LBRACE] = ACTIONS(4517),
    [anon_sym_try] = ACTIONS(4515),
    [anon_sym_for] = ACTIONS(4515),
    [anon_sym_finally] = ACTIONS(4515),
    [anon_sym_continue] = ACTIONS(4515),
    [anon_sym_async] = ACTIONS(4515),
  },
  [1984] = {
    [anon_sym_COLON] = ACTIONS(4519),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [1985] = {
    [sym_integer] = ACTIONS(4521),
    [sym_true] = ACTIONS(4521),
    [sym__string_start] = ACTIONS(4523),
    [anon_sym_nonlocal] = ACTIONS(4521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4521),
    [anon_sym_assert] = ACTIONS(4521),
    [anon_sym_yield] = ACTIONS(4521),
    [anon_sym_return] = ACTIONS(4521),
    [anon_sym_from] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [sym_none] = ACTIONS(4521),
    [anon_sym_with] = ACTIONS(4521),
    [anon_sym_if] = ACTIONS(4521),
    [anon_sym_pass] = ACTIONS(4521),
    [sym_float] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4523),
    [anon_sym_AT] = ACTIONS(4523),
    [anon_sym_lambda] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4523),
    [anon_sym_print] = ACTIONS(4521),
    [anon_sym_del] = ACTIONS(4521),
    [sym_ellipsis] = ACTIONS(4523),
    [anon_sym_import] = ACTIONS(4521),
    [anon_sym_while] = ACTIONS(4521),
    [anon_sym_def] = ACTIONS(4521),
    [anon_sym_await] = ACTIONS(4521),
    [anon_sym_break] = ACTIONS(4521),
    [sym_identifier] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4523),
    [anon_sym_global] = ACTIONS(4521),
    [anon_sym_not] = ACTIONS(4521),
    [anon_sym_exec] = ACTIONS(4521),
    [ts_builtin_sym_end] = ACTIONS(4523),
    [anon_sym_raise] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_try] = ACTIONS(4521),
    [anon_sym_for] = ACTIONS(4521),
    [sym_false] = ACTIONS(4521),
    [anon_sym_continue] = ACTIONS(4521),
    [anon_sym_async] = ACTIONS(4521),
  },
  [1986] = {
    [sym_else_clause] = STATE(2097),
    [sym_integer] = ACTIONS(4525),
    [sym_true] = ACTIONS(4525),
    [sym__string_start] = ACTIONS(4527),
    [anon_sym_nonlocal] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4525),
    [anon_sym_assert] = ACTIONS(4525),
    [anon_sym_yield] = ACTIONS(4525),
    [anon_sym_return] = ACTIONS(4525),
    [anon_sym_from] = ACTIONS(4525),
    [anon_sym_LPAREN] = ACTIONS(4527),
    [sym_none] = ACTIONS(4525),
    [anon_sym_with] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_pass] = ACTIONS(4525),
    [sym_float] = ACTIONS(4527),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_AT] = ACTIONS(4527),
    [anon_sym_lambda] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_print] = ACTIONS(4525),
    [anon_sym_del] = ACTIONS(4525),
    [sym_ellipsis] = ACTIONS(4527),
    [anon_sym_import] = ACTIONS(4525),
    [anon_sym_while] = ACTIONS(4525),
    [anon_sym_def] = ACTIONS(4525),
    [anon_sym_await] = ACTIONS(4525),
    [anon_sym_break] = ACTIONS(4525),
    [sym_identifier] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(4525),
    [anon_sym_not] = ACTIONS(4525),
    [anon_sym_exec] = ACTIONS(4525),
    [ts_builtin_sym_end] = ACTIONS(4527),
    [anon_sym_raise] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [anon_sym_LBRACE] = ACTIONS(4527),
    [anon_sym_try] = ACTIONS(4525),
    [anon_sym_for] = ACTIONS(4525),
    [sym_false] = ACTIONS(4525),
    [anon_sym_continue] = ACTIONS(4525),
    [anon_sym_async] = ACTIONS(4525),
  },
  [1987] = {
    [sym_integer] = ACTIONS(4529),
    [sym_true] = ACTIONS(4529),
    [sym__string_start] = ACTIONS(4531),
    [anon_sym_nonlocal] = ACTIONS(4529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4529),
    [anon_sym_assert] = ACTIONS(4529),
    [anon_sym_yield] = ACTIONS(4529),
    [anon_sym_return] = ACTIONS(4529),
    [anon_sym_from] = ACTIONS(4529),
    [anon_sym_LPAREN] = ACTIONS(4531),
    [sym_none] = ACTIONS(4529),
    [anon_sym_with] = ACTIONS(4529),
    [anon_sym_if] = ACTIONS(4529),
    [anon_sym_pass] = ACTIONS(4529),
    [sym_float] = ACTIONS(4531),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_AT] = ACTIONS(4531),
    [anon_sym_lambda] = ACTIONS(4529),
    [anon_sym_TILDE] = ACTIONS(4531),
    [anon_sym_print] = ACTIONS(4529),
    [anon_sym_del] = ACTIONS(4529),
    [sym_ellipsis] = ACTIONS(4531),
    [anon_sym_import] = ACTIONS(4529),
    [anon_sym_while] = ACTIONS(4529),
    [anon_sym_def] = ACTIONS(4529),
    [anon_sym_await] = ACTIONS(4529),
    [anon_sym_break] = ACTIONS(4529),
    [sym_identifier] = ACTIONS(4529),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_global] = ACTIONS(4529),
    [anon_sym_not] = ACTIONS(4529),
    [anon_sym_exec] = ACTIONS(4529),
    [ts_builtin_sym_end] = ACTIONS(4531),
    [anon_sym_raise] = ACTIONS(4529),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [anon_sym_LBRACE] = ACTIONS(4531),
    [anon_sym_try] = ACTIONS(4529),
    [anon_sym_for] = ACTIONS(4529),
    [sym_false] = ACTIONS(4529),
    [anon_sym_continue] = ACTIONS(4529),
    [anon_sym_async] = ACTIONS(4529),
  },
  [1988] = {
    [sym_lambda] = STATE(1787),
    [sym_conditional_expression] = STATE(1787),
    [sym_attribute] = STATE(410),
    [sym_dictionary_comprehension] = STATE(410),
    [sym_named_expression] = STATE(1787),
    [sym_generator_expression] = STATE(410),
    [sym_binary_operator] = STATE(410),
    [sym_unary_operator] = STATE(410),
    [sym_call] = STATE(410),
    [sym_list_comprehension] = STATE(410),
    [sym_dictionary] = STATE(410),
    [sym_parenthesized_expression] = STATE(410),
    [sym_tuple] = STATE(410),
    [sym_not_operator] = STATE(1787),
    [sym_boolean_operator] = STATE(1787),
    [sym_await] = STATE(1787),
    [sym_concatenated_string] = STATE(410),
    [sym_subscript] = STATE(410),
    [sym_string] = STATE(408),
    [sym_list] = STATE(410),
    [sym_set] = STATE(410),
    [sym_set_comprehension] = STATE(410),
    [sym__expression] = STATE(1787),
    [sym__primary_expression] = STATE(410),
    [sym_comparison_operator] = STATE(1787),
    [sym_integer] = ACTIONS(695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(697),
    [anon_sym_TILDE] = ACTIONS(699),
    [sym_true] = ACTIONS(695),
    [anon_sym_await] = ACTIONS(701),
    [sym_identifier] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_not] = ACTIONS(707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(695),
    [anon_sym_lambda] = ACTIONS(709),
    [sym__string_start] = ACTIONS(157),
  },
  [1989] = {
    [sym__semicolon] = ACTIONS(3837),
    [anon_sym_EQ] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_and] = ACTIONS(1970),
    [sym__newline] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1990] = {
    [anon_sym_or] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_and] = ACTIONS(1701),
    [anon_sym_RBRACK] = ACTIONS(4533),
    [sym_comment] = ACTIONS(3),
  },
  [1991] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(2020),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(2022),
    [anon_sym_and] = ACTIONS(2024),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [1992] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [1993] = {
    [sym_else_clause] = STATE(2098),
    [sym_integer] = ACTIONS(4535),
    [sym_true] = ACTIONS(4535),
    [sym__string_start] = ACTIONS(4537),
    [anon_sym_nonlocal] = ACTIONS(4535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4535),
    [anon_sym_assert] = ACTIONS(4535),
    [anon_sym_yield] = ACTIONS(4535),
    [anon_sym_return] = ACTIONS(4535),
    [anon_sym_from] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4537),
    [sym_none] = ACTIONS(4535),
    [anon_sym_with] = ACTIONS(4535),
    [anon_sym_if] = ACTIONS(4535),
    [anon_sym_pass] = ACTIONS(4535),
    [sym_float] = ACTIONS(4537),
    [anon_sym_PLUS] = ACTIONS(4537),
    [anon_sym_AT] = ACTIONS(4537),
    [anon_sym_lambda] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4537),
    [anon_sym_print] = ACTIONS(4535),
    [anon_sym_del] = ACTIONS(4535),
    [sym_ellipsis] = ACTIONS(4537),
    [anon_sym_import] = ACTIONS(4535),
    [anon_sym_while] = ACTIONS(4535),
    [anon_sym_def] = ACTIONS(4535),
    [anon_sym_await] = ACTIONS(4535),
    [anon_sym_break] = ACTIONS(4535),
    [sym_identifier] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4537),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_global] = ACTIONS(4535),
    [anon_sym_not] = ACTIONS(4535),
    [anon_sym_exec] = ACTIONS(4535),
    [ts_builtin_sym_end] = ACTIONS(4537),
    [anon_sym_raise] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4537),
    [anon_sym_LBRACE] = ACTIONS(4537),
    [anon_sym_try] = ACTIONS(4535),
    [anon_sym_for] = ACTIONS(4535),
    [sym_false] = ACTIONS(4535),
    [anon_sym_continue] = ACTIONS(4535),
    [anon_sym_async] = ACTIONS(4535),
  },
  [1994] = {
    [sym_integer] = ACTIONS(4539),
    [sym_true] = ACTIONS(4539),
    [sym__string_start] = ACTIONS(4541),
    [anon_sym_nonlocal] = ACTIONS(4539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4539),
    [anon_sym_assert] = ACTIONS(4539),
    [anon_sym_yield] = ACTIONS(4539),
    [anon_sym_return] = ACTIONS(4539),
    [anon_sym_from] = ACTIONS(4539),
    [anon_sym_LPAREN] = ACTIONS(4541),
    [sym_none] = ACTIONS(4539),
    [anon_sym_with] = ACTIONS(4539),
    [anon_sym_if] = ACTIONS(4539),
    [anon_sym_pass] = ACTIONS(4539),
    [sym_float] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_AT] = ACTIONS(4541),
    [anon_sym_lambda] = ACTIONS(4539),
    [anon_sym_TILDE] = ACTIONS(4541),
    [anon_sym_print] = ACTIONS(4539),
    [anon_sym_del] = ACTIONS(4539),
    [sym_ellipsis] = ACTIONS(4541),
    [anon_sym_import] = ACTIONS(4539),
    [anon_sym_while] = ACTIONS(4539),
    [anon_sym_def] = ACTIONS(4539),
    [anon_sym_await] = ACTIONS(4539),
    [anon_sym_break] = ACTIONS(4539),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [anon_sym_global] = ACTIONS(4539),
    [anon_sym_not] = ACTIONS(4539),
    [anon_sym_exec] = ACTIONS(4539),
    [ts_builtin_sym_end] = ACTIONS(4541),
    [anon_sym_raise] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4541),
    [anon_sym_LBRACE] = ACTIONS(4541),
    [anon_sym_try] = ACTIONS(4539),
    [anon_sym_for] = ACTIONS(4539),
    [sym_false] = ACTIONS(4539),
    [anon_sym_continue] = ACTIONS(4539),
    [anon_sym_async] = ACTIONS(4539),
  },
  [1995] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2099),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [1996] = {
    [sym_integer] = ACTIONS(4543),
    [sym_true] = ACTIONS(4543),
    [sym__string_start] = ACTIONS(4545),
    [anon_sym_nonlocal] = ACTIONS(4543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4543),
    [anon_sym_assert] = ACTIONS(4543),
    [anon_sym_yield] = ACTIONS(4543),
    [anon_sym_return] = ACTIONS(4543),
    [anon_sym_from] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(4545),
    [sym_none] = ACTIONS(4543),
    [anon_sym_with] = ACTIONS(4543),
    [anon_sym_if] = ACTIONS(4543),
    [anon_sym_pass] = ACTIONS(4543),
    [sym_float] = ACTIONS(4545),
    [anon_sym_PLUS] = ACTIONS(4545),
    [anon_sym_AT] = ACTIONS(4545),
    [anon_sym_lambda] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_print] = ACTIONS(4543),
    [anon_sym_del] = ACTIONS(4543),
    [sym_ellipsis] = ACTIONS(4545),
    [anon_sym_import] = ACTIONS(4543),
    [anon_sym_while] = ACTIONS(4543),
    [anon_sym_def] = ACTIONS(4543),
    [anon_sym_await] = ACTIONS(4543),
    [anon_sym_break] = ACTIONS(4543),
    [sym_identifier] = ACTIONS(4543),
    [anon_sym_DASH] = ACTIONS(4545),
    [anon_sym_global] = ACTIONS(4543),
    [anon_sym_not] = ACTIONS(4543),
    [anon_sym_exec] = ACTIONS(4543),
    [ts_builtin_sym_end] = ACTIONS(4545),
    [anon_sym_raise] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(4545),
    [anon_sym_try] = ACTIONS(4543),
    [anon_sym_for] = ACTIONS(4543),
    [sym_false] = ACTIONS(4543),
    [anon_sym_continue] = ACTIONS(4543),
    [anon_sym_async] = ACTIONS(4543),
  },
  [1997] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [1998] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3879),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1999] = {
    [sym_lambda] = STATE(2100),
    [sym_conditional_expression] = STATE(2100),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(2100),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(2100),
    [sym_boolean_operator] = STATE(2100),
    [sym_await] = STATE(2100),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(2100),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(2100),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [2000] = {
    [sym_string] = STATE(2000),
    [aux_sym_concatenated_string_repeat1] = STATE(2000),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [2001] = {
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [2002] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4547),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [2003] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2004] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(3901),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(3907),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [2005] = {
    [sym_attribute] = STATE(2102),
    [sym_dictionary_comprehension] = STATE(2102),
    [sym_generator_expression] = STATE(2102),
    [sym_binary_operator] = STATE(2102),
    [sym_unary_operator] = STATE(2102),
    [sym_call] = STATE(2102),
    [sym_list_comprehension] = STATE(2102),
    [sym_dictionary] = STATE(2102),
    [sym_parenthesized_expression] = STATE(2102),
    [sym_tuple] = STATE(2102),
    [sym_concatenated_string] = STATE(2102),
    [sym_string] = STATE(1542),
    [sym_subscript] = STATE(2102),
    [sym_list] = STATE(2102),
    [sym_set] = STATE(2102),
    [sym_set_comprehension] = STATE(2102),
    [sym__primary_expression] = STATE(2102),
    [sym_integer] = ACTIONS(4549),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4551),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(4549),
    [sym_identifier] = ACTIONS(4549),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4549),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4551),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4549),
    [sym__string_start] = ACTIONS(157),
  },
  [2006] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3901),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2007] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2008] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2009] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(3901),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2010] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2011] = {
    [aux_sym_comparison_operator_repeat1] = STATE(2011),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4553),
    [anon_sym_is] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4559),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4562),
    [anon_sym_in] = ACTIONS(4559),
    [anon_sym_GT_EQ] = ACTIONS(4559),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4553),
    [anon_sym_LT_GT] = ACTIONS(4559),
    [anon_sym_BANG_EQ] = ACTIONS(4559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4559),
  },
  [2012] = {
    [sym_aliased_import] = STATE(1836),
    [sym_dotted_name] = STATE(1837),
    [sym_identifier] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
  },
  [2013] = {
    [anon_sym_if] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_async] = ACTIONS(4565),
  },
  [2014] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2103),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2103),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [2015] = {
    [anon_sym_if] = ACTIONS(4567),
    [anon_sym_RBRACE] = ACTIONS(4567),
    [anon_sym_RPAREN] = ACTIONS(4567),
    [anon_sym_COMMA] = ACTIONS(4567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4567),
    [anon_sym_RBRACK] = ACTIONS(4567),
    [anon_sym_async] = ACTIONS(4567),
  },
  [2016] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_async] = ACTIONS(4569),
    [anon_sym_RPAREN] = ACTIONS(4571),
    [anon_sym_await] = ACTIONS(139),
    [sym_true] = ACTIONS(129),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4569),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4569),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [2017] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2017),
    [anon_sym_COMMA] = ACTIONS(4573),
    [anon_sym_if] = ACTIONS(4567),
    [anon_sym_for] = ACTIONS(4567),
    [anon_sym_RPAREN] = ACTIONS(4567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4567),
  },
  [2018] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2017),
    [anon_sym_COMMA] = ACTIONS(4576),
    [anon_sym_if] = ACTIONS(4571),
    [anon_sym_for] = ACTIONS(4571),
    [anon_sym_RPAREN] = ACTIONS(4571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4571),
  },
  [2019] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(4345),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(2655),
  },
  [2020] = {
    [sym_lambda] = STATE(2106),
    [sym_conditional_expression] = STATE(2106),
    [sym_attribute] = STATE(1243),
    [sym_dictionary_comprehension] = STATE(1243),
    [sym_named_expression] = STATE(2106),
    [sym_generator_expression] = STATE(1243),
    [sym_binary_operator] = STATE(1243),
    [sym_unary_operator] = STATE(1243),
    [sym_call] = STATE(1243),
    [sym_list_comprehension] = STATE(1243),
    [sym_dictionary] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1243),
    [sym_tuple] = STATE(1243),
    [sym_not_operator] = STATE(2106),
    [sym_boolean_operator] = STATE(2106),
    [sym_await] = STATE(2106),
    [sym_concatenated_string] = STATE(1243),
    [sym_subscript] = STATE(1243),
    [sym_string] = STATE(1241),
    [sym_list] = STATE(1243),
    [sym_set] = STATE(1243),
    [sym_set_comprehension] = STATE(1243),
    [sym__expression] = STATE(2106),
    [sym__primary_expression] = STATE(1243),
    [sym_comparison_operator] = STATE(2106),
    [sym_integer] = ACTIONS(2402),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2406),
    [sym_true] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2408),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_not] = ACTIONS(2412),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2402),
    [anon_sym_lambda] = ACTIONS(2414),
    [sym__string_start] = ACTIONS(157),
  },
  [2021] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3315),
    [anon_sym_STAR_STAR] = ACTIONS(3317),
    [anon_sym_SLASH] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3315),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3323),
    [anon_sym_PIPE] = ACTIONS(3325),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [2022] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2107),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2023] = {
    [sym_integer] = ACTIONS(4578),
    [sym_true] = ACTIONS(4578),
    [sym__string_start] = ACTIONS(4580),
    [anon_sym_nonlocal] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4578),
    [anon_sym_assert] = ACTIONS(4578),
    [anon_sym_yield] = ACTIONS(4578),
    [anon_sym_return] = ACTIONS(4578),
    [anon_sym_from] = ACTIONS(4578),
    [anon_sym_LPAREN] = ACTIONS(4580),
    [sym_none] = ACTIONS(4578),
    [anon_sym_with] = ACTIONS(4578),
    [anon_sym_if] = ACTIONS(4578),
    [anon_sym_pass] = ACTIONS(4578),
    [anon_sym_elif] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4580),
    [sym_float] = ACTIONS(4580),
    [anon_sym_AT] = ACTIONS(4580),
    [anon_sym_lambda] = ACTIONS(4578),
    [anon_sym_TILDE] = ACTIONS(4580),
    [anon_sym_print] = ACTIONS(4578),
    [anon_sym_del] = ACTIONS(4578),
    [sym_ellipsis] = ACTIONS(4580),
    [anon_sym_import] = ACTIONS(4578),
    [anon_sym_while] = ACTIONS(4578),
    [anon_sym_def] = ACTIONS(4578),
    [anon_sym_await] = ACTIONS(4578),
    [anon_sym_break] = ACTIONS(4578),
    [anon_sym_else] = ACTIONS(4578),
    [anon_sym_DASH] = ACTIONS(4580),
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_global] = ACTIONS(4578),
    [anon_sym_not] = ACTIONS(4578),
    [anon_sym_exec] = ACTIONS(4578),
    [ts_builtin_sym_end] = ACTIONS(4580),
    [anon_sym_raise] = ACTIONS(4578),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_LBRACE] = ACTIONS(4580),
    [anon_sym_try] = ACTIONS(4578),
    [anon_sym_for] = ACTIONS(4578),
    [sym_false] = ACTIONS(4578),
    [anon_sym_continue] = ACTIONS(4578),
    [anon_sym_async] = ACTIONS(4578),
  },
  [2024] = {
    [sym_integer] = ACTIONS(4582),
    [sym_true] = ACTIONS(4582),
    [sym__string_start] = ACTIONS(4584),
    [anon_sym_nonlocal] = ACTIONS(4582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4582),
    [anon_sym_finally] = ACTIONS(4582),
    [anon_sym_assert] = ACTIONS(4582),
    [anon_sym_yield] = ACTIONS(4582),
    [anon_sym_return] = ACTIONS(4582),
    [anon_sym_from] = ACTIONS(4582),
    [anon_sym_LPAREN] = ACTIONS(4584),
    [sym_none] = ACTIONS(4582),
    [anon_sym_with] = ACTIONS(4582),
    [anon_sym_if] = ACTIONS(4582),
    [anon_sym_pass] = ACTIONS(4582),
    [sym_float] = ACTIONS(4584),
    [anon_sym_PLUS] = ACTIONS(4584),
    [anon_sym_AT] = ACTIONS(4584),
    [anon_sym_lambda] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4584),
    [anon_sym_print] = ACTIONS(4582),
    [anon_sym_del] = ACTIONS(4582),
    [sym_ellipsis] = ACTIONS(4584),
    [anon_sym_import] = ACTIONS(4582),
    [anon_sym_while] = ACTIONS(4582),
    [anon_sym_def] = ACTIONS(4582),
    [anon_sym_await] = ACTIONS(4582),
    [anon_sym_break] = ACTIONS(4582),
    [sym_identifier] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4584),
    [anon_sym_global] = ACTIONS(4582),
    [anon_sym_not] = ACTIONS(4582),
    [anon_sym_exec] = ACTIONS(4582),
    [ts_builtin_sym_end] = ACTIONS(4584),
    [anon_sym_raise] = ACTIONS(4582),
    [anon_sym_LBRACK] = ACTIONS(4584),
    [anon_sym_LBRACE] = ACTIONS(4584),
    [anon_sym_try] = ACTIONS(4582),
    [anon_sym_for] = ACTIONS(4582),
    [sym_false] = ACTIONS(4582),
    [anon_sym_continue] = ACTIONS(4582),
    [anon_sym_async] = ACTIONS(4582),
  },
  [2025] = {
    [anon_sym_EQ] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_and] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
  },
  [2026] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_EQ] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_and] = ACTIONS(2587),
    [anon_sym_or] = ACTIONS(2585),
    [sym_comment] = ACTIONS(3),
  },
  [2027] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(4006),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [sym_comment] = ACTIONS(3),
  },
  [2028] = {
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_or] = ACTIONS(4061),
    [sym_comment] = ACTIONS(3),
  },
  [2029] = {
    [anon_sym_EQ] = ACTIONS(1609),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_if] = ACTIONS(4065),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_or] = ACTIONS(4061),
    [sym_comment] = ACTIONS(3),
  },
  [2030] = {
    [sym_lambda] = STATE(2108),
    [sym_conditional_expression] = STATE(2108),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(2108),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(2108),
    [sym_boolean_operator] = STATE(2108),
    [sym_await] = STATE(2108),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(2108),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(2108),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [2031] = {
    [anon_sym_or] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(4026),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_RPAREN] = ACTIONS(4026),
    [sym_comment] = ACTIONS(3),
  },
  [2032] = {
    [sym_string] = STATE(2032),
    [aux_sym_concatenated_string_repeat1] = STATE(2032),
    [anon_sym_or] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2094),
    [anon_sym_is] = ACTIONS(2092),
    [anon_sym_AMP] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_in] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_STAR_STAR] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2094),
    [anon_sym_EQ] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_LT_GT] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2092),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_EQ_EQ] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_and] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2092),
    [anon_sym_GT_EQ] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_PIPE] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_GT_GT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_DOT] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2393),
  },
  [2033] = {
    [anon_sym_EQ] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
  },
  [2034] = {
    [anon_sym_or] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(4586),
    [anon_sym_if] = ACTIONS(2111),
    [anon_sym_and] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [2035] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(2050),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(2050),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2036] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2056),
    [anon_sym_is] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_LT_EQ] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2054),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2054),
    [anon_sym_BANG_EQ] = ACTIONS(2054),
    [anon_sym_CARET] = ACTIONS(4083),
    [anon_sym_EQ_EQ] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2054),
    [anon_sym_GT_EQ] = ACTIONS(2054),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [2037] = {
    [sym_attribute] = STATE(2110),
    [sym_dictionary_comprehension] = STATE(2110),
    [sym_generator_expression] = STATE(2110),
    [sym_binary_operator] = STATE(2110),
    [sym_unary_operator] = STATE(2110),
    [sym_call] = STATE(2110),
    [sym_list_comprehension] = STATE(2110),
    [sym_dictionary] = STATE(2110),
    [sym_parenthesized_expression] = STATE(2110),
    [sym_tuple] = STATE(2110),
    [sym_concatenated_string] = STATE(2110),
    [sym_string] = STATE(1661),
    [sym_subscript] = STATE(2110),
    [sym_list] = STATE(2110),
    [sym_set] = STATE(2110),
    [sym_set_comprehension] = STATE(2110),
    [sym__primary_expression] = STATE(2110),
    [sym_integer] = ACTIONS(4588),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(4590),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(4588),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(4588),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(4590),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(4588),
    [sym__string_start] = ACTIONS(157),
  },
  [2038] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(4083),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2039] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(2050),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2040] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2041] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(4083),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2042] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(2050),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(2052),
    [anon_sym_is] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_LT_EQ] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(2050),
    [anon_sym_if] = ACTIONS(2050),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(2050),
    [anon_sym_BANG_EQ] = ACTIONS(2050),
    [anon_sym_CARET] = ACTIONS(2050),
    [anon_sym_EQ_EQ] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(2050),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(2050),
    [anon_sym_GT_EQ] = ACTIONS(2050),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_DOT] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [2043] = {
    [aux_sym_comparison_operator_repeat1] = STATE(2043),
    [anon_sym_or] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_GT] = ACTIONS(4592),
    [anon_sym_is] = ACTIONS(4595),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(2054),
    [anon_sym_not] = ACTIONS(4601),
    [anon_sym_in] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_if] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(4592),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_LT_GT] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
  },
  [2044] = {
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [2045] = {
    [sym_lambda] = STATE(2111),
    [sym_conditional_expression] = STATE(2111),
    [sym_attribute] = STATE(1338),
    [sym_dictionary_comprehension] = STATE(1338),
    [sym_named_expression] = STATE(2111),
    [sym_generator_expression] = STATE(1338),
    [sym_binary_operator] = STATE(1338),
    [sym_unary_operator] = STATE(1338),
    [sym_call] = STATE(1338),
    [sym_list_comprehension] = STATE(1338),
    [sym_dictionary] = STATE(1338),
    [sym_parenthesized_expression] = STATE(1338),
    [sym_tuple] = STATE(1338),
    [sym_not_operator] = STATE(2111),
    [sym_boolean_operator] = STATE(2111),
    [sym_await] = STATE(2111),
    [sym_concatenated_string] = STATE(1338),
    [sym_subscript] = STATE(1338),
    [sym_string] = STATE(1336),
    [sym_list] = STATE(1338),
    [sym_set] = STATE(1338),
    [sym_set_comprehension] = STATE(1338),
    [sym__expression] = STATE(2111),
    [sym__primary_expression] = STATE(1338),
    [sym_comparison_operator] = STATE(2111),
    [sym_integer] = ACTIONS(2695),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2699),
    [sym_true] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_not] = ACTIONS(2707),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2695),
    [anon_sym_lambda] = ACTIONS(2709),
    [sym__string_start] = ACTIONS(157),
  },
  [2046] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3490),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3496),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_STAR_STAR] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3490),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3506),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3490),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3510),
    [anon_sym_PIPE] = ACTIONS(3512),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [2047] = {
    [sym_integer] = ACTIONS(4604),
    [sym_true] = ACTIONS(4604),
    [sym__string_start] = ACTIONS(4606),
    [anon_sym_nonlocal] = ACTIONS(4604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4604),
    [anon_sym_assert] = ACTIONS(4604),
    [anon_sym_yield] = ACTIONS(4604),
    [anon_sym_return] = ACTIONS(4604),
    [anon_sym_from] = ACTIONS(4604),
    [anon_sym_LPAREN] = ACTIONS(4606),
    [sym_none] = ACTIONS(4604),
    [anon_sym_with] = ACTIONS(4604),
    [anon_sym_if] = ACTIONS(4604),
    [anon_sym_pass] = ACTIONS(4604),
    [sym_float] = ACTIONS(4606),
    [anon_sym_PLUS] = ACTIONS(4606),
    [anon_sym_AT] = ACTIONS(4606),
    [anon_sym_lambda] = ACTIONS(4604),
    [anon_sym_TILDE] = ACTIONS(4606),
    [anon_sym_print] = ACTIONS(4604),
    [anon_sym_del] = ACTIONS(4604),
    [sym_ellipsis] = ACTIONS(4606),
    [anon_sym_import] = ACTIONS(4604),
    [anon_sym_while] = ACTIONS(4604),
    [anon_sym_def] = ACTIONS(4604),
    [anon_sym_await] = ACTIONS(4604),
    [anon_sym_break] = ACTIONS(4604),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_DASH] = ACTIONS(4606),
    [anon_sym_global] = ACTIONS(4604),
    [anon_sym_not] = ACTIONS(4604),
    [anon_sym_exec] = ACTIONS(4604),
    [ts_builtin_sym_end] = ACTIONS(4606),
    [anon_sym_raise] = ACTIONS(4604),
    [anon_sym_LBRACK] = ACTIONS(4606),
    [anon_sym_LBRACE] = ACTIONS(4606),
    [anon_sym_try] = ACTIONS(4604),
    [anon_sym_for] = ACTIONS(4604),
    [sym_false] = ACTIONS(4604),
    [anon_sym_continue] = ACTIONS(4604),
    [anon_sym_async] = ACTIONS(4604),
  },
  [2048] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2103),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2103),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [2049] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(4569),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_RBRACK] = ACTIONS(4571),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4569),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4569),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [2050] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2050),
    [anon_sym_COMMA] = ACTIONS(4608),
    [anon_sym_if] = ACTIONS(4567),
    [anon_sym_for] = ACTIONS(4567),
    [anon_sym_RBRACK] = ACTIONS(4567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4567),
  },
  [2051] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2050),
    [anon_sym_COMMA] = ACTIONS(4611),
    [anon_sym_if] = ACTIONS(4571),
    [anon_sym_for] = ACTIONS(4571),
    [anon_sym_RBRACK] = ACTIONS(4571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4571),
  },
  [2052] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(4435),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [anon_sym_async] = ACTIONS(2655),
  },
  [2053] = {
    [sym_lambda] = STATE(2114),
    [sym_conditional_expression] = STATE(2114),
    [sym_attribute] = STATE(1378),
    [sym_dictionary_comprehension] = STATE(1378),
    [sym_named_expression] = STATE(2114),
    [sym_generator_expression] = STATE(1378),
    [sym_binary_operator] = STATE(1378),
    [sym_unary_operator] = STATE(1378),
    [sym_call] = STATE(1378),
    [sym_list_comprehension] = STATE(1378),
    [sym_dictionary] = STATE(1378),
    [sym_parenthesized_expression] = STATE(1378),
    [sym_tuple] = STATE(1378),
    [sym_not_operator] = STATE(2114),
    [sym_boolean_operator] = STATE(2114),
    [sym_await] = STATE(2114),
    [sym_concatenated_string] = STATE(1378),
    [sym_subscript] = STATE(1378),
    [sym_string] = STATE(1376),
    [sym_list] = STATE(1378),
    [sym_set] = STATE(1378),
    [sym_set_comprehension] = STATE(1378),
    [sym__expression] = STATE(2114),
    [sym__primary_expression] = STATE(1378),
    [sym_comparison_operator] = STATE(2114),
    [sym_integer] = ACTIONS(2795),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2801),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_not] = ACTIONS(2805),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2795),
    [anon_sym_lambda] = ACTIONS(2807),
    [sym__string_start] = ACTIONS(157),
  },
  [2054] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3558),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3568),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_STAR_STAR] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3574),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3558),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3578),
    [anon_sym_PIPE] = ACTIONS(3580),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [2055] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2103),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2103),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [2056] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(4569),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4569),
    [anon_sym_RBRACE] = ACTIONS(4571),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4569),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [2057] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2057),
    [anon_sym_COMMA] = ACTIONS(4613),
    [anon_sym_if] = ACTIONS(4567),
    [anon_sym_for] = ACTIONS(4567),
    [anon_sym_RBRACE] = ACTIONS(4567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4567),
  },
  [2058] = {
    [aux_sym_for_in_clause_repeat1] = STATE(2057),
    [anon_sym_COMMA] = ACTIONS(4616),
    [anon_sym_if] = ACTIONS(4571),
    [anon_sym_for] = ACTIONS(4571),
    [anon_sym_RBRACE] = ACTIONS(4571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(4571),
  },
  [2059] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(4459),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_async] = ACTIONS(2655),
  },
  [2060] = {
    [sym_lambda] = STATE(2117),
    [sym_conditional_expression] = STATE(2117),
    [sym_attribute] = STATE(1409),
    [sym_dictionary_comprehension] = STATE(1409),
    [sym_named_expression] = STATE(2117),
    [sym_generator_expression] = STATE(1409),
    [sym_binary_operator] = STATE(1409),
    [sym_unary_operator] = STATE(1409),
    [sym_call] = STATE(1409),
    [sym_list_comprehension] = STATE(1409),
    [sym_dictionary] = STATE(1409),
    [sym_parenthesized_expression] = STATE(1409),
    [sym_tuple] = STATE(1409),
    [sym_not_operator] = STATE(2117),
    [sym_boolean_operator] = STATE(2117),
    [sym_await] = STATE(2117),
    [sym_concatenated_string] = STATE(1409),
    [sym_subscript] = STATE(1409),
    [sym_string] = STATE(1407),
    [sym_list] = STATE(1409),
    [sym_set] = STATE(1409),
    [sym_set_comprehension] = STATE(1409),
    [sym__expression] = STATE(2117),
    [sym__primary_expression] = STATE(1409),
    [sym_comparison_operator] = STATE(2117),
    [sym_integer] = ACTIONS(2878),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2882),
    [sym_true] = ACTIONS(2878),
    [anon_sym_await] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2888),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(2880),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(2878),
    [anon_sym_lambda] = ACTIONS(2890),
    [sym__string_start] = ACTIONS(157),
  },
  [2061] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3625),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3631),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3635),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3637),
    [anon_sym_STAR_STAR] = ACTIONS(3639),
    [anon_sym_SLASH] = ACTIONS(3635),
    [anon_sym_AT] = ACTIONS(3625),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3641),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3637),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3625),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3645),
    [anon_sym_PIPE] = ACTIONS(3647),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_async] = ACTIONS(3102),
  },
  [2062] = {
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(3837),
  },
  [2063] = {
    [anon_sym_COLON] = ACTIONS(4618),
    [sym_comment] = ACTIONS(3),
  },
  [2064] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2119),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2065] = {
    [sym_integer] = ACTIONS(3150),
    [sym_true] = ACTIONS(3150),
    [sym__string_start] = ACTIONS(3152),
    [anon_sym_nonlocal] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_assert] = ACTIONS(3150),
    [anon_sym_yield] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_from] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [sym_none] = ACTIONS(3150),
    [anon_sym_with] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_pass] = ACTIONS(3150),
    [sym_float] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_lambda] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_print] = ACTIONS(3150),
    [anon_sym_del] = ACTIONS(3150),
    [sym_ellipsis] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_def] = ACTIONS(3150),
    [anon_sym_await] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3152),
    [sym__dedent] = ACTIONS(3152),
    [anon_sym_global] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_exec] = ACTIONS(3150),
    [anon_sym_raise] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_async] = ACTIONS(3150),
  },
  [2066] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2121),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4620),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2067] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2123),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4622),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2068] = {
    [sym_lambda] = STATE(1344),
    [sym_conditional_expression] = STATE(1344),
    [sym_attribute] = STATE(109),
    [sym_type] = STATE(2124),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(1344),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(1344),
    [sym_boolean_operator] = STATE(1344),
    [sym_await] = STATE(1344),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(1344),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(1344),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [2069] = {
    [sym_integer] = ACTIONS(3204),
    [sym_true] = ACTIONS(3204),
    [sym__string_start] = ACTIONS(2973),
    [anon_sym_nonlocal] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_finally] = ACTIONS(3204),
    [anon_sym_assert] = ACTIONS(3204),
    [anon_sym_yield] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_from] = ACTIONS(3204),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [sym_none] = ACTIONS(3204),
    [anon_sym_with] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_pass] = ACTIONS(3204),
    [sym_float] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_elif] = ACTIONS(3204),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_lambda] = ACTIONS(3204),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_print] = ACTIONS(3204),
    [anon_sym_del] = ACTIONS(3204),
    [sym_ellipsis] = ACTIONS(2973),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_def] = ACTIONS(3204),
    [anon_sym_await] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [sym_identifier] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(2973),
    [sym__dedent] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(3204),
    [anon_sym_global] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_exec] = ACTIONS(3204),
    [anon_sym_except] = ACTIONS(3204),
    [anon_sym_raise] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_async] = ACTIONS(3204),
  },
  [2070] = {
    [sym_integer] = ACTIONS(3206),
    [sym_true] = ACTIONS(3206),
    [sym__string_start] = ACTIONS(3208),
    [anon_sym_nonlocal] = ACTIONS(3206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3206),
    [anon_sym_assert] = ACTIONS(3206),
    [anon_sym_yield] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_from] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [sym_none] = ACTIONS(3206),
    [anon_sym_with] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_pass] = ACTIONS(3206),
    [sym_float] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_lambda] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3208),
    [anon_sym_print] = ACTIONS(3206),
    [anon_sym_del] = ACTIONS(3206),
    [sym_ellipsis] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_def] = ACTIONS(3206),
    [anon_sym_await] = ACTIONS(3206),
    [anon_sym_break] = ACTIONS(3206),
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3208),
    [sym__dedent] = ACTIONS(3208),
    [anon_sym_global] = ACTIONS(3206),
    [anon_sym_not] = ACTIONS(3206),
    [anon_sym_exec] = ACTIONS(3206),
    [anon_sym_raise] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3206),
    [sym_false] = ACTIONS(3206),
    [anon_sym_continue] = ACTIONS(3206),
    [anon_sym_async] = ACTIONS(3206),
  },
  [2071] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1450),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [sym__dedent] = ACTIONS(4624),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2072] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2126),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2073] = {
    [sym_integer] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym__string_start] = ACTIONS(3214),
    [anon_sym_nonlocal] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_assert] = ACTIONS(3212),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_from] = ACTIONS(3212),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [sym_none] = ACTIONS(3212),
    [anon_sym_with] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_pass] = ACTIONS(3212),
    [sym_float] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_lambda] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_print] = ACTIONS(3212),
    [anon_sym_del] = ACTIONS(3212),
    [sym_ellipsis] = ACTIONS(3214),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_def] = ACTIONS(3212),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3214),
    [sym__dedent] = ACTIONS(3214),
    [anon_sym_global] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_exec] = ACTIONS(3212),
    [anon_sym_raise] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
  },
  [2074] = {
    [sym_integer] = ACTIONS(3342),
    [sym_true] = ACTIONS(3342),
    [sym__string_start] = ACTIONS(3344),
    [anon_sym_nonlocal] = ACTIONS(3342),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3342),
    [anon_sym_assert] = ACTIONS(3342),
    [anon_sym_yield] = ACTIONS(3342),
    [anon_sym_return] = ACTIONS(3342),
    [anon_sym_from] = ACTIONS(3342),
    [anon_sym_LPAREN] = ACTIONS(3344),
    [sym_none] = ACTIONS(3342),
    [anon_sym_with] = ACTIONS(3342),
    [anon_sym_if] = ACTIONS(3342),
    [anon_sym_pass] = ACTIONS(3342),
    [sym_float] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_AT] = ACTIONS(3344),
    [anon_sym_lambda] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3344),
    [anon_sym_print] = ACTIONS(3342),
    [anon_sym_del] = ACTIONS(3342),
    [sym_ellipsis] = ACTIONS(3344),
    [anon_sym_import] = ACTIONS(3342),
    [anon_sym_while] = ACTIONS(3342),
    [anon_sym_def] = ACTIONS(3342),
    [anon_sym_await] = ACTIONS(3342),
    [anon_sym_break] = ACTIONS(3342),
    [sym_identifier] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3344),
    [sym__dedent] = ACTIONS(3344),
    [anon_sym_global] = ACTIONS(3342),
    [anon_sym_not] = ACTIONS(3342),
    [anon_sym_exec] = ACTIONS(3342),
    [anon_sym_raise] = ACTIONS(3342),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3342),
    [anon_sym_for] = ACTIONS(3342),
    [sym_false] = ACTIONS(3342),
    [anon_sym_continue] = ACTIONS(3342),
    [anon_sym_async] = ACTIONS(3342),
  },
  [2075] = {
    [aux_sym_if_statement_repeat1] = STATE(2127),
    [sym_else_clause] = STATE(2128),
    [sym_elif_clause] = STATE(2080),
    [sym_integer] = ACTIONS(3346),
    [sym_true] = ACTIONS(3346),
    [sym__string_start] = ACTIONS(3348),
    [anon_sym_nonlocal] = ACTIONS(3346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3346),
    [anon_sym_assert] = ACTIONS(3346),
    [anon_sym_yield] = ACTIONS(3346),
    [anon_sym_return] = ACTIONS(3346),
    [anon_sym_from] = ACTIONS(3346),
    [anon_sym_LPAREN] = ACTIONS(3348),
    [sym_none] = ACTIONS(3346),
    [anon_sym_with] = ACTIONS(3346),
    [anon_sym_if] = ACTIONS(3346),
    [anon_sym_pass] = ACTIONS(3346),
    [sym_float] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_elif] = ACTIONS(4491),
    [anon_sym_AT] = ACTIONS(3348),
    [anon_sym_lambda] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3348),
    [anon_sym_print] = ACTIONS(3346),
    [anon_sym_del] = ACTIONS(3346),
    [sym_ellipsis] = ACTIONS(3348),
    [anon_sym_import] = ACTIONS(3346),
    [anon_sym_while] = ACTIONS(3346),
    [anon_sym_def] = ACTIONS(3346),
    [anon_sym_await] = ACTIONS(3346),
    [anon_sym_break] = ACTIONS(3346),
    [sym_identifier] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3348),
    [sym__dedent] = ACTIONS(3348),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(3346),
    [anon_sym_not] = ACTIONS(3346),
    [anon_sym_exec] = ACTIONS(3346),
    [anon_sym_raise] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3346),
    [anon_sym_for] = ACTIONS(3346),
    [sym_false] = ACTIONS(3346),
    [anon_sym_continue] = ACTIONS(3346),
    [anon_sym_async] = ACTIONS(3346),
  },
  [2076] = {
    [sym_lambda] = STATE(2129),
    [sym_conditional_expression] = STATE(2129),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(2129),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(2129),
    [sym_boolean_operator] = STATE(2129),
    [sym_await] = STATE(2129),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(2129),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(2129),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [2077] = {
    [anon_sym_COLON] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
  },
  [2078] = {
    [aux_sym_if_statement_repeat1] = STATE(2131),
    [sym_else_clause] = STATE(2132),
    [sym_elif_clause] = STATE(2080),
    [sym_integer] = ACTIONS(3352),
    [sym_true] = ACTIONS(3352),
    [sym__string_start] = ACTIONS(3354),
    [anon_sym_nonlocal] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_assert] = ACTIONS(3352),
    [anon_sym_yield] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_from] = ACTIONS(3352),
    [anon_sym_LPAREN] = ACTIONS(3354),
    [sym_none] = ACTIONS(3352),
    [anon_sym_with] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_pass] = ACTIONS(3352),
    [sym_float] = ACTIONS(3354),
    [anon_sym_PLUS] = ACTIONS(3354),
    [anon_sym_elif] = ACTIONS(4491),
    [anon_sym_AT] = ACTIONS(3354),
    [anon_sym_lambda] = ACTIONS(3352),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_print] = ACTIONS(3352),
    [anon_sym_del] = ACTIONS(3352),
    [sym_ellipsis] = ACTIONS(3354),
    [anon_sym_import] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_def] = ACTIONS(3352),
    [anon_sym_await] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [sym_identifier] = ACTIONS(3352),
    [anon_sym_DASH] = ACTIONS(3354),
    [sym__dedent] = ACTIONS(3354),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_exec] = ACTIONS(3352),
    [anon_sym_raise] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3354),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_async] = ACTIONS(3352),
  },
  [2079] = {
    [sym_integer] = ACTIONS(3356),
    [sym_true] = ACTIONS(3356),
    [sym__string_start] = ACTIONS(3358),
    [anon_sym_nonlocal] = ACTIONS(3356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3356),
    [anon_sym_assert] = ACTIONS(3356),
    [anon_sym_yield] = ACTIONS(3356),
    [anon_sym_return] = ACTIONS(3356),
    [anon_sym_from] = ACTIONS(3356),
    [anon_sym_LPAREN] = ACTIONS(3358),
    [sym_none] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3356),
    [anon_sym_if] = ACTIONS(3356),
    [anon_sym_pass] = ACTIONS(3356),
    [sym_float] = ACTIONS(3358),
    [anon_sym_PLUS] = ACTIONS(3358),
    [anon_sym_AT] = ACTIONS(3358),
    [anon_sym_lambda] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(3358),
    [anon_sym_print] = ACTIONS(3356),
    [anon_sym_del] = ACTIONS(3356),
    [sym_ellipsis] = ACTIONS(3358),
    [anon_sym_import] = ACTIONS(3356),
    [anon_sym_while] = ACTIONS(3356),
    [anon_sym_def] = ACTIONS(3356),
    [anon_sym_await] = ACTIONS(3356),
    [anon_sym_break] = ACTIONS(3356),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_DASH] = ACTIONS(3358),
    [sym__dedent] = ACTIONS(3358),
    [anon_sym_global] = ACTIONS(3356),
    [anon_sym_not] = ACTIONS(3356),
    [anon_sym_exec] = ACTIONS(3356),
    [anon_sym_raise] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(3358),
    [anon_sym_try] = ACTIONS(3356),
    [anon_sym_for] = ACTIONS(3356),
    [sym_false] = ACTIONS(3356),
    [anon_sym_continue] = ACTIONS(3356),
    [anon_sym_async] = ACTIONS(3356),
  },
  [2080] = {
    [sym_integer] = ACTIONS(3360),
    [sym_true] = ACTIONS(3360),
    [sym__string_start] = ACTIONS(3362),
    [anon_sym_nonlocal] = ACTIONS(3360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3360),
    [anon_sym_assert] = ACTIONS(3360),
    [anon_sym_yield] = ACTIONS(3360),
    [anon_sym_return] = ACTIONS(3360),
    [anon_sym_from] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3362),
    [sym_none] = ACTIONS(3360),
    [anon_sym_with] = ACTIONS(3360),
    [anon_sym_if] = ACTIONS(3360),
    [anon_sym_pass] = ACTIONS(3360),
    [anon_sym_elif] = ACTIONS(3360),
    [anon_sym_PLUS] = ACTIONS(3362),
    [sym_float] = ACTIONS(3362),
    [anon_sym_AT] = ACTIONS(3362),
    [anon_sym_lambda] = ACTIONS(3360),
    [anon_sym_TILDE] = ACTIONS(3362),
    [anon_sym_print] = ACTIONS(3360),
    [anon_sym_del] = ACTIONS(3360),
    [sym_ellipsis] = ACTIONS(3362),
    [anon_sym_import] = ACTIONS(3360),
    [anon_sym_while] = ACTIONS(3360),
    [anon_sym_def] = ACTIONS(3360),
    [anon_sym_await] = ACTIONS(3360),
    [anon_sym_break] = ACTIONS(3360),
    [anon_sym_else] = ACTIONS(3360),
    [anon_sym_DASH] = ACTIONS(3362),
    [sym_identifier] = ACTIONS(3360),
    [sym__dedent] = ACTIONS(3362),
    [anon_sym_global] = ACTIONS(3360),
    [anon_sym_not] = ACTIONS(3360),
    [anon_sym_exec] = ACTIONS(3360),
    [anon_sym_raise] = ACTIONS(3360),
    [anon_sym_LBRACK] = ACTIONS(3362),
    [anon_sym_LBRACE] = ACTIONS(3362),
    [anon_sym_try] = ACTIONS(3360),
    [anon_sym_for] = ACTIONS(3360),
    [sym_false] = ACTIONS(3360),
    [anon_sym_continue] = ACTIONS(3360),
    [anon_sym_async] = ACTIONS(3360),
  },
  [2081] = {
    [sym_else_clause] = STATE(2133),
    [sym_integer] = ACTIONS(3450),
    [sym_true] = ACTIONS(3450),
    [sym__string_start] = ACTIONS(3452),
    [anon_sym_nonlocal] = ACTIONS(3450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3450),
    [anon_sym_assert] = ACTIONS(3450),
    [anon_sym_yield] = ACTIONS(3450),
    [anon_sym_return] = ACTIONS(3450),
    [anon_sym_from] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(3452),
    [sym_none] = ACTIONS(3450),
    [anon_sym_with] = ACTIONS(3450),
    [anon_sym_if] = ACTIONS(3450),
    [anon_sym_pass] = ACTIONS(3450),
    [sym_float] = ACTIONS(3452),
    [anon_sym_PLUS] = ACTIONS(3452),
    [anon_sym_AT] = ACTIONS(3452),
    [anon_sym_lambda] = ACTIONS(3450),
    [anon_sym_TILDE] = ACTIONS(3452),
    [anon_sym_print] = ACTIONS(3450),
    [anon_sym_del] = ACTIONS(3450),
    [sym_ellipsis] = ACTIONS(3452),
    [anon_sym_import] = ACTIONS(3450),
    [anon_sym_while] = ACTIONS(3450),
    [anon_sym_def] = ACTIONS(3450),
    [anon_sym_await] = ACTIONS(3450),
    [anon_sym_break] = ACTIONS(3450),
    [sym_identifier] = ACTIONS(3450),
    [anon_sym_DASH] = ACTIONS(3452),
    [sym__dedent] = ACTIONS(3452),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(3450),
    [anon_sym_not] = ACTIONS(3450),
    [anon_sym_exec] = ACTIONS(3450),
    [anon_sym_raise] = ACTIONS(3450),
    [anon_sym_LBRACK] = ACTIONS(3452),
    [anon_sym_LBRACE] = ACTIONS(3452),
    [anon_sym_try] = ACTIONS(3450),
    [anon_sym_for] = ACTIONS(3450),
    [sym_false] = ACTIONS(3450),
    [anon_sym_continue] = ACTIONS(3450),
    [anon_sym_async] = ACTIONS(3450),
  },
  [2082] = {
    [sym_integer] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym__string_start] = ACTIONS(3456),
    [anon_sym_nonlocal] = ACTIONS(3454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_assert] = ACTIONS(3454),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3456),
    [sym_none] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_pass] = ACTIONS(3454),
    [sym_float] = ACTIONS(3456),
    [anon_sym_PLUS] = ACTIONS(3456),
    [anon_sym_AT] = ACTIONS(3456),
    [anon_sym_lambda] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3456),
    [anon_sym_print] = ACTIONS(3454),
    [anon_sym_del] = ACTIONS(3454),
    [sym_ellipsis] = ACTIONS(3456),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_def] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3456),
    [sym__dedent] = ACTIONS(3456),
    [anon_sym_global] = ACTIONS(3454),
    [anon_sym_not] = ACTIONS(3454),
    [anon_sym_exec] = ACTIONS(3454),
    [anon_sym_raise] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3456),
    [anon_sym_LBRACE] = ACTIONS(3456),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
  },
  [2083] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2134),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2084] = {
    [sym_integer] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym__string_start] = ACTIONS(3518),
    [anon_sym_nonlocal] = ACTIONS(3516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_assert] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [sym_none] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_pass] = ACTIONS(3516),
    [sym_float] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_lambda] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_print] = ACTIONS(3516),
    [anon_sym_del] = ACTIONS(3516),
    [sym_ellipsis] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_def] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3518),
    [sym__dedent] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3516),
    [anon_sym_not] = ACTIONS(3516),
    [anon_sym_exec] = ACTIONS(3516),
    [anon_sym_raise] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
  },
  [2085] = {
    [anon_sym_COLON] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
  },
  [2086] = {
    [sym_except_clause] = STATE(2092),
    [sym_else_clause] = STATE(2136),
    [aux_sym_try_statement_repeat1] = STATE(2092),
    [sym_finally_clause] = STATE(2137),
    [sym_integer] = ACTIONS(3714),
    [sym_true] = ACTIONS(3714),
    [sym__string_start] = ACTIONS(3716),
    [anon_sym_nonlocal] = ACTIONS(3714),
    [anon_sym_finally] = ACTIONS(4501),
    [anon_sym_class] = ACTIONS(3714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3714),
    [anon_sym_yield] = ACTIONS(3714),
    [anon_sym_return] = ACTIONS(3714),
    [anon_sym_from] = ACTIONS(3714),
    [anon_sym_LPAREN] = ACTIONS(3716),
    [sym_none] = ACTIONS(3714),
    [anon_sym_with] = ACTIONS(3714),
    [anon_sym_if] = ACTIONS(3714),
    [anon_sym_pass] = ACTIONS(3714),
    [sym_float] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_AT] = ACTIONS(3716),
    [anon_sym_lambda] = ACTIONS(3714),
    [anon_sym_TILDE] = ACTIONS(3716),
    [anon_sym_print] = ACTIONS(3714),
    [anon_sym_del] = ACTIONS(3714),
    [sym_ellipsis] = ACTIONS(3716),
    [anon_sym_import] = ACTIONS(3714),
    [anon_sym_while] = ACTIONS(3714),
    [anon_sym_def] = ACTIONS(3714),
    [anon_sym_await] = ACTIONS(3714),
    [anon_sym_break] = ACTIONS(3714),
    [sym_identifier] = ACTIONS(3714),
    [anon_sym_DASH] = ACTIONS(3716),
    [sym__dedent] = ACTIONS(3716),
    [anon_sym_except] = ACTIONS(4503),
    [anon_sym_global] = ACTIONS(3714),
    [anon_sym_not] = ACTIONS(3714),
    [anon_sym_exec] = ACTIONS(3714),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_raise] = ACTIONS(3714),
    [anon_sym_LBRACK] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_try] = ACTIONS(3714),
    [anon_sym_for] = ACTIONS(3714),
    [sym_false] = ACTIONS(3714),
    [anon_sym_continue] = ACTIONS(3714),
    [anon_sym_async] = ACTIONS(3714),
  },
  [2087] = {
    [sym_integer] = ACTIONS(3714),
    [sym_true] = ACTIONS(3714),
    [sym__string_start] = ACTIONS(3716),
    [anon_sym_nonlocal] = ACTIONS(3714),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3714),
    [anon_sym_assert] = ACTIONS(3714),
    [anon_sym_yield] = ACTIONS(3714),
    [anon_sym_return] = ACTIONS(3714),
    [anon_sym_from] = ACTIONS(3714),
    [anon_sym_LPAREN] = ACTIONS(3716),
    [sym_none] = ACTIONS(3714),
    [anon_sym_with] = ACTIONS(3714),
    [anon_sym_if] = ACTIONS(3714),
    [anon_sym_pass] = ACTIONS(3714),
    [sym_float] = ACTIONS(3716),
    [anon_sym_PLUS] = ACTIONS(3716),
    [anon_sym_AT] = ACTIONS(3716),
    [anon_sym_lambda] = ACTIONS(3714),
    [anon_sym_TILDE] = ACTIONS(3716),
    [anon_sym_print] = ACTIONS(3714),
    [anon_sym_del] = ACTIONS(3714),
    [sym_ellipsis] = ACTIONS(3716),
    [anon_sym_import] = ACTIONS(3714),
    [anon_sym_while] = ACTIONS(3714),
    [anon_sym_def] = ACTIONS(3714),
    [anon_sym_await] = ACTIONS(3714),
    [anon_sym_break] = ACTIONS(3714),
    [sym_identifier] = ACTIONS(3714),
    [anon_sym_DASH] = ACTIONS(3716),
    [sym__dedent] = ACTIONS(3716),
    [anon_sym_global] = ACTIONS(3714),
    [anon_sym_not] = ACTIONS(3714),
    [anon_sym_exec] = ACTIONS(3714),
    [anon_sym_raise] = ACTIONS(3714),
    [anon_sym_LBRACK] = ACTIONS(3716),
    [anon_sym_LBRACE] = ACTIONS(3716),
    [anon_sym_try] = ACTIONS(3714),
    [anon_sym_for] = ACTIONS(3714),
    [sym_false] = ACTIONS(3714),
    [anon_sym_continue] = ACTIONS(3714),
    [anon_sym_async] = ACTIONS(3714),
  },
  [2088] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2139),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4630),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2089] = {
    [anon_sym_COLON] = ACTIONS(4632),
    [anon_sym_or] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(4634),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_and] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(4634),
  },
  [2090] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2143),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4636),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2091] = {
    [sym_finally_clause] = STATE(2144),
    [sym_integer] = ACTIONS(3754),
    [sym_true] = ACTIONS(3754),
    [sym__string_start] = ACTIONS(3756),
    [anon_sym_nonlocal] = ACTIONS(3754),
    [anon_sym_finally] = ACTIONS(4501),
    [anon_sym_class] = ACTIONS(3754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3754),
    [anon_sym_yield] = ACTIONS(3754),
    [anon_sym_return] = ACTIONS(3754),
    [anon_sym_from] = ACTIONS(3754),
    [anon_sym_LPAREN] = ACTIONS(3756),
    [sym_none] = ACTIONS(3754),
    [anon_sym_with] = ACTIONS(3754),
    [anon_sym_if] = ACTIONS(3754),
    [anon_sym_pass] = ACTIONS(3754),
    [sym_float] = ACTIONS(3756),
    [anon_sym_PLUS] = ACTIONS(3756),
    [anon_sym_AT] = ACTIONS(3756),
    [anon_sym_lambda] = ACTIONS(3754),
    [anon_sym_TILDE] = ACTIONS(3756),
    [anon_sym_print] = ACTIONS(3754),
    [anon_sym_del] = ACTIONS(3754),
    [sym_ellipsis] = ACTIONS(3756),
    [anon_sym_import] = ACTIONS(3754),
    [anon_sym_while] = ACTIONS(3754),
    [anon_sym_def] = ACTIONS(3754),
    [anon_sym_await] = ACTIONS(3754),
    [anon_sym_break] = ACTIONS(3754),
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_DASH] = ACTIONS(3756),
    [sym__dedent] = ACTIONS(3756),
    [anon_sym_global] = ACTIONS(3754),
    [anon_sym_not] = ACTIONS(3754),
    [anon_sym_exec] = ACTIONS(3754),
    [anon_sym_raise] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3756),
    [anon_sym_LBRACE] = ACTIONS(3756),
    [anon_sym_try] = ACTIONS(3754),
    [anon_sym_for] = ACTIONS(3754),
    [sym_false] = ACTIONS(3754),
    [anon_sym_continue] = ACTIONS(3754),
    [anon_sym_async] = ACTIONS(3754),
  },
  [2092] = {
    [sym_except_clause] = STATE(2092),
    [aux_sym_try_statement_repeat1] = STATE(2092),
    [sym_integer] = ACTIONS(3758),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_nonlocal] = ACTIONS(3758),
    [sym__string_start] = ACTIONS(3760),
    [anon_sym_class] = ACTIONS(3758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(3758),
    [anon_sym_yield] = ACTIONS(3758),
    [anon_sym_return] = ACTIONS(3758),
    [anon_sym_from] = ACTIONS(3758),
    [anon_sym_LPAREN] = ACTIONS(3760),
    [sym_none] = ACTIONS(3758),
    [anon_sym_with] = ACTIONS(3758),
    [anon_sym_if] = ACTIONS(3758),
    [anon_sym_pass] = ACTIONS(3758),
    [sym_float] = ACTIONS(3760),
    [anon_sym_PLUS] = ACTIONS(3760),
    [anon_sym_AT] = ACTIONS(3760),
    [anon_sym_lambda] = ACTIONS(3758),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_print] = ACTIONS(3758),
    [anon_sym_del] = ACTIONS(3758),
    [sym_ellipsis] = ACTIONS(3760),
    [anon_sym_import] = ACTIONS(3758),
    [anon_sym_while] = ACTIONS(3758),
    [anon_sym_def] = ACTIONS(3758),
    [anon_sym_except] = ACTIONS(4638),
    [anon_sym_break] = ACTIONS(3758),
    [anon_sym_else] = ACTIONS(3758),
    [anon_sym_DASH] = ACTIONS(3760),
    [sym_identifier] = ACTIONS(3758),
    [anon_sym_await] = ACTIONS(3758),
    [anon_sym_global] = ACTIONS(3758),
    [anon_sym_not] = ACTIONS(3758),
    [anon_sym_exec] = ACTIONS(3758),
    [sym__dedent] = ACTIONS(3760),
    [anon_sym_raise] = ACTIONS(3758),
    [anon_sym_LBRACK] = ACTIONS(3760),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_try] = ACTIONS(3758),
    [anon_sym_for] = ACTIONS(3758),
    [anon_sym_finally] = ACTIONS(3758),
    [anon_sym_continue] = ACTIONS(3758),
    [anon_sym_async] = ACTIONS(3758),
  },
  [2093] = {
    [sym_integer] = ACTIONS(3754),
    [sym_true] = ACTIONS(3754),
    [sym__string_start] = ACTIONS(3756),
    [anon_sym_nonlocal] = ACTIONS(3754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3754),
    [anon_sym_assert] = ACTIONS(3754),
    [anon_sym_yield] = ACTIONS(3754),
    [anon_sym_return] = ACTIONS(3754),
    [anon_sym_from] = ACTIONS(3754),
    [anon_sym_LPAREN] = ACTIONS(3756),
    [sym_none] = ACTIONS(3754),
    [anon_sym_with] = ACTIONS(3754),
    [anon_sym_if] = ACTIONS(3754),
    [anon_sym_pass] = ACTIONS(3754),
    [sym_float] = ACTIONS(3756),
    [anon_sym_PLUS] = ACTIONS(3756),
    [anon_sym_AT] = ACTIONS(3756),
    [anon_sym_lambda] = ACTIONS(3754),
    [anon_sym_TILDE] = ACTIONS(3756),
    [anon_sym_print] = ACTIONS(3754),
    [anon_sym_del] = ACTIONS(3754),
    [sym_ellipsis] = ACTIONS(3756),
    [anon_sym_import] = ACTIONS(3754),
    [anon_sym_while] = ACTIONS(3754),
    [anon_sym_def] = ACTIONS(3754),
    [anon_sym_await] = ACTIONS(3754),
    [anon_sym_break] = ACTIONS(3754),
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_DASH] = ACTIONS(3756),
    [sym__dedent] = ACTIONS(3756),
    [anon_sym_global] = ACTIONS(3754),
    [anon_sym_not] = ACTIONS(3754),
    [anon_sym_exec] = ACTIONS(3754),
    [anon_sym_raise] = ACTIONS(3754),
    [anon_sym_LBRACK] = ACTIONS(3756),
    [anon_sym_LBRACE] = ACTIONS(3756),
    [anon_sym_try] = ACTIONS(3754),
    [anon_sym_for] = ACTIONS(3754),
    [sym_false] = ACTIONS(3754),
    [anon_sym_continue] = ACTIONS(3754),
    [anon_sym_async] = ACTIONS(3754),
  },
  [2094] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2146),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4641),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2095] = {
    [sym_integer] = ACTIONS(4643),
    [sym_true] = ACTIONS(4643),
    [sym_false] = ACTIONS(4643),
    [anon_sym_nonlocal] = ACTIONS(4643),
    [sym__string_start] = ACTIONS(4645),
    [anon_sym_class] = ACTIONS(4643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4643),
    [anon_sym_yield] = ACTIONS(4643),
    [anon_sym_return] = ACTIONS(4643),
    [anon_sym_from] = ACTIONS(4643),
    [anon_sym_LPAREN] = ACTIONS(4645),
    [sym_none] = ACTIONS(4643),
    [anon_sym_with] = ACTIONS(4643),
    [anon_sym_if] = ACTIONS(4643),
    [anon_sym_pass] = ACTIONS(4643),
    [sym_float] = ACTIONS(4645),
    [anon_sym_PLUS] = ACTIONS(4645),
    [anon_sym_AT] = ACTIONS(4645),
    [anon_sym_lambda] = ACTIONS(4643),
    [anon_sym_TILDE] = ACTIONS(4645),
    [anon_sym_print] = ACTIONS(4643),
    [anon_sym_del] = ACTIONS(4643),
    [sym_ellipsis] = ACTIONS(4645),
    [anon_sym_import] = ACTIONS(4643),
    [anon_sym_while] = ACTIONS(4643),
    [anon_sym_def] = ACTIONS(4643),
    [anon_sym_except] = ACTIONS(4643),
    [anon_sym_break] = ACTIONS(4643),
    [anon_sym_else] = ACTIONS(4643),
    [anon_sym_DASH] = ACTIONS(4645),
    [sym_identifier] = ACTIONS(4643),
    [anon_sym_await] = ACTIONS(4643),
    [anon_sym_global] = ACTIONS(4643),
    [anon_sym_not] = ACTIONS(4643),
    [anon_sym_exec] = ACTIONS(4643),
    [ts_builtin_sym_end] = ACTIONS(4645),
    [anon_sym_raise] = ACTIONS(4643),
    [anon_sym_LBRACK] = ACTIONS(4645),
    [anon_sym_LBRACE] = ACTIONS(4645),
    [anon_sym_try] = ACTIONS(4643),
    [anon_sym_for] = ACTIONS(4643),
    [anon_sym_finally] = ACTIONS(4643),
    [anon_sym_continue] = ACTIONS(4643),
    [anon_sym_async] = ACTIONS(4643),
  },
  [2096] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2148),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4647),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2097] = {
    [sym_integer] = ACTIONS(4649),
    [sym_true] = ACTIONS(4649),
    [sym__string_start] = ACTIONS(4651),
    [anon_sym_nonlocal] = ACTIONS(4649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4649),
    [anon_sym_assert] = ACTIONS(4649),
    [anon_sym_yield] = ACTIONS(4649),
    [anon_sym_return] = ACTIONS(4649),
    [anon_sym_from] = ACTIONS(4649),
    [anon_sym_LPAREN] = ACTIONS(4651),
    [sym_none] = ACTIONS(4649),
    [anon_sym_with] = ACTIONS(4649),
    [anon_sym_if] = ACTIONS(4649),
    [anon_sym_pass] = ACTIONS(4649),
    [sym_float] = ACTIONS(4651),
    [anon_sym_PLUS] = ACTIONS(4651),
    [anon_sym_AT] = ACTIONS(4651),
    [anon_sym_lambda] = ACTIONS(4649),
    [anon_sym_TILDE] = ACTIONS(4651),
    [anon_sym_print] = ACTIONS(4649),
    [anon_sym_del] = ACTIONS(4649),
    [sym_ellipsis] = ACTIONS(4651),
    [anon_sym_import] = ACTIONS(4649),
    [anon_sym_while] = ACTIONS(4649),
    [anon_sym_def] = ACTIONS(4649),
    [anon_sym_await] = ACTIONS(4649),
    [anon_sym_break] = ACTIONS(4649),
    [sym_identifier] = ACTIONS(4649),
    [anon_sym_DASH] = ACTIONS(4651),
    [anon_sym_global] = ACTIONS(4649),
    [anon_sym_not] = ACTIONS(4649),
    [anon_sym_exec] = ACTIONS(4649),
    [ts_builtin_sym_end] = ACTIONS(4651),
    [anon_sym_raise] = ACTIONS(4649),
    [anon_sym_LBRACK] = ACTIONS(4651),
    [anon_sym_LBRACE] = ACTIONS(4651),
    [anon_sym_try] = ACTIONS(4649),
    [anon_sym_for] = ACTIONS(4649),
    [sym_false] = ACTIONS(4649),
    [anon_sym_continue] = ACTIONS(4649),
    [anon_sym_async] = ACTIONS(4649),
  },
  [2098] = {
    [sym_integer] = ACTIONS(4653),
    [sym_true] = ACTIONS(4653),
    [sym__string_start] = ACTIONS(4655),
    [anon_sym_nonlocal] = ACTIONS(4653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4653),
    [anon_sym_assert] = ACTIONS(4653),
    [anon_sym_yield] = ACTIONS(4653),
    [anon_sym_return] = ACTIONS(4653),
    [anon_sym_from] = ACTIONS(4653),
    [anon_sym_LPAREN] = ACTIONS(4655),
    [sym_none] = ACTIONS(4653),
    [anon_sym_with] = ACTIONS(4653),
    [anon_sym_if] = ACTIONS(4653),
    [anon_sym_pass] = ACTIONS(4653),
    [sym_float] = ACTIONS(4655),
    [anon_sym_PLUS] = ACTIONS(4655),
    [anon_sym_AT] = ACTIONS(4655),
    [anon_sym_lambda] = ACTIONS(4653),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_print] = ACTIONS(4653),
    [anon_sym_del] = ACTIONS(4653),
    [sym_ellipsis] = ACTIONS(4655),
    [anon_sym_import] = ACTIONS(4653),
    [anon_sym_while] = ACTIONS(4653),
    [anon_sym_def] = ACTIONS(4653),
    [anon_sym_await] = ACTIONS(4653),
    [anon_sym_break] = ACTIONS(4653),
    [sym_identifier] = ACTIONS(4653),
    [anon_sym_DASH] = ACTIONS(4655),
    [anon_sym_global] = ACTIONS(4653),
    [anon_sym_not] = ACTIONS(4653),
    [anon_sym_exec] = ACTIONS(4653),
    [ts_builtin_sym_end] = ACTIONS(4655),
    [anon_sym_raise] = ACTIONS(4653),
    [anon_sym_LBRACK] = ACTIONS(4655),
    [anon_sym_LBRACE] = ACTIONS(4655),
    [anon_sym_try] = ACTIONS(4653),
    [anon_sym_for] = ACTIONS(4653),
    [sym_false] = ACTIONS(4653),
    [anon_sym_continue] = ACTIONS(4653),
    [anon_sym_async] = ACTIONS(4653),
  },
  [2099] = {
    [sym_integer] = ACTIONS(4657),
    [sym_true] = ACTIONS(4657),
    [sym__string_start] = ACTIONS(4659),
    [anon_sym_nonlocal] = ACTIONS(4657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4657),
    [anon_sym_assert] = ACTIONS(4657),
    [anon_sym_yield] = ACTIONS(4657),
    [anon_sym_return] = ACTIONS(4657),
    [anon_sym_from] = ACTIONS(4657),
    [anon_sym_LPAREN] = ACTIONS(4659),
    [sym_none] = ACTIONS(4657),
    [anon_sym_with] = ACTIONS(4657),
    [anon_sym_if] = ACTIONS(4657),
    [anon_sym_pass] = ACTIONS(4657),
    [sym_float] = ACTIONS(4659),
    [anon_sym_PLUS] = ACTIONS(4659),
    [anon_sym_AT] = ACTIONS(4659),
    [anon_sym_lambda] = ACTIONS(4657),
    [anon_sym_TILDE] = ACTIONS(4659),
    [anon_sym_print] = ACTIONS(4657),
    [anon_sym_del] = ACTIONS(4657),
    [sym_ellipsis] = ACTIONS(4659),
    [anon_sym_import] = ACTIONS(4657),
    [anon_sym_while] = ACTIONS(4657),
    [anon_sym_def] = ACTIONS(4657),
    [anon_sym_await] = ACTIONS(4657),
    [anon_sym_break] = ACTIONS(4657),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym_DASH] = ACTIONS(4659),
    [anon_sym_global] = ACTIONS(4657),
    [anon_sym_not] = ACTIONS(4657),
    [anon_sym_exec] = ACTIONS(4657),
    [ts_builtin_sym_end] = ACTIONS(4659),
    [anon_sym_raise] = ACTIONS(4657),
    [anon_sym_LBRACK] = ACTIONS(4659),
    [anon_sym_LBRACE] = ACTIONS(4659),
    [anon_sym_try] = ACTIONS(4657),
    [anon_sym_for] = ACTIONS(4657),
    [sym_false] = ACTIONS(4657),
    [anon_sym_continue] = ACTIONS(4657),
    [anon_sym_async] = ACTIONS(4657),
  },
  [2100] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3879),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [sym_comment] = ACTIONS(3),
  },
  [2101] = {
    [sym_lambda] = STATE(2149),
    [sym_conditional_expression] = STATE(2149),
    [sym_attribute] = STATE(1544),
    [sym_dictionary_comprehension] = STATE(1544),
    [sym_named_expression] = STATE(2149),
    [sym_generator_expression] = STATE(1544),
    [sym_binary_operator] = STATE(1544),
    [sym_unary_operator] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_list_comprehension] = STATE(1544),
    [sym_dictionary] = STATE(1544),
    [sym_parenthesized_expression] = STATE(1544),
    [sym_tuple] = STATE(1544),
    [sym_not_operator] = STATE(2149),
    [sym_boolean_operator] = STATE(2149),
    [sym_await] = STATE(2149),
    [sym_concatenated_string] = STATE(1544),
    [sym_subscript] = STATE(1544),
    [sym_string] = STATE(1542),
    [sym_list] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_set_comprehension] = STATE(1544),
    [sym__expression] = STATE(2149),
    [sym__primary_expression] = STATE(1544),
    [sym_comparison_operator] = STATE(2149),
    [sym_integer] = ACTIONS(3158),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3158),
    [anon_sym_await] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3158),
    [anon_sym_lambda] = ACTIONS(3170),
    [sym__string_start] = ACTIONS(157),
  },
  [2102] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3885),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_STAR_STAR] = ACTIONS(3899),
    [anon_sym_SLASH] = ACTIONS(3895),
    [anon_sym_AT] = ACTIONS(3885),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3901),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3885),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3905),
    [anon_sym_PIPE] = ACTIONS(3907),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [2103] = {
    [anon_sym_if] = ACTIONS(4661),
    [anon_sym_RBRACE] = ACTIONS(4661),
    [anon_sym_RPAREN] = ACTIONS(4661),
    [anon_sym_COMMA] = ACTIONS(4661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4661),
    [anon_sym_RBRACK] = ACTIONS(4661),
    [anon_sym_async] = ACTIONS(4661),
  },
  [2104] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [2105] = {
    [sym_lambda] = STATE(1581),
    [sym__primary_expression] = STATE(92),
    [sym_attribute] = STATE(92),
    [sym_dictionary_comprehension] = STATE(92),
    [sym_named_expression] = STATE(1581),
    [sym_generator_expression] = STATE(92),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(92),
    [sym_unary_operator] = STATE(92),
    [sym_call] = STATE(92),
    [sym_list_comprehension] = STATE(92),
    [sym_dictionary] = STATE(92),
    [sym_parenthesized_expression] = STATE(92),
    [sym_tuple] = STATE(92),
    [sym_not_operator] = STATE(1581),
    [sym_boolean_operator] = STATE(1581),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1581),
    [sym_subscript] = STATE(92),
    [sym_concatenated_string] = STATE(92),
    [sym_list] = STATE(92),
    [sym_string] = STATE(90),
    [sym_set] = STATE(92),
    [sym_set_comprehension] = STATE(92),
    [sym__expression] = STATE(1581),
    [sym_conditional_expression] = STATE(1581),
    [sym_comparison_operator] = STATE(1581),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_async] = ACTIONS(4663),
    [anon_sym_RPAREN] = ACTIONS(4665),
    [anon_sym_await] = ACTIONS(139),
    [sym_true] = ACTIONS(129),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4663),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4663),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(3289),
    [sym__string_start] = ACTIONS(157),
  },
  [2106] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(4345),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_RPAREN] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3837),
  },
  [2107] = {
    [sym_integer] = ACTIONS(4667),
    [sym_true] = ACTIONS(4667),
    [sym__string_start] = ACTIONS(4669),
    [anon_sym_nonlocal] = ACTIONS(4667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4667),
    [anon_sym_assert] = ACTIONS(4667),
    [anon_sym_yield] = ACTIONS(4667),
    [anon_sym_return] = ACTIONS(4667),
    [anon_sym_from] = ACTIONS(4667),
    [anon_sym_LPAREN] = ACTIONS(4669),
    [sym_none] = ACTIONS(4667),
    [anon_sym_with] = ACTIONS(4667),
    [anon_sym_if] = ACTIONS(4667),
    [anon_sym_pass] = ACTIONS(4667),
    [anon_sym_elif] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4669),
    [sym_float] = ACTIONS(4669),
    [anon_sym_AT] = ACTIONS(4669),
    [anon_sym_lambda] = ACTIONS(4667),
    [anon_sym_TILDE] = ACTIONS(4669),
    [anon_sym_print] = ACTIONS(4667),
    [anon_sym_del] = ACTIONS(4667),
    [sym_ellipsis] = ACTIONS(4669),
    [anon_sym_import] = ACTIONS(4667),
    [anon_sym_while] = ACTIONS(4667),
    [anon_sym_def] = ACTIONS(4667),
    [anon_sym_await] = ACTIONS(4667),
    [anon_sym_break] = ACTIONS(4667),
    [anon_sym_else] = ACTIONS(4667),
    [anon_sym_DASH] = ACTIONS(4669),
    [sym_identifier] = ACTIONS(4667),
    [anon_sym_global] = ACTIONS(4667),
    [anon_sym_not] = ACTIONS(4667),
    [anon_sym_exec] = ACTIONS(4667),
    [ts_builtin_sym_end] = ACTIONS(4669),
    [anon_sym_raise] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(4669),
    [anon_sym_LBRACE] = ACTIONS(4669),
    [anon_sym_try] = ACTIONS(4667),
    [anon_sym_for] = ACTIONS(4667),
    [sym_false] = ACTIONS(4667),
    [anon_sym_continue] = ACTIONS(4667),
    [anon_sym_async] = ACTIONS(4667),
  },
  [2108] = {
    [anon_sym_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(4065),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(4061),
    [sym_comment] = ACTIONS(3),
  },
  [2109] = {
    [sym_lambda] = STATE(2150),
    [sym_conditional_expression] = STATE(2150),
    [sym_attribute] = STATE(1663),
    [sym_dictionary_comprehension] = STATE(1663),
    [sym_named_expression] = STATE(2150),
    [sym_generator_expression] = STATE(1663),
    [sym_binary_operator] = STATE(1663),
    [sym_unary_operator] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_list_comprehension] = STATE(1663),
    [sym_dictionary] = STATE(1663),
    [sym_parenthesized_expression] = STATE(1663),
    [sym_tuple] = STATE(1663),
    [sym_not_operator] = STATE(2150),
    [sym_boolean_operator] = STATE(2150),
    [sym_await] = STATE(2150),
    [sym_concatenated_string] = STATE(1663),
    [sym_subscript] = STATE(1663),
    [sym_string] = STATE(1661),
    [sym_list] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_set_comprehension] = STATE(1663),
    [sym__expression] = STATE(2150),
    [sym__primary_expression] = STATE(1663),
    [sym_comparison_operator] = STATE(2150),
    [sym_integer] = ACTIONS(3464),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(3466),
    [anon_sym_TILDE] = ACTIONS(3468),
    [sym_true] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3470),
    [sym_identifier] = ACTIONS(3472),
    [anon_sym_DASH] = ACTIONS(3468),
    [anon_sym_not] = ACTIONS(3474),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(3466),
    [anon_sym_PLUS] = ACTIONS(3468),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(3464),
    [anon_sym_lambda] = ACTIONS(3476),
    [sym__string_start] = ACTIONS(157),
  },
  [2110] = {
    [sym_argument_list] = STATE(344),
    [sym_generator_expression] = STATE(344),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(4067),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(4073),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(4079),
    [anon_sym_STAR_STAR] = ACTIONS(4081),
    [anon_sym_SLASH] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(4067),
    [anon_sym_LT_GT] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(4083),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(4079),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(4067),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(4087),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_GT_GT] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
  },
  [2111] = {
    [anon_sym_COLON] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(3484),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_and] = ACTIONS(3488),
    [anon_sym_RPAREN] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [2112] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [2113] = {
    [sym_lambda] = STATE(1696),
    [sym__primary_expression] = STATE(160),
    [sym_attribute] = STATE(160),
    [sym_dictionary_comprehension] = STATE(160),
    [sym_named_expression] = STATE(1696),
    [sym_generator_expression] = STATE(160),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(160),
    [sym_unary_operator] = STATE(160),
    [sym_call] = STATE(160),
    [sym_list_comprehension] = STATE(160),
    [sym_dictionary] = STATE(160),
    [sym_parenthesized_expression] = STATE(160),
    [sym_tuple] = STATE(160),
    [sym_not_operator] = STATE(1696),
    [sym_boolean_operator] = STATE(1696),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1696),
    [sym_subscript] = STATE(160),
    [sym_concatenated_string] = STATE(160),
    [sym_list] = STATE(160),
    [sym_string] = STATE(158),
    [sym_set] = STATE(160),
    [sym_set_comprehension] = STATE(160),
    [sym__expression] = STATE(1696),
    [sym_conditional_expression] = STATE(1696),
    [sym_comparison_operator] = STATE(1696),
    [sym_integer] = ACTIONS(247),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(249),
    [anon_sym_TILDE] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(4663),
    [sym_true] = ACTIONS(247),
    [anon_sym_await] = ACTIONS(253),
    [sym_identifier] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_RBRACK] = ACTIONS(4665),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4663),
    [sym_float] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4663),
    [sym_false] = ACTIONS(247),
    [anon_sym_lambda] = ACTIONS(3546),
    [sym__string_start] = ACTIONS(157),
  },
  [2114] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(4435),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
  },
  [2115] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [2116] = {
    [sym_lambda] = STATE(1723),
    [sym__primary_expression] = STATE(1001),
    [sym_attribute] = STATE(1001),
    [sym_dictionary_comprehension] = STATE(1001),
    [sym_named_expression] = STATE(1723),
    [sym_generator_expression] = STATE(1001),
    [sym__expression_within_for_in_clause] = STATE(2015),
    [sym_binary_operator] = STATE(1001),
    [sym_unary_operator] = STATE(1001),
    [sym_call] = STATE(1001),
    [sym_list_comprehension] = STATE(1001),
    [sym_dictionary] = STATE(1001),
    [sym_parenthesized_expression] = STATE(1001),
    [sym_tuple] = STATE(1001),
    [sym_not_operator] = STATE(1723),
    [sym_boolean_operator] = STATE(1723),
    [sym_lambda_within_for_in_clause] = STATE(2015),
    [sym_await] = STATE(1723),
    [sym_subscript] = STATE(1001),
    [sym_concatenated_string] = STATE(1001),
    [sym_list] = STATE(1001),
    [sym_string] = STATE(999),
    [sym_set] = STATE(1001),
    [sym_set_comprehension] = STATE(1001),
    [sym__expression] = STATE(1723),
    [sym_conditional_expression] = STATE(1723),
    [sym_comparison_operator] = STATE(1723),
    [sym_integer] = ACTIONS(1837),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1839),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(4663),
    [sym_true] = ACTIONS(1837),
    [anon_sym_await] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_not] = ACTIONS(1847),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1837),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(4663),
    [anon_sym_RBRACE] = ACTIONS(4665),
    [sym_float] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(4663),
    [sym_false] = ACTIONS(1837),
    [anon_sym_lambda] = ACTIONS(3613),
    [sym__string_start] = ACTIONS(157),
  },
  [2117] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_or] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(4459),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_and] = ACTIONS(3623),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
  },
  [2118] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2152),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4671),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2119] = {
    [sym_integer] = ACTIONS(3859),
    [sym_true] = ACTIONS(3859),
    [sym__string_start] = ACTIONS(3861),
    [anon_sym_nonlocal] = ACTIONS(3859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3859),
    [anon_sym_assert] = ACTIONS(3859),
    [anon_sym_yield] = ACTIONS(3859),
    [anon_sym_return] = ACTIONS(3859),
    [anon_sym_from] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3861),
    [sym_none] = ACTIONS(3859),
    [anon_sym_with] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(3859),
    [anon_sym_pass] = ACTIONS(3859),
    [sym_float] = ACTIONS(3861),
    [anon_sym_PLUS] = ACTIONS(3861),
    [anon_sym_AT] = ACTIONS(3861),
    [anon_sym_lambda] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3861),
    [anon_sym_print] = ACTIONS(3859),
    [anon_sym_del] = ACTIONS(3859),
    [sym_ellipsis] = ACTIONS(3861),
    [anon_sym_import] = ACTIONS(3859),
    [anon_sym_while] = ACTIONS(3859),
    [anon_sym_def] = ACTIONS(3859),
    [anon_sym_await] = ACTIONS(3859),
    [anon_sym_break] = ACTIONS(3859),
    [sym_identifier] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3861),
    [sym__dedent] = ACTIONS(3861),
    [anon_sym_global] = ACTIONS(3859),
    [anon_sym_not] = ACTIONS(3859),
    [anon_sym_exec] = ACTIONS(3859),
    [anon_sym_raise] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3861),
    [anon_sym_try] = ACTIONS(3859),
    [anon_sym_for] = ACTIONS(3859),
    [sym_false] = ACTIONS(3859),
    [anon_sym_continue] = ACTIONS(3859),
    [anon_sym_async] = ACTIONS(3859),
  },
  [2120] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2153),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2121] = {
    [sym_integer] = ACTIONS(3863),
    [sym_true] = ACTIONS(3863),
    [sym__string_start] = ACTIONS(3865),
    [anon_sym_nonlocal] = ACTIONS(3863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3863),
    [anon_sym_assert] = ACTIONS(3863),
    [anon_sym_yield] = ACTIONS(3863),
    [anon_sym_return] = ACTIONS(3863),
    [anon_sym_from] = ACTIONS(3863),
    [anon_sym_LPAREN] = ACTIONS(3865),
    [sym_none] = ACTIONS(3863),
    [anon_sym_with] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(3863),
    [anon_sym_pass] = ACTIONS(3863),
    [sym_float] = ACTIONS(3865),
    [anon_sym_PLUS] = ACTIONS(3865),
    [anon_sym_AT] = ACTIONS(3865),
    [anon_sym_lambda] = ACTIONS(3863),
    [anon_sym_TILDE] = ACTIONS(3865),
    [anon_sym_print] = ACTIONS(3863),
    [anon_sym_del] = ACTIONS(3863),
    [sym_ellipsis] = ACTIONS(3865),
    [anon_sym_import] = ACTIONS(3863),
    [anon_sym_while] = ACTIONS(3863),
    [anon_sym_def] = ACTIONS(3863),
    [anon_sym_await] = ACTIONS(3863),
    [anon_sym_break] = ACTIONS(3863),
    [sym_identifier] = ACTIONS(3863),
    [anon_sym_DASH] = ACTIONS(3865),
    [sym__dedent] = ACTIONS(3865),
    [anon_sym_global] = ACTIONS(3863),
    [anon_sym_not] = ACTIONS(3863),
    [anon_sym_exec] = ACTIONS(3863),
    [anon_sym_raise] = ACTIONS(3863),
    [anon_sym_LBRACK] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3865),
    [anon_sym_try] = ACTIONS(3863),
    [anon_sym_for] = ACTIONS(3863),
    [sym_false] = ACTIONS(3863),
    [anon_sym_continue] = ACTIONS(3863),
    [anon_sym_async] = ACTIONS(3863),
  },
  [2122] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2154),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2123] = {
    [sym_integer] = ACTIONS(3867),
    [sym_true] = ACTIONS(3867),
    [sym__string_start] = ACTIONS(3869),
    [anon_sym_nonlocal] = ACTIONS(3867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3867),
    [anon_sym_assert] = ACTIONS(3867),
    [anon_sym_yield] = ACTIONS(3867),
    [anon_sym_return] = ACTIONS(3867),
    [anon_sym_from] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3869),
    [sym_none] = ACTIONS(3867),
    [anon_sym_with] = ACTIONS(3867),
    [anon_sym_if] = ACTIONS(3867),
    [anon_sym_pass] = ACTIONS(3867),
    [sym_float] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3869),
    [anon_sym_AT] = ACTIONS(3869),
    [anon_sym_lambda] = ACTIONS(3867),
    [anon_sym_TILDE] = ACTIONS(3869),
    [anon_sym_print] = ACTIONS(3867),
    [anon_sym_del] = ACTIONS(3867),
    [sym_ellipsis] = ACTIONS(3869),
    [anon_sym_import] = ACTIONS(3867),
    [anon_sym_while] = ACTIONS(3867),
    [anon_sym_def] = ACTIONS(3867),
    [anon_sym_await] = ACTIONS(3867),
    [anon_sym_break] = ACTIONS(3867),
    [sym_identifier] = ACTIONS(3867),
    [anon_sym_DASH] = ACTIONS(3869),
    [sym__dedent] = ACTIONS(3869),
    [anon_sym_global] = ACTIONS(3867),
    [anon_sym_not] = ACTIONS(3867),
    [anon_sym_exec] = ACTIONS(3867),
    [anon_sym_raise] = ACTIONS(3867),
    [anon_sym_LBRACK] = ACTIONS(3869),
    [anon_sym_LBRACE] = ACTIONS(3869),
    [anon_sym_try] = ACTIONS(3867),
    [anon_sym_for] = ACTIONS(3867),
    [sym_false] = ACTIONS(3867),
    [anon_sym_continue] = ACTIONS(3867),
    [anon_sym_async] = ACTIONS(3867),
  },
  [2124] = {
    [anon_sym_COLON] = ACTIONS(4673),
    [sym_comment] = ACTIONS(3),
  },
  [2125] = {
    [sym_integer] = ACTIONS(3923),
    [sym_true] = ACTIONS(3923),
    [sym__string_start] = ACTIONS(3718),
    [anon_sym_nonlocal] = ACTIONS(3923),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3923),
    [anon_sym_finally] = ACTIONS(3923),
    [anon_sym_assert] = ACTIONS(3923),
    [anon_sym_yield] = ACTIONS(3923),
    [anon_sym_return] = ACTIONS(3923),
    [anon_sym_from] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3718),
    [sym_none] = ACTIONS(3923),
    [anon_sym_with] = ACTIONS(3923),
    [anon_sym_if] = ACTIONS(3923),
    [anon_sym_pass] = ACTIONS(3923),
    [sym_float] = ACTIONS(3718),
    [anon_sym_PLUS] = ACTIONS(3718),
    [anon_sym_elif] = ACTIONS(3923),
    [anon_sym_AT] = ACTIONS(3718),
    [anon_sym_lambda] = ACTIONS(3923),
    [anon_sym_TILDE] = ACTIONS(3718),
    [anon_sym_print] = ACTIONS(3923),
    [anon_sym_del] = ACTIONS(3923),
    [sym_ellipsis] = ACTIONS(3718),
    [anon_sym_import] = ACTIONS(3923),
    [anon_sym_while] = ACTIONS(3923),
    [anon_sym_def] = ACTIONS(3923),
    [anon_sym_await] = ACTIONS(3923),
    [anon_sym_break] = ACTIONS(3923),
    [sym_identifier] = ACTIONS(3923),
    [anon_sym_DASH] = ACTIONS(3718),
    [sym__dedent] = ACTIONS(3718),
    [anon_sym_else] = ACTIONS(3923),
    [anon_sym_global] = ACTIONS(3923),
    [anon_sym_not] = ACTIONS(3923),
    [anon_sym_exec] = ACTIONS(3923),
    [anon_sym_except] = ACTIONS(3923),
    [anon_sym_raise] = ACTIONS(3923),
    [anon_sym_LBRACK] = ACTIONS(3718),
    [anon_sym_LBRACE] = ACTIONS(3718),
    [anon_sym_try] = ACTIONS(3923),
    [anon_sym_for] = ACTIONS(3923),
    [sym_false] = ACTIONS(3923),
    [anon_sym_continue] = ACTIONS(3923),
    [anon_sym_async] = ACTIONS(3923),
  },
  [2126] = {
    [sym_integer] = ACTIONS(3925),
    [sym_true] = ACTIONS(3925),
    [sym__string_start] = ACTIONS(3927),
    [anon_sym_nonlocal] = ACTIONS(3925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_assert] = ACTIONS(3925),
    [anon_sym_yield] = ACTIONS(3925),
    [anon_sym_return] = ACTIONS(3925),
    [anon_sym_from] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [sym_none] = ACTIONS(3925),
    [anon_sym_with] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(3925),
    [anon_sym_pass] = ACTIONS(3925),
    [sym_float] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_AT] = ACTIONS(3927),
    [anon_sym_lambda] = ACTIONS(3925),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_print] = ACTIONS(3925),
    [anon_sym_del] = ACTIONS(3925),
    [sym_ellipsis] = ACTIONS(3927),
    [anon_sym_import] = ACTIONS(3925),
    [anon_sym_while] = ACTIONS(3925),
    [anon_sym_def] = ACTIONS(3925),
    [anon_sym_await] = ACTIONS(3925),
    [anon_sym_break] = ACTIONS(3925),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3927),
    [sym__dedent] = ACTIONS(3927),
    [anon_sym_global] = ACTIONS(3925),
    [anon_sym_not] = ACTIONS(3925),
    [anon_sym_exec] = ACTIONS(3925),
    [anon_sym_raise] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_try] = ACTIONS(3925),
    [anon_sym_for] = ACTIONS(3925),
    [sym_false] = ACTIONS(3925),
    [anon_sym_continue] = ACTIONS(3925),
    [anon_sym_async] = ACTIONS(3925),
  },
  [2127] = {
    [aux_sym_if_statement_repeat1] = STATE(2131),
    [sym_else_clause] = STATE(2156),
    [sym_elif_clause] = STATE(2080),
    [sym_integer] = ACTIONS(3983),
    [sym_true] = ACTIONS(3983),
    [sym__string_start] = ACTIONS(3985),
    [anon_sym_nonlocal] = ACTIONS(3983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3983),
    [anon_sym_assert] = ACTIONS(3983),
    [anon_sym_yield] = ACTIONS(3983),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_from] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(3985),
    [sym_none] = ACTIONS(3983),
    [anon_sym_with] = ACTIONS(3983),
    [anon_sym_if] = ACTIONS(3983),
    [anon_sym_pass] = ACTIONS(3983),
    [sym_float] = ACTIONS(3985),
    [anon_sym_PLUS] = ACTIONS(3985),
    [anon_sym_elif] = ACTIONS(4491),
    [anon_sym_AT] = ACTIONS(3985),
    [anon_sym_lambda] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3985),
    [anon_sym_print] = ACTIONS(3983),
    [anon_sym_del] = ACTIONS(3983),
    [sym_ellipsis] = ACTIONS(3985),
    [anon_sym_import] = ACTIONS(3983),
    [anon_sym_while] = ACTIONS(3983),
    [anon_sym_def] = ACTIONS(3983),
    [anon_sym_await] = ACTIONS(3983),
    [anon_sym_break] = ACTIONS(3983),
    [sym_identifier] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3985),
    [sym__dedent] = ACTIONS(3985),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(3983),
    [anon_sym_not] = ACTIONS(3983),
    [anon_sym_exec] = ACTIONS(3983),
    [anon_sym_raise] = ACTIONS(3983),
    [anon_sym_LBRACK] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3985),
    [anon_sym_try] = ACTIONS(3983),
    [anon_sym_for] = ACTIONS(3983),
    [sym_false] = ACTIONS(3983),
    [anon_sym_continue] = ACTIONS(3983),
    [anon_sym_async] = ACTIONS(3983),
  },
  [2128] = {
    [sym_integer] = ACTIONS(3987),
    [sym_true] = ACTIONS(3987),
    [sym__string_start] = ACTIONS(3989),
    [anon_sym_nonlocal] = ACTIONS(3987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3987),
    [anon_sym_assert] = ACTIONS(3987),
    [anon_sym_yield] = ACTIONS(3987),
    [anon_sym_return] = ACTIONS(3987),
    [anon_sym_from] = ACTIONS(3987),
    [anon_sym_LPAREN] = ACTIONS(3989),
    [sym_none] = ACTIONS(3987),
    [anon_sym_with] = ACTIONS(3987),
    [anon_sym_if] = ACTIONS(3987),
    [anon_sym_pass] = ACTIONS(3987),
    [sym_float] = ACTIONS(3989),
    [anon_sym_PLUS] = ACTIONS(3989),
    [anon_sym_AT] = ACTIONS(3989),
    [anon_sym_lambda] = ACTIONS(3987),
    [anon_sym_TILDE] = ACTIONS(3989),
    [anon_sym_print] = ACTIONS(3987),
    [anon_sym_del] = ACTIONS(3987),
    [sym_ellipsis] = ACTIONS(3989),
    [anon_sym_import] = ACTIONS(3987),
    [anon_sym_while] = ACTIONS(3987),
    [anon_sym_def] = ACTIONS(3987),
    [anon_sym_await] = ACTIONS(3987),
    [anon_sym_break] = ACTIONS(3987),
    [sym_identifier] = ACTIONS(3987),
    [anon_sym_DASH] = ACTIONS(3989),
    [sym__dedent] = ACTIONS(3989),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_not] = ACTIONS(3987),
    [anon_sym_exec] = ACTIONS(3987),
    [anon_sym_raise] = ACTIONS(3987),
    [anon_sym_LBRACK] = ACTIONS(3989),
    [anon_sym_LBRACE] = ACTIONS(3989),
    [anon_sym_try] = ACTIONS(3987),
    [anon_sym_for] = ACTIONS(3987),
    [sym_false] = ACTIONS(3987),
    [anon_sym_continue] = ACTIONS(3987),
    [anon_sym_async] = ACTIONS(3987),
  },
  [2129] = {
    [anon_sym_COLON] = ACTIONS(4675),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [2130] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2159),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4677),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2131] = {
    [aux_sym_if_statement_repeat1] = STATE(2131),
    [sym_elif_clause] = STATE(2080),
    [sym_integer] = ACTIONS(3995),
    [sym_true] = ACTIONS(3995),
    [sym__string_start] = ACTIONS(3997),
    [anon_sym_nonlocal] = ACTIONS(3995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3995),
    [anon_sym_assert] = ACTIONS(3995),
    [anon_sym_yield] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3997),
    [sym_none] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [anon_sym_if] = ACTIONS(3995),
    [anon_sym_pass] = ACTIONS(3995),
    [anon_sym_elif] = ACTIONS(4679),
    [anon_sym_PLUS] = ACTIONS(3997),
    [sym_float] = ACTIONS(3997),
    [anon_sym_AT] = ACTIONS(3997),
    [anon_sym_lambda] = ACTIONS(3995),
    [anon_sym_TILDE] = ACTIONS(3997),
    [anon_sym_print] = ACTIONS(3995),
    [anon_sym_del] = ACTIONS(3995),
    [sym_ellipsis] = ACTIONS(3997),
    [anon_sym_import] = ACTIONS(3995),
    [anon_sym_while] = ACTIONS(3995),
    [anon_sym_def] = ACTIONS(3995),
    [anon_sym_await] = ACTIONS(3995),
    [anon_sym_break] = ACTIONS(3995),
    [anon_sym_else] = ACTIONS(3995),
    [anon_sym_DASH] = ACTIONS(3997),
    [sym_identifier] = ACTIONS(3995),
    [sym__dedent] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3995),
    [anon_sym_not] = ACTIONS(3995),
    [anon_sym_exec] = ACTIONS(3995),
    [anon_sym_raise] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3997),
    [anon_sym_LBRACE] = ACTIONS(3997),
    [anon_sym_try] = ACTIONS(3995),
    [anon_sym_for] = ACTIONS(3995),
    [sym_false] = ACTIONS(3995),
    [anon_sym_continue] = ACTIONS(3995),
    [anon_sym_async] = ACTIONS(3995),
  },
  [2132] = {
    [sym_integer] = ACTIONS(4002),
    [sym_true] = ACTIONS(4002),
    [sym__string_start] = ACTIONS(4004),
    [anon_sym_nonlocal] = ACTIONS(4002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4002),
    [anon_sym_assert] = ACTIONS(4002),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_return] = ACTIONS(4002),
    [anon_sym_from] = ACTIONS(4002),
    [anon_sym_LPAREN] = ACTIONS(4004),
    [sym_none] = ACTIONS(4002),
    [anon_sym_with] = ACTIONS(4002),
    [anon_sym_if] = ACTIONS(4002),
    [anon_sym_pass] = ACTIONS(4002),
    [sym_float] = ACTIONS(4004),
    [anon_sym_PLUS] = ACTIONS(4004),
    [anon_sym_AT] = ACTIONS(4004),
    [anon_sym_lambda] = ACTIONS(4002),
    [anon_sym_TILDE] = ACTIONS(4004),
    [anon_sym_print] = ACTIONS(4002),
    [anon_sym_del] = ACTIONS(4002),
    [sym_ellipsis] = ACTIONS(4004),
    [anon_sym_import] = ACTIONS(4002),
    [anon_sym_while] = ACTIONS(4002),
    [anon_sym_def] = ACTIONS(4002),
    [anon_sym_await] = ACTIONS(4002),
    [anon_sym_break] = ACTIONS(4002),
    [sym_identifier] = ACTIONS(4002),
    [anon_sym_DASH] = ACTIONS(4004),
    [sym__dedent] = ACTIONS(4004),
    [anon_sym_global] = ACTIONS(4002),
    [anon_sym_not] = ACTIONS(4002),
    [anon_sym_exec] = ACTIONS(4002),
    [anon_sym_raise] = ACTIONS(4002),
    [anon_sym_LBRACK] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(4004),
    [anon_sym_try] = ACTIONS(4002),
    [anon_sym_for] = ACTIONS(4002),
    [sym_false] = ACTIONS(4002),
    [anon_sym_continue] = ACTIONS(4002),
    [anon_sym_async] = ACTIONS(4002),
  },
  [2133] = {
    [sym_integer] = ACTIONS(4046),
    [sym_true] = ACTIONS(4046),
    [sym__string_start] = ACTIONS(4048),
    [anon_sym_nonlocal] = ACTIONS(4046),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4046),
    [anon_sym_assert] = ACTIONS(4046),
    [anon_sym_yield] = ACTIONS(4046),
    [anon_sym_return] = ACTIONS(4046),
    [anon_sym_from] = ACTIONS(4046),
    [anon_sym_LPAREN] = ACTIONS(4048),
    [sym_none] = ACTIONS(4046),
    [anon_sym_with] = ACTIONS(4046),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_pass] = ACTIONS(4046),
    [sym_float] = ACTIONS(4048),
    [anon_sym_PLUS] = ACTIONS(4048),
    [anon_sym_AT] = ACTIONS(4048),
    [anon_sym_lambda] = ACTIONS(4046),
    [anon_sym_TILDE] = ACTIONS(4048),
    [anon_sym_print] = ACTIONS(4046),
    [anon_sym_del] = ACTIONS(4046),
    [sym_ellipsis] = ACTIONS(4048),
    [anon_sym_import] = ACTIONS(4046),
    [anon_sym_while] = ACTIONS(4046),
    [anon_sym_def] = ACTIONS(4046),
    [anon_sym_await] = ACTIONS(4046),
    [anon_sym_break] = ACTIONS(4046),
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4048),
    [sym__dedent] = ACTIONS(4048),
    [anon_sym_global] = ACTIONS(4046),
    [anon_sym_not] = ACTIONS(4046),
    [anon_sym_exec] = ACTIONS(4046),
    [anon_sym_raise] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_try] = ACTIONS(4046),
    [anon_sym_for] = ACTIONS(4046),
    [sym_false] = ACTIONS(4046),
    [anon_sym_continue] = ACTIONS(4046),
    [anon_sym_async] = ACTIONS(4046),
  },
  [2134] = {
    [sym_integer] = ACTIONS(4125),
    [sym_true] = ACTIONS(4125),
    [sym__string_start] = ACTIONS(4127),
    [anon_sym_nonlocal] = ACTIONS(4125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4125),
    [anon_sym_assert] = ACTIONS(4125),
    [anon_sym_yield] = ACTIONS(4125),
    [anon_sym_return] = ACTIONS(4125),
    [anon_sym_from] = ACTIONS(4125),
    [anon_sym_LPAREN] = ACTIONS(4127),
    [sym_none] = ACTIONS(4125),
    [anon_sym_with] = ACTIONS(4125),
    [anon_sym_if] = ACTIONS(4125),
    [anon_sym_pass] = ACTIONS(4125),
    [sym_float] = ACTIONS(4127),
    [anon_sym_PLUS] = ACTIONS(4127),
    [anon_sym_AT] = ACTIONS(4127),
    [anon_sym_lambda] = ACTIONS(4125),
    [anon_sym_TILDE] = ACTIONS(4127),
    [anon_sym_print] = ACTIONS(4125),
    [anon_sym_del] = ACTIONS(4125),
    [sym_ellipsis] = ACTIONS(4127),
    [anon_sym_import] = ACTIONS(4125),
    [anon_sym_while] = ACTIONS(4125),
    [anon_sym_def] = ACTIONS(4125),
    [anon_sym_await] = ACTIONS(4125),
    [anon_sym_break] = ACTIONS(4125),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DASH] = ACTIONS(4127),
    [sym__dedent] = ACTIONS(4127),
    [anon_sym_global] = ACTIONS(4125),
    [anon_sym_not] = ACTIONS(4125),
    [anon_sym_exec] = ACTIONS(4125),
    [anon_sym_raise] = ACTIONS(4125),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_LBRACE] = ACTIONS(4127),
    [anon_sym_try] = ACTIONS(4125),
    [anon_sym_for] = ACTIONS(4125),
    [sym_false] = ACTIONS(4125),
    [anon_sym_continue] = ACTIONS(4125),
    [anon_sym_async] = ACTIONS(4125),
  },
  [2135] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2161),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4682),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2136] = {
    [sym_finally_clause] = STATE(2162),
    [sym_integer] = ACTIONS(4249),
    [sym_true] = ACTIONS(4249),
    [sym__string_start] = ACTIONS(4251),
    [anon_sym_nonlocal] = ACTIONS(4249),
    [anon_sym_finally] = ACTIONS(4501),
    [anon_sym_class] = ACTIONS(4249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4249),
    [anon_sym_from] = ACTIONS(4249),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [sym_none] = ACTIONS(4249),
    [anon_sym_with] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(4249),
    [anon_sym_pass] = ACTIONS(4249),
    [sym_float] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_AT] = ACTIONS(4251),
    [anon_sym_lambda] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4251),
    [anon_sym_print] = ACTIONS(4249),
    [anon_sym_del] = ACTIONS(4249),
    [sym_ellipsis] = ACTIONS(4251),
    [anon_sym_import] = ACTIONS(4249),
    [anon_sym_while] = ACTIONS(4249),
    [anon_sym_def] = ACTIONS(4249),
    [anon_sym_await] = ACTIONS(4249),
    [anon_sym_break] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4251),
    [sym__dedent] = ACTIONS(4251),
    [anon_sym_global] = ACTIONS(4249),
    [anon_sym_not] = ACTIONS(4249),
    [anon_sym_exec] = ACTIONS(4249),
    [anon_sym_raise] = ACTIONS(4249),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4249),
    [sym_false] = ACTIONS(4249),
    [anon_sym_continue] = ACTIONS(4249),
    [anon_sym_async] = ACTIONS(4249),
  },
  [2137] = {
    [sym_integer] = ACTIONS(4249),
    [sym_true] = ACTIONS(4249),
    [sym__string_start] = ACTIONS(4251),
    [anon_sym_nonlocal] = ACTIONS(4249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4249),
    [anon_sym_assert] = ACTIONS(4249),
    [anon_sym_yield] = ACTIONS(4249),
    [anon_sym_return] = ACTIONS(4249),
    [anon_sym_from] = ACTIONS(4249),
    [anon_sym_LPAREN] = ACTIONS(4251),
    [sym_none] = ACTIONS(4249),
    [anon_sym_with] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(4249),
    [anon_sym_pass] = ACTIONS(4249),
    [sym_float] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(4251),
    [anon_sym_AT] = ACTIONS(4251),
    [anon_sym_lambda] = ACTIONS(4249),
    [anon_sym_TILDE] = ACTIONS(4251),
    [anon_sym_print] = ACTIONS(4249),
    [anon_sym_del] = ACTIONS(4249),
    [sym_ellipsis] = ACTIONS(4251),
    [anon_sym_import] = ACTIONS(4249),
    [anon_sym_while] = ACTIONS(4249),
    [anon_sym_def] = ACTIONS(4249),
    [anon_sym_await] = ACTIONS(4249),
    [anon_sym_break] = ACTIONS(4249),
    [sym_identifier] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4251),
    [sym__dedent] = ACTIONS(4251),
    [anon_sym_global] = ACTIONS(4249),
    [anon_sym_not] = ACTIONS(4249),
    [anon_sym_exec] = ACTIONS(4249),
    [anon_sym_raise] = ACTIONS(4249),
    [anon_sym_LBRACK] = ACTIONS(4251),
    [anon_sym_LBRACE] = ACTIONS(4251),
    [anon_sym_try] = ACTIONS(4249),
    [anon_sym_for] = ACTIONS(4249),
    [sym_false] = ACTIONS(4249),
    [anon_sym_continue] = ACTIONS(4249),
    [anon_sym_async] = ACTIONS(4249),
  },
  [2138] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2163),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2139] = {
    [sym_integer] = ACTIONS(4253),
    [sym_true] = ACTIONS(4253),
    [sym_false] = ACTIONS(4253),
    [anon_sym_nonlocal] = ACTIONS(4253),
    [sym__string_start] = ACTIONS(4255),
    [anon_sym_class] = ACTIONS(4253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4253),
    [anon_sym_yield] = ACTIONS(4253),
    [anon_sym_return] = ACTIONS(4253),
    [anon_sym_from] = ACTIONS(4253),
    [anon_sym_LPAREN] = ACTIONS(4255),
    [sym_none] = ACTIONS(4253),
    [anon_sym_with] = ACTIONS(4253),
    [anon_sym_if] = ACTIONS(4253),
    [anon_sym_pass] = ACTIONS(4253),
    [sym_float] = ACTIONS(4255),
    [anon_sym_PLUS] = ACTIONS(4255),
    [anon_sym_AT] = ACTIONS(4255),
    [anon_sym_lambda] = ACTIONS(4253),
    [anon_sym_TILDE] = ACTIONS(4255),
    [anon_sym_print] = ACTIONS(4253),
    [anon_sym_del] = ACTIONS(4253),
    [sym_ellipsis] = ACTIONS(4255),
    [anon_sym_import] = ACTIONS(4253),
    [anon_sym_while] = ACTIONS(4253),
    [anon_sym_def] = ACTIONS(4253),
    [anon_sym_except] = ACTIONS(4253),
    [anon_sym_break] = ACTIONS(4253),
    [anon_sym_else] = ACTIONS(4253),
    [anon_sym_DASH] = ACTIONS(4255),
    [sym_identifier] = ACTIONS(4253),
    [anon_sym_await] = ACTIONS(4253),
    [anon_sym_global] = ACTIONS(4253),
    [anon_sym_not] = ACTIONS(4253),
    [anon_sym_exec] = ACTIONS(4253),
    [sym__dedent] = ACTIONS(4255),
    [anon_sym_raise] = ACTIONS(4253),
    [anon_sym_LBRACK] = ACTIONS(4255),
    [anon_sym_LBRACE] = ACTIONS(4255),
    [anon_sym_try] = ACTIONS(4253),
    [anon_sym_for] = ACTIONS(4253),
    [anon_sym_finally] = ACTIONS(4253),
    [anon_sym_continue] = ACTIONS(4253),
    [anon_sym_async] = ACTIONS(4253),
  },
  [2140] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2165),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4684),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2141] = {
    [sym_lambda] = STATE(2166),
    [sym_conditional_expression] = STATE(2166),
    [sym_attribute] = STATE(109),
    [sym_dictionary_comprehension] = STATE(109),
    [sym_named_expression] = STATE(2166),
    [sym_generator_expression] = STATE(109),
    [sym_binary_operator] = STATE(109),
    [sym_unary_operator] = STATE(109),
    [sym_call] = STATE(109),
    [sym_list_comprehension] = STATE(109),
    [sym_dictionary] = STATE(109),
    [sym_parenthesized_expression] = STATE(109),
    [sym_tuple] = STATE(109),
    [sym_not_operator] = STATE(2166),
    [sym_boolean_operator] = STATE(2166),
    [sym_await] = STATE(2166),
    [sym_concatenated_string] = STATE(109),
    [sym_subscript] = STATE(109),
    [sym_string] = STATE(107),
    [sym_list] = STATE(109),
    [sym_set] = STATE(109),
    [sym_set_comprehension] = STATE(109),
    [sym__expression] = STATE(2166),
    [sym__primary_expression] = STATE(109),
    [sym_comparison_operator] = STATE(2166),
    [sym_integer] = ACTIONS(173),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(177),
    [sym_true] = ACTIONS(173),
    [anon_sym_await] = ACTIONS(179),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_DASH] = ACTIONS(177),
    [anon_sym_not] = ACTIONS(183),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(173),
    [anon_sym_lambda] = ACTIONS(185),
    [sym__string_start] = ACTIONS(157),
  },
  [2142] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2167),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2143] = {
    [sym_integer] = ACTIONS(4259),
    [sym_true] = ACTIONS(4259),
    [sym__string_start] = ACTIONS(4261),
    [anon_sym_nonlocal] = ACTIONS(4259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4259),
    [anon_sym_assert] = ACTIONS(4259),
    [anon_sym_yield] = ACTIONS(4259),
    [anon_sym_return] = ACTIONS(4259),
    [anon_sym_from] = ACTIONS(4259),
    [anon_sym_LPAREN] = ACTIONS(4261),
    [sym_none] = ACTIONS(4259),
    [anon_sym_with] = ACTIONS(4259),
    [anon_sym_if] = ACTIONS(4259),
    [anon_sym_pass] = ACTIONS(4259),
    [sym_float] = ACTIONS(4261),
    [anon_sym_PLUS] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(4261),
    [anon_sym_lambda] = ACTIONS(4259),
    [anon_sym_TILDE] = ACTIONS(4261),
    [anon_sym_print] = ACTIONS(4259),
    [anon_sym_del] = ACTIONS(4259),
    [sym_ellipsis] = ACTIONS(4261),
    [anon_sym_import] = ACTIONS(4259),
    [anon_sym_while] = ACTIONS(4259),
    [anon_sym_def] = ACTIONS(4259),
    [anon_sym_await] = ACTIONS(4259),
    [anon_sym_break] = ACTIONS(4259),
    [sym_identifier] = ACTIONS(4259),
    [anon_sym_DASH] = ACTIONS(4261),
    [sym__dedent] = ACTIONS(4261),
    [anon_sym_global] = ACTIONS(4259),
    [anon_sym_not] = ACTIONS(4259),
    [anon_sym_exec] = ACTIONS(4259),
    [anon_sym_raise] = ACTIONS(4259),
    [anon_sym_LBRACK] = ACTIONS(4261),
    [anon_sym_LBRACE] = ACTIONS(4261),
    [anon_sym_try] = ACTIONS(4259),
    [anon_sym_for] = ACTIONS(4259),
    [sym_false] = ACTIONS(4259),
    [anon_sym_continue] = ACTIONS(4259),
    [anon_sym_async] = ACTIONS(4259),
  },
  [2144] = {
    [sym_integer] = ACTIONS(4263),
    [sym_true] = ACTIONS(4263),
    [sym__string_start] = ACTIONS(4265),
    [anon_sym_nonlocal] = ACTIONS(4263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4263),
    [anon_sym_assert] = ACTIONS(4263),
    [anon_sym_yield] = ACTIONS(4263),
    [anon_sym_return] = ACTIONS(4263),
    [anon_sym_from] = ACTIONS(4263),
    [anon_sym_LPAREN] = ACTIONS(4265),
    [sym_none] = ACTIONS(4263),
    [anon_sym_with] = ACTIONS(4263),
    [anon_sym_if] = ACTIONS(4263),
    [anon_sym_pass] = ACTIONS(4263),
    [sym_float] = ACTIONS(4265),
    [anon_sym_PLUS] = ACTIONS(4265),
    [anon_sym_AT] = ACTIONS(4265),
    [anon_sym_lambda] = ACTIONS(4263),
    [anon_sym_TILDE] = ACTIONS(4265),
    [anon_sym_print] = ACTIONS(4263),
    [anon_sym_del] = ACTIONS(4263),
    [sym_ellipsis] = ACTIONS(4265),
    [anon_sym_import] = ACTIONS(4263),
    [anon_sym_while] = ACTIONS(4263),
    [anon_sym_def] = ACTIONS(4263),
    [anon_sym_await] = ACTIONS(4263),
    [anon_sym_break] = ACTIONS(4263),
    [sym_identifier] = ACTIONS(4263),
    [anon_sym_DASH] = ACTIONS(4265),
    [sym__dedent] = ACTIONS(4265),
    [anon_sym_global] = ACTIONS(4263),
    [anon_sym_not] = ACTIONS(4263),
    [anon_sym_exec] = ACTIONS(4263),
    [anon_sym_raise] = ACTIONS(4263),
    [anon_sym_LBRACK] = ACTIONS(4265),
    [anon_sym_LBRACE] = ACTIONS(4265),
    [anon_sym_try] = ACTIONS(4263),
    [anon_sym_for] = ACTIONS(4263),
    [sym_false] = ACTIONS(4263),
    [anon_sym_continue] = ACTIONS(4263),
    [anon_sym_async] = ACTIONS(4263),
  },
  [2145] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2168),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2146] = {
    [sym_else_clause] = STATE(2169),
    [sym_integer] = ACTIONS(4267),
    [sym_true] = ACTIONS(4267),
    [sym__string_start] = ACTIONS(4269),
    [anon_sym_nonlocal] = ACTIONS(4267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4267),
    [anon_sym_assert] = ACTIONS(4267),
    [anon_sym_yield] = ACTIONS(4267),
    [anon_sym_return] = ACTIONS(4267),
    [anon_sym_from] = ACTIONS(4267),
    [anon_sym_LPAREN] = ACTIONS(4269),
    [sym_none] = ACTIONS(4267),
    [anon_sym_with] = ACTIONS(4267),
    [anon_sym_if] = ACTIONS(4267),
    [anon_sym_pass] = ACTIONS(4267),
    [sym_float] = ACTIONS(4269),
    [anon_sym_PLUS] = ACTIONS(4269),
    [anon_sym_AT] = ACTIONS(4269),
    [anon_sym_lambda] = ACTIONS(4267),
    [anon_sym_TILDE] = ACTIONS(4269),
    [anon_sym_print] = ACTIONS(4267),
    [anon_sym_del] = ACTIONS(4267),
    [sym_ellipsis] = ACTIONS(4269),
    [anon_sym_import] = ACTIONS(4267),
    [anon_sym_while] = ACTIONS(4267),
    [anon_sym_def] = ACTIONS(4267),
    [anon_sym_await] = ACTIONS(4267),
    [anon_sym_break] = ACTIONS(4267),
    [sym_identifier] = ACTIONS(4267),
    [anon_sym_DASH] = ACTIONS(4269),
    [sym__dedent] = ACTIONS(4269),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(4267),
    [anon_sym_not] = ACTIONS(4267),
    [anon_sym_exec] = ACTIONS(4267),
    [anon_sym_raise] = ACTIONS(4267),
    [anon_sym_LBRACK] = ACTIONS(4269),
    [anon_sym_LBRACE] = ACTIONS(4269),
    [anon_sym_try] = ACTIONS(4267),
    [anon_sym_for] = ACTIONS(4267),
    [sym_false] = ACTIONS(4267),
    [anon_sym_continue] = ACTIONS(4267),
    [anon_sym_async] = ACTIONS(4267),
  },
  [2147] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2170),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1157),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2148] = {
    [sym_integer] = ACTIONS(4686),
    [sym_true] = ACTIONS(4686),
    [sym_false] = ACTIONS(4686),
    [anon_sym_nonlocal] = ACTIONS(4686),
    [sym__string_start] = ACTIONS(4688),
    [anon_sym_class] = ACTIONS(4686),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4686),
    [anon_sym_yield] = ACTIONS(4686),
    [anon_sym_return] = ACTIONS(4686),
    [anon_sym_from] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4688),
    [sym_none] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [anon_sym_if] = ACTIONS(4686),
    [anon_sym_pass] = ACTIONS(4686),
    [sym_float] = ACTIONS(4688),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_AT] = ACTIONS(4688),
    [anon_sym_lambda] = ACTIONS(4686),
    [anon_sym_TILDE] = ACTIONS(4688),
    [anon_sym_print] = ACTIONS(4686),
    [anon_sym_del] = ACTIONS(4686),
    [sym_ellipsis] = ACTIONS(4688),
    [anon_sym_import] = ACTIONS(4686),
    [anon_sym_while] = ACTIONS(4686),
    [anon_sym_def] = ACTIONS(4686),
    [anon_sym_except] = ACTIONS(4686),
    [anon_sym_break] = ACTIONS(4686),
    [anon_sym_else] = ACTIONS(4686),
    [anon_sym_DASH] = ACTIONS(4688),
    [sym_identifier] = ACTIONS(4686),
    [anon_sym_await] = ACTIONS(4686),
    [anon_sym_global] = ACTIONS(4686),
    [anon_sym_not] = ACTIONS(4686),
    [anon_sym_exec] = ACTIONS(4686),
    [ts_builtin_sym_end] = ACTIONS(4688),
    [anon_sym_raise] = ACTIONS(4686),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_LBRACE] = ACTIONS(4688),
    [anon_sym_try] = ACTIONS(4686),
    [anon_sym_for] = ACTIONS(4686),
    [anon_sym_finally] = ACTIONS(4686),
    [anon_sym_continue] = ACTIONS(4686),
    [anon_sym_async] = ACTIONS(4686),
  },
  [2149] = {
    [anon_sym_or] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3879),
    [anon_sym_and] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [sym_comment] = ACTIONS(3),
  },
  [2150] = {
    [anon_sym_EQ] = ACTIONS(3837),
    [anon_sym_COMMA] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(4065),
    [anon_sym_and] = ACTIONS(4063),
    [anon_sym_RPAREN] = ACTIONS(3837),
    [anon_sym_or] = ACTIONS(4061),
    [sym_comment] = ACTIONS(3),
  },
  [2151] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2171),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2152] = {
    [sym_else_clause] = STATE(2172),
    [sym_integer] = ACTIONS(4284),
    [sym_true] = ACTIONS(4284),
    [sym__string_start] = ACTIONS(4286),
    [anon_sym_nonlocal] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4284),
    [anon_sym_assert] = ACTIONS(4284),
    [anon_sym_yield] = ACTIONS(4284),
    [anon_sym_return] = ACTIONS(4284),
    [anon_sym_from] = ACTIONS(4284),
    [anon_sym_LPAREN] = ACTIONS(4286),
    [sym_none] = ACTIONS(4284),
    [anon_sym_with] = ACTIONS(4284),
    [anon_sym_if] = ACTIONS(4284),
    [anon_sym_pass] = ACTIONS(4284),
    [sym_float] = ACTIONS(4286),
    [anon_sym_PLUS] = ACTIONS(4286),
    [anon_sym_AT] = ACTIONS(4286),
    [anon_sym_lambda] = ACTIONS(4284),
    [anon_sym_TILDE] = ACTIONS(4286),
    [anon_sym_print] = ACTIONS(4284),
    [anon_sym_del] = ACTIONS(4284),
    [sym_ellipsis] = ACTIONS(4286),
    [anon_sym_import] = ACTIONS(4284),
    [anon_sym_while] = ACTIONS(4284),
    [anon_sym_def] = ACTIONS(4284),
    [anon_sym_await] = ACTIONS(4284),
    [anon_sym_break] = ACTIONS(4284),
    [sym_identifier] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4286),
    [sym__dedent] = ACTIONS(4286),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(4284),
    [anon_sym_not] = ACTIONS(4284),
    [anon_sym_exec] = ACTIONS(4284),
    [anon_sym_raise] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(4286),
    [anon_sym_LBRACE] = ACTIONS(4286),
    [anon_sym_try] = ACTIONS(4284),
    [anon_sym_for] = ACTIONS(4284),
    [sym_false] = ACTIONS(4284),
    [anon_sym_continue] = ACTIONS(4284),
    [anon_sym_async] = ACTIONS(4284),
  },
  [2153] = {
    [sym_integer] = ACTIONS(4288),
    [sym_true] = ACTIONS(4288),
    [sym__string_start] = ACTIONS(4290),
    [anon_sym_nonlocal] = ACTIONS(4288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4288),
    [anon_sym_assert] = ACTIONS(4288),
    [anon_sym_yield] = ACTIONS(4288),
    [anon_sym_return] = ACTIONS(4288),
    [anon_sym_from] = ACTIONS(4288),
    [anon_sym_LPAREN] = ACTIONS(4290),
    [sym_none] = ACTIONS(4288),
    [anon_sym_with] = ACTIONS(4288),
    [anon_sym_if] = ACTIONS(4288),
    [anon_sym_pass] = ACTIONS(4288),
    [sym_float] = ACTIONS(4290),
    [anon_sym_PLUS] = ACTIONS(4290),
    [anon_sym_AT] = ACTIONS(4290),
    [anon_sym_lambda] = ACTIONS(4288),
    [anon_sym_TILDE] = ACTIONS(4290),
    [anon_sym_print] = ACTIONS(4288),
    [anon_sym_del] = ACTIONS(4288),
    [sym_ellipsis] = ACTIONS(4290),
    [anon_sym_import] = ACTIONS(4288),
    [anon_sym_while] = ACTIONS(4288),
    [anon_sym_def] = ACTIONS(4288),
    [anon_sym_await] = ACTIONS(4288),
    [anon_sym_break] = ACTIONS(4288),
    [sym_identifier] = ACTIONS(4288),
    [anon_sym_DASH] = ACTIONS(4290),
    [sym__dedent] = ACTIONS(4290),
    [anon_sym_global] = ACTIONS(4288),
    [anon_sym_not] = ACTIONS(4288),
    [anon_sym_exec] = ACTIONS(4288),
    [anon_sym_raise] = ACTIONS(4288),
    [anon_sym_LBRACK] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_try] = ACTIONS(4288),
    [anon_sym_for] = ACTIONS(4288),
    [sym_false] = ACTIONS(4288),
    [anon_sym_continue] = ACTIONS(4288),
    [anon_sym_async] = ACTIONS(4288),
  },
  [2154] = {
    [sym_integer] = ACTIONS(4292),
    [sym_true] = ACTIONS(4292),
    [sym__string_start] = ACTIONS(4294),
    [anon_sym_nonlocal] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4292),
    [anon_sym_assert] = ACTIONS(4292),
    [anon_sym_yield] = ACTIONS(4292),
    [anon_sym_return] = ACTIONS(4292),
    [anon_sym_from] = ACTIONS(4292),
    [anon_sym_LPAREN] = ACTIONS(4294),
    [sym_none] = ACTIONS(4292),
    [anon_sym_with] = ACTIONS(4292),
    [anon_sym_if] = ACTIONS(4292),
    [anon_sym_pass] = ACTIONS(4292),
    [sym_float] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(4294),
    [anon_sym_AT] = ACTIONS(4294),
    [anon_sym_lambda] = ACTIONS(4292),
    [anon_sym_TILDE] = ACTIONS(4294),
    [anon_sym_print] = ACTIONS(4292),
    [anon_sym_del] = ACTIONS(4292),
    [sym_ellipsis] = ACTIONS(4294),
    [anon_sym_import] = ACTIONS(4292),
    [anon_sym_while] = ACTIONS(4292),
    [anon_sym_def] = ACTIONS(4292),
    [anon_sym_await] = ACTIONS(4292),
    [anon_sym_break] = ACTIONS(4292),
    [sym_identifier] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4294),
    [sym__dedent] = ACTIONS(4294),
    [anon_sym_global] = ACTIONS(4292),
    [anon_sym_not] = ACTIONS(4292),
    [anon_sym_exec] = ACTIONS(4292),
    [anon_sym_raise] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(4294),
    [anon_sym_LBRACE] = ACTIONS(4294),
    [anon_sym_try] = ACTIONS(4292),
    [anon_sym_for] = ACTIONS(4292),
    [sym_false] = ACTIONS(4292),
    [anon_sym_continue] = ACTIONS(4292),
    [anon_sym_async] = ACTIONS(4292),
  },
  [2155] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2174),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4690),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2156] = {
    [sym_integer] = ACTIONS(4365),
    [sym_true] = ACTIONS(4365),
    [sym__string_start] = ACTIONS(4367),
    [anon_sym_nonlocal] = ACTIONS(4365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4365),
    [anon_sym_assert] = ACTIONS(4365),
    [anon_sym_yield] = ACTIONS(4365),
    [anon_sym_return] = ACTIONS(4365),
    [anon_sym_from] = ACTIONS(4365),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [sym_none] = ACTIONS(4365),
    [anon_sym_with] = ACTIONS(4365),
    [anon_sym_if] = ACTIONS(4365),
    [anon_sym_pass] = ACTIONS(4365),
    [sym_float] = ACTIONS(4367),
    [anon_sym_PLUS] = ACTIONS(4367),
    [anon_sym_AT] = ACTIONS(4367),
    [anon_sym_lambda] = ACTIONS(4365),
    [anon_sym_TILDE] = ACTIONS(4367),
    [anon_sym_print] = ACTIONS(4365),
    [anon_sym_del] = ACTIONS(4365),
    [sym_ellipsis] = ACTIONS(4367),
    [anon_sym_import] = ACTIONS(4365),
    [anon_sym_while] = ACTIONS(4365),
    [anon_sym_def] = ACTIONS(4365),
    [anon_sym_await] = ACTIONS(4365),
    [anon_sym_break] = ACTIONS(4365),
    [sym_identifier] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4367),
    [sym__dedent] = ACTIONS(4367),
    [anon_sym_global] = ACTIONS(4365),
    [anon_sym_not] = ACTIONS(4365),
    [anon_sym_exec] = ACTIONS(4365),
    [anon_sym_raise] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4367),
    [anon_sym_LBRACE] = ACTIONS(4367),
    [anon_sym_try] = ACTIONS(4365),
    [anon_sym_for] = ACTIONS(4365),
    [sym_false] = ACTIONS(4365),
    [anon_sym_continue] = ACTIONS(4365),
    [anon_sym_async] = ACTIONS(4365),
  },
  [2157] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2176),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4692),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2158] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2177),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2159] = {
    [sym_integer] = ACTIONS(4371),
    [sym_true] = ACTIONS(4371),
    [sym__string_start] = ACTIONS(4373),
    [anon_sym_nonlocal] = ACTIONS(4371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4371),
    [anon_sym_finally] = ACTIONS(4371),
    [anon_sym_assert] = ACTIONS(4371),
    [anon_sym_yield] = ACTIONS(4371),
    [anon_sym_return] = ACTIONS(4371),
    [anon_sym_from] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(4373),
    [sym_none] = ACTIONS(4371),
    [anon_sym_with] = ACTIONS(4371),
    [anon_sym_if] = ACTIONS(4371),
    [anon_sym_pass] = ACTIONS(4371),
    [sym_float] = ACTIONS(4373),
    [anon_sym_PLUS] = ACTIONS(4373),
    [anon_sym_AT] = ACTIONS(4373),
    [anon_sym_lambda] = ACTIONS(4371),
    [anon_sym_TILDE] = ACTIONS(4373),
    [anon_sym_print] = ACTIONS(4371),
    [anon_sym_del] = ACTIONS(4371),
    [sym_ellipsis] = ACTIONS(4373),
    [anon_sym_import] = ACTIONS(4371),
    [anon_sym_while] = ACTIONS(4371),
    [anon_sym_def] = ACTIONS(4371),
    [anon_sym_await] = ACTIONS(4371),
    [anon_sym_break] = ACTIONS(4371),
    [sym_identifier] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4373),
    [sym__dedent] = ACTIONS(4373),
    [anon_sym_global] = ACTIONS(4371),
    [anon_sym_not] = ACTIONS(4371),
    [anon_sym_exec] = ACTIONS(4371),
    [anon_sym_raise] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4373),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_try] = ACTIONS(4371),
    [anon_sym_for] = ACTIONS(4371),
    [sym_false] = ACTIONS(4371),
    [anon_sym_continue] = ACTIONS(4371),
    [anon_sym_async] = ACTIONS(4371),
  },
  [2160] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2178),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2161] = {
    [sym_integer] = ACTIONS(4427),
    [sym_true] = ACTIONS(4427),
    [sym__string_start] = ACTIONS(4429),
    [anon_sym_nonlocal] = ACTIONS(4427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4427),
    [anon_sym_assert] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_return] = ACTIONS(4427),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [sym_none] = ACTIONS(4427),
    [anon_sym_with] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_pass] = ACTIONS(4427),
    [sym_float] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4429),
    [anon_sym_lambda] = ACTIONS(4427),
    [anon_sym_TILDE] = ACTIONS(4429),
    [anon_sym_print] = ACTIONS(4427),
    [anon_sym_del] = ACTIONS(4427),
    [sym_ellipsis] = ACTIONS(4429),
    [anon_sym_import] = ACTIONS(4427),
    [anon_sym_while] = ACTIONS(4427),
    [anon_sym_def] = ACTIONS(4427),
    [anon_sym_await] = ACTIONS(4427),
    [anon_sym_break] = ACTIONS(4427),
    [sym_identifier] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4429),
    [sym__dedent] = ACTIONS(4429),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_not] = ACTIONS(4427),
    [anon_sym_exec] = ACTIONS(4427),
    [anon_sym_raise] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_try] = ACTIONS(4427),
    [anon_sym_for] = ACTIONS(4427),
    [sym_false] = ACTIONS(4427),
    [anon_sym_continue] = ACTIONS(4427),
    [anon_sym_async] = ACTIONS(4427),
  },
  [2162] = {
    [sym_integer] = ACTIONS(4507),
    [sym_true] = ACTIONS(4507),
    [sym__string_start] = ACTIONS(4509),
    [anon_sym_nonlocal] = ACTIONS(4507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4507),
    [anon_sym_assert] = ACTIONS(4507),
    [anon_sym_yield] = ACTIONS(4507),
    [anon_sym_return] = ACTIONS(4507),
    [anon_sym_from] = ACTIONS(4507),
    [anon_sym_LPAREN] = ACTIONS(4509),
    [sym_none] = ACTIONS(4507),
    [anon_sym_with] = ACTIONS(4507),
    [anon_sym_if] = ACTIONS(4507),
    [anon_sym_pass] = ACTIONS(4507),
    [sym_float] = ACTIONS(4509),
    [anon_sym_PLUS] = ACTIONS(4509),
    [anon_sym_AT] = ACTIONS(4509),
    [anon_sym_lambda] = ACTIONS(4507),
    [anon_sym_TILDE] = ACTIONS(4509),
    [anon_sym_print] = ACTIONS(4507),
    [anon_sym_del] = ACTIONS(4507),
    [sym_ellipsis] = ACTIONS(4509),
    [anon_sym_import] = ACTIONS(4507),
    [anon_sym_while] = ACTIONS(4507),
    [anon_sym_def] = ACTIONS(4507),
    [anon_sym_await] = ACTIONS(4507),
    [anon_sym_break] = ACTIONS(4507),
    [sym_identifier] = ACTIONS(4507),
    [anon_sym_DASH] = ACTIONS(4509),
    [sym__dedent] = ACTIONS(4509),
    [anon_sym_global] = ACTIONS(4507),
    [anon_sym_not] = ACTIONS(4507),
    [anon_sym_exec] = ACTIONS(4507),
    [anon_sym_raise] = ACTIONS(4507),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LBRACE] = ACTIONS(4509),
    [anon_sym_try] = ACTIONS(4507),
    [anon_sym_for] = ACTIONS(4507),
    [sym_false] = ACTIONS(4507),
    [anon_sym_continue] = ACTIONS(4507),
    [anon_sym_async] = ACTIONS(4507),
  },
  [2163] = {
    [sym_integer] = ACTIONS(4511),
    [sym_true] = ACTIONS(4511),
    [sym_false] = ACTIONS(4511),
    [anon_sym_nonlocal] = ACTIONS(4511),
    [sym__string_start] = ACTIONS(4513),
    [anon_sym_class] = ACTIONS(4511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4511),
    [anon_sym_yield] = ACTIONS(4511),
    [anon_sym_return] = ACTIONS(4511),
    [anon_sym_from] = ACTIONS(4511),
    [anon_sym_LPAREN] = ACTIONS(4513),
    [sym_none] = ACTIONS(4511),
    [anon_sym_with] = ACTIONS(4511),
    [anon_sym_if] = ACTIONS(4511),
    [anon_sym_pass] = ACTIONS(4511),
    [sym_float] = ACTIONS(4513),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_AT] = ACTIONS(4513),
    [anon_sym_lambda] = ACTIONS(4511),
    [anon_sym_TILDE] = ACTIONS(4513),
    [anon_sym_print] = ACTIONS(4511),
    [anon_sym_del] = ACTIONS(4511),
    [sym_ellipsis] = ACTIONS(4513),
    [anon_sym_import] = ACTIONS(4511),
    [anon_sym_while] = ACTIONS(4511),
    [anon_sym_def] = ACTIONS(4511),
    [anon_sym_except] = ACTIONS(4511),
    [anon_sym_break] = ACTIONS(4511),
    [anon_sym_else] = ACTIONS(4511),
    [anon_sym_DASH] = ACTIONS(4513),
    [sym_identifier] = ACTIONS(4511),
    [anon_sym_await] = ACTIONS(4511),
    [anon_sym_global] = ACTIONS(4511),
    [anon_sym_not] = ACTIONS(4511),
    [anon_sym_exec] = ACTIONS(4511),
    [sym__dedent] = ACTIONS(4513),
    [anon_sym_raise] = ACTIONS(4511),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4513),
    [anon_sym_try] = ACTIONS(4511),
    [anon_sym_for] = ACTIONS(4511),
    [anon_sym_finally] = ACTIONS(4511),
    [anon_sym_continue] = ACTIONS(4511),
    [anon_sym_async] = ACTIONS(4511),
  },
  [2164] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2179),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2165] = {
    [sym_integer] = ACTIONS(4515),
    [sym_true] = ACTIONS(4515),
    [sym_false] = ACTIONS(4515),
    [anon_sym_nonlocal] = ACTIONS(4515),
    [sym__string_start] = ACTIONS(4517),
    [anon_sym_class] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4515),
    [anon_sym_yield] = ACTIONS(4515),
    [anon_sym_return] = ACTIONS(4515),
    [anon_sym_from] = ACTIONS(4515),
    [anon_sym_LPAREN] = ACTIONS(4517),
    [sym_none] = ACTIONS(4515),
    [anon_sym_with] = ACTIONS(4515),
    [anon_sym_if] = ACTIONS(4515),
    [anon_sym_pass] = ACTIONS(4515),
    [sym_float] = ACTIONS(4517),
    [anon_sym_PLUS] = ACTIONS(4517),
    [anon_sym_AT] = ACTIONS(4517),
    [anon_sym_lambda] = ACTIONS(4515),
    [anon_sym_TILDE] = ACTIONS(4517),
    [anon_sym_print] = ACTIONS(4515),
    [anon_sym_del] = ACTIONS(4515),
    [sym_ellipsis] = ACTIONS(4517),
    [anon_sym_import] = ACTIONS(4515),
    [anon_sym_while] = ACTIONS(4515),
    [anon_sym_def] = ACTIONS(4515),
    [anon_sym_except] = ACTIONS(4515),
    [anon_sym_break] = ACTIONS(4515),
    [anon_sym_else] = ACTIONS(4515),
    [anon_sym_DASH] = ACTIONS(4517),
    [sym_identifier] = ACTIONS(4515),
    [anon_sym_await] = ACTIONS(4515),
    [anon_sym_global] = ACTIONS(4515),
    [anon_sym_not] = ACTIONS(4515),
    [anon_sym_exec] = ACTIONS(4515),
    [sym__dedent] = ACTIONS(4517),
    [anon_sym_raise] = ACTIONS(4515),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [anon_sym_LBRACE] = ACTIONS(4517),
    [anon_sym_try] = ACTIONS(4515),
    [anon_sym_for] = ACTIONS(4515),
    [anon_sym_finally] = ACTIONS(4515),
    [anon_sym_continue] = ACTIONS(4515),
    [anon_sym_async] = ACTIONS(4515),
  },
  [2166] = {
    [anon_sym_COLON] = ACTIONS(4694),
    [anon_sym_or] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [2167] = {
    [sym_integer] = ACTIONS(4521),
    [sym_true] = ACTIONS(4521),
    [sym__string_start] = ACTIONS(4523),
    [anon_sym_nonlocal] = ACTIONS(4521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4521),
    [anon_sym_assert] = ACTIONS(4521),
    [anon_sym_yield] = ACTIONS(4521),
    [anon_sym_return] = ACTIONS(4521),
    [anon_sym_from] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [sym_none] = ACTIONS(4521),
    [anon_sym_with] = ACTIONS(4521),
    [anon_sym_if] = ACTIONS(4521),
    [anon_sym_pass] = ACTIONS(4521),
    [sym_float] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4523),
    [anon_sym_AT] = ACTIONS(4523),
    [anon_sym_lambda] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4523),
    [anon_sym_print] = ACTIONS(4521),
    [anon_sym_del] = ACTIONS(4521),
    [sym_ellipsis] = ACTIONS(4523),
    [anon_sym_import] = ACTIONS(4521),
    [anon_sym_while] = ACTIONS(4521),
    [anon_sym_def] = ACTIONS(4521),
    [anon_sym_await] = ACTIONS(4521),
    [anon_sym_break] = ACTIONS(4521),
    [sym_identifier] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4523),
    [sym__dedent] = ACTIONS(4523),
    [anon_sym_global] = ACTIONS(4521),
    [anon_sym_not] = ACTIONS(4521),
    [anon_sym_exec] = ACTIONS(4521),
    [anon_sym_raise] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_try] = ACTIONS(4521),
    [anon_sym_for] = ACTIONS(4521),
    [sym_false] = ACTIONS(4521),
    [anon_sym_continue] = ACTIONS(4521),
    [anon_sym_async] = ACTIONS(4521),
  },
  [2168] = {
    [sym_else_clause] = STATE(2181),
    [sym_integer] = ACTIONS(4525),
    [sym_true] = ACTIONS(4525),
    [sym__string_start] = ACTIONS(4527),
    [anon_sym_nonlocal] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4525),
    [anon_sym_assert] = ACTIONS(4525),
    [anon_sym_yield] = ACTIONS(4525),
    [anon_sym_return] = ACTIONS(4525),
    [anon_sym_from] = ACTIONS(4525),
    [anon_sym_LPAREN] = ACTIONS(4527),
    [sym_none] = ACTIONS(4525),
    [anon_sym_with] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_pass] = ACTIONS(4525),
    [sym_float] = ACTIONS(4527),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_AT] = ACTIONS(4527),
    [anon_sym_lambda] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_print] = ACTIONS(4525),
    [anon_sym_del] = ACTIONS(4525),
    [sym_ellipsis] = ACTIONS(4527),
    [anon_sym_import] = ACTIONS(4525),
    [anon_sym_while] = ACTIONS(4525),
    [anon_sym_def] = ACTIONS(4525),
    [anon_sym_await] = ACTIONS(4525),
    [anon_sym_break] = ACTIONS(4525),
    [sym_identifier] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4527),
    [sym__dedent] = ACTIONS(4527),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(4525),
    [anon_sym_not] = ACTIONS(4525),
    [anon_sym_exec] = ACTIONS(4525),
    [anon_sym_raise] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [anon_sym_LBRACE] = ACTIONS(4527),
    [anon_sym_try] = ACTIONS(4525),
    [anon_sym_for] = ACTIONS(4525),
    [sym_false] = ACTIONS(4525),
    [anon_sym_continue] = ACTIONS(4525),
    [anon_sym_async] = ACTIONS(4525),
  },
  [2169] = {
    [sym_integer] = ACTIONS(4529),
    [sym_true] = ACTIONS(4529),
    [sym__string_start] = ACTIONS(4531),
    [anon_sym_nonlocal] = ACTIONS(4529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4529),
    [anon_sym_assert] = ACTIONS(4529),
    [anon_sym_yield] = ACTIONS(4529),
    [anon_sym_return] = ACTIONS(4529),
    [anon_sym_from] = ACTIONS(4529),
    [anon_sym_LPAREN] = ACTIONS(4531),
    [sym_none] = ACTIONS(4529),
    [anon_sym_with] = ACTIONS(4529),
    [anon_sym_if] = ACTIONS(4529),
    [anon_sym_pass] = ACTIONS(4529),
    [sym_float] = ACTIONS(4531),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_AT] = ACTIONS(4531),
    [anon_sym_lambda] = ACTIONS(4529),
    [anon_sym_TILDE] = ACTIONS(4531),
    [anon_sym_print] = ACTIONS(4529),
    [anon_sym_del] = ACTIONS(4529),
    [sym_ellipsis] = ACTIONS(4531),
    [anon_sym_import] = ACTIONS(4529),
    [anon_sym_while] = ACTIONS(4529),
    [anon_sym_def] = ACTIONS(4529),
    [anon_sym_await] = ACTIONS(4529),
    [anon_sym_break] = ACTIONS(4529),
    [sym_identifier] = ACTIONS(4529),
    [anon_sym_DASH] = ACTIONS(4531),
    [sym__dedent] = ACTIONS(4531),
    [anon_sym_global] = ACTIONS(4529),
    [anon_sym_not] = ACTIONS(4529),
    [anon_sym_exec] = ACTIONS(4529),
    [anon_sym_raise] = ACTIONS(4529),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [anon_sym_LBRACE] = ACTIONS(4531),
    [anon_sym_try] = ACTIONS(4529),
    [anon_sym_for] = ACTIONS(4529),
    [sym_false] = ACTIONS(4529),
    [anon_sym_continue] = ACTIONS(4529),
    [anon_sym_async] = ACTIONS(4529),
  },
  [2170] = {
    [sym_integer] = ACTIONS(4696),
    [sym_true] = ACTIONS(4696),
    [sym_false] = ACTIONS(4696),
    [anon_sym_nonlocal] = ACTIONS(4696),
    [sym__string_start] = ACTIONS(4698),
    [anon_sym_class] = ACTIONS(4696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4696),
    [anon_sym_yield] = ACTIONS(4696),
    [anon_sym_return] = ACTIONS(4696),
    [anon_sym_from] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4698),
    [sym_none] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [anon_sym_if] = ACTIONS(4696),
    [anon_sym_pass] = ACTIONS(4696),
    [sym_float] = ACTIONS(4698),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_AT] = ACTIONS(4698),
    [anon_sym_lambda] = ACTIONS(4696),
    [anon_sym_TILDE] = ACTIONS(4698),
    [anon_sym_print] = ACTIONS(4696),
    [anon_sym_del] = ACTIONS(4696),
    [sym_ellipsis] = ACTIONS(4698),
    [anon_sym_import] = ACTIONS(4696),
    [anon_sym_while] = ACTIONS(4696),
    [anon_sym_def] = ACTIONS(4696),
    [anon_sym_except] = ACTIONS(4696),
    [anon_sym_break] = ACTIONS(4696),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_DASH] = ACTIONS(4698),
    [sym_identifier] = ACTIONS(4696),
    [anon_sym_await] = ACTIONS(4696),
    [anon_sym_global] = ACTIONS(4696),
    [anon_sym_not] = ACTIONS(4696),
    [anon_sym_exec] = ACTIONS(4696),
    [ts_builtin_sym_end] = ACTIONS(4698),
    [anon_sym_raise] = ACTIONS(4696),
    [anon_sym_LBRACK] = ACTIONS(4698),
    [anon_sym_LBRACE] = ACTIONS(4698),
    [anon_sym_try] = ACTIONS(4696),
    [anon_sym_for] = ACTIONS(4696),
    [anon_sym_finally] = ACTIONS(4696),
    [anon_sym_continue] = ACTIONS(4696),
    [anon_sym_async] = ACTIONS(4696),
  },
  [2171] = {
    [sym_else_clause] = STATE(2182),
    [sym_integer] = ACTIONS(4535),
    [sym_true] = ACTIONS(4535),
    [sym__string_start] = ACTIONS(4537),
    [anon_sym_nonlocal] = ACTIONS(4535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4535),
    [anon_sym_assert] = ACTIONS(4535),
    [anon_sym_yield] = ACTIONS(4535),
    [anon_sym_return] = ACTIONS(4535),
    [anon_sym_from] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4537),
    [sym_none] = ACTIONS(4535),
    [anon_sym_with] = ACTIONS(4535),
    [anon_sym_if] = ACTIONS(4535),
    [anon_sym_pass] = ACTIONS(4535),
    [sym_float] = ACTIONS(4537),
    [anon_sym_PLUS] = ACTIONS(4537),
    [anon_sym_AT] = ACTIONS(4537),
    [anon_sym_lambda] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4537),
    [anon_sym_print] = ACTIONS(4535),
    [anon_sym_del] = ACTIONS(4535),
    [sym_ellipsis] = ACTIONS(4537),
    [anon_sym_import] = ACTIONS(4535),
    [anon_sym_while] = ACTIONS(4535),
    [anon_sym_def] = ACTIONS(4535),
    [anon_sym_await] = ACTIONS(4535),
    [anon_sym_break] = ACTIONS(4535),
    [sym_identifier] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4537),
    [sym__dedent] = ACTIONS(4537),
    [anon_sym_else] = ACTIONS(4493),
    [anon_sym_global] = ACTIONS(4535),
    [anon_sym_not] = ACTIONS(4535),
    [anon_sym_exec] = ACTIONS(4535),
    [anon_sym_raise] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4537),
    [anon_sym_LBRACE] = ACTIONS(4537),
    [anon_sym_try] = ACTIONS(4535),
    [anon_sym_for] = ACTIONS(4535),
    [sym_false] = ACTIONS(4535),
    [anon_sym_continue] = ACTIONS(4535),
    [anon_sym_async] = ACTIONS(4535),
  },
  [2172] = {
    [sym_integer] = ACTIONS(4539),
    [sym_true] = ACTIONS(4539),
    [sym__string_start] = ACTIONS(4541),
    [anon_sym_nonlocal] = ACTIONS(4539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4539),
    [anon_sym_assert] = ACTIONS(4539),
    [anon_sym_yield] = ACTIONS(4539),
    [anon_sym_return] = ACTIONS(4539),
    [anon_sym_from] = ACTIONS(4539),
    [anon_sym_LPAREN] = ACTIONS(4541),
    [sym_none] = ACTIONS(4539),
    [anon_sym_with] = ACTIONS(4539),
    [anon_sym_if] = ACTIONS(4539),
    [anon_sym_pass] = ACTIONS(4539),
    [sym_float] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4541),
    [anon_sym_AT] = ACTIONS(4541),
    [anon_sym_lambda] = ACTIONS(4539),
    [anon_sym_TILDE] = ACTIONS(4541),
    [anon_sym_print] = ACTIONS(4539),
    [anon_sym_del] = ACTIONS(4539),
    [sym_ellipsis] = ACTIONS(4541),
    [anon_sym_import] = ACTIONS(4539),
    [anon_sym_while] = ACTIONS(4539),
    [anon_sym_def] = ACTIONS(4539),
    [anon_sym_await] = ACTIONS(4539),
    [anon_sym_break] = ACTIONS(4539),
    [sym_identifier] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4541),
    [sym__dedent] = ACTIONS(4541),
    [anon_sym_global] = ACTIONS(4539),
    [anon_sym_not] = ACTIONS(4539),
    [anon_sym_exec] = ACTIONS(4539),
    [anon_sym_raise] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4541),
    [anon_sym_LBRACE] = ACTIONS(4541),
    [anon_sym_try] = ACTIONS(4539),
    [anon_sym_for] = ACTIONS(4539),
    [sym_false] = ACTIONS(4539),
    [anon_sym_continue] = ACTIONS(4539),
    [anon_sym_async] = ACTIONS(4539),
  },
  [2173] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2183),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2174] = {
    [sym_integer] = ACTIONS(4543),
    [sym_true] = ACTIONS(4543),
    [sym__string_start] = ACTIONS(4545),
    [anon_sym_nonlocal] = ACTIONS(4543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4543),
    [anon_sym_assert] = ACTIONS(4543),
    [anon_sym_yield] = ACTIONS(4543),
    [anon_sym_return] = ACTIONS(4543),
    [anon_sym_from] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(4545),
    [sym_none] = ACTIONS(4543),
    [anon_sym_with] = ACTIONS(4543),
    [anon_sym_if] = ACTIONS(4543),
    [anon_sym_pass] = ACTIONS(4543),
    [sym_float] = ACTIONS(4545),
    [anon_sym_PLUS] = ACTIONS(4545),
    [anon_sym_AT] = ACTIONS(4545),
    [anon_sym_lambda] = ACTIONS(4543),
    [anon_sym_TILDE] = ACTIONS(4545),
    [anon_sym_print] = ACTIONS(4543),
    [anon_sym_del] = ACTIONS(4543),
    [sym_ellipsis] = ACTIONS(4545),
    [anon_sym_import] = ACTIONS(4543),
    [anon_sym_while] = ACTIONS(4543),
    [anon_sym_def] = ACTIONS(4543),
    [anon_sym_await] = ACTIONS(4543),
    [anon_sym_break] = ACTIONS(4543),
    [sym_identifier] = ACTIONS(4543),
    [anon_sym_DASH] = ACTIONS(4545),
    [sym__dedent] = ACTIONS(4545),
    [anon_sym_global] = ACTIONS(4543),
    [anon_sym_not] = ACTIONS(4543),
    [anon_sym_exec] = ACTIONS(4543),
    [anon_sym_raise] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(4545),
    [anon_sym_try] = ACTIONS(4543),
    [anon_sym_for] = ACTIONS(4543),
    [sym_false] = ACTIONS(4543),
    [anon_sym_continue] = ACTIONS(4543),
    [anon_sym_async] = ACTIONS(4543),
  },
  [2175] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2184),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2176] = {
    [sym_integer] = ACTIONS(4578),
    [sym_true] = ACTIONS(4578),
    [sym__string_start] = ACTIONS(4580),
    [anon_sym_nonlocal] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4578),
    [anon_sym_assert] = ACTIONS(4578),
    [anon_sym_yield] = ACTIONS(4578),
    [anon_sym_return] = ACTIONS(4578),
    [anon_sym_from] = ACTIONS(4578),
    [anon_sym_LPAREN] = ACTIONS(4580),
    [sym_none] = ACTIONS(4578),
    [anon_sym_with] = ACTIONS(4578),
    [anon_sym_if] = ACTIONS(4578),
    [anon_sym_pass] = ACTIONS(4578),
    [anon_sym_elif] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4580),
    [sym_float] = ACTIONS(4580),
    [anon_sym_AT] = ACTIONS(4580),
    [anon_sym_lambda] = ACTIONS(4578),
    [anon_sym_TILDE] = ACTIONS(4580),
    [anon_sym_print] = ACTIONS(4578),
    [anon_sym_del] = ACTIONS(4578),
    [sym_ellipsis] = ACTIONS(4580),
    [anon_sym_import] = ACTIONS(4578),
    [anon_sym_while] = ACTIONS(4578),
    [anon_sym_def] = ACTIONS(4578),
    [anon_sym_await] = ACTIONS(4578),
    [anon_sym_break] = ACTIONS(4578),
    [anon_sym_else] = ACTIONS(4578),
    [anon_sym_DASH] = ACTIONS(4580),
    [sym_identifier] = ACTIONS(4578),
    [sym__dedent] = ACTIONS(4580),
    [anon_sym_global] = ACTIONS(4578),
    [anon_sym_not] = ACTIONS(4578),
    [anon_sym_exec] = ACTIONS(4578),
    [anon_sym_raise] = ACTIONS(4578),
    [anon_sym_LBRACK] = ACTIONS(4580),
    [anon_sym_LBRACE] = ACTIONS(4580),
    [anon_sym_try] = ACTIONS(4578),
    [anon_sym_for] = ACTIONS(4578),
    [sym_false] = ACTIONS(4578),
    [anon_sym_continue] = ACTIONS(4578),
    [anon_sym_async] = ACTIONS(4578),
  },
  [2177] = {
    [sym_integer] = ACTIONS(4582),
    [sym_true] = ACTIONS(4582),
    [sym__string_start] = ACTIONS(4584),
    [anon_sym_nonlocal] = ACTIONS(4582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4582),
    [anon_sym_finally] = ACTIONS(4582),
    [anon_sym_assert] = ACTIONS(4582),
    [anon_sym_yield] = ACTIONS(4582),
    [anon_sym_return] = ACTIONS(4582),
    [anon_sym_from] = ACTIONS(4582),
    [anon_sym_LPAREN] = ACTIONS(4584),
    [sym_none] = ACTIONS(4582),
    [anon_sym_with] = ACTIONS(4582),
    [anon_sym_if] = ACTIONS(4582),
    [anon_sym_pass] = ACTIONS(4582),
    [sym_float] = ACTIONS(4584),
    [anon_sym_PLUS] = ACTIONS(4584),
    [anon_sym_AT] = ACTIONS(4584),
    [anon_sym_lambda] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4584),
    [anon_sym_print] = ACTIONS(4582),
    [anon_sym_del] = ACTIONS(4582),
    [sym_ellipsis] = ACTIONS(4584),
    [anon_sym_import] = ACTIONS(4582),
    [anon_sym_while] = ACTIONS(4582),
    [anon_sym_def] = ACTIONS(4582),
    [anon_sym_await] = ACTIONS(4582),
    [anon_sym_break] = ACTIONS(4582),
    [sym_identifier] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4584),
    [sym__dedent] = ACTIONS(4584),
    [anon_sym_global] = ACTIONS(4582),
    [anon_sym_not] = ACTIONS(4582),
    [anon_sym_exec] = ACTIONS(4582),
    [anon_sym_raise] = ACTIONS(4582),
    [anon_sym_LBRACK] = ACTIONS(4584),
    [anon_sym_LBRACE] = ACTIONS(4584),
    [anon_sym_try] = ACTIONS(4582),
    [anon_sym_for] = ACTIONS(4582),
    [sym_false] = ACTIONS(4582),
    [anon_sym_continue] = ACTIONS(4582),
    [anon_sym_async] = ACTIONS(4582),
  },
  [2178] = {
    [sym_integer] = ACTIONS(4604),
    [sym_true] = ACTIONS(4604),
    [sym__string_start] = ACTIONS(4606),
    [anon_sym_nonlocal] = ACTIONS(4604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4604),
    [anon_sym_assert] = ACTIONS(4604),
    [anon_sym_yield] = ACTIONS(4604),
    [anon_sym_return] = ACTIONS(4604),
    [anon_sym_from] = ACTIONS(4604),
    [anon_sym_LPAREN] = ACTIONS(4606),
    [sym_none] = ACTIONS(4604),
    [anon_sym_with] = ACTIONS(4604),
    [anon_sym_if] = ACTIONS(4604),
    [anon_sym_pass] = ACTIONS(4604),
    [sym_float] = ACTIONS(4606),
    [anon_sym_PLUS] = ACTIONS(4606),
    [anon_sym_AT] = ACTIONS(4606),
    [anon_sym_lambda] = ACTIONS(4604),
    [anon_sym_TILDE] = ACTIONS(4606),
    [anon_sym_print] = ACTIONS(4604),
    [anon_sym_del] = ACTIONS(4604),
    [sym_ellipsis] = ACTIONS(4606),
    [anon_sym_import] = ACTIONS(4604),
    [anon_sym_while] = ACTIONS(4604),
    [anon_sym_def] = ACTIONS(4604),
    [anon_sym_await] = ACTIONS(4604),
    [anon_sym_break] = ACTIONS(4604),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_DASH] = ACTIONS(4606),
    [sym__dedent] = ACTIONS(4606),
    [anon_sym_global] = ACTIONS(4604),
    [anon_sym_not] = ACTIONS(4604),
    [anon_sym_exec] = ACTIONS(4604),
    [anon_sym_raise] = ACTIONS(4604),
    [anon_sym_LBRACK] = ACTIONS(4606),
    [anon_sym_LBRACE] = ACTIONS(4606),
    [anon_sym_try] = ACTIONS(4604),
    [anon_sym_for] = ACTIONS(4604),
    [sym_false] = ACTIONS(4604),
    [anon_sym_continue] = ACTIONS(4604),
    [anon_sym_async] = ACTIONS(4604),
  },
  [2179] = {
    [sym_integer] = ACTIONS(4643),
    [sym_true] = ACTIONS(4643),
    [sym_false] = ACTIONS(4643),
    [anon_sym_nonlocal] = ACTIONS(4643),
    [sym__string_start] = ACTIONS(4645),
    [anon_sym_class] = ACTIONS(4643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4643),
    [anon_sym_yield] = ACTIONS(4643),
    [anon_sym_return] = ACTIONS(4643),
    [anon_sym_from] = ACTIONS(4643),
    [anon_sym_LPAREN] = ACTIONS(4645),
    [sym_none] = ACTIONS(4643),
    [anon_sym_with] = ACTIONS(4643),
    [anon_sym_if] = ACTIONS(4643),
    [anon_sym_pass] = ACTIONS(4643),
    [sym_float] = ACTIONS(4645),
    [anon_sym_PLUS] = ACTIONS(4645),
    [anon_sym_AT] = ACTIONS(4645),
    [anon_sym_lambda] = ACTIONS(4643),
    [anon_sym_TILDE] = ACTIONS(4645),
    [anon_sym_print] = ACTIONS(4643),
    [anon_sym_del] = ACTIONS(4643),
    [sym_ellipsis] = ACTIONS(4645),
    [anon_sym_import] = ACTIONS(4643),
    [anon_sym_while] = ACTIONS(4643),
    [anon_sym_def] = ACTIONS(4643),
    [anon_sym_except] = ACTIONS(4643),
    [anon_sym_break] = ACTIONS(4643),
    [anon_sym_else] = ACTIONS(4643),
    [anon_sym_DASH] = ACTIONS(4645),
    [sym_identifier] = ACTIONS(4643),
    [anon_sym_await] = ACTIONS(4643),
    [anon_sym_global] = ACTIONS(4643),
    [anon_sym_not] = ACTIONS(4643),
    [anon_sym_exec] = ACTIONS(4643),
    [sym__dedent] = ACTIONS(4645),
    [anon_sym_raise] = ACTIONS(4643),
    [anon_sym_LBRACK] = ACTIONS(4645),
    [anon_sym_LBRACE] = ACTIONS(4645),
    [anon_sym_try] = ACTIONS(4643),
    [anon_sym_for] = ACTIONS(4643),
    [anon_sym_finally] = ACTIONS(4643),
    [anon_sym_continue] = ACTIONS(4643),
    [anon_sym_async] = ACTIONS(4643),
  },
  [2180] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1023),
    [sym_continue_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_return_statement] = STATE(1023),
    [sym_delete_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1023),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(2186),
    [sym_future_import_statement] = STATE(1023),
    [sym_import_from_statement] = STATE(1023),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_raise_statement] = STATE(1023),
    [sym_pass_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1023),
    [sym_exec_statement] = STATE(1023),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(4700),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2181] = {
    [sym_integer] = ACTIONS(4649),
    [sym_true] = ACTIONS(4649),
    [sym__string_start] = ACTIONS(4651),
    [anon_sym_nonlocal] = ACTIONS(4649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4649),
    [anon_sym_assert] = ACTIONS(4649),
    [anon_sym_yield] = ACTIONS(4649),
    [anon_sym_return] = ACTIONS(4649),
    [anon_sym_from] = ACTIONS(4649),
    [anon_sym_LPAREN] = ACTIONS(4651),
    [sym_none] = ACTIONS(4649),
    [anon_sym_with] = ACTIONS(4649),
    [anon_sym_if] = ACTIONS(4649),
    [anon_sym_pass] = ACTIONS(4649),
    [sym_float] = ACTIONS(4651),
    [anon_sym_PLUS] = ACTIONS(4651),
    [anon_sym_AT] = ACTIONS(4651),
    [anon_sym_lambda] = ACTIONS(4649),
    [anon_sym_TILDE] = ACTIONS(4651),
    [anon_sym_print] = ACTIONS(4649),
    [anon_sym_del] = ACTIONS(4649),
    [sym_ellipsis] = ACTIONS(4651),
    [anon_sym_import] = ACTIONS(4649),
    [anon_sym_while] = ACTIONS(4649),
    [anon_sym_def] = ACTIONS(4649),
    [anon_sym_await] = ACTIONS(4649),
    [anon_sym_break] = ACTIONS(4649),
    [sym_identifier] = ACTIONS(4649),
    [anon_sym_DASH] = ACTIONS(4651),
    [sym__dedent] = ACTIONS(4651),
    [anon_sym_global] = ACTIONS(4649),
    [anon_sym_not] = ACTIONS(4649),
    [anon_sym_exec] = ACTIONS(4649),
    [anon_sym_raise] = ACTIONS(4649),
    [anon_sym_LBRACK] = ACTIONS(4651),
    [anon_sym_LBRACE] = ACTIONS(4651),
    [anon_sym_try] = ACTIONS(4649),
    [anon_sym_for] = ACTIONS(4649),
    [sym_false] = ACTIONS(4649),
    [anon_sym_continue] = ACTIONS(4649),
    [anon_sym_async] = ACTIONS(4649),
  },
  [2182] = {
    [sym_integer] = ACTIONS(4653),
    [sym_true] = ACTIONS(4653),
    [sym__string_start] = ACTIONS(4655),
    [anon_sym_nonlocal] = ACTIONS(4653),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4653),
    [anon_sym_assert] = ACTIONS(4653),
    [anon_sym_yield] = ACTIONS(4653),
    [anon_sym_return] = ACTIONS(4653),
    [anon_sym_from] = ACTIONS(4653),
    [anon_sym_LPAREN] = ACTIONS(4655),
    [sym_none] = ACTIONS(4653),
    [anon_sym_with] = ACTIONS(4653),
    [anon_sym_if] = ACTIONS(4653),
    [anon_sym_pass] = ACTIONS(4653),
    [sym_float] = ACTIONS(4655),
    [anon_sym_PLUS] = ACTIONS(4655),
    [anon_sym_AT] = ACTIONS(4655),
    [anon_sym_lambda] = ACTIONS(4653),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_print] = ACTIONS(4653),
    [anon_sym_del] = ACTIONS(4653),
    [sym_ellipsis] = ACTIONS(4655),
    [anon_sym_import] = ACTIONS(4653),
    [anon_sym_while] = ACTIONS(4653),
    [anon_sym_def] = ACTIONS(4653),
    [anon_sym_await] = ACTIONS(4653),
    [anon_sym_break] = ACTIONS(4653),
    [sym_identifier] = ACTIONS(4653),
    [anon_sym_DASH] = ACTIONS(4655),
    [sym__dedent] = ACTIONS(4655),
    [anon_sym_global] = ACTIONS(4653),
    [anon_sym_not] = ACTIONS(4653),
    [anon_sym_exec] = ACTIONS(4653),
    [anon_sym_raise] = ACTIONS(4653),
    [anon_sym_LBRACK] = ACTIONS(4655),
    [anon_sym_LBRACE] = ACTIONS(4655),
    [anon_sym_try] = ACTIONS(4653),
    [anon_sym_for] = ACTIONS(4653),
    [sym_false] = ACTIONS(4653),
    [anon_sym_continue] = ACTIONS(4653),
    [anon_sym_async] = ACTIONS(4653),
  },
  [2183] = {
    [sym_integer] = ACTIONS(4657),
    [sym_true] = ACTIONS(4657),
    [sym__string_start] = ACTIONS(4659),
    [anon_sym_nonlocal] = ACTIONS(4657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4657),
    [anon_sym_assert] = ACTIONS(4657),
    [anon_sym_yield] = ACTIONS(4657),
    [anon_sym_return] = ACTIONS(4657),
    [anon_sym_from] = ACTIONS(4657),
    [anon_sym_LPAREN] = ACTIONS(4659),
    [sym_none] = ACTIONS(4657),
    [anon_sym_with] = ACTIONS(4657),
    [anon_sym_if] = ACTIONS(4657),
    [anon_sym_pass] = ACTIONS(4657),
    [sym_float] = ACTIONS(4659),
    [anon_sym_PLUS] = ACTIONS(4659),
    [anon_sym_AT] = ACTIONS(4659),
    [anon_sym_lambda] = ACTIONS(4657),
    [anon_sym_TILDE] = ACTIONS(4659),
    [anon_sym_print] = ACTIONS(4657),
    [anon_sym_del] = ACTIONS(4657),
    [sym_ellipsis] = ACTIONS(4659),
    [anon_sym_import] = ACTIONS(4657),
    [anon_sym_while] = ACTIONS(4657),
    [anon_sym_def] = ACTIONS(4657),
    [anon_sym_await] = ACTIONS(4657),
    [anon_sym_break] = ACTIONS(4657),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym_DASH] = ACTIONS(4659),
    [sym__dedent] = ACTIONS(4659),
    [anon_sym_global] = ACTIONS(4657),
    [anon_sym_not] = ACTIONS(4657),
    [anon_sym_exec] = ACTIONS(4657),
    [anon_sym_raise] = ACTIONS(4657),
    [anon_sym_LBRACK] = ACTIONS(4659),
    [anon_sym_LBRACE] = ACTIONS(4659),
    [anon_sym_try] = ACTIONS(4657),
    [anon_sym_for] = ACTIONS(4657),
    [sym_false] = ACTIONS(4657),
    [anon_sym_continue] = ACTIONS(4657),
    [anon_sym_async] = ACTIONS(4657),
  },
  [2184] = {
    [sym_integer] = ACTIONS(4667),
    [sym_true] = ACTIONS(4667),
    [sym__string_start] = ACTIONS(4669),
    [anon_sym_nonlocal] = ACTIONS(4667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(4667),
    [anon_sym_assert] = ACTIONS(4667),
    [anon_sym_yield] = ACTIONS(4667),
    [anon_sym_return] = ACTIONS(4667),
    [anon_sym_from] = ACTIONS(4667),
    [anon_sym_LPAREN] = ACTIONS(4669),
    [sym_none] = ACTIONS(4667),
    [anon_sym_with] = ACTIONS(4667),
    [anon_sym_if] = ACTIONS(4667),
    [anon_sym_pass] = ACTIONS(4667),
    [anon_sym_elif] = ACTIONS(4667),
    [anon_sym_PLUS] = ACTIONS(4669),
    [sym_float] = ACTIONS(4669),
    [anon_sym_AT] = ACTIONS(4669),
    [anon_sym_lambda] = ACTIONS(4667),
    [anon_sym_TILDE] = ACTIONS(4669),
    [anon_sym_print] = ACTIONS(4667),
    [anon_sym_del] = ACTIONS(4667),
    [sym_ellipsis] = ACTIONS(4669),
    [anon_sym_import] = ACTIONS(4667),
    [anon_sym_while] = ACTIONS(4667),
    [anon_sym_def] = ACTIONS(4667),
    [anon_sym_await] = ACTIONS(4667),
    [anon_sym_break] = ACTIONS(4667),
    [anon_sym_else] = ACTIONS(4667),
    [anon_sym_DASH] = ACTIONS(4669),
    [sym_identifier] = ACTIONS(4667),
    [sym__dedent] = ACTIONS(4669),
    [anon_sym_global] = ACTIONS(4667),
    [anon_sym_not] = ACTIONS(4667),
    [anon_sym_exec] = ACTIONS(4667),
    [anon_sym_raise] = ACTIONS(4667),
    [anon_sym_LBRACK] = ACTIONS(4669),
    [anon_sym_LBRACE] = ACTIONS(4669),
    [anon_sym_try] = ACTIONS(4667),
    [anon_sym_for] = ACTIONS(4667),
    [sym_false] = ACTIONS(4667),
    [anon_sym_continue] = ACTIONS(4667),
    [anon_sym_async] = ACTIONS(4667),
  },
  [2185] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1023),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1023),
    [sym_while_statement] = STATE(1024),
    [sym_function_definition] = STATE(1024),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1023),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(1024),
    [sym_decorated_definition] = STATE(1024),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(1025),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1023),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1023),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1023),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(1024),
    [sym_exec_statement] = STATE(1023),
    [sym_block] = STATE(2187),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1023),
    [sym_break_statement] = STATE(1023),
    [sym_for_statement] = STATE(1024),
    [sym_class_definition] = STATE(1024),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1023),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1023),
    [sym_if_statement] = STATE(1024),
    [sym_global_statement] = STATE(1023),
    [sym_decorator] = STATE(1029),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(1027),
    [sym_future_import_statement] = STATE(1023),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1023),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(2071),
    [sym_nonlocal_statement] = STATE(1023),
    [aux_sym_decorated_definition_repeat1] = STATE(1029),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1885),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_def] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1899),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(1901),
  },
  [2186] = {
    [sym_integer] = ACTIONS(4686),
    [sym_true] = ACTIONS(4686),
    [sym_false] = ACTIONS(4686),
    [anon_sym_nonlocal] = ACTIONS(4686),
    [sym__string_start] = ACTIONS(4688),
    [anon_sym_class] = ACTIONS(4686),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4686),
    [anon_sym_yield] = ACTIONS(4686),
    [anon_sym_return] = ACTIONS(4686),
    [anon_sym_from] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4688),
    [sym_none] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [anon_sym_if] = ACTIONS(4686),
    [anon_sym_pass] = ACTIONS(4686),
    [sym_float] = ACTIONS(4688),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_AT] = ACTIONS(4688),
    [anon_sym_lambda] = ACTIONS(4686),
    [anon_sym_TILDE] = ACTIONS(4688),
    [anon_sym_print] = ACTIONS(4686),
    [anon_sym_del] = ACTIONS(4686),
    [sym_ellipsis] = ACTIONS(4688),
    [anon_sym_import] = ACTIONS(4686),
    [anon_sym_while] = ACTIONS(4686),
    [anon_sym_def] = ACTIONS(4686),
    [anon_sym_except] = ACTIONS(4686),
    [anon_sym_break] = ACTIONS(4686),
    [anon_sym_else] = ACTIONS(4686),
    [anon_sym_DASH] = ACTIONS(4688),
    [sym_identifier] = ACTIONS(4686),
    [anon_sym_await] = ACTIONS(4686),
    [anon_sym_global] = ACTIONS(4686),
    [anon_sym_not] = ACTIONS(4686),
    [anon_sym_exec] = ACTIONS(4686),
    [sym__dedent] = ACTIONS(4688),
    [anon_sym_raise] = ACTIONS(4686),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_LBRACE] = ACTIONS(4688),
    [anon_sym_try] = ACTIONS(4686),
    [anon_sym_for] = ACTIONS(4686),
    [anon_sym_finally] = ACTIONS(4686),
    [anon_sym_continue] = ACTIONS(4686),
    [anon_sym_async] = ACTIONS(4686),
  },
  [2187] = {
    [sym_integer] = ACTIONS(4696),
    [sym_true] = ACTIONS(4696),
    [sym_false] = ACTIONS(4696),
    [anon_sym_nonlocal] = ACTIONS(4696),
    [sym__string_start] = ACTIONS(4698),
    [anon_sym_class] = ACTIONS(4696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(4696),
    [anon_sym_yield] = ACTIONS(4696),
    [anon_sym_return] = ACTIONS(4696),
    [anon_sym_from] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4698),
    [sym_none] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [anon_sym_if] = ACTIONS(4696),
    [anon_sym_pass] = ACTIONS(4696),
    [sym_float] = ACTIONS(4698),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_AT] = ACTIONS(4698),
    [anon_sym_lambda] = ACTIONS(4696),
    [anon_sym_TILDE] = ACTIONS(4698),
    [anon_sym_print] = ACTIONS(4696),
    [anon_sym_del] = ACTIONS(4696),
    [sym_ellipsis] = ACTIONS(4698),
    [anon_sym_import] = ACTIONS(4696),
    [anon_sym_while] = ACTIONS(4696),
    [anon_sym_def] = ACTIONS(4696),
    [anon_sym_except] = ACTIONS(4696),
    [anon_sym_break] = ACTIONS(4696),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_DASH] = ACTIONS(4698),
    [sym_identifier] = ACTIONS(4696),
    [anon_sym_await] = ACTIONS(4696),
    [anon_sym_global] = ACTIONS(4696),
    [anon_sym_not] = ACTIONS(4696),
    [anon_sym_exec] = ACTIONS(4696),
    [sym__dedent] = ACTIONS(4698),
    [anon_sym_raise] = ACTIONS(4696),
    [anon_sym_LBRACK] = ACTIONS(4698),
    [anon_sym_LBRACE] = ACTIONS(4698),
    [anon_sym_try] = ACTIONS(4696),
    [anon_sym_for] = ACTIONS(4696),
    [anon_sym_finally] = ACTIONS(4696),
    [anon_sym_continue] = ACTIONS(4696),
    [anon_sym_async] = ACTIONS(4696),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = false}, SHIFT(39),
  [7] = {.count = 1, .reusable = false}, SHIFT(2),
  [9] = {.count = 1, .reusable = false}, SHIFT(4),
  [11] = {.count = 1, .reusable = false}, SHIFT(5),
  [13] = {.count = 1, .reusable = false}, SHIFT(6),
  [15] = {.count = 1, .reusable = false}, SHIFT(7),
  [17] = {.count = 1, .reusable = false}, SHIFT(8),
  [19] = {.count = 1, .reusable = false}, SHIFT(9),
  [21] = {.count = 1, .reusable = true}, SHIFT(10),
  [23] = {.count = 1, .reusable = false}, SHIFT(11),
  [25] = {.count = 1, .reusable = false}, SHIFT(12),
  [27] = {.count = 1, .reusable = false}, SHIFT(13),
  [29] = {.count = 1, .reusable = true}, SHIFT(39),
  [31] = {.count = 1, .reusable = true}, SHIFT(14),
  [33] = {.count = 1, .reusable = true}, SHIFT(15),
  [35] = {.count = 1, .reusable = false}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(17),
  [39] = {.count = 1, .reusable = false}, SHIFT(18),
  [41] = {.count = 1, .reusable = false}, SHIFT(19),
  [43] = {.count = 1, .reusable = false}, SHIFT(20),
  [45] = {.count = 1, .reusable = false}, SHIFT(21),
  [47] = {.count = 1, .reusable = false}, SHIFT(22),
  [49] = {.count = 1, .reusable = false}, SHIFT(23),
  [51] = {.count = 1, .reusable = false}, SHIFT(24),
  [53] = {.count = 1, .reusable = false}, SHIFT(25),
  [55] = {.count = 1, .reusable = false}, SHIFT(26),
  [57] = {.count = 1, .reusable = false}, SHIFT(27),
  [59] = {.count = 1, .reusable = true}, REDUCE(sym_module, 0),
  [61] = {.count = 1, .reusable = false}, SHIFT(28),
  [63] = {.count = 1, .reusable = true}, SHIFT(29),
  [65] = {.count = 1, .reusable = true}, SHIFT(30),
  [67] = {.count = 1, .reusable = false}, SHIFT(31),
  [69] = {.count = 1, .reusable = false}, SHIFT(32),
  [71] = {.count = 1, .reusable = false}, SHIFT(33),
  [73] = {.count = 1, .reusable = true}, SHIFT(3),
  [75] = {.count = 1, .reusable = true}, SHIFT(47),
  [77] = {.count = 1, .reusable = true}, SHIFT(46),
  [79] = {.count = 1, .reusable = true}, SHIFT(48),
  [81] = {.count = 1, .reusable = true}, SHIFT(51),
  [83] = {.count = 1, .reusable = true}, SHIFT(49),
  [85] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [87] = {.count = 1, .reusable = false}, SHIFT(50),
  [89] = {.count = 1, .reusable = true}, SHIFT(52),
  [91] = {.count = 1, .reusable = true}, SHIFT(53),
  [93] = {.count = 1, .reusable = false}, SHIFT(66),
  [95] = {.count = 1, .reusable = false}, SHIFT(54),
  [97] = {.count = 1, .reusable = true}, SHIFT(66),
  [99] = {.count = 1, .reusable = true}, SHIFT(55),
  [101] = {.count = 1, .reusable = false}, SHIFT(57),
  [103] = {.count = 1, .reusable = false}, SHIFT(58),
  [105] = {.count = 1, .reusable = false}, SHIFT(59),
  [107] = {.count = 1, .reusable = true}, SHIFT(60),
  [109] = {.count = 1, .reusable = true}, SHIFT(61),
  [111] = {.count = 1, .reusable = true}, SHIFT(62),
  [113] = {.count = 1, .reusable = false}, SHIFT(63),
  [115] = {.count = 1, .reusable = true}, SHIFT(56),
  [117] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [119] = {.count = 1, .reusable = false}, SHIFT(67),
  [121] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [123] = {.count = 1, .reusable = true}, SHIFT(74),
  [125] = {.count = 1, .reusable = false}, SHIFT(71),
  [127] = {.count = 1, .reusable = false}, SHIFT(72),
  [129] = {.count = 1, .reusable = false}, SHIFT(92),
  [131] = {.count = 1, .reusable = false}, SHIFT(76),
  [133] = {.count = 1, .reusable = true}, SHIFT(92),
  [135] = {.count = 1, .reusable = true}, SHIFT(77),
  [137] = {.count = 1, .reusable = true}, SHIFT(79),
  [139] = {.count = 1, .reusable = false}, SHIFT(80),
  [141] = {.count = 1, .reusable = false}, SHIFT(81),
  [143] = {.count = 1, .reusable = false}, SHIFT(82),
  [145] = {.count = 1, .reusable = false}, SHIFT(83),
  [147] = {.count = 1, .reusable = true}, SHIFT(84),
  [149] = {.count = 1, .reusable = true}, SHIFT(85),
  [151] = {.count = 1, .reusable = true}, SHIFT(86),
  [153] = {.count = 1, .reusable = true}, SHIFT(87),
  [155] = {.count = 1, .reusable = false}, SHIFT(88),
  [157] = {.count = 1, .reusable = true}, SHIFT(78),
  [159] = {.count = 1, .reusable = false}, SHIFT(101),
  [161] = {.count = 1, .reusable = true}, SHIFT(101),
  [163] = {.count = 1, .reusable = true}, SHIFT(93),
  [165] = {.count = 1, .reusable = false}, SHIFT(94),
  [167] = {.count = 1, .reusable = false}, SHIFT(95),
  [169] = {.count = 1, .reusable = false}, SHIFT(96),
  [171] = {.count = 1, .reusable = false}, SHIFT(97),
  [173] = {.count = 1, .reusable = false}, SHIFT(109),
  [175] = {.count = 1, .reusable = true}, SHIFT(109),
  [177] = {.count = 1, .reusable = true}, SHIFT(102),
  [179] = {.count = 1, .reusable = false}, SHIFT(103),
  [181] = {.count = 1, .reusable = false}, SHIFT(104),
  [183] = {.count = 1, .reusable = false}, SHIFT(105),
  [185] = {.count = 1, .reusable = false}, SHIFT(106),
  [187] = {.count = 1, .reusable = true}, REDUCE(sym_pass_statement, 1),
  [189] = {.count = 1, .reusable = false}, SHIFT(111),
  [191] = {.count = 1, .reusable = false}, SHIFT(110),
  [193] = {.count = 1, .reusable = true}, SHIFT(111),
  [195] = {.count = 1, .reusable = true}, SHIFT(112),
  [197] = {.count = 1, .reusable = false}, SHIFT(114),
  [199] = {.count = 1, .reusable = false}, SHIFT(115),
  [201] = {.count = 1, .reusable = true}, SHIFT(116),
  [203] = {.count = 1, .reusable = true}, SHIFT(117),
  [205] = {.count = 1, .reusable = true}, SHIFT(118),
  [207] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [209] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [211] = {.count = 1, .reusable = false}, SHIFT(123),
  [213] = {.count = 1, .reusable = true}, SHIFT(127),
  [215] = {.count = 1, .reusable = true}, SHIFT(132),
  [217] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [219] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1),
  [221] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1),
  [223] = {.count = 1, .reusable = true}, SHIFT(134),
  [225] = {.count = 1, .reusable = true}, SHIFT(135),
  [227] = {.count = 1, .reusable = true}, SHIFT(137),
  [229] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 1),
  [231] = {.count = 1, .reusable = false}, SHIFT(148),
  [233] = {.count = 1, .reusable = true}, SHIFT(148),
  [235] = {.count = 1, .reusable = true}, SHIFT(139),
  [237] = {.count = 1, .reusable = false}, SHIFT(140),
  [239] = {.count = 1, .reusable = false}, SHIFT(141),
  [241] = {.count = 1, .reusable = false}, SHIFT(142),
  [243] = {.count = 1, .reusable = false}, SHIFT(143),
  [245] = {.count = 1, .reusable = false}, SHIFT(144),
  [247] = {.count = 1, .reusable = false}, SHIFT(160),
  [249] = {.count = 1, .reusable = true}, SHIFT(160),
  [251] = {.count = 1, .reusable = true}, SHIFT(149),
  [253] = {.count = 1, .reusable = false}, SHIFT(150),
  [255] = {.count = 1, .reusable = false}, SHIFT(151),
  [257] = {.count = 1, .reusable = true}, SHIFT(152),
  [259] = {.count = 1, .reusable = true}, SHIFT(153),
  [261] = {.count = 1, .reusable = false}, SHIFT(154),
  [263] = {.count = 1, .reusable = true}, SHIFT(155),
  [265] = {.count = 1, .reusable = false}, SHIFT(156),
  [267] = {.count = 1, .reusable = false}, SHIFT(174),
  [269] = {.count = 1, .reusable = true}, SHIFT(174),
  [271] = {.count = 1, .reusable = true}, SHIFT(161),
  [273] = {.count = 1, .reusable = false}, SHIFT(162),
  [275] = {.count = 1, .reusable = false}, SHIFT(163),
  [277] = {.count = 1, .reusable = true}, SHIFT(164),
  [279] = {.count = 1, .reusable = false}, SHIFT(165),
  [281] = {.count = 1, .reusable = true}, SHIFT(166),
  [283] = {.count = 1, .reusable = true}, SHIFT(167),
  [285] = {.count = 1, .reusable = false}, SHIFT(168),
  [287] = {.count = 1, .reusable = true}, SHIFT(175),
  [289] = {.count = 1, .reusable = false}, SHIFT(179),
  [291] = {.count = 1, .reusable = true}, SHIFT(179),
  [293] = {.count = 1, .reusable = true}, SHIFT(176),
  [295] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [297] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [299] = {.count = 1, .reusable = true}, SHIFT(180),
  [301] = {.count = 1, .reusable = true}, SHIFT(181),
  [303] = {.count = 1, .reusable = false}, REDUCE(sym__statement, 1, .production_id = 2),
  [305] = {.count = 1, .reusable = true}, REDUCE(sym__statement, 1, .production_id = 2),
  [307] = {.count = 1, .reusable = true}, SHIFT(183),
  [309] = {.count = 1, .reusable = true}, SHIFT(184),
  [311] = {.count = 1, .reusable = true}, SHIFT(185),
  [313] = {.count = 1, .reusable = false}, REDUCE(sym__statement, 1, .production_id = 3),
  [315] = {.count = 1, .reusable = true}, REDUCE(sym__statement, 1, .production_id = 3),
  [317] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [319] = {.count = 1, .reusable = false}, SHIFT(187),
  [321] = {.count = 1, .reusable = false}, SHIFT(188),
  [323] = {.count = 1, .reusable = true}, SHIFT(189),
  [325] = {.count = 1, .reusable = false}, SHIFT(190),
  [327] = {.count = 1, .reusable = true}, SHIFT(188),
  [329] = {.count = 1, .reusable = true}, SHIFT(193),
  [331] = {.count = 1, .reusable = false}, SHIFT(191),
  [333] = {.count = 1, .reusable = false}, SHIFT(196),
  [335] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [337] = {.count = 1, .reusable = false}, SHIFT(198),
  [339] = {.count = 1, .reusable = true}, SHIFT(192),
  [341] = {.count = 1, .reusable = false}, SHIFT(194),
  [343] = {.count = 1, .reusable = false}, SHIFT(195),
  [345] = {.count = 1, .reusable = true}, SHIFT(186),
  [347] = {.count = 1, .reusable = true}, SHIFT(197),
  [349] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [351] = {.count = 1, .reusable = false}, REDUCE(aux_sym_module_repeat1, 1, .production_id = 3),
  [353] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 1, .production_id = 3),
  [355] = {.count = 1, .reusable = true}, REDUCE(sym_module, 1, .production_id = 3),
  [357] = {.count = 1, .reusable = true}, SHIFT(203),
  [359] = {.count = 1, .reusable = true}, SHIFT(5),
  [361] = {.count = 1, .reusable = true}, SHIFT(21),
  [363] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [365] = {.count = 1, .reusable = true}, SHIFT(206),
  [367] = {.count = 1, .reusable = true}, SHIFT(209),
  [369] = {.count = 1, .reusable = true}, SHIFT(208),
  [371] = {.count = 1, .reusable = true}, SHIFT(207),
  [373] = {.count = 1, .reusable = true}, SHIFT(213),
  [375] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [377] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [379] = {.count = 1, .reusable = false}, SHIFT(221),
  [381] = {.count = 1, .reusable = true}, SHIFT(221),
  [383] = {.count = 1, .reusable = true}, SHIFT(214),
  [385] = {.count = 1, .reusable = false}, SHIFT(215),
  [387] = {.count = 1, .reusable = false}, SHIFT(216),
  [389] = {.count = 1, .reusable = false}, SHIFT(217),
  [391] = {.count = 1, .reusable = false}, SHIFT(218),
  [393] = {.count = 1, .reusable = true}, SHIFT(223),
  [395] = {.count = 1, .reusable = true}, SHIFT(222),
  [397] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 2),
  [399] = {.count = 1, .reusable = true}, SHIFT(224),
  [401] = {.count = 1, .reusable = true}, SHIFT(226),
  [403] = {.count = 1, .reusable = true}, SHIFT(227),
  [405] = {.count = 1, .reusable = false}, SHIFT(229),
  [407] = {.count = 1, .reusable = true}, SHIFT(229),
  [409] = {.count = 1, .reusable = true}, SHIFT(231),
  [411] = {.count = 1, .reusable = true}, SHIFT(230),
  [413] = {.count = 1, .reusable = true}, SHIFT(232),
  [415] = {.count = 1, .reusable = true}, SHIFT(234),
  [417] = {.count = 1, .reusable = true}, SHIFT(235),
  [419] = {.count = 1, .reusable = true}, SHIFT(238),
  [421] = {.count = 1, .reusable = true}, SHIFT(239),
  [423] = {.count = 1, .reusable = true}, SHIFT(244),
  [425] = {.count = 1, .reusable = true}, SHIFT(245),
  [427] = {.count = 1, .reusable = true}, SHIFT(248),
  [429] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 2),
  [431] = {.count = 1, .reusable = true}, SHIFT(251),
  [433] = {.count = 1, .reusable = true}, SHIFT(252),
  [435] = {.count = 1, .reusable = true}, SHIFT(253),
  [437] = {.count = 1, .reusable = true}, SHIFT(254),
  [439] = {.count = 1, .reusable = true}, SHIFT(257),
  [441] = {.count = 1, .reusable = false}, SHIFT(258),
  [443] = {.count = 1, .reusable = true}, SHIFT(259),
  [445] = {.count = 1, .reusable = true}, SHIFT(260),
  [447] = {.count = 1, .reusable = true}, SHIFT(258),
  [449] = {.count = 1, .reusable = false}, SHIFT(257),
  [451] = {.count = 1, .reusable = true}, SHIFT(263),
  [453] = {.count = 1, .reusable = true}, SHIFT(261),
  [455] = {.count = 1, .reusable = true}, SHIFT(266),
  [457] = {.count = 1, .reusable = true}, SHIFT(268),
  [459] = {.count = 1, .reusable = true}, SHIFT(262),
  [461] = {.count = 1, .reusable = true}, SHIFT(264),
  [463] = {.count = 1, .reusable = true}, SHIFT(265),
  [465] = {.count = 1, .reusable = true}, SHIFT(256),
  [467] = {.count = 1, .reusable = true}, SHIFT(267),
  [469] = {.count = 1, .reusable = false}, SHIFT(278),
  [471] = {.count = 1, .reusable = true}, SHIFT(278),
  [473] = {.count = 1, .reusable = true}, SHIFT(271),
  [475] = {.count = 1, .reusable = false}, SHIFT(272),
  [477] = {.count = 1, .reusable = false}, SHIFT(273),
  [479] = {.count = 1, .reusable = false}, SHIFT(274),
  [481] = {.count = 1, .reusable = false}, SHIFT(275),
  [483] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [485] = {.count = 1, .reusable = true}, SHIFT(279),
  [487] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [489] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 1),
  [491] = {.count = 1, .reusable = true}, SHIFT(281),
  [493] = {.count = 1, .reusable = true}, SHIFT(283),
  [495] = {.count = 1, .reusable = true}, SHIFT(284),
  [497] = {.count = 1, .reusable = true}, SHIFT(285),
  [499] = {.count = 1, .reusable = false}, REDUCE(sym_import_prefix, 1),
  [501] = {.count = 1, .reusable = false}, REDUCE(sym_relative_import, 1),
  [503] = {.count = 1, .reusable = false}, SHIFT(287),
  [505] = {.count = 1, .reusable = true}, SHIFT(287),
  [507] = {.count = 1, .reusable = true}, SHIFT(289),
  [509] = {.count = 1, .reusable = true}, SHIFT(288),
  [511] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 2),
  [513] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 2),
  [515] = {.count = 1, .reusable = true}, SHIFT(291),
  [517] = {.count = 1, .reusable = false}, SHIFT(301),
  [519] = {.count = 1, .reusable = true}, SHIFT(301),
  [521] = {.count = 1, .reusable = true}, SHIFT(292),
  [523] = {.count = 1, .reusable = false}, SHIFT(293),
  [525] = {.count = 1, .reusable = false}, SHIFT(294),
  [527] = {.count = 1, .reusable = false}, SHIFT(295),
  [529] = {.count = 1, .reusable = false}, SHIFT(296),
  [531] = {.count = 1, .reusable = false}, SHIFT(297),
  [533] = {.count = 1, .reusable = true}, SHIFT(303),
  [535] = {.count = 1, .reusable = true}, SHIFT(304),
  [537] = {.count = 1, .reusable = true}, SHIFT(307),
  [539] = {.count = 1, .reusable = true}, SHIFT(308),
  [541] = {.count = 1, .reusable = true}, SHIFT(313),
  [543] = {.count = 1, .reusable = true}, SHIFT(314),
  [545] = {.count = 1, .reusable = true}, SHIFT(317),
  [547] = {.count = 1, .reusable = true}, SHIFT(318),
  [549] = {.count = 1, .reusable = true}, SHIFT(320),
  [551] = {.count = 1, .reusable = true}, SHIFT(321),
  [553] = {.count = 1, .reusable = true}, SHIFT(324),
  [555] = {.count = 1, .reusable = true}, SHIFT(325),
  [557] = {.count = 1, .reusable = true}, SHIFT(326),
  [559] = {.count = 1, .reusable = true}, SHIFT(327),
  [561] = {.count = 1, .reusable = true}, SHIFT(328),
  [563] = {.count = 1, .reusable = true}, SHIFT(332),
  [565] = {.count = 1, .reusable = false}, SHIFT(333),
  [567] = {.count = 1, .reusable = true}, SHIFT(334),
  [569] = {.count = 1, .reusable = true}, SHIFT(335),
  [571] = {.count = 1, .reusable = true}, SHIFT(333),
  [573] = {.count = 1, .reusable = false}, SHIFT(332),
  [575] = {.count = 1, .reusable = true}, SHIFT(338),
  [577] = {.count = 1, .reusable = true}, SHIFT(336),
  [579] = {.count = 1, .reusable = true}, SHIFT(341),
  [581] = {.count = 1, .reusable = true}, SHIFT(343),
  [583] = {.count = 1, .reusable = true}, SHIFT(337),
  [585] = {.count = 1, .reusable = true}, SHIFT(339),
  [587] = {.count = 1, .reusable = true}, SHIFT(340),
  [589] = {.count = 1, .reusable = true}, SHIFT(331),
  [591] = {.count = 1, .reusable = true}, SHIFT(342),
  [593] = {.count = 1, .reusable = true}, SHIFT(346),
  [595] = {.count = 1, .reusable = true}, SHIFT(348),
  [597] = {.count = 1, .reusable = true}, SHIFT(350),
  [599] = {.count = 1, .reusable = true}, SHIFT(351),
  [601] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 1),
  [603] = {.count = 1, .reusable = true}, SHIFT(354),
  [605] = {.count = 1, .reusable = true}, SHIFT(355),
  [607] = {.count = 1, .reusable = true}, SHIFT(356),
  [609] = {.count = 1, .reusable = true}, SHIFT(357),
  [611] = {.count = 1, .reusable = true}, SHIFT(358),
  [613] = {.count = 1, .reusable = false}, SHIFT(359),
  [615] = {.count = 1, .reusable = true}, SHIFT(360),
  [617] = {.count = 1, .reusable = true}, SHIFT(361),
  [619] = {.count = 1, .reusable = true}, SHIFT(359),
  [621] = {.count = 1, .reusable = false}, SHIFT(358),
  [623] = {.count = 1, .reusable = true}, SHIFT(362),
  [625] = {.count = 1, .reusable = true}, SHIFT(366),
  [627] = {.count = 1, .reusable = true}, SHIFT(367),
  [629] = {.count = 1, .reusable = true}, SHIFT(363),
  [631] = {.count = 1, .reusable = true}, SHIFT(364),
  [633] = {.count = 1, .reusable = true}, SHIFT(365),
  [635] = {.count = 1, .reusable = true}, SHIFT(369),
  [637] = {.count = 1, .reusable = true}, SHIFT(371),
  [639] = {.count = 1, .reusable = true}, SHIFT(374),
  [641] = {.count = 1, .reusable = true}, SHIFT(375),
  [643] = {.count = 1, .reusable = true}, SHIFT(376),
  [645] = {.count = 1, .reusable = true}, SHIFT(377),
  [647] = {.count = 1, .reusable = true}, SHIFT(378),
  [649] = {.count = 1, .reusable = false}, SHIFT(379),
  [651] = {.count = 1, .reusable = true}, SHIFT(380),
  [653] = {.count = 1, .reusable = true}, SHIFT(381),
  [655] = {.count = 1, .reusable = true}, SHIFT(379),
  [657] = {.count = 1, .reusable = false}, SHIFT(378),
  [659] = {.count = 1, .reusable = true}, SHIFT(382),
  [661] = {.count = 1, .reusable = true}, SHIFT(386),
  [663] = {.count = 1, .reusable = true}, SHIFT(387),
  [665] = {.count = 1, .reusable = true}, SHIFT(383),
  [667] = {.count = 1, .reusable = true}, SHIFT(384),
  [669] = {.count = 1, .reusable = true}, SHIFT(385),
  [671] = {.count = 1, .reusable = true}, REDUCE(sym_unary_operator, 2, .production_id = 4),
  [673] = {.count = 1, .reusable = false}, REDUCE(sym_unary_operator, 2, .production_id = 4),
  [675] = {.count = 1, .reusable = true}, SHIFT(389),
  [677] = {.count = 1, .reusable = true}, SHIFT(391),
  [679] = {.count = 1, .reusable = true}, SHIFT(392),
  [681] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .production_id = 1),
  [683] = {.count = 1, .reusable = true}, SHIFT(394),
  [685] = {.count = 1, .reusable = true}, SHIFT(395),
  [687] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1),
  [689] = {.count = 1, .reusable = true}, SHIFT(397),
  [691] = {.count = 1, .reusable = true}, SHIFT(398),
  [693] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 1),
  [695] = {.count = 1, .reusable = false}, SHIFT(410),
  [697] = {.count = 1, .reusable = true}, SHIFT(410),
  [699] = {.count = 1, .reusable = true}, SHIFT(402),
  [701] = {.count = 1, .reusable = false}, SHIFT(403),
  [703] = {.count = 1, .reusable = false}, SHIFT(404),
  [705] = {.count = 1, .reusable = true}, SHIFT(405),
  [707] = {.count = 1, .reusable = false}, SHIFT(406),
  [709] = {.count = 1, .reusable = false}, SHIFT(407),
  [711] = {.count = 1, .reusable = true}, SHIFT(412),
  [713] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [715] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2),
  [717] = {.count = 1, .reusable = true}, SHIFT(414),
  [719] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [721] = {.count = 1, .reusable = true}, SHIFT(416),
  [723] = {.count = 1, .reusable = true}, REDUCE(sym_delete_statement, 2),
  [725] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 1, .production_id = 6),
  [727] = {.count = 1, .reusable = true}, SHIFT(419),
  [729] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 2, .production_id = 7),
  [731] = {.count = 1, .reusable = true}, SHIFT(421),
  [733] = {.count = 1, .reusable = true}, SHIFT(422),
  [735] = {.count = 1, .reusable = true}, SHIFT(423),
  [737] = {.count = 1, .reusable = true}, REDUCE(sym_await, 2),
  [739] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 2),
  [741] = {.count = 1, .reusable = true}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [743] = {.count = 1, .reusable = true}, SHIFT(428),
  [745] = {.count = 1, .reusable = true}, SHIFT(427),
  [747] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 2),
  [749] = {.count = 1, .reusable = true}, SHIFT(429),
  [751] = {.count = 1, .reusable = true}, SHIFT(430),
  [753] = {.count = 1, .reusable = true}, SHIFT(433),
  [755] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 2),
  [757] = {.count = 1, .reusable = true}, SHIFT(436),
  [759] = {.count = 1, .reusable = true}, SHIFT(437),
  [761] = {.count = 1, .reusable = true}, SHIFT(439),
  [763] = {.count = 1, .reusable = true}, SHIFT(438),
  [765] = {.count = 1, .reusable = true}, SHIFT(440),
  [767] = {.count = 1, .reusable = true}, SHIFT(442),
  [769] = {.count = 1, .reusable = false}, SHIFT(443),
  [771] = {.count = 1, .reusable = true}, SHIFT(444),
  [773] = {.count = 1, .reusable = true}, SHIFT(445),
  [775] = {.count = 1, .reusable = true}, SHIFT(443),
  [777] = {.count = 1, .reusable = false}, SHIFT(442),
  [779] = {.count = 1, .reusable = true}, SHIFT(446),
  [781] = {.count = 1, .reusable = true}, SHIFT(450),
  [783] = {.count = 1, .reusable = true}, SHIFT(451),
  [785] = {.count = 1, .reusable = true}, SHIFT(447),
  [787] = {.count = 1, .reusable = true}, SHIFT(448),
  [789] = {.count = 1, .reusable = true}, SHIFT(449),
  [791] = {.count = 1, .reusable = true}, SHIFT(453),
  [793] = {.count = 1, .reusable = false}, SHIFT(461),
  [795] = {.count = 1, .reusable = true}, SHIFT(461),
  [797] = {.count = 1, .reusable = true}, SHIFT(454),
  [799] = {.count = 1, .reusable = false}, SHIFT(455),
  [801] = {.count = 1, .reusable = false}, SHIFT(456),
  [803] = {.count = 1, .reusable = false}, SHIFT(457),
  [805] = {.count = 1, .reusable = false}, SHIFT(458),
  [807] = {.count = 1, .reusable = true}, REDUCE(sym_list, 2),
  [809] = {.count = 1, .reusable = false}, REDUCE(sym_list, 2),
  [811] = {.count = 1, .reusable = true}, SHIFT(463),
  [813] = {.count = 1, .reusable = true}, SHIFT(464),
  [815] = {.count = 1, .reusable = true}, SHIFT(466),
  [817] = {.count = 1, .reusable = true}, SHIFT(469),
  [819] = {.count = 1, .reusable = true}, SHIFT(470),
  [821] = {.count = 1, .reusable = true}, SHIFT(471),
  [823] = {.count = 1, .reusable = true}, SHIFT(472),
  [825] = {.count = 1, .reusable = true}, SHIFT(473),
  [827] = {.count = 1, .reusable = true}, SHIFT(476),
  [829] = {.count = 1, .reusable = false}, SHIFT(477),
  [831] = {.count = 1, .reusable = true}, SHIFT(478),
  [833] = {.count = 1, .reusable = true}, SHIFT(479),
  [835] = {.count = 1, .reusable = true}, SHIFT(477),
  [837] = {.count = 1, .reusable = false}, SHIFT(476),
  [839] = {.count = 1, .reusable = true}, SHIFT(480),
  [841] = {.count = 1, .reusable = true}, SHIFT(484),
  [843] = {.count = 1, .reusable = true}, SHIFT(485),
  [845] = {.count = 1, .reusable = true}, SHIFT(481),
  [847] = {.count = 1, .reusable = true}, SHIFT(482),
  [849] = {.count = 1, .reusable = true}, SHIFT(483),
  [851] = {.count = 1, .reusable = true}, SHIFT(487),
  [853] = {.count = 1, .reusable = false}, SHIFT(496),
  [855] = {.count = 1, .reusable = true}, SHIFT(496),
  [857] = {.count = 1, .reusable = true}, SHIFT(488),
  [859] = {.count = 1, .reusable = false}, SHIFT(489),
  [861] = {.count = 1, .reusable = false}, SHIFT(490),
  [863] = {.count = 1, .reusable = true}, SHIFT(491),
  [865] = {.count = 1, .reusable = false}, SHIFT(492),
  [867] = {.count = 1, .reusable = false}, SHIFT(493),
  [869] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 2),
  [871] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 2),
  [873] = {.count = 1, .reusable = true}, SHIFT(498),
  [875] = {.count = 1, .reusable = true}, SHIFT(499),
  [877] = {.count = 1, .reusable = true}, SHIFT(501),
  [879] = {.count = 1, .reusable = true}, SHIFT(503),
  [881] = {.count = 1, .reusable = true}, SHIFT(504),
  [883] = {.count = 1, .reusable = true}, SHIFT(507),
  [885] = {.count = 1, .reusable = true}, SHIFT(508),
  [887] = {.count = 1, .reusable = true}, SHIFT(511),
  [889] = {.count = 1, .reusable = true}, SHIFT(512),
  [891] = {.count = 1, .reusable = true}, SHIFT(513),
  [893] = {.count = 1, .reusable = true}, SHIFT(514),
  [895] = {.count = 1, .reusable = true}, SHIFT(516),
  [897] = {.count = 1, .reusable = false}, SHIFT(517),
  [899] = {.count = 1, .reusable = true}, SHIFT(518),
  [901] = {.count = 1, .reusable = true}, SHIFT(519),
  [903] = {.count = 1, .reusable = true}, SHIFT(517),
  [905] = {.count = 1, .reusable = false}, SHIFT(516),
  [907] = {.count = 1, .reusable = true}, SHIFT(520),
  [909] = {.count = 1, .reusable = true}, SHIFT(524),
  [911] = {.count = 1, .reusable = true}, SHIFT(525),
  [913] = {.count = 1, .reusable = true}, SHIFT(521),
  [915] = {.count = 1, .reusable = true}, SHIFT(522),
  [917] = {.count = 1, .reusable = true}, SHIFT(523),
  [919] = {.count = 1, .reusable = true}, SHIFT(527),
  [921] = {.count = 1, .reusable = true}, SHIFT(531),
  [923] = {.count = 1, .reusable = true}, SHIFT(532),
  [925] = {.count = 1, .reusable = true}, SHIFT(533),
  [927] = {.count = 1, .reusable = true}, SHIFT(534),
  [929] = {.count = 1, .reusable = false}, SHIFT(532),
  [931] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 1),
  [933] = {.count = 1, .reusable = true}, SHIFT(535),
  [935] = {.count = 1, .reusable = true}, SHIFT(536),
  [937] = {.count = 1, .reusable = true}, SHIFT(537),
  [939] = {.count = 1, .reusable = true}, SHIFT(538),
  [941] = {.count = 1, .reusable = true}, SHIFT(539),
  [943] = {.count = 1, .reusable = true}, SHIFT(541),
  [945] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 2, .production_id = 2),
  [947] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 2, .production_id = 2),
  [949] = {.count = 1, .reusable = true}, SHIFT(543),
  [951] = {.count = 1, .reusable = false}, SHIFT(553),
  [953] = {.count = 1, .reusable = true}, SHIFT(553),
  [955] = {.count = 1, .reusable = true}, SHIFT(545),
  [957] = {.count = 1, .reusable = false}, SHIFT(546),
  [959] = {.count = 1, .reusable = false}, SHIFT(547),
  [961] = {.count = 1, .reusable = false}, SHIFT(548),
  [963] = {.count = 1, .reusable = false}, SHIFT(549),
  [965] = {.count = 1, .reusable = false}, SHIFT(567),
  [967] = {.count = 1, .reusable = true}, SHIFT(567),
  [969] = {.count = 1, .reusable = true}, SHIFT(558),
  [971] = {.count = 1, .reusable = true}, SHIFT(559),
  [973] = {.count = 1, .reusable = false}, SHIFT(560),
  [975] = {.count = 1, .reusable = false}, SHIFT(561),
  [977] = {.count = 1, .reusable = false}, SHIFT(562),
  [979] = {.count = 1, .reusable = false}, SHIFT(563),
  [981] = {.count = 1, .reusable = false}, SHIFT(568),
  [983] = {.count = 1, .reusable = true}, SHIFT(568),
  [985] = {.count = 1, .reusable = false}, SHIFT(569),
  [987] = {.count = 1, .reusable = true}, SHIFT(569),
  [989] = {.count = 1, .reusable = false}, SHIFT(570),
  [991] = {.count = 1, .reusable = false}, SHIFT(571),
  [993] = {.count = 1, .reusable = true}, SHIFT(571),
  [995] = {.count = 1, .reusable = false}, SHIFT(572),
  [997] = {.count = 1, .reusable = true}, SHIFT(572),
  [999] = {.count = 1, .reusable = true}, SHIFT(570),
  [1001] = {.count = 1, .reusable = false}, SHIFT(573),
  [1003] = {.count = 1, .reusable = true}, SHIFT(574),
  [1005] = {.count = 1, .reusable = false}, SHIFT(575),
  [1007] = {.count = 1, .reusable = true}, SHIFT(576),
  [1009] = {.count = 1, .reusable = true}, SHIFT(577),
  [1011] = {.count = 1, .reusable = false}, SHIFT(580),
  [1013] = {.count = 1, .reusable = true}, SHIFT(580),
  [1015] = {.count = 1, .reusable = false}, SHIFT(581),
  [1017] = {.count = 1, .reusable = true}, SHIFT(581),
  [1019] = {.count = 1, .reusable = false}, SHIFT(582),
  [1021] = {.count = 1, .reusable = true}, SHIFT(582),
  [1023] = {.count = 1, .reusable = true}, SHIFT(583),
  [1025] = {.count = 1, .reusable = false}, SHIFT(584),
  [1027] = {.count = 1, .reusable = true}, SHIFT(584),
  [1029] = {.count = 1, .reusable = true}, REDUCE(sym_call, 2, .production_id = 8),
  [1031] = {.count = 1, .reusable = false}, REDUCE(sym_call, 2, .production_id = 8),
  [1033] = {.count = 1, .reusable = true}, REDUCE(sym_comparison_operator, 2),
  [1035] = {.count = 1, .reusable = false}, REDUCE(sym_comparison_operator, 2),
  [1037] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [1039] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [1041] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(39),
  [1044] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(3),
  [1047] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(4),
  [1050] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(5),
  [1053] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(6),
  [1056] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(7),
  [1059] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(8),
  [1062] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(9),
  [1065] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(10),
  [1068] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(11),
  [1071] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(12),
  [1074] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(13),
  [1077] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(39),
  [1080] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(14),
  [1083] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(15),
  [1086] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(16),
  [1089] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(17),
  [1092] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(18),
  [1095] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(19),
  [1098] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(20),
  [1101] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(21),
  [1104] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(22),
  [1107] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(23),
  [1110] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(24),
  [1113] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(25),
  [1116] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(26),
  [1119] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(27),
  [1122] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9),
  [1124] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(28),
  [1127] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(29),
  [1130] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(30),
  [1133] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(31),
  [1136] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(32),
  [1139] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(33),
  [1142] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(2),
  [1145] = {.count = 1, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1147] = {.count = 2, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(15),
  [1150] = {.count = 1, .reusable = false}, REDUCE(sym_decorated_definition, 2),
  [1152] = {.count = 1, .reusable = true}, REDUCE(sym_decorated_definition, 2),
  [1154] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1156] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [1158] = {.count = 1, .reusable = false}, SHIFT(14),
  [1160] = {.count = 1, .reusable = false}, SHIFT(596),
  [1162] = {.count = 1, .reusable = true}, SHIFT(596),
  [1164] = {.count = 1, .reusable = true}, SHIFT(589),
  [1166] = {.count = 1, .reusable = false}, SHIFT(590),
  [1168] = {.count = 1, .reusable = false}, SHIFT(591),
  [1170] = {.count = 1, .reusable = false}, SHIFT(592),
  [1172] = {.count = 1, .reusable = false}, SHIFT(593),
  [1174] = {.count = 1, .reusable = true}, SHIFT(598),
  [1176] = {.count = 1, .reusable = true}, SHIFT(600),
  [1178] = {.count = 1, .reusable = true}, SHIFT(601),
  [1180] = {.count = 1, .reusable = true}, SHIFT(604),
  [1182] = {.count = 1, .reusable = true}, SHIFT(606),
  [1184] = {.count = 1, .reusable = true}, SHIFT(609),
  [1186] = {.count = 1, .reusable = true}, SHIFT(610),
  [1188] = {.count = 1, .reusable = true}, SHIFT(611),
  [1190] = {.count = 1, .reusable = true}, SHIFT(612),
  [1192] = {.count = 1, .reusable = true}, SHIFT(613),
  [1194] = {.count = 1, .reusable = true}, SHIFT(614),
  [1196] = {.count = 1, .reusable = true}, SHIFT(616),
  [1198] = {.count = 1, .reusable = false}, SHIFT(617),
  [1200] = {.count = 1, .reusable = true}, SHIFT(618),
  [1202] = {.count = 1, .reusable = true}, SHIFT(619),
  [1204] = {.count = 1, .reusable = true}, SHIFT(617),
  [1206] = {.count = 1, .reusable = false}, SHIFT(616),
  [1208] = {.count = 1, .reusable = true}, SHIFT(620),
  [1210] = {.count = 1, .reusable = true}, SHIFT(624),
  [1212] = {.count = 1, .reusable = true}, SHIFT(625),
  [1214] = {.count = 1, .reusable = true}, SHIFT(621),
  [1216] = {.count = 1, .reusable = true}, SHIFT(622),
  [1218] = {.count = 1, .reusable = true}, SHIFT(623),
  [1220] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1222] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1224] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(223),
  [1227] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2),
  [1229] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(50),
  [1232] = {.count = 1, .reusable = true}, SHIFT(627),
  [1234] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 3),
  [1236] = {.count = 1, .reusable = true}, SHIFT(629),
  [1238] = {.count = 1, .reusable = false}, SHIFT(630),
  [1240] = {.count = 1, .reusable = true}, SHIFT(631),
  [1242] = {.count = 1, .reusable = true}, SHIFT(634),
  [1244] = {.count = 1, .reusable = true}, SHIFT(636),
  [1246] = {.count = 1, .reusable = true}, SHIFT(637),
  [1248] = {.count = 1, .reusable = true}, SHIFT(639),
  [1250] = {.count = 1, .reusable = true}, SHIFT(640),
  [1252] = {.count = 1, .reusable = true}, SHIFT(641),
  [1254] = {.count = 1, .reusable = true}, SHIFT(644),
  [1256] = {.count = 1, .reusable = true}, SHIFT(645),
  [1258] = {.count = 1, .reusable = true}, SHIFT(648),
  [1260] = {.count = 1, .reusable = true}, SHIFT(649),
  [1262] = {.count = 1, .reusable = true}, SHIFT(652),
  [1264] = {.count = 1, .reusable = true}, SHIFT(653),
  [1266] = {.count = 1, .reusable = true}, SHIFT(657),
  [1268] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [1270] = {.count = 1, .reusable = false}, SHIFT(665),
  [1272] = {.count = 1, .reusable = true}, SHIFT(665),
  [1274] = {.count = 1, .reusable = false}, SHIFT(666),
  [1276] = {.count = 1, .reusable = true}, SHIFT(666),
  [1278] = {.count = 1, .reusable = false}, SHIFT(667),
  [1280] = {.count = 1, .reusable = false}, SHIFT(668),
  [1282] = {.count = 1, .reusable = true}, SHIFT(668),
  [1284] = {.count = 1, .reusable = false}, SHIFT(669),
  [1286] = {.count = 1, .reusable = true}, SHIFT(669),
  [1288] = {.count = 1, .reusable = true}, SHIFT(667),
  [1290] = {.count = 1, .reusable = true}, SHIFT(670),
  [1292] = {.count = 1, .reusable = true}, SHIFT(671),
  [1294] = {.count = 1, .reusable = false}, SHIFT(674),
  [1296] = {.count = 1, .reusable = true}, SHIFT(674),
  [1298] = {.count = 1, .reusable = false}, SHIFT(675),
  [1300] = {.count = 1, .reusable = true}, SHIFT(675),
  [1302] = {.count = 1, .reusable = false}, SHIFT(676),
  [1304] = {.count = 1, .reusable = true}, SHIFT(676),
  [1306] = {.count = 1, .reusable = true}, SHIFT(677),
  [1308] = {.count = 1, .reusable = false}, SHIFT(678),
  [1310] = {.count = 1, .reusable = true}, SHIFT(678),
  [1312] = {.count = 1, .reusable = true}, SHIFT(680),
  [1314] = {.count = 1, .reusable = true}, SHIFT(682),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 3),
  [1318] = {.count = 1, .reusable = true}, SHIFT(686),
  [1320] = {.count = 1, .reusable = true}, SHIFT(687),
  [1322] = {.count = 1, .reusable = true}, SHIFT(685),
  [1324] = {.count = 1, .reusable = true}, SHIFT(688),
  [1326] = {.count = 1, .reusable = false}, SHIFT(689),
  [1328] = {.count = 1, .reusable = true}, SHIFT(690),
  [1330] = {.count = 1, .reusable = true}, SHIFT(691),
  [1332] = {.count = 1, .reusable = true}, SHIFT(689),
  [1334] = {.count = 1, .reusable = false}, SHIFT(688),
  [1336] = {.count = 1, .reusable = true}, SHIFT(692),
  [1338] = {.count = 1, .reusable = true}, SHIFT(696),
  [1340] = {.count = 1, .reusable = true}, SHIFT(697),
  [1342] = {.count = 1, .reusable = true}, SHIFT(693),
  [1344] = {.count = 1, .reusable = true}, SHIFT(694),
  [1346] = {.count = 1, .reusable = true}, SHIFT(695),
  [1348] = {.count = 1, .reusable = true}, SHIFT(699),
  [1350] = {.count = 1, .reusable = true}, SHIFT(700),
  [1352] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 2),
  [1354] = {.count = 1, .reusable = true}, SHIFT(704),
  [1356] = {.count = 1, .reusable = true}, SHIFT(703),
  [1358] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(285),
  [1361] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym_relative_import, 2),
  [1365] = {.count = 1, .reusable = true}, SHIFT(706),
  [1367] = {.count = 1, .reusable = false}, REDUCE(sym_await, 2),
  [1369] = {.count = 1, .reusable = true}, SHIFT(708),
  [1371] = {.count = 1, .reusable = true}, SHIFT(711),
  [1373] = {.count = 1, .reusable = true}, SHIFT(714),
  [1375] = {.count = 1, .reusable = true}, SHIFT(715),
  [1377] = {.count = 1, .reusable = true}, SHIFT(716),
  [1379] = {.count = 1, .reusable = true}, SHIFT(717),
  [1381] = {.count = 1, .reusable = true}, SHIFT(719),
  [1383] = {.count = 1, .reusable = false}, SHIFT(720),
  [1385] = {.count = 1, .reusable = true}, SHIFT(721),
  [1387] = {.count = 1, .reusable = true}, SHIFT(722),
  [1389] = {.count = 1, .reusable = true}, SHIFT(720),
  [1391] = {.count = 1, .reusable = false}, SHIFT(719),
  [1393] = {.count = 1, .reusable = true}, SHIFT(723),
  [1395] = {.count = 1, .reusable = true}, SHIFT(727),
  [1397] = {.count = 1, .reusable = true}, SHIFT(728),
  [1399] = {.count = 1, .reusable = true}, SHIFT(724),
  [1401] = {.count = 1, .reusable = true}, SHIFT(725),
  [1403] = {.count = 1, .reusable = true}, SHIFT(726),
  [1405] = {.count = 1, .reusable = true}, SHIFT(730),
  [1407] = {.count = 1, .reusable = true}, SHIFT(731),
  [1409] = {.count = 1, .reusable = true}, SHIFT(732),
  [1411] = {.count = 1, .reusable = true}, SHIFT(735),
  [1413] = {.count = 1, .reusable = true}, SHIFT(736),
  [1415] = {.count = 1, .reusable = true}, SHIFT(739),
  [1417] = {.count = 1, .reusable = true}, SHIFT(740),
  [1419] = {.count = 1, .reusable = true}, SHIFT(743),
  [1421] = {.count = 1, .reusable = true}, SHIFT(744),
  [1423] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 3),
  [1425] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 3),
  [1427] = {.count = 1, .reusable = true}, SHIFT(748),
  [1429] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1431] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1433] = {.count = 1, .reusable = true}, SHIFT(749),
  [1435] = {.count = 1, .reusable = true}, SHIFT(752),
  [1437] = {.count = 1, .reusable = true}, SHIFT(759),
  [1439] = {.count = 1, .reusable = true}, SHIFT(760),
  [1441] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 1),
  [1443] = {.count = 1, .reusable = true}, SHIFT(762),
  [1445] = {.count = 1, .reusable = false}, SHIFT(765),
  [1447] = {.count = 1, .reusable = true}, SHIFT(765),
  [1449] = {.count = 1, .reusable = false}, SHIFT(766),
  [1451] = {.count = 1, .reusable = true}, SHIFT(766),
  [1453] = {.count = 1, .reusable = false}, SHIFT(767),
  [1455] = {.count = 1, .reusable = false}, SHIFT(768),
  [1457] = {.count = 1, .reusable = true}, SHIFT(768),
  [1459] = {.count = 1, .reusable = false}, SHIFT(769),
  [1461] = {.count = 1, .reusable = true}, SHIFT(769),
  [1463] = {.count = 1, .reusable = true}, SHIFT(767),
  [1465] = {.count = 1, .reusable = false}, SHIFT(771),
  [1467] = {.count = 1, .reusable = true}, SHIFT(771),
  [1469] = {.count = 1, .reusable = false}, SHIFT(772),
  [1471] = {.count = 1, .reusable = true}, SHIFT(772),
  [1473] = {.count = 1, .reusable = false}, SHIFT(773),
  [1475] = {.count = 1, .reusable = true}, SHIFT(773),
  [1477] = {.count = 1, .reusable = true}, SHIFT(774),
  [1479] = {.count = 1, .reusable = false}, SHIFT(775),
  [1481] = {.count = 1, .reusable = true}, SHIFT(775),
  [1483] = {.count = 1, .reusable = true}, SHIFT(779),
  [1485] = {.count = 1, .reusable = true}, SHIFT(780),
  [1487] = {.count = 1, .reusable = false}, SHIFT(788),
  [1489] = {.count = 1, .reusable = true}, SHIFT(788),
  [1491] = {.count = 1, .reusable = false}, SHIFT(789),
  [1493] = {.count = 1, .reusable = true}, SHIFT(789),
  [1495] = {.count = 1, .reusable = false}, SHIFT(790),
  [1497] = {.count = 1, .reusable = false}, SHIFT(791),
  [1499] = {.count = 1, .reusable = true}, SHIFT(791),
  [1501] = {.count = 1, .reusable = false}, SHIFT(792),
  [1503] = {.count = 1, .reusable = true}, SHIFT(792),
  [1505] = {.count = 1, .reusable = true}, SHIFT(790),
  [1507] = {.count = 1, .reusable = false}, SHIFT(793),
  [1509] = {.count = 1, .reusable = true}, SHIFT(793),
  [1511] = {.count = 1, .reusable = false}, SHIFT(794),
  [1513] = {.count = 1, .reusable = true}, SHIFT(794),
  [1515] = {.count = 1, .reusable = false}, SHIFT(795),
  [1517] = {.count = 1, .reusable = true}, SHIFT(795),
  [1519] = {.count = 1, .reusable = true}, SHIFT(799),
  [1521] = {.count = 1, .reusable = true}, SHIFT(801),
  [1523] = {.count = 1, .reusable = false}, SHIFT(805),
  [1525] = {.count = 1, .reusable = true}, SHIFT(805),
  [1527] = {.count = 1, .reusable = false}, SHIFT(806),
  [1529] = {.count = 1, .reusable = true}, SHIFT(806),
  [1531] = {.count = 1, .reusable = false}, SHIFT(807),
  [1533] = {.count = 1, .reusable = false}, SHIFT(808),
  [1535] = {.count = 1, .reusable = true}, SHIFT(808),
  [1537] = {.count = 1, .reusable = false}, SHIFT(809),
  [1539] = {.count = 1, .reusable = true}, SHIFT(809),
  [1541] = {.count = 1, .reusable = true}, SHIFT(807),
  [1543] = {.count = 1, .reusable = false}, SHIFT(810),
  [1545] = {.count = 1, .reusable = true}, SHIFT(810),
  [1547] = {.count = 1, .reusable = false}, SHIFT(811),
  [1549] = {.count = 1, .reusable = true}, SHIFT(811),
  [1551] = {.count = 1, .reusable = false}, SHIFT(812),
  [1553] = {.count = 1, .reusable = true}, SHIFT(812),
  [1555] = {.count = 1, .reusable = true}, SHIFT(814),
  [1557] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 3),
  [1559] = {.count = 1, .reusable = true}, SHIFT(817),
  [1561] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .production_id = 1),
  [1563] = {.count = 1, .reusable = false}, SHIFT(828),
  [1565] = {.count = 1, .reusable = false}, SHIFT(829),
  [1567] = {.count = 1, .reusable = true}, SHIFT(832),
  [1569] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2),
  [1571] = {.count = 1, .reusable = true}, SHIFT(844),
  [1573] = {.count = 1, .reusable = true}, SHIFT(845),
  [1575] = {.count = 1, .reusable = true}, SHIFT(848),
  [1577] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 2),
  [1579] = {.count = 1, .reusable = true}, SHIFT(852),
  [1581] = {.count = 1, .reusable = true}, SHIFT(853),
  [1583] = {.count = 1, .reusable = true}, SHIFT(851),
  [1585] = {.count = 1, .reusable = true}, SHIFT(854),
  [1587] = {.count = 1, .reusable = false}, SHIFT(855),
  [1589] = {.count = 1, .reusable = true}, SHIFT(856),
  [1591] = {.count = 1, .reusable = true}, SHIFT(857),
  [1593] = {.count = 1, .reusable = true}, SHIFT(855),
  [1595] = {.count = 1, .reusable = false}, SHIFT(854),
  [1597] = {.count = 1, .reusable = true}, SHIFT(858),
  [1599] = {.count = 1, .reusable = true}, SHIFT(862),
  [1601] = {.count = 1, .reusable = true}, SHIFT(863),
  [1603] = {.count = 1, .reusable = true}, SHIFT(859),
  [1605] = {.count = 1, .reusable = true}, SHIFT(860),
  [1607] = {.count = 1, .reusable = true}, SHIFT(861),
  [1609] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3, .production_id = 10),
  [1611] = {.count = 1, .reusable = true}, REDUCE(sym_chevron, 2),
  [1613] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3),
  [1615] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 11),
  [1617] = {.count = 1, .reusable = true}, SHIFT(869),
  [1619] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [1621] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 12),
  [1623] = {.count = 1, .reusable = true}, SHIFT(871),
  [1625] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 6),
  [1627] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 13),
  [1629] = {.count = 1, .reusable = true}, SHIFT(875),
  [1631] = {.count = 1, .reusable = true}, SHIFT(877),
  [1633] = {.count = 1, .reusable = true}, SHIFT(878),
  [1635] = {.count = 1, .reusable = false}, SHIFT(880),
  [1637] = {.count = 1, .reusable = false}, SHIFT(881),
  [1639] = {.count = 1, .reusable = true}, SHIFT(882),
  [1641] = {.count = 1, .reusable = true}, SHIFT(883),
  [1643] = {.count = 1, .reusable = true}, SHIFT(887),
  [1645] = {.count = 1, .reusable = true}, SHIFT(888),
  [1647] = {.count = 1, .reusable = true}, REDUCE(sym_named_expression, 3),
  [1649] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 3),
  [1651] = {.count = 1, .reusable = true}, SHIFT(889),
  [1653] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 3),
  [1655] = {.count = 1, .reusable = true}, SHIFT(893),
  [1657] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [1659] = {.count = 1, .reusable = true}, SHIFT(899),
  [1661] = {.count = 1, .reusable = false}, SHIFT(901),
  [1663] = {.count = 1, .reusable = true}, SHIFT(901),
  [1665] = {.count = 1, .reusable = false}, SHIFT(902),
  [1667] = {.count = 1, .reusable = true}, SHIFT(902),
  [1669] = {.count = 1, .reusable = false}, SHIFT(903),
  [1671] = {.count = 1, .reusable = false}, SHIFT(904),
  [1673] = {.count = 1, .reusable = true}, SHIFT(904),
  [1675] = {.count = 1, .reusable = false}, SHIFT(905),
  [1677] = {.count = 1, .reusable = true}, SHIFT(905),
  [1679] = {.count = 1, .reusable = true}, SHIFT(903),
  [1681] = {.count = 1, .reusable = false}, SHIFT(906),
  [1683] = {.count = 1, .reusable = true}, SHIFT(906),
  [1685] = {.count = 1, .reusable = false}, SHIFT(907),
  [1687] = {.count = 1, .reusable = true}, SHIFT(907),
  [1689] = {.count = 1, .reusable = false}, SHIFT(908),
  [1691] = {.count = 1, .reusable = true}, SHIFT(908),
  [1693] = {.count = 1, .reusable = true}, SHIFT(911),
  [1695] = {.count = 1, .reusable = true}, SHIFT(913),
  [1697] = {.count = 1, .reusable = true}, SHIFT(917),
  [1699] = {.count = 1, .reusable = true}, SHIFT(918),
  [1701] = {.count = 1, .reusable = true}, SHIFT(916),
  [1703] = {.count = 1, .reusable = true}, SHIFT(919),
  [1705] = {.count = 1, .reusable = false}, SHIFT(920),
  [1707] = {.count = 1, .reusable = true}, SHIFT(921),
  [1709] = {.count = 1, .reusable = true}, SHIFT(922),
  [1711] = {.count = 1, .reusable = true}, SHIFT(920),
  [1713] = {.count = 1, .reusable = false}, SHIFT(919),
  [1715] = {.count = 1, .reusable = true}, SHIFT(923),
  [1717] = {.count = 1, .reusable = true}, SHIFT(927),
  [1719] = {.count = 1, .reusable = true}, SHIFT(928),
  [1721] = {.count = 1, .reusable = true}, SHIFT(924),
  [1723] = {.count = 1, .reusable = true}, SHIFT(925),
  [1725] = {.count = 1, .reusable = true}, SHIFT(926),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [1729] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [1731] = {.count = 1, .reusable = true}, SHIFT(931),
  [1733] = {.count = 1, .reusable = true}, SHIFT(932),
  [1735] = {.count = 1, .reusable = true}, SHIFT(935),
  [1737] = {.count = 1, .reusable = true}, SHIFT(941),
  [1739] = {.count = 1, .reusable = true}, SHIFT(942),
  [1741] = {.count = 1, .reusable = true}, SHIFT(944),
  [1743] = {.count = 1, .reusable = false}, SHIFT(945),
  [1745] = {.count = 1, .reusable = true}, SHIFT(945),
  [1747] = {.count = 1, .reusable = false}, SHIFT(946),
  [1749] = {.count = 1, .reusable = true}, SHIFT(946),
  [1751] = {.count = 1, .reusable = false}, SHIFT(947),
  [1753] = {.count = 1, .reusable = false}, SHIFT(948),
  [1755] = {.count = 1, .reusable = true}, SHIFT(948),
  [1757] = {.count = 1, .reusable = false}, SHIFT(949),
  [1759] = {.count = 1, .reusable = true}, SHIFT(949),
  [1761] = {.count = 1, .reusable = true}, SHIFT(947),
  [1763] = {.count = 1, .reusable = false}, SHIFT(950),
  [1765] = {.count = 1, .reusable = true}, SHIFT(950),
  [1767] = {.count = 1, .reusable = false}, SHIFT(951),
  [1769] = {.count = 1, .reusable = true}, SHIFT(951),
  [1771] = {.count = 1, .reusable = false}, SHIFT(952),
  [1773] = {.count = 1, .reusable = true}, SHIFT(952),
  [1775] = {.count = 1, .reusable = true}, SHIFT(955),
  [1777] = {.count = 1, .reusable = true}, SHIFT(958),
  [1779] = {.count = 1, .reusable = true}, SHIFT(962),
  [1781] = {.count = 1, .reusable = true}, SHIFT(963),
  [1783] = {.count = 1, .reusable = true}, SHIFT(961),
  [1785] = {.count = 1, .reusable = true}, SHIFT(964),
  [1787] = {.count = 1, .reusable = false}, SHIFT(965),
  [1789] = {.count = 1, .reusable = true}, SHIFT(966),
  [1791] = {.count = 1, .reusable = true}, SHIFT(967),
  [1793] = {.count = 1, .reusable = true}, SHIFT(965),
  [1795] = {.count = 1, .reusable = false}, SHIFT(964),
  [1797] = {.count = 1, .reusable = true}, SHIFT(968),
  [1799] = {.count = 1, .reusable = true}, SHIFT(972),
  [1801] = {.count = 1, .reusable = true}, SHIFT(973),
  [1803] = {.count = 1, .reusable = true}, SHIFT(969),
  [1805] = {.count = 1, .reusable = true}, SHIFT(970),
  [1807] = {.count = 1, .reusable = true}, SHIFT(971),
  [1809] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 3),
  [1811] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 3),
  [1813] = {.count = 1, .reusable = true}, SHIFT(976),
  [1815] = {.count = 1, .reusable = true}, SHIFT(977),
  [1817] = {.count = 1, .reusable = true}, SHIFT(978),
  [1819] = {.count = 1, .reusable = true}, SHIFT(981),
  [1821] = {.count = 1, .reusable = true}, SHIFT(984),
  [1823] = {.count = 1, .reusable = true}, SHIFT(985),
  [1825] = {.count = 1, .reusable = true}, SHIFT(987),
  [1827] = {.count = 1, .reusable = true}, REDUCE(sym_set, 3),
  [1829] = {.count = 1, .reusable = false}, REDUCE(sym_set, 3),
  [1831] = {.count = 1, .reusable = true}, SHIFT(988),
  [1833] = {.count = 1, .reusable = true}, SHIFT(989),
  [1835] = {.count = 1, .reusable = true}, SHIFT(991),
  [1837] = {.count = 1, .reusable = false}, SHIFT(1001),
  [1839] = {.count = 1, .reusable = true}, SHIFT(1001),
  [1841] = {.count = 1, .reusable = true}, SHIFT(994),
  [1843] = {.count = 1, .reusable = false}, SHIFT(995),
  [1845] = {.count = 1, .reusable = false}, SHIFT(996),
  [1847] = {.count = 1, .reusable = false}, SHIFT(997),
  [1849] = {.count = 1, .reusable = false}, SHIFT(998),
  [1851] = {.count = 1, .reusable = true}, SHIFT(1004),
  [1853] = {.count = 1, .reusable = false}, SHIFT(1005),
  [1855] = {.count = 1, .reusable = true}, SHIFT(1005),
  [1857] = {.count = 1, .reusable = false}, SHIFT(1006),
  [1859] = {.count = 1, .reusable = true}, SHIFT(1006),
  [1861] = {.count = 1, .reusable = false}, SHIFT(1007),
  [1863] = {.count = 1, .reusable = false}, SHIFT(1008),
  [1865] = {.count = 1, .reusable = true}, SHIFT(1008),
  [1867] = {.count = 1, .reusable = false}, SHIFT(1009),
  [1869] = {.count = 1, .reusable = true}, SHIFT(1009),
  [1871] = {.count = 1, .reusable = true}, SHIFT(1007),
  [1873] = {.count = 1, .reusable = false}, SHIFT(1010),
  [1875] = {.count = 1, .reusable = true}, SHIFT(1010),
  [1877] = {.count = 1, .reusable = false}, SHIFT(1011),
  [1879] = {.count = 1, .reusable = true}, SHIFT(1011),
  [1881] = {.count = 1, .reusable = false}, SHIFT(1012),
  [1883] = {.count = 1, .reusable = true}, SHIFT(1012),
  [1885] = {.count = 1, .reusable = false}, SHIFT(1015),
  [1887] = {.count = 1, .reusable = false}, SHIFT(1016),
  [1889] = {.count = 1, .reusable = false}, SHIFT(1017),
  [1891] = {.count = 1, .reusable = false}, SHIFT(1018),
  [1893] = {.count = 1, .reusable = false}, SHIFT(1019),
  [1895] = {.count = 1, .reusable = true}, SHIFT(1020),
  [1897] = {.count = 1, .reusable = false}, SHIFT(1021),
  [1899] = {.count = 1, .reusable = false}, SHIFT(1022),
  [1901] = {.count = 1, .reusable = false}, SHIFT(1014),
  [1903] = {.count = 1, .reusable = true}, SHIFT(1030),
  [1905] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1907] = {.count = 1, .reusable = true}, SHIFT(1033),
  [1909] = {.count = 1, .reusable = true}, SHIFT(1034),
  [1911] = {.count = 1, .reusable = false}, SHIFT(1040),
  [1913] = {.count = 1, .reusable = true}, SHIFT(1040),
  [1915] = {.count = 1, .reusable = false}, SHIFT(1041),
  [1917] = {.count = 1, .reusable = true}, SHIFT(1041),
  [1919] = {.count = 1, .reusable = false}, SHIFT(1042),
  [1921] = {.count = 1, .reusable = true}, SHIFT(1042),
  [1923] = {.count = 1, .reusable = false}, SHIFT(1043),
  [1925] = {.count = 1, .reusable = true}, SHIFT(1043),
  [1927] = {.count = 1, .reusable = false}, SHIFT(1044),
  [1929] = {.count = 1, .reusable = true}, SHIFT(1044),
  [1931] = {.count = 1, .reusable = false}, SHIFT(1045),
  [1933] = {.count = 1, .reusable = true}, SHIFT(1045),
  [1935] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 2),
  [1937] = {.count = 1, .reusable = false}, SHIFT(1046),
  [1939] = {.count = 1, .reusable = true}, SHIFT(1046),
  [1941] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 2),
  [1943] = {.count = 1, .reusable = true}, SHIFT(1047),
  [1945] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 3, .production_id = 2),
  [1947] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 3, .production_id = 2),
  [1949] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 14),
  [1951] = {.count = 1, .reusable = true}, SHIFT(1049),
  [1953] = {.count = 2, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1050),
  [1956] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 9),
  [1958] = {.count = 1, .reusable = true}, SHIFT(1051),
  [1960] = {.count = 1, .reusable = true}, SHIFT(1053),
  [1962] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 15),
  [1964] = {.count = 1, .reusable = true}, SHIFT(1055),
  [1966] = {.count = 1, .reusable = true}, REDUCE(sym_type, 1),
  [1968] = {.count = 1, .reusable = true}, SHIFT(1058),
  [1970] = {.count = 1, .reusable = true}, SHIFT(1057),
  [1972] = {.count = 1, .reusable = true}, SHIFT(1059),
  [1974] = {.count = 1, .reusable = true}, SHIFT(1060),
  [1976] = {.count = 1, .reusable = false}, SHIFT(1061),
  [1978] = {.count = 1, .reusable = true}, SHIFT(1062),
  [1980] = {.count = 1, .reusable = true}, SHIFT(1063),
  [1982] = {.count = 1, .reusable = true}, SHIFT(1061),
  [1984] = {.count = 1, .reusable = false}, SHIFT(1060),
  [1986] = {.count = 1, .reusable = true}, SHIFT(1064),
  [1988] = {.count = 1, .reusable = true}, SHIFT(1068),
  [1990] = {.count = 1, .reusable = true}, SHIFT(1069),
  [1992] = {.count = 1, .reusable = true}, SHIFT(1065),
  [1994] = {.count = 1, .reusable = true}, SHIFT(1066),
  [1996] = {.count = 1, .reusable = true}, SHIFT(1067),
  [1998] = {.count = 1, .reusable = true}, REDUCE(sym__right_hand_side, 1),
  [2000] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment, 3, .production_id = 16),
  [2002] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2004] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 16),
  [2006] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2008] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 1),
  [2010] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2012] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2014] = {.count = 1, .reusable = true}, SHIFT(1080),
  [2016] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2018] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2020] = {.count = 1, .reusable = true}, SHIFT(1084),
  [2022] = {.count = 1, .reusable = true}, SHIFT(1085),
  [2024] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2026] = {.count = 1, .reusable = true}, SHIFT(1087),
  [2028] = {.count = 1, .reusable = false}, SHIFT(1088),
  [2030] = {.count = 1, .reusable = true}, SHIFT(1089),
  [2032] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2034] = {.count = 1, .reusable = true}, SHIFT(1088),
  [2036] = {.count = 1, .reusable = false}, SHIFT(1087),
  [2038] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2040] = {.count = 1, .reusable = true}, SHIFT(1095),
  [2042] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2044] = {.count = 1, .reusable = true}, SHIFT(1092),
  [2046] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2048] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2050] = {.count = 1, .reusable = true}, REDUCE(sym_binary_operator, 3, .production_id = 17),
  [2052] = {.count = 1, .reusable = false}, REDUCE(sym_binary_operator, 3, .production_id = 17),
  [2054] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [2056] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [2058] = {.count = 1, .reusable = false}, SHIFT(1098),
  [2060] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2062] = {.count = 1, .reusable = false}, SHIFT(1099),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [2066] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [2068] = {.count = 1, .reusable = false}, SHIFT(1100),
  [2070] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2072] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2074] = {.count = 1, .reusable = true}, SHIFT(1104),
  [2076] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 3),
  [2078] = {.count = 1, .reusable = false}, REDUCE(sym_attribute, 3),
  [2080] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(188),
  [2083] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(189),
  [2086] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(188),
  [2089] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(192),
  [2092] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2094] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2096] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3),
  [2099] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 17),
  [2101] = {.count = 1, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [2103] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2105] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2107] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2109] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2111] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2113] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2115] = {.count = 1, .reusable = true}, SHIFT(1115),
  [2117] = {.count = 1, .reusable = false}, SHIFT(1116),
  [2119] = {.count = 1, .reusable = true}, SHIFT(1117),
  [2121] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2123] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2125] = {.count = 1, .reusable = false}, SHIFT(1115),
  [2127] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2129] = {.count = 1, .reusable = true}, SHIFT(1123),
  [2131] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2133] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2135] = {.count = 1, .reusable = true}, SHIFT(1121),
  [2137] = {.count = 1, .reusable = true}, SHIFT(1122),
  [2139] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 18),
  [2141] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 3),
  [2143] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 3),
  [2145] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(1126),
  [2148] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2150] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2152] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2154] = {.count = 1, .reusable = true}, SHIFT(1132),
  [2156] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2158] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 1),
  [2160] = {.count = 1, .reusable = false}, SHIFT(1138),
  [2162] = {.count = 1, .reusable = false}, SHIFT(1137),
  [2164] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [2166] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [2168] = {.count = 1, .reusable = true}, SHIFT(1141),
  [2170] = {.count = 1, .reusable = false}, SHIFT(1143),
  [2172] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2174] = {.count = 1, .reusable = false}, SHIFT(1144),
  [2176] = {.count = 1, .reusable = true}, SHIFT(1144),
  [2178] = {.count = 1, .reusable = false}, SHIFT(1145),
  [2180] = {.count = 1, .reusable = false}, SHIFT(1146),
  [2182] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2184] = {.count = 1, .reusable = false}, SHIFT(1147),
  [2186] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2188] = {.count = 1, .reusable = true}, SHIFT(1145),
  [2190] = {.count = 1, .reusable = false}, SHIFT(1148),
  [2192] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2194] = {.count = 1, .reusable = false}, SHIFT(1149),
  [2196] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2198] = {.count = 1, .reusable = false}, SHIFT(1150),
  [2200] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2202] = {.count = 1, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [2204] = {.count = 2, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(224),
  [2207] = {.count = 1, .reusable = true}, SHIFT(1152),
  [2209] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2211] = {.count = 1, .reusable = true}, SHIFT(1155),
  [2213] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 4, .production_id = 19),
  [2215] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 4, .production_id = 19),
  [2217] = {.count = 1, .reusable = true}, SHIFT(1158),
  [2219] = {.count = 1, .reusable = true}, SHIFT(1160),
  [2221] = {.count = 1, .reusable = true}, SHIFT(1161),
  [2223] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2225] = {.count = 1, .reusable = true}, SHIFT(1163),
  [2227] = {.count = 1, .reusable = true}, SHIFT(1164),
  [2229] = {.count = 1, .reusable = true}, SHIFT(1165),
  [2231] = {.count = 1, .reusable = true}, SHIFT(1166),
  [2233] = {.count = 1, .reusable = true}, SHIFT(1167),
  [2235] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2237] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2239] = {.count = 1, .reusable = true}, SHIFT(1170),
  [2241] = {.count = 1, .reusable = true}, SHIFT(1171),
  [2243] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(56),
  [2246] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2248] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(252),
  [2251] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2253] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2255] = {.count = 1, .reusable = false}, SHIFT(1177),
  [2257] = {.count = 1, .reusable = true}, SHIFT(1177),
  [2259] = {.count = 1, .reusable = true}, SHIFT(1178),
  [2261] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2263] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(258),
  [2266] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(259),
  [2269] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(258),
  [2272] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(262),
  [2275] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2277] = {.count = 1, .reusable = false}, SHIFT(1187),
  [2279] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2281] = {.count = 1, .reusable = false}, SHIFT(1188),
  [2283] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2285] = {.count = 1, .reusable = false}, SHIFT(1189),
  [2287] = {.count = 1, .reusable = false}, SHIFT(1190),
  [2289] = {.count = 1, .reusable = true}, SHIFT(1190),
  [2291] = {.count = 1, .reusable = false}, SHIFT(1191),
  [2293] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2295] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2297] = {.count = 1, .reusable = false}, SHIFT(1192),
  [2299] = {.count = 1, .reusable = true}, SHIFT(1192),
  [2301] = {.count = 1, .reusable = false}, SHIFT(1193),
  [2303] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2305] = {.count = 1, .reusable = false}, SHIFT(1194),
  [2307] = {.count = 1, .reusable = true}, SHIFT(1194),
  [2309] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2311] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(281),
  [2314] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 4, .production_id = 20),
  [2316] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard_import, 1),
  [2318] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2320] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 4, .production_id = 21),
  [2322] = {.count = 1, .reusable = true}, SHIFT(1202),
  [2324] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2326] = {.count = 1, .reusable = false}, SHIFT(1209),
  [2328] = {.count = 1, .reusable = true}, SHIFT(1209),
  [2330] = {.count = 1, .reusable = false}, SHIFT(1210),
  [2332] = {.count = 1, .reusable = true}, SHIFT(1210),
  [2334] = {.count = 1, .reusable = false}, SHIFT(1211),
  [2336] = {.count = 1, .reusable = false}, SHIFT(1212),
  [2338] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2340] = {.count = 1, .reusable = false}, SHIFT(1213),
  [2342] = {.count = 1, .reusable = true}, SHIFT(1213),
  [2344] = {.count = 1, .reusable = true}, SHIFT(1211),
  [2346] = {.count = 1, .reusable = false}, SHIFT(1214),
  [2348] = {.count = 1, .reusable = true}, SHIFT(1214),
  [2350] = {.count = 1, .reusable = false}, SHIFT(1215),
  [2352] = {.count = 1, .reusable = true}, SHIFT(1215),
  [2354] = {.count = 1, .reusable = false}, SHIFT(1216),
  [2356] = {.count = 1, .reusable = true}, SHIFT(1216),
  [2358] = {.count = 1, .reusable = true}, SHIFT(1218),
  [2360] = {.count = 1, .reusable = true}, SHIFT(1219),
  [2362] = {.count = 1, .reusable = true}, SHIFT(1220),
  [2364] = {.count = 1, .reusable = true}, SHIFT(1221),
  [2366] = {.count = 1, .reusable = true}, SHIFT(1222),
  [2368] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2370] = {.count = 1, .reusable = true}, SHIFT(1224),
  [2372] = {.count = 1, .reusable = true}, SHIFT(1225),
  [2374] = {.count = 1, .reusable = true}, SHIFT(1226),
  [2376] = {.count = 1, .reusable = true}, SHIFT(1227),
  [2378] = {.count = 1, .reusable = true}, SHIFT(1228),
  [2380] = {.count = 1, .reusable = true}, SHIFT(1229),
  [2382] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 4),
  [2384] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 4),
  [2386] = {.count = 1, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2),
  [2388] = {.count = 1, .reusable = true}, SHIFT(1231),
  [2390] = {.count = 2, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(1232),
  [2393] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(78),
  [2396] = {.count = 1, .reusable = true}, SHIFT(1233),
  [2398] = {.count = 1, .reusable = true}, SHIFT(1234),
  [2400] = {.count = 1, .reusable = false}, REDUCE(sym_boolean_operator, 3, .production_id = 18),
  [2402] = {.count = 1, .reusable = false}, SHIFT(1243),
  [2404] = {.count = 1, .reusable = true}, SHIFT(1243),
  [2406] = {.count = 1, .reusable = true}, SHIFT(1236),
  [2408] = {.count = 1, .reusable = false}, SHIFT(1237),
  [2410] = {.count = 1, .reusable = false}, SHIFT(1238),
  [2412] = {.count = 1, .reusable = false}, SHIFT(1239),
  [2414] = {.count = 1, .reusable = false}, SHIFT(1240),
  [2416] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 2),
  [2418] = {.count = 1, .reusable = true}, REDUCE(sym_generator_expression, 4),
  [2420] = {.count = 1, .reusable = false}, REDUCE(sym_generator_expression, 4),
  [2422] = {.count = 1, .reusable = true}, SHIFT(1245),
  [2424] = {.count = 1, .reusable = true}, SHIFT(1246),
  [2426] = {.count = 1, .reusable = false}, SHIFT(1248),
  [2428] = {.count = 1, .reusable = true}, SHIFT(1248),
  [2430] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(333),
  [2433] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(333),
  [2436] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(334),
  [2439] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(337),
  [2442] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 4, .production_id = 22),
  [2444] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 4, .production_id = 22),
  [2446] = {.count = 1, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2448] = {.count = 2, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(351),
  [2451] = {.count = 1, .reusable = true}, SHIFT(1251),
  [2453] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 3),
  [2455] = {.count = 1, .reusable = false}, SHIFT(1252),
  [2457] = {.count = 1, .reusable = true}, SHIFT(1252),
  [2459] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(359),
  [2462] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(360),
  [2465] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(359),
  [2468] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(363),
  [2471] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4, .production_id = 23),
  [2473] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4, .production_id = 23),
  [2475] = {.count = 1, .reusable = false}, SHIFT(1255),
  [2477] = {.count = 1, .reusable = false}, SHIFT(1256),
  [2479] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2481] = {.count = 1, .reusable = false}, SHIFT(1261),
  [2483] = {.count = 1, .reusable = true}, SHIFT(1261),
  [2485] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(379),
  [2488] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(380),
  [2491] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(379),
  [2494] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(383),
  [2497] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(389),
  [2500] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 4),
  [2502] = {.count = 1, .reusable = true}, SHIFT(818),
  [2504] = {.count = 1, .reusable = false}, SHIFT(826),
  [2506] = {.count = 1, .reusable = true}, SHIFT(826),
  [2508] = {.count = 1, .reusable = false}, SHIFT(819),
  [2510] = {.count = 1, .reusable = false}, SHIFT(820),
  [2512] = {.count = 1, .reusable = false}, SHIFT(821),
  [2514] = {.count = 1, .reusable = false}, SHIFT(822),
  [2516] = {.count = 1, .reusable = true}, SHIFT(1262),
  [2518] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2520] = {.count = 1, .reusable = true}, SHIFT(1266),
  [2522] = {.count = 1, .reusable = true}, SHIFT(1269),
  [2524] = {.count = 1, .reusable = true}, SHIFT(1270),
  [2526] = {.count = 1, .reusable = true}, SHIFT(1268),
  [2528] = {.count = 1, .reusable = true}, SHIFT(1271),
  [2530] = {.count = 1, .reusable = false}, SHIFT(1272),
  [2532] = {.count = 1, .reusable = true}, SHIFT(1273),
  [2534] = {.count = 1, .reusable = true}, SHIFT(1274),
  [2536] = {.count = 1, .reusable = true}, SHIFT(1272),
  [2538] = {.count = 1, .reusable = false}, SHIFT(1271),
  [2540] = {.count = 1, .reusable = true}, SHIFT(1275),
  [2542] = {.count = 1, .reusable = true}, SHIFT(1279),
  [2544] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2546] = {.count = 1, .reusable = true}, SHIFT(1276),
  [2548] = {.count = 1, .reusable = true}, SHIFT(1277),
  [2550] = {.count = 1, .reusable = true}, SHIFT(1278),
  [2552] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 1),
  [2554] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 24),
  [2556] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2),
  [2558] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .production_id = 1),
  [2560] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1282),
  [2563] = {.count = 1, .reusable = true}, SHIFT(834),
  [2565] = {.count = 1, .reusable = false}, SHIFT(842),
  [2567] = {.count = 1, .reusable = true}, SHIFT(842),
  [2569] = {.count = 1, .reusable = false}, SHIFT(835),
  [2571] = {.count = 1, .reusable = false}, SHIFT(836),
  [2573] = {.count = 1, .reusable = false}, SHIFT(837),
  [2575] = {.count = 1, .reusable = false}, SHIFT(838),
  [2577] = {.count = 1, .reusable = true}, SHIFT(1283),
  [2579] = {.count = 1, .reusable = true}, SHIFT(1285),
  [2581] = {.count = 1, .reusable = true}, REDUCE(sym_typed_parameter, 3),
  [2583] = {.count = 1, .reusable = true}, SHIFT(1287),
  [2585] = {.count = 1, .reusable = true}, SHIFT(1290),
  [2587] = {.count = 1, .reusable = true}, SHIFT(1289),
  [2589] = {.count = 1, .reusable = true}, SHIFT(1291),
  [2591] = {.count = 1, .reusable = true}, SHIFT(1292),
  [2593] = {.count = 1, .reusable = false}, SHIFT(1293),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1294),
  [2597] = {.count = 1, .reusable = true}, SHIFT(1295),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1293),
  [2601] = {.count = 1, .reusable = false}, SHIFT(1292),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1296),
  [2605] = {.count = 1, .reusable = true}, SHIFT(1300),
  [2607] = {.count = 1, .reusable = true}, SHIFT(1301),
  [2609] = {.count = 1, .reusable = true}, SHIFT(1297),
  [2611] = {.count = 1, .reusable = true}, SHIFT(1298),
  [2613] = {.count = 1, .reusable = true}, SHIFT(1299),
  [2615] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3),
  [2617] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3),
  [2619] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_splat, 3),
  [2621] = {.count = 1, .reusable = true}, SHIFT(1305),
  [2623] = {.count = 1, .reusable = false}, SHIFT(1309),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1309),
  [2627] = {.count = 1, .reusable = false}, SHIFT(1310),
  [2629] = {.count = 1, .reusable = true}, SHIFT(1310),
  [2631] = {.count = 1, .reusable = false}, SHIFT(1311),
  [2633] = {.count = 1, .reusable = false}, SHIFT(1312),
  [2635] = {.count = 1, .reusable = true}, SHIFT(1312),
  [2637] = {.count = 1, .reusable = false}, SHIFT(1313),
  [2639] = {.count = 1, .reusable = true}, SHIFT(1313),
  [2641] = {.count = 1, .reusable = true}, SHIFT(1311),
  [2643] = {.count = 1, .reusable = false}, SHIFT(1314),
  [2645] = {.count = 1, .reusable = true}, SHIFT(1314),
  [2647] = {.count = 1, .reusable = false}, SHIFT(1315),
  [2649] = {.count = 1, .reusable = true}, SHIFT(1315),
  [2651] = {.count = 1, .reusable = false}, SHIFT(1316),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1316),
  [2655] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 4, .production_id = 25),
  [2657] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [2659] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 11),
  [2661] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26),
  [2663] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26), SHIFT_REPEAT(1318),
  [2666] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 12),
  [2668] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [2670] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 3, .production_id = 13),
  [2672] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28),
  [2674] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(1319),
  [2677] = {.count = 1, .reusable = true}, REDUCE(sym_aliased_import, 3, .production_id = 29),
  [2679] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [2681] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [2683] = {.count = 1, .reusable = true}, SHIFT(1322),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1323),
  [2687] = {.count = 1, .reusable = true}, SHIFT(1324),
  [2689] = {.count = 1, .reusable = true}, SHIFT(1326),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1327),
  [2693] = {.count = 1, .reusable = true}, SHIFT(1328),
  [2695] = {.count = 1, .reusable = false}, SHIFT(1338),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1338),
  [2699] = {.count = 1, .reusable = true}, SHIFT(1330),
  [2701] = {.count = 1, .reusable = false}, SHIFT(1331),
  [2703] = {.count = 1, .reusable = false}, SHIFT(1332),
  [2705] = {.count = 1, .reusable = true}, SHIFT(1333),
  [2707] = {.count = 1, .reusable = false}, SHIFT(1334),
  [2709] = {.count = 1, .reusable = false}, SHIFT(1335),
  [2711] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 2),
  [2713] = {.count = 1, .reusable = true}, SHIFT(1339),
  [2715] = {.count = 1, .reusable = true}, SHIFT(1340),
  [2717] = {.count = 1, .reusable = true}, SHIFT(1341),
  [2719] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 4),
  [2721] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 4),
  [2723] = {.count = 1, .reusable = true}, SHIFT(1347),
  [2725] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 3),
  [2727] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(1348),
  [2730] = {.count = 1, .reusable = false}, SHIFT(1349),
  [2732] = {.count = 1, .reusable = true}, SHIFT(1349),
  [2734] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(443),
  [2737] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(444),
  [2740] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(443),
  [2743] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(447),
  [2746] = {.count = 1, .reusable = true}, SHIFT(1352),
  [2748] = {.count = 1, .reusable = false}, SHIFT(1356),
  [2750] = {.count = 1, .reusable = true}, SHIFT(1356),
  [2752] = {.count = 1, .reusable = false}, SHIFT(1357),
  [2754] = {.count = 1, .reusable = true}, SHIFT(1357),
  [2756] = {.count = 1, .reusable = false}, SHIFT(1358),
  [2758] = {.count = 1, .reusable = false}, SHIFT(1359),
  [2760] = {.count = 1, .reusable = true}, SHIFT(1359),
  [2762] = {.count = 1, .reusable = false}, SHIFT(1360),
  [2764] = {.count = 1, .reusable = true}, SHIFT(1360),
  [2766] = {.count = 1, .reusable = true}, SHIFT(1358),
  [2768] = {.count = 1, .reusable = false}, SHIFT(1361),
  [2770] = {.count = 1, .reusable = true}, SHIFT(1361),
  [2772] = {.count = 1, .reusable = false}, SHIFT(1362),
  [2774] = {.count = 1, .reusable = true}, SHIFT(1362),
  [2776] = {.count = 1, .reusable = false}, SHIFT(1363),
  [2778] = {.count = 1, .reusable = true}, SHIFT(1363),
  [2780] = {.count = 1, .reusable = true}, REDUCE(sym_list, 4),
  [2782] = {.count = 1, .reusable = false}, REDUCE(sym_list, 4),
  [2784] = {.count = 1, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2),
  [2786] = {.count = 1, .reusable = true}, SHIFT(1366),
  [2788] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1367),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1368),
  [2793] = {.count = 1, .reusable = true}, SHIFT(1369),
  [2795] = {.count = 1, .reusable = false}, SHIFT(1378),
  [2797] = {.count = 1, .reusable = true}, SHIFT(1378),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1371),
  [2801] = {.count = 1, .reusable = false}, SHIFT(1372),
  [2803] = {.count = 1, .reusable = false}, SHIFT(1373),
  [2805] = {.count = 1, .reusable = false}, SHIFT(1374),
  [2807] = {.count = 1, .reusable = false}, SHIFT(1375),
  [2809] = {.count = 1, .reusable = true}, REDUCE(sym_list_comprehension, 4),
  [2811] = {.count = 1, .reusable = false}, REDUCE(sym_list_comprehension, 4),
  [2813] = {.count = 1, .reusable = false}, SHIFT(1380),
  [2815] = {.count = 1, .reusable = true}, SHIFT(1380),
  [2817] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(477),
  [2820] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(477),
  [2823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(478),
  [2826] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(481),
  [2829] = {.count = 1, .reusable = true}, SHIFT(1383),
  [2831] = {.count = 1, .reusable = false}, SHIFT(1387),
  [2833] = {.count = 1, .reusable = true}, SHIFT(1387),
  [2835] = {.count = 1, .reusable = false}, SHIFT(1388),
  [2837] = {.count = 1, .reusable = true}, SHIFT(1388),
  [2839] = {.count = 1, .reusable = false}, SHIFT(1389),
  [2841] = {.count = 1, .reusable = false}, SHIFT(1390),
  [2843] = {.count = 1, .reusable = true}, SHIFT(1390),
  [2845] = {.count = 1, .reusable = false}, SHIFT(1391),
  [2847] = {.count = 1, .reusable = true}, SHIFT(1391),
  [2849] = {.count = 1, .reusable = true}, SHIFT(1389),
  [2851] = {.count = 1, .reusable = false}, SHIFT(1392),
  [2853] = {.count = 1, .reusable = true}, SHIFT(1392),
  [2855] = {.count = 1, .reusable = false}, SHIFT(1393),
  [2857] = {.count = 1, .reusable = true}, SHIFT(1393),
  [2859] = {.count = 1, .reusable = false}, SHIFT(1394),
  [2861] = {.count = 1, .reusable = true}, SHIFT(1394),
  [2863] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 4),
  [2865] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 4),
  [2867] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2869] = {.count = 1, .reusable = true}, SHIFT(1397),
  [2871] = {.count = 1, .reusable = true}, SHIFT(1398),
  [2873] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(1399),
  [2876] = {.count = 1, .reusable = true}, SHIFT(1400),
  [2878] = {.count = 1, .reusable = false}, SHIFT(1409),
  [2880] = {.count = 1, .reusable = true}, SHIFT(1409),
  [2882] = {.count = 1, .reusable = true}, SHIFT(1402),
  [2884] = {.count = 1, .reusable = false}, SHIFT(1403),
  [2886] = {.count = 1, .reusable = false}, SHIFT(1404),
  [2888] = {.count = 1, .reusable = false}, SHIFT(1405),
  [2890] = {.count = 1, .reusable = false}, SHIFT(1406),
  [2892] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_comprehension, 4),
  [2894] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary_comprehension, 4),
  [2896] = {.count = 1, .reusable = true}, REDUCE(sym_set, 4),
  [2898] = {.count = 1, .reusable = false}, REDUCE(sym_set, 4),
  [2900] = {.count = 1, .reusable = true}, SHIFT(1411),
  [2902] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(1412),
  [2905] = {.count = 1, .reusable = true}, SHIFT(1413),
  [2907] = {.count = 1, .reusable = true}, SHIFT(1415),
  [2909] = {.count = 1, .reusable = true}, SHIFT(1419),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1420),
  [2913] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [2915] = {.count = 1, .reusable = true}, SHIFT(1418),
  [2917] = {.count = 1, .reusable = true}, SHIFT(1421),
  [2919] = {.count = 1, .reusable = false}, SHIFT(1422),
  [2921] = {.count = 1, .reusable = true}, SHIFT(1423),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1424),
  [2925] = {.count = 1, .reusable = true}, SHIFT(1422),
  [2927] = {.count = 1, .reusable = false}, SHIFT(1421),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1425),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1429),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1430),
  [2935] = {.count = 1, .reusable = true}, SHIFT(1426),
  [2937] = {.count = 1, .reusable = true}, SHIFT(1427),
  [2939] = {.count = 1, .reusable = true}, SHIFT(1428),
  [2941] = {.count = 1, .reusable = true}, SHIFT(1432),
  [2943] = {.count = 1, .reusable = true}, REDUCE(sym_set_comprehension, 4),
  [2945] = {.count = 1, .reusable = false}, REDUCE(sym_set_comprehension, 4),
  [2947] = {.count = 1, .reusable = false}, SHIFT(1433),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1433),
  [2951] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(517),
  [2954] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(517),
  [2957] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(518),
  [2960] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(521),
  [2963] = {.count = 1, .reusable = true}, SHIFT(1435),
  [2965] = {.count = 1, .reusable = true}, SHIFT(1434),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1436),
  [2969] = {.count = 1, .reusable = true}, SHIFT(1437),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1441),
  [2973] = {.count = 1, .reusable = true}, REDUCE(sym_block, 1),
  [2975] = {.count = 1, .reusable = true}, SHIFT(1442),
  [2977] = {.count = 1, .reusable = true}, SHIFT(1444),
  [2979] = {.count = 1, .reusable = true}, SHIFT(1445),
  [2981] = {.count = 1, .reusable = true}, SHIFT(1449),
  [2983] = {.count = 1, .reusable = true}, SHIFT(1451),
  [2985] = {.count = 1, .reusable = true}, SHIFT(1015),
  [2987] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2989] = {.count = 1, .reusable = true}, SHIFT(1453),
  [2991] = {.count = 1, .reusable = true}, SHIFT(1454),
  [2993] = {.count = 1, .reusable = true}, SHIFT(1455),
  [2995] = {.count = 1, .reusable = true}, SHIFT(1457),
  [2997] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [2999] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [3001] = {.count = 1, .reusable = false}, SHIFT(1034),
  [3003] = {.count = 1, .reusable = false}, SHIFT(1033),
  [3005] = {.count = 1, .reusable = true}, SHIFT(1461),
  [3007] = {.count = 1, .reusable = true}, SHIFT(1462),
  [3009] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2),
  [3011] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 3),
  [3013] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(1464),
  [3016] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 4, .production_id = 32),
  [3018] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 4, .production_id = 32),
  [3020] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3022] = {.count = 1, .reusable = false}, SHIFT(1472),
  [3024] = {.count = 1, .reusable = true}, SHIFT(1472),
  [3026] = {.count = 1, .reusable = false}, SHIFT(1473),
  [3028] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3030] = {.count = 1, .reusable = false}, SHIFT(1474),
  [3032] = {.count = 1, .reusable = false}, SHIFT(1475),
  [3034] = {.count = 1, .reusable = true}, SHIFT(1475),
  [3036] = {.count = 1, .reusable = false}, SHIFT(1476),
  [3038] = {.count = 1, .reusable = true}, SHIFT(1476),
  [3040] = {.count = 1, .reusable = true}, SHIFT(1474),
  [3042] = {.count = 1, .reusable = false}, SHIFT(1477),
  [3044] = {.count = 1, .reusable = true}, SHIFT(1477),
  [3046] = {.count = 1, .reusable = false}, SHIFT(1478),
  [3048] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3050] = {.count = 1, .reusable = false}, SHIFT(1479),
  [3052] = {.count = 1, .reusable = true}, SHIFT(1479),
  [3054] = {.count = 1, .reusable = true}, SHIFT(1481),
  [3056] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 2),
  [3058] = {.count = 1, .reusable = true}, SHIFT(1483),
  [3060] = {.count = 1, .reusable = true}, SHIFT(1486),
  [3062] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4),
  [3064] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4),
  [3066] = {.count = 1, .reusable = true}, SHIFT(1488),
  [3068] = {.count = 1, .reusable = true}, SHIFT(1491),
  [3070] = {.count = 1, .reusable = false}, SHIFT(1496),
  [3072] = {.count = 1, .reusable = true}, SHIFT(1496),
  [3074] = {.count = 1, .reusable = false}, SHIFT(1497),
  [3076] = {.count = 1, .reusable = true}, SHIFT(1497),
  [3078] = {.count = 1, .reusable = false}, SHIFT(1498),
  [3080] = {.count = 1, .reusable = false}, SHIFT(1499),
  [3082] = {.count = 1, .reusable = true}, SHIFT(1499),
  [3084] = {.count = 1, .reusable = false}, SHIFT(1500),
  [3086] = {.count = 1, .reusable = true}, SHIFT(1500),
  [3088] = {.count = 1, .reusable = true}, SHIFT(1498),
  [3090] = {.count = 1, .reusable = false}, SHIFT(1501),
  [3092] = {.count = 1, .reusable = true}, SHIFT(1501),
  [3094] = {.count = 1, .reusable = false}, SHIFT(1502),
  [3096] = {.count = 1, .reusable = true}, SHIFT(1502),
  [3098] = {.count = 1, .reusable = false}, SHIFT(1503),
  [3100] = {.count = 1, .reusable = true}, SHIFT(1503),
  [3102] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [3104] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [3106] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [3108] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [3110] = {.count = 1, .reusable = true}, SHIFT(1508),
  [3112] = {.count = 1, .reusable = true}, SHIFT(1511),
  [3114] = {.count = 1, .reusable = true}, SHIFT(1515),
  [3116] = {.count = 1, .reusable = false}, SHIFT(1520),
  [3118] = {.count = 1, .reusable = true}, SHIFT(1520),
  [3120] = {.count = 1, .reusable = false}, SHIFT(1521),
  [3122] = {.count = 1, .reusable = true}, SHIFT(1521),
  [3124] = {.count = 1, .reusable = false}, SHIFT(1522),
  [3126] = {.count = 1, .reusable = false}, SHIFT(1523),
  [3128] = {.count = 1, .reusable = true}, SHIFT(1523),
  [3130] = {.count = 1, .reusable = false}, SHIFT(1524),
  [3132] = {.count = 1, .reusable = true}, SHIFT(1524),
  [3134] = {.count = 1, .reusable = true}, SHIFT(1522),
  [3136] = {.count = 1, .reusable = false}, SHIFT(1525),
  [3138] = {.count = 1, .reusable = true}, SHIFT(1525),
  [3140] = {.count = 1, .reusable = false}, SHIFT(1526),
  [3142] = {.count = 1, .reusable = true}, SHIFT(1526),
  [3144] = {.count = 1, .reusable = false}, SHIFT(1527),
  [3146] = {.count = 1, .reusable = true}, SHIFT(1527),
  [3148] = {.count = 1, .reusable = true}, SHIFT(1529),
  [3150] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 33),
  [3152] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 33),
  [3154] = {.count = 1, .reusable = true}, SHIFT(1531),
  [3156] = {.count = 1, .reusable = true}, SHIFT(1533),
  [3158] = {.count = 1, .reusable = false}, SHIFT(1544),
  [3160] = {.count = 1, .reusable = true}, SHIFT(1544),
  [3162] = {.count = 1, .reusable = true}, SHIFT(1537),
  [3164] = {.count = 1, .reusable = false}, SHIFT(1538),
  [3166] = {.count = 1, .reusable = false}, SHIFT(1539),
  [3168] = {.count = 1, .reusable = false}, SHIFT(1540),
  [3170] = {.count = 1, .reusable = false}, SHIFT(1541),
  [3172] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 2),
  [3174] = {.count = 1, .reusable = false}, SHIFT(1545),
  [3176] = {.count = 1, .reusable = true}, SHIFT(1546),
  [3178] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 4),
  [3180] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 4),
  [3182] = {.count = 1, .reusable = true}, SHIFT(1547),
  [3184] = {.count = 1, .reusable = false}, SHIFT(1548),
  [3186] = {.count = 1, .reusable = true}, SHIFT(1548),
  [3188] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(617),
  [3191] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(618),
  [3194] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(617),
  [3197] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(621),
  [3200] = {.count = 1, .reusable = true}, SHIFT(1549),
  [3202] = {.count = 1, .reusable = true}, SHIFT(1550),
  [3204] = {.count = 1, .reusable = false}, REDUCE(sym_block, 1),
  [3206] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 34),
  [3208] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 34),
  [3210] = {.count = 1, .reusable = true}, SHIFT(1551),
  [3212] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 35),
  [3214] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 35),
  [3216] = {.count = 1, .reusable = true}, SHIFT(1553),
  [3218] = {.count = 1, .reusable = true}, SHIFT(1554),
  [3220] = {.count = 1, .reusable = true}, SHIFT(1555),
  [3222] = {.count = 1, .reusable = true}, SHIFT(1556),
  [3224] = {.count = 1, .reusable = true}, SHIFT(1558),
  [3226] = {.count = 1, .reusable = true}, SHIFT(1559),
  [3228] = {.count = 1, .reusable = true}, SHIFT(1560),
  [3230] = {.count = 1, .reusable = true}, SHIFT(1561),
  [3232] = {.count = 1, .reusable = true}, SHIFT(1563),
  [3234] = {.count = 1, .reusable = false}, SHIFT(1564),
  [3236] = {.count = 1, .reusable = true}, SHIFT(1564),
  [3238] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(689),
  [3241] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(690),
  [3244] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(689),
  [3247] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(693),
  [3250] = {.count = 1, .reusable = true}, SHIFT(1566),
  [3252] = {.count = 1, .reusable = true}, SHIFT(1568),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1569),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3258] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(1572),
  [3261] = {.count = 1, .reusable = false}, SHIFT(1573),
  [3263] = {.count = 1, .reusable = true}, SHIFT(1573),
  [3265] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(720),
  [3268] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(721),
  [3271] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(720),
  [3274] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(724),
  [3277] = {.count = 1, .reusable = true}, SHIFT(1574),
  [3279] = {.count = 1, .reusable = true}, SHIFT(1575),
  [3281] = {.count = 1, .reusable = true}, SHIFT(1576),
  [3283] = {.count = 1, .reusable = true}, SHIFT(1577),
  [3285] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 5),
  [3287] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 5),
  [3289] = {.count = 1, .reusable = false}, SHIFT(1579),
  [3291] = {.count = 1, .reusable = true}, SHIFT(1582),
  [3293] = {.count = 1, .reusable = true}, SHIFT(1583),
  [3295] = {.count = 1, .reusable = true}, SHIFT(1585),
  [3297] = {.count = 1, .reusable = true}, SHIFT(1589),
  [3299] = {.count = 1, .reusable = true}, REDUCE(sym_if_clause, 2),
  [3301] = {.count = 1, .reusable = true}, SHIFT(1588),
  [3303] = {.count = 1, .reusable = true}, SHIFT(1591),
  [3305] = {.count = 1, .reusable = false}, SHIFT(1592),
  [3307] = {.count = 1, .reusable = true}, SHIFT(1593),
  [3309] = {.count = 1, .reusable = true}, SHIFT(1594),
  [3311] = {.count = 1, .reusable = true}, SHIFT(1592),
  [3313] = {.count = 1, .reusable = false}, SHIFT(1591),
  [3315] = {.count = 1, .reusable = true}, SHIFT(1595),
  [3317] = {.count = 1, .reusable = true}, SHIFT(1599),
  [3319] = {.count = 1, .reusable = true}, SHIFT(1600),
  [3321] = {.count = 1, .reusable = true}, SHIFT(1596),
  [3323] = {.count = 1, .reusable = true}, SHIFT(1597),
  [3325] = {.count = 1, .reusable = true}, SHIFT(1598),
  [3327] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(760),
  [3330] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(326),
  [3333] = {.count = 1, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2),
  [3335] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(328),
  [3338] = {.count = 1, .reusable = true}, SHIFT(1602),
  [3340] = {.count = 1, .reusable = true}, SHIFT(1603),
  [3342] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5),
  [3344] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5),
  [3346] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 36),
  [3348] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 36),
  [3350] = {.count = 1, .reusable = true}, SHIFT(1608),
  [3352] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [3354] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [3356] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 38),
  [3358] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 38),
  [3360] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 39),
  [3362] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 39),
  [3364] = {.count = 1, .reusable = true}, SHIFT(1614),
  [3366] = {.count = 1, .reusable = false}, SHIFT(1619),
  [3368] = {.count = 1, .reusable = true}, SHIFT(1619),
  [3370] = {.count = 1, .reusable = false}, SHIFT(1620),
  [3372] = {.count = 1, .reusable = true}, SHIFT(1620),
  [3374] = {.count = 1, .reusable = false}, SHIFT(1621),
  [3376] = {.count = 1, .reusable = false}, SHIFT(1622),
  [3378] = {.count = 1, .reusable = true}, SHIFT(1622),
  [3380] = {.count = 1, .reusable = false}, SHIFT(1623),
  [3382] = {.count = 1, .reusable = true}, SHIFT(1623),
  [3384] = {.count = 1, .reusable = true}, SHIFT(1621),
  [3386] = {.count = 1, .reusable = false}, SHIFT(1624),
  [3388] = {.count = 1, .reusable = true}, SHIFT(1624),
  [3390] = {.count = 1, .reusable = false}, SHIFT(1625),
  [3392] = {.count = 1, .reusable = true}, SHIFT(1625),
  [3394] = {.count = 1, .reusable = false}, SHIFT(1626),
  [3396] = {.count = 1, .reusable = true}, SHIFT(1626),
  [3398] = {.count = 1, .reusable = true}, SHIFT(1630),
  [3400] = {.count = 1, .reusable = false}, SHIFT(1635),
  [3402] = {.count = 1, .reusable = true}, SHIFT(1635),
  [3404] = {.count = 1, .reusable = false}, SHIFT(1636),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1636),
  [3408] = {.count = 1, .reusable = false}, SHIFT(1637),
  [3410] = {.count = 1, .reusable = false}, SHIFT(1638),
  [3412] = {.count = 1, .reusable = true}, SHIFT(1638),
  [3414] = {.count = 1, .reusable = false}, SHIFT(1639),
  [3416] = {.count = 1, .reusable = true}, SHIFT(1639),
  [3418] = {.count = 1, .reusable = true}, SHIFT(1637),
  [3420] = {.count = 1, .reusable = false}, SHIFT(1640),
  [3422] = {.count = 1, .reusable = true}, SHIFT(1640),
  [3424] = {.count = 1, .reusable = false}, SHIFT(1641),
  [3426] = {.count = 1, .reusable = true}, SHIFT(1641),
  [3428] = {.count = 1, .reusable = false}, SHIFT(1642),
  [3430] = {.count = 1, .reusable = true}, SHIFT(1642),
  [3432] = {.count = 1, .reusable = true}, SHIFT(1645),
  [3434] = {.count = 1, .reusable = false}, SHIFT(1646),
  [3436] = {.count = 1, .reusable = true}, SHIFT(1646),
  [3438] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(855),
  [3441] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(856),
  [3444] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(855),
  [3447] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(859),
  [3450] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 40),
  [3452] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 40),
  [3454] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 41),
  [3456] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 41),
  [3458] = {.count = 1, .reusable = false}, SHIFT(1650),
  [3460] = {.count = 1, .reusable = false}, SHIFT(1651),
  [3462] = {.count = 1, .reusable = true}, SHIFT(1653),
  [3464] = {.count = 1, .reusable = false}, SHIFT(1663),
  [3466] = {.count = 1, .reusable = true}, SHIFT(1663),
  [3468] = {.count = 1, .reusable = true}, SHIFT(1655),
  [3470] = {.count = 1, .reusable = false}, SHIFT(1656),
  [3472] = {.count = 1, .reusable = false}, SHIFT(1657),
  [3474] = {.count = 1, .reusable = false}, SHIFT(1658),
  [3476] = {.count = 1, .reusable = false}, SHIFT(1659),
  [3478] = {.count = 1, .reusable = true}, SHIFT(1665),
  [3480] = {.count = 1, .reusable = true}, SHIFT(1666),
  [3482] = {.count = 1, .reusable = true}, SHIFT(1669),
  [3484] = {.count = 1, .reusable = true}, SHIFT(1673),
  [3486] = {.count = 1, .reusable = true}, SHIFT(1674),
  [3488] = {.count = 1, .reusable = true}, SHIFT(1672),
  [3490] = {.count = 1, .reusable = true}, SHIFT(1675),
  [3492] = {.count = 1, .reusable = false}, SHIFT(1676),
  [3494] = {.count = 1, .reusable = true}, SHIFT(1677),
  [3496] = {.count = 1, .reusable = true}, SHIFT(1678),
  [3498] = {.count = 1, .reusable = true}, SHIFT(1676),
  [3500] = {.count = 1, .reusable = false}, SHIFT(1675),
  [3502] = {.count = 1, .reusable = true}, SHIFT(1679),
  [3504] = {.count = 1, .reusable = true}, SHIFT(1683),
  [3506] = {.count = 1, .reusable = true}, SHIFT(1684),
  [3508] = {.count = 1, .reusable = true}, SHIFT(1680),
  [3510] = {.count = 1, .reusable = true}, SHIFT(1681),
  [3512] = {.count = 1, .reusable = true}, SHIFT(1682),
  [3514] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 3),
  [3516] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5, .production_id = 42),
  [3518] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5, .production_id = 42),
  [3520] = {.count = 1, .reusable = true}, SHIFT(1688),
  [3522] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 5),
  [3524] = {.count = 1, .reusable = true}, SHIFT(1691),
  [3526] = {.count = 1, .reusable = false}, SHIFT(1692),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1692),
  [3530] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(920),
  [3533] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(921),
  [3536] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(920),
  [3539] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(924),
  [3542] = {.count = 1, .reusable = true}, REDUCE(sym_list, 5),
  [3544] = {.count = 1, .reusable = false}, REDUCE(sym_list, 5),
  [3546] = {.count = 1, .reusable = false}, SHIFT(1694),
  [3548] = {.count = 1, .reusable = true}, SHIFT(1697),
  [3550] = {.count = 1, .reusable = true}, SHIFT(1698),
  [3552] = {.count = 1, .reusable = true}, SHIFT(1700),
  [3554] = {.count = 1, .reusable = true}, SHIFT(1704),
  [3556] = {.count = 1, .reusable = true}, SHIFT(1703),
  [3558] = {.count = 1, .reusable = true}, SHIFT(1706),
  [3560] = {.count = 1, .reusable = false}, SHIFT(1707),
  [3562] = {.count = 1, .reusable = true}, SHIFT(1708),
  [3564] = {.count = 1, .reusable = true}, SHIFT(1709),
  [3566] = {.count = 1, .reusable = true}, SHIFT(1707),
  [3568] = {.count = 1, .reusable = false}, SHIFT(1706),
  [3570] = {.count = 1, .reusable = true}, SHIFT(1710),
  [3572] = {.count = 1, .reusable = true}, SHIFT(1714),
  [3574] = {.count = 1, .reusable = true}, SHIFT(1715),
  [3576] = {.count = 1, .reusable = true}, SHIFT(1711),
  [3578] = {.count = 1, .reusable = true}, SHIFT(1712),
  [3580] = {.count = 1, .reusable = true}, SHIFT(1713),
  [3582] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(942),
  [3585] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(471),
  [3588] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(473),
  [3591] = {.count = 1, .reusable = true}, SHIFT(1718),
  [3593] = {.count = 1, .reusable = false}, SHIFT(1719),
  [3595] = {.count = 1, .reusable = true}, SHIFT(1719),
  [3597] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(965),
  [3600] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(966),
  [3603] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(965),
  [3606] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(969),
  [3609] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 5),
  [3611] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 5),
  [3613] = {.count = 1, .reusable = false}, SHIFT(1721),
  [3615] = {.count = 1, .reusable = true}, SHIFT(1724),
  [3617] = {.count = 1, .reusable = true}, SHIFT(1725),
  [3619] = {.count = 1, .reusable = true}, SHIFT(1727),
  [3621] = {.count = 1, .reusable = true}, SHIFT(1731),
  [3623] = {.count = 1, .reusable = true}, SHIFT(1730),
  [3625] = {.count = 1, .reusable = true}, SHIFT(1733),
  [3627] = {.count = 1, .reusable = false}, SHIFT(1734),
  [3629] = {.count = 1, .reusable = true}, SHIFT(1735),
  [3631] = {.count = 1, .reusable = true}, SHIFT(1736),
  [3633] = {.count = 1, .reusable = true}, SHIFT(1734),
  [3635] = {.count = 1, .reusable = false}, SHIFT(1733),
  [3637] = {.count = 1, .reusable = true}, SHIFT(1737),
  [3639] = {.count = 1, .reusable = true}, SHIFT(1741),
  [3641] = {.count = 1, .reusable = true}, SHIFT(1742),
  [3643] = {.count = 1, .reusable = true}, SHIFT(1738),
  [3645] = {.count = 1, .reusable = true}, SHIFT(1739),
  [3647] = {.count = 1, .reusable = true}, SHIFT(1740),
  [3649] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(985),
  [3652] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(503),
  [3655] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(504),
  [3658] = {.count = 1, .reusable = true}, REDUCE(sym_set, 5),
  [3660] = {.count = 1, .reusable = false}, REDUCE(sym_set, 5),
  [3662] = {.count = 1, .reusable = true}, SHIFT(1746),
  [3664] = {.count = 1, .reusable = false}, SHIFT(1750),
  [3666] = {.count = 1, .reusable = true}, SHIFT(1750),
  [3668] = {.count = 1, .reusable = false}, SHIFT(1751),
  [3670] = {.count = 1, .reusable = true}, SHIFT(1751),
  [3672] = {.count = 1, .reusable = false}, SHIFT(1752),
  [3674] = {.count = 1, .reusable = false}, SHIFT(1753),
  [3676] = {.count = 1, .reusable = true}, SHIFT(1753),
  [3678] = {.count = 1, .reusable = false}, SHIFT(1754),
  [3680] = {.count = 1, .reusable = true}, SHIFT(1754),
  [3682] = {.count = 1, .reusable = true}, SHIFT(1752),
  [3684] = {.count = 1, .reusable = false}, SHIFT(1755),
  [3686] = {.count = 1, .reusable = true}, SHIFT(1755),
  [3688] = {.count = 1, .reusable = false}, SHIFT(1756),
  [3690] = {.count = 1, .reusable = true}, SHIFT(1756),
  [3692] = {.count = 1, .reusable = false}, SHIFT(1757),
  [3694] = {.count = 1, .reusable = true}, SHIFT(1757),
  [3696] = {.count = 1, .reusable = true}, SHIFT(1762),
  [3698] = {.count = 1, .reusable = true}, SHIFT(1763),
  [3700] = {.count = 1, .reusable = true}, SHIFT(1765),
  [3702] = {.count = 1, .reusable = true}, SHIFT(1767),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1768),
  [3706] = {.count = 1, .reusable = true}, SHIFT(1770),
  [3708] = {.count = 1, .reusable = true}, SHIFT(1772),
  [3710] = {.count = 1, .reusable = true}, SHIFT(1773),
  [3712] = {.count = 1, .reusable = true}, SHIFT(1774),
  [3714] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 43),
  [3716] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 43),
  [3718] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2, .production_id = 3),
  [3720] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1015),
  [3723] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1016),
  [3726] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1017),
  [3729] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1018),
  [3732] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1019),
  [3735] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1021),
  [3738] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1022),
  [3741] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1014),
  [3744] = {.count = 1, .reusable = true}, SHIFT(1777),
  [3746] = {.count = 1, .reusable = true}, SHIFT(1778),
  [3748] = {.count = 1, .reusable = true}, SHIFT(1780),
  [3750] = {.count = 1, .reusable = true}, SHIFT(1781),
  [3752] = {.count = 1, .reusable = true}, SHIFT(1782),
  [3754] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [3756] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [3758] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [3760] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [3762] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1033),
  [3765] = {.count = 1, .reusable = true}, SHIFT(1785),
  [3767] = {.count = 1, .reusable = true}, SHIFT(1788),
  [3769] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 5, .production_id = 44),
  [3771] = {.count = 1, .reusable = true}, SHIFT(1791),
  [3773] = {.count = 1, .reusable = false}, SHIFT(1792),
  [3775] = {.count = 1, .reusable = true}, SHIFT(1792),
  [3777] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1061),
  [3780] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1062),
  [3783] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1061),
  [3786] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1065),
  [3789] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 3),
  [3791] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5),
  [3793] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5),
  [3795] = {.count = 1, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2),
  [3797] = {.count = 1, .reusable = true}, SHIFT(1795),
  [3799] = {.count = 2, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(1796),
  [3802] = {.count = 1, .reusable = true}, SHIFT(1797),
  [3804] = {.count = 1, .reusable = true}, SHIFT(1798),
  [3806] = {.count = 1, .reusable = false}, SHIFT(1799),
  [3808] = {.count = 1, .reusable = true}, SHIFT(1799),
  [3810] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1088),
  [3813] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1089),
  [3816] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1088),
  [3819] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1092),
  [3822] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 1),
  [3824] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3),
  [3826] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [3828] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [3830] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3832] = {.count = 1, .reusable = true}, SHIFT(1800),
  [3834] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1801),
  [3837] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [3839] = {.count = 1, .reusable = true}, SHIFT(1803),
  [3841] = {.count = 1, .reusable = false}, SHIFT(1804),
  [3843] = {.count = 1, .reusable = true}, SHIFT(1804),
  [3845] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1116),
  [3848] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1117),
  [3851] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1116),
  [3854] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1120),
  [3857] = {.count = 1, .reusable = true}, SHIFT(1805),
  [3859] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6),
  [3861] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6),
  [3863] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 45),
  [3865] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 45),
  [3867] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 46),
  [3869] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 46),
  [3871] = {.count = 1, .reusable = true}, SHIFT(1809),
  [3873] = {.count = 1, .reusable = true}, SHIFT(1810),
  [3875] = {.count = 1, .reusable = true}, SHIFT(1812),
  [3877] = {.count = 1, .reusable = true}, SHIFT(1815),
  [3879] = {.count = 1, .reusable = true}, SHIFT(1816),
  [3881] = {.count = 1, .reusable = true}, SHIFT(1817),
  [3883] = {.count = 1, .reusable = true}, SHIFT(1818),
  [3885] = {.count = 1, .reusable = true}, SHIFT(1819),
  [3887] = {.count = 1, .reusable = false}, SHIFT(1820),
  [3889] = {.count = 1, .reusable = true}, SHIFT(1821),
  [3891] = {.count = 1, .reusable = true}, SHIFT(1822),
  [3893] = {.count = 1, .reusable = true}, SHIFT(1820),
  [3895] = {.count = 1, .reusable = false}, SHIFT(1819),
  [3897] = {.count = 1, .reusable = true}, SHIFT(1823),
  [3899] = {.count = 1, .reusable = true}, SHIFT(1827),
  [3901] = {.count = 1, .reusable = true}, SHIFT(1828),
  [3903] = {.count = 1, .reusable = true}, SHIFT(1824),
  [3905] = {.count = 1, .reusable = true}, SHIFT(1825),
  [3907] = {.count = 1, .reusable = true}, SHIFT(1826),
  [3909] = {.count = 1, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [3911] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1545),
  [3914] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1137),
  [3917] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 5),
  [3919] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 5),
  [3921] = {.count = 1, .reusable = true}, SHIFT(1831),
  [3923] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2, .production_id = 3),
  [3925] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 6, .production_id = 47),
  [3927] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 6, .production_id = 47),
  [3929] = {.count = 1, .reusable = true}, SHIFT(1832),
  [3931] = {.count = 1, .reusable = true}, SHIFT(1833),
  [3933] = {.count = 1, .reusable = true}, SHIFT(1838),
  [3935] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 6, .production_id = 48),
  [3937] = {.count = 1, .reusable = true}, SHIFT(1840),
  [3939] = {.count = 1, .reusable = true}, SHIFT(1842),
  [3941] = {.count = 1, .reusable = true}, SHIFT(1844),
  [3943] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 4),
  [3945] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1),
  [3947] = {.count = 1, .reusable = true}, SHIFT(1849),
  [3949] = {.count = 1, .reusable = false}, SHIFT(1853),
  [3951] = {.count = 1, .reusable = true}, SHIFT(1853),
  [3953] = {.count = 1, .reusable = false}, SHIFT(1854),
  [3955] = {.count = 1, .reusable = true}, SHIFT(1854),
  [3957] = {.count = 1, .reusable = false}, SHIFT(1855),
  [3959] = {.count = 1, .reusable = false}, SHIFT(1856),
  [3961] = {.count = 1, .reusable = true}, SHIFT(1856),
  [3963] = {.count = 1, .reusable = false}, SHIFT(1857),
  [3965] = {.count = 1, .reusable = true}, SHIFT(1857),
  [3967] = {.count = 1, .reusable = true}, SHIFT(1855),
  [3969] = {.count = 1, .reusable = false}, SHIFT(1858),
  [3971] = {.count = 1, .reusable = true}, SHIFT(1858),
  [3973] = {.count = 1, .reusable = false}, SHIFT(1859),
  [3975] = {.count = 1, .reusable = true}, SHIFT(1859),
  [3977] = {.count = 1, .reusable = false}, SHIFT(1860),
  [3979] = {.count = 1, .reusable = true}, SHIFT(1860),
  [3981] = {.count = 1, .reusable = true}, SHIFT(1862),
  [3983] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 49),
  [3985] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 49),
  [3987] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 50),
  [3989] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 50),
  [3991] = {.count = 1, .reusable = true}, SHIFT(1864),
  [3993] = {.count = 1, .reusable = true}, SHIFT(1865),
  [3995] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [3997] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [3999] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(1255),
  [4002] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 52),
  [4004] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 52),
  [4006] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 1),
  [4008] = {.count = 1, .reusable = true}, SHIFT(1868),
  [4010] = {.count = 1, .reusable = false}, SHIFT(1869),
  [4012] = {.count = 1, .reusable = true}, SHIFT(1869),
  [4014] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1272),
  [4017] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1273),
  [4020] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1272),
  [4023] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1276),
  [4026] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5),
  [4028] = {.count = 1, .reusable = true}, SHIFT(1871),
  [4030] = {.count = 1, .reusable = false}, SHIFT(1872),
  [4032] = {.count = 1, .reusable = true}, SHIFT(1872),
  [4034] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1293),
  [4037] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1294),
  [4040] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1293),
  [4043] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1297),
  [4046] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 6, .production_id = 53),
  [4048] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 6, .production_id = 53),
  [4050] = {.count = 1, .reusable = true}, SHIFT(1874),
  [4052] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1875),
  [4055] = {.count = 1, .reusable = true}, SHIFT(1876),
  [4057] = {.count = 1, .reusable = true}, SHIFT(1878),
  [4059] = {.count = 1, .reusable = true}, SHIFT(1880),
  [4061] = {.count = 1, .reusable = true}, SHIFT(1883),
  [4063] = {.count = 1, .reusable = true}, SHIFT(1882),
  [4065] = {.count = 1, .reusable = true}, SHIFT(1884),
  [4067] = {.count = 1, .reusable = true}, SHIFT(1885),
  [4069] = {.count = 1, .reusable = false}, SHIFT(1886),
  [4071] = {.count = 1, .reusable = true}, SHIFT(1887),
  [4073] = {.count = 1, .reusable = true}, SHIFT(1888),
  [4075] = {.count = 1, .reusable = true}, SHIFT(1886),
  [4077] = {.count = 1, .reusable = false}, SHIFT(1885),
  [4079] = {.count = 1, .reusable = true}, SHIFT(1889),
  [4081] = {.count = 1, .reusable = true}, SHIFT(1893),
  [4083] = {.count = 1, .reusable = true}, SHIFT(1894),
  [4085] = {.count = 1, .reusable = true}, SHIFT(1890),
  [4087] = {.count = 1, .reusable = true}, SHIFT(1891),
  [4089] = {.count = 1, .reusable = true}, SHIFT(1892),
  [4091] = {.count = 1, .reusable = true}, SHIFT(1898),
  [4093] = {.count = 1, .reusable = false}, SHIFT(1902),
  [4095] = {.count = 1, .reusable = true}, SHIFT(1902),
  [4097] = {.count = 1, .reusable = false}, SHIFT(1903),
  [4099] = {.count = 1, .reusable = true}, SHIFT(1903),
  [4101] = {.count = 1, .reusable = false}, SHIFT(1904),
  [4103] = {.count = 1, .reusable = false}, SHIFT(1905),
  [4105] = {.count = 1, .reusable = true}, SHIFT(1905),
  [4107] = {.count = 1, .reusable = false}, SHIFT(1906),
  [4109] = {.count = 1, .reusable = true}, SHIFT(1906),
  [4111] = {.count = 1, .reusable = true}, SHIFT(1904),
  [4113] = {.count = 1, .reusable = false}, SHIFT(1907),
  [4115] = {.count = 1, .reusable = true}, SHIFT(1907),
  [4117] = {.count = 1, .reusable = false}, SHIFT(1908),
  [4119] = {.count = 1, .reusable = true}, SHIFT(1908),
  [4121] = {.count = 1, .reusable = false}, SHIFT(1909),
  [4123] = {.count = 1, .reusable = true}, SHIFT(1909),
  [4125] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 54),
  [4127] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 54),
  [4129] = {.count = 1, .reusable = true}, SHIFT(1911),
  [4131] = {.count = 1, .reusable = true}, SHIFT(1914),
  [4133] = {.count = 1, .reusable = true}, SHIFT(1916),
  [4135] = {.count = 1, .reusable = true}, SHIFT(1921),
  [4137] = {.count = 1, .reusable = false}, SHIFT(1925),
  [4139] = {.count = 1, .reusable = true}, SHIFT(1925),
  [4141] = {.count = 1, .reusable = false}, SHIFT(1926),
  [4143] = {.count = 1, .reusable = true}, SHIFT(1926),
  [4145] = {.count = 1, .reusable = false}, SHIFT(1927),
  [4147] = {.count = 1, .reusable = false}, SHIFT(1928),
  [4149] = {.count = 1, .reusable = true}, SHIFT(1928),
  [4151] = {.count = 1, .reusable = false}, SHIFT(1929),
  [4153] = {.count = 1, .reusable = true}, SHIFT(1929),
  [4155] = {.count = 1, .reusable = true}, SHIFT(1927),
  [4157] = {.count = 1, .reusable = false}, SHIFT(1930),
  [4159] = {.count = 1, .reusable = true}, SHIFT(1930),
  [4161] = {.count = 1, .reusable = false}, SHIFT(1931),
  [4163] = {.count = 1, .reusable = true}, SHIFT(1931),
  [4165] = {.count = 1, .reusable = false}, SHIFT(1932),
  [4167] = {.count = 1, .reusable = true}, SHIFT(1932),
  [4169] = {.count = 1, .reusable = true}, SHIFT(1935),
  [4171] = {.count = 1, .reusable = true}, SHIFT(1937),
  [4173] = {.count = 1, .reusable = true}, SHIFT(1942),
  [4175] = {.count = 1, .reusable = false}, SHIFT(1946),
  [4177] = {.count = 1, .reusable = true}, SHIFT(1946),
  [4179] = {.count = 1, .reusable = false}, SHIFT(1947),
  [4181] = {.count = 1, .reusable = true}, SHIFT(1947),
  [4183] = {.count = 1, .reusable = false}, SHIFT(1948),
  [4185] = {.count = 1, .reusable = false}, SHIFT(1949),
  [4187] = {.count = 1, .reusable = true}, SHIFT(1949),
  [4189] = {.count = 1, .reusable = false}, SHIFT(1950),
  [4191] = {.count = 1, .reusable = true}, SHIFT(1950),
  [4193] = {.count = 1, .reusable = true}, SHIFT(1948),
  [4195] = {.count = 1, .reusable = false}, SHIFT(1951),
  [4197] = {.count = 1, .reusable = true}, SHIFT(1951),
  [4199] = {.count = 1, .reusable = false}, SHIFT(1952),
  [4201] = {.count = 1, .reusable = true}, SHIFT(1952),
  [4203] = {.count = 1, .reusable = false}, SHIFT(1953),
  [4205] = {.count = 1, .reusable = true}, SHIFT(1953),
  [4207] = {.count = 1, .reusable = true}, SHIFT(1956),
  [4209] = {.count = 1, .reusable = false}, SHIFT(1957),
  [4211] = {.count = 1, .reusable = true}, SHIFT(1957),
  [4213] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1422),
  [4216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1422),
  [4219] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1423),
  [4222] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1426),
  [4225] = {.count = 1, .reusable = true}, SHIFT(1958),
  [4227] = {.count = 1, .reusable = true}, SHIFT(1959),
  [4229] = {.count = 1, .reusable = true}, SHIFT(1962),
  [4231] = {.count = 1, .reusable = true}, SHIFT(1964),
  [4233] = {.count = 1, .reusable = true}, SHIFT(1965),
  [4235] = {.count = 1, .reusable = true}, SHIFT(1967),
  [4237] = {.count = 1, .reusable = true}, SHIFT(1969),
  [4239] = {.count = 1, .reusable = true}, SHIFT(1971),
  [4241] = {.count = 1, .reusable = true}, SHIFT(1972),
  [4243] = {.count = 1, .reusable = true}, SHIFT(1974),
  [4245] = {.count = 1, .reusable = true}, SHIFT(1975),
  [4247] = {.count = 1, .reusable = true}, SHIFT(1979),
  [4249] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 43),
  [4251] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 43),
  [4253] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 3, .production_id = 55),
  [4255] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 3, .production_id = 55),
  [4257] = {.count = 1, .reusable = true}, SHIFT(1982),
  [4259] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 3, .production_id = 55),
  [4261] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 3, .production_id = 55),
  [4263] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [4265] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [4267] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 56),
  [4269] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 56),
  [4271] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(1988),
  [4274] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 4),
  [4276] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6),
  [4278] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6),
  [4280] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [4282] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [4284] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 57),
  [4286] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 57),
  [4288] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 7),
  [4290] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 7),
  [4292] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 58),
  [4294] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 58),
  [4296] = {.count = 1, .reusable = true}, SHIFT(1995),
  [4298] = {.count = 1, .reusable = true}, SHIFT(1999),
  [4300] = {.count = 1, .reusable = false}, REDUCE(sym_format_expression, 3),
  [4302] = {.count = 1, .reusable = false}, SHIFT(2003),
  [4304] = {.count = 1, .reusable = true}, SHIFT(2003),
  [4306] = {.count = 1, .reusable = false}, SHIFT(2004),
  [4308] = {.count = 1, .reusable = true}, SHIFT(2004),
  [4310] = {.count = 1, .reusable = false}, SHIFT(2005),
  [4312] = {.count = 1, .reusable = false}, SHIFT(2006),
  [4314] = {.count = 1, .reusable = true}, SHIFT(2006),
  [4316] = {.count = 1, .reusable = false}, SHIFT(2007),
  [4318] = {.count = 1, .reusable = true}, SHIFT(2007),
  [4320] = {.count = 1, .reusable = true}, SHIFT(2005),
  [4322] = {.count = 1, .reusable = false}, SHIFT(2008),
  [4324] = {.count = 1, .reusable = true}, SHIFT(2008),
  [4326] = {.count = 1, .reusable = false}, SHIFT(2009),
  [4328] = {.count = 1, .reusable = true}, SHIFT(2009),
  [4330] = {.count = 1, .reusable = false}, SHIFT(2010),
  [4332] = {.count = 1, .reusable = true}, SHIFT(2010),
  [4334] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(2012),
  [4337] = {.count = 1, .reusable = true}, SHIFT(2014),
  [4339] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 5),
  [4341] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5),
  [4343] = {.count = 1, .reusable = true}, SHIFT(2016),
  [4345] = {.count = 1, .reusable = true}, SHIFT(1590),
  [4347] = {.count = 1, .reusable = true}, SHIFT(2020),
  [4349] = {.count = 1, .reusable = false}, SHIFT(2021),
  [4351] = {.count = 1, .reusable = true}, SHIFT(2021),
  [4353] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1592),
  [4356] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1592),
  [4359] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1593),
  [4362] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1596),
  [4365] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 59),
  [4367] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 59),
  [4369] = {.count = 1, .reusable = true}, SHIFT(2022),
  [4371] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [4373] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [4375] = {.count = 1, .reusable = true}, SHIFT(2030),
  [4377] = {.count = 1, .reusable = false}, SHIFT(2035),
  [4379] = {.count = 1, .reusable = true}, SHIFT(2035),
  [4381] = {.count = 1, .reusable = false}, SHIFT(2036),
  [4383] = {.count = 1, .reusable = true}, SHIFT(2036),
  [4385] = {.count = 1, .reusable = false}, SHIFT(2037),
  [4387] = {.count = 1, .reusable = false}, SHIFT(2038),
  [4389] = {.count = 1, .reusable = true}, SHIFT(2038),
  [4391] = {.count = 1, .reusable = false}, SHIFT(2039),
  [4393] = {.count = 1, .reusable = true}, SHIFT(2039),
  [4395] = {.count = 1, .reusable = true}, SHIFT(2037),
  [4397] = {.count = 1, .reusable = false}, SHIFT(2040),
  [4399] = {.count = 1, .reusable = true}, SHIFT(2040),
  [4401] = {.count = 1, .reusable = false}, SHIFT(2041),
  [4403] = {.count = 1, .reusable = true}, SHIFT(2041),
  [4405] = {.count = 1, .reusable = false}, SHIFT(2042),
  [4407] = {.count = 1, .reusable = true}, SHIFT(2042),
  [4409] = {.count = 1, .reusable = true}, SHIFT(2045),
  [4411] = {.count = 1, .reusable = false}, SHIFT(2046),
  [4413] = {.count = 1, .reusable = true}, SHIFT(2046),
  [4415] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1676),
  [4418] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1677),
  [4421] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1676),
  [4424] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1680),
  [4427] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 60),
  [4429] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 60),
  [4431] = {.count = 1, .reusable = true}, SHIFT(2048),
  [4433] = {.count = 1, .reusable = true}, SHIFT(2049),
  [4435] = {.count = 1, .reusable = true}, SHIFT(1705),
  [4437] = {.count = 1, .reusable = true}, SHIFT(2053),
  [4439] = {.count = 1, .reusable = false}, SHIFT(2054),
  [4441] = {.count = 1, .reusable = true}, SHIFT(2054),
  [4443] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1707),
  [4446] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1707),
  [4449] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1708),
  [4452] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1711),
  [4455] = {.count = 1, .reusable = true}, SHIFT(2055),
  [4457] = {.count = 1, .reusable = true}, SHIFT(2056),
  [4459] = {.count = 1, .reusable = true}, SHIFT(1732),
  [4461] = {.count = 1, .reusable = true}, SHIFT(2060),
  [4463] = {.count = 1, .reusable = false}, SHIFT(2061),
  [4465] = {.count = 1, .reusable = true}, SHIFT(2061),
  [4467] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1734),
  [4470] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1734),
  [4473] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1735),
  [4476] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1738),
  [4479] = {.count = 1, .reusable = true}, SHIFT(2064),
  [4481] = {.count = 1, .reusable = true}, SHIFT(2066),
  [4483] = {.count = 1, .reusable = true}, SHIFT(2067),
  [4485] = {.count = 1, .reusable = true}, SHIFT(2068),
  [4487] = {.count = 1, .reusable = true}, SHIFT(2069),
  [4489] = {.count = 1, .reusable = true}, SHIFT(2072),
  [4491] = {.count = 1, .reusable = false}, SHIFT(2076),
  [4493] = {.count = 1, .reusable = false}, SHIFT(2077),
  [4495] = {.count = 1, .reusable = true}, SHIFT(2083),
  [4497] = {.count = 1, .reusable = true}, SHIFT(2088),
  [4499] = {.count = 1, .reusable = true}, SHIFT(2090),
  [4501] = {.count = 1, .reusable = false}, SHIFT(1975),
  [4503] = {.count = 1, .reusable = false}, SHIFT(1974),
  [4505] = {.count = 1, .reusable = true}, SHIFT(2094),
  [4507] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 7, .production_id = 43),
  [4509] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 7, .production_id = 43),
  [4511] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4),
  [4513] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4),
  [4515] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4, .production_id = 22),
  [4517] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4, .production_id = 22),
  [4519] = {.count = 1, .reusable = true}, SHIFT(2096),
  [4521] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 4),
  [4523] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 4),
  [4525] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 61),
  [4527] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 61),
  [4529] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 62),
  [4531] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 62),
  [4533] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 5),
  [4535] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 63),
  [4537] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 63),
  [4539] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 64),
  [4541] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 64),
  [4543] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 65),
  [4545] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 65),
  [4547] = {.count = 1, .reusable = true}, SHIFT(2101),
  [4549] = {.count = 1, .reusable = false}, SHIFT(2102),
  [4551] = {.count = 1, .reusable = true}, SHIFT(2102),
  [4553] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1820),
  [4556] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1821),
  [4559] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1820),
  [4562] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1824),
  [4565] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 10),
  [4567] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [4569] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6),
  [4571] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6),
  [4573] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(2104),
  [4576] = {.count = 1, .reusable = true}, SHIFT(2105),
  [4578] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4, .production_id = 23),
  [4580] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 4, .production_id = 23),
  [4582] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 4, .production_id = 43),
  [4584] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 4, .production_id = 43),
  [4586] = {.count = 1, .reusable = true}, SHIFT(2109),
  [4588] = {.count = 1, .reusable = false}, SHIFT(2110),
  [4590] = {.count = 1, .reusable = true}, SHIFT(2110),
  [4592] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1886),
  [4595] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1887),
  [4598] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1886),
  [4601] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1890),
  [4604] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 66),
  [4606] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 66),
  [4608] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(2112),
  [4611] = {.count = 1, .reusable = true}, SHIFT(2113),
  [4613] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(2115),
  [4616] = {.count = 1, .reusable = true}, SHIFT(2116),
  [4618] = {.count = 1, .reusable = true}, SHIFT(2118),
  [4620] = {.count = 1, .reusable = true}, SHIFT(2120),
  [4622] = {.count = 1, .reusable = true}, SHIFT(2122),
  [4624] = {.count = 1, .reusable = true}, SHIFT(2125),
  [4626] = {.count = 1, .reusable = true}, SHIFT(2130),
  [4628] = {.count = 1, .reusable = true}, SHIFT(2135),
  [4630] = {.count = 1, .reusable = true}, SHIFT(2138),
  [4632] = {.count = 1, .reusable = true}, SHIFT(2140),
  [4634] = {.count = 1, .reusable = true}, SHIFT(2141),
  [4636] = {.count = 1, .reusable = true}, SHIFT(2142),
  [4638] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1974),
  [4641] = {.count = 1, .reusable = true}, SHIFT(2145),
  [4643] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 5),
  [4645] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 5),
  [4647] = {.count = 1, .reusable = true}, SHIFT(2147),
  [4649] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 67),
  [4651] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 67),
  [4653] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9, .production_id = 68),
  [4655] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9, .production_id = 68),
  [4657] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 9, .production_id = 69),
  [4659] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 9, .production_id = 69),
  [4661] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 25),
  [4663] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 7),
  [4665] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 7),
  [4667] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 5, .production_id = 36),
  [4669] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 5, .production_id = 36),
  [4671] = {.count = 1, .reusable = true}, SHIFT(2151),
  [4673] = {.count = 1, .reusable = true}, SHIFT(2155),
  [4675] = {.count = 1, .reusable = true}, SHIFT(2157),
  [4677] = {.count = 1, .reusable = true}, SHIFT(2158),
  [4679] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(2076),
  [4682] = {.count = 1, .reusable = true}, SHIFT(2160),
  [4684] = {.count = 1, .reusable = true}, SHIFT(2164),
  [4686] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 6, .production_id = 45),
  [4688] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 6, .production_id = 45),
  [4690] = {.count = 1, .reusable = true}, SHIFT(2173),
  [4692] = {.count = 1, .reusable = true}, SHIFT(2175),
  [4694] = {.count = 1, .reusable = true}, SHIFT(2180),
  [4696] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 7),
  [4698] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 7),
  [4700] = {.count = 1, .reusable = true}, SHIFT(2185),
};

void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
